#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "5585c0e69862e890e55fad7079c674a0c95c200b";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "ast";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragme noTypeChecks",
  "#pragma ExtendedLineups",
  "import \"util\" as util",
  "import \"identifierKinds\" as k",
  "",
  "// This module contains classes and pseudo-classes for all the AST nodes used",
  "// in the parser. Because of the limitations of the class syntax, classes that",
  "// need more than one method are written as object literals containing methods.",
  "// Each node has a different signature according to its function, but the",
  "// common interface is given by type ASTNode",
  "//",
  "// Most nodes also contain a \"value\" field, with varied type, holding the `main value`",
  "// in the node.  This field is confusing and should be appropriately re-named in",
  "// each case. Some nodes contain other fields for their specific use: while has",
  "// both a value (the condition) and a body, for example.",
  "",
  "def lineLength is public = 80",
  "def uninitialized = Singleton.named \"uninitialized\"",
  "method listMap(l, b) ancestors(as) is confidential {",
  "    def newList = [ ]",
  "    l.do { nd -> newList.addLast(nd.map(b) ancestors(as)) }",
  "    newList",
  "}",
  "method maybeMap(n, b) ancestors(as) is confidential {",
  "    if (false != n) then {",
  "        n.map(b) ancestors(as)",
  "    } else {",
  "        n",
  "    }",
  "}",
  "method maybeListMap(n, b) ancestors(as) is confidential {",
  "    if (false != n) then {",
  "        listMap(n, b) ancestors(as)",
  "    } else {",
  "        n",
  "    }",
  "}",
  "",
  "def ancestorChain = object {",
  "    class empty {",
  "        method isEmpty { true }",
  "        method asString { \"ancestorChain ▫\" }",
  "        method extend(n) { cons(n) onto(self) }",
  "    }",
  "    method with(n) { empty.extend(n) }",
  "    class cons(p) onto(as) is confidential {",
  "        method forebears { as }",
  "        method isEmpty { false }",
  "        method parent { p }",
  "        method grandparent { forebears.parent }",
  "",
  "        method asString {",
  "            var a := self",
  "            var s := \"ancestorChain \"",
  "            while { a.isEmpty.not } do {",
  "                s := s ++ a.parent ++ \"➤\"",
  "                a := a.forebears",
  "            }",
  "            s ++ \"▫\"",
  "        }",
  "        method extend(n) { cons(n) onto(self) }",
  "    }",
  "}",
  "",
  "def emptySeq = emptySequence",
  "",
  "type AstNode = type {",
  "    kind -> String",
  "        // Used for pseudo-instanceof tests.",
  "    register -> String",
  "        // Used in the code generator on to name the resulting object",
  "    line -> Number",
  "        // The source line the node came from",
  "    line:=(ln:Number)",
  "    linePos -> Number",
  "    linePos:=(lp:Number)",
  "    scope -> SymbolTable",
  "        // The symbolTable for names defined in this node and its sub-nodes",
  "    pretty(n:Number) -> String",
  "        // Pretty-print-string of node at depth n",
  "    comments -> AstNode",
  "        // Comments associated with this node",
  "}",
  "",
  "type SymbolTable = Unknown",
  "",
  "class baseNode {",
  "    // the superclass of all AST nodes",
  "    var register is public := \"\"",
  "    var line is public := util.linenum",
  "    var linePos is public := util.linepos",
  "    var symbolTable := fakeSymbolTable",
  "    var comments is public := false",
  "",
  "    method setLine (l) col (c) {",
  "        line := l",
  "        linePos := c",
  "        self",
  "    }",
  "    method setPositionFrom (token) {",
  "        line := token.line",
  "        linePos := token.linePos",
  "        self",
  "    }",
  "    method kind { abstract }",
  "    method ==(other) { self.isMe(other) }       // for usesAsType",
  "    method isAppliedOccurenceOfIdentifier { false }",
  "    method isMatchingBlock { false }",
  "    method isFieldDec { false }",
  "    method isInherits { false }",
  "    method isLegalInTrait { false }",
  "    method isMember { false }",
  "    method isMethod { false }",
  "    method isExecutable { true }",
  "    method isCall { false }",
  "    method isComment { false }",
  "    method isClass { false }    // is a method that returns a fresh object",
  "    method inClass { false }    // object in a syntactic class definiton",
  "    method isTrait { false }    // is a method that returns a trait object",
  "    method inTrait { false }    // object in a syntactic trait definition",
  "    method isBind { false }",
  "    method isSelf { false }",
  "    method isSuper { false }",
  "    method isPrelude { false }",
  "    method isOuter { false }",
  "    method isBlock { false }",
  "    method isObject { false }",
  "    method isIdentifier { false }",
  "    method isDialect { false }",
  "    method isImport { false }",
  "    method isTypeDec { false }",
  "    method isExternal { false }",
  "    method canInherit { false }",
  "    method returnsObject { false }",
  "    method isImplicit { false }",
  "    method usesAsType(aNode) { false }",
  "    method hash { line.hash * linePos.hash }",
  "    method asString { \"{kind} {nameString}\" }",
  "    method nameString { \"?\" }",
  "    method isWritable { true }",
  "    method isReadable { true }",
  "    method isPublic { true }",
  "    method isConfidential { isPublic.not }",
  "    method decType {",
  "        if (false == self.dtype) then {",
  "            return unknownType",
  "        }",
  "        return self.dtype",
  "    }",
  "    method isSimple { true }  // needs no parens when used as receiver",
  "    method isDelimited { false }  // needs no parens when used as argument",
  "    method description { kind }",
  "    method accept(visitor) {",
  "        self.accept(visitor) from (ancestorChain.empty)",
  "    }",
  "    method scope { symbolTable }",
  "",
  "    method scope:=(st) {",
  "        // override this method in subobjects that open a new scope. In such",
  "        // subobjects, and only in such subobjects, there should be a 2-way",
  "        // conection between the node and the symbol table that defines its scope.",
  "        symbolTable := st",
  "    }",
  "",
  "    method shallowCopyFieldsFrom(other) {",
  "        register := other.register",
  "        line := other.line",
  "        linePos := other.linePos",
  "        scope := other.scope",
  "        self",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        if ((scope.node == self) && {util.target == \"symbols\"}) then {",
  "            \"{line}:{linePos} {description}\\n{spc}Symbols({scope.variety}): {scope}{scope.elementScopesAsString}\"",
  "        } elseif {scope.variety == \"fake\"} then {",
  "            \"{line}:{linePos} {description}\"",
  "        } else {",
  "            \"{line}:{linePos} {description} {scope.asDebugString}\"",
  "        }",
  "    }",
  "    method deepCopy {",
  "        self.map { each -> each } ancestors(ancestorChain.empty)",
  "    }",
  "    method enclosingObject {",
  "        def obj = scope.enclosingObjectScope.node",
  "        obj",
  "    }",
  "    method addComment(cmtNode) {",
  "        if (false == comments) then {",
  "            comments := cmtNode",
  "        } else {",
  "            comments.extendCommentUsing(cmtNode)",
  "        }",
  "    }",
  "    method addComments(cmtNodeList) {",
  "        cmtNodeList.do { each -> addComment(each) }",
  "    }",
  "    method statementName { kind }",
  "}",
  "",
  "def implicit is public = object {",
  "    inherits baseNode",
  "    line := 0",
  "    linePos := 0",
  "    def kind is public = \"implicit\"",
  "    def nameString is public = \"implicit\"",
  "    method isImplicit { true }",
  "    method toGrace(depth) { \"implicit\" }",
  "    method asString { \"the implicit receiver\" }",
  "    method == (other) { self.isMe(other) }",
  "    method map(blk) ancestors(as) { self }",
  "    method accept(visitor) from (as) {",
  "        visitor.visitImplicit(self) up (as)",
  "    }",
  "    method pretty(depth) { \"implicit\" }",
  "}",
  "",
  "def nullNode is public = object {",
  "    inherits baseNode",
  "    def kind is public = \"null\"",
  "    method toGrace(depth) {",
  "        \"// null\"",
  "    }",
  "    method asString { \"the nullNode\" }",
  "    method == (other) { self.isMe(other) }",
  "}",
  "",
  "def fakeSymbolTable = object {",
  "    var node is public := nullNode",
  "    method asString { \"the fakeSymbolTable\" }",
  "    method addNode (n) as (kind) {",
  "        ProgrammingError.raise \"fakeSymbolTable(on node {node}).addNode({n}) as \\\"{kind}\\\" requested\"",
  "    }",
  "    method thatDefines (name) ifNone (action) {",
  "        ProgrammingError.raise \"fakeSymbolTable.thatDefines({name}).\"",
  "    }",
  "    method enclosingObjectScope {",
  "        ProgrammingError.raise \"fakeSymbolTable.enclosingObjectScope on node {node}\"",
  "    }",
  "    method variety { \"fake\" }",
  "    method ==(other) { self.isMe(other) }",
  "}",
  "",
  "def ifNode is public = object {",
  "  class new(cond, thenblock', elseblock') {",
  "    inherits baseNode",
  "    def kind is public = \"if\"",
  "    var value is public := cond",
  "    var thenblock is public := thenblock'",
  "    var elseblock is public := elseblock'",
  "    var handledIdentifiers is public := false",
  "    method isSimple { false }  // needs parens when used as reciever",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitIf(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            value.accept(visitor) from(newChain)",
  "            thenblock.accept(visitor) from(newChain)",
  "            elseblock.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.thenblock := thenblock.map(blk) ancestors(newChain)",
  "        n.elseblock := elseblock.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth+1)",
  "        s := s ++ \"\\n\"",
  "        if (util.target == \"symbols\") then {",
  "            s := s ++ spc ++ \"Then: {thenblock.pretty(depth+2)}\\n\"",
  "            s := s ++ spc ++ \"Else: {elseblock.pretty(depth+2)}\"",
  "        } else {",
  "            s := s ++ spc ++ \"Then:\"",
  "            for (self.thenblock.body) do { ix ->",
  "                s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "            }",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Else:\"",
  "            for (self.elseblock.body) do { ix ->",
  "                s := s ++ \"\\n  \"++ spc ++ ix.pretty(depth+2)",
  "            }",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        repeat (depth) times {",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"if ({self.value.toGrace(0)}) then \\{\"",
  "        for (self.thenblock.body) do { ix ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "        }",
  "        if (self.elseblock.isntEmpty) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\} else \\{\"",
  "            for (self.elseblock.body) do { ix ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ ix.toGrace(depth + 1)",
  "            }",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        ifNode.new(nullNode, nullNode, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "    method shallowCopyFieldsFrom(other) {",
  "        super.shallowCopyFieldsFrom(other)",
  "        handledIdentifiers := other.handledIdentifiers",
  "        self",
  "    }",
  "  }",
  "}",
  "def blockNode is public = object {",
  "  class new(params', body') {",
  "    inherits baseNode",
  "    def kind is public = \"block\"",
  "    def value is public = \"block\"",
  "    var params is public := params'",
  "    var body is public := body'",
  "    def selfclosure is public = true",
  "    var matchingPattern is public := false",
  "    var extraRuntimeData is public := false",
  "    for (params') do {p->",
  "        p.accept(patternMarkVisitor) from(ancestorChain.with(self))",
  "    }",
  "    method isBlock { true }",
  "    method isDelimited { true }",
  "    method isEmpty { body.size == 0 }",
  "    method isntEmpty { body.size > 0 }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the synmol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "    method declarationKindWithAncestors(as) { k.parameter }",
  "    method isMatchingBlock { params.size == 1 }",
  "    method returnsObject {",
  "        (body.size > 0) && { body.last.returnsObject }",
  "    }",
  "    method returnedObjectScope {",
  "        // precondition: returnsObject",
  "        body.last.returnedObjectScope",
  "    }",
  "    method parametersDo(b) {",
  "        params.do(b)",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitBlock(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.params) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            for (self.body) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.matchingPattern) then {",
  "                self.matchingPattern.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.params := listMap(params, blk) ancestors(newChain)",
  "        n.body := listMap(body, blk) ancestors(newChain)",
  "        n.matchingPattern := maybeMap(matchingPattern, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ \"Parameters:\"",
  "        for (self.params) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+1)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ \"Body:\"",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+1)",
  "        }",
  "        if (false != self.matchingPattern) then {",
  "            s := s ++ \"\\n\"",
  "            s := s ++ spc ++ \"Pattern:\"",
  "            s := s ++ \"\\n  \"++ spc ++ self.matchingPattern.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        repeat (depth) times {",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\\{\"",
  "        if (self.params.size > 0) then {",
  "            s := s ++ \" \"",
  "            for (self.params.indices) do { i ->",
  "                var p := self.params.at(i)",
  "                if (false != self.matchingPattern) then {",
  "                    s := s ++ \"(\" ++ p.toGrace(0) ++ \")\"",
  "                } else {",
  "                    s := s ++ p.toGrace(0)",
  "                }",
  "                if (i < self.params.size) then {",
  "                    s := s ++ \", \"",
  "                } else {",
  "                    s := s ++ \" →\"",
  "                }",
  "            }",
  "        }",
  "        for (self.body) do { mx ->",
  "            s := s ++ \"\\n\" ++ spc ++ mx.toGrace(depth + 1)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        repeat (depth - 1) times { s := s ++ \"    \" }",
  "        s ++ \"\\}\"",
  "    }",
  "    method shallowCopy {",
  "        blockNode.new(params, body).shallowCopyFieldsFrom(self)",
  "    }",
  "    method shallowCopyFieldsFrom(other) {",
  "        super.shallowCopyFieldsFrom(other)",
  "        matchingPattern := other.matchingPattern",
  "        extraRuntimeData := other.extraRuntimeData",
  "        self",
  "    }",
  "  }",
  "}",
  "def tryCatchNode is public = object {",
  "  class new(block, cases', finally') {",
  "    inherits baseNode",
  "    def kind is public = \"trycatch\"",
  "    var value is public := block",
  "    var cases is public := cases'",
  "    var finally is public := finally'",
  "    method isSimple { false }  // needs parens when used as reciever",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTryCatch(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.finally) then {",
  "                self.finally.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.cases := listMap(cases, blk) ancestors(newChain)",
  "        n.finally := maybeMap(finally, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}\\n\"",
  "        s := s ++ spc ++ value.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.finally) then {",
  "            s := s ++ \"\\n{spc}Finally:\\n{spc}  {self.finally.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"try \" ++ self.value.toGrace(depth + 1) ++ \" \"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"catch \" ++ case.toGrace(depth + 1)",
  "        }",
  "        if (false != self.finally) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"finally \" ++ self.finally.toGrace(depth + 1)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        tryCatchNode.new(nullNode, emptySeq, false).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def matchCaseNode is public = object {",
  "  class new(matchee', cases', elsecase') {",
  "    inherits baseNode",
  "    def kind is public = \"matchcase\"",
  "    var value is public := matchee'",
  "    var cases is public := cases'",
  "    var elsecase is public := elsecase'",
  "    method isSimple { false }  // needs parens when used as reciever",
  "    method matchee { value }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitMatchCase(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.cases) do { mx ->",
  "                mx.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.elsecase) then {",
  "                self.elsecase.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.cases := listMap(cases, blk) ancestors(newChain)",
  "        n.elsecase := maybeMap(elsecase, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ matchee.pretty(depth + 2)",
  "        for (self.cases) do { mx ->",
  "            s := s ++ \"\\n{spc}Case:\\n{spc}  {mx.pretty(depth+2)}\"",
  "        }",
  "        if (false != self.elsecase) then {",
  "            s := s ++ \"\\n{spc}Else:\\n{spc}  {self.elsecase.pretty(depth+2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"match(\" ++ self.value.toGrace(0) ++ \")\"",
  "        for (self.cases) do { case ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"case \" ++ case.toGrace(depth + 2)",
  "        }",
  "        if (false != self.elsecase) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ \"else \" ++ self.elsecase.toGrace(depth + 2)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        matchCaseNode.new(nullNode, emptySeq, false).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def methodTypeNode is public = object {",
  "  class new(signature', rtype') {",
  "    // Represents the signature of a method in a type literal",
  "    // signature' is an Iterable of requestPart objects, which contain",
  "    // the parts of the name and the parameter lists.",
  "",
  "    inherits baseNode",
  "    def kind is public = \"methodtype\"",
  "    var signature is public := signature'",
  "    var rtype is public := rtype'",
  "    var typeParams is public := false",
  "    var cachedIdentifier := uninitialized",
  "",
  "    method nameString {",
  "        signature.fold { acc, each -> acc ++ each.nameString }",
  "            startingWith \"\"",
  "    }",
  "    method value {",
  "        if (uninitialized == cachedIdentifier) then {",
  "            cachedIdentifier := identifierNode.new(nameString, false)",
  "            cachedIdentifier.line := signature.first.line",
  "            cachedIdentifier.linePos := signature.first.linePos",
  "            cachedIdentifier.isBindingOccurrence := true",
  "        }",
  "        cachedIdentifier",
  "    }",
  "    method isExecutable { false }",
  "    method parametersDo(b) {",
  "        signature.do { part ->",
  "            part.params.do { each -> b.apply(each) }",
  "        }",
  "    }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the symbol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "    method declarationKindWithAncestors(as) { k.typedec }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitMethodType(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            if (false != typeParams) then {",
  "                typeParams.accept(visitor) from(newChain)",
  "            }",
  "            if (false != rtype) then {",
  "                rtype.accept(visitor) from(newChain)",
  "            }",
  "            for (signature) do { part ->",
  "                part.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.rtype := maybeMap(rtype, blk) ancestors(newChain)",
  "        n.signature := listMap(signature, blk) ancestors(newChain)",
  "        n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := \"{s}{spc}Name: {value}\\n\"",
  "        if (false != rtype) then {",
  "            s := \"{s}{spc}Returns:\\n  {spc}{rtype.pretty(depth + 2)}\"",
  "        }",
  "        if (false != typeParams) then {",
  "            s := \"{s}\\n{spc}TypeParams:\\n\"",
  "            s := s ++ typeParams.pretty(depth + 2)",
  "        }",
  "        s := \"{s}\\n{spc}Signature:\"",
  "        for (signature) do { part ->",
  "            s := \"{s}\\n  {spc}{part.pretty(depth + 2)}\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        signature.do { part -> s:= s ++ part.toGrace(depth + 1) }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        methodTypeNode.new(signature, rtype).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def typeLiteralNode is public = object {",
  "  class new(methods', types') {",
  "    inherits baseNode",
  "    def kind is public = \"typeliteral\"",
  "    var methods is public := methods'",
  "    var types is public := types'",
  "    var nominal is public := false",
  "    var anonymous is public := true",
  "    var value is public := \"‹anon›\"",
  "",
  "    method name { value }",
  "    method name:=(n) {",
  "        value := n",
  "        anonymous := false",
  "    }",
  "    method asString {",
  "        \"typeliteral: methods = {methods}, types = {types}\"",
  "    }",
  "    method declarationKindWithAncestors(as) { k.typedec }",
  "    method isExecutable { false }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeLiteral(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.methods) do { each ->",
  "                each.accept(visitor) from(newChain)",
  "            }",
  "            for (self.types) do { each ->",
  "                each.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.methods := listMap(methods, blk) ancestors (as)",
  "        n.types := listMap(types, blk) ancestors (as)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}\\n\"",
  "        s := s ++ spc ++ \"Types:\"",
  "        for (types) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\" ++ spc ++ \"Methods:\"",
  "        for (methods) do { each ->",
  "            s := s ++ \"\\n  \"++ spc ++ each.pretty(depth+2)",
  "        }",
  "        s := s ++ \"\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"type\"",
  "        s := s ++ \" = \\{\"",
  "        for (self.methods) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        for (self.types) do { each ->",
  "            s := s ++ \"\\n\" ++ spc ++ \"    \" ++ each.toGrace(depth + 1)",
  "        }",
  "        s ++ \"\\}\"",
  "    }",
  "    method shallowCopy {",
  "        typeLiteralNode.new(emptySeq, emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "    method shallowCopyFieldsFrom(other) {",
  "        super.shallowCopyFieldsFrom(other)",
  "        nominal := other.nominal",
  "        anonymous := other.anonymous",
  "        value := other.value",
  "        self",
  "    }",
  "  }",
  "}",
  "",
  "def typeDecNode is public = object {",
  "  class new(name', typeValue) {",
  "    inherits baseNode",
  "    def kind is public = \"typedec\"",
  "    var name is public := name'",
  "    var value is public := typeValue",
  "    def nameString is public = name.value",
  "    var annotations is public := [ ]",
  "    var typeParams is public := false",
  "",
  "    method isLegalInTrait { true }",
  "    method isTypeDec { true }",
  "    method scope:=(st) {",
  "        // sets up the 2-way conection between this node",
  "        // and the synmol table that defines the scope that I open.",
  "        symbolTable := st",
  "        st.node := self",
  "    }",
  "",
  "    method isExecutable { true }",
  "    method declarationKindWithAncestors(as) { k.typeparam }",
  "    method isConfidential {",
  "        if (annotations.size == 0) then { return false }",
  "        findAnnotation(self, \"confidential\")",
  "    }",
  "    method isPublic { isConfidential.not }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeDec(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            name.accept(visitor) from(newChain)",
  "            if (false != typeParams) then {",
  "                typeParams.accept(visitor) from(newChain)",
  "            }",
  "            annotations.do { each -> each.accept(visitor) from(newChain) }",
  "            value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.name := name.map(blk) ancestors(newChain)",
  "        n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1) ++ \"\\n\"",
  "        if (false != typeParams) then {",
  "            s := \"{s}{spc}Type parameters:\\n{typeParams.pretty(depth + 2)}\\n\"",
  "        }",
  "        s := s ++ spc ++ \"Value:\"",
  "        s := s ++ value.pretty(depth+2)",
  "        s := s ++ \"\\n\"",
  "        if (false != comments) then {",
  "            s := s ++ comments.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"\"",
  "        s := \"type {self.name}\"",
  "        if (false != typeParams) then {",
  "            typeParams.toGrace(0)",
  "        }",
  "        s ++ \" = \" ++ value.toGrace(depth + 2)",
  "    }",
  "    method shallowCopy {",
  "        typeDecNode.new(name, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "",
  "def methodNode = object {",
  "    method new(signature, body, dtype) scope(s) {",
  "        def result = new(signature, body, dtype)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(signature', body', dtype') {",
  "        // Represents a method declaration",
  "        // The name of the method is constructed from signature',",
  "        // which is a sequence of signatureParts;",
  "        // body is a sequence of statements and declarations.",
  "        // dtype is the declared return type of the method, or false.",
  "",
  "        inherits baseNode",
  "        def kind is public = \"method\"",
  "        var signature is public := signature'",
  "        var body is public := body'",
  "        var dtype is public := dtype'",
  "        var typeParams is public := false",
  "        var selfclosure is public := false",
  "        var annotations is public := [ ]",
  "        var isFresh is public := false      // a method is 'fresh' if it answers a new object",
  "        var usesClassSyntax is public := false",
  "        var cachedIdentifier := uninitialized",
  "",
  "        method nameString {",
  "            signature.fold { acc, each -> acc ++ each.nameString }",
  "                startingWith \"\"",
  "        }",
  "        method value {",
  "            if (uninitialized == cachedIdentifier) then {",
  "                cachedIdentifier := identifierNode.new(nameString, false)",
  "                cachedIdentifier.line := signature.first.line",
  "                cachedIdentifier.linePos := signature.first.linePos",
  "                cachedIdentifier.isBindingOccurrence := true",
  "            }",
  "            cachedIdentifier",
  "        }",
  "        method canonicalName {",
  "            signature.fold { acc, each -> acc ++ each.canonicalName }",
  "                startingWith \"\"",
  "        }",
  "        method hasParams { signature.first.params.isEmpty.not }",
  "        method numParamLists {",
  "            // the number of my parameter lists.  If I have a single",
  "            // part to my name, there may be 0 or 1",
  "            def sigSz = signature.size",
  "            if (sigSz > 1) then { return sigSz }",
  "            if {signature.first.params.isEmpty} then { return 0 }",
  "            return 1",
  "        }",
  "        method hasTypeParams { false ≠ signature.first.typeParams }",
  "        method isMethod { true }",
  "        method isExecutable { false }",
  "        method isLegalInTrait { true }",
  "        method isClass { isFresh || usesClassSyntax }",
  "        method isTrait {",
  "            if (isFresh) then {",
  "                body.last.isTrait",
  "            } else {",
  "                false",
  "            }",
  "        }",
  "        method needsArgChecks {",
  "            signature.do { part ->",
  "                part.params.do { p ->",
  "                    if ((false != p.dtype) && {",
  "                            p.dtype.nameString != \"Unknown\" }) then {",
  "                        return true",
  "                    }",
  "                }",
  "            }",
  "            return false",
  "        }",
  "        method scope:=(st) {",
  "            // sets up the 2-way conection between this node",
  "            // and the synmol table that defines the scope that I open.",
  "            symbolTable := st",
  "            st.node := self",
  "        }",
  "        method declarationKindWithAncestors(as) { k.parameter }",
  "        method isConfidential {",
  "            if (annotations.size == 0) then { return false }",
  "            findAnnotation(self, \"confidential\")",
  "        }",
  "        method isPublic { isConfidential.not }",
  "        method isWritable { false }",
  "        method isReadable { isPublic }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method returnsObject {",
  "            body.isEmpty.not && {body.last.returnsObject}",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            body.last.returnedObjectScope",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitMethod(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.value.accept(visitor) from(newChain)",
  "                if (false != typeParams) then {",
  "                    typeParams.accept(visitor) from(newChain)",
  "                }",
  "                for (self.signature) do { part ->",
  "                    for (part.params) do { p ->",
  "                        p.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "                if (false != dtype) then {",
  "                    dtype.accept(visitor) from(newChain)",
  "                }",
  "                for (self.annotations) do { ann ->",
  "                    ann.accept(visitor) from(newChain)",
  "                }",
  "                for (self.body) do { mx ->",
  "                    mx.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as){",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.body := listMap(body, blk) ancestors(newChain)",
  "            n.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "            n.signature := listMap(signature, blk) ancestors(newChain)",
  "            n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := super.pretty(depth) ++ \"\\n\"",
  "            s := s ++ spc ++ \"Name: \" ++ value.pretty(depth+1) ++ \"\\n\"",
  "            if (false != self.dtype) then {",
  "                s := s ++ spc ++ \"Returns:\\n\" ++ spc ++ \"  \"",
  "                s := s ++ self.dtype.pretty(depth + 2) ++ \"\\n\"",
  "            }",
  "            if (isFresh) then { s := s ++ spc ++ \"Fresh\\n\" }",
  "            s := \"{s}{spc}Signature:\"",
  "            for (signature) do { part ->",
  "                s := \"{s}\\n  {spc}Part: {part.name}\"",
  "                s := \"{s}\\n    {spc}Parameters:\"",
  "                for (part.params) do { p ->",
  "                    s := \"{s}\\n      {spc}{p.pretty(depth + 4)}\"",
  "                }",
  "            }",
  "            s := s ++ \"\\n\"",
  "            if (false != typeParams) then {",
  "                s := \"{s}{spc}Generics:\"",
  "                typeParams.do {g->",
  "                    s := \"{s}\\n{spc}  {g.pretty(0)}\"",
  "                }",
  "                s := s ++ \"\\n\"",
  "            }",
  "            if (annotations.size > 0) then {",
  "                s := \"{s}{spc}Annotations:\"",
  "                for (annotations) do {an->",
  "                    s := \"{s}\\n{spc}  {an.pretty(depth + 2)}\"",
  "                }",
  "                s := s ++ \"\\n\"",
  "            }",
  "            s := s ++ spc ++ \"Body:\"",
  "            for (self.body) do { mx ->",
  "                s := s ++ \"\\n  \"++ spc ++ mx.pretty(depth+2)",
  "            }",
  "            if (false != comments) then {",
  "                s := s ++ comments.pretty(depth+2)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var spc := \"\"",
  "            for (0..(depth - 1)) do { i ->",
  "                spc := spc ++ \"    \"",
  "            }",
  "            var s := \"method \"",
  "            var firstPart := true",
  "            for (self.signature) do { part ->",
  "                s := s ++ part.name",
  "                if (firstPart && {false != typeParams}) then {",
  "                    s := s ++ typeParams.toGrace(depth + 1)",
  "                }",
  "                firstPart := false",
  "                if (part.params.size > 0) then {",
  "                    s := s ++ \"(\"",
  "                    for (part.params.indices) do { pnr ->",
  "                        var p := part.params.at(pnr)",
  "                        s := s ++ p.toGrace(depth + 1)",
  "                        if (pnr < part.params.size) then {",
  "                            s := s ++ \", \"",
  "                        }",
  "                    }",
  "                    s := s ++ \")\"",
  "                }",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \" -> {self.dtype.toGrace(0)}\"",
  "            }",
  "            if (self.annotations.size > 0) then {",
  "                s := s ++ \" is \"",
  "                s := s ++ self.annotations.fold{ a,b ->",
  "                    if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                        startingWith \"\"",
  "            }",
  "            s := s ++ \" \\{\"",
  "            if (false != comments) then {",
  "                s := s ++ comments.toGrace(depth + 1)",
  "            }",
  "            for (self.body) do { mx ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ mx.toGrace(depth + 1)",
  "            }",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            methodNode.new(signature, body, dtype).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            isFresh := other.isFresh",
  "            selfclosure := other.selfclosure",
  "            self",
  "        }",
  "    }",
  "}",
  "def callNode = object {",
  "    method new(receiver, parts) scope(s) {",
  "        def result = new(receiver, parts)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(receiver', parts) {",
  "        // requested as callNode.new(receiver':AstNode, parts:List)",
  "        // Represents a method request with arguments.",
  "        // The argument list is in `with`, as a sequence of `requestPart`s.",
  "",
  "        inherits baseNode",
  "        def kind is public = \"call\"",
  "        var with is public := parts            // [ argument parts ]",
  "        var generics is public := false",
  "        var isPattern is public := false",
  "        var receiver is public := receiver'    // formerly `value`",
  "        var isSelfRequest is public := false",
  "",
  "        method onSelf {",
  "            // mark as a self-request.  Answers self for chaining.",
  "            isSelfRequest := true",
  "            self",
  "        }",
  "",
  "        method nameString {",
  "            // the name of the method being requested, in numeric form",
  "            with.fold { acc, each -> acc ++ each.nameString } startingWith \"\"",
  "        }",
  "",
  "        method canonicalName {",
  "            // the name of the method being requested, in underscore form",
  "            with.fold { acc, each -> acc ++ each.canonicalName }",
  "                startingWith \"\"",
  "        }",
  "",
  "        method isCall { true }",
  "        method returnsObject {",
  "            // we recognize two special calls as returning a fresh object",
  "            // self.copy, and prelude.clone(_)",
  "            if ((receiver.isImplicit || receiver.isPrelude) &&",
  "                  (nameString == \"clone(1)\")) then {return true}",
  "            if ((receiver.isImplicit || receiver.isSelf) &&",
  "                  (nameString == \"copy\")) then {return true}",
  "            return false",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            self.scope",
  "        }",
  "        method arguments {",
  "            def result = [ ]",
  "            for (self.with) do { part ->",
  "                for (part.args) do { arg -> result.push(arg) }",
  "            }",
  "            result",
  "        }",
  "",
  "        method argumentsDo(action) {",
  "            for (self.with) do { part ->",
  "                for (part.args) do { arg -> action.apply(arg) }",
  "            }",
  "        }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitCall(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.receiver.accept(visitor) from(newChain)",
  "                for (self.with) do { part ->",
  "                    for (part.args) do { arg ->",
  "                        arg.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "                if (false != generics) then {",
  "                    generics.do { each ->",
  "                        each.accept(visitor) from(newChain)",
  "                    }",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.receiver := receiver.map(blk) ancestors(newChain)",
  "            n.with := listMap(with, blk) ancestors(newChain)",
  "            n.generics := maybeListMap(generics, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := super.pretty(depth)",
  "            s := s ++ if (isSelfRequest) then { \" on self\\n\" } else { \"\\n\" }",
  "            s := s ++ spc ++ \"Receiver: {receiver.pretty(depth + 1)}\\n\"",
  "            s := s ++ spc ++ \"Method Name: {nameString}\\n\"",
  "            if (false != generics) then {",
  "                s := s ++ spc ++ \"  Generics:\\n\"",
  "                for (generics) do {g->",
  "                    s := s ++ spc ++ \"    \" ++ g.pretty(depth + 2) ++ \"\\n\"",
  "                }",
  "            }",
  "            s := s ++ spc ++ \"Arguments:\"",
  "            for (self.with) do { part ->",
  "                s := s ++ \"\\n  \" ++ spc ++ \"Part: \" ++ part.name",
  "                for (part.args) do { arg ->",
  "                    s := s ++ \"\\n      \" ++ spc ++ arg.pretty(depth + 2)",
  "                }",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            if (receiver.isImplicit.not) then {",
  "                if (receiver.isSimple) then {",
  "                    s := \"{receiver.toGrace (depth + 1)}.\"",
  "                } else {",
  "                    s := \"({receiver.toGrace (depth + 1)}).\"",
  "                }",
  "            }",
  "            with.do { part -> s := s ++ part.toGrace(depth + 1) }",
  "                separatedBy { s := s ++ \" \" }",
  "            s",
  "        }",
  "        method asIdentifier {",
  "            // make and return an identifiderNode for my request",
  "            if (fakeSymbolTable == scope) then {",
  "                ProgrammingError.raise \"asIdentifier requested on {pretty 0} when scope was fake\"",
  "            }",
  "            def resultNode = identifierNode.new (nameString, false) scope (scope)",
  "            resultNode.inRequest := true",
  "            resultNode.line := line",
  "            resultNode.linePos := linePos",
  "            return resultNode",
  "        }",
  "        method asString { \"call {receiver.pretty(0)}\" }",
  "        method shallowCopy {",
  "            callNode.new(receiver, with).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            isPattern := other.isPattern",
  "            isSelfRequest := other.isSelfRequest",
  "            self",
  "        }",
  "        method statementName { \"request\" }",
  "    }",
  "}",
  "def moduleNode = object {",
  "    method body(b) named(n) scope(s) {",
  "        def result = body(b)",
  "        result.name := n",
  "        result.scope := s",
  "        result",
  "    }",
  "    method body(b) named(n) {",
  "        def result = body(b)",
  "        result.name := n",
  "        result",
  "    }",
  "    class body(b) {",
  "        inherits objectNode.new(b, false)",
  "        def kind is public = \"module\"",
  "        def sourceLines = util.lines",
  "        line := 0       // because the module is always implicit",
  "        linePos := 0",
  "        var imports is public := [ ]",
  "",
  "        method isModule { true }",
  "        method returnsObject { false }",
  "        method externalsDo(action) {",
  "            value.do { o ->",
  "                if (o.isExternal) then { action.apply(o) }",
  "            }",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitModule(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != self.superclass) then {",
  "                    self.superclass.accept(visitor) from(newChain)",
  "                }",
  "                for (self.value) do { x ->",
  "                    x.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method shallowCopy {",
  "            moduleNode.body(emptySeq).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            imports := other.imports",
  "            self",
  "        }",
  "    }",
  "}",
  "def objectNode is public = object {",
  "    method body(b) named(n) scope(s) {",
  "        def result = new(b, false)",
  "        result.name := n",
  "        result.scope := s",
  "        result",
  "    }",
  "    method body(b) named(n) {",
  "        body(b) named(n) scope(fakeSymbolTable)",
  "    }",
  "    class new(b, superclass') {",
  "        inherits baseNode",
  "        def kind is public = \"object\"",
  "        var value is public := b",
  "        var superclass is public := superclass'",
  "        var usedTraits is public := [ ]",
  "        var name is public := \"object\"",
  "        var inClass is public := false",
  "        var inTrait is public := false",
  "        var myLocalNames := false",
  "        var annotations is public := [ ]",
  "",
  "        method description -> String {",
  "            if (isTrait) then {",
  "                \"{kind} (trait)\"",
  "            } elseif { inClass } then {",
  "                \"{kind} (class)\"",
  "            } else {",
  "                kind",
  "            }",
  "        }",
  "        method isTrait {",
  "            // answers true if this object qualifies to be a trait, whether",
  "            // or not it was declared with the trait syntax",
  "            if (inTrait) then { return true }",
  "            if (false != superclass) then { return false }",
  "            value.do { each ->",
  "                if (each.isLegalInTrait.not) then { return false }",
  "            }",
  "            return true",
  "        }",
  "",
  "        method localNames -> Set⟦String⟧ {",
  "            // answers the names of all of the methods defined directly in",
  "            // this object.  Inherited names are _not_ included.",
  "            if (false == myLocalNames) then {",
  "                myLocalNames := emptySet",
  "                value.do { node ->",
  "                    if (node.isFieldDec || node.isMethod) then {",
  "                        myLocalNames.add(node.nameString)",
  "                    }",
  "                }",
  "            }",
  "            myLocalNames",
  "        }",
  "",
  "        method parentsDo(action) {",
  "            // iterate over my superclass and my used traits",
  "",
  "            if (false != superclass) then { action.apply(superclass) }",
  "            usedTraits.do { t -> action.apply(t) }",
  "        }",
  "",
  "        method methodsDo(action) {",
  "            // iterate over my method declarations",
  "",
  "            value.do { o ->",
  "                if (o.isMethod) then { action.apply(o) }",
  "            }",
  "        }",
  "",
  "        method executableComponentsDo(action) {",
  "            // iterate over my executable code, including",
  "            // field declarations (since they may have initializers)",
  "            value.do { o ->",
  "                if (o.isExecutable) then { action.apply(o) }",
  "            }",
  "        }",
  "",
  "        method scope:=(st) {",
  "            // sets up the 2-way conection between this node",
  "            // and the symbol table that defines the scope that I open.",
  "            symbolTable := st",
  "            st.node := self",
  "        }",
  "        method body { value }",
  "        method returnsObject { true }",
  "        method returnedObjectScope { scope }",
  "        method canInherit { inTrait.not }   // an object can inherit if not in a trait",
  "        method canUse { true }",
  "        method isObject { true }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitObject(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != superclass) then {",
  "                    superclass.accept(visitor) from(newChain)",
  "                }",
  "                usedTraits.do { t -> t.accept(visitor) from(newChain) }",
  "                value.do { x -> x.accept(visitor) from(newChain) }",
  "            }",
  "        }",
  "        method nameString {",
  "            if (name == \"object\") then {",
  "                \"object_on_line_{line}\"",
  "            } else {",
  "                name",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.value := listMap(value, blk) ancestors(newChain)",
  "            n.superclass := maybeMap(superclass, blk) ancestors(newChain)",
  "            n.usedTraits := listMap(usedTraits, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth') {",
  "            var depth := depth'",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := super.pretty(depth)",
  "            s := \"{s}\\n{spc}Name: {self.name}\"",
  "            if (false != self.superclass) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Superclass: \" ++",
  "                        self.superclass.pretty(depth + 1)",
  "            }",
  "            if (usedTraits.isEmpty.not) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Traits:\"",
  "                usedTraits.do { t ->",
  "                    s := \"{s}\\n{spc}  {t.pretty(depth + 1)}\"",
  "                }",
  "            }",
  "            value.do { x ->",
  "                s := s ++ \"\\n\"++ spc ++ x.pretty(depth + 1)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var spc := \"\"",
  "            for (0..(depth - 1)) do { i ->",
  "                spc := spc ++ \"    \"",
  "            }",
  "            var s := \"object \\{\"",
  "            if (inTrait) then { s := s ++ \"   // trait\" }",
  "            if (inClass) then { s := s ++ \"   // class\" }",
  "            if (false != superclass) then {",
  "                s := s ++ \"\\n\" ++ superclass.toGrace(depth + 1)",
  "            }",
  "            usedTraits.do { t -> s := s ++ \"\\n\" ++ t.toGrace(depth + 1) }",
  "            value.do { x ->",
  "                s := s ++ \"\\n\" ++ spc ++ \"    \" ++ x.toGrace(depth + 1)",
  "            }",
  "            s := s ++ \"\\n\" ++ spc ++ \"\\}\"",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            objectNode.new(emptySeq, false).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            name := other.name",
  "            value := other.value",
  "            superclass := other.superclass",
  "            usedTraits := other.usedTraits",
  "            inClass := other.inClass",
  "            inTrait := other.inTrait",
  "            annotations := other.annotations",
  "            self",
  "        }",
  "        method asString {",
  "            \"object {nameString}\"",
  "        }",
  "    }",
  "}",
  "def arrayNode is public = object {",
  "  class new(values) {",
  "    inherits baseNode",
  "    def kind is public = \"array\"",
  "    var value is public := values",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitArray(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.value) do { ax ->",
  "                ax.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := listMap(value, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { ai ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth)",
  "        for (self.value) do { ax ->",
  "            s := s ++ \"\\n\"++ spc ++ ax.pretty(depth+1)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"[\"",
  "        for (self.value.indices) do { i ->",
  "            s := s ++ self.value.at(i).toGrace(0)",
  "            if (i < self.value.size) then {",
  "                s := s ++ \", \"",
  "            }",
  "        }",
  "        s := s ++ \"]\"",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        arrayNode.new(emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def memberNode = object {",
  "    method new(request, receiver) scope(s) {",
  "        // Represents a dotted request ‹receiver›.‹request› with no arguments.",
  "        def result = new(request, receiver)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(request, receiver') {",
  "        // Represents a dotted request ‹receiver›.‹request› with no arguments.",
  "        inherits baseNode",
  "        def kind is public = \"member\"",
  "        var value is public := request  // NB: value is a String, not an Identifier",
  "        var receiver is public := receiver'",
  "        var generics is public := false",
  "        var isSelfRequest is public := false",
  "        ",
  "        method onSelf {",
  "            isSelfRequest := true",
  "            self",
  "        }",
  "        method nameString { value }",
  "        method canonicalName { value }",
  "        method isMember { true }",
  "        method isCall { true }",
  "",
  "        method with { emptySeq }",
  "        method arguments { emptySeq }",
  "        method argumentsDo { }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitMember(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != generics) then {",
  "                    generics.do { each -> each.accept(visitor) from(newChain) }",
  "                }",
  "                receiver.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.receiver := receiver.map(blk) ancestors(newChain)",
  "            n.generics := maybeListMap(generics, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := super.pretty(depth)",
  "            s := s ++ if (isSelfRequest) then { \" on self \" } else { \" \" }",
  "            s := s ++ \"‹\" ++ self.value ++ \"›\\n\"",
  "            s := s ++ spc ++ receiver.pretty(depth)",
  "            if (false != generics) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"  Generics:\"",
  "                for (generics) do {g->",
  "                    s := s ++ \"\\n\" ++ spc ++ \"    \" ++ g.pretty(0)",
  "                }",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            if (self.value.substringFrom(1)to(6) == \"prefix\") then {",
  "                s := self.value.substringFrom(7)to(value.size)",
  "                s := s ++ \" \" ++ self.receiver.toGrace(0)",
  "            } else {",
  "                s := self.receiver.toGrace(depth) ++ \".\" ++ self.value",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"<\"",
  "                for (1..(generics.size - 1)) do {ix ->",
  "                    s := s ++ generics.at(ix).toGrace(depth + 1)",
  "                }",
  "                s := s ++ generics.last.toGrace(depth + 1) ++ \">\"",
  "            }",
  "            s",
  "        }",
  "        method asString { \"{receiver}.{value}\" }",
  "        method asIdentifier {",
  "            // make and return an identifiderNode for my request",
  "            if (fakeSymbolTable == scope) then {",
  "                ProgrammingError.raise \"asIdentifier requested on {pretty 0} when scope was fake\"",
  "            }",
  "            def resultNode = identifierNode.new (value, false) scope (scope)",
  "            resultNode.inRequest := true",
  "            resultNode.line := line",
  "            resultNode.linePos := linePos",
  "            return resultNode",
  "        }",
  "        method shallowCopy {",
  "            memberNode.new(nameString, receiver).shallowCopyFieldsFrom(self)",
  "        }",
  "        method statementName { \"expression\" }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            generics := other.generics",
  "            isSelfRequest := other.isSelfRequest",
  "            self",
  "        }",
  "    }",
  "}",
  "def genericNode is public = object {",
  "  class new(base, arguments) {",
  "    // represents an application of a parameterized type to some arguments.",
  "    inherits baseNode",
  "    def kind is public = \"generic\"",
  "    var value is public := base",
  "        // in a generic application, `value` is the applied type",
  "        // e.g. in List⟦Number⟧, value is Identifier‹List›",
  "    var args is public := arguments",
  "    method nameString { value.nameString }",
  "    method asString { toGrace 0 }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitGeneric(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "            for (self.args) do { p ->",
  "                p.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.args := listMap(args, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var s := \"{super.pretty(depth)}({value.pretty(depth)})<\"",
  "        args.do { each -> s := s ++ each.pretty(depth+2) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := nameString ++ \"<\"",
  "        args.do { each -> s := s ++ each.toGrace(0) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method shallowCopy {",
  "        genericNode.new(value, args).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "",
  "def typeParametersNode is public = object {",
  "  class new(params') {",
  "    inherits baseNode",
  "    def kind is public = \"typeparams\"",
  "    var params is public := params'",
  "    method asString { toGrace 0 }",
  "    method declarationKindWithAncestors(as) { k.typeparam }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitTypeParameters(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            params.do { p ->",
  "                p.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method do(blk) {",
  "        params.do(blk)",
  "    }",
  "    method size { params.size }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.params := listMap(params, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := spc ++ super.pretty(depth) ++ \"<\"",
  "        params.do { each -> s := s ++ each.pretty(depth+2) }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method toGrace(depth:Number) -> String {",
  "        var s := \"<\"",
  "        params.do { each -> s := \"{s}{each.toGrace(depth)}\" }",
  "            separatedBy { s := s ++ \", \" }",
  "        s ++ \">\"",
  "    }",
  "    method shallowCopy {",
  "        typeParametersNode.new(emptySeq).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def identifierNode = object {",
  "",
  "    method new(name, dtype) scope(s) {",
  "        def result = new(name, dtype)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(name, dtype') {",
  "        inherits baseNode",
  "        def kind is public = \"identifier\"",
  "        var value is public := name",
  "        var wildcard is public := false",
  "        var dtype is public := dtype'",
  "        var isBindingOccurrence is public := false",
  "        var isAssigned is public := false",
  "        var inRequest is public := false",
  "        var generics is public := false",
  "        var isDeclaredByParent is public := false",
  "",
  "        method nameString { value }",
  "        method canonicalName { value }",
  "        method quoted { value.quoted }",
  "        method isIdentifier { true }",
  "        ",
  "        method isSelf { \"self\" == value }",
  "        method isSuper { \"super\" == value }",
  "        method isPrelude { \"prelude\" == value }",
  "        method isOuter { \"outer\" == value }",
  "",
  "        method isAppliedOccurenceOfIdentifier {",
  "            if (wildcard) then {",
  "                false",
  "            } else {",
  "                isBindingOccurrence.not",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) {",
  "            as.parent.declarationKindWithAncestors(as)",
  "        }",
  "        method inTypePositionWithAncestors(as) {",
  "            // am I used by my parent node as a type?",
  "            // This is a hack, used as a subsitute for having information in the .gct",
  "            // telling us which identifiers represent types",
  "            if (as.isEmpty) then { return false }",
  "            as.parent.usesAsType(self)",
  "        }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitIdentifier(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                if (false != self.dtype) then {",
  "                    self.dtype.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := super.pretty(depth)",
  "            if ( wildcard ) then {",
  "                s := s ++ \" Wildcard\"",
  "            } elseif { isBindingOccurrence } then {",
  "                s := s ++ \"Binding‹{value}›\"",
  "            } else {",
  "                s := s ++ \"‹{value}›\"",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"  Type: \"",
  "                s := s ++ self.dtype.pretty(depth + 2)",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Generics:\"",
  "                for (generics) do {g->",
  "                    s := s ++ \"\\n\" ++ spc ++ \"  \" ++ g.pretty(depth + 2)",
  "                }",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s",
  "            if(self.wildcard) then {",
  "                s := \"_\"",
  "            } else {",
  "                s := self.value",
  "            }",
  "            if (false != self.dtype) then {",
  "                s := s ++ \" : \" ++ self.dtype.toGrace(depth + 1)",
  "            }",
  "            if (false != generics) then {",
  "                s := s ++ \"<\"",
  "                for (1..(generics.size - 1)) do {ix ->",
  "                    s := s ++ generics.at(ix).toGrace(depth + 1)",
  "                }",
  "                s := s ++ generics.last.toGrace(depth + 1) ++ \">\"",
  "            }",
  "            s",
  "        }",
  "",
  "        method asString {",
  "            if (isBindingOccurrence) then {",
  "                \"identifierBinding‹{value}›\"",
  "            } else {",
  "                \"identifier‹{value}›\"",
  "            }",
  "        }",
  "        method shallowCopy {",
  "            identifierNode.new(value, false).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            wildcard := other.wildcard",
  "            isBindingOccurrence := other.isBindingOccurrence",
  "            isDeclaredByParent := other.isDeclaredByParent",
  "            isAssigned := other.isAssigned",
  "            inRequest := other.inRequest",
  "            self",
  "        }",
  "        method statementName { \"expression\" }",
  "    }",
  "}",
  "",
  "def typeType is public = identifierNode.new(\"Type\", false)",
  "def unknownType is public = identifierNode.new(\"Unknown\", typeType)",
  "",
  "def stringNode = object {",
  "    method new(v) scope(s) {",
  "        def result = new(v)",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(v) {",
  "        inherits baseNode",
  "        def kind is public = \"string\"",
  "        var value is public := v",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitString(self) up(as)",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            \"{super.pretty(depth)}({self.value})\"",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            def q = \"\\\"\"",
  "            q ++ value.quoted ++ q",
  "        }",
  "        method asString { \"string {toGrace 0}\" }",
  "        method shallowCopy {",
  "            stringNode.new(value).shallowCopyFieldsFrom(self)",
  "        }",
  "        method statementName { \"expression\" }",
  "        method isDelimited { true }",
  "    }",
  "}",
  "def numNode is public = object {",
  "    class new(val) {",
  "        inherits baseNode",
  "        def kind is public = \"num\"",
  "        var value is public := val",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitNum(self) up(as)",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            \"{super.pretty(depth)}({self.value})\"",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            self.value.asString",
  "        }",
  "        method asString { \"num {value}\" }",
  "        method shallowCopy {",
  "            numNode.new(value).shallowCopyFieldsFrom(self)",
  "        }",
  "        method statementName { \"expression\" }",
  "        method isDelimited { true }",
  "    }",
  "}",
  "def opNode is public = object {",
  "  class new(op, l, r) {",
  "    inherits baseNode",
  "    def kind is public = \"op\"",
  "    def value is public = op     // a String",
  "    var left is public := l",
  "    var right is public := r",
  "    method isSimple { false }    // needs parens when used as reciever",
  "    method nameString { value ++ \"(1)\" }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitOp(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.left.accept(visitor) from(newChain)",
  "            self.right.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.left := left.map(blk) ancestors(newChain)",
  "        n.right := right.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := \"{super.pretty(depth)}‹\" ++ self.nameString ++ \"›\"",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.left.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.right.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var s := \"\"",
  "        if ((self.left.kind == \"op\") && {self.left.value != self.value}) then {",
  "            s := \"(\" ++ self.left.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := self.left.toGrace(0)",
  "        }",
  "        if (self.value == \"..\") then {",
  "            s := s ++ self.value",
  "        } else {",
  "            s := s ++ \" \" ++ self.value ++ \" \"",
  "        }",
  "        if ((self.right.kind == \"op\") && {self.right.value != self.value}) then {",
  "            s := s ++ \"(\" ++ self.right.toGrace(0) ++ \")\"",
  "        } else {",
  "            s := s ++ self.right.toGrace(0)",
  "        }",
  "        s",
  "    }",
  "    method asIdentifier {",
  "        // make an identifiderNode with the same properties as me",
  "        def resultNode = identifierNode.new (nameString, false) scope (scope)",
  "        resultNode.inRequest := true",
  "        resultNode.line := line",
  "        resultNode.linePos := linePos",
  "        return resultNode",
  "    }",
  "    method shallowCopy {",
  "        opNode.new(value, nullNode, nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def bindNode is public = object {",
  "  class new(dest', val') {",
  "    // an assignment, or a request of a setter-method",
  "    inherits baseNode",
  "    def kind is public = \"bind\"",
  "    var dest is public := dest'",
  "    var value is public := val'",
  "",
  "    method isBind { true }",
  "    method asString { \"bind {value}\" }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitBind(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.dest.accept(visitor) from(newChain)",
  "            self.value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.dest := dest.map(blk) ancestors(newChain)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.dest.pretty(depth + 1)",
  "        s := s ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        for (0..(depth - 1)) do { i ->",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := self.dest.toGrace(depth + 1)",
  "        s := s ++ \" := \" ++ self.value.toGrace(depth + 1)",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        bindNode.new(dest, value).shallowCopyFieldsFrom(self)",
  "    }",
  "    method statementName { \"assignment or assigment request\" }",
  "  }",
  "}",
  "def defDecNode = object {",
  "    method new(name', val, dtype') scope(s) {",
  "        def result = new(name', val, dtype')",
  "        result.scope := s",
  "        result",
  "    }",
  "",
  "    class new(name', val, dtype') {",
  "        inherits baseNode",
  "        def kind is public = \"defdec\"",
  "        var name is public := name'",
  "        var value is public := val",
  "        var dtype is public := dtype'",
  "        def nameString is public = name.nameString",
  "        var annotations is public := [ ]",
  "        var startToken is public := false",
  "",
  "        method isPublic {",
  "            // defs are confidential by default",
  "            if (annotations.size == 0) then { return false }",
  "            if (findAnnotation(self, \"public\")) then { return true }",
  "            findAnnotation(self, \"readable\")",
  "        }",
  "        method isFieldDec { true }",
  "        method isWritable { false }",
  "        method isReadable { isPublic }",
  "",
  "        method returnsObject {",
  "            value.returnsObject",
  "        }",
  "        method returnedObjectScope {",
  "            // precondition: returnsObject",
  "            value.returnedObjectScope",
  "        }",
  "        method usesAsType(aNode) {",
  "            aNode == dtype",
  "        }",
  "        method declarationKindWithAncestors(as) { k.defdec }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitDefDec(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                self.name.accept(visitor) from(newChain)",
  "                if (false != self.dtype) then {",
  "                    self.dtype.accept(visitor) from(newChain)",
  "                }",
  "                for (self.annotations) do { ann ->",
  "                    ann.accept(visitor) from(newChain)",
  "                }",
  "                value.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.name := name.map(blk) ancestors(newChain)",
  "            n.value := value.map(blk) ancestors(newChain)",
  "            n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "            n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := super.pretty(depth) ++ \"\\n\"",
  "            s := s ++ spc ++ self.name.pretty(depth)",
  "            if (false != dtype) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Type: \" ++ self.dtype.pretty(depth + 2)",
  "            }",
  "            if (false != value) then {",
  "                s := s ++ \"\\n\" ++ spc ++ \"Value: \" ++ value.pretty(depth + 2)",
  "            }",
  "            if (annotations.isEmpty.not) then {",
  "                s := s ++ \"\\n{spc}Annotations:\"",
  "                annotations.do { ann ->",
  "                    s := \"{s} {ann.pretty(depth + 2)}\"",
  "                }",
  "            }",
  "            if (false != comments) then {",
  "                s := s ++ comments.pretty(depth+2)",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var spc := \"\"",
  "            for (0..(depth - 1)) do { i ->",
  "                spc := spc ++ \"    \"",
  "            }",
  "            var s := \"def {self.name.toGrace(0)}\"",
  "            if ( (false != self.dtype) && {",
  "                    self.dtype.value != \"Unknown\" }) then {",
  "                s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "            }",
  "            if (self.annotations.size > 0) then {",
  "                s := s ++ \" is \"",
  "                s := s ++ self.annotations.fold{ a,b ->",
  "                    if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                        startingWith \"\"",
  "            }",
  "            if (false != self.value) then {",
  "                s := s ++ \" = \" ++ self.value.toGrace(depth)",
  "            }",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            defDecNode.new(name, value, dtype).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            startToken := other.startToken",
  "            self",
  "        }",
  "        method statementName { \"definition\" }",
  "    }",
  "}",
  "def varDecNode is public = object {",
  "  class new(name', val', dtype') {",
  "    inherits baseNode",
  "    def kind is public = \"vardec\"",
  "    var name is public := name'",
  "    var value is public := val'",
  "    var dtype is public := dtype'",
  "    def nameString is public = name.value",
  "    var annotations is public := [ ]",
  "",
  "    method isPublic {",
  "        // vars are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method isWritable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"writable\")) then { return true }",
  "        false",
  "    }",
  "    method isReadable {",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        if (findAnnotation(self, \"readable\")) then { return true }",
  "        false",
  "    }",
  "    method isFieldDec { true }",
  "",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "",
  "    method declarationKindWithAncestors(as) { k.vardec }",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitVarDec(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.name.accept(visitor) from(newChain)",
  "            if (false != self.dtype) then {",
  "                self.dtype.accept(visitor) from(newChain)",
  "            }",
  "            for (self.annotations) do { ann ->",
  "                ann.accept(visitor) from(newChain)",
  "            }",
  "            if (false != self.value) then {",
  "                self.value.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.name := name.map(blk) ancestors(newChain)",
  "        n.value := maybeMap(value, blk) ancestors(newChain)",
  "        n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for ((0..depth)) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.name.pretty(depth + 1)",
  "        if (false != self.dtype) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Type: \"",
  "            s := s ++ self.dtype.pretty(depth + 2)",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \"\\n\" ++ spc ++ \"Value: \"",
  "            s := s ++ self.value.pretty(depth + 2)",
  "        }",
  "        if (false != comments) then {",
  "            s := s ++ comments.pretty(depth+2)",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        var spc := \"\"",
  "        repeat (depth) times {",
  "            spc := spc ++ \"    \"",
  "        }",
  "        var s := \"var {self.name.toGrace(0)}\"",
  "        if ( (false != self.dtype) && {",
  "                self.dtype.value != \"Unknown\" }) then {",
  "            s := s ++ \" : \" ++ self.dtype.toGrace(0)",
  "        }",
  "        if (self.annotations.size > 0) then {",
  "            s := s ++ \" is \"",
  "            s := s ++ self.annotations.fold{ a,b ->",
  "                if (a != \"\") then { a ++ \", \" } else { \"\" } ++ b.toGrace(0) }",
  "                    startingWith \"\"",
  "        }",
  "        if (false != self.value) then {",
  "            s := s ++ \" := \" ++ self.value.toGrace(depth)",
  "        }",
  "        s",
  "    }",
  "    method shallowCopy {",
  "        varDecNode.new(name, value, dtype).shallowCopyFieldsFrom(self)",
  "    }",
  "    method statementName { \"variable declaration\" }",
  "",
  "  }",
  "}",
  "def importNode is public = object {",
  "  class new(path', name', dtype') {",
  "    inherits baseNode",
  "    def kind is public = \"import\"",
  "    var value is public := name'",
  "    var path is public := path'",
  "    var annotations is public := [ ]",
  "    var dtype is public := dtype'",
  "    method isImport { true }",
  "    method isExternal { true }",
  "    method isExecutable { false }",
  "    method name { value }",
  "    method nameString { value.nameString }",
  "    method isPublic {",
  "        // imports, like defs, are confidential by default",
  "        if (annotations.size == 0) then { return false }",
  "        if (findAnnotation(self, \"public\")) then { return true }",
  "        findAnnotation(self, \"readable\")",
  "    }",
  "    method moduleName {",
  "        var bnm := \"\"",
  "        for (path) do {c->",
  "            if (c == \"/\") then {",
  "                bnm := \"\"",
  "            } else {",
  "                bnm := bnm ++ c",
  "            }",
  "        }",
  "        bnm",
  "    }",
  "    method isWritable { false }",
  "    method isReadable { isPublic }",
  "    method declarationKindWithAncestors(as) { k.defdec }",
  "    method usesAsType(aNode) {",
  "        aNode == dtype",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitImport(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            for (self.annotations) do { ann ->",
  "                ann.accept(visitor) from(newChain)",
  "            }",
  "            self.value.accept(visitor) from(newChain)",
  "            if (false != self.dtype) then {",
  "                self.dtype.accept(visitor) from(newChain)",
  "            }",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        n.dtype := maybeMap(dtype, blk) ancestors(newChain)",
  "        n.annotations := listMap(annotations, blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {path}\\n\"",
  "        s := s ++ \"{spc}Identifier: {value}\\n\"",
  "        if (annotations.size > 0) then {",
  "            s := s ++ \"{spc}Anotations: {annotations}\\n\"",
  "        }",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"import \\\"{self.path}\\\" as {nameString}\"",
  "    }",
  "    method shallowCopy {",
  "        importNode.new(path, nullNode, false).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def dialectNode is public = object {",
  "  class new(path') {",
  "    inherits baseNode",
  "    def kind is public = \"dialect\"",
  "    var value is public := path'",
  "",
  "    method isDialect { true }",
  "    method isExternal { true }",
  "    method isExecutable { false }",
  "    method moduleName {",
  "        var bnm := \"\"",
  "        for (value) do {c->",
  "            if (c == \"/\") then {",
  "                bnm := \"\"",
  "            } else {",
  "                bnm := bnm ++ c",
  "            }",
  "        }",
  "        bnm",
  "    }",
  "    method path {",
  "        value",
  "    }",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        visitor.visitDialect(self) up(as)",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ \"{spc}Path: {self.value}\\n\"",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"dialect \\\"{self.value}\\\"\"",
  "    }",
  "    method shallowCopy {",
  "        dialectNode.new(value).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def returnNode is public = object {",
  "  class new(expr) {",
  "    inherits baseNode",
  "    def kind is public = \"return\"",
  "    var value is public := expr",
  "",
  "    method accept(visitor : ASTVisitor) from(as) {",
  "        if (visitor.visitReturn(self) up(as)) then {",
  "            def newChain = as.extend(self)",
  "            self.value.accept(visitor) from(newChain)",
  "        }",
  "    }",
  "    method map(blk) ancestors(as) {",
  "        var n := shallowCopy",
  "        def newChain = as.extend(n)",
  "        n.value := value.map(blk) ancestors(newChain)",
  "        blk.apply(n, as)",
  "    }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        var s := super.pretty(depth) ++ \"\\n\"",
  "        s := s ++ spc ++ self.value.pretty(depth + 1)",
  "        s",
  "    }",
  "    method toGrace(depth : Number) -> String {",
  "        \"return \" ++ self.value.toGrace(depth)",
  "    }",
  "    method shallowCopy {",
  "        returnNode.new(nullNode).shallowCopyFieldsFrom(self)",
  "    }",
  "  }",
  "}",
  "def inheritsNode = object {",
  "    method new(expr) scope(s) {",
  "        def result = new(expr)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class new(expr) {",
  "        inherits baseNode",
  "        def kind is public = \"inherits\"",
  "        var value is public := expr",
  "        var providedNames is public := emptySet",
  "        var aliases is public := [ ]",
  "        var exclusions is public := [ ]",
  "        var isUse is public := false  // this is a `use trait` clause, not an inherits",
  "",
  "        method isLegalInTrait { isUse }",
  "        method isInherits { true }",
  "        method inheritsFromMember { value.isMember }",
  "        method inheritsFromCall { value.isCall }",
  "        method isExecutable { false }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitInherits(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                value.accept(visitor) from(newChain)",
  "                aliases.do { a ->",
  "                    a.newName.accept(visitor) from(newChain)",
  "                    a.oldName.accept(visitor) from(newChain)",
  "                }",
  "                exclusions.do { e -> e.accept(visitor) from(newChain) }",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) {",
  "            // identifiers declared in an inherits statement are aliases for",
  "            // methods.  We treat them as methods, because (unlike inherited names)",
  "            // they can't be overridden by local methods.",
  "            k.methdec",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.value := value.map(blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := super.pretty(depth)",
  "            if (isUse) then { s := \"{s} (use)\" }",
  "            s := s ++ \"\\n\" ++ spc ++ self.value.pretty(depth + 1)",
  "            aliases.do { a ->",
  "                s := \"{s}\\n{a.pretty(depth)}\"",
  "            }",
  "            if (exclusions.isEmpty.not) then { s := \"{s}\\n{spc}\" }",
  "            exclusions.do { e ->",
  "                s := \"{s} exclude {e} \"",
  "            }",
  "            if (providedNames.isEmpty.not) then {",
  "                s := s ++ \"\\n{spc}Provided names: {providedNames.asList.sort}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth : Number) -> String {",
  "            var s := \"\"",
  "            repeat (depth) times {",
  "                s := s ++ \"    \"",
  "            }",
  "            s := s ++ if (isUse) then { \"use \" } else { \"inherit \" }",
  "            s := s ++ self.value.toGrace(0)",
  "            aliases.do { a ->",
  "                s := \"{s} {a} \"",
  "            }",
  "            exclusions.do { e ->",
  "                s := \"{s} exclude {e.nameString} \"",
  "            }",
  "            s",
  "        }",
  "        method asString {",
  "            if (isUse) then { \"use \" } else { \"inherit \" } ++ value.toGrace 0",
  "        }",
  "        method nameString { value.toGrace(0) }",
  "        method addAlias (newName) for (oldName) {",
  "            aliases.push(aliasNew(newName) old(oldName))",
  "        }",
  "        method addExclusion(methName) {",
  "            exclusions.push(methName)",
  "        }",
  "        method shallowCopy {",
  "            inheritsNode.new(nullNode).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            providedNames := other.providedNames",
  "            aliases := other.aliases",
  "            exclusions := other.exclusions",
  "            isUse := other.isUse",
  "            self",
  "        }",
  "        method statementName {",
  "            if (isUse) then { \"use\" } else { \"inherit\" }",
  "        }",
  "    }",
  "}",
  "type AliasPair = {",
  "    newName",
  "    oldName",
  "}",
  "",
  "class aliasNew(n) old(o) {",
  "    method newName {n}",
  "    method oldName {o}",
  "    method asString { \"alias {n.nameString} = {o.nameString}\" }",
  "    method pretty(depth) {",
  "        var spc := \"\"",
  "        for (0..depth) do { i ->",
  "            spc := spc ++ \"  \"",
  "        }",
  "        \"{spc}  alias {n.pretty(depth)} = {o.pretty(depth)}\"",
  "    }",
  "    method hash { (n.hash * 1171) + o.hash }",
  "    method isExecutable { false }",
  "    method == (other) {",
  "        match (other)",
  "            case { that:AliasPair -> (n == that.newName) && (o == that.oldName) }",
  "            case { _ -> false }",
  "    }",
  "}",
  "def blankNode is public = object {",
  "    class new {",
  "        inherits baseNode",
  "        def kind is public = \"blank\"",
  "        def value is public = \"blank\"",
  "        method isExecutable { false }",
  "",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitBlank(self) up(as)",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method nameString { \"\" }",
  "        method asString { \"blank\" }",
  "        method toGrace(depth : Number) -> String { \"\" }",
  "        method shallowCopy {",
  "            blankNode.new.shallowCopyFieldsFrom(self)",
  "        }",
  "    }",
  "}",
  "def signaturePart = object {",
  "    method new {",
  "        partName \"\" params []",
  "    }",
  "    method partName(n) scope(s) {",
  "        def result = partName(n) params []",
  "        result.scope := s",
  "        result",
  "    }",
  "    method partName(n) params(ps) scope(s) {",
  "        def result = partName(n) params(ps)",
  "        result.scope := s",
  "        result",
  "    }",
  "    method partName(n) {",
  "        partName(n) params []",
  "    }",
  "    class partName(n) params(ps) {",
  "        inherits baseNode",
  "        def kind is public = \"signaturepart\"",
  "        var name is public := n",
  "        var params is public := ps",
  "        var typeParams is public := false",
  "        var lineLength is public := 0",
  "",
  "        method nameString {",
  "            if (params.isEmpty) then {return name}",
  "            name ++ \"(\" ++ params.size ++ \")\"",
  "        }",
  "",
  "        method canonicalName {",
  "            if (params.size == 0) then {return name}",
  "            var underScores := \"\"",
  "            params.do { _ -> underScores := underScores ++ \"_\" }",
  "                separatedBy { underScores := underScores ++ \",\" }",
  "            name ++ \"(\" ++ underScores ++ \")\"",
  "        }",
  "",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            if (visitor.visitSignaturePart(self) up(as)) then {",
  "                def newChain = as.extend(self)",
  "                params.do { p -> p.accept(visitor) from(newChain) }",
  "                if (false != typeParams) then {",
  "                    typeParams.accept(visitor) from(newChain)",
  "                }",
  "            }",
  "        }",
  "        method declarationKindWithAncestors(as) { k.parameter }",
  "        method map(blk) ancestors(as) {",
  "            var nd := shallowCopy",
  "            def newChain = as.extend(nd)",
  "            nd.params := listMap(params, blk) ancestors(newChain)",
  "            nd.typeParams := maybeMap(typeParams, blk) ancestors(newChain)",
  "            blk.apply(nd, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            for (0..depth) do { i ->",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := \"{super.pretty(depth)}: {name}\"",
  "            if (params.isEmpty.not) then { s := \"{s}\\n{spc}Parameters:\" }",
  "            for (params) do { p ->",
  "                s := \"{s}\\n  {spc}{p.pretty(depth + 2)}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth) {",
  "            var s := name",
  "            if (params.isEmpty.not) then {",
  "                s := s ++ \"(\"",
  "                params.do { each -> s := each.toGrace(depth + 1) }",
  "                    separatedBy { s := s ++ \", \" }",
  "                s := s ++ \")\"",
  "            }",
  "            s",
  "        }",
  "        method shallowCopy {",
  "            signaturePart.partName(name) params(params)",
  "                .shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            typeParams := other.typeParams",
  "            lineLength := other.lineLength",
  "            self",
  "        }",
  "        method asString {",
  "            \"part: {nameString}\"",
  "        }",
  "    }",
  "}",
  "",
  "def requestPart = object {",
  "    method new {",
  "        request \"\" withArgs( [] )",
  "    }",
  "    method request(name) withArgs(argList) scope (s) {",
  "        def result = request(name) withArgs(argList)",
  "        result.scope := s",
  "        result",
  "    }",
  "    class request(rPart) withArgs(xs) {",
  "        inherits baseNode",
  "        def kind is public = \"callwithpart\"",
  "        var name is public := rPart",
  "        var args is public := xs",
  "        var typeArgs := emptySeq",
  "        var lineLength is public := 0",
  "",
  "        method nameString {",
  "            if (args.size == 0) then {return name}",
  "            name ++ \"(\" ++ args.size ++ \")\"",
  "        }",
  "",
  "        method canonicalName {",
  "            if (args.size == 0) then {return name}",
  "            var underScores := \"\"",
  "            args.do { _ -> underScores := underScores ++ \"_\" }",
  "                separatedBy { underScores := underScores ++ \",\" }",
  "            name ++ \"(\" ++ underScores ++ \")\"",
  "        }",
  "",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            n.args := listMap(args, blk) ancestors(newChain)",
  "            blk.apply(n, as)",
  "        }",
  "        method pretty(depth) {",
  "            var spc := \"\"",
  "            repeat (depth+1) times {",
  "                spc := spc ++ \"  \"",
  "            }",
  "            var s := \"{super.pretty(depth)}: {name}\"",
  "            s := \"{s}\\n    {spc}Args:\"",
  "            for (args) do { a ->",
  "                s := \"{s}\\n    {spc}{a.pretty(depth + 4)}\"",
  "            }",
  "            s",
  "        }",
  "        method toGrace(depth) {",
  "            var s := name",
  "            if (typeArgs.size > 0) then {",
  "                s := s ++ \"⟦\"",
  "                typeArgs.do { tArg ->",
  "                    s := s ++ tArg.toGrace(depth + 1)",
  "                } separatedBy { s := s ++ \", \" }",
  "                s := s ++ \"⟧\"",
  "            }",
  "            if (args.size > 0) then {",
  "                def needsParens = (args.size > 1) || (args.first.isDelimited.not)",
  "                s := s ++ if (needsParens) then { \"(\" } else { \" \" }",
  "                args.do { arg ->",
  "                    s := s ++ arg.toGrace(depth)",
  "                } separatedBy {",
  "                    s := s ++ \", \"",
  "                }",
  "                if (needsParens) then { s := s ++ \")\" }",
  "            }",
  "            s",
  "        }",
  "",
  "        method shallowCopy {",
  "            requestPart.request(name) withArgs(args).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            lineLength := other.lineLength",
  "            self",
  "        }",
  "        method statementName { \"request\" }",
  "    }",
  "}",
  "",
  "def commentNode = object {",
  "    class new(val') {",
  "        inherits baseNode",
  "        def kind is public = \"comment\"",
  "        var value is public := val'",
  "        var isPartialLine:Boolean is public := false",
  "        var isPreceededByBlankLine is public := false",
  "        var endLine is public := util.linenum",
  "        method isComment { true }",
  "        method isLegalInTrait { true }",
  "        method isExecutable { false }",
  "        method asString { \"comment ({line}–{endLine}): {value}\" }",
  "        method extendCommentUsing(cmtNode) {",
  "            value := value ++ \" \" ++ cmtNode.value",
  "            endLine := cmtNode.endLine",
  "        }",
  "        method map(blk) ancestors(as) {",
  "            var n := shallowCopy",
  "            def newChain = as.extend(n)",
  "            blk.apply(n, as)",
  "        }",
  "        method accept(visitor : ASTVisitor) from(as) {",
  "            visitor.visitComment(self) up(as)",
  "        }",
  "        method pretty(depth) {",
  "            var s := \"\\n\"",
  "            repeat (depth-1) times {",
  "                s := s ++ \"  \"",
  "            }",
  "            def pb = if (isPreceededByBlankLine) then { \" > blank\" } else { \"\" }",
  "            \"{s}Comment{pb}({line}–{endLine}): ‹{value}›\"",
  "        }",
  "        method toGrace(depth) {",
  "            // Partial line comments don't start with a newline, whereas",
  "            // full-line comments do.  No newline at end in either case.",
  "            if (isPartialLine) then {",
  "                \"// (partial) {value}\"",
  "            } else {",
  "                var spc := \"\"",
  "                repeat (depth) times { spc := spc ++ \"    \" }",
  "                wrap(value) to (lineLength) prefix (spc ++ \"// \")",
  "            }",
  "        }",
  "        method shallowCopy {",
  "            commentNode.new(nullNode).shallowCopyFieldsFrom(self)",
  "        }",
  "        method shallowCopyFieldsFrom(other) {",
  "            super.shallowCopyFieldsFrom(other)",
  "            value := other.value",
  "            isPartialLine := other.isPartialLine",
  "            endLine := other.endLine",
  "            self",
  "        }",
  "    }",
  "}",
  "",
  "method wrap(str) to (l:Number) prefix (margin) {",
  "    def ind = margin.size",
  "    def len = max(ind + 4, l)",
  "    if ((ind + str.size) <= len) then {",
  "        return \"\\n\" ++ margin ++ str",
  "    }",
  "    var currBreak",
  "    var trimmedLine",
  "",
  "    try {",
  "        currBreak := str.lastIndexOf \" \" startingAt (len - ind)",
  "            ifAbsent {len - ind}",
  "        trimmedLine := str.substringFrom (1) to (currBreak).trim",
  "    } catch { ex:NoSuchMethod ->  // C string libraries lack methods",
  "        currBreak := min(len - ind, str.size)",
  "        (1..currBreak).do { ix ->",
  "            if (str.at(ix) == \" \") then { currBreak := ix }",
  "        }",
  "        var end := currBreak",
  "        while {(end >= 1) && {str.at(end) == \" \"}} do {",
  "            end := end - 1",
  "        }",
  "        var start := 1",
  "        while {(start <= str.size) && {str.at(start) == \" \"}} do {",
  "            start := start + 1",
  "        }",
  "        trimmedLine := str.substringFrom (start) to (end)",
  "    }",
  "    \"\\n\" ++ margin ++ trimmedLine ++",
  "        wrap(str.substringFrom (currBreak+1) to (str.size))",
  "            to (l) prefix (margin)",
  "}",
  "",
  "",
  "type ASTVisitor = {",
  "    visitIf(o) up(as) -> Boolean",
  "    visitBlock(o) up(as) -> Boolean",
  "    visitMatchCase(o) up(as) -> Boolean",
  "    visitTryCatch(o) up(as) -> Boolean",
  "    visitMethodType(o) up(as) -> Boolean",
  "    visitSignaturePart(o) up(as) -> Boolean",
  "    visitTypeLiteral(o) up(as) -> Boolean",
  "    visitTypeParameters(o) up(as) -> Boolean",
  "    visitTypeDec(o) up(as) -> Boolean",
  "    visitMethod(o) up(as) -> Boolean",
  "    visitCall(o) up(as) -> Boolean",
  "    visitObject(o) up(as) -> Boolean",
  "    visitModule(o) up(as) -> Boolean",
  "    visitArray(o) up(as) -> Boolean",
  "    visitMember(o) up(as) -> Boolean",
  "    visitGeneric(o) up(as) -> Boolean",
  "    visitIdentifier(o) up(as) -> Boolean",
  "    visitString(o) up(as) -> Boolean",
  "    visitNum(o) up(as) -> Boolean",
  "    visitOp(o) up(as) -> Boolean",
  "    visitBind(o) up(as) -> Boolean",
  "    visitDefDec(o) up(as) -> Boolean",
  "    visitVarDec(o) up(as) -> Boolean",
  "    visitImport(o) up(as) -> Boolean",
  "    visitReturn(o) up(as) -> Boolean",
  "    visitInherits(o) up(as) -> Boolean",
  "    visitDialect(o) up(as) -> Boolean",
  "    visitBlank(o) up(as) -> Boolean",
  "    visitComment(o) up(as) -> Boolean",
  "    visitImplicit(o) up(as) -> Boolean",
  "}",
  "",
  "class baseVisitor -> ASTVisitor {",
  "    method visitIf(o) up(as) { visitIf(o) }",
  "    method visitBlock(o) up(as) { visitBlock(o) }",
  "    method visitMatchCase(o) up(as) { visitMatchCase(o) }",
  "    method visitTryCatch(o) up(as) { visitTryCatch(o) }",
  "    method visitMethodType(o) up(as) { visitMethodType(o) }",
  "    method visitSignaturePart(o) up(as) { visitSignaturePart(o) }",
  "    method visitTypeDec(o) up(as) { visitTypeDec(o) }",
  "    method visitTypeLiteral(o) up(as) { visitTypeLiteral(o) }",
  "    method visitTypeParameters(o) up(as) { visitTypeParameters(o) }",
  "    method visitMethod(o) up(as) { visitMethod(o) }",
  "    method visitCall(o) up(as) { visitCall(o) }",
  "    method visitObject(o) up(as) { visitObject(o) }",
  "    method visitModule(o) up(as) { visitObject(o) }",
  "    method visitArray(o) up(as) { visitArray(o) }",
  "    method visitMember(o) up(as) { visitMember(o) }",
  "    method visitGeneric(o) up(as) { visitGeneric(o) }",
  "    method visitIdentifier(o) up(as) { visitIdentifier(o) }",
  "    method visitString(o) up(as) { visitString(o) }",
  "    method visitNum(o) up(as) { visitNum(o) }",
  "    method visitOp(o) up(as) { visitOp(o) }",
  "    method visitBind(o) up(as) { visitBind(o) }",
  "    method visitDefDec(o) up(as) { visitDefDec(o) }",
  "    method visitVarDec(o) up(as) { visitVarDec(o) }",
  "    method visitImport(o) up(as) { visitImport(o) }",
  "    method visitReturn(o) up(as) { visitReturn(o) }",
  "    method visitInherits(o) up(as) { visitInherits(o) }",
  "    method visitDialect(o) up(as) { visitDialect(o) }",
  "    method visitBlank(o) up(as) { visitBlank(o) }",
  "    method visitComment(o) up(as) { visitComment(o) }",
  "    method visitImplicit(o) up(as) { visitImplicit(o) }",
  "",
  "    method visitIf(o) -> Boolean { true }",
  "    method visitBlock(o) -> Boolean { true }",
  "    method visitMatchCase(o) -> Boolean { true }",
  "    method visitTryCatch(o) -> Boolean { true }",
  "    method visitMethodType(o) -> Boolean { true }",
  "    method visitSignaturePart(o) -> Boolean { true }",
  "    method visitTypeDec(o) -> Boolean { true }",
  "    method visitTypeLiteral(o) -> Boolean { true }",
  "    method visitTypeParameters(o) -> Boolean { true }",
  "    method visitMethod(o) -> Boolean { true }",
  "    method visitCall(o) -> Boolean { true }",
  "    method visitObject(o) -> Boolean { true }",
  "    method visitModule(o) -> Boolean { true }",
  "    method visitArray(o) -> Boolean { true }",
  "    method visitMember(o) -> Boolean { true }",
  "    method visitGeneric(o) -> Boolean { true }",
  "    method visitIdentifier(o) -> Boolean { true }",
  "    method visitString(o) -> Boolean { true }",
  "    method visitNum(o) -> Boolean { true }",
  "    method visitOp(o) -> Boolean { true }",
  "    method visitBind(o) -> Boolean { true }",
  "    method visitDefDec(o) -> Boolean { true }",
  "    method visitVarDec(o) -> Boolean { true }",
  "    method visitImport(o) -> Boolean { true }",
  "    method visitReturn(o) -> Boolean { true }",
  "    method visitInherits(o) -> Boolean { true }",
  "    method visitDialect(o) -> Boolean { true }",
  "    method visitBlank(o) -> Boolean { true }",
  "    method visitComment(o) -> Boolean { true }",
  "    method visitImplicit(o) -> Boolean { true }",
  "",
  "    method asString { \"an AST visitor\" }",
  "}",
  "",
  "class pluggableVisitor(visitation:Block2) -> ASTVisitor {",
  "    // Manufactures a default visitor, given a 2-parameter block.",
  "    // Typically, some of the methods will be overridden.",
  "    // The block will be applied with the AST node as the first argument",
  "    // and the ancestor chain as the second, and should answer true if",
  "    // the visitation is to continue and false if it is to go no deeper.",
  "",
  "    method visitIf(o) up(as) { visitation.apply (o, as) }",
  "    method visitBlock(o) up(as) { visitation.apply (o, as) }",
  "    method visitMatchCase(o) up(as) { visitation.apply (o, as) }",
  "    method visitTryCatch(o) up(as) { visitation.apply (o, as) }",
  "    method visitMethodType(o) up(as) { visitation.apply (o, as) }",
  "    method visitSignaturePart(o) up(as) { visitation.apply (o, as) }",
  "    method visitTypeDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitTypeLiteral(o) up(as) { visitation.apply (o, as) }",
  "    method visitMethod(o) up(as) { visitation.apply (o, as) }",
  "    method visitCall(o) up(as) { visitation.apply (o, as) }",
  "    method visitObject(o) up(as) { visitation.apply (o, as) }",
  "    method visitModule(o) up(as) { visitation.apply (o, as) }",
  "    method visitArray(o) up(as) { visitation.apply (o, as) }",
  "    method visitMember(o) up(as) { visitation.apply (o, as) }",
  "    method visitGeneric(o) up(as) { visitation.apply (o, as) }",
  "    method visitIdentifier(o) up(as) { visitation.apply (o, as) }",
  "    method visitString(o) up(as) { visitation.apply (o, as) }",
  "    method visitNum(o) up(as) { visitation.apply (o, as) }",
  "    method visitOp(o) up(as) { visitation.apply (o, as) }",
  "    method visitBind(o) up(as) { visitation.apply (o, as) }",
  "    method visitDefDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitVarDec(o) up(as) { visitation.apply (o, as) }",
  "    method visitImport(o) up(as) { visitation.apply (o, as) }",
  "    method visitReturn(o) up(as) { visitation.apply (o, as) }",
  "    method visitInherits(o) up(as) { visitation.apply (o, as) }",
  "    method visitDialect(o) up(as) { visitation.apply (o, as) }",
  "    method visitBlank(o) up(as) { visitation.apply (o, as) }",
  "    method visitComment(o) up(as) { visitation.apply (o, as) }",
  "    method visitImplicit(o) up(as) { visitation.apply (o, as) }",
  "",
  "    method asString { \"a pluggable AST visitor\" }",
  "}",
  "",
  "",
  "def patternMarkVisitor = object {",
  "    inherits baseVisitor",
  "    method visitCall(c) up(as) {",
  "        c.isPattern := true",
  "        true",
  "    }",
  "}",
  "",
  "method findAnnotation(node, annName) {",
  "    for (node.annotations) do {ann->",
  "        if ((ann.kind == \"identifier\") && {",
  "            ann.value == annName }) then {",
  "            return object {",
  "                inherits true",
  "                def value is public = ann",
  "            }",
  "        }",
  "    }",
  "    false",
  "}",
  NULL
};
Object reader_ast_outer_30(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_register_31(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_register_31(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_line_32(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_line_32(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_linePos_33(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_linePos_33(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_symbolTable_34(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_symbolTable_34(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_comments_35(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_comments_35(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_433(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_716(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_872(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_988(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_value_989(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_1003(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1006(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1024(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1081(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1082(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_nameString_1083(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_1113(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1114(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_outer_1129(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_node_1130(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_ast_node_1130(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_ast_outer_1197(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1200(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1201(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1202(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_1202(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_thenblock_1203(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_thenblock_1203(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_elseblock_1204(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_elseblock_1204(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_handledIdentifiers_1205(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_handledIdentifiers_1205(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_1556(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_1559(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_1560(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_1561(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_params_1562(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_1562(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_body_1563(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_body_1563(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_selfclosure_1564(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_matchingPattern_1565(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_matchingPattern_1565(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_extraRuntimeData_1566(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_extraRuntimeData_1566(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_2018(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2021(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2022(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_2023(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_2023(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_cases_2024(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_cases_2024(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_finally_2025(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_finally_2025(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_2330(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2333(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_2335(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_2335(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_cases_2336(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_cases_2336(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_elsecase_2337(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_elsecase_2337(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_2638(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_2641(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_2642(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_signature_2643(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_signature_2643(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_rtype_2644(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_rtype_2644(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeParams_2645(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeParams_2645(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_cachedIdentifier_2646(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_cachedIdentifier_2646(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_3021(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3024(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3025(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_methods_3026(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_methods_3026(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_types_3027(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_types_3027(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_nominal_3028(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_nominal_3028(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_anonymous_3029(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_anonymous_3029(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_value_3030(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_value_3030(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_3334(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3337(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3338(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_3339(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_3339(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_3340(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_3340(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_nameString_3341(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_ast_annotations_3342(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_annotations_3342(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_typeParams_3343(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_typeParams_3343(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_3664(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_3672(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_3673(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_signature_3674(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_signature_3674(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_body_3675(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_body_3675(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_3676(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_3676(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_typeParams_3677(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_typeParams_3677(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_selfclosure_3678(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_selfclosure_3678(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_annotations_3679(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_annotations_3679(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_isFresh_3680(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_isFresh_3680(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_usesClassSyntax_3681(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_usesClassSyntax_3681(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_cachedIdentifier_3682(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[10];
}
Object writer_ast_cachedIdentifier_3682(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[10] = args[0];
  return done;
}
Object reader_ast_outer_4710(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_4718(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_4719(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_with_4720(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_with_4720(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_generics_4721(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_generics_4721(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_isPattern_4722(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_isPattern_4722(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_receiver_4723(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_receiver_4723(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isSelfRequest_4724(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isSelfRequest_4724(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_5246(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5261(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5262(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_sourceLines_5263(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_imports_5264(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_imports_5264(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_5336(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5350(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5351(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5352(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_5352(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_superclass_5353(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_superclass_5353(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_usedTraits_5354(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_usedTraits_5354(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_name_5355(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_name_5355(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_inClass_5356(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_inClass_5356(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_inTrait_5357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_inTrait_5357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_myLocalNames_5358(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_myLocalNames_5358(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_annotations_5359(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_annotations_5359(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_outer_5949(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_5952(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_5953(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_5954(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_5954(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_6084(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6092(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6093(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6094(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6094(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_receiver_6095(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_receiver_6095(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_generics_6096(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_generics_6096(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isSelfRequest_6097(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isSelfRequest_6097(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_6465(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6468(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6469(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6470(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6470(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_args_6471(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_args_6471(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_6626(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6629(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6630(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_params_6631(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_params_6631(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_6789(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_6797(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_6798(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_6799(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_6799(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_wildcard_6800(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_wildcard_6800(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_6801(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_6801(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_isBindingOccurrence_6802(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_isBindingOccurrence_6802(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isAssigned_6803(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isAssigned_6803(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_inRequest_6804(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_inRequest_6804(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_generics_6805(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[8];
}
Object writer_ast_generics_6805(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[8] = args[0];
  return done;
}
Object reader_ast_isDeclaredByParent_6806(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[9];
}
Object writer_ast_isDeclaredByParent_6806(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[9] = args[0];
  return done;
}
Object reader_ast_outer_7221(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7229(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7230(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7231(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7231(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7307(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7310(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7311(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7312(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_7312(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_7380(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7383(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7384(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_7385(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_left_7386(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_left_7386(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_right_7387(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_right_7387(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_outer_7664(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7667(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7668(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_dest_7669(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_dest_7669(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_7670(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_7670(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_outer_7839(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_7847(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_7848(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_7849(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_7849(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_7850(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_7850(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_7851(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_7851(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_7852(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_7853(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_annotations_7853(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_startToken_7854(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[7];
}
Object writer_ast_startToken_7854(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[7] = args[0];
  return done;
}
Object reader_ast_outer_8305(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8308(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8309(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_8310(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_8310(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_value_8311(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_value_8311(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_dtype_8312(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_dtype_8312(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_nameString_8313(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_ast_annotations_8314(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_annotations_8314(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_8763(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_8766(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_8767(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_8768(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_8768(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_path_8769(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_path_8769(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_annotations_8770(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_annotations_8770(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_dtype_8771(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_dtype_8771(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_9043(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9046(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9047(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9048(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9048(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_9159(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9162(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9163(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9164(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9164(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_outer_9249(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9257(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9258(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9259(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_9259(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_providedNames_9260(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_providedNames_9260(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_aliases_9261(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_aliases_9261(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_exclusions_9262(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_exclusions_9262(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_isUse_9263(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_ast_isUse_9263(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_ast_outer_9645(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9648(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9649(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_9650(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_ast_outer_9685(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_9708(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_9709(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_9710(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_9710(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_params_9711(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_params_9711(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeParams_9712(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeParams_9712(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_lineLength_9713(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_lineLength_9713(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_10020(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_10033(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_10034(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_name_10035(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_name_10035(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_args_10036(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_args_10036(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_typeArgs_10037(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_typeArgs_10037(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_lineLength_10038(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_lineLength_10038(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_10356(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_outer_10359(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_ast_kind_10360(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_ast_value_10361(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_ast_value_10361(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_ast_isPartialLine_10362(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_ast_isPartialLine_10362(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_ast_isPreceededByBlankLine_10363(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_ast_isPreceededByBlankLine_10363(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_ast_endLine_10364(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_ast_endLine_10364(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_ast_outer_10565(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
static ClassData objclass29;
static Object strlit130;
static Object strlit137;
static Object strlit143;
static Object strlit149;
static Object strlit207;
static Object strlit216;
static Object strlit227;
static Object strlit243;
static Object strlit252;
static Object strlit259;
static Object strlit268;
static Object strlit273;
static Object strlit280;
static Object strlit287;
static Object strlit293;
static Object strlit310;
static Object strlit318;
static Object strlit325;
static Object strlit332;
static Object strlit338;
static Object strlit346;
static Object strlit355;
static Object strlit362;
static Object strlit369;
static Object strlit375;
static Object strlit424;
static ClassData objclass432;
static Object strlit438;
static Object strlit445;
static Object strlit451;
static Object strlit457;
static Object strlit466;
static Object strlit473;
static Object strlit480;
static Object strlit487;
static Object strlit491;
static Object strlit532;
static Object strlit566;
static Object strlit573;
static Object strlit607;
static Object strlit626;
static Object strlit656;
static Object strlit685;
static Object strlit710;
static ClassData objclass715;
static Object strlit868;
static ClassData objclass871;
static Object strlit961;
static Object strlit981;
static ClassData objclass987;
Object module_util;
Object module_util_init();
Object module_identifierKinds;
Object module_identifierKinds_init();
static Object strlit997;
static ClassData objclass1002;
static ClassData objclass1005;
static Object strlit1010;
static ClassData objclass1023;
static Object strlit1035;
static Object strlit1047;
static Object strlit1062;
static ClassData objclass1080;
static Object strlit1087;
static Object strlit1089;
static Object strlit1098;
static Object strlit1109;
static Object strlit1110;
static ClassData objclass1112;
static Object strlit1116;
static Object strlit1118;
static Object strlit1126;
static ClassData objclass1128;
static Object strlit1132;
static Object strlit1136;
static Object strlit1141;
static Object strlit1146;
static Object strlit1152;
static Object strlit1165;
static Object strlit1169;
static Object strlit1178;
static Object strlit1184;
static Object strlit1191;
static ClassData objclass1196;
static ClassData objclass1199;
static Object strlit1252;
static Object strlit1261;
static Object strlit1268;
static Object strlit1289;
static Object strlit1295;
static Object strlit1302;
static Object strlit1314;
static Object strlit1325;
static Object strlit1337;
static Object strlit1347;
static Object strlit1372;
static Object strlit1381;
static Object strlit1386;
static Object strlit1411;
static Object strlit1420;
static Object strlit1425;
static Object strlit1432;
static Object strlit1441;
static Object strlit1460;
static Object strlit1465;
static Object strlit1480;
static Object strlit1485;
static Object strlit1507;
static Object strlit1512;
static Object strlit1522;
static Object strlit1527;
static Object strlit1551;
static ClassData objclass1555;
static ClassData objclass1558;
static Object strlit1712;
static Object strlit1721;
static Object strlit1728;
static Object strlit1734;
static Object strlit1757;
static Object strlit1766;
static Object strlit1771;
static Object strlit1794;
static Object strlit1810;
static Object strlit1815;
static Object strlit1835;
static Object strlit1842;
static Object strlit1847;
static Object strlit1853;
static Object strlit1864;
static Object strlit1887;
static Object strlit1895;
static Object strlit1917;
static Object strlit1922;
static Object strlit1944;
static Object strlit1953;
static Object strlit1965;
static Object strlit1972;
static Object strlit2001;
static Object strlit2002;
static ClassData objclass2017;
static ClassData objclass2020;
static Object strlit2092;
static Object strlit2101;
static Object strlit2108;
static Object strlit2114;
static Object strlit2139;
static Object strlit2150;
static Object strlit2155;
static Object strlit2159;
static Object strlit2180;
static Object strlit2193;
static Object strlit2198;
static Object strlit2202;
static Object strlit2213;
static Object strlit2226;
static Object strlit2233;
static Object strlit2245;
static Object strlit2262;
static Object strlit2265;
static Object strlit2270;
static Object strlit2298;
static Object strlit2301;
static Object strlit2306;
static Object strlit2326;
static ClassData objclass2329;
static ClassData objclass2332;
static Object strlit2407;
static Object strlit2416;
static Object strlit2423;
static Object strlit2450;
static Object strlit2461;
static Object strlit2466;
static Object strlit2470;
static Object strlit2491;
static Object strlit2504;
static Object strlit2509;
static Object strlit2513;
static Object strlit2524;
static Object strlit2537;
static Object strlit2544;
static Object strlit2553;
static Object strlit2570;
static Object strlit2573;
static Object strlit2578;
static Object strlit2606;
static Object strlit2609;
static Object strlit2614;
static Object strlit2634;
static ClassData objclass2637;
static ClassData objclass2640;
static Object strlit2657;
static Object strlit2804;
static Object strlit2813;
static Object strlit2820;
static Object strlit2826;
static Object strlit2833;
static Object strlit2838;
static Object strlit2842;
static Object strlit2858;
static Object strlit2871;
static Object strlit2876;
static Object strlit2881;
static Object strlit2885;
static Object strlit2903;
static Object strlit2908;
static Object strlit2912;
static Object strlit2931;
static Object strlit2936;
static Object strlit2940;
static Object strlit2952;
static Object strlit2963;
static Object strlit2968;
static Object strlit2972;
static Object strlit2983;
static Object strlit3016;
static ClassData objclass3020;
static ClassData objclass3023;
static Object strlit3042;
static Object strlit3049;
static Object strlit3055;
static Object strlit3117;
static Object strlit3126;
static Object strlit3133;
static Object strlit3139;
static Object strlit3143;
static Object strlit3166;
static Object strlit3175;
static Object strlit3180;
static Object strlit3202;
static Object strlit3211;
static Object strlit3216;
static Object strlit3229;
static Object strlit3235;
static Object strlit3237;
static Object strlit3255;
static Object strlit3260;
static Object strlit3283;
static Object strlit3288;
static Object strlit3298;
static Object strlit3327;
static Object strlit3330;
static ClassData objclass3333;
static ClassData objclass3336;
static Object strlit3370;
static Object strlit3460;
static Object strlit3469;
static Object strlit3476;
static Object strlit3482;
static Object strlit3508;
static Object strlit3521;
static Object strlit3526;
static Object strlit3530;
static Object strlit3539;
static Object strlit3559;
static Object strlit3583;
static Object strlit3596;
static Object strlit3602;
static Object strlit3604;
static Object strlit3610;
static Object strlit3637;
static Object strlit3654;
static ClassData objclass3663;
static ClassData objclass3671;
static Object strlit3693;
static Object strlit3748;
static Object strlit3832;
static Object strlit3878;
static Object strlit4050;
static Object strlit4059;
static Object strlit4066;
static Object strlit4072;
static Object strlit4085;
static Object strlit4102;
static Object strlit4107;
static Object strlit4117;
static Object strlit4136;
static Object strlit4144;
static Object strlit4149;
static Object strlit4153;
static Object strlit4165;
static Object strlit4172;
static Object strlit4177;
static Object strlit4181;
static Object strlit4190;
static Object strlit4195;
static Object strlit4199;
static Object strlit4211;
static Object strlit4222;
static Object strlit4227;
static Object strlit4231;
static Object strlit4244;
static Object strlit4256;
static Object strlit4261;
static Object strlit4265;
static Object strlit4275;
static Object strlit4283;
static Object strlit4288;
static Object strlit4292;
static Object strlit4305;
static Object strlit4319;
static Object strlit4324;
static Object strlit4328;
static Object strlit4340;
static Object strlit4351;
static Object strlit4356;
static Object strlit4360;
static Object strlit4371;
static Object strlit4376;
static Object strlit4399;
static Object strlit4427;
static Object strlit4440;
static Object strlit4446;
static Object strlit4496;
static Object strlit4530;
static Object strlit4537;
static Object strlit4552;
static Object strlit4561;
static Object strlit4577;
static Object strlit4592;
static Object strlit4596;
static Object strlit4599;
static Object strlit4602;
static Object strlit4610;
static Object strlit4647;
static Object strlit4652;
static Object strlit4662;
static Object strlit4667;
static Object strlit4701;
static ClassData objclass4709;
static ClassData objclass4717;
static Object strlit4739;
static Object strlit4753;
static Object strlit4763;
static Object strlit4785;
static Object strlit4919;
static Object strlit4928;
static Object strlit4940;
static Object strlit4941;
static Object strlit4947;
static Object strlit4959;
static Object strlit4970;
static Object strlit4976;
static Object strlit4993;
static Object strlit5006;
static Object strlit5017;
static Object strlit5029;
static Object strlit5046;
static Object strlit5051;
static Object strlit5074;
static Object strlit5085;
static Object strlit5099;
static Object strlit5111;
static Object strlit5116;
static Object strlit5128;
static Object strlit5149;
static Object strlit5166;
static Object strlit5173;
static Object strlit5199;
static Object strlit5208;
static Object strlit5232;
static Object strlit5239;
static ClassData objclass5245;
static ClassData objclass5260;
static Object strlit5323;
static ClassData objclass5335;
static ClassData objclass5349;
static Object strlit5365;
static Object strlit5371;
static Object strlit5378;
static Object strlit5384;
static Object strlit5558;
static Object strlit5564;
static Object strlit5570;
static Object strlit5613;
static Object strlit5622;
static Object strlit5631;
static Object strlit5638;
static Object strlit5643;
static Object strlit5647;
static Object strlit5673;
static Object strlit5678;
static Object strlit5693;
static Object strlit5698;
static Object strlit5708;
static Object strlit5719;
static Object strlit5724;
static Object strlit5728;
static Object strlit5754;
static Object strlit5765;
static Object strlit5778;
static Object strlit5784;
static Object strlit5789;
static Object strlit5797;
static Object strlit5819;
static Object strlit5836;
static Object strlit5857;
static Object strlit5862;
static Object strlit5874;
static Object strlit5879;
static Object strlit5924;
static Object strlit5930;
static Object strlit5939;
static Object strlit5941;
static ClassData objclass5948;
static ClassData objclass5951;
static Object strlit5988;
static Object strlit5997;
static Object strlit6021;
static Object strlit6030;
static Object strlit6058;
static Object strlit6065;
static Object strlit6080;
static ClassData objclass6083;
static ClassData objclass6091;
static Object strlit6165;
static Object strlit6174;
static Object strlit6186;
static Object strlit6187;
static Object strlit6192;
static Object strlit6199;
static Object strlit6224;
static Object strlit6229;
static Object strlit6246;
static Object strlit6251;
static Object strlit6261;
static Object strlit6264;
static Object strlit6291;
static Object strlit6301;
static Object strlit6318;
static Object strlit6354;
static Object strlit6373;
static Object strlit6380;
static Object strlit6386;
static Object strlit6400;
static Object strlit6407;
static Object strlit6441;
static Object strlit6459;
static ClassData objclass6464;
static ClassData objclass6467;
static Object strlit6525;
static Object strlit6534;
static Object strlit6540;
static Object strlit6562;
static Object strlit6571;
static Object strlit6576;
static Object strlit6595;
static Object strlit6604;
static Object strlit6622;
static ClassData objclass6625;
static ClassData objclass6628;
static Object strlit6682;
static Object strlit6691;
static Object strlit6698;
static Object strlit6723;
static Object strlit6732;
static Object strlit6736;
static Object strlit6741;
static Object strlit6748;
static Object strlit6752;
static Object strlit6762;
static Object strlit6771;
static Object strlit6785;
static ClassData objclass6788;
static ClassData objclass6796;
static Object strlit6825;
static Object strlit6832;
static Object strlit6839;
static Object strlit6846;
static Object strlit6912;
static Object strlit6921;
static Object strlit6933;
static Object strlit6942;
static Object strlit6948;
static Object strlit6956;
static Object strlit6962;
static Object strlit6976;
static Object strlit6981;
static Object strlit7007;
static Object strlit7012;
static Object strlit7032;
static Object strlit7037;
static Object strlit7050;
static Object strlit7073;
static Object strlit7086;
static Object strlit7122;
static Object strlit7144;
static Object strlit7150;
static Object strlit7154;
static Object strlit7160;
static Object strlit7195;
static Object strlit7202;
static Object strlit7212;
static Object strlit7217;
static ClassData objclass7220;
static ClassData objclass7228;
static Object strlit7244;
static Object strlit7251;
static Object strlit7257;
static Object strlit7263;
static Object strlit7276;
static Object strlit7283;
static Object strlit7294;
static Object strlit7303;
static ClassData objclass7306;
static ClassData objclass7309;
static Object strlit7325;
static Object strlit7332;
static Object strlit7338;
static Object strlit7350;
static Object strlit7356;
static Object strlit7367;
static Object strlit7376;
static ClassData objclass7379;
static ClassData objclass7382;
static Object strlit7392;
static Object strlit7431;
static Object strlit7440;
static Object strlit7447;
static Object strlit7454;
static Object strlit7460;
static Object strlit7466;
static Object strlit7486;
static Object strlit7506;
static Object strlit7523;
static Object strlit7532;
static Object strlit7541;
static Object strlit7553;
static Object strlit7565;
static Object strlit7572;
static Object strlit7594;
static Object strlit7603;
static Object strlit7613;
static Object strlit7660;
static ClassData objclass7663;
static ClassData objclass7666;
static Object strlit7675;
static Object strlit7681;
static Object strlit7718;
static Object strlit7727;
static Object strlit7734;
static Object strlit7755;
static Object strlit7775;
static Object strlit7788;
static Object strlit7813;
static Object strlit7828;
static Object strlit7835;
static ClassData objclass7838;
static ClassData objclass7846;
static Object strlit7868;
static Object strlit7876;
static Object strlit7982;
static Object strlit7991;
static Object strlit7998;
static Object strlit8032;
static Object strlit8037;
static Object strlit8062;
static Object strlit8067;
static Object strlit8083;
static Object strlit8087;
static Object strlit8097;
static Object strlit8108;
static Object strlit8112;
static Object strlit8142;
static Object strlit8155;
static Object strlit8162;
static Object strlit8171;
static Object strlit8179;
static Object strlit8203;
static Object strlit8218;
static Object strlit8233;
static Object strlit8237;
static Object strlit8240;
static Object strlit8243;
static Object strlit8264;
static Object strlit8288;
static Object strlit8295;
static ClassData objclass8304;
static ClassData objclass8307;
static Object strlit8328;
static Object strlit8336;
static Object strlit8355;
static Object strlit8364;
static Object strlit8385;
static Object strlit8394;
static Object strlit8498;
static Object strlit8507;
static Object strlit8514;
static Object strlit8542;
static Object strlit8547;
static Object strlit8573;
static Object strlit8578;
static Object strlit8616;
static Object strlit8621;
static Object strlit8628;
static Object strlit8637;
static Object strlit8645;
static Object strlit8669;
static Object strlit8684;
static Object strlit8699;
static Object strlit8703;
static Object strlit8706;
static Object strlit8709;
static Object strlit8730;
static Object strlit8747;
static Object strlit8754;
static ClassData objclass8762;
static ClassData objclass8765;
static Object strlit8799;
static Object strlit8807;
static Object strlit8814;
static Object strlit8822;
static Object strlit8825;
static Object strlit8911;
static Object strlit8920;
static Object strlit8927;
static Object strlit8934;
static Object strlit8941;
static Object strlit8945;
static Object strlit8955;
static Object strlit8962;
static Object strlit8966;
static Object strlit8985;
static Object strlit8992;
static Object strlit8996;
static Object strlit9006;
static Object strlit9013;
static Object strlit9019;
static Object strlit9038;
static ClassData objclass9042;
static ClassData objclass9045;
static Object strlit9056;
static Object strlit9064;
static Object strlit9067;
static Object strlit9089;
static Object strlit9098;
static Object strlit9105;
static Object strlit9112;
static Object strlit9119;
static Object strlit9123;
static Object strlit9133;
static Object strlit9139;
static Object strlit9155;
static ClassData objclass9158;
static ClassData objclass9161;
static Object strlit9189;
static Object strlit9198;
static Object strlit9205;
static Object strlit9232;
static Object strlit9245;
static ClassData objclass9248;
static ClassData objclass9256;
static Object strlit9332;
static Object strlit9341;
static Object strlit9353;
static Object strlit9357;
static Object strlit9374;
static Object strlit9384;
static Object strlit9391;
static Object strlit9395;
static Object strlit9413;
static Object strlit9418;
static Object strlit9422;
static Object strlit9432;
static Object strlit9437;
static Object strlit9441;
static Object strlit9460;
static Object strlit9471;
static Object strlit9475;
static Object strlit9484;
static Object strlit9489;
static Object strlit9499;
static Object strlit9500;
static Object strlit9517;
static Object strlit9522;
static Object strlit9526;
static Object strlit9540;
static Object strlit9547;
static Object strlit9551;
static Object strlit9572;
static Object strlit9573;
static Object strlit9625;
static Object strlit9626;
static Object strlit9633;
static ClassData objclass9644;
static ClassData objclass9647;
static Object strlit9664;
static Object strlit9666;
static Object strlit9668;
static Object strlit9680;
static Object strlit9681;
static ClassData objclass9684;
static Object strlit9688;
static ClassData objclass9707;
static Object strlit9723;
static Object strlit9732;
static Object strlit9751;
static Object strlit9756;
static Object strlit9764;
static Object strlit9773;
static Object strlit9778;
static Object strlit9842;
static Object strlit9851;
static Object strlit9858;
static Object strlit9865;
static Object strlit9871;
static Object strlit9884;
static Object strlit9889;
static Object strlit9893;
static Object strlit9905;
static Object strlit9916;
static Object strlit9921;
static Object strlit9925;
static Object strlit9946;
static Object strlit9964;
static Object strlit9973;
static Object strlit9999;
static Object strlit10005;
static Object strlit10014;
static ClassData objclass10019;
static Object strlit10023;
static ClassData objclass10032;
static Object strlit10052;
static Object strlit10061;
static Object strlit10080;
static Object strlit10085;
static Object strlit10093;
static Object strlit10102;
static Object strlit10107;
static Object strlit10132;
static Object strlit10141;
static Object strlit10148;
static Object strlit10155;
static Object strlit10161;
static Object strlit10167;
static Object strlit10172;
static Object strlit10176;
static Object strlit10188;
static Object strlit10199;
static Object strlit10204;
static Object strlit10208;
static Object strlit10231;
static Object strlit10252;
static Object strlit10261;
static Object strlit10295;
static Object strlit10296;
static Object strlit10313;
static Object strlit10323;
static Object strlit10344;
static Object strlit10351;
static ClassData objclass10355;
static ClassData objclass10358;
static Object strlit10373;
static Object strlit10380;
static Object strlit10387;
static Object strlit10393;
static Object strlit10407;
static Object strlit10429;
static Object strlit10438;
static Object strlit10447;
static Object strlit10448;
static Object strlit10450;
static Object strlit10457;
static Object strlit10464;
static Object strlit10471;
static Object strlit10476;
static Object strlit10480;
static Object strlit10496;
static Object strlit10502;
static Object strlit10505;
static Object strlit10510;
static Object strlit10520;
static Object strlit10554;
static ClassData objclass10564;
Object meth_ast__apply_40_1_41_5(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_b = getfromclosure(closure, 0);
  Object *var_as = getfromclosure(closure, 1);
  Object *var_newList = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_nd = &(stackframe->slots[0]);
  *var_nd = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe6 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe7 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_b (depth = 6)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nd (depth = 6)
  params[0] = *var_b;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8 = callmethodflags(*var_nd, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7);
// compiled call node returning call8 (depth = 5)
  gc_frame_newslot(call8);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newList (depth = 5)
  params[0] = call8;
  partcv[0] = 1;
  Object call9 = callmethodflags(*var_newList, "addLast(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6);
// compiled call node returning call9 (depth = 4)
  gc_frame_end(frame);
  return call9;
}
Object meth_ast_listMap_40_2_41_ancestors_40_1_41_1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "listMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method listMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method listMap(_,_)ancestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for listMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part listMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newList = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newList");
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array2 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2 (depth = 3)
  *var_newList = array2;
  if (array2 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4 = alloc_Block(NULL, NULL, "ast", 21);
  gc_frame_newslot(block4);
// method "_apply(_)"
  block_savedest(block4);
  Object closure5 = createclosure(4, "_apply(1)");
  setclosureframe(closure5, stackframe);
  addtoclosure(closure5, var_b);
  addtoclosure(closure5, var_as);
  addtoclosure(closure5, var_newList);
  addtoclosure(closure5, selfslot);
  struct UserObject *uo5 = (struct UserObject*)block4;
  uo5->data[0] = (Object)closure5;
  Method *meth_meth_ast__apply_40_1_41_5 = addmethod2pos(block4, "_apply(1)", &meth_ast__apply_40_1_41_5, 0);
  int argcv_meth_ast__apply_40_1_41_5[] = {1};
  meth_meth_ast__apply_40_1_41_5->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5);
  meth_meth_ast__apply_40_1_41_5->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5->definitionLine = 2947;
// compiled block node returning block4 (depth = 3)
  gc_frame_newslot(block4);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  params[0] = block4;
  partcv[0] = 1;
  Object call11 = callmethodflags(*var_l, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3);
// compiled call node returning call11 (depth = 2)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_newList (depth = 2)
  gc_frame_end(frame);
  return *var_newList;
}
Object meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "maybeMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method maybeMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method maybeMap(_,_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for maybeMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part maybeMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_right_14 = gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
  Object bool16 = alloc_Boolean(0);
// compiled identifier node returning bool16 (depth = 4)
  int op_slot_left_14 = gc_frame_newslot(bool16);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult17 = callmethod(bool16, "≠(1)", 1, partcv, params);
// compiled op node returning opresult17 (depth = 3)
  Object if13 = done;
  if (istrue(opresult17)) {
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe18 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = *var_b;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call19 = callmethodflags(*var_n, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe18);
// compiled call node returning call19 (depth = 3)
    gc_frame_newslot(call19);
    if13 = call19;
  } else {
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
    gc_frame_newslot(*var_n);
    if13 = *var_n;
  }
// compiled if node returning if13 (depth = 2)
  gc_frame_end(frame);
  return if13;
}
Object meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "maybeListMap(2)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method maybeListMap(_,_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method maybeListMap(_,_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for maybeListMap(_,_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part maybeListMap(_,_)");
  Object *var_as = &(stackframe->slots[2]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  int op_slot_right_22 = gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
  Object bool24 = alloc_Boolean(0);
// compiled identifier node returning bool24 (depth = 4)
  int op_slot_left_22 = gc_frame_newslot(bool24);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult25 = callmethod(bool24, "≠(1)", 1, partcv, params);
// compiled op node returning opresult25 (depth = 3)
  Object if21 = done;
  if (istrue(opresult25)) {
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe26 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 4: self request
  params[0] = *var_n;
  params[1] = *var_b;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call27 = callmethodflags(self, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe26);
// compiled call node returning call27 (depth = 3)
    gc_frame_newslot(call27);
    if21 = call27;
  } else {
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
    gc_frame_newslot(*var_n);
    if21 = *var_n;
  }
// compiled if node returning if21 (depth = 2)
  gc_frame_end(frame);
  return if21;
}
Object meth_ast_setLine_40_1_41_col_40_1_41_36(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setLine(1)col(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setLine(_)col(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setLine(_)col(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for setLine(_)col(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_l = &(stackframe->slots[0]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setLine(_)");
  Object *var_c = &(stackframe->slots[1]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part col(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe37 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  gc_frame_newslot(*var_l);
// call case 4: self request
  params[0] = *var_l;
  partcv[0] = 1;
  Object call38 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe37);
// compiled call node returning call38 (depth = 2)
// Begin line 97
  setline(97);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe39 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_c (depth = 3)
  gc_frame_newslot(*var_c);
// call case 4: self request
  params[0] = *var_c;
  partcv[0] = 1;
  Object call40 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe39);
// compiled call node returning call40 (depth = 2)
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_setPositionFrom_40_1_41_41(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "setPositionFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method setPositionFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for setPositionFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part setPositionFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe42 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe43 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_token (depth = 4)
  Object call44 = callmethodflags(*var_token, "line", 0, partcv, params, 0);
  gc_frame_end(callframe43);
// compiled member node returning call44 (depth = 3)
  gc_frame_newslot(call44);
// call case 4: self request
  params[0] = call44;
  partcv[0] = 1;
  Object call45 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe42);
// compiled call node returning call45 (depth = 2)
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe46 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe47 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_token (depth = 4)
  Object call48 = callmethodflags(*var_token, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe47);
// compiled member node returning call48 (depth = 3)
  gc_frame_newslot(call48);
// call case 4: self request
  params[0] = call48;
  partcv[0] = 1;
  Object call49 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe46);
// compiled call node returning call49 (depth = 2)
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_kind50(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "kind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe51 = gc_frame_new();
// call case 5: prelude request
  Object call52 = callmethodflags(prelude, "abstract", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe51);
// compiled member node returning call52 (depth = 2)
  gc_frame_end(frame);
  return call52;
}
Object meth_ast__61__61__40_1_41_53(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 106
  setline(106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe54 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call55 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe54);
// compiled call node returning call55 (depth = 2)
  gc_frame_end(frame);
  return call55;
}
Object meth_ast_isAppliedOccurenceOfIdentifier56(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isAppliedOccurenceOfIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool57 = alloc_Boolean(0);
// compiled identifier node returning bool57 (depth = 2)
  gc_frame_end(frame);
  return bool57;
}
Object meth_ast_isMatchingBlock58(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMatchingBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool59 = alloc_Boolean(0);
// compiled identifier node returning bool59 (depth = 2)
  gc_frame_end(frame);
  return bool59;
}
Object meth_ast_isFieldDec60(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 109
  setline(109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool61 = alloc_Boolean(0);
// compiled identifier node returning bool61 (depth = 2)
  gc_frame_end(frame);
  return bool61;
}
Object meth_ast_isInherits62(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool63 = alloc_Boolean(0);
// compiled identifier node returning bool63 (depth = 2)
  gc_frame_end(frame);
  return bool63;
}
Object meth_ast_isLegalInTrait64(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool65 = alloc_Boolean(0);
// compiled identifier node returning bool65 (depth = 2)
  gc_frame_end(frame);
  return bool65;
}
Object meth_ast_isMember66(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool67 = alloc_Boolean(0);
// compiled identifier node returning bool67 (depth = 2)
  gc_frame_end(frame);
  return bool67;
}
Object meth_ast_isMethod68(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool69 = alloc_Boolean(0);
// compiled identifier node returning bool69 (depth = 2)
  gc_frame_end(frame);
  return bool69;
}
Object meth_ast_isExecutable70(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 114
  setline(114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool71 = alloc_Boolean(1);
// compiled identifier node returning bool71 (depth = 2)
  gc_frame_end(frame);
  return bool71;
}
Object meth_ast_isCall72(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool73 = alloc_Boolean(0);
// compiled identifier node returning bool73 (depth = 2)
  gc_frame_end(frame);
  return bool73;
}
Object meth_ast_isComment74(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isComment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool75 = alloc_Boolean(0);
// compiled identifier node returning bool75 (depth = 2)
  gc_frame_end(frame);
  return bool75;
}
Object meth_ast_isClass76(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool77 = alloc_Boolean(0);
// compiled identifier node returning bool77 (depth = 2)
  gc_frame_end(frame);
  return bool77;
}
Object meth_ast_inClass78(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool79 = alloc_Boolean(0);
// compiled identifier node returning bool79 (depth = 2)
  gc_frame_end(frame);
  return bool79;
}
Object meth_ast_isTrait80(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool81 = alloc_Boolean(0);
// compiled identifier node returning bool81 (depth = 2)
  gc_frame_end(frame);
  return bool81;
}
Object meth_ast_inTrait82(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 120
  setline(120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool83 = alloc_Boolean(0);
// compiled identifier node returning bool83 (depth = 2)
  gc_frame_end(frame);
  return bool83;
}
Object meth_ast_isBind84(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool85 = alloc_Boolean(0);
// compiled identifier node returning bool85 (depth = 2)
  gc_frame_end(frame);
  return bool85;
}
Object meth_ast_isSelf86(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool87 = alloc_Boolean(0);
// compiled identifier node returning bool87 (depth = 2)
  gc_frame_end(frame);
  return bool87;
}
Object meth_ast_isSuper88(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSuper");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool89 = alloc_Boolean(0);
// compiled identifier node returning bool89 (depth = 2)
  gc_frame_end(frame);
  return bool89;
}
Object meth_ast_isPrelude90(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPrelude");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool91 = alloc_Boolean(0);
// compiled identifier node returning bool91 (depth = 2)
  gc_frame_end(frame);
  return bool91;
}
Object meth_ast_isOuter92(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool93 = alloc_Boolean(0);
// compiled identifier node returning bool93 (depth = 2)
  gc_frame_end(frame);
  return bool93;
}
Object meth_ast_isBlock94(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool95 = alloc_Boolean(0);
// compiled identifier node returning bool95 (depth = 2)
  gc_frame_end(frame);
  return bool95;
}
Object meth_ast_isObject96(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool97 = alloc_Boolean(0);
// compiled identifier node returning bool97 (depth = 2)
  gc_frame_end(frame);
  return bool97;
}
Object meth_ast_isIdentifier98(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool99 = alloc_Boolean(0);
// compiled identifier node returning bool99 (depth = 2)
  gc_frame_end(frame);
  return bool99;
}
Object meth_ast_isDialect100(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool101 = alloc_Boolean(0);
// compiled identifier node returning bool101 (depth = 2)
  gc_frame_end(frame);
  return bool101;
}
Object meth_ast_isImport102(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool103 = alloc_Boolean(0);
// compiled identifier node returning bool103 (depth = 2)
  gc_frame_end(frame);
  return bool103;
}
Object meth_ast_isTypeDec104(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTypeDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool105 = alloc_Boolean(0);
// compiled identifier node returning bool105 (depth = 2)
  gc_frame_end(frame);
  return bool105;
}
Object meth_ast_isExternal106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool107 = alloc_Boolean(0);
// compiled identifier node returning bool107 (depth = 2)
  gc_frame_end(frame);
  return bool107;
}
Object meth_ast_canInherit108(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canInherit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool109 = alloc_Boolean(0);
// compiled identifier node returning bool109 (depth = 2)
  gc_frame_end(frame);
  return bool109;
}
Object meth_ast_returnsObject110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool111 = alloc_Boolean(0);
// compiled identifier node returning bool111 (depth = 2)
  gc_frame_end(frame);
  return bool111;
}
Object meth_ast_isImplicit112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImplicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool113 = alloc_Boolean(0);
// compiled identifier node returning bool113 (depth = 2)
  gc_frame_end(frame);
  return bool113;
}
Object meth_ast_usesAsType_40_1_41_114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool115 = alloc_Boolean(0);
// compiled identifier node returning bool115 (depth = 2)
  gc_frame_end(frame);
  return bool115;
}
Object meth_ast_hash116(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe118 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe119 = gc_frame_new();
// call case 4: self request
  Object call120 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe119);
// compiled member node returning call120 (depth = 4)
  Object call121 = callmethodflags(call120, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe118);
// compiled member node returning call121 (depth = 3)
  int op_slot_right_117 = gc_frame_newslot(call121);
// starting to compile member node (depth = 3)
  int callframe123 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe124 = gc_frame_new();
// call case 4: self request
  Object call125 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe124);
// compiled member node returning call125 (depth = 4)
  Object call126 = callmethodflags(call125, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe123);
// compiled member node returning call126 (depth = 3)
  int op_slot_left_117 = gc_frame_newslot(call126);
  params[0] = call121;
  partcv[0] = 1;
  Object prod127 = callmethod(call126, "*(1)", 1, partcv, params);
// compiled op node returning prod127 (depth = 2)
  gc_frame_end(frame);
  return prod127;
}
Object meth_ast_asString128(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit130 == NULL) {
    strlit130 = alloc_String("");
    gc_root(strlit130);
  }
// compiled string node returning strlit130 (depth = 3)
  int op_slot_right_129 = gc_frame_newslot(strlit130);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe133 = gc_frame_new();
// call case 4: self request
  Object call134 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe133);
// compiled member node returning call134 (depth = 4)
  int op_slot_right_132 = gc_frame_newslot(call134);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit137 == NULL) {
    strlit137 = alloc_String(" ");
    gc_root(strlit137);
  }
// compiled string node returning strlit137 (depth = 5)
  int op_slot_right_136 = gc_frame_newslot(strlit137);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe140 = gc_frame_new();
// call case 4: self request
  Object call141 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe140);
// compiled member node returning call141 (depth = 6)
  int op_slot_right_139 = gc_frame_newslot(call141);
// starting to compile string node (depth = 6)
  if (strlit143 == NULL) {
    strlit143 = alloc_String("");
    gc_root(strlit143);
  }
// compiled string node returning strlit143 (depth = 6)
  int op_slot_left_139 = gc_frame_newslot(strlit143);
  params[0] = call141;
  partcv[0] = 1;
  Object opresult144 = callmethod(strlit143, "++(1)", 1, partcv, params);
// compiled op node returning opresult144 (depth = 5)
  int op_slot_left_136 = gc_frame_newslot(opresult144);
  params[0] = strlit137;
  partcv[0] = 1;
  Object opresult145 = callmethod(opresult144, "++(1)", 1, partcv, params);
// compiled op node returning opresult145 (depth = 4)
  int op_slot_left_132 = gc_frame_newslot(opresult145);
  params[0] = call134;
  partcv[0] = 1;
  Object opresult146 = callmethod(opresult145, "++(1)", 1, partcv, params);
// compiled op node returning opresult146 (depth = 3)
  int op_slot_left_129 = gc_frame_newslot(opresult146);
  params[0] = strlit130;
  partcv[0] = 1;
  Object opresult147 = callmethod(opresult146, "++(1)", 1, partcv, params);
// compiled op node returning opresult147 (depth = 2)
  gc_frame_end(frame);
  return opresult147;
}
Object meth_ast_nameString148(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit149 == NULL) {
    strlit149 = alloc_String("?");
    gc_root(strlit149);
  }
// compiled string node returning strlit149 (depth = 2)
  gc_frame_end(frame);
  return strlit149;
}
Object meth_ast_isWritable150(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool151 = alloc_Boolean(1);
// compiled identifier node returning bool151 (depth = 2)
  gc_frame_end(frame);
  return bool151;
}
Object meth_ast_isReadable152(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool153 = alloc_Boolean(1);
// compiled identifier node returning bool153 (depth = 2)
  gc_frame_end(frame);
  return bool153;
}
Object meth_ast_isPublic154(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool155 = alloc_Boolean(1);
// compiled identifier node returning bool155 (depth = 2)
  gc_frame_end(frame);
  return bool155;
}
Object meth_ast_isConfidential156(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 143
  setline(143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe157 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe158 = gc_frame_new();
// call case 4: self request
  Object call159 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe158);
// compiled member node returning call159 (depth = 3)
  Object call160 = callmethodflags(call159, "not", 0, partcv, params, 0);
  gc_frame_end(callframe157);
// compiled member node returning call160 (depth = 2)
  gc_frame_end(frame);
  return call160;
}
Object meth_ast_decType161(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 47, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "decType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe164 = gc_frame_new();
// call case 4: self request
  Object call165 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe164);
// compiled member node returning call165 (depth = 4)
  int op_slot_right_163 = gc_frame_newslot(call165);
// starting to compile identifier node (depth = 4)
  Object bool167 = alloc_Boolean(0);
// compiled identifier node returning bool167 (depth = 4)
  int op_slot_left_163 = gc_frame_newslot(bool167);
  params[0] = call165;
  partcv[0] = 1;
  Object opresult168 = callmethod(bool167, "==(1)", 1, partcv, params);
// compiled op node returning opresult168 (depth = 3)
  Object if162 = done;
  if (istrue(opresult168)) {
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unknownType (depth = 4)
  return *var_unknownType;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if162 = undefined;
  } else {
  }
// compiled if node returning if162 (depth = 2)
// Begin line 148
  setline(148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe169 = gc_frame_new();
// call case 4: self request
  Object call170 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe169);
// compiled member node returning call170 (depth = 3)
  return call170;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_isSimple171(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool172 = alloc_Boolean(1);
// compiled identifier node returning bool172 (depth = 2)
  gc_frame_end(frame);
  return bool172;
}
Object meth_ast_isDelimited173(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool174 = alloc_Boolean(0);
// compiled identifier node returning bool174 (depth = 2)
  gc_frame_end(frame);
  return bool174;
}
Object meth_ast_description175(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "description");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe176 = gc_frame_new();
// call case 4: self request
  Object call177 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe176);
// compiled member node returning call177 (depth = 2)
  gc_frame_end(frame);
  return call177;
}
Object meth_ast_accept_40_1_41_178(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)");
  Object params[2];
  int partcv[2];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for accept(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 154
  setline(154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe179 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitor (depth = 3)
  gc_frame_newslot(*var_visitor);
// starting to compile member node (depth = 3)
  int callframe180 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ancestorChain (depth = 4)
  Object call181 = callmethodflags(*var_ancestorChain, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe180);
// compiled member node returning call181 (depth = 3)
  gc_frame_newslot(call181);
// call case 4: self request
  params[0] = *var_visitor;
  params[1] = call181;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call182 = callmethodflags(self, "accept(1)from(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe179);
// compiled call node returning call182 (depth = 2)
  gc_frame_end(frame);
  return call182;
}
Object meth_ast_scope183(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe184 = gc_frame_new();
// call case 4: self request
  Object call185 = callmethodflags(self, "symbolTable", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe184);
// compiled member node returning call185 (depth = 2)
  gc_frame_end(frame);
  return call185;
}
Object meth_ast_scope_58__61__40_1_41_186(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe187 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_st (depth = 3)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call188 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe187);
// compiled call node returning call188 (depth = 2)
  gc_frame_end(frame);
  return call188;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_189(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe190 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe191 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call192 = callmethodflags(*var_other, "register", 0, partcv, params, 0);
  gc_frame_end(callframe191);
// compiled member node returning call192 (depth = 3)
  gc_frame_newslot(call192);
// call case 4: self request
  params[0] = call192;
  partcv[0] = 1;
  Object call193 = callmethodflags(self, "register:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe190);
// compiled call node returning call193 (depth = 2)
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe194 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe195 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call196 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe195);
// compiled member node returning call196 (depth = 3)
  gc_frame_newslot(call196);
// call case 4: self request
  params[0] = call196;
  partcv[0] = 1;
  Object call197 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe194);
// compiled call node returning call197 (depth = 2)
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe198 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe199 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call200 = callmethodflags(*var_other, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe199);
// compiled member node returning call200 (depth = 3)
  gc_frame_newslot(call200);
// call case 4: self request
  params[0] = call200;
  partcv[0] = 1;
  Object call201 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe198);
// compiled call node returning call201 (depth = 2)
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe202 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe203 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  Object call204 = callmethodflags(*var_other, "scope", 0, partcv, params, 0);
  gc_frame_end(callframe203);
// compiled member node returning call204 (depth = 3)
  gc_frame_newslot(call204);
// call case 4: self request
  params[0] = call204;
  partcv[0] = 1;
  Object call205 = callmethodflags(self, "scope:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe202);
// compiled call node returning call205 (depth = 2)
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning self (depth = 2)
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply_40_1_41_214(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit216 == NULL) {
    strlit216 = alloc_String("  ");
    gc_root(strlit216);
  }
// compiled string node returning strlit216 (depth = 6)
  int op_slot_right_215 = gc_frame_newslot(strlit216);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_215 = gc_frame_newslot(*var_spc);
  params[0] = strlit216;
  partcv[0] = 1;
  Object opresult218 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult218 (depth = 5)
  *var_spc = opresult218;
  if (opresult218 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply225(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_util = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit227 == NULL) {
    strlit227 = alloc_String("symbols");
    gc_root(strlit227);
  }
// compiled string node returning strlit227 (depth = 6)
  int op_slot_right_226 = gc_frame_newslot(strlit227);
// starting to compile member node (depth = 6)
  int callframe229 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  Object call230 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe229);
// compiled member node returning call230 (depth = 6)
  int op_slot_left_226 = gc_frame_newslot(call230);
  params[0] = strlit227;
  partcv[0] = 1;
  Object opresult231 = callmethod(call230, "==(1)", 1, partcv, params);
// compiled op node returning opresult231 (depth = 5)
  gc_frame_end(frame);
  return opresult231;
}
Object meth_ast_pretty_40_1_41_206(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 55, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 173
  setline(173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit207 == NULL) {
    strlit207 = alloc_String("");
    gc_root(strlit207);
  }
// compiled string node returning strlit207 (depth = 3)
  *var_spc = strlit207;
  if (strlit207 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe208 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  int op_slot_right_209 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 4)
  Object num211 = alloc_Float64(0);
// compiled num node returning num211 (depth = 4)
  int op_slot_left_209 = gc_frame_newslot(num211);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult212 = callmethod(num211, "..(1)", 1, partcv, params);
// compiled op node returning opresult212 (depth = 3)
  gc_frame_newslot(opresult212);
// starting to compile block node (depth = 3)
  Object block213 = alloc_Block(NULL, NULL, "ast", 174);
  gc_frame_newslot(block213);
// method "_apply(_)"
  block_savedest(block213);
  Object closure214 = createclosure(2, "_apply(1)");
  setclosureframe(closure214, stackframe);
  addtoclosure(closure214, var_spc);
  addtoclosure(closure214, selfslot);
  struct UserObject *uo214 = (struct UserObject*)block213;
  uo214->data[0] = (Object)closure214;
  Method *meth_meth_ast__apply_40_1_41_214 = addmethod2pos(block213, "_apply(1)", &meth_ast__apply_40_1_41_214, 0);
  int argcv_meth_ast__apply_40_1_41_214[] = {1};
  meth_meth_ast__apply_40_1_41_214->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_214);
  meth_meth_ast__apply_40_1_41_214->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_214->definitionLine = 2947;
// compiled block node returning block213 (depth = 3)
  gc_frame_newslot(block213);
// call case 5: prelude request
  params[0] = opresult212;
  params[1] = block213;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call221 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe208);
// compiled call node returning call221 (depth = 2)
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block224 = alloc_Block(NULL, NULL, "ast", 177);
  gc_frame_newslot(block224);
// method "_apply"
  block_savedest(block224);
  Object closure225 = createclosure(2, "_apply");
  setclosureframe(closure225, stackframe);
  addtoclosure(closure225, var_util);
  addtoclosure(closure225, selfslot);
  struct UserObject *uo225 = (struct UserObject*)block224;
  uo225->data[0] = (Object)closure225;
  Method *meth_meth_ast__apply225 = addmethod2pos(block224, "_apply", &meth_ast__apply225, 0);
  int argcv_meth_ast__apply225[] = {0};
  meth_meth_ast__apply225->type = alloc_MethodType(1, argcv_meth_ast__apply225);
  meth_meth_ast__apply225->definitionModule = modulename;
  meth_meth_ast__apply225->definitionLine = 2947;
// compiled block node returning block224 (depth = 4)
  int op_slot_right_223 = gc_frame_newslot(block224);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  int op_slot_right_234 = gc_frame_newslot(self);
// starting to compile member node (depth = 5)
  int callframe236 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe237 = gc_frame_new();
// call case 4: self request
  Object call238 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe237);
// compiled member node returning call238 (depth = 6)
  Object call239 = callmethodflags(call238, "node", 0, partcv, params, 0);
  gc_frame_end(callframe236);
// compiled member node returning call239 (depth = 5)
  int op_slot_left_234 = gc_frame_newslot(call239);
  params[0] = self;
  partcv[0] = 1;
  Object opresult240 = callmethod(call239, "==(1)", 1, partcv, params);
// compiled op node returning opresult240 (depth = 4)
  int op_slot_left_223 = gc_frame_newslot(opresult240);
  params[0] = block224;
  partcv[0] = 1;
  Object opresult241 = callmethod(opresult240, "&&(1)", 1, partcv, params);
// compiled op node returning opresult241 (depth = 3)
  Object if222 = done;
  if (istrue(opresult241)) {
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit243 == NULL) {
    strlit243 = alloc_String("");
    gc_root(strlit243);
  }
// compiled string node returning strlit243 (depth = 4)
  int op_slot_right_242 = gc_frame_newslot(strlit243);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe246 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe247 = gc_frame_new();
// call case 4: self request
  Object call248 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe247);
// compiled member node returning call248 (depth = 6)
  Object call249 = callmethodflags(call248, "elementScopesAsString", 0, partcv, params, 0);
  gc_frame_end(callframe246);
// compiled member node returning call249 (depth = 5)
  int op_slot_right_245 = gc_frame_newslot(call249);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit252 == NULL) {
    strlit252 = alloc_String("");
    gc_root(strlit252);
  }
// compiled string node returning strlit252 (depth = 6)
  int op_slot_right_251 = gc_frame_newslot(strlit252);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe255 = gc_frame_new();
// call case 4: self request
  Object call256 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe255);
// compiled member node returning call256 (depth = 7)
  int op_slot_right_254 = gc_frame_newslot(call256);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit259 == NULL) {
    strlit259 = alloc_String("): ");
    gc_root(strlit259);
  }
// compiled string node returning strlit259 (depth = 8)
  int op_slot_right_258 = gc_frame_newslot(strlit259);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe262 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe263 = gc_frame_new();
// call case 4: self request
  Object call264 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe263);
// compiled member node returning call264 (depth = 10)
  Object call265 = callmethodflags(call264, "variety", 0, partcv, params, 0);
  gc_frame_end(callframe262);
// compiled member node returning call265 (depth = 9)
  int op_slot_right_261 = gc_frame_newslot(call265);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit268 == NULL) {
    strlit268 = alloc_String("Symbols(");
    gc_root(strlit268);
  }
// compiled string node returning strlit268 (depth = 10)
  int op_slot_right_267 = gc_frame_newslot(strlit268);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_270 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit273 == NULL) {
    strlit273 = alloc_String("""\x0a""");
    gc_root(strlit273);
  }
// compiled string node returning strlit273 (depth = 12)
  int op_slot_right_272 = gc_frame_newslot(strlit273);
// starting to compile op node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe276 = gc_frame_new();
// call case 4: self request
  Object call277 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe276);
// compiled member node returning call277 (depth = 13)
  int op_slot_right_275 = gc_frame_newslot(call277);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit280 == NULL) {
    strlit280 = alloc_String(" ");
    gc_root(strlit280);
  }
// compiled string node returning strlit280 (depth = 14)
  int op_slot_right_279 = gc_frame_newslot(strlit280);
// starting to compile op node (depth = 14)
// starting to compile member node (depth = 15)
  int callframe283 = gc_frame_new();
// call case 4: self request
  Object call284 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe283);
// compiled member node returning call284 (depth = 15)
  int op_slot_right_282 = gc_frame_newslot(call284);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit287 == NULL) {
    strlit287 = alloc_String(":");
    gc_root(strlit287);
  }
// compiled string node returning strlit287 (depth = 16)
  int op_slot_right_286 = gc_frame_newslot(strlit287);
// starting to compile op node (depth = 16)
// starting to compile member node (depth = 17)
  int callframe290 = gc_frame_new();
// call case 4: self request
  Object call291 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe290);
// compiled member node returning call291 (depth = 17)
  int op_slot_right_289 = gc_frame_newslot(call291);
// starting to compile string node (depth = 17)
  if (strlit293 == NULL) {
    strlit293 = alloc_String("");
    gc_root(strlit293);
  }
// compiled string node returning strlit293 (depth = 17)
  int op_slot_left_289 = gc_frame_newslot(strlit293);
  params[0] = call291;
  partcv[0] = 1;
  Object opresult294 = callmethod(strlit293, "++(1)", 1, partcv, params);
// compiled op node returning opresult294 (depth = 16)
  int op_slot_left_286 = gc_frame_newslot(opresult294);
  params[0] = strlit287;
  partcv[0] = 1;
  Object opresult295 = callmethod(opresult294, "++(1)", 1, partcv, params);
// compiled op node returning opresult295 (depth = 15)
  int op_slot_left_282 = gc_frame_newslot(opresult295);
  params[0] = call284;
  partcv[0] = 1;
  Object opresult296 = callmethod(opresult295, "++(1)", 1, partcv, params);
// compiled op node returning opresult296 (depth = 14)
  int op_slot_left_279 = gc_frame_newslot(opresult296);
  params[0] = strlit280;
  partcv[0] = 1;
  Object opresult297 = callmethod(opresult296, "++(1)", 1, partcv, params);
// compiled op node returning opresult297 (depth = 13)
  int op_slot_left_275 = gc_frame_newslot(opresult297);
  params[0] = call277;
  partcv[0] = 1;
  Object opresult298 = callmethod(opresult297, "++(1)", 1, partcv, params);
// compiled op node returning opresult298 (depth = 12)
  int op_slot_left_272 = gc_frame_newslot(opresult298);
  params[0] = strlit273;
  partcv[0] = 1;
  Object opresult299 = callmethod(opresult298, "++(1)", 1, partcv, params);
// compiled op node returning opresult299 (depth = 11)
  int op_slot_left_270 = gc_frame_newslot(opresult299);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult300 = callmethod(opresult299, "++(1)", 1, partcv, params);
// compiled op node returning opresult300 (depth = 10)
  int op_slot_left_267 = gc_frame_newslot(opresult300);
  params[0] = strlit268;
  partcv[0] = 1;
  Object opresult301 = callmethod(opresult300, "++(1)", 1, partcv, params);
// compiled op node returning opresult301 (depth = 9)
  int op_slot_left_261 = gc_frame_newslot(opresult301);
  params[0] = call265;
  partcv[0] = 1;
  Object opresult302 = callmethod(opresult301, "++(1)", 1, partcv, params);
// compiled op node returning opresult302 (depth = 8)
  int op_slot_left_258 = gc_frame_newslot(opresult302);
  params[0] = strlit259;
  partcv[0] = 1;
  Object opresult303 = callmethod(opresult302, "++(1)", 1, partcv, params);
// compiled op node returning opresult303 (depth = 7)
  int op_slot_left_254 = gc_frame_newslot(opresult303);
  params[0] = call256;
  partcv[0] = 1;
  Object opresult304 = callmethod(opresult303, "++(1)", 1, partcv, params);
// compiled op node returning opresult304 (depth = 6)
  int op_slot_left_251 = gc_frame_newslot(opresult304);
  params[0] = strlit252;
  partcv[0] = 1;
  Object opresult305 = callmethod(opresult304, "++(1)", 1, partcv, params);
// compiled op node returning opresult305 (depth = 5)
  int op_slot_left_245 = gc_frame_newslot(opresult305);
  params[0] = call249;
  partcv[0] = 1;
  Object opresult306 = callmethod(opresult305, "++(1)", 1, partcv, params);
// compiled op node returning opresult306 (depth = 4)
  int op_slot_left_242 = gc_frame_newslot(opresult306);
  params[0] = strlit243;
  partcv[0] = 1;
  Object opresult307 = callmethod(opresult306, "++(1)", 1, partcv, params);
// compiled op node returning opresult307 (depth = 3)
    gc_frame_newslot(opresult307);
    if222 = opresult307;
  } else {
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 179
  setline(179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit310 == NULL) {
    strlit310 = alloc_String("fake");
    gc_root(strlit310);
  }
// compiled string node returning strlit310 (depth = 5)
  int op_slot_right_309 = gc_frame_newslot(strlit310);
// starting to compile member node (depth = 5)
  int callframe312 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe313 = gc_frame_new();
// call case 4: self request
  Object call314 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe313);
// compiled member node returning call314 (depth = 6)
  Object call315 = callmethodflags(call314, "variety", 0, partcv, params, 0);
  gc_frame_end(callframe312);
// compiled member node returning call315 (depth = 5)
  int op_slot_left_309 = gc_frame_newslot(call315);
  params[0] = strlit310;
  partcv[0] = 1;
  Object opresult316 = callmethod(call315, "==(1)", 1, partcv, params);
// compiled op node returning opresult316 (depth = 4)
  Object if308 = done;
  if (istrue(opresult316)) {
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit318 == NULL) {
    strlit318 = alloc_String("");
    gc_root(strlit318);
  }
// compiled string node returning strlit318 (depth = 5)
  int op_slot_right_317 = gc_frame_newslot(strlit318);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe321 = gc_frame_new();
// call case 4: self request
  Object call322 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe321);
// compiled member node returning call322 (depth = 6)
  int op_slot_right_320 = gc_frame_newslot(call322);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit325 == NULL) {
    strlit325 = alloc_String(" ");
    gc_root(strlit325);
  }
// compiled string node returning strlit325 (depth = 7)
  int op_slot_right_324 = gc_frame_newslot(strlit325);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe328 = gc_frame_new();
// call case 4: self request
  Object call329 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe328);
// compiled member node returning call329 (depth = 8)
  int op_slot_right_327 = gc_frame_newslot(call329);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit332 == NULL) {
    strlit332 = alloc_String(":");
    gc_root(strlit332);
  }
// compiled string node returning strlit332 (depth = 9)
  int op_slot_right_331 = gc_frame_newslot(strlit332);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe335 = gc_frame_new();
// call case 4: self request
  Object call336 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe335);
// compiled member node returning call336 (depth = 10)
  int op_slot_right_334 = gc_frame_newslot(call336);
// starting to compile string node (depth = 10)
  if (strlit338 == NULL) {
    strlit338 = alloc_String("");
    gc_root(strlit338);
  }
// compiled string node returning strlit338 (depth = 10)
  int op_slot_left_334 = gc_frame_newslot(strlit338);
  params[0] = call336;
  partcv[0] = 1;
  Object opresult339 = callmethod(strlit338, "++(1)", 1, partcv, params);
// compiled op node returning opresult339 (depth = 9)
  int op_slot_left_331 = gc_frame_newslot(opresult339);
  params[0] = strlit332;
  partcv[0] = 1;
  Object opresult340 = callmethod(opresult339, "++(1)", 1, partcv, params);
// compiled op node returning opresult340 (depth = 8)
  int op_slot_left_327 = gc_frame_newslot(opresult340);
  params[0] = call329;
  partcv[0] = 1;
  Object opresult341 = callmethod(opresult340, "++(1)", 1, partcv, params);
// compiled op node returning opresult341 (depth = 7)
  int op_slot_left_324 = gc_frame_newslot(opresult341);
  params[0] = strlit325;
  partcv[0] = 1;
  Object opresult342 = callmethod(opresult341, "++(1)", 1, partcv, params);
// compiled op node returning opresult342 (depth = 6)
  int op_slot_left_320 = gc_frame_newslot(opresult342);
  params[0] = call322;
  partcv[0] = 1;
  Object opresult343 = callmethod(opresult342, "++(1)", 1, partcv, params);
// compiled op node returning opresult343 (depth = 5)
  int op_slot_left_317 = gc_frame_newslot(opresult343);
  params[0] = strlit318;
  partcv[0] = 1;
  Object opresult344 = callmethod(opresult343, "++(1)", 1, partcv, params);
// compiled op node returning opresult344 (depth = 4)
    gc_frame_newslot(opresult344);
    if308 = opresult344;
  } else {
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit346 == NULL) {
    strlit346 = alloc_String("");
    gc_root(strlit346);
  }
// compiled string node returning strlit346 (depth = 5)
  int op_slot_right_345 = gc_frame_newslot(strlit346);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe349 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe350 = gc_frame_new();
// call case 4: self request
  Object call351 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe350);
// compiled member node returning call351 (depth = 7)
  Object call352 = callmethodflags(call351, "asDebugString", 0, partcv, params, 0);
  gc_frame_end(callframe349);
// compiled member node returning call352 (depth = 6)
  int op_slot_right_348 = gc_frame_newslot(call352);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit355 == NULL) {
    strlit355 = alloc_String(" ");
    gc_root(strlit355);
  }
// compiled string node returning strlit355 (depth = 7)
  int op_slot_right_354 = gc_frame_newslot(strlit355);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe358 = gc_frame_new();
// call case 4: self request
  Object call359 = callmethodflags(self, "description", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe358);
// compiled member node returning call359 (depth = 8)
  int op_slot_right_357 = gc_frame_newslot(call359);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit362 == NULL) {
    strlit362 = alloc_String(" ");
    gc_root(strlit362);
  }
// compiled string node returning strlit362 (depth = 9)
  int op_slot_right_361 = gc_frame_newslot(strlit362);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe365 = gc_frame_new();
// call case 4: self request
  Object call366 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe365);
// compiled member node returning call366 (depth = 10)
  int op_slot_right_364 = gc_frame_newslot(call366);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit369 == NULL) {
    strlit369 = alloc_String(":");
    gc_root(strlit369);
  }
// compiled string node returning strlit369 (depth = 11)
  int op_slot_right_368 = gc_frame_newslot(strlit369);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe372 = gc_frame_new();
// call case 4: self request
  Object call373 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe372);
// compiled member node returning call373 (depth = 12)
  int op_slot_right_371 = gc_frame_newslot(call373);
// starting to compile string node (depth = 12)
  if (strlit375 == NULL) {
    strlit375 = alloc_String("");
    gc_root(strlit375);
  }
// compiled string node returning strlit375 (depth = 12)
  int op_slot_left_371 = gc_frame_newslot(strlit375);
  params[0] = call373;
  partcv[0] = 1;
  Object opresult376 = callmethod(strlit375, "++(1)", 1, partcv, params);
// compiled op node returning opresult376 (depth = 11)
  int op_slot_left_368 = gc_frame_newslot(opresult376);
  params[0] = strlit369;
  partcv[0] = 1;
  Object opresult377 = callmethod(opresult376, "++(1)", 1, partcv, params);
// compiled op node returning opresult377 (depth = 10)
  int op_slot_left_364 = gc_frame_newslot(opresult377);
  params[0] = call366;
  partcv[0] = 1;
  Object opresult378 = callmethod(opresult377, "++(1)", 1, partcv, params);
// compiled op node returning opresult378 (depth = 9)
  int op_slot_left_361 = gc_frame_newslot(opresult378);
  params[0] = strlit362;
  partcv[0] = 1;
  Object opresult379 = callmethod(opresult378, "++(1)", 1, partcv, params);
// compiled op node returning opresult379 (depth = 8)
  int op_slot_left_357 = gc_frame_newslot(opresult379);
  params[0] = call359;
  partcv[0] = 1;
  Object opresult380 = callmethod(opresult379, "++(1)", 1, partcv, params);
// compiled op node returning opresult380 (depth = 7)
  int op_slot_left_354 = gc_frame_newslot(opresult380);
  params[0] = strlit355;
  partcv[0] = 1;
  Object opresult381 = callmethod(opresult380, "++(1)", 1, partcv, params);
// compiled op node returning opresult381 (depth = 6)
  int op_slot_left_348 = gc_frame_newslot(opresult381);
  params[0] = call352;
  partcv[0] = 1;
  Object opresult382 = callmethod(opresult381, "++(1)", 1, partcv, params);
// compiled op node returning opresult382 (depth = 5)
  int op_slot_left_345 = gc_frame_newslot(opresult382);
  params[0] = strlit346;
  partcv[0] = 1;
  Object opresult383 = callmethod(opresult382, "++(1)", 1, partcv, params);
// compiled op node returning opresult383 (depth = 4)
    gc_frame_newslot(opresult383);
    if308 = opresult383;
  }
// compiled if node returning if308 (depth = 3)
    gc_frame_newslot(if308);
    if222 = if308;
  }
// compiled if node returning if222 (depth = 2)
  gc_frame_end(frame);
  return if222;
}
Object meth_ast__apply_40_1_41_387(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_each (depth = 4)
  gc_frame_end(frame);
  return *var_each;
}
Object meth_ast_deepCopy384(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 56, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "deepCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe385 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block386 = alloc_Block(NULL, NULL, "ast", 186);
  gc_frame_newslot(block386);
// method "_apply(_)"
  block_savedest(block386);
  Object closure387 = createclosure(1, "_apply(1)");
  setclosureframe(closure387, stackframe);
  addtoclosure(closure387, selfslot);
  struct UserObject *uo387 = (struct UserObject*)block386;
  uo387->data[0] = (Object)closure387;
  Method *meth_meth_ast__apply_40_1_41_387 = addmethod2pos(block386, "_apply(1)", &meth_ast__apply_40_1_41_387, 0);
  int argcv_meth_ast__apply_40_1_41_387[] = {1};
  meth_meth_ast__apply_40_1_41_387->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_387);
  meth_meth_ast__apply_40_1_41_387->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_387->definitionLine = 2947;
// compiled block node returning block386 (depth = 3)
  gc_frame_newslot(block386);
// starting to compile member node (depth = 3)
  int callframe389 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ancestorChain (depth = 4)
  Object call390 = callmethodflags(*var_ancestorChain, "empty", 0, partcv, params, 0);
  gc_frame_end(callframe389);
// compiled member node returning call390 (depth = 3)
  gc_frame_newslot(call390);
// call case 4: self request
  params[0] = block386;
  params[1] = call390;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call391 = callmethodflags(self, "map(1)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe385);
// compiled call node returning call391 (depth = 2)
  gc_frame_end(frame);
  return call391;
}
Object meth_ast_enclosingObject392(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "enclosingObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_obj = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "obj");
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe393 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe394 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe395 = gc_frame_new();
// call case 4: self request
  Object call396 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe395);
// compiled member node returning call396 (depth = 5)
  Object call397 = callmethodflags(call396, "enclosingObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe394);
// compiled member node returning call397 (depth = 4)
  Object call398 = callmethodflags(call397, "node", 0, partcv, params, 0);
  gc_frame_end(callframe393);
// compiled member node returning call398 (depth = 3)
  *var_obj = call398;
  if (call398 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_obj (depth = 2)
  gc_frame_end(frame);
  return *var_obj;
}
Object meth_ast_addComment_40_1_41_399(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addComment(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addComment(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addComment(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNode = &(stackframe->slots[0]);
  *var_cmtNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addComment(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe402 = gc_frame_new();
// call case 4: self request
  Object call403 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe402);
// compiled member node returning call403 (depth = 4)
  int op_slot_right_401 = gc_frame_newslot(call403);
// starting to compile identifier node (depth = 4)
  Object bool405 = alloc_Boolean(0);
// compiled identifier node returning bool405 (depth = 4)
  int op_slot_left_401 = gc_frame_newslot(bool405);
  params[0] = call403;
  partcv[0] = 1;
  Object opresult406 = callmethod(bool405, "==(1)", 1, partcv, params);
// compiled op node returning opresult406 (depth = 3)
  Object if400 = done;
  if (istrue(opresult406)) {
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe407 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cmtNode (depth = 4)
  gc_frame_newslot(*var_cmtNode);
// call case 4: self request
  params[0] = *var_cmtNode;
  partcv[0] = 1;
  Object call408 = callmethodflags(self, "comments:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe407);
// compiled call node returning call408 (depth = 3)
    gc_frame_newslot(call408);
    if400 = call408;
  } else {
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe409 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cmtNode (depth = 4)
  gc_frame_newslot(*var_cmtNode);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe410 = gc_frame_new();
// call case 4: self request
  Object call411 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe410);
// compiled member node returning call411 (depth = 4)
  params[0] = *var_cmtNode;
  partcv[0] = 1;
  Object call412 = callmethodflags(call411, "extendCommentUsing(1)", 1, partcv, params, 0);
  gc_frame_end(callframe409);
// compiled call node returning call412 (depth = 3)
    gc_frame_newslot(call412);
    if400 = call412;
  }
// compiled if node returning if400 (depth = 2)
  gc_frame_end(frame);
  return if400;
}
Object meth_ast__apply_40_1_41_416(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe417 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  gc_frame_newslot(*var_each);
// call case 4: self request
  params[0] = *var_each;
  partcv[0] = 1;
  Object call418 = callmethodflags(self, "addComment(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe417);
// compiled call node returning call418 (depth = 4)
  gc_frame_end(frame);
  return call418;
}
Object meth_ast_addComments_40_1_41_413(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addComments(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addComments(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addComments(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNodeList = &(stackframe->slots[0]);
  *var_cmtNodeList = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addComments(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe414 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block415 = alloc_Block(NULL, NULL, "ast", 200);
  gc_frame_newslot(block415);
// method "_apply(_)"
  block_savedest(block415);
  Object closure416 = createclosure(1, "_apply(1)");
  setclosureframe(closure416, stackframe);
  addtoclosure(closure416, selfslot);
  struct UserObject *uo416 = (struct UserObject*)block415;
  uo416->data[0] = (Object)closure416;
  Method *meth_meth_ast__apply_40_1_41_416 = addmethod2pos(block415, "_apply(1)", &meth_ast__apply_40_1_41_416, 0);
  int argcv_meth_ast__apply_40_1_41_416[] = {1};
  meth_meth_ast__apply_40_1_41_416->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_416);
  meth_meth_ast__apply_40_1_41_416->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_416->definitionLine = 2947;
// compiled block node returning block415 (depth = 3)
  gc_frame_newslot(block415);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cmtNodeList (depth = 3)
  params[0] = block415;
  partcv[0] = 1;
  Object call420 = callmethodflags(*var_cmtNodeList, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe414);
// compiled call node returning call420 (depth = 2)
  gc_frame_end(frame);
  return call420;
}
Object meth_ast_statementName421(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe422 = gc_frame_new();
// call case 4: self request
  Object call423 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe422);
// compiled member node returning call423 (depth = 2)
  gc_frame_end(frame);
  return call423;
}
Object meth_ast_baseNode28(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "baseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_fakeSymbolTable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject29 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj29 = alloc_userobj2(65,61, objclass29);
  gc_frame_newslot(obj29);
if (objclass29 == NULL) {
  glfree(obj29->class->name);
  obj29->class->name = "baseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj29, self, 0);
  addmethodreal(obj29,"outer", &reader_ast_outer_30);
  Object oldself29 = self;
  struct StackFrameObject *oldstackframe29 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe29);
  gc_frame_newslot((Object)stackframe);
  self = obj29;
  Object *oldselfslot29 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter29 = (*(struct UserObject *)self).data[0], lowerouter29 = thisouter29;
  if (inheritingObject29) {
    struct UserObject *inho29 = (struct UserObject *)inheritingObject29;
    while (inho29->super != GraceDefaultObject) inho29 = (struct UserObject *)inho29->super;
    inho29->super = obj29;
    self = inheritingObject29;
    *selfslot = self;
    lowerouter29 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter29;
  }
if (objclass29 == NULL) {
  Method *reader31 = addmethodrealflags(obj29, "register", &reader_ast_register_31, 0);
  Method *writer31 = addmethodrealflags(obj29, "register:=(1)", &writer_ast_register_31, 0);
  reader31->definitionModule = modulename;
  writer31->definitionModule = modulename;
  reader31->definitionLine = 89;
  writer31->definitionLine = 89;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 1);
if (objclass29 == NULL) {
  Method *reader32 = addmethodrealflags(obj29, "line", &reader_ast_line_32, 0);
  Method *writer32 = addmethodrealflags(obj29, "line:=(1)", &writer_ast_line_32, 0);
  reader32->definitionModule = modulename;
  writer32->definitionModule = modulename;
  reader32->definitionLine = 90;
  writer32->definitionLine = 90;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 2);
if (objclass29 == NULL) {
  Method *reader33 = addmethodrealflags(obj29, "linePos", &reader_ast_linePos_33, 0);
  Method *writer33 = addmethodrealflags(obj29, "linePos:=(1)", &writer_ast_linePos_33, 0);
  reader33->definitionModule = modulename;
  writer33->definitionModule = modulename;
  reader33->definitionLine = 91;
  writer33->definitionLine = 91;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 3);
if (objclass29 == NULL) {
  Method *reader34 = addmethodrealflags(obj29, "symbolTable", &reader_ast_symbolTable_34, MFLAG_CONFIDENTIAL);
  Method *writer34 = addmethodrealflags(obj29, "symbolTable:=(1)", &writer_ast_symbolTable_34, MFLAG_CONFIDENTIAL);
  reader34->definitionModule = modulename;
  writer34->definitionModule = modulename;
  reader34->definitionLine = 92;
  writer34->definitionLine = 92;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 4);
if (objclass29 == NULL) {
  Method *reader35 = addmethodrealflags(obj29, "comments", &reader_ast_comments_35, 0);
  Method *writer35 = addmethodrealflags(obj29, "comments:=(1)", &writer_ast_comments_35, 0);
  reader35->definitionModule = modulename;
  writer35->definitionModule = modulename;
  reader35->definitionLine = 93;
  writer35->definitionLine = 93;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 5);
// method "setLine(_)col(_)"
  struct UserObject *uo36 = (struct UserObject*)obj29;
  uo36->data[6] = emptyclosure;
  Method *meth_meth_ast_setLine_40_1_41_col_40_1_41_36 = addmethod2pos(obj29, "setLine(1)col(1)", &meth_ast_setLine_40_1_41_col_40_1_41_36, 6);
  int argcv_meth_ast_setLine_40_1_41_col_40_1_41_36[] = {1, 1};
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->type = alloc_MethodType(2, argcv_meth_ast_setLine_40_1_41_col_40_1_41_36);
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->definitionModule = modulename;
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->definitionLine = 95;
// method "setPositionFrom(_)"
  struct UserObject *uo41 = (struct UserObject*)obj29;
  uo41->data[7] = emptyclosure;
  Method *meth_meth_ast_setPositionFrom_40_1_41_41 = addmethod2pos(obj29, "setPositionFrom(1)", &meth_ast_setPositionFrom_40_1_41_41, 7);
  int argcv_meth_ast_setPositionFrom_40_1_41_41[] = {1};
  meth_meth_ast_setPositionFrom_40_1_41_41->type = alloc_MethodType(1, argcv_meth_ast_setPositionFrom_40_1_41_41);
  meth_meth_ast_setPositionFrom_40_1_41_41->definitionModule = modulename;
  meth_meth_ast_setPositionFrom_40_1_41_41->definitionLine = 100;
// method "kind"
  struct UserObject *uo50 = (struct UserObject*)obj29;
  uo50->data[8] = emptyclosure;
  Method *meth_meth_ast_kind50 = addmethod2pos(obj29, "kind", &meth_ast_kind50, 8);
  int argcv_meth_ast_kind50[] = {0};
  meth_meth_ast_kind50->type = alloc_MethodType(1, argcv_meth_ast_kind50);
  meth_meth_ast_kind50->definitionModule = modulename;
  meth_meth_ast_kind50->definitionLine = 105;
// method "==(_)"
  struct UserObject *uo53 = (struct UserObject*)obj29;
  uo53->data[9] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_53 = addmethod2pos(obj29, "==(1)", &meth_ast__61__61__40_1_41_53, 9);
  int argcv_meth_ast__61__61__40_1_41_53[] = {1};
  meth_meth_ast__61__61__40_1_41_53->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_53);
  meth_meth_ast__61__61__40_1_41_53->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_53->definitionLine = 106;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo56 = (struct UserObject*)obj29;
  uo56->data[10] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier56 = addmethod2pos(obj29, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier56, 10);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier56[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier56);
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->definitionLine = 107;
// method "isMatchingBlock"
  struct UserObject *uo58 = (struct UserObject*)obj29;
  uo58->data[11] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock58 = addmethod2pos(obj29, "isMatchingBlock", &meth_ast_isMatchingBlock58, 11);
  int argcv_meth_ast_isMatchingBlock58[] = {0};
  meth_meth_ast_isMatchingBlock58->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock58);
  meth_meth_ast_isMatchingBlock58->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock58->definitionLine = 108;
// method "isFieldDec"
  struct UserObject *uo60 = (struct UserObject*)obj29;
  uo60->data[12] = emptyclosure;
  Method *meth_meth_ast_isFieldDec60 = addmethod2pos(obj29, "isFieldDec", &meth_ast_isFieldDec60, 12);
  int argcv_meth_ast_isFieldDec60[] = {0};
  meth_meth_ast_isFieldDec60->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec60);
  meth_meth_ast_isFieldDec60->definitionModule = modulename;
  meth_meth_ast_isFieldDec60->definitionLine = 109;
// method "isInherits"
  struct UserObject *uo62 = (struct UserObject*)obj29;
  uo62->data[13] = emptyclosure;
  Method *meth_meth_ast_isInherits62 = addmethod2pos(obj29, "isInherits", &meth_ast_isInherits62, 13);
  int argcv_meth_ast_isInherits62[] = {0};
  meth_meth_ast_isInherits62->type = alloc_MethodType(1, argcv_meth_ast_isInherits62);
  meth_meth_ast_isInherits62->definitionModule = modulename;
  meth_meth_ast_isInherits62->definitionLine = 110;
// method "isLegalInTrait"
  struct UserObject *uo64 = (struct UserObject*)obj29;
  uo64->data[14] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait64 = addmethod2pos(obj29, "isLegalInTrait", &meth_ast_isLegalInTrait64, 14);
  int argcv_meth_ast_isLegalInTrait64[] = {0};
  meth_meth_ast_isLegalInTrait64->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait64);
  meth_meth_ast_isLegalInTrait64->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait64->definitionLine = 111;
// method "isMember"
  struct UserObject *uo66 = (struct UserObject*)obj29;
  uo66->data[15] = emptyclosure;
  Method *meth_meth_ast_isMember66 = addmethod2pos(obj29, "isMember", &meth_ast_isMember66, 15);
  int argcv_meth_ast_isMember66[] = {0};
  meth_meth_ast_isMember66->type = alloc_MethodType(1, argcv_meth_ast_isMember66);
  meth_meth_ast_isMember66->definitionModule = modulename;
  meth_meth_ast_isMember66->definitionLine = 112;
// method "isMethod"
  struct UserObject *uo68 = (struct UserObject*)obj29;
  uo68->data[16] = emptyclosure;
  Method *meth_meth_ast_isMethod68 = addmethod2pos(obj29, "isMethod", &meth_ast_isMethod68, 16);
  int argcv_meth_ast_isMethod68[] = {0};
  meth_meth_ast_isMethod68->type = alloc_MethodType(1, argcv_meth_ast_isMethod68);
  meth_meth_ast_isMethod68->definitionModule = modulename;
  meth_meth_ast_isMethod68->definitionLine = 113;
// method "isExecutable"
  struct UserObject *uo70 = (struct UserObject*)obj29;
  uo70->data[17] = emptyclosure;
  Method *meth_meth_ast_isExecutable70 = addmethod2pos(obj29, "isExecutable", &meth_ast_isExecutable70, 17);
  int argcv_meth_ast_isExecutable70[] = {0};
  meth_meth_ast_isExecutable70->type = alloc_MethodType(1, argcv_meth_ast_isExecutable70);
  meth_meth_ast_isExecutable70->definitionModule = modulename;
  meth_meth_ast_isExecutable70->definitionLine = 114;
// method "isCall"
  struct UserObject *uo72 = (struct UserObject*)obj29;
  uo72->data[18] = emptyclosure;
  Method *meth_meth_ast_isCall72 = addmethod2pos(obj29, "isCall", &meth_ast_isCall72, 18);
  int argcv_meth_ast_isCall72[] = {0};
  meth_meth_ast_isCall72->type = alloc_MethodType(1, argcv_meth_ast_isCall72);
  meth_meth_ast_isCall72->definitionModule = modulename;
  meth_meth_ast_isCall72->definitionLine = 115;
// method "isComment"
  struct UserObject *uo74 = (struct UserObject*)obj29;
  uo74->data[19] = emptyclosure;
  Method *meth_meth_ast_isComment74 = addmethod2pos(obj29, "isComment", &meth_ast_isComment74, 19);
  int argcv_meth_ast_isComment74[] = {0};
  meth_meth_ast_isComment74->type = alloc_MethodType(1, argcv_meth_ast_isComment74);
  meth_meth_ast_isComment74->definitionModule = modulename;
  meth_meth_ast_isComment74->definitionLine = 116;
// method "isClass"
  struct UserObject *uo76 = (struct UserObject*)obj29;
  uo76->data[20] = emptyclosure;
  Method *meth_meth_ast_isClass76 = addmethod2pos(obj29, "isClass", &meth_ast_isClass76, 20);
  int argcv_meth_ast_isClass76[] = {0};
  meth_meth_ast_isClass76->type = alloc_MethodType(1, argcv_meth_ast_isClass76);
  meth_meth_ast_isClass76->definitionModule = modulename;
  meth_meth_ast_isClass76->definitionLine = 117;
// method "inClass"
  struct UserObject *uo78 = (struct UserObject*)obj29;
  uo78->data[21] = emptyclosure;
  Method *meth_meth_ast_inClass78 = addmethod2pos(obj29, "inClass", &meth_ast_inClass78, 21);
  int argcv_meth_ast_inClass78[] = {0};
  meth_meth_ast_inClass78->type = alloc_MethodType(1, argcv_meth_ast_inClass78);
  meth_meth_ast_inClass78->definitionModule = modulename;
  meth_meth_ast_inClass78->definitionLine = 118;
// method "isTrait"
  struct UserObject *uo80 = (struct UserObject*)obj29;
  uo80->data[22] = emptyclosure;
  Method *meth_meth_ast_isTrait80 = addmethod2pos(obj29, "isTrait", &meth_ast_isTrait80, 22);
  int argcv_meth_ast_isTrait80[] = {0};
  meth_meth_ast_isTrait80->type = alloc_MethodType(1, argcv_meth_ast_isTrait80);
  meth_meth_ast_isTrait80->definitionModule = modulename;
  meth_meth_ast_isTrait80->definitionLine = 119;
// method "inTrait"
  struct UserObject *uo82 = (struct UserObject*)obj29;
  uo82->data[23] = emptyclosure;
  Method *meth_meth_ast_inTrait82 = addmethod2pos(obj29, "inTrait", &meth_ast_inTrait82, 23);
  int argcv_meth_ast_inTrait82[] = {0};
  meth_meth_ast_inTrait82->type = alloc_MethodType(1, argcv_meth_ast_inTrait82);
  meth_meth_ast_inTrait82->definitionModule = modulename;
  meth_meth_ast_inTrait82->definitionLine = 120;
// method "isBind"
  struct UserObject *uo84 = (struct UserObject*)obj29;
  uo84->data[24] = emptyclosure;
  Method *meth_meth_ast_isBind84 = addmethod2pos(obj29, "isBind", &meth_ast_isBind84, 24);
  int argcv_meth_ast_isBind84[] = {0};
  meth_meth_ast_isBind84->type = alloc_MethodType(1, argcv_meth_ast_isBind84);
  meth_meth_ast_isBind84->definitionModule = modulename;
  meth_meth_ast_isBind84->definitionLine = 121;
// method "isSelf"
  struct UserObject *uo86 = (struct UserObject*)obj29;
  uo86->data[25] = emptyclosure;
  Method *meth_meth_ast_isSelf86 = addmethod2pos(obj29, "isSelf", &meth_ast_isSelf86, 25);
  int argcv_meth_ast_isSelf86[] = {0};
  meth_meth_ast_isSelf86->type = alloc_MethodType(1, argcv_meth_ast_isSelf86);
  meth_meth_ast_isSelf86->definitionModule = modulename;
  meth_meth_ast_isSelf86->definitionLine = 122;
// method "isSuper"
  struct UserObject *uo88 = (struct UserObject*)obj29;
  uo88->data[26] = emptyclosure;
  Method *meth_meth_ast_isSuper88 = addmethod2pos(obj29, "isSuper", &meth_ast_isSuper88, 26);
  int argcv_meth_ast_isSuper88[] = {0};
  meth_meth_ast_isSuper88->type = alloc_MethodType(1, argcv_meth_ast_isSuper88);
  meth_meth_ast_isSuper88->definitionModule = modulename;
  meth_meth_ast_isSuper88->definitionLine = 123;
// method "isPrelude"
  struct UserObject *uo90 = (struct UserObject*)obj29;
  uo90->data[27] = emptyclosure;
  Method *meth_meth_ast_isPrelude90 = addmethod2pos(obj29, "isPrelude", &meth_ast_isPrelude90, 27);
  int argcv_meth_ast_isPrelude90[] = {0};
  meth_meth_ast_isPrelude90->type = alloc_MethodType(1, argcv_meth_ast_isPrelude90);
  meth_meth_ast_isPrelude90->definitionModule = modulename;
  meth_meth_ast_isPrelude90->definitionLine = 124;
// method "isOuter"
  struct UserObject *uo92 = (struct UserObject*)obj29;
  uo92->data[28] = emptyclosure;
  Method *meth_meth_ast_isOuter92 = addmethod2pos(obj29, "isOuter", &meth_ast_isOuter92, 28);
  int argcv_meth_ast_isOuter92[] = {0};
  meth_meth_ast_isOuter92->type = alloc_MethodType(1, argcv_meth_ast_isOuter92);
  meth_meth_ast_isOuter92->definitionModule = modulename;
  meth_meth_ast_isOuter92->definitionLine = 125;
// method "isBlock"
  struct UserObject *uo94 = (struct UserObject*)obj29;
  uo94->data[29] = emptyclosure;
  Method *meth_meth_ast_isBlock94 = addmethod2pos(obj29, "isBlock", &meth_ast_isBlock94, 29);
  int argcv_meth_ast_isBlock94[] = {0};
  meth_meth_ast_isBlock94->type = alloc_MethodType(1, argcv_meth_ast_isBlock94);
  meth_meth_ast_isBlock94->definitionModule = modulename;
  meth_meth_ast_isBlock94->definitionLine = 126;
// method "isObject"
  struct UserObject *uo96 = (struct UserObject*)obj29;
  uo96->data[30] = emptyclosure;
  Method *meth_meth_ast_isObject96 = addmethod2pos(obj29, "isObject", &meth_ast_isObject96, 30);
  int argcv_meth_ast_isObject96[] = {0};
  meth_meth_ast_isObject96->type = alloc_MethodType(1, argcv_meth_ast_isObject96);
  meth_meth_ast_isObject96->definitionModule = modulename;
  meth_meth_ast_isObject96->definitionLine = 127;
// method "isIdentifier"
  struct UserObject *uo98 = (struct UserObject*)obj29;
  uo98->data[31] = emptyclosure;
  Method *meth_meth_ast_isIdentifier98 = addmethod2pos(obj29, "isIdentifier", &meth_ast_isIdentifier98, 31);
  int argcv_meth_ast_isIdentifier98[] = {0};
  meth_meth_ast_isIdentifier98->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier98);
  meth_meth_ast_isIdentifier98->definitionModule = modulename;
  meth_meth_ast_isIdentifier98->definitionLine = 128;
// method "isDialect"
  struct UserObject *uo100 = (struct UserObject*)obj29;
  uo100->data[32] = emptyclosure;
  Method *meth_meth_ast_isDialect100 = addmethod2pos(obj29, "isDialect", &meth_ast_isDialect100, 32);
  int argcv_meth_ast_isDialect100[] = {0};
  meth_meth_ast_isDialect100->type = alloc_MethodType(1, argcv_meth_ast_isDialect100);
  meth_meth_ast_isDialect100->definitionModule = modulename;
  meth_meth_ast_isDialect100->definitionLine = 129;
// method "isImport"
  struct UserObject *uo102 = (struct UserObject*)obj29;
  uo102->data[33] = emptyclosure;
  Method *meth_meth_ast_isImport102 = addmethod2pos(obj29, "isImport", &meth_ast_isImport102, 33);
  int argcv_meth_ast_isImport102[] = {0};
  meth_meth_ast_isImport102->type = alloc_MethodType(1, argcv_meth_ast_isImport102);
  meth_meth_ast_isImport102->definitionModule = modulename;
  meth_meth_ast_isImport102->definitionLine = 130;
// method "isTypeDec"
  struct UserObject *uo104 = (struct UserObject*)obj29;
  uo104->data[34] = emptyclosure;
  Method *meth_meth_ast_isTypeDec104 = addmethod2pos(obj29, "isTypeDec", &meth_ast_isTypeDec104, 34);
  int argcv_meth_ast_isTypeDec104[] = {0};
  meth_meth_ast_isTypeDec104->type = alloc_MethodType(1, argcv_meth_ast_isTypeDec104);
  meth_meth_ast_isTypeDec104->definitionModule = modulename;
  meth_meth_ast_isTypeDec104->definitionLine = 131;
// method "isExternal"
  struct UserObject *uo106 = (struct UserObject*)obj29;
  uo106->data[35] = emptyclosure;
  Method *meth_meth_ast_isExternal106 = addmethod2pos(obj29, "isExternal", &meth_ast_isExternal106, 35);
  int argcv_meth_ast_isExternal106[] = {0};
  meth_meth_ast_isExternal106->type = alloc_MethodType(1, argcv_meth_ast_isExternal106);
  meth_meth_ast_isExternal106->definitionModule = modulename;
  meth_meth_ast_isExternal106->definitionLine = 132;
// method "canInherit"
  struct UserObject *uo108 = (struct UserObject*)obj29;
  uo108->data[36] = emptyclosure;
  Method *meth_meth_ast_canInherit108 = addmethod2pos(obj29, "canInherit", &meth_ast_canInherit108, 36);
  int argcv_meth_ast_canInherit108[] = {0};
  meth_meth_ast_canInherit108->type = alloc_MethodType(1, argcv_meth_ast_canInherit108);
  meth_meth_ast_canInherit108->definitionModule = modulename;
  meth_meth_ast_canInherit108->definitionLine = 133;
// method "returnsObject"
  struct UserObject *uo110 = (struct UserObject*)obj29;
  uo110->data[37] = emptyclosure;
  Method *meth_meth_ast_returnsObject110 = addmethod2pos(obj29, "returnsObject", &meth_ast_returnsObject110, 37);
  int argcv_meth_ast_returnsObject110[] = {0};
  meth_meth_ast_returnsObject110->type = alloc_MethodType(1, argcv_meth_ast_returnsObject110);
  meth_meth_ast_returnsObject110->definitionModule = modulename;
  meth_meth_ast_returnsObject110->definitionLine = 134;
// method "isImplicit"
  struct UserObject *uo112 = (struct UserObject*)obj29;
  uo112->data[38] = emptyclosure;
  Method *meth_meth_ast_isImplicit112 = addmethod2pos(obj29, "isImplicit", &meth_ast_isImplicit112, 38);
  int argcv_meth_ast_isImplicit112[] = {0};
  meth_meth_ast_isImplicit112->type = alloc_MethodType(1, argcv_meth_ast_isImplicit112);
  meth_meth_ast_isImplicit112->definitionModule = modulename;
  meth_meth_ast_isImplicit112->definitionLine = 135;
// method "usesAsType(_)"
  struct UserObject *uo114 = (struct UserObject*)obj29;
  uo114->data[39] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_114 = addmethod2pos(obj29, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_114, 39);
  int argcv_meth_ast_usesAsType_40_1_41_114[] = {1};
  meth_meth_ast_usesAsType_40_1_41_114->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_114);
  meth_meth_ast_usesAsType_40_1_41_114->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_114->definitionLine = 136;
// method "hash"
  struct UserObject *uo116 = (struct UserObject*)obj29;
  uo116->data[40] = emptyclosure;
  Method *meth_meth_ast_hash116 = addmethod2pos(obj29, "hash", &meth_ast_hash116, 40);
  int argcv_meth_ast_hash116[] = {0};
  meth_meth_ast_hash116->type = alloc_MethodType(1, argcv_meth_ast_hash116);
  meth_meth_ast_hash116->definitionModule = modulename;
  meth_meth_ast_hash116->definitionLine = 137;
// method "asString"
  struct UserObject *uo128 = (struct UserObject*)obj29;
  uo128->data[41] = emptyclosure;
  Method *meth_meth_ast_asString128 = addmethod2pos(obj29, "asString", &meth_ast_asString128, 41);
  int argcv_meth_ast_asString128[] = {0};
  meth_meth_ast_asString128->type = alloc_MethodType(1, argcv_meth_ast_asString128);
  meth_meth_ast_asString128->definitionModule = modulename;
  meth_meth_ast_asString128->definitionLine = 138;
// method "nameString"
  struct UserObject *uo148 = (struct UserObject*)obj29;
  uo148->data[42] = emptyclosure;
  Method *meth_meth_ast_nameString148 = addmethod2pos(obj29, "nameString", &meth_ast_nameString148, 42);
  int argcv_meth_ast_nameString148[] = {0};
  meth_meth_ast_nameString148->type = alloc_MethodType(1, argcv_meth_ast_nameString148);
  meth_meth_ast_nameString148->definitionModule = modulename;
  meth_meth_ast_nameString148->definitionLine = 139;
// method "isWritable"
  struct UserObject *uo150 = (struct UserObject*)obj29;
  uo150->data[43] = emptyclosure;
  Method *meth_meth_ast_isWritable150 = addmethod2pos(obj29, "isWritable", &meth_ast_isWritable150, 43);
  int argcv_meth_ast_isWritable150[] = {0};
  meth_meth_ast_isWritable150->type = alloc_MethodType(1, argcv_meth_ast_isWritable150);
  meth_meth_ast_isWritable150->definitionModule = modulename;
  meth_meth_ast_isWritable150->definitionLine = 140;
// method "isReadable"
  struct UserObject *uo152 = (struct UserObject*)obj29;
  uo152->data[44] = emptyclosure;
  Method *meth_meth_ast_isReadable152 = addmethod2pos(obj29, "isReadable", &meth_ast_isReadable152, 44);
  int argcv_meth_ast_isReadable152[] = {0};
  meth_meth_ast_isReadable152->type = alloc_MethodType(1, argcv_meth_ast_isReadable152);
  meth_meth_ast_isReadable152->definitionModule = modulename;
  meth_meth_ast_isReadable152->definitionLine = 141;
// method "isPublic"
  struct UserObject *uo154 = (struct UserObject*)obj29;
  uo154->data[45] = emptyclosure;
  Method *meth_meth_ast_isPublic154 = addmethod2pos(obj29, "isPublic", &meth_ast_isPublic154, 45);
  int argcv_meth_ast_isPublic154[] = {0};
  meth_meth_ast_isPublic154->type = alloc_MethodType(1, argcv_meth_ast_isPublic154);
  meth_meth_ast_isPublic154->definitionModule = modulename;
  meth_meth_ast_isPublic154->definitionLine = 142;
// method "isConfidential"
  struct UserObject *uo156 = (struct UserObject*)obj29;
  uo156->data[46] = emptyclosure;
  Method *meth_meth_ast_isConfidential156 = addmethod2pos(obj29, "isConfidential", &meth_ast_isConfidential156, 46);
  int argcv_meth_ast_isConfidential156[] = {0};
  meth_meth_ast_isConfidential156->type = alloc_MethodType(1, argcv_meth_ast_isConfidential156);
  meth_meth_ast_isConfidential156->definitionModule = modulename;
  meth_meth_ast_isConfidential156->definitionLine = 143;
// method "decType"
  block_savedest(obj29);
  Object closure161 = createclosure(1, "decType");
  setclosureframe(closure161, stackframe);
  addtoclosure(closure161, var_unknownType);
  struct UserObject *uo161 = (struct UserObject*)obj29;
  uo161->data[47] = (Object)closure161;
  Method *meth_meth_ast_decType161 = addmethod2pos(obj29, "decType", &meth_ast_decType161, 47);
  int argcv_meth_ast_decType161[] = {0};
  meth_meth_ast_decType161->type = alloc_MethodType(1, argcv_meth_ast_decType161);
  meth_meth_ast_decType161->definitionModule = modulename;
  meth_meth_ast_decType161->definitionLine = 144;
// method "isSimple"
  struct UserObject *uo171 = (struct UserObject*)obj29;
  uo171->data[48] = emptyclosure;
  Method *meth_meth_ast_isSimple171 = addmethod2pos(obj29, "isSimple", &meth_ast_isSimple171, 48);
  int argcv_meth_ast_isSimple171[] = {0};
  meth_meth_ast_isSimple171->type = alloc_MethodType(1, argcv_meth_ast_isSimple171);
  meth_meth_ast_isSimple171->definitionModule = modulename;
  meth_meth_ast_isSimple171->definitionLine = 150;
// method "isDelimited"
  struct UserObject *uo173 = (struct UserObject*)obj29;
  uo173->data[49] = emptyclosure;
  Method *meth_meth_ast_isDelimited173 = addmethod2pos(obj29, "isDelimited", &meth_ast_isDelimited173, 49);
  int argcv_meth_ast_isDelimited173[] = {0};
  meth_meth_ast_isDelimited173->type = alloc_MethodType(1, argcv_meth_ast_isDelimited173);
  meth_meth_ast_isDelimited173->definitionModule = modulename;
  meth_meth_ast_isDelimited173->definitionLine = 151;
// method "description"
  struct UserObject *uo175 = (struct UserObject*)obj29;
  uo175->data[50] = emptyclosure;
  Method *meth_meth_ast_description175 = addmethod2pos(obj29, "description", &meth_ast_description175, 50);
  int argcv_meth_ast_description175[] = {0};
  meth_meth_ast_description175->type = alloc_MethodType(1, argcv_meth_ast_description175);
  meth_meth_ast_description175->definitionModule = modulename;
  meth_meth_ast_description175->definitionLine = 152;
// method "accept(_)"
  block_savedest(obj29);
  Object closure178 = createclosure(1, "accept(1)");
  setclosureframe(closure178, stackframe);
  addtoclosure(closure178, var_ancestorChain);
  struct UserObject *uo178 = (struct UserObject*)obj29;
  uo178->data[51] = (Object)closure178;
  Method *meth_meth_ast_accept_40_1_41_178 = addmethod2pos(obj29, "accept(1)", &meth_ast_accept_40_1_41_178, 51);
  int argcv_meth_ast_accept_40_1_41_178[] = {1};
  meth_meth_ast_accept_40_1_41_178->type = alloc_MethodType(1, argcv_meth_ast_accept_40_1_41_178);
  meth_meth_ast_accept_40_1_41_178->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_178->definitionLine = 153;
// method "scope"
  struct UserObject *uo183 = (struct UserObject*)obj29;
  uo183->data[52] = emptyclosure;
  Method *meth_meth_ast_scope183 = addmethod2pos(obj29, "scope", &meth_ast_scope183, 52);
  int argcv_meth_ast_scope183[] = {0};
  meth_meth_ast_scope183->type = alloc_MethodType(1, argcv_meth_ast_scope183);
  meth_meth_ast_scope183->definitionModule = modulename;
  meth_meth_ast_scope183->definitionLine = 156;
// method "scope:=(_)"
  struct UserObject *uo186 = (struct UserObject*)obj29;
  uo186->data[53] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_186 = addmethod2pos(obj29, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_186, 53);
  int argcv_meth_ast_scope_58__61__40_1_41_186[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_186->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_186);
  meth_meth_ast_scope_58__61__40_1_41_186->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_186->definitionLine = 158;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo189 = (struct UserObject*)obj29;
  uo189->data[54] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_189 = addmethod2pos(obj29, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_189, 54);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_189[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_189->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_189);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_189->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_189->definitionLine = 165;
// method "pretty(_)"
  block_savedest(obj29);
  Object closure206 = createclosure(1, "pretty(1)");
  setclosureframe(closure206, stackframe);
  addtoclosure(closure206, var_util);
  struct UserObject *uo206 = (struct UserObject*)obj29;
  uo206->data[55] = (Object)closure206;
  Method *meth_meth_ast_pretty_40_1_41_206 = addmethod2pos(obj29, "pretty(1)", &meth_ast_pretty_40_1_41_206, 55);
  int argcv_meth_ast_pretty_40_1_41_206[] = {1};
  meth_meth_ast_pretty_40_1_41_206->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_206);
  meth_meth_ast_pretty_40_1_41_206->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_206->definitionLine = 172;
// method "deepCopy"
  block_savedest(obj29);
  Object closure384 = createclosure(1, "deepCopy");
  setclosureframe(closure384, stackframe);
  addtoclosure(closure384, var_ancestorChain);
  struct UserObject *uo384 = (struct UserObject*)obj29;
  uo384->data[56] = (Object)closure384;
  Method *meth_meth_ast_deepCopy384 = addmethod2pos(obj29, "deepCopy", &meth_ast_deepCopy384, 56);
  int argcv_meth_ast_deepCopy384[] = {0};
  meth_meth_ast_deepCopy384->type = alloc_MethodType(1, argcv_meth_ast_deepCopy384);
  meth_meth_ast_deepCopy384->definitionModule = modulename;
  meth_meth_ast_deepCopy384->definitionLine = 185;
// method "enclosingObject"
  struct UserObject *uo392 = (struct UserObject*)obj29;
  uo392->data[57] = emptyclosure;
  Method *meth_meth_ast_enclosingObject392 = addmethod2pos(obj29, "enclosingObject", &meth_ast_enclosingObject392, 57);
  int argcv_meth_ast_enclosingObject392[] = {0};
  meth_meth_ast_enclosingObject392->type = alloc_MethodType(1, argcv_meth_ast_enclosingObject392);
  meth_meth_ast_enclosingObject392->definitionModule = modulename;
  meth_meth_ast_enclosingObject392->definitionLine = 188;
// method "addComment(_)"
  struct UserObject *uo399 = (struct UserObject*)obj29;
  uo399->data[58] = emptyclosure;
  Method *meth_meth_ast_addComment_40_1_41_399 = addmethod2pos(obj29, "addComment(1)", &meth_ast_addComment_40_1_41_399, 58);
  int argcv_meth_ast_addComment_40_1_41_399[] = {1};
  meth_meth_ast_addComment_40_1_41_399->type = alloc_MethodType(1, argcv_meth_ast_addComment_40_1_41_399);
  meth_meth_ast_addComment_40_1_41_399->definitionModule = modulename;
  meth_meth_ast_addComment_40_1_41_399->definitionLine = 192;
// method "addComments(_)"
  struct UserObject *uo413 = (struct UserObject*)obj29;
  uo413->data[59] = emptyclosure;
  Method *meth_meth_ast_addComments_40_1_41_413 = addmethod2pos(obj29, "addComments(1)", &meth_ast_addComments_40_1_41_413, 59);
  int argcv_meth_ast_addComments_40_1_41_413[] = {1};
  meth_meth_ast_addComments_40_1_41_413->type = alloc_MethodType(1, argcv_meth_ast_addComments_40_1_41_413);
  meth_meth_ast_addComments_40_1_41_413->definitionModule = modulename;
  meth_meth_ast_addComments_40_1_41_413->definitionLine = 199;
// method "statementName"
  struct UserObject *uo421 = (struct UserObject*)obj29;
  uo421->data[60] = emptyclosure;
  Method *meth_meth_ast_statementName421 = addmethod2pos(obj29, "statementName", &meth_ast_statementName421, 60);
  int argcv_meth_ast_statementName421[] = {0};
  meth_meth_ast_statementName421->type = alloc_MethodType(1, argcv_meth_ast_statementName421);
  meth_meth_ast_statementName421->definitionModule = modulename;
  meth_meth_ast_statementName421->definitionLine = 202;
  sourceObject = obj29;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit424 == NULL) {
    strlit424 = alloc_String("");
    gc_root(strlit424);
  }
// compiled string node returning strlit424 (depth = 2)
  adddatum2(obj29, strlit424, 1);
  sourceObject = obj29;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe425 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call426 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe425);
// compiled member node returning call426 (depth = 2)
  adddatum2(obj29, call426, 2);
  sourceObject = obj29;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe427 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call428 = callmethodflags(*var_util, "linepos", 0, partcv, params, 0);
  gc_frame_end(callframe427);
// compiled member node returning call428 (depth = 2)
  adddatum2(obj29, call428, 3);
  sourceObject = obj29;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_fakeSymbolTable (depth = 2)
  adddatum2(obj29, *var_fakeSymbolTable, 4);
  sourceObject = obj29;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool429 = alloc_Boolean(0);
// compiled identifier node returning bool429 (depth = 2)
  adddatum2(obj29, bool429, 5);
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  objclass29 = obj29->class;
  objclass29->definitionModule = modulename;
  objclass29->definitionLine = 87;
  (*(struct UserObject *)self).data[0] = lowerouter29;
  self = oldself29;
  selfslot = oldselfslot29;
  stackframe = oldstackframe29;
  gc_frame_end(frame);
  return obj29;
}
Object meth_ast_baseNode28_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "baseNode$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_fakeSymbolTable = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject29 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj29 = alloc_userobj2(65,61, objclass29);
  gc_frame_newslot(obj29);
if (objclass29 == NULL) {
  glfree(obj29->class->name);
  obj29->class->name = "baseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj29, self, 0);
  addmethodreal(obj29,"outer", &reader_ast_outer_30);
  Object oldself29 = self;
  struct StackFrameObject *oldstackframe29 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe29);
  gc_frame_newslot((Object)stackframe);
  self = obj29;
  Object *oldselfslot29 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter29 = (*(struct UserObject *)self).data[0], lowerouter29 = thisouter29;
  if (inheritingObject29) {
    struct UserObject *inho29 = (struct UserObject *)inheritingObject29;
    while (inho29->super != GraceDefaultObject) inho29 = (struct UserObject *)inho29->super;
    inho29->super = obj29;
    self = inheritingObject29;
    *selfslot = self;
    lowerouter29 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter29;
  }
if (objclass29 == NULL) {
  Method *reader31 = addmethodrealflags(obj29, "register", &reader_ast_register_31, 0);
  Method *writer31 = addmethodrealflags(obj29, "register:=(1)", &writer_ast_register_31, 0);
  reader31->definitionModule = modulename;
  writer31->definitionModule = modulename;
  reader31->definitionLine = 89;
  writer31->definitionLine = 89;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 1);
if (objclass29 == NULL) {
  Method *reader32 = addmethodrealflags(obj29, "line", &reader_ast_line_32, 0);
  Method *writer32 = addmethodrealflags(obj29, "line:=(1)", &writer_ast_line_32, 0);
  reader32->definitionModule = modulename;
  writer32->definitionModule = modulename;
  reader32->definitionLine = 90;
  writer32->definitionLine = 90;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 2);
if (objclass29 == NULL) {
  Method *reader33 = addmethodrealflags(obj29, "linePos", &reader_ast_linePos_33, 0);
  Method *writer33 = addmethodrealflags(obj29, "linePos:=(1)", &writer_ast_linePos_33, 0);
  reader33->definitionModule = modulename;
  writer33->definitionModule = modulename;
  reader33->definitionLine = 91;
  writer33->definitionLine = 91;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 3);
if (objclass29 == NULL) {
  Method *reader34 = addmethodrealflags(obj29, "symbolTable", &reader_ast_symbolTable_34, MFLAG_CONFIDENTIAL);
  Method *writer34 = addmethodrealflags(obj29, "symbolTable:=(1)", &writer_ast_symbolTable_34, MFLAG_CONFIDENTIAL);
  reader34->definitionModule = modulename;
  writer34->definitionModule = modulename;
  reader34->definitionLine = 92;
  writer34->definitionLine = 92;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 4);
if (objclass29 == NULL) {
  Method *reader35 = addmethodrealflags(obj29, "comments", &reader_ast_comments_35, 0);
  Method *writer35 = addmethodrealflags(obj29, "comments:=(1)", &writer_ast_comments_35, 0);
  reader35->definitionModule = modulename;
  writer35->definitionModule = modulename;
  reader35->definitionLine = 93;
  writer35->definitionLine = 93;
}
obj29->flags |= OFLAG_MUTABLE;
adddatum2(obj29, alloc_Undefined(), 5);
// method "setLine(_)col(_)"
  struct UserObject *uo36 = (struct UserObject*)obj29;
  uo36->data[6] = emptyclosure;
  Method *meth_meth_ast_setLine_40_1_41_col_40_1_41_36 = addmethod2pos(obj29, "setLine(1)col(1)", &meth_ast_setLine_40_1_41_col_40_1_41_36, 6);
  int argcv_meth_ast_setLine_40_1_41_col_40_1_41_36[] = {1, 1};
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->type = alloc_MethodType(2, argcv_meth_ast_setLine_40_1_41_col_40_1_41_36);
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->definitionModule = modulename;
  meth_meth_ast_setLine_40_1_41_col_40_1_41_36->definitionLine = 95;
// method "setPositionFrom(_)"
  struct UserObject *uo41 = (struct UserObject*)obj29;
  uo41->data[7] = emptyclosure;
  Method *meth_meth_ast_setPositionFrom_40_1_41_41 = addmethod2pos(obj29, "setPositionFrom(1)", &meth_ast_setPositionFrom_40_1_41_41, 7);
  int argcv_meth_ast_setPositionFrom_40_1_41_41[] = {1};
  meth_meth_ast_setPositionFrom_40_1_41_41->type = alloc_MethodType(1, argcv_meth_ast_setPositionFrom_40_1_41_41);
  meth_meth_ast_setPositionFrom_40_1_41_41->definitionModule = modulename;
  meth_meth_ast_setPositionFrom_40_1_41_41->definitionLine = 100;
// method "kind"
  struct UserObject *uo50 = (struct UserObject*)obj29;
  uo50->data[8] = emptyclosure;
  Method *meth_meth_ast_kind50 = addmethod2pos(obj29, "kind", &meth_ast_kind50, 8);
  int argcv_meth_ast_kind50[] = {0};
  meth_meth_ast_kind50->type = alloc_MethodType(1, argcv_meth_ast_kind50);
  meth_meth_ast_kind50->definitionModule = modulename;
  meth_meth_ast_kind50->definitionLine = 105;
// method "==(_)"
  struct UserObject *uo53 = (struct UserObject*)obj29;
  uo53->data[9] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_53 = addmethod2pos(obj29, "==(1)", &meth_ast__61__61__40_1_41_53, 9);
  int argcv_meth_ast__61__61__40_1_41_53[] = {1};
  meth_meth_ast__61__61__40_1_41_53->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_53);
  meth_meth_ast__61__61__40_1_41_53->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_53->definitionLine = 106;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo56 = (struct UserObject*)obj29;
  uo56->data[10] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier56 = addmethod2pos(obj29, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier56, 10);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier56[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier56);
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier56->definitionLine = 107;
// method "isMatchingBlock"
  struct UserObject *uo58 = (struct UserObject*)obj29;
  uo58->data[11] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock58 = addmethod2pos(obj29, "isMatchingBlock", &meth_ast_isMatchingBlock58, 11);
  int argcv_meth_ast_isMatchingBlock58[] = {0};
  meth_meth_ast_isMatchingBlock58->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock58);
  meth_meth_ast_isMatchingBlock58->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock58->definitionLine = 108;
// method "isFieldDec"
  struct UserObject *uo60 = (struct UserObject*)obj29;
  uo60->data[12] = emptyclosure;
  Method *meth_meth_ast_isFieldDec60 = addmethod2pos(obj29, "isFieldDec", &meth_ast_isFieldDec60, 12);
  int argcv_meth_ast_isFieldDec60[] = {0};
  meth_meth_ast_isFieldDec60->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec60);
  meth_meth_ast_isFieldDec60->definitionModule = modulename;
  meth_meth_ast_isFieldDec60->definitionLine = 109;
// method "isInherits"
  struct UserObject *uo62 = (struct UserObject*)obj29;
  uo62->data[13] = emptyclosure;
  Method *meth_meth_ast_isInherits62 = addmethod2pos(obj29, "isInherits", &meth_ast_isInherits62, 13);
  int argcv_meth_ast_isInherits62[] = {0};
  meth_meth_ast_isInherits62->type = alloc_MethodType(1, argcv_meth_ast_isInherits62);
  meth_meth_ast_isInherits62->definitionModule = modulename;
  meth_meth_ast_isInherits62->definitionLine = 110;
// method "isLegalInTrait"
  struct UserObject *uo64 = (struct UserObject*)obj29;
  uo64->data[14] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait64 = addmethod2pos(obj29, "isLegalInTrait", &meth_ast_isLegalInTrait64, 14);
  int argcv_meth_ast_isLegalInTrait64[] = {0};
  meth_meth_ast_isLegalInTrait64->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait64);
  meth_meth_ast_isLegalInTrait64->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait64->definitionLine = 111;
// method "isMember"
  struct UserObject *uo66 = (struct UserObject*)obj29;
  uo66->data[15] = emptyclosure;
  Method *meth_meth_ast_isMember66 = addmethod2pos(obj29, "isMember", &meth_ast_isMember66, 15);
  int argcv_meth_ast_isMember66[] = {0};
  meth_meth_ast_isMember66->type = alloc_MethodType(1, argcv_meth_ast_isMember66);
  meth_meth_ast_isMember66->definitionModule = modulename;
  meth_meth_ast_isMember66->definitionLine = 112;
// method "isMethod"
  struct UserObject *uo68 = (struct UserObject*)obj29;
  uo68->data[16] = emptyclosure;
  Method *meth_meth_ast_isMethod68 = addmethod2pos(obj29, "isMethod", &meth_ast_isMethod68, 16);
  int argcv_meth_ast_isMethod68[] = {0};
  meth_meth_ast_isMethod68->type = alloc_MethodType(1, argcv_meth_ast_isMethod68);
  meth_meth_ast_isMethod68->definitionModule = modulename;
  meth_meth_ast_isMethod68->definitionLine = 113;
// method "isExecutable"
  struct UserObject *uo70 = (struct UserObject*)obj29;
  uo70->data[17] = emptyclosure;
  Method *meth_meth_ast_isExecutable70 = addmethod2pos(obj29, "isExecutable", &meth_ast_isExecutable70, 17);
  int argcv_meth_ast_isExecutable70[] = {0};
  meth_meth_ast_isExecutable70->type = alloc_MethodType(1, argcv_meth_ast_isExecutable70);
  meth_meth_ast_isExecutable70->definitionModule = modulename;
  meth_meth_ast_isExecutable70->definitionLine = 114;
// method "isCall"
  struct UserObject *uo72 = (struct UserObject*)obj29;
  uo72->data[18] = emptyclosure;
  Method *meth_meth_ast_isCall72 = addmethod2pos(obj29, "isCall", &meth_ast_isCall72, 18);
  int argcv_meth_ast_isCall72[] = {0};
  meth_meth_ast_isCall72->type = alloc_MethodType(1, argcv_meth_ast_isCall72);
  meth_meth_ast_isCall72->definitionModule = modulename;
  meth_meth_ast_isCall72->definitionLine = 115;
// method "isComment"
  struct UserObject *uo74 = (struct UserObject*)obj29;
  uo74->data[19] = emptyclosure;
  Method *meth_meth_ast_isComment74 = addmethod2pos(obj29, "isComment", &meth_ast_isComment74, 19);
  int argcv_meth_ast_isComment74[] = {0};
  meth_meth_ast_isComment74->type = alloc_MethodType(1, argcv_meth_ast_isComment74);
  meth_meth_ast_isComment74->definitionModule = modulename;
  meth_meth_ast_isComment74->definitionLine = 116;
// method "isClass"
  struct UserObject *uo76 = (struct UserObject*)obj29;
  uo76->data[20] = emptyclosure;
  Method *meth_meth_ast_isClass76 = addmethod2pos(obj29, "isClass", &meth_ast_isClass76, 20);
  int argcv_meth_ast_isClass76[] = {0};
  meth_meth_ast_isClass76->type = alloc_MethodType(1, argcv_meth_ast_isClass76);
  meth_meth_ast_isClass76->definitionModule = modulename;
  meth_meth_ast_isClass76->definitionLine = 117;
// method "inClass"
  struct UserObject *uo78 = (struct UserObject*)obj29;
  uo78->data[21] = emptyclosure;
  Method *meth_meth_ast_inClass78 = addmethod2pos(obj29, "inClass", &meth_ast_inClass78, 21);
  int argcv_meth_ast_inClass78[] = {0};
  meth_meth_ast_inClass78->type = alloc_MethodType(1, argcv_meth_ast_inClass78);
  meth_meth_ast_inClass78->definitionModule = modulename;
  meth_meth_ast_inClass78->definitionLine = 118;
// method "isTrait"
  struct UserObject *uo80 = (struct UserObject*)obj29;
  uo80->data[22] = emptyclosure;
  Method *meth_meth_ast_isTrait80 = addmethod2pos(obj29, "isTrait", &meth_ast_isTrait80, 22);
  int argcv_meth_ast_isTrait80[] = {0};
  meth_meth_ast_isTrait80->type = alloc_MethodType(1, argcv_meth_ast_isTrait80);
  meth_meth_ast_isTrait80->definitionModule = modulename;
  meth_meth_ast_isTrait80->definitionLine = 119;
// method "inTrait"
  struct UserObject *uo82 = (struct UserObject*)obj29;
  uo82->data[23] = emptyclosure;
  Method *meth_meth_ast_inTrait82 = addmethod2pos(obj29, "inTrait", &meth_ast_inTrait82, 23);
  int argcv_meth_ast_inTrait82[] = {0};
  meth_meth_ast_inTrait82->type = alloc_MethodType(1, argcv_meth_ast_inTrait82);
  meth_meth_ast_inTrait82->definitionModule = modulename;
  meth_meth_ast_inTrait82->definitionLine = 120;
// method "isBind"
  struct UserObject *uo84 = (struct UserObject*)obj29;
  uo84->data[24] = emptyclosure;
  Method *meth_meth_ast_isBind84 = addmethod2pos(obj29, "isBind", &meth_ast_isBind84, 24);
  int argcv_meth_ast_isBind84[] = {0};
  meth_meth_ast_isBind84->type = alloc_MethodType(1, argcv_meth_ast_isBind84);
  meth_meth_ast_isBind84->definitionModule = modulename;
  meth_meth_ast_isBind84->definitionLine = 121;
// method "isSelf"
  struct UserObject *uo86 = (struct UserObject*)obj29;
  uo86->data[25] = emptyclosure;
  Method *meth_meth_ast_isSelf86 = addmethod2pos(obj29, "isSelf", &meth_ast_isSelf86, 25);
  int argcv_meth_ast_isSelf86[] = {0};
  meth_meth_ast_isSelf86->type = alloc_MethodType(1, argcv_meth_ast_isSelf86);
  meth_meth_ast_isSelf86->definitionModule = modulename;
  meth_meth_ast_isSelf86->definitionLine = 122;
// method "isSuper"
  struct UserObject *uo88 = (struct UserObject*)obj29;
  uo88->data[26] = emptyclosure;
  Method *meth_meth_ast_isSuper88 = addmethod2pos(obj29, "isSuper", &meth_ast_isSuper88, 26);
  int argcv_meth_ast_isSuper88[] = {0};
  meth_meth_ast_isSuper88->type = alloc_MethodType(1, argcv_meth_ast_isSuper88);
  meth_meth_ast_isSuper88->definitionModule = modulename;
  meth_meth_ast_isSuper88->definitionLine = 123;
// method "isPrelude"
  struct UserObject *uo90 = (struct UserObject*)obj29;
  uo90->data[27] = emptyclosure;
  Method *meth_meth_ast_isPrelude90 = addmethod2pos(obj29, "isPrelude", &meth_ast_isPrelude90, 27);
  int argcv_meth_ast_isPrelude90[] = {0};
  meth_meth_ast_isPrelude90->type = alloc_MethodType(1, argcv_meth_ast_isPrelude90);
  meth_meth_ast_isPrelude90->definitionModule = modulename;
  meth_meth_ast_isPrelude90->definitionLine = 124;
// method "isOuter"
  struct UserObject *uo92 = (struct UserObject*)obj29;
  uo92->data[28] = emptyclosure;
  Method *meth_meth_ast_isOuter92 = addmethod2pos(obj29, "isOuter", &meth_ast_isOuter92, 28);
  int argcv_meth_ast_isOuter92[] = {0};
  meth_meth_ast_isOuter92->type = alloc_MethodType(1, argcv_meth_ast_isOuter92);
  meth_meth_ast_isOuter92->definitionModule = modulename;
  meth_meth_ast_isOuter92->definitionLine = 125;
// method "isBlock"
  struct UserObject *uo94 = (struct UserObject*)obj29;
  uo94->data[29] = emptyclosure;
  Method *meth_meth_ast_isBlock94 = addmethod2pos(obj29, "isBlock", &meth_ast_isBlock94, 29);
  int argcv_meth_ast_isBlock94[] = {0};
  meth_meth_ast_isBlock94->type = alloc_MethodType(1, argcv_meth_ast_isBlock94);
  meth_meth_ast_isBlock94->definitionModule = modulename;
  meth_meth_ast_isBlock94->definitionLine = 126;
// method "isObject"
  struct UserObject *uo96 = (struct UserObject*)obj29;
  uo96->data[30] = emptyclosure;
  Method *meth_meth_ast_isObject96 = addmethod2pos(obj29, "isObject", &meth_ast_isObject96, 30);
  int argcv_meth_ast_isObject96[] = {0};
  meth_meth_ast_isObject96->type = alloc_MethodType(1, argcv_meth_ast_isObject96);
  meth_meth_ast_isObject96->definitionModule = modulename;
  meth_meth_ast_isObject96->definitionLine = 127;
// method "isIdentifier"
  struct UserObject *uo98 = (struct UserObject*)obj29;
  uo98->data[31] = emptyclosure;
  Method *meth_meth_ast_isIdentifier98 = addmethod2pos(obj29, "isIdentifier", &meth_ast_isIdentifier98, 31);
  int argcv_meth_ast_isIdentifier98[] = {0};
  meth_meth_ast_isIdentifier98->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier98);
  meth_meth_ast_isIdentifier98->definitionModule = modulename;
  meth_meth_ast_isIdentifier98->definitionLine = 128;
// method "isDialect"
  struct UserObject *uo100 = (struct UserObject*)obj29;
  uo100->data[32] = emptyclosure;
  Method *meth_meth_ast_isDialect100 = addmethod2pos(obj29, "isDialect", &meth_ast_isDialect100, 32);
  int argcv_meth_ast_isDialect100[] = {0};
  meth_meth_ast_isDialect100->type = alloc_MethodType(1, argcv_meth_ast_isDialect100);
  meth_meth_ast_isDialect100->definitionModule = modulename;
  meth_meth_ast_isDialect100->definitionLine = 129;
// method "isImport"
  struct UserObject *uo102 = (struct UserObject*)obj29;
  uo102->data[33] = emptyclosure;
  Method *meth_meth_ast_isImport102 = addmethod2pos(obj29, "isImport", &meth_ast_isImport102, 33);
  int argcv_meth_ast_isImport102[] = {0};
  meth_meth_ast_isImport102->type = alloc_MethodType(1, argcv_meth_ast_isImport102);
  meth_meth_ast_isImport102->definitionModule = modulename;
  meth_meth_ast_isImport102->definitionLine = 130;
// method "isTypeDec"
  struct UserObject *uo104 = (struct UserObject*)obj29;
  uo104->data[34] = emptyclosure;
  Method *meth_meth_ast_isTypeDec104 = addmethod2pos(obj29, "isTypeDec", &meth_ast_isTypeDec104, 34);
  int argcv_meth_ast_isTypeDec104[] = {0};
  meth_meth_ast_isTypeDec104->type = alloc_MethodType(1, argcv_meth_ast_isTypeDec104);
  meth_meth_ast_isTypeDec104->definitionModule = modulename;
  meth_meth_ast_isTypeDec104->definitionLine = 131;
// method "isExternal"
  struct UserObject *uo106 = (struct UserObject*)obj29;
  uo106->data[35] = emptyclosure;
  Method *meth_meth_ast_isExternal106 = addmethod2pos(obj29, "isExternal", &meth_ast_isExternal106, 35);
  int argcv_meth_ast_isExternal106[] = {0};
  meth_meth_ast_isExternal106->type = alloc_MethodType(1, argcv_meth_ast_isExternal106);
  meth_meth_ast_isExternal106->definitionModule = modulename;
  meth_meth_ast_isExternal106->definitionLine = 132;
// method "canInherit"
  struct UserObject *uo108 = (struct UserObject*)obj29;
  uo108->data[36] = emptyclosure;
  Method *meth_meth_ast_canInherit108 = addmethod2pos(obj29, "canInherit", &meth_ast_canInherit108, 36);
  int argcv_meth_ast_canInherit108[] = {0};
  meth_meth_ast_canInherit108->type = alloc_MethodType(1, argcv_meth_ast_canInherit108);
  meth_meth_ast_canInherit108->definitionModule = modulename;
  meth_meth_ast_canInherit108->definitionLine = 133;
// method "returnsObject"
  struct UserObject *uo110 = (struct UserObject*)obj29;
  uo110->data[37] = emptyclosure;
  Method *meth_meth_ast_returnsObject110 = addmethod2pos(obj29, "returnsObject", &meth_ast_returnsObject110, 37);
  int argcv_meth_ast_returnsObject110[] = {0};
  meth_meth_ast_returnsObject110->type = alloc_MethodType(1, argcv_meth_ast_returnsObject110);
  meth_meth_ast_returnsObject110->definitionModule = modulename;
  meth_meth_ast_returnsObject110->definitionLine = 134;
// method "isImplicit"
  struct UserObject *uo112 = (struct UserObject*)obj29;
  uo112->data[38] = emptyclosure;
  Method *meth_meth_ast_isImplicit112 = addmethod2pos(obj29, "isImplicit", &meth_ast_isImplicit112, 38);
  int argcv_meth_ast_isImplicit112[] = {0};
  meth_meth_ast_isImplicit112->type = alloc_MethodType(1, argcv_meth_ast_isImplicit112);
  meth_meth_ast_isImplicit112->definitionModule = modulename;
  meth_meth_ast_isImplicit112->definitionLine = 135;
// method "usesAsType(_)"
  struct UserObject *uo114 = (struct UserObject*)obj29;
  uo114->data[39] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_114 = addmethod2pos(obj29, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_114, 39);
  int argcv_meth_ast_usesAsType_40_1_41_114[] = {1};
  meth_meth_ast_usesAsType_40_1_41_114->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_114);
  meth_meth_ast_usesAsType_40_1_41_114->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_114->definitionLine = 136;
// method "hash"
  struct UserObject *uo116 = (struct UserObject*)obj29;
  uo116->data[40] = emptyclosure;
  Method *meth_meth_ast_hash116 = addmethod2pos(obj29, "hash", &meth_ast_hash116, 40);
  int argcv_meth_ast_hash116[] = {0};
  meth_meth_ast_hash116->type = alloc_MethodType(1, argcv_meth_ast_hash116);
  meth_meth_ast_hash116->definitionModule = modulename;
  meth_meth_ast_hash116->definitionLine = 137;
// method "asString"
  struct UserObject *uo128 = (struct UserObject*)obj29;
  uo128->data[41] = emptyclosure;
  Method *meth_meth_ast_asString128 = addmethod2pos(obj29, "asString", &meth_ast_asString128, 41);
  int argcv_meth_ast_asString128[] = {0};
  meth_meth_ast_asString128->type = alloc_MethodType(1, argcv_meth_ast_asString128);
  meth_meth_ast_asString128->definitionModule = modulename;
  meth_meth_ast_asString128->definitionLine = 138;
// method "nameString"
  struct UserObject *uo148 = (struct UserObject*)obj29;
  uo148->data[42] = emptyclosure;
  Method *meth_meth_ast_nameString148 = addmethod2pos(obj29, "nameString", &meth_ast_nameString148, 42);
  int argcv_meth_ast_nameString148[] = {0};
  meth_meth_ast_nameString148->type = alloc_MethodType(1, argcv_meth_ast_nameString148);
  meth_meth_ast_nameString148->definitionModule = modulename;
  meth_meth_ast_nameString148->definitionLine = 139;
// method "isWritable"
  struct UserObject *uo150 = (struct UserObject*)obj29;
  uo150->data[43] = emptyclosure;
  Method *meth_meth_ast_isWritable150 = addmethod2pos(obj29, "isWritable", &meth_ast_isWritable150, 43);
  int argcv_meth_ast_isWritable150[] = {0};
  meth_meth_ast_isWritable150->type = alloc_MethodType(1, argcv_meth_ast_isWritable150);
  meth_meth_ast_isWritable150->definitionModule = modulename;
  meth_meth_ast_isWritable150->definitionLine = 140;
// method "isReadable"
  struct UserObject *uo152 = (struct UserObject*)obj29;
  uo152->data[44] = emptyclosure;
  Method *meth_meth_ast_isReadable152 = addmethod2pos(obj29, "isReadable", &meth_ast_isReadable152, 44);
  int argcv_meth_ast_isReadable152[] = {0};
  meth_meth_ast_isReadable152->type = alloc_MethodType(1, argcv_meth_ast_isReadable152);
  meth_meth_ast_isReadable152->definitionModule = modulename;
  meth_meth_ast_isReadable152->definitionLine = 141;
// method "isPublic"
  struct UserObject *uo154 = (struct UserObject*)obj29;
  uo154->data[45] = emptyclosure;
  Method *meth_meth_ast_isPublic154 = addmethod2pos(obj29, "isPublic", &meth_ast_isPublic154, 45);
  int argcv_meth_ast_isPublic154[] = {0};
  meth_meth_ast_isPublic154->type = alloc_MethodType(1, argcv_meth_ast_isPublic154);
  meth_meth_ast_isPublic154->definitionModule = modulename;
  meth_meth_ast_isPublic154->definitionLine = 142;
// method "isConfidential"
  struct UserObject *uo156 = (struct UserObject*)obj29;
  uo156->data[46] = emptyclosure;
  Method *meth_meth_ast_isConfidential156 = addmethod2pos(obj29, "isConfidential", &meth_ast_isConfidential156, 46);
  int argcv_meth_ast_isConfidential156[] = {0};
  meth_meth_ast_isConfidential156->type = alloc_MethodType(1, argcv_meth_ast_isConfidential156);
  meth_meth_ast_isConfidential156->definitionModule = modulename;
  meth_meth_ast_isConfidential156->definitionLine = 143;
// method "decType"
  block_savedest(obj29);
  Object closure161 = createclosure(1, "decType");
  setclosureframe(closure161, stackframe);
  addtoclosure(closure161, var_unknownType);
  struct UserObject *uo161 = (struct UserObject*)obj29;
  uo161->data[47] = (Object)closure161;
  Method *meth_meth_ast_decType161 = addmethod2pos(obj29, "decType", &meth_ast_decType161, 47);
  int argcv_meth_ast_decType161[] = {0};
  meth_meth_ast_decType161->type = alloc_MethodType(1, argcv_meth_ast_decType161);
  meth_meth_ast_decType161->definitionModule = modulename;
  meth_meth_ast_decType161->definitionLine = 144;
// method "isSimple"
  struct UserObject *uo171 = (struct UserObject*)obj29;
  uo171->data[48] = emptyclosure;
  Method *meth_meth_ast_isSimple171 = addmethod2pos(obj29, "isSimple", &meth_ast_isSimple171, 48);
  int argcv_meth_ast_isSimple171[] = {0};
  meth_meth_ast_isSimple171->type = alloc_MethodType(1, argcv_meth_ast_isSimple171);
  meth_meth_ast_isSimple171->definitionModule = modulename;
  meth_meth_ast_isSimple171->definitionLine = 150;
// method "isDelimited"
  struct UserObject *uo173 = (struct UserObject*)obj29;
  uo173->data[49] = emptyclosure;
  Method *meth_meth_ast_isDelimited173 = addmethod2pos(obj29, "isDelimited", &meth_ast_isDelimited173, 49);
  int argcv_meth_ast_isDelimited173[] = {0};
  meth_meth_ast_isDelimited173->type = alloc_MethodType(1, argcv_meth_ast_isDelimited173);
  meth_meth_ast_isDelimited173->definitionModule = modulename;
  meth_meth_ast_isDelimited173->definitionLine = 151;
// method "description"
  struct UserObject *uo175 = (struct UserObject*)obj29;
  uo175->data[50] = emptyclosure;
  Method *meth_meth_ast_description175 = addmethod2pos(obj29, "description", &meth_ast_description175, 50);
  int argcv_meth_ast_description175[] = {0};
  meth_meth_ast_description175->type = alloc_MethodType(1, argcv_meth_ast_description175);
  meth_meth_ast_description175->definitionModule = modulename;
  meth_meth_ast_description175->definitionLine = 152;
// method "accept(_)"
  block_savedest(obj29);
  Object closure178 = createclosure(1, "accept(1)");
  setclosureframe(closure178, stackframe);
  addtoclosure(closure178, var_ancestorChain);
  struct UserObject *uo178 = (struct UserObject*)obj29;
  uo178->data[51] = (Object)closure178;
  Method *meth_meth_ast_accept_40_1_41_178 = addmethod2pos(obj29, "accept(1)", &meth_ast_accept_40_1_41_178, 51);
  int argcv_meth_ast_accept_40_1_41_178[] = {1};
  meth_meth_ast_accept_40_1_41_178->type = alloc_MethodType(1, argcv_meth_ast_accept_40_1_41_178);
  meth_meth_ast_accept_40_1_41_178->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_178->definitionLine = 153;
// method "scope"
  struct UserObject *uo183 = (struct UserObject*)obj29;
  uo183->data[52] = emptyclosure;
  Method *meth_meth_ast_scope183 = addmethod2pos(obj29, "scope", &meth_ast_scope183, 52);
  int argcv_meth_ast_scope183[] = {0};
  meth_meth_ast_scope183->type = alloc_MethodType(1, argcv_meth_ast_scope183);
  meth_meth_ast_scope183->definitionModule = modulename;
  meth_meth_ast_scope183->definitionLine = 156;
// method "scope:=(_)"
  struct UserObject *uo186 = (struct UserObject*)obj29;
  uo186->data[53] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_186 = addmethod2pos(obj29, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_186, 53);
  int argcv_meth_ast_scope_58__61__40_1_41_186[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_186->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_186);
  meth_meth_ast_scope_58__61__40_1_41_186->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_186->definitionLine = 158;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo189 = (struct UserObject*)obj29;
  uo189->data[54] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_189 = addmethod2pos(obj29, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_189, 54);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_189[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_189->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_189);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_189->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_189->definitionLine = 165;
// method "pretty(_)"
  block_savedest(obj29);
  Object closure206 = createclosure(1, "pretty(1)");
  setclosureframe(closure206, stackframe);
  addtoclosure(closure206, var_util);
  struct UserObject *uo206 = (struct UserObject*)obj29;
  uo206->data[55] = (Object)closure206;
  Method *meth_meth_ast_pretty_40_1_41_206 = addmethod2pos(obj29, "pretty(1)", &meth_ast_pretty_40_1_41_206, 55);
  int argcv_meth_ast_pretty_40_1_41_206[] = {1};
  meth_meth_ast_pretty_40_1_41_206->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_206);
  meth_meth_ast_pretty_40_1_41_206->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_206->definitionLine = 172;
// method "deepCopy"
  block_savedest(obj29);
  Object closure384 = createclosure(1, "deepCopy");
  setclosureframe(closure384, stackframe);
  addtoclosure(closure384, var_ancestorChain);
  struct UserObject *uo384 = (struct UserObject*)obj29;
  uo384->data[56] = (Object)closure384;
  Method *meth_meth_ast_deepCopy384 = addmethod2pos(obj29, "deepCopy", &meth_ast_deepCopy384, 56);
  int argcv_meth_ast_deepCopy384[] = {0};
  meth_meth_ast_deepCopy384->type = alloc_MethodType(1, argcv_meth_ast_deepCopy384);
  meth_meth_ast_deepCopy384->definitionModule = modulename;
  meth_meth_ast_deepCopy384->definitionLine = 185;
// method "enclosingObject"
  struct UserObject *uo392 = (struct UserObject*)obj29;
  uo392->data[57] = emptyclosure;
  Method *meth_meth_ast_enclosingObject392 = addmethod2pos(obj29, "enclosingObject", &meth_ast_enclosingObject392, 57);
  int argcv_meth_ast_enclosingObject392[] = {0};
  meth_meth_ast_enclosingObject392->type = alloc_MethodType(1, argcv_meth_ast_enclosingObject392);
  meth_meth_ast_enclosingObject392->definitionModule = modulename;
  meth_meth_ast_enclosingObject392->definitionLine = 188;
// method "addComment(_)"
  struct UserObject *uo399 = (struct UserObject*)obj29;
  uo399->data[58] = emptyclosure;
  Method *meth_meth_ast_addComment_40_1_41_399 = addmethod2pos(obj29, "addComment(1)", &meth_ast_addComment_40_1_41_399, 58);
  int argcv_meth_ast_addComment_40_1_41_399[] = {1};
  meth_meth_ast_addComment_40_1_41_399->type = alloc_MethodType(1, argcv_meth_ast_addComment_40_1_41_399);
  meth_meth_ast_addComment_40_1_41_399->definitionModule = modulename;
  meth_meth_ast_addComment_40_1_41_399->definitionLine = 192;
// method "addComments(_)"
  struct UserObject *uo413 = (struct UserObject*)obj29;
  uo413->data[59] = emptyclosure;
  Method *meth_meth_ast_addComments_40_1_41_413 = addmethod2pos(obj29, "addComments(1)", &meth_ast_addComments_40_1_41_413, 59);
  int argcv_meth_ast_addComments_40_1_41_413[] = {1};
  meth_meth_ast_addComments_40_1_41_413->type = alloc_MethodType(1, argcv_meth_ast_addComments_40_1_41_413);
  meth_meth_ast_addComments_40_1_41_413->definitionModule = modulename;
  meth_meth_ast_addComments_40_1_41_413->definitionLine = 199;
// method "statementName"
  struct UserObject *uo421 = (struct UserObject*)obj29;
  uo421->data[60] = emptyclosure;
  Method *meth_meth_ast_statementName421 = addmethod2pos(obj29, "statementName", &meth_ast_statementName421, 60);
  int argcv_meth_ast_statementName421[] = {0};
  meth_meth_ast_statementName421->type = alloc_MethodType(1, argcv_meth_ast_statementName421);
  meth_meth_ast_statementName421->definitionModule = modulename;
  meth_meth_ast_statementName421->definitionLine = 202;
  sourceObject = obj29;
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit424 == NULL) {
    strlit424 = alloc_String("");
    gc_root(strlit424);
  }
// compiled string node returning strlit424 (depth = 2)
  adddatum2(obj29, strlit424, 1);
  sourceObject = obj29;
// Begin line 90
  setline(90);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe425 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call426 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe425);
// compiled member node returning call426 (depth = 2)
  adddatum2(obj29, call426, 2);
  sourceObject = obj29;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe427 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  Object call428 = callmethodflags(*var_util, "linepos", 0, partcv, params, 0);
  gc_frame_end(callframe427);
// compiled member node returning call428 (depth = 2)
  adddatum2(obj29, call428, 3);
  sourceObject = obj29;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_fakeSymbolTable (depth = 2)
  adddatum2(obj29, *var_fakeSymbolTable, 4);
  sourceObject = obj29;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool429 = alloc_Boolean(0);
// compiled identifier node returning bool429 (depth = 2)
  adddatum2(obj29, bool429, 5);
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  sourceObject = obj29;
  objclass29 = obj29->class;
  objclass29->definitionModule = modulename;
  objclass29->definitionLine = 87;
  (*(struct UserObject *)self).data[0] = lowerouter29;
  self = oldself29;
  selfslot = oldselfslot29;
  stackframe = oldstackframe29;
  gc_frame_end(frame);
  return obj29;
}
Object meth_ast_newName434(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2482
  setline(2482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_n (depth = 2)
  gc_frame_end(frame);
  return *var_n;
}
Object meth_ast_oldName435(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "oldName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2483
  setline(2483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_o (depth = 2)
  gc_frame_end(frame);
  return *var_o;
}
Object meth_ast_asString436(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2484
  setline(2484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit438 == NULL) {
    strlit438 = alloc_String("");
    gc_root(strlit438);
  }
// compiled string node returning strlit438 (depth = 3)
  int op_slot_right_437 = gc_frame_newslot(strlit438);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe441 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  Object call442 = callmethodflags(*var_o, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe441);
// compiled member node returning call442 (depth = 4)
  int op_slot_right_440 = gc_frame_newslot(call442);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit445 == NULL) {
    strlit445 = alloc_String(" = ");
    gc_root(strlit445);
  }
// compiled string node returning strlit445 (depth = 5)
  int op_slot_right_444 = gc_frame_newslot(strlit445);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe448 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call449 = callmethodflags(*var_n, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe448);
// compiled member node returning call449 (depth = 6)
  int op_slot_right_447 = gc_frame_newslot(call449);
// starting to compile string node (depth = 6)
  if (strlit451 == NULL) {
    strlit451 = alloc_String("alias ");
    gc_root(strlit451);
  }
// compiled string node returning strlit451 (depth = 6)
  int op_slot_left_447 = gc_frame_newslot(strlit451);
  params[0] = call449;
  partcv[0] = 1;
  Object opresult452 = callmethod(strlit451, "++(1)", 1, partcv, params);
// compiled op node returning opresult452 (depth = 5)
  int op_slot_left_444 = gc_frame_newslot(opresult452);
  params[0] = strlit445;
  partcv[0] = 1;
  Object opresult453 = callmethod(opresult452, "++(1)", 1, partcv, params);
// compiled op node returning opresult453 (depth = 4)
  int op_slot_left_440 = gc_frame_newslot(opresult453);
  params[0] = call442;
  partcv[0] = 1;
  Object opresult454 = callmethod(opresult453, "++(1)", 1, partcv, params);
// compiled op node returning opresult454 (depth = 3)
  int op_slot_left_437 = gc_frame_newslot(opresult454);
  params[0] = strlit438;
  partcv[0] = 1;
  Object opresult455 = callmethod(opresult454, "++(1)", 1, partcv, params);
// compiled op node returning opresult455 (depth = 2)
  gc_frame_end(frame);
  return opresult455;
}
Object meth_ast__apply_40_1_41_464(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2488
  setline(2488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit466 == NULL) {
    strlit466 = alloc_String("  ");
    gc_root(strlit466);
  }
// compiled string node returning strlit466 (depth = 6)
  int op_slot_right_465 = gc_frame_newslot(strlit466);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_465 = gc_frame_newslot(*var_spc);
  params[0] = strlit466;
  partcv[0] = 1;
  Object opresult468 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult468 (depth = 5)
  *var_spc = opresult468;
  if (opresult468 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_456(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit457 == NULL) {
    strlit457 = alloc_String("");
    gc_root(strlit457);
  }
// compiled string node returning strlit457 (depth = 3)
  *var_spc = strlit457;
  if (strlit457 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2487
  setline(2487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe458 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  int op_slot_right_459 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 4)
  Object num461 = alloc_Float64(0);
// compiled num node returning num461 (depth = 4)
  int op_slot_left_459 = gc_frame_newslot(num461);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult462 = callmethod(num461, "..(1)", 1, partcv, params);
// compiled op node returning opresult462 (depth = 3)
  gc_frame_newslot(opresult462);
// starting to compile block node (depth = 3)
  Object block463 = alloc_Block(NULL, NULL, "ast", 2487);
  gc_frame_newslot(block463);
// method "_apply(_)"
  block_savedest(block463);
  Object closure464 = createclosure(2, "_apply(1)");
  setclosureframe(closure464, stackframe);
  addtoclosure(closure464, var_spc);
  addtoclosure(closure464, selfslot);
  struct UserObject *uo464 = (struct UserObject*)block463;
  uo464->data[0] = (Object)closure464;
  Method *meth_meth_ast__apply_40_1_41_464 = addmethod2pos(block463, "_apply(1)", &meth_ast__apply_40_1_41_464, 0);
  int argcv_meth_ast__apply_40_1_41_464[] = {1};
  meth_meth_ast__apply_40_1_41_464->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_464);
  meth_meth_ast__apply_40_1_41_464->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_464->definitionLine = 2947;
// compiled block node returning block463 (depth = 3)
  gc_frame_newslot(block463);
// call case 5: prelude request
  params[0] = opresult462;
  params[1] = block463;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call471 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe458);
// compiled call node returning call471 (depth = 2)
// Begin line 2490
  setline(2490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit473 == NULL) {
    strlit473 = alloc_String("");
    gc_root(strlit473);
  }
// compiled string node returning strlit473 (depth = 3)
  int op_slot_right_472 = gc_frame_newslot(strlit473);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe476 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call477 = callmethodflags(*var_o, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe476);
// compiled call node returning call477 (depth = 4)
  int op_slot_right_475 = gc_frame_newslot(call477);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit480 == NULL) {
    strlit480 = alloc_String(" = ");
    gc_root(strlit480);
  }
// compiled string node returning strlit480 (depth = 5)
  int op_slot_right_479 = gc_frame_newslot(strlit480);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe483 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call484 = callmethodflags(*var_n, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe483);
// compiled call node returning call484 (depth = 6)
  int op_slot_right_482 = gc_frame_newslot(call484);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit487 == NULL) {
    strlit487 = alloc_String("  alias ");
    gc_root(strlit487);
  }
// compiled string node returning strlit487 (depth = 7)
  int op_slot_right_486 = gc_frame_newslot(strlit487);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_489 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 8)
  if (strlit491 == NULL) {
    strlit491 = alloc_String("");
    gc_root(strlit491);
  }
// compiled string node returning strlit491 (depth = 8)
  int op_slot_left_489 = gc_frame_newslot(strlit491);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult492 = callmethod(strlit491, "++(1)", 1, partcv, params);
// compiled op node returning opresult492 (depth = 7)
  int op_slot_left_486 = gc_frame_newslot(opresult492);
  params[0] = strlit487;
  partcv[0] = 1;
  Object opresult493 = callmethod(opresult492, "++(1)", 1, partcv, params);
// compiled op node returning opresult493 (depth = 6)
  int op_slot_left_482 = gc_frame_newslot(opresult493);
  params[0] = call484;
  partcv[0] = 1;
  Object opresult494 = callmethod(opresult493, "++(1)", 1, partcv, params);
// compiled op node returning opresult494 (depth = 5)
  int op_slot_left_479 = gc_frame_newslot(opresult494);
  params[0] = strlit480;
  partcv[0] = 1;
  Object opresult495 = callmethod(opresult494, "++(1)", 1, partcv, params);
// compiled op node returning opresult495 (depth = 4)
  int op_slot_left_475 = gc_frame_newslot(opresult495);
  params[0] = call477;
  partcv[0] = 1;
  Object opresult496 = callmethod(opresult495, "++(1)", 1, partcv, params);
// compiled op node returning opresult496 (depth = 3)
  int op_slot_left_472 = gc_frame_newslot(opresult496);
  params[0] = strlit473;
  partcv[0] = 1;
  Object opresult497 = callmethod(opresult496, "++(1)", 1, partcv, params);
// compiled op node returning opresult497 (depth = 2)
  gc_frame_end(frame);
  return opresult497;
}
Object meth_ast_hash498(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hash");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe500 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  Object call501 = callmethodflags(*var_o, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe500);
// compiled member node returning call501 (depth = 3)
  int op_slot_right_499 = gc_frame_newslot(call501);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num504 = alloc_Float64(1171);
// compiled num node returning num504 (depth = 4)
  int op_slot_right_503 = gc_frame_newslot(num504);
// starting to compile member node (depth = 4)
  int callframe506 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  Object call507 = callmethodflags(*var_n, "hash", 0, partcv, params, 0);
  gc_frame_end(callframe506);
// compiled member node returning call507 (depth = 4)
  int op_slot_left_503 = gc_frame_newslot(call507);
  params[0] = num504;
  partcv[0] = 1;
  Object prod508 = callmethod(call507, "*(1)", 1, partcv, params);
// compiled op node returning prod508 (depth = 3)
  int op_slot_left_499 = gc_frame_newslot(prod508);
  params[0] = call501;
  partcv[0] = 1;
  Object sum509 = callmethod(prod508, "+(1)", 1, partcv, params);
// compiled op node returning sum509 (depth = 2)
  gc_frame_end(frame);
  return sum509;
}
Object meth_ast_isExecutable510(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2493
  setline(2493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool511 = alloc_Boolean(0);
// compiled identifier node returning bool511 (depth = 2)
  gc_frame_end(frame);
  return bool511;
}
Object meth_ast__apply_40_1_41_515(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_that = &(stackframe->slots[0]);
  *var_that = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe518 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_that (depth = 7)
  Object call519 = callmethodflags(*var_that, "oldName", 0, partcv, params, 0);
  gc_frame_end(callframe518);
// compiled member node returning call519 (depth = 6)
  int op_slot_right_517 = gc_frame_newslot(call519);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  int op_slot_left_517 = gc_frame_newslot(*var_o);
  params[0] = call519;
  partcv[0] = 1;
  Object opresult521 = callmethod(*var_o, "==(1)", 1, partcv, params);
// compiled op node returning opresult521 (depth = 5)
  int op_slot_right_516 = gc_frame_newslot(opresult521);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe524 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_that (depth = 7)
  Object call525 = callmethodflags(*var_that, "newName", 0, partcv, params, 0);
  gc_frame_end(callframe524);
// compiled member node returning call525 (depth = 6)
  int op_slot_right_523 = gc_frame_newslot(call525);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_left_523 = gc_frame_newslot(*var_n);
  params[0] = call525;
  partcv[0] = 1;
  Object opresult527 = callmethod(*var_n, "==(1)", 1, partcv, params);
// compiled op node returning opresult527 (depth = 5)
  int op_slot_left_516 = gc_frame_newslot(opresult527);
  params[0] = opresult521;
  partcv[0] = 1;
  Object opresult528 = callmethod(opresult527, "&&(1)", 1, partcv, params);
// compiled op node returning opresult528 (depth = 4)
  gc_frame_end(frame);
  return opresult528;
}
Object meth_ast__apply_40_1_41_540(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___2 = &(stackframe->slots[0]);
  *var___2 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile identifier node (depth = 4)
  Object bool541 = alloc_Boolean(0);
// compiled identifier node returning bool541 (depth = 4)
  gc_frame_end(frame);
  return bool541;
}
Object meth_ast__61__61__40_1_41_512(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[2];
  int partcv[1];
  Object *var_o = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_AliasPair = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile matchcase node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_other (depth = 3)
  int frame513 = gc_frame_new();
  gc_frame_newslot(*var_other);
// Begin line 2496
  setline(2496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block514 = alloc_Block(NULL, NULL, "ast", 2496);
  gc_frame_newslot(block514);
// method "_apply(_)"
  block_savedest(block514);
  Object closure515 = createclosure(3, "_apply(1)");
  setclosureframe(closure515, stackframe);
  addtoclosure(closure515, var_o);
  addtoclosure(closure515, var_n);
  addtoclosure(closure515, selfslot);
  struct UserObject *uo515 = (struct UserObject*)block514;
  uo515->data[0] = (Object)closure515;
  Method *meth_meth_ast__apply_40_1_41_515 = addmethod2pos(block514, "_apply(1)", &meth_ast__apply_40_1_41_515, 0);
  int argcv_meth_ast__apply_40_1_41_515[] = {1};
  meth_meth_ast__apply_40_1_41_515->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_515);
  meth_meth_ast__apply_40_1_41_515->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_515->definitionLine = 2947;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe530 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe531 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit532 == NULL) {
    strlit532 = alloc_String("that");
    gc_root(strlit532);
  }
// compiled string node returning strlit532 (depth = 6)
  gc_frame_newslot(strlit532);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe533 = gc_frame_new();
// call case 5: prelude request
  Object call534 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe533);
// compiled member node returning call534 (depth = 6)
  params[0] = strlit532;
  partcv[0] = 1;
  Object call535 = callmethodflags(call534, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe531);
// compiled call node returning call535 (depth = 5)
  gc_frame_newslot(call535);
// Begin line 2496
  setline(2496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AliasPair (depth = 5)
  gc_frame_newslot(*var_AliasPair);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe536 = gc_frame_new();
// call case 5: prelude request
  Object call537 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe536);
// compiled member node returning call537 (depth = 5)
  params[0] = call535;
  params[1] = *var_AliasPair;
  partcv[0] = 2;
  Object call538 = callmethodflags(call537, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe530);
// compiled call node returning call538 (depth = 4)
((struct UserObject *)block514)->data[1] = call538;
// compiled block node returning block514 (depth = 3)
  gc_frame_newslot(block514);
// Begin line 2497
  setline(2497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block539 = alloc_Block(NULL, NULL, "ast", 2497);
  gc_frame_newslot(block539);
// method "_apply(_)"
  block_savedest(block539);
  Object closure540 = createclosure(1, "_apply(1)");
  setclosureframe(closure540, stackframe);
  addtoclosure(closure540, selfslot);
  struct UserObject *uo540 = (struct UserObject*)block539;
  uo540->data[0] = (Object)closure540;
  Method *meth_meth_ast__apply_40_1_41_540 = addmethod2pos(block539, "_apply(1)", &meth_ast__apply_40_1_41_540, 0);
  int argcv_meth_ast__apply_40_1_41_540[] = {1};
  meth_meth_ast__apply_40_1_41_540->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_540);
  meth_meth_ast__apply_40_1_41_540->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_540->definitionLine = 2947;
// compiled block node returning block539 (depth = 3)
  gc_frame_newslot(block539);
  params[0] = block514;
  params[1] = block539;
  Object matchres513 = matchCase(*var_other, params, 2,NULL);
  gc_frame_end(frame513);
// compiled matchcase node returning matchres513 (depth = 2)
  gc_frame_end(frame);
  return matchres513;
}
Object meth_ast_aliasNew_40_1_41_old_40_1_41_431(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "aliasNew(1)old(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method aliasNew(_)old(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method aliasNew(_)old(_)");
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for aliasNew(_)old(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part aliasNew(_)");
  Object *var_o = &(stackframe->slots[1]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part old(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject432 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj432 = alloc_userobj2(7,8, objclass432);
  gc_frame_newslot(obj432);
if (objclass432 == NULL) {
  glfree(obj432->class->name);
  obj432->class->name = "aliasNew(_)old(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj432, self, 0);
  addmethodreal(obj432,"outer", &reader_ast_outer_433);
  Object oldself432 = self;
  struct StackFrameObject *oldstackframe432 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe432);
  gc_frame_newslot((Object)stackframe);
  self = obj432;
  Object *oldselfslot432 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter432 = (*(struct UserObject *)self).data[0], lowerouter432 = thisouter432;
  if (inheritingObject432) {
    struct UserObject *inho432 = (struct UserObject *)inheritingObject432;
    while (inho432->super != GraceDefaultObject) inho432 = (struct UserObject *)inho432->super;
    inho432->super = obj432;
    self = inheritingObject432;
    *selfslot = self;
    lowerouter432 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter432;
  }
// method "newName"
  block_savedest(obj432);
  Object closure434 = createclosure(1, "newName");
  setclosureframe(closure434, stackframe);
  addtoclosure(closure434, var_n);
  struct UserObject *uo434 = (struct UserObject*)obj432;
  uo434->data[1] = (Object)closure434;
  Method *meth_meth_ast_newName434 = addmethod2pos(obj432, "newName", &meth_ast_newName434, 1);
  int argcv_meth_ast_newName434[] = {0};
  meth_meth_ast_newName434->type = alloc_MethodType(1, argcv_meth_ast_newName434);
  meth_meth_ast_newName434->definitionModule = modulename;
  meth_meth_ast_newName434->definitionLine = 2482;
// method "oldName"
  block_savedest(obj432);
  Object closure435 = createclosure(1, "oldName");
  setclosureframe(closure435, stackframe);
  addtoclosure(closure435, var_o);
  struct UserObject *uo435 = (struct UserObject*)obj432;
  uo435->data[2] = (Object)closure435;
  Method *meth_meth_ast_oldName435 = addmethod2pos(obj432, "oldName", &meth_ast_oldName435, 2);
  int argcv_meth_ast_oldName435[] = {0};
  meth_meth_ast_oldName435->type = alloc_MethodType(1, argcv_meth_ast_oldName435);
  meth_meth_ast_oldName435->definitionModule = modulename;
  meth_meth_ast_oldName435->definitionLine = 2483;
// method "asString"
  block_savedest(obj432);
  Object closure436 = createclosure(2, "asString");
  setclosureframe(closure436, stackframe);
  addtoclosure(closure436, var_o);
  addtoclosure(closure436, var_n);
  struct UserObject *uo436 = (struct UserObject*)obj432;
  uo436->data[3] = (Object)closure436;
  Method *meth_meth_ast_asString436 = addmethod2pos(obj432, "asString", &meth_ast_asString436, 3);
  int argcv_meth_ast_asString436[] = {0};
  meth_meth_ast_asString436->type = alloc_MethodType(1, argcv_meth_ast_asString436);
  meth_meth_ast_asString436->definitionModule = modulename;
  meth_meth_ast_asString436->definitionLine = 2484;
// method "pretty(_)"
  block_savedest(obj432);
  Object closure456 = createclosure(2, "pretty(1)");
  setclosureframe(closure456, stackframe);
  addtoclosure(closure456, var_o);
  addtoclosure(closure456, var_n);
  struct UserObject *uo456 = (struct UserObject*)obj432;
  uo456->data[4] = (Object)closure456;
  Method *meth_meth_ast_pretty_40_1_41_456 = addmethod2pos(obj432, "pretty(1)", &meth_ast_pretty_40_1_41_456, 4);
  int argcv_meth_ast_pretty_40_1_41_456[] = {1};
  meth_meth_ast_pretty_40_1_41_456->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_456);
  meth_meth_ast_pretty_40_1_41_456->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_456->definitionLine = 2485;
// method "hash"
  block_savedest(obj432);
  Object closure498 = createclosure(2, "hash");
  setclosureframe(closure498, stackframe);
  addtoclosure(closure498, var_o);
  addtoclosure(closure498, var_n);
  struct UserObject *uo498 = (struct UserObject*)obj432;
  uo498->data[5] = (Object)closure498;
  Method *meth_meth_ast_hash498 = addmethod2pos(obj432, "hash", &meth_ast_hash498, 5);
  int argcv_meth_ast_hash498[] = {0};
  meth_meth_ast_hash498->type = alloc_MethodType(1, argcv_meth_ast_hash498);
  meth_meth_ast_hash498->definitionModule = modulename;
  meth_meth_ast_hash498->definitionLine = 2492;
// method "isExecutable"
  struct UserObject *uo510 = (struct UserObject*)obj432;
  uo510->data[6] = emptyclosure;
  Method *meth_meth_ast_isExecutable510 = addmethod2pos(obj432, "isExecutable", &meth_ast_isExecutable510, 6);
  int argcv_meth_ast_isExecutable510[] = {0};
  meth_meth_ast_isExecutable510->type = alloc_MethodType(1, argcv_meth_ast_isExecutable510);
  meth_meth_ast_isExecutable510->definitionModule = modulename;
  meth_meth_ast_isExecutable510->definitionLine = 2493;
// method "==(_)"
  block_savedest(obj432);
  Object closure512 = createclosure(3, "==(1)");
  setclosureframe(closure512, stackframe);
  addtoclosure(closure512, var_o);
  addtoclosure(closure512, var_n);
  addtoclosure(closure512, var_AliasPair);
  struct UserObject *uo512 = (struct UserObject*)obj432;
  uo512->data[7] = (Object)closure512;
  Method *meth_meth_ast__61__61__40_1_41_512 = addmethod2pos(obj432, "==(1)", &meth_ast__61__61__40_1_41_512, 7);
  int argcv_meth_ast__61__61__40_1_41_512[] = {1};
  meth_meth_ast__61__61__40_1_41_512->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_512);
  meth_meth_ast__61__61__40_1_41_512->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_512->definitionLine = 2494;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  objclass432 = obj432->class;
  objclass432->definitionModule = modulename;
  objclass432->definitionLine = 2481;
  (*(struct UserObject *)self).data[0] = lowerouter432;
  self = oldself432;
  selfslot = oldselfslot432;
  stackframe = oldstackframe432;
  gc_frame_end(frame);
  return obj432;
}
Object meth_ast_aliasNew_40_1_41_old_40_1_41_431_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "aliasNew(1)old(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method aliasNew(_)old(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method aliasNew(_)old(_)");
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for aliasNew(_)old(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part aliasNew(_)");
  Object *var_o = &(stackframe->slots[1]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part old(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject432 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj432 = alloc_userobj2(7,8, objclass432);
  gc_frame_newslot(obj432);
if (objclass432 == NULL) {
  glfree(obj432->class->name);
  obj432->class->name = "aliasNew(_)old(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj432, self, 0);
  addmethodreal(obj432,"outer", &reader_ast_outer_433);
  Object oldself432 = self;
  struct StackFrameObject *oldstackframe432 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe432);
  gc_frame_newslot((Object)stackframe);
  self = obj432;
  Object *oldselfslot432 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter432 = (*(struct UserObject *)self).data[0], lowerouter432 = thisouter432;
  if (inheritingObject432) {
    struct UserObject *inho432 = (struct UserObject *)inheritingObject432;
    while (inho432->super != GraceDefaultObject) inho432 = (struct UserObject *)inho432->super;
    inho432->super = obj432;
    self = inheritingObject432;
    *selfslot = self;
    lowerouter432 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter432;
  }
// method "newName"
  block_savedest(obj432);
  Object closure434 = createclosure(1, "newName");
  setclosureframe(closure434, stackframe);
  addtoclosure(closure434, var_n);
  struct UserObject *uo434 = (struct UserObject*)obj432;
  uo434->data[1] = (Object)closure434;
  Method *meth_meth_ast_newName434 = addmethod2pos(obj432, "newName", &meth_ast_newName434, 1);
  int argcv_meth_ast_newName434[] = {0};
  meth_meth_ast_newName434->type = alloc_MethodType(1, argcv_meth_ast_newName434);
  meth_meth_ast_newName434->definitionModule = modulename;
  meth_meth_ast_newName434->definitionLine = 2482;
// method "oldName"
  block_savedest(obj432);
  Object closure435 = createclosure(1, "oldName");
  setclosureframe(closure435, stackframe);
  addtoclosure(closure435, var_o);
  struct UserObject *uo435 = (struct UserObject*)obj432;
  uo435->data[2] = (Object)closure435;
  Method *meth_meth_ast_oldName435 = addmethod2pos(obj432, "oldName", &meth_ast_oldName435, 2);
  int argcv_meth_ast_oldName435[] = {0};
  meth_meth_ast_oldName435->type = alloc_MethodType(1, argcv_meth_ast_oldName435);
  meth_meth_ast_oldName435->definitionModule = modulename;
  meth_meth_ast_oldName435->definitionLine = 2483;
// method "asString"
  block_savedest(obj432);
  Object closure436 = createclosure(2, "asString");
  setclosureframe(closure436, stackframe);
  addtoclosure(closure436, var_o);
  addtoclosure(closure436, var_n);
  struct UserObject *uo436 = (struct UserObject*)obj432;
  uo436->data[3] = (Object)closure436;
  Method *meth_meth_ast_asString436 = addmethod2pos(obj432, "asString", &meth_ast_asString436, 3);
  int argcv_meth_ast_asString436[] = {0};
  meth_meth_ast_asString436->type = alloc_MethodType(1, argcv_meth_ast_asString436);
  meth_meth_ast_asString436->definitionModule = modulename;
  meth_meth_ast_asString436->definitionLine = 2484;
// method "pretty(_)"
  block_savedest(obj432);
  Object closure456 = createclosure(2, "pretty(1)");
  setclosureframe(closure456, stackframe);
  addtoclosure(closure456, var_o);
  addtoclosure(closure456, var_n);
  struct UserObject *uo456 = (struct UserObject*)obj432;
  uo456->data[4] = (Object)closure456;
  Method *meth_meth_ast_pretty_40_1_41_456 = addmethod2pos(obj432, "pretty(1)", &meth_ast_pretty_40_1_41_456, 4);
  int argcv_meth_ast_pretty_40_1_41_456[] = {1};
  meth_meth_ast_pretty_40_1_41_456->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_456);
  meth_meth_ast_pretty_40_1_41_456->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_456->definitionLine = 2485;
// method "hash"
  block_savedest(obj432);
  Object closure498 = createclosure(2, "hash");
  setclosureframe(closure498, stackframe);
  addtoclosure(closure498, var_o);
  addtoclosure(closure498, var_n);
  struct UserObject *uo498 = (struct UserObject*)obj432;
  uo498->data[5] = (Object)closure498;
  Method *meth_meth_ast_hash498 = addmethod2pos(obj432, "hash", &meth_ast_hash498, 5);
  int argcv_meth_ast_hash498[] = {0};
  meth_meth_ast_hash498->type = alloc_MethodType(1, argcv_meth_ast_hash498);
  meth_meth_ast_hash498->definitionModule = modulename;
  meth_meth_ast_hash498->definitionLine = 2492;
// method "isExecutable"
  struct UserObject *uo510 = (struct UserObject*)obj432;
  uo510->data[6] = emptyclosure;
  Method *meth_meth_ast_isExecutable510 = addmethod2pos(obj432, "isExecutable", &meth_ast_isExecutable510, 6);
  int argcv_meth_ast_isExecutable510[] = {0};
  meth_meth_ast_isExecutable510->type = alloc_MethodType(1, argcv_meth_ast_isExecutable510);
  meth_meth_ast_isExecutable510->definitionModule = modulename;
  meth_meth_ast_isExecutable510->definitionLine = 2493;
// method "==(_)"
  block_savedest(obj432);
  Object closure512 = createclosure(3, "==(1)");
  setclosureframe(closure512, stackframe);
  addtoclosure(closure512, var_o);
  addtoclosure(closure512, var_n);
  addtoclosure(closure512, var_AliasPair);
  struct UserObject *uo512 = (struct UserObject*)obj432;
  uo512->data[7] = (Object)closure512;
  Method *meth_meth_ast__61__61__40_1_41_512 = addmethod2pos(obj432, "==(1)", &meth_ast__61__61__40_1_41_512, 7);
  int argcv_meth_ast__61__61__40_1_41_512[] = {1};
  meth_meth_ast__61__61__40_1_41_512->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_512);
  meth_meth_ast__61__61__40_1_41_512->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_512->definitionLine = 2494;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  sourceObject = obj432;
  objclass432 = obj432->class;
  objclass432->definitionModule = modulename;
  objclass432->definitionLine = 2481;
  (*(struct UserObject *)self).data[0] = lowerouter432;
  self = oldself432;
  selfslot = oldselfslot432;
  stackframe = oldstackframe432;
  gc_frame_end(frame);
  return obj432;
}
Object meth_ast__apply578(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ind (depth = 8)
  int op_slot_right_579 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_len (depth = 8)
  int op_slot_left_579 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff581 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff581 (depth = 7)
  gc_frame_end(frame);
  return diff581;
}
Object meth_ast__apply571(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_currBreak = getfromclosure(closure, 3);
  Object *var_trimmedLine = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 2765
  setline(2765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe572 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit573 == NULL) {
    strlit573 = alloc_String(" ");
    gc_root(strlit573);
  }
// compiled string node returning strlit573 (depth = 6)
  gc_frame_newslot(strlit573);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ind (depth = 7)
  int op_slot_right_574 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_len (depth = 7)
  int op_slot_left_574 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff576 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff576 (depth = 6)
  gc_frame_newslot(diff576);
// Begin line 2766
  setline(2766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 6)
  Object block577 = alloc_Block(NULL, NULL, "ast", 2766);
  gc_frame_newslot(block577);
// method "_apply"
  block_savedest(block577);
  Object closure578 = createclosure(3, "_apply");
  setclosureframe(closure578, stackframe);
  addtoclosure(closure578, var_ind);
  addtoclosure(closure578, var_len);
  addtoclosure(closure578, selfslot);
  struct UserObject *uo578 = (struct UserObject*)block577;
  uo578->data[0] = (Object)closure578;
  Method *meth_meth_ast__apply578 = addmethod2pos(block577, "_apply", &meth_ast__apply578, 0);
  int argcv_meth_ast__apply578[] = {0};
  meth_meth_ast__apply578->type = alloc_MethodType(1, argcv_meth_ast__apply578);
  meth_meth_ast__apply578->definitionModule = modulename;
  meth_meth_ast__apply578->definitionLine = 2947;
// compiled block node returning block577 (depth = 6)
  gc_frame_newslot(block577);
// call case 6: other requests
// Begin line 2765
  setline(2765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  params[0] = strlit573;
  params[1] = diff576;
  params[2] = block577;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call583 = callmethodflags(*var_str, "lastIndexOf(1)startingAt(1)ifAbsent(1)", 3, partcv, params, 0);
  gc_frame_end(callframe572);
// compiled call node returning call583 (depth = 5)
  *var_currBreak = call583;
  if (call583 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2767
  setline(2767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe585 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe586 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num587 = alloc_Float64(1);
// compiled num node returning num587 (depth = 7)
  gc_frame_newslot(num587);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_currBreak (depth = 7)
  gc_frame_newslot(*var_currBreak);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_str (depth = 7)
  params[0] = num587;
  params[1] = *var_currBreak;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call588 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe586);
// compiled call node returning call588 (depth = 6)
  Object call589 = callmethodflags(call588, "trim", 0, partcv, params, 0);
  gc_frame_end(callframe585);
// compiled member node returning call589 (depth = 5)
  *var_trimmedLine = call589;
  if (call589 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_604(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_str = getfromclosure(closure, 0);
  Object *var_currBreak = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2771
  setline(2771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit607 == NULL) {
    strlit607 = alloc_String(" ");
    gc_root(strlit607);
  }
// compiled string node returning strlit607 (depth = 8)
  int op_slot_right_606 = gc_frame_newslot(strlit607);
// starting to compile call node (depth = 8)
  int callframe609 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call610 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe609);
// compiled call node returning call610 (depth = 8)
  int op_slot_left_606 = gc_frame_newslot(call610);
  params[0] = strlit607;
  partcv[0] = 1;
  Object opresult611 = callmethod(call610, "==(1)", 1, partcv, params);
// compiled op node returning opresult611 (depth = 7)
  Object if605 = done;
  if (istrue(opresult611)) {
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  *var_currBreak = *var_ix;
  if (*var_ix == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if605 = done;
  } else {
  }
// compiled if node returning if605 (depth = 6)
  gc_frame_end(frame);
  return if605;
}
Object meth_ast__apply624(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit626 == NULL) {
    strlit626 = alloc_String(" ");
    gc_root(strlit626);
  }
// compiled string node returning strlit626 (depth = 9)
  int op_slot_right_625 = gc_frame_newslot(strlit626);
// starting to compile call node (depth = 9)
  int callframe628 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_end (depth = 10)
  gc_frame_newslot(*var_end);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  params[0] = *var_end;
  partcv[0] = 1;
  Object call629 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe628);
// compiled call node returning call629 (depth = 9)
  int op_slot_left_625 = gc_frame_newslot(call629);
  params[0] = strlit626;
  partcv[0] = 1;
  Object opresult630 = callmethod(call629, "==(1)", 1, partcv, params);
// compiled op node returning opresult630 (depth = 8)
  gc_frame_end(frame);
  return opresult630;
}
Object meth_ast__apply621(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block623 = alloc_Block(NULL, NULL, "ast", 2774);
  gc_frame_newslot(block623);
// method "_apply"
  block_savedest(block623);
  Object closure624 = createclosure(3, "_apply");
  setclosureframe(closure624, stackframe);
  addtoclosure(closure624, var_end);
  addtoclosure(closure624, var_str);
  addtoclosure(closure624, selfslot);
  struct UserObject *uo624 = (struct UserObject*)block623;
  uo624->data[0] = (Object)closure624;
  Method *meth_meth_ast__apply624 = addmethod2pos(block623, "_apply", &meth_ast__apply624, 0);
  int argcv_meth_ast__apply624[] = {0};
  meth_meth_ast__apply624->type = alloc_MethodType(1, argcv_meth_ast__apply624);
  meth_meth_ast__apply624->definitionModule = modulename;
  meth_meth_ast__apply624->definitionLine = 2947;
// compiled block node returning block623 (depth = 7)
  int op_slot_right_622 = gc_frame_newslot(block623);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num634 = alloc_Float64(1);
// compiled num node returning num634 (depth = 8)
  int op_slot_right_633 = gc_frame_newslot(num634);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_end (depth = 8)
  int op_slot_left_633 = gc_frame_newslot(*var_end);
  params[0] = num634;
  partcv[0] = 1;
  Object opresult636 = callmethod(*var_end, "≥(1)", 1, partcv, params);
// compiled op node returning opresult636 (depth = 7)
  int op_slot_left_622 = gc_frame_newslot(opresult636);
  params[0] = block623;
  partcv[0] = 1;
  Object opresult637 = callmethod(opresult636, "&&(1)", 1, partcv, params);
// compiled op node returning opresult637 (depth = 6)
  gc_frame_end(frame);
  return opresult637;
}
Object meth_ast__apply640(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_end = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 2775
  setline(2775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num642 = alloc_Float64(1);
// compiled num node returning num642 (depth = 8)
  int op_slot_right_641 = gc_frame_newslot(num642);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_end (depth = 8)
  int op_slot_left_641 = gc_frame_newslot(*var_end);
  params[0] = num642;
  partcv[0] = 1;
  Object diff644 = callmethod(*var_end, "-(1)", 1, partcv, params);
// compiled op node returning diff644 (depth = 7)
  *var_end = diff644;
  if (diff644 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply654(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit656 == NULL) {
    strlit656 = alloc_String(" ");
    gc_root(strlit656);
  }
// compiled string node returning strlit656 (depth = 9)
  int op_slot_right_655 = gc_frame_newslot(strlit656);
// starting to compile call node (depth = 9)
  int callframe658 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_start (depth = 10)
  gc_frame_newslot(*var_start);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  params[0] = *var_start;
  partcv[0] = 1;
  Object call659 = callmethodflags(*var_str, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe658);
// compiled call node returning call659 (depth = 9)
  int op_slot_left_655 = gc_frame_newslot(call659);
  params[0] = strlit656;
  partcv[0] = 1;
  Object opresult660 = callmethod(call659, "==(1)", 1, partcv, params);
// compiled op node returning opresult660 (depth = 8)
  gc_frame_end(frame);
  return opresult660;
}
Object meth_ast__apply651(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object *var_str = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block653 = alloc_Block(NULL, NULL, "ast", 2778);
  gc_frame_newslot(block653);
// method "_apply"
  block_savedest(block653);
  Object closure654 = createclosure(3, "_apply");
  setclosureframe(closure654, stackframe);
  addtoclosure(closure654, var_start);
  addtoclosure(closure654, var_str);
  addtoclosure(closure654, selfslot);
  struct UserObject *uo654 = (struct UserObject*)block653;
  uo654->data[0] = (Object)closure654;
  Method *meth_meth_ast__apply654 = addmethod2pos(block653, "_apply", &meth_ast__apply654, 0);
  int argcv_meth_ast__apply654[] = {0};
  meth_meth_ast__apply654->type = alloc_MethodType(1, argcv_meth_ast__apply654);
  meth_meth_ast__apply654->definitionModule = modulename;
  meth_meth_ast__apply654->definitionLine = 2947;
// compiled block node returning block653 (depth = 7)
  int op_slot_right_652 = gc_frame_newslot(block653);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe664 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call665 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe664);
// compiled member node returning call665 (depth = 8)
  int op_slot_right_663 = gc_frame_newslot(call665);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_start (depth = 8)
  int op_slot_left_663 = gc_frame_newslot(*var_start);
  params[0] = call665;
  partcv[0] = 1;
  Object opresult667 = callmethod(*var_start, "≤(1)", 1, partcv, params);
// compiled op node returning opresult667 (depth = 7)
  int op_slot_left_652 = gc_frame_newslot(opresult667);
  params[0] = block653;
  partcv[0] = 1;
  Object opresult668 = callmethod(opresult667, "&&(1)", 1, partcv, params);
// compiled op node returning opresult668 (depth = 6)
  gc_frame_end(frame);
  return opresult668;
}
Object meth_ast__apply671(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_start = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 2779
  setline(2779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num673 = alloc_Float64(1);
// compiled num node returning num673 (depth = 8)
  int op_slot_right_672 = gc_frame_newslot(num673);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_start (depth = 8)
  int op_slot_left_672 = gc_frame_newslot(*var_start);
  params[0] = num673;
  partcv[0] = 1;
  Object sum675 = callmethod(*var_start, "+(1)", 1, partcv, params);
// compiled op node returning sum675 (depth = 7)
  *var_start = sum675;
  if (sum675 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_593(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_ind = getfromclosure(closure, 0);
  Object *var_len = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_currBreak = getfromclosure(closure, 3);
  Object *var_trimmedLine = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ex = &(stackframe->slots[0]);
  *var_ex = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_end = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "end");
  Object *var_start = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "start");
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe594 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ind (depth = 7)
  int op_slot_right_595 = gc_frame_newslot(*var_ind);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_len (depth = 7)
  int op_slot_left_595 = gc_frame_newslot(*var_len);
  params[0] = *var_ind;
  partcv[0] = 1;
  Object diff597 = callmethod(*var_len, "-(1)", 1, partcv, params);
// compiled op node returning diff597 (depth = 6)
  gc_frame_newslot(diff597);
// starting to compile member node (depth = 6)
  int callframe598 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_str (depth = 7)
  Object call599 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe598);
// compiled member node returning call599 (depth = 6)
  gc_frame_newslot(call599);
// call case 5: prelude request
  params[0] = diff597;
  params[1] = call599;
  partcv[0] = 2;
  Object call600 = callmethodflags(prelude, "min(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe594);
// compiled call node returning call600 (depth = 5)
  *var_currBreak = call600;
  if (call600 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2770
  setline(2770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe602 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block603 = alloc_Block(NULL, NULL, "ast", 2770);
  gc_frame_newslot(block603);
// method "_apply(_)"
  block_savedest(block603);
  Object closure604 = createclosure(3, "_apply(1)");
  setclosureframe(closure604, stackframe);
  addtoclosure(closure604, var_str);
  addtoclosure(closure604, var_currBreak);
  addtoclosure(closure604, selfslot);
  struct UserObject *uo604 = (struct UserObject*)block603;
  uo604->data[0] = (Object)closure604;
  Method *meth_meth_ast__apply_40_1_41_604 = addmethod2pos(block603, "_apply(1)", &meth_ast__apply_40_1_41_604, 0);
  int argcv_meth_ast__apply_40_1_41_604[] = {1};
  meth_meth_ast__apply_40_1_41_604->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_604);
  meth_meth_ast__apply_40_1_41_604->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_604->definitionLine = 2947;
// compiled block node returning block603 (depth = 5)
  gc_frame_newslot(block603);
// call case 6: other requests
// Begin line 2770
  setline(2770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_currBreak (depth = 6)
  int op_slot_right_614 = gc_frame_newslot(*var_currBreak);
// starting to compile num node (depth = 6)
  Object num616 = alloc_Float64(1);
// compiled num node returning num616 (depth = 6)
  int op_slot_left_614 = gc_frame_newslot(num616);
  params[0] = *var_currBreak;
  partcv[0] = 1;
  Object opresult617 = callmethod(num616, "..(1)", 1, partcv, params);
// compiled op node returning opresult617 (depth = 5)
  params[0] = block603;
  partcv[0] = 1;
  Object call618 = callmethodflags(opresult617, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe602);
// compiled call node returning call618 (depth = 4)
// Begin line 2773
  setline(2773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_currBreak (depth = 5)
  *var_end = *var_currBreak;
  if (*var_currBreak == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2774
  setline(2774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe619 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block620 = alloc_Block(NULL, NULL, "ast", 2774);
  gc_frame_newslot(block620);
// method "_apply"
  block_savedest(block620);
  Object closure621 = createclosure(3, "_apply");
  setclosureframe(closure621, stackframe);
  addtoclosure(closure621, var_end);
  addtoclosure(closure621, var_str);
  addtoclosure(closure621, selfslot);
  struct UserObject *uo621 = (struct UserObject*)block620;
  uo621->data[0] = (Object)closure621;
  Method *meth_meth_ast__apply621 = addmethod2pos(block620, "_apply", &meth_ast__apply621, 0);
  int argcv_meth_ast__apply621[] = {0};
  meth_meth_ast__apply621->type = alloc_MethodType(1, argcv_meth_ast__apply621);
  meth_meth_ast__apply621->definitionModule = modulename;
  meth_meth_ast__apply621->definitionLine = 2947;
// compiled block node returning block620 (depth = 5)
  gc_frame_newslot(block620);
// starting to compile block node (depth = 5)
  Object block639 = alloc_Block(NULL, NULL, "ast", 2774);
  gc_frame_newslot(block639);
// method "_apply"
  block_savedest(block639);
  Object closure640 = createclosure(2, "_apply");
  setclosureframe(closure640, stackframe);
  addtoclosure(closure640, var_end);
  addtoclosure(closure640, selfslot);
  struct UserObject *uo640 = (struct UserObject*)block639;
  uo640->data[0] = (Object)closure640;
  Method *meth_meth_ast__apply640 = addmethod2pos(block639, "_apply", &meth_ast__apply640, 0);
  int argcv_meth_ast__apply640[] = {0};
  meth_meth_ast__apply640->type = alloc_MethodType(1, argcv_meth_ast__apply640);
  meth_meth_ast__apply640->definitionModule = modulename;
  meth_meth_ast__apply640->definitionLine = 2947;
// compiled block node returning block639 (depth = 5)
  gc_frame_newslot(block639);
// call case 5: prelude request
  params[0] = block620;
  params[1] = block639;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call647 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe619);
// compiled call node returning call647 (depth = 4)
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num648 = alloc_Float64(1);
// compiled num node returning num648 (depth = 5)
  *var_start = num648;
  if (num648 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe649 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block650 = alloc_Block(NULL, NULL, "ast", 2778);
  gc_frame_newslot(block650);
// method "_apply"
  block_savedest(block650);
  Object closure651 = createclosure(3, "_apply");
  setclosureframe(closure651, stackframe);
  addtoclosure(closure651, var_start);
  addtoclosure(closure651, var_str);
  addtoclosure(closure651, selfslot);
  struct UserObject *uo651 = (struct UserObject*)block650;
  uo651->data[0] = (Object)closure651;
  Method *meth_meth_ast__apply651 = addmethod2pos(block650, "_apply", &meth_ast__apply651, 0);
  int argcv_meth_ast__apply651[] = {0};
  meth_meth_ast__apply651->type = alloc_MethodType(1, argcv_meth_ast__apply651);
  meth_meth_ast__apply651->definitionModule = modulename;
  meth_meth_ast__apply651->definitionLine = 2947;
// compiled block node returning block650 (depth = 5)
  gc_frame_newslot(block650);
// starting to compile block node (depth = 5)
  Object block670 = alloc_Block(NULL, NULL, "ast", 2778);
  gc_frame_newslot(block670);
// method "_apply"
  block_savedest(block670);
  Object closure671 = createclosure(2, "_apply");
  setclosureframe(closure671, stackframe);
  addtoclosure(closure671, var_start);
  addtoclosure(closure671, selfslot);
  struct UserObject *uo671 = (struct UserObject*)block670;
  uo671->data[0] = (Object)closure671;
  Method *meth_meth_ast__apply671 = addmethod2pos(block670, "_apply", &meth_ast__apply671, 0);
  int argcv_meth_ast__apply671[] = {0};
  meth_meth_ast__apply671->type = alloc_MethodType(1, argcv_meth_ast__apply671);
  meth_meth_ast__apply671->definitionModule = modulename;
  meth_meth_ast__apply671->definitionLine = 2947;
// compiled block node returning block670 (depth = 5)
  gc_frame_newslot(block670);
// call case 5: prelude request
  params[0] = block650;
  params[1] = block670;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call678 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe649);
// compiled call node returning call678 (depth = 4)
// Begin line 2781
  setline(2781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe679 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_start (depth = 6)
  gc_frame_newslot(*var_start);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_end (depth = 6)
  gc_frame_newslot(*var_end);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  params[0] = *var_start;
  params[1] = *var_end;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call680 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe679);
// compiled call node returning call680 (depth = 5)
  *var_trimmedLine = call680;
  if (call680 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(8, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "wrap(1)to(1)prefix(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method wrap(_)to(_)prefix(_)");
  Object params[3];
  int partcv[3];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for wrap(_)to(_)prefix(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part wrap(_)");
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part to(_)");
  Object *var_margin = &(stackframe->slots[2]);
  *var_margin = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part prefix(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ind = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "ind");
  Object *var_len = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "len");
  Object *var_currBreak = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "currBreak");
  Object *var_trimmedLine = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "trimmedLine");
// Begin line 2756
  setline(2756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe545 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_margin (depth = 4)
  Object call546 = callmethodflags(*var_margin, "size", 0, partcv, params, 0);
  gc_frame_end(callframe545);
// compiled member node returning call546 (depth = 3)
  *var_ind = call546;
  if (call546 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2757
  setline(2757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe547 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num549 = alloc_Float64(4);
// compiled num node returning num549 (depth = 5)
  int op_slot_right_548 = gc_frame_newslot(num549);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ind (depth = 5)
  int op_slot_left_548 = gc_frame_newslot(*var_ind);
  params[0] = num549;
  partcv[0] = 1;
  Object sum551 = callmethod(*var_ind, "+(1)", 1, partcv, params);
// compiled op node returning sum551 (depth = 4)
  gc_frame_newslot(sum551);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  gc_frame_newslot(*var_l);
// call case 5: prelude request
  params[0] = sum551;
  params[1] = *var_l;
  partcv[0] = 2;
  Object call552 = callmethodflags(prelude, "max(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe547);
// compiled call node returning call552 (depth = 3)
  *var_len = call552;
  if (call552 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2758
  setline(2758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_len (depth = 4)
  int op_slot_right_554 = gc_frame_newslot(*var_len);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe557 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  Object call558 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe557);
// compiled member node returning call558 (depth = 5)
  int op_slot_right_556 = gc_frame_newslot(call558);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ind (depth = 5)
  int op_slot_left_556 = gc_frame_newslot(*var_ind);
  params[0] = call558;
  partcv[0] = 1;
  Object sum560 = callmethod(*var_ind, "+(1)", 1, partcv, params);
// compiled op node returning sum560 (depth = 4)
  int op_slot_left_554 = gc_frame_newslot(sum560);
  params[0] = *var_len;
  partcv[0] = 1;
  Object opresult561 = callmethod(sum560, "≤(1)", 1, partcv, params);
// compiled op node returning opresult561 (depth = 3)
  Object if553 = done;
  if (istrue(opresult561)) {
// Begin line 2759
  setline(2759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_str (depth = 5)
  int op_slot_right_562 = gc_frame_newslot(*var_str);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_margin (depth = 6)
  int op_slot_right_564 = gc_frame_newslot(*var_margin);
// starting to compile string node (depth = 6)
  if (strlit566 == NULL) {
    strlit566 = alloc_String("""\x0a""");
    gc_root(strlit566);
  }
// compiled string node returning strlit566 (depth = 6)
  int op_slot_left_564 = gc_frame_newslot(strlit566);
  params[0] = *var_margin;
  partcv[0] = 1;
  Object opresult567 = callmethod(strlit566, "++(1)", 1, partcv, params);
// compiled op node returning opresult567 (depth = 5)
  int op_slot_left_562 = gc_frame_newslot(opresult567);
  params[0] = *var_str;
  partcv[0] = 1;
  Object opresult568 = callmethod(opresult567, "++(1)", 1, partcv, params);
// compiled op node returning opresult568 (depth = 4)
  return opresult568;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if553 = undefined;
  } else {
  }
// compiled if node returning if553 (depth = 2)
// Begin line 2761
  setline(2761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_currBreak = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 2762
  setline(2762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_trimmedLine = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 2764
  setline(2764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile trycatch node (depth = 2)
// starting to compile block node (depth = 3)
  Object block570 = alloc_Block(NULL, NULL, "ast", 2764);
  gc_frame_newslot(block570);
// method "_apply"
  block_savedest(block570);
  Object closure571 = createclosure(6, "_apply");
  setclosureframe(closure571, stackframe);
  addtoclosure(closure571, var_ind);
  addtoclosure(closure571, var_len);
  addtoclosure(closure571, var_str);
  addtoclosure(closure571, var_currBreak);
  addtoclosure(closure571, var_trimmedLine);
  addtoclosure(closure571, selfslot);
  struct UserObject *uo571 = (struct UserObject*)block570;
  uo571->data[0] = (Object)closure571;
  Method *meth_meth_ast__apply571 = addmethod2pos(block570, "_apply", &meth_ast__apply571, 0);
  int argcv_meth_ast__apply571[] = {0};
  meth_meth_ast__apply571->type = alloc_MethodType(1, argcv_meth_ast__apply571);
  meth_meth_ast__apply571->definitionModule = modulename;
  meth_meth_ast__apply571->definitionLine = 2947;
// compiled block node returning block570 (depth = 3)
  int frame569 = gc_frame_new();
  gc_frame_newslot(block570);
// Begin line 2768
  setline(2768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block592 = alloc_Block(NULL, NULL, "ast", 2768);
  gc_frame_newslot(block592);
// method "_apply(_)"
  block_savedest(block592);
  Object closure593 = createclosure(6, "_apply(1)");
  setclosureframe(closure593, stackframe);
  addtoclosure(closure593, var_ind);
  addtoclosure(closure593, var_len);
  addtoclosure(closure593, var_str);
  addtoclosure(closure593, var_currBreak);
  addtoclosure(closure593, var_trimmedLine);
  addtoclosure(closure593, selfslot);
  struct UserObject *uo593 = (struct UserObject*)block592;
  uo593->data[0] = (Object)closure593;
  Method *meth_meth_ast__apply_40_1_41_593 = addmethod2pos(block592, "_apply(1)", &meth_ast__apply_40_1_41_593, 0);
  int argcv_meth_ast__apply_40_1_41_593[] = {1};
  meth_meth_ast__apply_40_1_41_593->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_593);
  meth_meth_ast__apply_40_1_41_593->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_593->definitionLine = 2947;
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe683 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe684 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit685 == NULL) {
    strlit685 = alloc_String("ex");
    gc_root(strlit685);
  }
// compiled string node returning strlit685 (depth = 6)
  gc_frame_newslot(strlit685);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe686 = gc_frame_new();
// call case 5: prelude request
  Object call687 = callmethodflags(prelude, "VariablePattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe686);
// compiled member node returning call687 (depth = 6)
  params[0] = strlit685;
  partcv[0] = 1;
  Object call688 = callmethodflags(call687, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe684);
// compiled call node returning call688 (depth = 5)
  gc_frame_newslot(call688);
// Begin line 2768
  setline(2768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe689 = gc_frame_new();
// call case 5: prelude request
  Object call690 = callmethodflags(prelude, "NoSuchMethod", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe689);
// compiled member node returning call690 (depth = 5)
  gc_frame_newslot(call690);
// call case 6: other requests
// Begin line 0
  setline(0);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe691 = gc_frame_new();
// call case 5: prelude request
  Object call692 = callmethodflags(prelude, "AndPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe691);
// compiled member node returning call692 (depth = 5)
  params[0] = call688;
  params[1] = call690;
  partcv[0] = 2;
  Object call693 = callmethodflags(call692, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe683);
// compiled call node returning call693 (depth = 4)
((struct UserObject *)block592)->data[1] = call693;
// compiled block node returning block592 (depth = 3)
  gc_frame_newslot(block592);
  params[0] = block592;
  setline(2764);
  Object catchres569 = tryCatch(block570, params, 1,NULL);
  gc_frame_end(frame569);
// compiled trycatch node returning catchres569 (depth = 2)
// Begin line 2783
  setline(2783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 2784
  setline(2784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe695 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe696 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num698 = alloc_Float64(1);
// compiled num node returning num698 (depth = 6)
  int op_slot_right_697 = gc_frame_newslot(num698);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_currBreak (depth = 6)
  int op_slot_left_697 = gc_frame_newslot(*var_currBreak);
  params[0] = num698;
  partcv[0] = 1;
  Object sum700 = callmethod(*var_currBreak, "+(1)", 1, partcv, params);
// compiled op node returning sum700 (depth = 5)
  gc_frame_newslot(sum700);
// starting to compile member node (depth = 5)
  int callframe701 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_str (depth = 6)
  Object call702 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe701);
// compiled member node returning call702 (depth = 5)
  gc_frame_newslot(call702);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_str (depth = 5)
  params[0] = sum700;
  params[1] = call702;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call703 = callmethodflags(*var_str, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe696);
// compiled call node returning call703 (depth = 4)
  gc_frame_newslot(call703);
// Begin line 2785
  setline(2785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  gc_frame_newslot(*var_l);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_margin (depth = 4)
  gc_frame_newslot(*var_margin);
// call case 4: self request
  params[0] = call703;
  params[1] = *var_l;
  params[2] = *var_margin;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call704 = callmethodflags(self, "wrap(1)to(1)prefix(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe695);
// compiled call node returning call704 (depth = 3)
  int op_slot_right_694 = gc_frame_newslot(call704);
// Begin line 2783
  setline(2783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_trimmedLine (depth = 4)
  int op_slot_right_706 = gc_frame_newslot(*var_trimmedLine);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_margin (depth = 5)
  int op_slot_right_708 = gc_frame_newslot(*var_margin);
// starting to compile string node (depth = 5)
  if (strlit710 == NULL) {
    strlit710 = alloc_String("""\x0a""");
    gc_root(strlit710);
  }
// compiled string node returning strlit710 (depth = 5)
  int op_slot_left_708 = gc_frame_newslot(strlit710);
  params[0] = *var_margin;
  partcv[0] = 1;
  Object opresult711 = callmethod(strlit710, "++(1)", 1, partcv, params);
// compiled op node returning opresult711 (depth = 4)
  int op_slot_left_706 = gc_frame_newslot(opresult711);
  params[0] = *var_trimmedLine;
  partcv[0] = 1;
  Object opresult712 = callmethod(opresult711, "++(1)", 1, partcv, params);
// compiled op node returning opresult712 (depth = 3)
  int op_slot_left_694 = gc_frame_newslot(opresult712);
  params[0] = call704;
  partcv[0] = 1;
  Object opresult713 = callmethod(opresult712, "++(1)", 1, partcv, params);
// compiled op node returning opresult713 (depth = 2)
  gc_frame_end(frame);
  return opresult713;
}
Object meth_ast_visitIf_40_1_41_up_40_1_41_717(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe718 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call719 = callmethodflags(self, "visitIf(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe718);
// compiled call node returning call719 (depth = 2)
  gc_frame_end(frame);
  return call719;
}
Object meth_ast_visitBlock_40_1_41_up_40_1_41_720(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe721 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call722 = callmethodflags(self, "visitBlock(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe721);
// compiled call node returning call722 (depth = 2)
  gc_frame_end(frame);
  return call722;
}
Object meth_ast_visitMatchCase_40_1_41_up_40_1_41_723(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe724 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call725 = callmethodflags(self, "visitMatchCase(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe724);
// compiled call node returning call725 (depth = 2)
  gc_frame_end(frame);
  return call725;
}
Object meth_ast_visitTryCatch_40_1_41_up_40_1_41_726(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTryCatch(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe727 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call728 = callmethodflags(self, "visitTryCatch(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe727);
// compiled call node returning call728 (depth = 2)
  gc_frame_end(frame);
  return call728;
}
Object meth_ast_visitMethodType_40_1_41_up_40_1_41_729(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2827
  setline(2827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe730 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call731 = callmethodflags(self, "visitMethodType(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe730);
// compiled call node returning call731 (depth = 2)
  gc_frame_end(frame);
  return call731;
}
Object meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2828
  setline(2828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe733 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call734 = callmethodflags(self, "visitSignaturePart(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe733);
// compiled call node returning call734 (depth = 2)
  gc_frame_end(frame);
  return call734;
}
Object meth_ast_visitTypeDec_40_1_41_up_40_1_41_735(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2829
  setline(2829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe736 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call737 = callmethodflags(self, "visitTypeDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe736);
// compiled call node returning call737 (depth = 2)
  gc_frame_end(frame);
  return call737;
}
Object meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2830
  setline(2830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe739 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call740 = callmethodflags(self, "visitTypeLiteral(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe739);
// compiled call node returning call740 (depth = 2)
  gc_frame_end(frame);
  return call740;
}
Object meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeParameters(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeParameters(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeParameters(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2831
  setline(2831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe742 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call743 = callmethodflags(self, "visitTypeParameters(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe742);
// compiled call node returning call743 (depth = 2)
  gc_frame_end(frame);
  return call743;
}
Object meth_ast_visitMethod_40_1_41_up_40_1_41_744(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2832
  setline(2832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe745 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call746 = callmethodflags(self, "visitMethod(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe745);
// compiled call node returning call746 (depth = 2)
  gc_frame_end(frame);
  return call746;
}
Object meth_ast_visitCall_40_1_41_up_40_1_41_747(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2833
  setline(2833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe748 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call749 = callmethodflags(self, "visitCall(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe748);
// compiled call node returning call749 (depth = 2)
  gc_frame_end(frame);
  return call749;
}
Object meth_ast_visitObject_40_1_41_up_40_1_41_750(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe751 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call752 = callmethodflags(self, "visitObject(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe751);
// compiled call node returning call752 (depth = 2)
  gc_frame_end(frame);
  return call752;
}
Object meth_ast_visitModule_40_1_41_up_40_1_41_753(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitModule(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2835
  setline(2835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe754 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call755 = callmethodflags(self, "visitObject(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe754);
// compiled call node returning call755 (depth = 2)
  gc_frame_end(frame);
  return call755;
}
Object meth_ast_visitArray_40_1_41_up_40_1_41_756(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2836
  setline(2836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe757 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call758 = callmethodflags(self, "visitArray(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe757);
// compiled call node returning call758 (depth = 2)
  gc_frame_end(frame);
  return call758;
}
Object meth_ast_visitMember_40_1_41_up_40_1_41_759(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2837
  setline(2837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe760 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call761 = callmethodflags(self, "visitMember(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe760);
// compiled call node returning call761 (depth = 2)
  gc_frame_end(frame);
  return call761;
}
Object meth_ast_visitGeneric_40_1_41_up_40_1_41_762(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2838
  setline(2838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe763 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call764 = callmethodflags(self, "visitGeneric(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe763);
// compiled call node returning call764 (depth = 2)
  gc_frame_end(frame);
  return call764;
}
Object meth_ast_visitIdentifier_40_1_41_up_40_1_41_765(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2839
  setline(2839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe766 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call767 = callmethodflags(self, "visitIdentifier(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe766);
// compiled call node returning call767 (depth = 2)
  gc_frame_end(frame);
  return call767;
}
Object meth_ast_visitString_40_1_41_up_40_1_41_768(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2840
  setline(2840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe769 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call770 = callmethodflags(self, "visitString(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe769);
// compiled call node returning call770 (depth = 2)
  gc_frame_end(frame);
  return call770;
}
Object meth_ast_visitNum_40_1_41_up_40_1_41_771(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2841
  setline(2841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe772 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call773 = callmethodflags(self, "visitNum(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe772);
// compiled call node returning call773 (depth = 2)
  gc_frame_end(frame);
  return call773;
}
Object meth_ast_visitOp_40_1_41_up_40_1_41_774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2842
  setline(2842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe775 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call776 = callmethodflags(self, "visitOp(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe775);
// compiled call node returning call776 (depth = 2)
  gc_frame_end(frame);
  return call776;
}
Object meth_ast_visitBind_40_1_41_up_40_1_41_777(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2843
  setline(2843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe778 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call779 = callmethodflags(self, "visitBind(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe778);
// compiled call node returning call779 (depth = 2)
  gc_frame_end(frame);
  return call779;
}
Object meth_ast_visitDefDec_40_1_41_up_40_1_41_780(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2844
  setline(2844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe781 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call782 = callmethodflags(self, "visitDefDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe781);
// compiled call node returning call782 (depth = 2)
  gc_frame_end(frame);
  return call782;
}
Object meth_ast_visitVarDec_40_1_41_up_40_1_41_783(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2845
  setline(2845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe784 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call785 = callmethodflags(self, "visitVarDec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe784);
// compiled call node returning call785 (depth = 2)
  gc_frame_end(frame);
  return call785;
}
Object meth_ast_visitImport_40_1_41_up_40_1_41_786(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2846
  setline(2846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe787 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call788 = callmethodflags(self, "visitImport(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe787);
// compiled call node returning call788 (depth = 2)
  gc_frame_end(frame);
  return call788;
}
Object meth_ast_visitReturn_40_1_41_up_40_1_41_789(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2847
  setline(2847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe790 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call791 = callmethodflags(self, "visitReturn(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe790);
// compiled call node returning call791 (depth = 2)
  gc_frame_end(frame);
  return call791;
}
Object meth_ast_visitInherits_40_1_41_up_40_1_41_792(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2848
  setline(2848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe793 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call794 = callmethodflags(self, "visitInherits(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe793);
// compiled call node returning call794 (depth = 2)
  gc_frame_end(frame);
  return call794;
}
Object meth_ast_visitDialect_40_1_41_up_40_1_41_795(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2849
  setline(2849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe796 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call797 = callmethodflags(self, "visitDialect(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe796);
// compiled call node returning call797 (depth = 2)
  gc_frame_end(frame);
  return call797;
}
Object meth_ast_visitBlank_40_1_41_up_40_1_41_798(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlank(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlank(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlank(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2850
  setline(2850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe799 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call800 = callmethodflags(self, "visitBlank(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe799);
// compiled call node returning call800 (depth = 2)
  gc_frame_end(frame);
  return call800;
}
Object meth_ast_visitComment_40_1_41_up_40_1_41_801(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitComment(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2851
  setline(2851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe802 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call803 = callmethodflags(self, "visitComment(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe802);
// compiled call node returning call803 (depth = 2)
  gc_frame_end(frame);
  return call803;
}
Object meth_ast_visitImplicit_40_1_41_up_40_1_41_804(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImplicit(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2852
  setline(2852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe805 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call806 = callmethodflags(self, "visitImplicit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe805);
// compiled call node returning call806 (depth = 2)
  gc_frame_end(frame);
  return call806;
}
Object meth_ast_visitIf_40_1_41_807(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIf(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool808 = alloc_Boolean(1);
// compiled identifier node returning bool808 (depth = 2)
  gc_frame_end(frame);
  return bool808;
}
Object meth_ast_visitBlock_40_1_41_809(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlock(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2855
  setline(2855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool810 = alloc_Boolean(1);
// compiled identifier node returning bool810 (depth = 2)
  gc_frame_end(frame);
  return bool810;
}
Object meth_ast_visitMatchCase_40_1_41_811(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMatchCase(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2856
  setline(2856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool812 = alloc_Boolean(1);
// compiled identifier node returning bool812 (depth = 2)
  gc_frame_end(frame);
  return bool812;
}
Object meth_ast_visitTryCatch_40_1_41_813(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTryCatch(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool814 = alloc_Boolean(1);
// compiled identifier node returning bool814 (depth = 2)
  gc_frame_end(frame);
  return bool814;
}
Object meth_ast_visitMethodType_40_1_41_815(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethodType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2858
  setline(2858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool816 = alloc_Boolean(1);
// compiled identifier node returning bool816 (depth = 2)
  gc_frame_end(frame);
  return bool816;
}
Object meth_ast_visitSignaturePart_40_1_41_817(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitSignaturePart(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool818 = alloc_Boolean(1);
// compiled identifier node returning bool818 (depth = 2)
  gc_frame_end(frame);
  return bool818;
}
Object meth_ast_visitTypeDec_40_1_41_819(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool820 = alloc_Boolean(1);
// compiled identifier node returning bool820 (depth = 2)
  gc_frame_end(frame);
  return bool820;
}
Object meth_ast_visitTypeLiteral_40_1_41_821(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeLiteral(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2861
  setline(2861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool822 = alloc_Boolean(1);
// compiled identifier node returning bool822 (depth = 2)
  gc_frame_end(frame);
  return bool822;
}
Object meth_ast_visitTypeParameters_40_1_41_823(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitTypeParameters(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeParameters(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeParameters(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeParameters(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool824 = alloc_Boolean(1);
// compiled identifier node returning bool824 (depth = 2)
  gc_frame_end(frame);
  return bool824;
}
Object meth_ast_visitMethod_40_1_41_825(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMethod(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool826 = alloc_Boolean(1);
// compiled identifier node returning bool826 (depth = 2)
  gc_frame_end(frame);
  return bool826;
}
Object meth_ast_visitCall_40_1_41_827(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2864
  setline(2864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool828 = alloc_Boolean(1);
// compiled identifier node returning bool828 (depth = 2)
  gc_frame_end(frame);
  return bool828;
}
Object meth_ast_visitObject_40_1_41_829(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitObject(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2865
  setline(2865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool830 = alloc_Boolean(1);
// compiled identifier node returning bool830 (depth = 2)
  gc_frame_end(frame);
  return bool830;
}
Object meth_ast_visitModule_40_1_41_831(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitModule(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool832 = alloc_Boolean(1);
// compiled identifier node returning bool832 (depth = 2)
  gc_frame_end(frame);
  return bool832;
}
Object meth_ast_visitArray_40_1_41_833(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitArray(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2867
  setline(2867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool834 = alloc_Boolean(1);
// compiled identifier node returning bool834 (depth = 2)
  gc_frame_end(frame);
  return bool834;
}
Object meth_ast_visitMember_40_1_41_835(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitMember(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool836 = alloc_Boolean(1);
// compiled identifier node returning bool836 (depth = 2)
  gc_frame_end(frame);
  return bool836;
}
Object meth_ast_visitGeneric_40_1_41_837(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitGeneric(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool838 = alloc_Boolean(1);
// compiled identifier node returning bool838 (depth = 2)
  gc_frame_end(frame);
  return bool838;
}
Object meth_ast_visitIdentifier_40_1_41_839(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitIdentifier(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool840 = alloc_Boolean(1);
// compiled identifier node returning bool840 (depth = 2)
  gc_frame_end(frame);
  return bool840;
}
Object meth_ast_visitString_40_1_41_841(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitString(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2871
  setline(2871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool842 = alloc_Boolean(1);
// compiled identifier node returning bool842 (depth = 2)
  gc_frame_end(frame);
  return bool842;
}
Object meth_ast_visitNum_40_1_41_843(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitNum(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2872
  setline(2872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool844 = alloc_Boolean(1);
// compiled identifier node returning bool844 (depth = 2)
  gc_frame_end(frame);
  return bool844;
}
Object meth_ast_visitOp_40_1_41_845(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitOp(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2873
  setline(2873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool846 = alloc_Boolean(1);
// compiled identifier node returning bool846 (depth = 2)
  gc_frame_end(frame);
  return bool846;
}
Object meth_ast_visitBind_40_1_41_847(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBind(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2874
  setline(2874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool848 = alloc_Boolean(1);
// compiled identifier node returning bool848 (depth = 2)
  gc_frame_end(frame);
  return bool848;
}
Object meth_ast_visitDefDec_40_1_41_849(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDefDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2875
  setline(2875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool850 = alloc_Boolean(1);
// compiled identifier node returning bool850 (depth = 2)
  gc_frame_end(frame);
  return bool850;
}
Object meth_ast_visitVarDec_40_1_41_851(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitVarDec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2876
  setline(2876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool852 = alloc_Boolean(1);
// compiled identifier node returning bool852 (depth = 2)
  gc_frame_end(frame);
  return bool852;
}
Object meth_ast_visitImport_40_1_41_853(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImport(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2877
  setline(2877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool854 = alloc_Boolean(1);
// compiled identifier node returning bool854 (depth = 2)
  gc_frame_end(frame);
  return bool854;
}
Object meth_ast_visitReturn_40_1_41_855(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitReturn(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2878
  setline(2878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool856 = alloc_Boolean(1);
// compiled identifier node returning bool856 (depth = 2)
  gc_frame_end(frame);
  return bool856;
}
Object meth_ast_visitInherits_40_1_41_857(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitInherits(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool858 = alloc_Boolean(1);
// compiled identifier node returning bool858 (depth = 2)
  gc_frame_end(frame);
  return bool858;
}
Object meth_ast_visitDialect_40_1_41_859(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitDialect(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool860 = alloc_Boolean(1);
// compiled identifier node returning bool860 (depth = 2)
  gc_frame_end(frame);
  return bool860;
}
Object meth_ast_visitBlank_40_1_41_861(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitBlank(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitBlank(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlank(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2881
  setline(2881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool862 = alloc_Boolean(1);
// compiled identifier node returning bool862 (depth = 2)
  gc_frame_end(frame);
  return bool862;
}
Object meth_ast_visitComment_40_1_41_863(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitComment(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool864 = alloc_Boolean(1);
// compiled identifier node returning bool864 (depth = 2)
  gc_frame_end(frame);
  return bool864;
}
Object meth_ast_visitImplicit_40_1_41_865(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitImplicit(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2883
  setline(2883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool866 = alloc_Boolean(1);
// compiled identifier node returning bool866 (depth = 2)
  gc_frame_end(frame);
  return bool866;
}
Object meth_ast_asString867(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit868 == NULL) {
    strlit868 = alloc_String("an AST visitor");
    gc_root(strlit868);
  }
// compiled string node returning strlit868 (depth = 2)
  gc_frame_end(frame);
  return strlit868;
}
Object meth_ast_baseVisitor714(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject715 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj715 = alloc_userobj2(61,62, objclass715);
  gc_frame_newslot(obj715);
if (objclass715 == NULL) {
  glfree(obj715->class->name);
  obj715->class->name = "baseVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj715, self, 0);
  addmethodreal(obj715,"outer", &reader_ast_outer_716);
  Object oldself715 = self;
  struct StackFrameObject *oldstackframe715 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe715);
  gc_frame_newslot((Object)stackframe);
  self = obj715;
  Object *oldselfslot715 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter715 = (*(struct UserObject *)self).data[0], lowerouter715 = thisouter715;
  if (inheritingObject715) {
    struct UserObject *inho715 = (struct UserObject *)inheritingObject715;
    while (inho715->super != GraceDefaultObject) inho715 = (struct UserObject *)inho715->super;
    inho715->super = obj715;
    self = inheritingObject715;
    *selfslot = self;
    lowerouter715 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter715;
  }
// method "visitIf(_)up(_)"
  struct UserObject *uo717 = (struct UserObject*)obj715;
  uo717->data[1] = emptyclosure;
  Method *meth_meth_ast_visitIf_40_1_41_up_40_1_41_717 = addmethod2pos(obj715, "visitIf(1)up(1)", &meth_ast_visitIf_40_1_41_up_40_1_41_717, 1);
  int argcv_meth_ast_visitIf_40_1_41_up_40_1_41_717[] = {1, 1};
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_717->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40_1_41_up_40_1_41_717);
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_717->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_717->definitionLine = 2823;
// method "visitBlock(_)up(_)"
  struct UserObject *uo720 = (struct UserObject*)obj715;
  uo720->data[2] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40_1_41_up_40_1_41_720 = addmethod2pos(obj715, "visitBlock(1)up(1)", &meth_ast_visitBlock_40_1_41_up_40_1_41_720, 2);
  int argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_720[] = {1, 1};
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_720->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_720);
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_720->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_720->definitionLine = 2824;
// method "visitMatchCase(_)up(_)"
  struct UserObject *uo723 = (struct UserObject*)obj715;
  uo723->data[3] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723 = addmethod2pos(obj715, "visitMatchCase(1)up(1)", &meth_ast_visitMatchCase_40_1_41_up_40_1_41_723, 3);
  int argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723[] = {1, 1};
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723);
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723->definitionLine = 2825;
// method "visitTryCatch(_)up(_)"
  struct UserObject *uo726 = (struct UserObject*)obj715;
  uo726->data[4] = emptyclosure;
  Method *meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726 = addmethod2pos(obj715, "visitTryCatch(1)up(1)", &meth_ast_visitTryCatch_40_1_41_up_40_1_41_726, 4);
  int argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726[] = {1, 1};
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726->type = alloc_MethodType(2, argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726);
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726->definitionLine = 2826;
// method "visitMethodType(_)up(_)"
  struct UserObject *uo729 = (struct UserObject*)obj715;
  uo729->data[5] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_729 = addmethod2pos(obj715, "visitMethodType(1)up(1)", &meth_ast_visitMethodType_40_1_41_up_40_1_41_729, 5);
  int argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_729[] = {1, 1};
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_729->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_729);
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_729->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_729->definitionLine = 2827;
// method "visitSignaturePart(_)up(_)"
  struct UserObject *uo732 = (struct UserObject*)obj715;
  uo732->data[6] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732 = addmethod2pos(obj715, "visitSignaturePart(1)up(1)", &meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732, 6);
  int argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732);
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732->definitionLine = 2828;
// method "visitTypeDec(_)up(_)"
  struct UserObject *uo735 = (struct UserObject*)obj715;
  uo735->data[7] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735 = addmethod2pos(obj715, "visitTypeDec(1)up(1)", &meth_ast_visitTypeDec_40_1_41_up_40_1_41_735, 7);
  int argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735[] = {1, 1};
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735);
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735->definitionLine = 2829;
// method "visitTypeLiteral(_)up(_)"
  struct UserObject *uo738 = (struct UserObject*)obj715;
  uo738->data[8] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738 = addmethod2pos(obj715, "visitTypeLiteral(1)up(1)", &meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738, 8);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738);
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738->definitionLine = 2830;
// method "visitTypeParameters(_)up(_)"
  struct UserObject *uo741 = (struct UserObject*)obj715;
  uo741->data[9] = emptyclosure;
  Method *meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741 = addmethod2pos(obj715, "visitTypeParameters(1)up(1)", &meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741, 9);
  int argcv_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741[] = {1, 1};
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741->type = alloc_MethodType(2, argcv_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741);
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741->definitionModule = modulename;
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741->definitionLine = 2831;
// method "visitMethod(_)up(_)"
  struct UserObject *uo744 = (struct UserObject*)obj715;
  uo744->data[10] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40_1_41_up_40_1_41_744 = addmethod2pos(obj715, "visitMethod(1)up(1)", &meth_ast_visitMethod_40_1_41_up_40_1_41_744, 10);
  int argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_744[] = {1, 1};
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_744->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_744);
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_744->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_744->definitionLine = 2832;
// method "visitCall(_)up(_)"
  struct UserObject *uo747 = (struct UserObject*)obj715;
  uo747->data[11] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_747 = addmethod2pos(obj715, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_747, 11);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_747[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_747->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_747);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_747->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_747->definitionLine = 2833;
// method "visitObject(_)up(_)"
  struct UserObject *uo750 = (struct UserObject*)obj715;
  uo750->data[12] = emptyclosure;
  Method *meth_meth_ast_visitObject_40_1_41_up_40_1_41_750 = addmethod2pos(obj715, "visitObject(1)up(1)", &meth_ast_visitObject_40_1_41_up_40_1_41_750, 12);
  int argcv_meth_ast_visitObject_40_1_41_up_40_1_41_750[] = {1, 1};
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_750->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40_1_41_up_40_1_41_750);
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_750->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_750->definitionLine = 2834;
// method "visitModule(_)up(_)"
  struct UserObject *uo753 = (struct UserObject*)obj715;
  uo753->data[13] = emptyclosure;
  Method *meth_meth_ast_visitModule_40_1_41_up_40_1_41_753 = addmethod2pos(obj715, "visitModule(1)up(1)", &meth_ast_visitModule_40_1_41_up_40_1_41_753, 13);
  int argcv_meth_ast_visitModule_40_1_41_up_40_1_41_753[] = {1, 1};
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_753->type = alloc_MethodType(2, argcv_meth_ast_visitModule_40_1_41_up_40_1_41_753);
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_753->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_753->definitionLine = 2835;
// method "visitArray(_)up(_)"
  struct UserObject *uo756 = (struct UserObject*)obj715;
  uo756->data[14] = emptyclosure;
  Method *meth_meth_ast_visitArray_40_1_41_up_40_1_41_756 = addmethod2pos(obj715, "visitArray(1)up(1)", &meth_ast_visitArray_40_1_41_up_40_1_41_756, 14);
  int argcv_meth_ast_visitArray_40_1_41_up_40_1_41_756[] = {1, 1};
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_756->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40_1_41_up_40_1_41_756);
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_756->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_756->definitionLine = 2836;
// method "visitMember(_)up(_)"
  struct UserObject *uo759 = (struct UserObject*)obj715;
  uo759->data[15] = emptyclosure;
  Method *meth_meth_ast_visitMember_40_1_41_up_40_1_41_759 = addmethod2pos(obj715, "visitMember(1)up(1)", &meth_ast_visitMember_40_1_41_up_40_1_41_759, 15);
  int argcv_meth_ast_visitMember_40_1_41_up_40_1_41_759[] = {1, 1};
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_759->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40_1_41_up_40_1_41_759);
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_759->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_759->definitionLine = 2837;
// method "visitGeneric(_)up(_)"
  struct UserObject *uo762 = (struct UserObject*)obj715;
  uo762->data[16] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_762 = addmethod2pos(obj715, "visitGeneric(1)up(1)", &meth_ast_visitGeneric_40_1_41_up_40_1_41_762, 16);
  int argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_762[] = {1, 1};
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_762->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_762);
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_762->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_762->definitionLine = 2838;
// method "visitIdentifier(_)up(_)"
  struct UserObject *uo765 = (struct UserObject*)obj715;
  uo765->data[17] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765 = addmethod2pos(obj715, "visitIdentifier(1)up(1)", &meth_ast_visitIdentifier_40_1_41_up_40_1_41_765, 17);
  int argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765[] = {1, 1};
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765);
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765->definitionLine = 2839;
// method "visitString(_)up(_)"
  struct UserObject *uo768 = (struct UserObject*)obj715;
  uo768->data[18] = emptyclosure;
  Method *meth_meth_ast_visitString_40_1_41_up_40_1_41_768 = addmethod2pos(obj715, "visitString(1)up(1)", &meth_ast_visitString_40_1_41_up_40_1_41_768, 18);
  int argcv_meth_ast_visitString_40_1_41_up_40_1_41_768[] = {1, 1};
  meth_meth_ast_visitString_40_1_41_up_40_1_41_768->type = alloc_MethodType(2, argcv_meth_ast_visitString_40_1_41_up_40_1_41_768);
  meth_meth_ast_visitString_40_1_41_up_40_1_41_768->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_up_40_1_41_768->definitionLine = 2840;
// method "visitNum(_)up(_)"
  struct UserObject *uo771 = (struct UserObject*)obj715;
  uo771->data[19] = emptyclosure;
  Method *meth_meth_ast_visitNum_40_1_41_up_40_1_41_771 = addmethod2pos(obj715, "visitNum(1)up(1)", &meth_ast_visitNum_40_1_41_up_40_1_41_771, 19);
  int argcv_meth_ast_visitNum_40_1_41_up_40_1_41_771[] = {1, 1};
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_771->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40_1_41_up_40_1_41_771);
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_771->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_771->definitionLine = 2841;
// method "visitOp(_)up(_)"
  struct UserObject *uo774 = (struct UserObject*)obj715;
  uo774->data[20] = emptyclosure;
  Method *meth_meth_ast_visitOp_40_1_41_up_40_1_41_774 = addmethod2pos(obj715, "visitOp(1)up(1)", &meth_ast_visitOp_40_1_41_up_40_1_41_774, 20);
  int argcv_meth_ast_visitOp_40_1_41_up_40_1_41_774[] = {1, 1};
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_774->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40_1_41_up_40_1_41_774);
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_774->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_774->definitionLine = 2842;
// method "visitBind(_)up(_)"
  struct UserObject *uo777 = (struct UserObject*)obj715;
  uo777->data[21] = emptyclosure;
  Method *meth_meth_ast_visitBind_40_1_41_up_40_1_41_777 = addmethod2pos(obj715, "visitBind(1)up(1)", &meth_ast_visitBind_40_1_41_up_40_1_41_777, 21);
  int argcv_meth_ast_visitBind_40_1_41_up_40_1_41_777[] = {1, 1};
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_777->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40_1_41_up_40_1_41_777);
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_777->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_777->definitionLine = 2843;
// method "visitDefDec(_)up(_)"
  struct UserObject *uo780 = (struct UserObject*)obj715;
  uo780->data[22] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_780 = addmethod2pos(obj715, "visitDefDec(1)up(1)", &meth_ast_visitDefDec_40_1_41_up_40_1_41_780, 22);
  int argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_780[] = {1, 1};
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_780->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_780);
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_780->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_780->definitionLine = 2844;
// method "visitVarDec(_)up(_)"
  struct UserObject *uo783 = (struct UserObject*)obj715;
  uo783->data[23] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_783 = addmethod2pos(obj715, "visitVarDec(1)up(1)", &meth_ast_visitVarDec_40_1_41_up_40_1_41_783, 23);
  int argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_783[] = {1, 1};
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_783->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_783);
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_783->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_783->definitionLine = 2845;
// method "visitImport(_)up(_)"
  struct UserObject *uo786 = (struct UserObject*)obj715;
  uo786->data[24] = emptyclosure;
  Method *meth_meth_ast_visitImport_40_1_41_up_40_1_41_786 = addmethod2pos(obj715, "visitImport(1)up(1)", &meth_ast_visitImport_40_1_41_up_40_1_41_786, 24);
  int argcv_meth_ast_visitImport_40_1_41_up_40_1_41_786[] = {1, 1};
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_786->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40_1_41_up_40_1_41_786);
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_786->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_786->definitionLine = 2846;
// method "visitReturn(_)up(_)"
  struct UserObject *uo789 = (struct UserObject*)obj715;
  uo789->data[25] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40_1_41_up_40_1_41_789 = addmethod2pos(obj715, "visitReturn(1)up(1)", &meth_ast_visitReturn_40_1_41_up_40_1_41_789, 25);
  int argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_789[] = {1, 1};
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_789->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_789);
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_789->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_789->definitionLine = 2847;
// method "visitInherits(_)up(_)"
  struct UserObject *uo792 = (struct UserObject*)obj715;
  uo792->data[26] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40_1_41_up_40_1_41_792 = addmethod2pos(obj715, "visitInherits(1)up(1)", &meth_ast_visitInherits_40_1_41_up_40_1_41_792, 26);
  int argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_792[] = {1, 1};
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_792->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_792);
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_792->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_792->definitionLine = 2848;
// method "visitDialect(_)up(_)"
  struct UserObject *uo795 = (struct UserObject*)obj715;
  uo795->data[27] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40_1_41_up_40_1_41_795 = addmethod2pos(obj715, "visitDialect(1)up(1)", &meth_ast_visitDialect_40_1_41_up_40_1_41_795, 27);
  int argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_795[] = {1, 1};
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_795->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_795);
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_795->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_795->definitionLine = 2849;
// method "visitBlank(_)up(_)"
  struct UserObject *uo798 = (struct UserObject*)obj715;
  uo798->data[28] = emptyclosure;
  Method *meth_meth_ast_visitBlank_40_1_41_up_40_1_41_798 = addmethod2pos(obj715, "visitBlank(1)up(1)", &meth_ast_visitBlank_40_1_41_up_40_1_41_798, 28);
  int argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_798[] = {1, 1};
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_798->type = alloc_MethodType(2, argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_798);
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_798->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_798->definitionLine = 2850;
// method "visitComment(_)up(_)"
  struct UserObject *uo801 = (struct UserObject*)obj715;
  uo801->data[29] = emptyclosure;
  Method *meth_meth_ast_visitComment_40_1_41_up_40_1_41_801 = addmethod2pos(obj715, "visitComment(1)up(1)", &meth_ast_visitComment_40_1_41_up_40_1_41_801, 29);
  int argcv_meth_ast_visitComment_40_1_41_up_40_1_41_801[] = {1, 1};
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_801->type = alloc_MethodType(2, argcv_meth_ast_visitComment_40_1_41_up_40_1_41_801);
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_801->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_801->definitionLine = 2851;
// method "visitImplicit(_)up(_)"
  struct UserObject *uo804 = (struct UserObject*)obj715;
  uo804->data[30] = emptyclosure;
  Method *meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_804 = addmethod2pos(obj715, "visitImplicit(1)up(1)", &meth_ast_visitImplicit_40_1_41_up_40_1_41_804, 30);
  int argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_804[] = {1, 1};
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_804->type = alloc_MethodType(2, argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_804);
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_804->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_804->definitionLine = 2852;
// method "visitIf(_)"
  struct UserObject *uo807 = (struct UserObject*)obj715;
  uo807->data[31] = emptyclosure;
  Method *meth_meth_ast_visitIf_40_1_41_807 = addmethod2pos(obj715, "visitIf(1)", &meth_ast_visitIf_40_1_41_807, 31);
  int argcv_meth_ast_visitIf_40_1_41_807[] = {1};
  meth_meth_ast_visitIf_40_1_41_807->type = alloc_MethodType(1, argcv_meth_ast_visitIf_40_1_41_807);
  meth_meth_ast_visitIf_40_1_41_807->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_807->definitionLine = 2854;
// method "visitBlock(_)"
  struct UserObject *uo809 = (struct UserObject*)obj715;
  uo809->data[32] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40_1_41_809 = addmethod2pos(obj715, "visitBlock(1)", &meth_ast_visitBlock_40_1_41_809, 32);
  int argcv_meth_ast_visitBlock_40_1_41_809[] = {1};
  meth_meth_ast_visitBlock_40_1_41_809->type = alloc_MethodType(1, argcv_meth_ast_visitBlock_40_1_41_809);
  meth_meth_ast_visitBlock_40_1_41_809->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_809->definitionLine = 2855;
// method "visitMatchCase(_)"
  struct UserObject *uo811 = (struct UserObject*)obj715;
  uo811->data[33] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40_1_41_811 = addmethod2pos(obj715, "visitMatchCase(1)", &meth_ast_visitMatchCase_40_1_41_811, 33);
  int argcv_meth_ast_visitMatchCase_40_1_41_811[] = {1};
  meth_meth_ast_visitMatchCase_40_1_41_811->type = alloc_MethodType(1, argcv_meth_ast_visitMatchCase_40_1_41_811);
  meth_meth_ast_visitMatchCase_40_1_41_811->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_811->definitionLine = 2856;
// method "visitTryCatch(_)"
  struct UserObject *uo813 = (struct UserObject*)obj715;
  uo813->data[34] = emptyclosure;
  Method *meth_meth_ast_visitTryCatch_40_1_41_813 = addmethod2pos(obj715, "visitTryCatch(1)", &meth_ast_visitTryCatch_40_1_41_813, 34);
  int argcv_meth_ast_visitTryCatch_40_1_41_813[] = {1};
  meth_meth_ast_visitTryCatch_40_1_41_813->type = alloc_MethodType(1, argcv_meth_ast_visitTryCatch_40_1_41_813);
  meth_meth_ast_visitTryCatch_40_1_41_813->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_813->definitionLine = 2857;
// method "visitMethodType(_)"
  struct UserObject *uo815 = (struct UserObject*)obj715;
  uo815->data[35] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40_1_41_815 = addmethod2pos(obj715, "visitMethodType(1)", &meth_ast_visitMethodType_40_1_41_815, 35);
  int argcv_meth_ast_visitMethodType_40_1_41_815[] = {1};
  meth_meth_ast_visitMethodType_40_1_41_815->type = alloc_MethodType(1, argcv_meth_ast_visitMethodType_40_1_41_815);
  meth_meth_ast_visitMethodType_40_1_41_815->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_815->definitionLine = 2858;
// method "visitSignaturePart(_)"
  struct UserObject *uo817 = (struct UserObject*)obj715;
  uo817->data[36] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_817 = addmethod2pos(obj715, "visitSignaturePart(1)", &meth_ast_visitSignaturePart_40_1_41_817, 36);
  int argcv_meth_ast_visitSignaturePart_40_1_41_817[] = {1};
  meth_meth_ast_visitSignaturePart_40_1_41_817->type = alloc_MethodType(1, argcv_meth_ast_visitSignaturePart_40_1_41_817);
  meth_meth_ast_visitSignaturePart_40_1_41_817->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_817->definitionLine = 2859;
// method "visitTypeDec(_)"
  struct UserObject *uo819 = (struct UserObject*)obj715;
  uo819->data[37] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40_1_41_819 = addmethod2pos(obj715, "visitTypeDec(1)", &meth_ast_visitTypeDec_40_1_41_819, 37);
  int argcv_meth_ast_visitTypeDec_40_1_41_819[] = {1};
  meth_meth_ast_visitTypeDec_40_1_41_819->type = alloc_MethodType(1, argcv_meth_ast_visitTypeDec_40_1_41_819);
  meth_meth_ast_visitTypeDec_40_1_41_819->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_819->definitionLine = 2860;
// method "visitTypeLiteral(_)"
  struct UserObject *uo821 = (struct UserObject*)obj715;
  uo821->data[38] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_821 = addmethod2pos(obj715, "visitTypeLiteral(1)", &meth_ast_visitTypeLiteral_40_1_41_821, 38);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_821[] = {1};
  meth_meth_ast_visitTypeLiteral_40_1_41_821->type = alloc_MethodType(1, argcv_meth_ast_visitTypeLiteral_40_1_41_821);
  meth_meth_ast_visitTypeLiteral_40_1_41_821->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_821->definitionLine = 2861;
// method "visitTypeParameters(_)"
  struct UserObject *uo823 = (struct UserObject*)obj715;
  uo823->data[39] = emptyclosure;
  Method *meth_meth_ast_visitTypeParameters_40_1_41_823 = addmethod2pos(obj715, "visitTypeParameters(1)", &meth_ast_visitTypeParameters_40_1_41_823, 39);
  int argcv_meth_ast_visitTypeParameters_40_1_41_823[] = {1};
  meth_meth_ast_visitTypeParameters_40_1_41_823->type = alloc_MethodType(1, argcv_meth_ast_visitTypeParameters_40_1_41_823);
  meth_meth_ast_visitTypeParameters_40_1_41_823->definitionModule = modulename;
  meth_meth_ast_visitTypeParameters_40_1_41_823->definitionLine = 2862;
// method "visitMethod(_)"
  struct UserObject *uo825 = (struct UserObject*)obj715;
  uo825->data[40] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40_1_41_825 = addmethod2pos(obj715, "visitMethod(1)", &meth_ast_visitMethod_40_1_41_825, 40);
  int argcv_meth_ast_visitMethod_40_1_41_825[] = {1};
  meth_meth_ast_visitMethod_40_1_41_825->type = alloc_MethodType(1, argcv_meth_ast_visitMethod_40_1_41_825);
  meth_meth_ast_visitMethod_40_1_41_825->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_825->definitionLine = 2863;
// method "visitCall(_)"
  struct UserObject *uo827 = (struct UserObject*)obj715;
  uo827->data[41] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_827 = addmethod2pos(obj715, "visitCall(1)", &meth_ast_visitCall_40_1_41_827, 41);
  int argcv_meth_ast_visitCall_40_1_41_827[] = {1};
  meth_meth_ast_visitCall_40_1_41_827->type = alloc_MethodType(1, argcv_meth_ast_visitCall_40_1_41_827);
  meth_meth_ast_visitCall_40_1_41_827->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_827->definitionLine = 2864;
// method "visitObject(_)"
  struct UserObject *uo829 = (struct UserObject*)obj715;
  uo829->data[42] = emptyclosure;
  Method *meth_meth_ast_visitObject_40_1_41_829 = addmethod2pos(obj715, "visitObject(1)", &meth_ast_visitObject_40_1_41_829, 42);
  int argcv_meth_ast_visitObject_40_1_41_829[] = {1};
  meth_meth_ast_visitObject_40_1_41_829->type = alloc_MethodType(1, argcv_meth_ast_visitObject_40_1_41_829);
  meth_meth_ast_visitObject_40_1_41_829->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_829->definitionLine = 2865;
// method "visitModule(_)"
  struct UserObject *uo831 = (struct UserObject*)obj715;
  uo831->data[43] = emptyclosure;
  Method *meth_meth_ast_visitModule_40_1_41_831 = addmethod2pos(obj715, "visitModule(1)", &meth_ast_visitModule_40_1_41_831, 43);
  int argcv_meth_ast_visitModule_40_1_41_831[] = {1};
  meth_meth_ast_visitModule_40_1_41_831->type = alloc_MethodType(1, argcv_meth_ast_visitModule_40_1_41_831);
  meth_meth_ast_visitModule_40_1_41_831->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_831->definitionLine = 2866;
// method "visitArray(_)"
  struct UserObject *uo833 = (struct UserObject*)obj715;
  uo833->data[44] = emptyclosure;
  Method *meth_meth_ast_visitArray_40_1_41_833 = addmethod2pos(obj715, "visitArray(1)", &meth_ast_visitArray_40_1_41_833, 44);
  int argcv_meth_ast_visitArray_40_1_41_833[] = {1};
  meth_meth_ast_visitArray_40_1_41_833->type = alloc_MethodType(1, argcv_meth_ast_visitArray_40_1_41_833);
  meth_meth_ast_visitArray_40_1_41_833->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_833->definitionLine = 2867;
// method "visitMember(_)"
  struct UserObject *uo835 = (struct UserObject*)obj715;
  uo835->data[45] = emptyclosure;
  Method *meth_meth_ast_visitMember_40_1_41_835 = addmethod2pos(obj715, "visitMember(1)", &meth_ast_visitMember_40_1_41_835, 45);
  int argcv_meth_ast_visitMember_40_1_41_835[] = {1};
  meth_meth_ast_visitMember_40_1_41_835->type = alloc_MethodType(1, argcv_meth_ast_visitMember_40_1_41_835);
  meth_meth_ast_visitMember_40_1_41_835->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_835->definitionLine = 2868;
// method "visitGeneric(_)"
  struct UserObject *uo837 = (struct UserObject*)obj715;
  uo837->data[46] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40_1_41_837 = addmethod2pos(obj715, "visitGeneric(1)", &meth_ast_visitGeneric_40_1_41_837, 46);
  int argcv_meth_ast_visitGeneric_40_1_41_837[] = {1};
  meth_meth_ast_visitGeneric_40_1_41_837->type = alloc_MethodType(1, argcv_meth_ast_visitGeneric_40_1_41_837);
  meth_meth_ast_visitGeneric_40_1_41_837->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_837->definitionLine = 2869;
// method "visitIdentifier(_)"
  struct UserObject *uo839 = (struct UserObject*)obj715;
  uo839->data[47] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40_1_41_839 = addmethod2pos(obj715, "visitIdentifier(1)", &meth_ast_visitIdentifier_40_1_41_839, 47);
  int argcv_meth_ast_visitIdentifier_40_1_41_839[] = {1};
  meth_meth_ast_visitIdentifier_40_1_41_839->type = alloc_MethodType(1, argcv_meth_ast_visitIdentifier_40_1_41_839);
  meth_meth_ast_visitIdentifier_40_1_41_839->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_839->definitionLine = 2870;
// method "visitString(_)"
  struct UserObject *uo841 = (struct UserObject*)obj715;
  uo841->data[48] = emptyclosure;
  Method *meth_meth_ast_visitString_40_1_41_841 = addmethod2pos(obj715, "visitString(1)", &meth_ast_visitString_40_1_41_841, 48);
  int argcv_meth_ast_visitString_40_1_41_841[] = {1};
  meth_meth_ast_visitString_40_1_41_841->type = alloc_MethodType(1, argcv_meth_ast_visitString_40_1_41_841);
  meth_meth_ast_visitString_40_1_41_841->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_841->definitionLine = 2871;
// method "visitNum(_)"
  struct UserObject *uo843 = (struct UserObject*)obj715;
  uo843->data[49] = emptyclosure;
  Method *meth_meth_ast_visitNum_40_1_41_843 = addmethod2pos(obj715, "visitNum(1)", &meth_ast_visitNum_40_1_41_843, 49);
  int argcv_meth_ast_visitNum_40_1_41_843[] = {1};
  meth_meth_ast_visitNum_40_1_41_843->type = alloc_MethodType(1, argcv_meth_ast_visitNum_40_1_41_843);
  meth_meth_ast_visitNum_40_1_41_843->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_843->definitionLine = 2872;
// method "visitOp(_)"
  struct UserObject *uo845 = (struct UserObject*)obj715;
  uo845->data[50] = emptyclosure;
  Method *meth_meth_ast_visitOp_40_1_41_845 = addmethod2pos(obj715, "visitOp(1)", &meth_ast_visitOp_40_1_41_845, 50);
  int argcv_meth_ast_visitOp_40_1_41_845[] = {1};
  meth_meth_ast_visitOp_40_1_41_845->type = alloc_MethodType(1, argcv_meth_ast_visitOp_40_1_41_845);
  meth_meth_ast_visitOp_40_1_41_845->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_845->definitionLine = 2873;
// method "visitBind(_)"
  struct UserObject *uo847 = (struct UserObject*)obj715;
  uo847->data[51] = emptyclosure;
  Method *meth_meth_ast_visitBind_40_1_41_847 = addmethod2pos(obj715, "visitBind(1)", &meth_ast_visitBind_40_1_41_847, 51);
  int argcv_meth_ast_visitBind_40_1_41_847[] = {1};
  meth_meth_ast_visitBind_40_1_41_847->type = alloc_MethodType(1, argcv_meth_ast_visitBind_40_1_41_847);
  meth_meth_ast_visitBind_40_1_41_847->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_847->definitionLine = 2874;
// method "visitDefDec(_)"
  struct UserObject *uo849 = (struct UserObject*)obj715;
  uo849->data[52] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40_1_41_849 = addmethod2pos(obj715, "visitDefDec(1)", &meth_ast_visitDefDec_40_1_41_849, 52);
  int argcv_meth_ast_visitDefDec_40_1_41_849[] = {1};
  meth_meth_ast_visitDefDec_40_1_41_849->type = alloc_MethodType(1, argcv_meth_ast_visitDefDec_40_1_41_849);
  meth_meth_ast_visitDefDec_40_1_41_849->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_849->definitionLine = 2875;
// method "visitVarDec(_)"
  struct UserObject *uo851 = (struct UserObject*)obj715;
  uo851->data[53] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40_1_41_851 = addmethod2pos(obj715, "visitVarDec(1)", &meth_ast_visitVarDec_40_1_41_851, 53);
  int argcv_meth_ast_visitVarDec_40_1_41_851[] = {1};
  meth_meth_ast_visitVarDec_40_1_41_851->type = alloc_MethodType(1, argcv_meth_ast_visitVarDec_40_1_41_851);
  meth_meth_ast_visitVarDec_40_1_41_851->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_851->definitionLine = 2876;
// method "visitImport(_)"
  struct UserObject *uo853 = (struct UserObject*)obj715;
  uo853->data[54] = emptyclosure;
  Method *meth_meth_ast_visitImport_40_1_41_853 = addmethod2pos(obj715, "visitImport(1)", &meth_ast_visitImport_40_1_41_853, 54);
  int argcv_meth_ast_visitImport_40_1_41_853[] = {1};
  meth_meth_ast_visitImport_40_1_41_853->type = alloc_MethodType(1, argcv_meth_ast_visitImport_40_1_41_853);
  meth_meth_ast_visitImport_40_1_41_853->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_853->definitionLine = 2877;
// method "visitReturn(_)"
  struct UserObject *uo855 = (struct UserObject*)obj715;
  uo855->data[55] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40_1_41_855 = addmethod2pos(obj715, "visitReturn(1)", &meth_ast_visitReturn_40_1_41_855, 55);
  int argcv_meth_ast_visitReturn_40_1_41_855[] = {1};
  meth_meth_ast_visitReturn_40_1_41_855->type = alloc_MethodType(1, argcv_meth_ast_visitReturn_40_1_41_855);
  meth_meth_ast_visitReturn_40_1_41_855->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_855->definitionLine = 2878;
// method "visitInherits(_)"
  struct UserObject *uo857 = (struct UserObject*)obj715;
  uo857->data[56] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40_1_41_857 = addmethod2pos(obj715, "visitInherits(1)", &meth_ast_visitInherits_40_1_41_857, 56);
  int argcv_meth_ast_visitInherits_40_1_41_857[] = {1};
  meth_meth_ast_visitInherits_40_1_41_857->type = alloc_MethodType(1, argcv_meth_ast_visitInherits_40_1_41_857);
  meth_meth_ast_visitInherits_40_1_41_857->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_857->definitionLine = 2879;
// method "visitDialect(_)"
  struct UserObject *uo859 = (struct UserObject*)obj715;
  uo859->data[57] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40_1_41_859 = addmethod2pos(obj715, "visitDialect(1)", &meth_ast_visitDialect_40_1_41_859, 57);
  int argcv_meth_ast_visitDialect_40_1_41_859[] = {1};
  meth_meth_ast_visitDialect_40_1_41_859->type = alloc_MethodType(1, argcv_meth_ast_visitDialect_40_1_41_859);
  meth_meth_ast_visitDialect_40_1_41_859->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_859->definitionLine = 2880;
// method "visitBlank(_)"
  struct UserObject *uo861 = (struct UserObject*)obj715;
  uo861->data[58] = emptyclosure;
  Method *meth_meth_ast_visitBlank_40_1_41_861 = addmethod2pos(obj715, "visitBlank(1)", &meth_ast_visitBlank_40_1_41_861, 58);
  int argcv_meth_ast_visitBlank_40_1_41_861[] = {1};
  meth_meth_ast_visitBlank_40_1_41_861->type = alloc_MethodType(1, argcv_meth_ast_visitBlank_40_1_41_861);
  meth_meth_ast_visitBlank_40_1_41_861->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_861->definitionLine = 2881;
// method "visitComment(_)"
  struct UserObject *uo863 = (struct UserObject*)obj715;
  uo863->data[59] = emptyclosure;
  Method *meth_meth_ast_visitComment_40_1_41_863 = addmethod2pos(obj715, "visitComment(1)", &meth_ast_visitComment_40_1_41_863, 59);
  int argcv_meth_ast_visitComment_40_1_41_863[] = {1};
  meth_meth_ast_visitComment_40_1_41_863->type = alloc_MethodType(1, argcv_meth_ast_visitComment_40_1_41_863);
  meth_meth_ast_visitComment_40_1_41_863->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_863->definitionLine = 2882;
// method "visitImplicit(_)"
  struct UserObject *uo865 = (struct UserObject*)obj715;
  uo865->data[60] = emptyclosure;
  Method *meth_meth_ast_visitImplicit_40_1_41_865 = addmethod2pos(obj715, "visitImplicit(1)", &meth_ast_visitImplicit_40_1_41_865, 60);
  int argcv_meth_ast_visitImplicit_40_1_41_865[] = {1};
  meth_meth_ast_visitImplicit_40_1_41_865->type = alloc_MethodType(1, argcv_meth_ast_visitImplicit_40_1_41_865);
  meth_meth_ast_visitImplicit_40_1_41_865->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_865->definitionLine = 2883;
// method "asString"
  struct UserObject *uo867 = (struct UserObject*)obj715;
  uo867->data[61] = emptyclosure;
  Method *meth_meth_ast_asString867 = addmethod2pos(obj715, "asString", &meth_ast_asString867, 61);
  int argcv_meth_ast_asString867[] = {0};
  meth_meth_ast_asString867->type = alloc_MethodType(1, argcv_meth_ast_asString867);
  meth_meth_ast_asString867->definitionModule = modulename;
  meth_meth_ast_asString867->definitionLine = 2885;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  objclass715 = obj715->class;
  objclass715->definitionModule = modulename;
  objclass715->definitionLine = 2822;
  (*(struct UserObject *)self).data[0] = lowerouter715;
  self = oldself715;
  selfslot = oldselfslot715;
  stackframe = oldstackframe715;
  gc_frame_end(frame);
  return obj715;
}
Object meth_ast_baseVisitor714_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "baseVisitor$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject715 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj715 = alloc_userobj2(61,62, objclass715);
  gc_frame_newslot(obj715);
if (objclass715 == NULL) {
  glfree(obj715->class->name);
  obj715->class->name = "baseVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj715, self, 0);
  addmethodreal(obj715,"outer", &reader_ast_outer_716);
  Object oldself715 = self;
  struct StackFrameObject *oldstackframe715 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe715);
  gc_frame_newslot((Object)stackframe);
  self = obj715;
  Object *oldselfslot715 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter715 = (*(struct UserObject *)self).data[0], lowerouter715 = thisouter715;
  if (inheritingObject715) {
    struct UserObject *inho715 = (struct UserObject *)inheritingObject715;
    while (inho715->super != GraceDefaultObject) inho715 = (struct UserObject *)inho715->super;
    inho715->super = obj715;
    self = inheritingObject715;
    *selfslot = self;
    lowerouter715 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter715;
  }
// method "visitIf(_)up(_)"
  struct UserObject *uo717 = (struct UserObject*)obj715;
  uo717->data[1] = emptyclosure;
  Method *meth_meth_ast_visitIf_40_1_41_up_40_1_41_717 = addmethod2pos(obj715, "visitIf(1)up(1)", &meth_ast_visitIf_40_1_41_up_40_1_41_717, 1);
  int argcv_meth_ast_visitIf_40_1_41_up_40_1_41_717[] = {1, 1};
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_717->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40_1_41_up_40_1_41_717);
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_717->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_717->definitionLine = 2823;
// method "visitBlock(_)up(_)"
  struct UserObject *uo720 = (struct UserObject*)obj715;
  uo720->data[2] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40_1_41_up_40_1_41_720 = addmethod2pos(obj715, "visitBlock(1)up(1)", &meth_ast_visitBlock_40_1_41_up_40_1_41_720, 2);
  int argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_720[] = {1, 1};
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_720->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_720);
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_720->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_720->definitionLine = 2824;
// method "visitMatchCase(_)up(_)"
  struct UserObject *uo723 = (struct UserObject*)obj715;
  uo723->data[3] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723 = addmethod2pos(obj715, "visitMatchCase(1)up(1)", &meth_ast_visitMatchCase_40_1_41_up_40_1_41_723, 3);
  int argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723[] = {1, 1};
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723);
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_723->definitionLine = 2825;
// method "visitTryCatch(_)up(_)"
  struct UserObject *uo726 = (struct UserObject*)obj715;
  uo726->data[4] = emptyclosure;
  Method *meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726 = addmethod2pos(obj715, "visitTryCatch(1)up(1)", &meth_ast_visitTryCatch_40_1_41_up_40_1_41_726, 4);
  int argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726[] = {1, 1};
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726->type = alloc_MethodType(2, argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726);
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_726->definitionLine = 2826;
// method "visitMethodType(_)up(_)"
  struct UserObject *uo729 = (struct UserObject*)obj715;
  uo729->data[5] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_729 = addmethod2pos(obj715, "visitMethodType(1)up(1)", &meth_ast_visitMethodType_40_1_41_up_40_1_41_729, 5);
  int argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_729[] = {1, 1};
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_729->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_729);
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_729->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_729->definitionLine = 2827;
// method "visitSignaturePart(_)up(_)"
  struct UserObject *uo732 = (struct UserObject*)obj715;
  uo732->data[6] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732 = addmethod2pos(obj715, "visitSignaturePart(1)up(1)", &meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732, 6);
  int argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732);
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_732->definitionLine = 2828;
// method "visitTypeDec(_)up(_)"
  struct UserObject *uo735 = (struct UserObject*)obj715;
  uo735->data[7] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735 = addmethod2pos(obj715, "visitTypeDec(1)up(1)", &meth_ast_visitTypeDec_40_1_41_up_40_1_41_735, 7);
  int argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735[] = {1, 1};
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735);
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_735->definitionLine = 2829;
// method "visitTypeLiteral(_)up(_)"
  struct UserObject *uo738 = (struct UserObject*)obj715;
  uo738->data[8] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738 = addmethod2pos(obj715, "visitTypeLiteral(1)up(1)", &meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738, 8);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738);
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_738->definitionLine = 2830;
// method "visitTypeParameters(_)up(_)"
  struct UserObject *uo741 = (struct UserObject*)obj715;
  uo741->data[9] = emptyclosure;
  Method *meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741 = addmethod2pos(obj715, "visitTypeParameters(1)up(1)", &meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741, 9);
  int argcv_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741[] = {1, 1};
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741->type = alloc_MethodType(2, argcv_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741);
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741->definitionModule = modulename;
  meth_meth_ast_visitTypeParameters_40_1_41_up_40_1_41_741->definitionLine = 2831;
// method "visitMethod(_)up(_)"
  struct UserObject *uo744 = (struct UserObject*)obj715;
  uo744->data[10] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40_1_41_up_40_1_41_744 = addmethod2pos(obj715, "visitMethod(1)up(1)", &meth_ast_visitMethod_40_1_41_up_40_1_41_744, 10);
  int argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_744[] = {1, 1};
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_744->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_744);
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_744->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_744->definitionLine = 2832;
// method "visitCall(_)up(_)"
  struct UserObject *uo747 = (struct UserObject*)obj715;
  uo747->data[11] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_747 = addmethod2pos(obj715, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_747, 11);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_747[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_747->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_747);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_747->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_747->definitionLine = 2833;
// method "visitObject(_)up(_)"
  struct UserObject *uo750 = (struct UserObject*)obj715;
  uo750->data[12] = emptyclosure;
  Method *meth_meth_ast_visitObject_40_1_41_up_40_1_41_750 = addmethod2pos(obj715, "visitObject(1)up(1)", &meth_ast_visitObject_40_1_41_up_40_1_41_750, 12);
  int argcv_meth_ast_visitObject_40_1_41_up_40_1_41_750[] = {1, 1};
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_750->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40_1_41_up_40_1_41_750);
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_750->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_750->definitionLine = 2834;
// method "visitModule(_)up(_)"
  struct UserObject *uo753 = (struct UserObject*)obj715;
  uo753->data[13] = emptyclosure;
  Method *meth_meth_ast_visitModule_40_1_41_up_40_1_41_753 = addmethod2pos(obj715, "visitModule(1)up(1)", &meth_ast_visitModule_40_1_41_up_40_1_41_753, 13);
  int argcv_meth_ast_visitModule_40_1_41_up_40_1_41_753[] = {1, 1};
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_753->type = alloc_MethodType(2, argcv_meth_ast_visitModule_40_1_41_up_40_1_41_753);
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_753->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_753->definitionLine = 2835;
// method "visitArray(_)up(_)"
  struct UserObject *uo756 = (struct UserObject*)obj715;
  uo756->data[14] = emptyclosure;
  Method *meth_meth_ast_visitArray_40_1_41_up_40_1_41_756 = addmethod2pos(obj715, "visitArray(1)up(1)", &meth_ast_visitArray_40_1_41_up_40_1_41_756, 14);
  int argcv_meth_ast_visitArray_40_1_41_up_40_1_41_756[] = {1, 1};
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_756->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40_1_41_up_40_1_41_756);
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_756->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_756->definitionLine = 2836;
// method "visitMember(_)up(_)"
  struct UserObject *uo759 = (struct UserObject*)obj715;
  uo759->data[15] = emptyclosure;
  Method *meth_meth_ast_visitMember_40_1_41_up_40_1_41_759 = addmethod2pos(obj715, "visitMember(1)up(1)", &meth_ast_visitMember_40_1_41_up_40_1_41_759, 15);
  int argcv_meth_ast_visitMember_40_1_41_up_40_1_41_759[] = {1, 1};
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_759->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40_1_41_up_40_1_41_759);
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_759->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_759->definitionLine = 2837;
// method "visitGeneric(_)up(_)"
  struct UserObject *uo762 = (struct UserObject*)obj715;
  uo762->data[16] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_762 = addmethod2pos(obj715, "visitGeneric(1)up(1)", &meth_ast_visitGeneric_40_1_41_up_40_1_41_762, 16);
  int argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_762[] = {1, 1};
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_762->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_762);
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_762->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_762->definitionLine = 2838;
// method "visitIdentifier(_)up(_)"
  struct UserObject *uo765 = (struct UserObject*)obj715;
  uo765->data[17] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765 = addmethod2pos(obj715, "visitIdentifier(1)up(1)", &meth_ast_visitIdentifier_40_1_41_up_40_1_41_765, 17);
  int argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765[] = {1, 1};
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765);
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_765->definitionLine = 2839;
// method "visitString(_)up(_)"
  struct UserObject *uo768 = (struct UserObject*)obj715;
  uo768->data[18] = emptyclosure;
  Method *meth_meth_ast_visitString_40_1_41_up_40_1_41_768 = addmethod2pos(obj715, "visitString(1)up(1)", &meth_ast_visitString_40_1_41_up_40_1_41_768, 18);
  int argcv_meth_ast_visitString_40_1_41_up_40_1_41_768[] = {1, 1};
  meth_meth_ast_visitString_40_1_41_up_40_1_41_768->type = alloc_MethodType(2, argcv_meth_ast_visitString_40_1_41_up_40_1_41_768);
  meth_meth_ast_visitString_40_1_41_up_40_1_41_768->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_up_40_1_41_768->definitionLine = 2840;
// method "visitNum(_)up(_)"
  struct UserObject *uo771 = (struct UserObject*)obj715;
  uo771->data[19] = emptyclosure;
  Method *meth_meth_ast_visitNum_40_1_41_up_40_1_41_771 = addmethod2pos(obj715, "visitNum(1)up(1)", &meth_ast_visitNum_40_1_41_up_40_1_41_771, 19);
  int argcv_meth_ast_visitNum_40_1_41_up_40_1_41_771[] = {1, 1};
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_771->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40_1_41_up_40_1_41_771);
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_771->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_771->definitionLine = 2841;
// method "visitOp(_)up(_)"
  struct UserObject *uo774 = (struct UserObject*)obj715;
  uo774->data[20] = emptyclosure;
  Method *meth_meth_ast_visitOp_40_1_41_up_40_1_41_774 = addmethod2pos(obj715, "visitOp(1)up(1)", &meth_ast_visitOp_40_1_41_up_40_1_41_774, 20);
  int argcv_meth_ast_visitOp_40_1_41_up_40_1_41_774[] = {1, 1};
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_774->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40_1_41_up_40_1_41_774);
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_774->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_774->definitionLine = 2842;
// method "visitBind(_)up(_)"
  struct UserObject *uo777 = (struct UserObject*)obj715;
  uo777->data[21] = emptyclosure;
  Method *meth_meth_ast_visitBind_40_1_41_up_40_1_41_777 = addmethod2pos(obj715, "visitBind(1)up(1)", &meth_ast_visitBind_40_1_41_up_40_1_41_777, 21);
  int argcv_meth_ast_visitBind_40_1_41_up_40_1_41_777[] = {1, 1};
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_777->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40_1_41_up_40_1_41_777);
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_777->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_777->definitionLine = 2843;
// method "visitDefDec(_)up(_)"
  struct UserObject *uo780 = (struct UserObject*)obj715;
  uo780->data[22] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_780 = addmethod2pos(obj715, "visitDefDec(1)up(1)", &meth_ast_visitDefDec_40_1_41_up_40_1_41_780, 22);
  int argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_780[] = {1, 1};
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_780->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_780);
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_780->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_780->definitionLine = 2844;
// method "visitVarDec(_)up(_)"
  struct UserObject *uo783 = (struct UserObject*)obj715;
  uo783->data[23] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_783 = addmethod2pos(obj715, "visitVarDec(1)up(1)", &meth_ast_visitVarDec_40_1_41_up_40_1_41_783, 23);
  int argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_783[] = {1, 1};
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_783->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_783);
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_783->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_783->definitionLine = 2845;
// method "visitImport(_)up(_)"
  struct UserObject *uo786 = (struct UserObject*)obj715;
  uo786->data[24] = emptyclosure;
  Method *meth_meth_ast_visitImport_40_1_41_up_40_1_41_786 = addmethod2pos(obj715, "visitImport(1)up(1)", &meth_ast_visitImport_40_1_41_up_40_1_41_786, 24);
  int argcv_meth_ast_visitImport_40_1_41_up_40_1_41_786[] = {1, 1};
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_786->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40_1_41_up_40_1_41_786);
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_786->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_786->definitionLine = 2846;
// method "visitReturn(_)up(_)"
  struct UserObject *uo789 = (struct UserObject*)obj715;
  uo789->data[25] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40_1_41_up_40_1_41_789 = addmethod2pos(obj715, "visitReturn(1)up(1)", &meth_ast_visitReturn_40_1_41_up_40_1_41_789, 25);
  int argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_789[] = {1, 1};
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_789->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_789);
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_789->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_789->definitionLine = 2847;
// method "visitInherits(_)up(_)"
  struct UserObject *uo792 = (struct UserObject*)obj715;
  uo792->data[26] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40_1_41_up_40_1_41_792 = addmethod2pos(obj715, "visitInherits(1)up(1)", &meth_ast_visitInherits_40_1_41_up_40_1_41_792, 26);
  int argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_792[] = {1, 1};
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_792->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_792);
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_792->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_792->definitionLine = 2848;
// method "visitDialect(_)up(_)"
  struct UserObject *uo795 = (struct UserObject*)obj715;
  uo795->data[27] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40_1_41_up_40_1_41_795 = addmethod2pos(obj715, "visitDialect(1)up(1)", &meth_ast_visitDialect_40_1_41_up_40_1_41_795, 27);
  int argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_795[] = {1, 1};
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_795->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_795);
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_795->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_795->definitionLine = 2849;
// method "visitBlank(_)up(_)"
  struct UserObject *uo798 = (struct UserObject*)obj715;
  uo798->data[28] = emptyclosure;
  Method *meth_meth_ast_visitBlank_40_1_41_up_40_1_41_798 = addmethod2pos(obj715, "visitBlank(1)up(1)", &meth_ast_visitBlank_40_1_41_up_40_1_41_798, 28);
  int argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_798[] = {1, 1};
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_798->type = alloc_MethodType(2, argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_798);
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_798->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_798->definitionLine = 2850;
// method "visitComment(_)up(_)"
  struct UserObject *uo801 = (struct UserObject*)obj715;
  uo801->data[29] = emptyclosure;
  Method *meth_meth_ast_visitComment_40_1_41_up_40_1_41_801 = addmethod2pos(obj715, "visitComment(1)up(1)", &meth_ast_visitComment_40_1_41_up_40_1_41_801, 29);
  int argcv_meth_ast_visitComment_40_1_41_up_40_1_41_801[] = {1, 1};
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_801->type = alloc_MethodType(2, argcv_meth_ast_visitComment_40_1_41_up_40_1_41_801);
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_801->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_801->definitionLine = 2851;
// method "visitImplicit(_)up(_)"
  struct UserObject *uo804 = (struct UserObject*)obj715;
  uo804->data[30] = emptyclosure;
  Method *meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_804 = addmethod2pos(obj715, "visitImplicit(1)up(1)", &meth_ast_visitImplicit_40_1_41_up_40_1_41_804, 30);
  int argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_804[] = {1, 1};
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_804->type = alloc_MethodType(2, argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_804);
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_804->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_804->definitionLine = 2852;
// method "visitIf(_)"
  struct UserObject *uo807 = (struct UserObject*)obj715;
  uo807->data[31] = emptyclosure;
  Method *meth_meth_ast_visitIf_40_1_41_807 = addmethod2pos(obj715, "visitIf(1)", &meth_ast_visitIf_40_1_41_807, 31);
  int argcv_meth_ast_visitIf_40_1_41_807[] = {1};
  meth_meth_ast_visitIf_40_1_41_807->type = alloc_MethodType(1, argcv_meth_ast_visitIf_40_1_41_807);
  meth_meth_ast_visitIf_40_1_41_807->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_807->definitionLine = 2854;
// method "visitBlock(_)"
  struct UserObject *uo809 = (struct UserObject*)obj715;
  uo809->data[32] = emptyclosure;
  Method *meth_meth_ast_visitBlock_40_1_41_809 = addmethod2pos(obj715, "visitBlock(1)", &meth_ast_visitBlock_40_1_41_809, 32);
  int argcv_meth_ast_visitBlock_40_1_41_809[] = {1};
  meth_meth_ast_visitBlock_40_1_41_809->type = alloc_MethodType(1, argcv_meth_ast_visitBlock_40_1_41_809);
  meth_meth_ast_visitBlock_40_1_41_809->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_809->definitionLine = 2855;
// method "visitMatchCase(_)"
  struct UserObject *uo811 = (struct UserObject*)obj715;
  uo811->data[33] = emptyclosure;
  Method *meth_meth_ast_visitMatchCase_40_1_41_811 = addmethod2pos(obj715, "visitMatchCase(1)", &meth_ast_visitMatchCase_40_1_41_811, 33);
  int argcv_meth_ast_visitMatchCase_40_1_41_811[] = {1};
  meth_meth_ast_visitMatchCase_40_1_41_811->type = alloc_MethodType(1, argcv_meth_ast_visitMatchCase_40_1_41_811);
  meth_meth_ast_visitMatchCase_40_1_41_811->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_811->definitionLine = 2856;
// method "visitTryCatch(_)"
  struct UserObject *uo813 = (struct UserObject*)obj715;
  uo813->data[34] = emptyclosure;
  Method *meth_meth_ast_visitTryCatch_40_1_41_813 = addmethod2pos(obj715, "visitTryCatch(1)", &meth_ast_visitTryCatch_40_1_41_813, 34);
  int argcv_meth_ast_visitTryCatch_40_1_41_813[] = {1};
  meth_meth_ast_visitTryCatch_40_1_41_813->type = alloc_MethodType(1, argcv_meth_ast_visitTryCatch_40_1_41_813);
  meth_meth_ast_visitTryCatch_40_1_41_813->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_813->definitionLine = 2857;
// method "visitMethodType(_)"
  struct UserObject *uo815 = (struct UserObject*)obj715;
  uo815->data[35] = emptyclosure;
  Method *meth_meth_ast_visitMethodType_40_1_41_815 = addmethod2pos(obj715, "visitMethodType(1)", &meth_ast_visitMethodType_40_1_41_815, 35);
  int argcv_meth_ast_visitMethodType_40_1_41_815[] = {1};
  meth_meth_ast_visitMethodType_40_1_41_815->type = alloc_MethodType(1, argcv_meth_ast_visitMethodType_40_1_41_815);
  meth_meth_ast_visitMethodType_40_1_41_815->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_815->definitionLine = 2858;
// method "visitSignaturePart(_)"
  struct UserObject *uo817 = (struct UserObject*)obj715;
  uo817->data[36] = emptyclosure;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_817 = addmethod2pos(obj715, "visitSignaturePart(1)", &meth_ast_visitSignaturePart_40_1_41_817, 36);
  int argcv_meth_ast_visitSignaturePart_40_1_41_817[] = {1};
  meth_meth_ast_visitSignaturePart_40_1_41_817->type = alloc_MethodType(1, argcv_meth_ast_visitSignaturePart_40_1_41_817);
  meth_meth_ast_visitSignaturePart_40_1_41_817->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_817->definitionLine = 2859;
// method "visitTypeDec(_)"
  struct UserObject *uo819 = (struct UserObject*)obj715;
  uo819->data[37] = emptyclosure;
  Method *meth_meth_ast_visitTypeDec_40_1_41_819 = addmethod2pos(obj715, "visitTypeDec(1)", &meth_ast_visitTypeDec_40_1_41_819, 37);
  int argcv_meth_ast_visitTypeDec_40_1_41_819[] = {1};
  meth_meth_ast_visitTypeDec_40_1_41_819->type = alloc_MethodType(1, argcv_meth_ast_visitTypeDec_40_1_41_819);
  meth_meth_ast_visitTypeDec_40_1_41_819->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_819->definitionLine = 2860;
// method "visitTypeLiteral(_)"
  struct UserObject *uo821 = (struct UserObject*)obj715;
  uo821->data[38] = emptyclosure;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_821 = addmethod2pos(obj715, "visitTypeLiteral(1)", &meth_ast_visitTypeLiteral_40_1_41_821, 38);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_821[] = {1};
  meth_meth_ast_visitTypeLiteral_40_1_41_821->type = alloc_MethodType(1, argcv_meth_ast_visitTypeLiteral_40_1_41_821);
  meth_meth_ast_visitTypeLiteral_40_1_41_821->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_821->definitionLine = 2861;
// method "visitTypeParameters(_)"
  struct UserObject *uo823 = (struct UserObject*)obj715;
  uo823->data[39] = emptyclosure;
  Method *meth_meth_ast_visitTypeParameters_40_1_41_823 = addmethod2pos(obj715, "visitTypeParameters(1)", &meth_ast_visitTypeParameters_40_1_41_823, 39);
  int argcv_meth_ast_visitTypeParameters_40_1_41_823[] = {1};
  meth_meth_ast_visitTypeParameters_40_1_41_823->type = alloc_MethodType(1, argcv_meth_ast_visitTypeParameters_40_1_41_823);
  meth_meth_ast_visitTypeParameters_40_1_41_823->definitionModule = modulename;
  meth_meth_ast_visitTypeParameters_40_1_41_823->definitionLine = 2862;
// method "visitMethod(_)"
  struct UserObject *uo825 = (struct UserObject*)obj715;
  uo825->data[40] = emptyclosure;
  Method *meth_meth_ast_visitMethod_40_1_41_825 = addmethod2pos(obj715, "visitMethod(1)", &meth_ast_visitMethod_40_1_41_825, 40);
  int argcv_meth_ast_visitMethod_40_1_41_825[] = {1};
  meth_meth_ast_visitMethod_40_1_41_825->type = alloc_MethodType(1, argcv_meth_ast_visitMethod_40_1_41_825);
  meth_meth_ast_visitMethod_40_1_41_825->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_825->definitionLine = 2863;
// method "visitCall(_)"
  struct UserObject *uo827 = (struct UserObject*)obj715;
  uo827->data[41] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_827 = addmethod2pos(obj715, "visitCall(1)", &meth_ast_visitCall_40_1_41_827, 41);
  int argcv_meth_ast_visitCall_40_1_41_827[] = {1};
  meth_meth_ast_visitCall_40_1_41_827->type = alloc_MethodType(1, argcv_meth_ast_visitCall_40_1_41_827);
  meth_meth_ast_visitCall_40_1_41_827->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_827->definitionLine = 2864;
// method "visitObject(_)"
  struct UserObject *uo829 = (struct UserObject*)obj715;
  uo829->data[42] = emptyclosure;
  Method *meth_meth_ast_visitObject_40_1_41_829 = addmethod2pos(obj715, "visitObject(1)", &meth_ast_visitObject_40_1_41_829, 42);
  int argcv_meth_ast_visitObject_40_1_41_829[] = {1};
  meth_meth_ast_visitObject_40_1_41_829->type = alloc_MethodType(1, argcv_meth_ast_visitObject_40_1_41_829);
  meth_meth_ast_visitObject_40_1_41_829->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_829->definitionLine = 2865;
// method "visitModule(_)"
  struct UserObject *uo831 = (struct UserObject*)obj715;
  uo831->data[43] = emptyclosure;
  Method *meth_meth_ast_visitModule_40_1_41_831 = addmethod2pos(obj715, "visitModule(1)", &meth_ast_visitModule_40_1_41_831, 43);
  int argcv_meth_ast_visitModule_40_1_41_831[] = {1};
  meth_meth_ast_visitModule_40_1_41_831->type = alloc_MethodType(1, argcv_meth_ast_visitModule_40_1_41_831);
  meth_meth_ast_visitModule_40_1_41_831->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_831->definitionLine = 2866;
// method "visitArray(_)"
  struct UserObject *uo833 = (struct UserObject*)obj715;
  uo833->data[44] = emptyclosure;
  Method *meth_meth_ast_visitArray_40_1_41_833 = addmethod2pos(obj715, "visitArray(1)", &meth_ast_visitArray_40_1_41_833, 44);
  int argcv_meth_ast_visitArray_40_1_41_833[] = {1};
  meth_meth_ast_visitArray_40_1_41_833->type = alloc_MethodType(1, argcv_meth_ast_visitArray_40_1_41_833);
  meth_meth_ast_visitArray_40_1_41_833->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_833->definitionLine = 2867;
// method "visitMember(_)"
  struct UserObject *uo835 = (struct UserObject*)obj715;
  uo835->data[45] = emptyclosure;
  Method *meth_meth_ast_visitMember_40_1_41_835 = addmethod2pos(obj715, "visitMember(1)", &meth_ast_visitMember_40_1_41_835, 45);
  int argcv_meth_ast_visitMember_40_1_41_835[] = {1};
  meth_meth_ast_visitMember_40_1_41_835->type = alloc_MethodType(1, argcv_meth_ast_visitMember_40_1_41_835);
  meth_meth_ast_visitMember_40_1_41_835->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_835->definitionLine = 2868;
// method "visitGeneric(_)"
  struct UserObject *uo837 = (struct UserObject*)obj715;
  uo837->data[46] = emptyclosure;
  Method *meth_meth_ast_visitGeneric_40_1_41_837 = addmethod2pos(obj715, "visitGeneric(1)", &meth_ast_visitGeneric_40_1_41_837, 46);
  int argcv_meth_ast_visitGeneric_40_1_41_837[] = {1};
  meth_meth_ast_visitGeneric_40_1_41_837->type = alloc_MethodType(1, argcv_meth_ast_visitGeneric_40_1_41_837);
  meth_meth_ast_visitGeneric_40_1_41_837->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_837->definitionLine = 2869;
// method "visitIdentifier(_)"
  struct UserObject *uo839 = (struct UserObject*)obj715;
  uo839->data[47] = emptyclosure;
  Method *meth_meth_ast_visitIdentifier_40_1_41_839 = addmethod2pos(obj715, "visitIdentifier(1)", &meth_ast_visitIdentifier_40_1_41_839, 47);
  int argcv_meth_ast_visitIdentifier_40_1_41_839[] = {1};
  meth_meth_ast_visitIdentifier_40_1_41_839->type = alloc_MethodType(1, argcv_meth_ast_visitIdentifier_40_1_41_839);
  meth_meth_ast_visitIdentifier_40_1_41_839->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_839->definitionLine = 2870;
// method "visitString(_)"
  struct UserObject *uo841 = (struct UserObject*)obj715;
  uo841->data[48] = emptyclosure;
  Method *meth_meth_ast_visitString_40_1_41_841 = addmethod2pos(obj715, "visitString(1)", &meth_ast_visitString_40_1_41_841, 48);
  int argcv_meth_ast_visitString_40_1_41_841[] = {1};
  meth_meth_ast_visitString_40_1_41_841->type = alloc_MethodType(1, argcv_meth_ast_visitString_40_1_41_841);
  meth_meth_ast_visitString_40_1_41_841->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_841->definitionLine = 2871;
// method "visitNum(_)"
  struct UserObject *uo843 = (struct UserObject*)obj715;
  uo843->data[49] = emptyclosure;
  Method *meth_meth_ast_visitNum_40_1_41_843 = addmethod2pos(obj715, "visitNum(1)", &meth_ast_visitNum_40_1_41_843, 49);
  int argcv_meth_ast_visitNum_40_1_41_843[] = {1};
  meth_meth_ast_visitNum_40_1_41_843->type = alloc_MethodType(1, argcv_meth_ast_visitNum_40_1_41_843);
  meth_meth_ast_visitNum_40_1_41_843->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_843->definitionLine = 2872;
// method "visitOp(_)"
  struct UserObject *uo845 = (struct UserObject*)obj715;
  uo845->data[50] = emptyclosure;
  Method *meth_meth_ast_visitOp_40_1_41_845 = addmethod2pos(obj715, "visitOp(1)", &meth_ast_visitOp_40_1_41_845, 50);
  int argcv_meth_ast_visitOp_40_1_41_845[] = {1};
  meth_meth_ast_visitOp_40_1_41_845->type = alloc_MethodType(1, argcv_meth_ast_visitOp_40_1_41_845);
  meth_meth_ast_visitOp_40_1_41_845->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_845->definitionLine = 2873;
// method "visitBind(_)"
  struct UserObject *uo847 = (struct UserObject*)obj715;
  uo847->data[51] = emptyclosure;
  Method *meth_meth_ast_visitBind_40_1_41_847 = addmethod2pos(obj715, "visitBind(1)", &meth_ast_visitBind_40_1_41_847, 51);
  int argcv_meth_ast_visitBind_40_1_41_847[] = {1};
  meth_meth_ast_visitBind_40_1_41_847->type = alloc_MethodType(1, argcv_meth_ast_visitBind_40_1_41_847);
  meth_meth_ast_visitBind_40_1_41_847->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_847->definitionLine = 2874;
// method "visitDefDec(_)"
  struct UserObject *uo849 = (struct UserObject*)obj715;
  uo849->data[52] = emptyclosure;
  Method *meth_meth_ast_visitDefDec_40_1_41_849 = addmethod2pos(obj715, "visitDefDec(1)", &meth_ast_visitDefDec_40_1_41_849, 52);
  int argcv_meth_ast_visitDefDec_40_1_41_849[] = {1};
  meth_meth_ast_visitDefDec_40_1_41_849->type = alloc_MethodType(1, argcv_meth_ast_visitDefDec_40_1_41_849);
  meth_meth_ast_visitDefDec_40_1_41_849->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_849->definitionLine = 2875;
// method "visitVarDec(_)"
  struct UserObject *uo851 = (struct UserObject*)obj715;
  uo851->data[53] = emptyclosure;
  Method *meth_meth_ast_visitVarDec_40_1_41_851 = addmethod2pos(obj715, "visitVarDec(1)", &meth_ast_visitVarDec_40_1_41_851, 53);
  int argcv_meth_ast_visitVarDec_40_1_41_851[] = {1};
  meth_meth_ast_visitVarDec_40_1_41_851->type = alloc_MethodType(1, argcv_meth_ast_visitVarDec_40_1_41_851);
  meth_meth_ast_visitVarDec_40_1_41_851->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_851->definitionLine = 2876;
// method "visitImport(_)"
  struct UserObject *uo853 = (struct UserObject*)obj715;
  uo853->data[54] = emptyclosure;
  Method *meth_meth_ast_visitImport_40_1_41_853 = addmethod2pos(obj715, "visitImport(1)", &meth_ast_visitImport_40_1_41_853, 54);
  int argcv_meth_ast_visitImport_40_1_41_853[] = {1};
  meth_meth_ast_visitImport_40_1_41_853->type = alloc_MethodType(1, argcv_meth_ast_visitImport_40_1_41_853);
  meth_meth_ast_visitImport_40_1_41_853->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_853->definitionLine = 2877;
// method "visitReturn(_)"
  struct UserObject *uo855 = (struct UserObject*)obj715;
  uo855->data[55] = emptyclosure;
  Method *meth_meth_ast_visitReturn_40_1_41_855 = addmethod2pos(obj715, "visitReturn(1)", &meth_ast_visitReturn_40_1_41_855, 55);
  int argcv_meth_ast_visitReturn_40_1_41_855[] = {1};
  meth_meth_ast_visitReturn_40_1_41_855->type = alloc_MethodType(1, argcv_meth_ast_visitReturn_40_1_41_855);
  meth_meth_ast_visitReturn_40_1_41_855->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_855->definitionLine = 2878;
// method "visitInherits(_)"
  struct UserObject *uo857 = (struct UserObject*)obj715;
  uo857->data[56] = emptyclosure;
  Method *meth_meth_ast_visitInherits_40_1_41_857 = addmethod2pos(obj715, "visitInherits(1)", &meth_ast_visitInherits_40_1_41_857, 56);
  int argcv_meth_ast_visitInherits_40_1_41_857[] = {1};
  meth_meth_ast_visitInherits_40_1_41_857->type = alloc_MethodType(1, argcv_meth_ast_visitInherits_40_1_41_857);
  meth_meth_ast_visitInherits_40_1_41_857->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_857->definitionLine = 2879;
// method "visitDialect(_)"
  struct UserObject *uo859 = (struct UserObject*)obj715;
  uo859->data[57] = emptyclosure;
  Method *meth_meth_ast_visitDialect_40_1_41_859 = addmethod2pos(obj715, "visitDialect(1)", &meth_ast_visitDialect_40_1_41_859, 57);
  int argcv_meth_ast_visitDialect_40_1_41_859[] = {1};
  meth_meth_ast_visitDialect_40_1_41_859->type = alloc_MethodType(1, argcv_meth_ast_visitDialect_40_1_41_859);
  meth_meth_ast_visitDialect_40_1_41_859->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_859->definitionLine = 2880;
// method "visitBlank(_)"
  struct UserObject *uo861 = (struct UserObject*)obj715;
  uo861->data[58] = emptyclosure;
  Method *meth_meth_ast_visitBlank_40_1_41_861 = addmethod2pos(obj715, "visitBlank(1)", &meth_ast_visitBlank_40_1_41_861, 58);
  int argcv_meth_ast_visitBlank_40_1_41_861[] = {1};
  meth_meth_ast_visitBlank_40_1_41_861->type = alloc_MethodType(1, argcv_meth_ast_visitBlank_40_1_41_861);
  meth_meth_ast_visitBlank_40_1_41_861->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_861->definitionLine = 2881;
// method "visitComment(_)"
  struct UserObject *uo863 = (struct UserObject*)obj715;
  uo863->data[59] = emptyclosure;
  Method *meth_meth_ast_visitComment_40_1_41_863 = addmethod2pos(obj715, "visitComment(1)", &meth_ast_visitComment_40_1_41_863, 59);
  int argcv_meth_ast_visitComment_40_1_41_863[] = {1};
  meth_meth_ast_visitComment_40_1_41_863->type = alloc_MethodType(1, argcv_meth_ast_visitComment_40_1_41_863);
  meth_meth_ast_visitComment_40_1_41_863->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_863->definitionLine = 2882;
// method "visitImplicit(_)"
  struct UserObject *uo865 = (struct UserObject*)obj715;
  uo865->data[60] = emptyclosure;
  Method *meth_meth_ast_visitImplicit_40_1_41_865 = addmethod2pos(obj715, "visitImplicit(1)", &meth_ast_visitImplicit_40_1_41_865, 60);
  int argcv_meth_ast_visitImplicit_40_1_41_865[] = {1};
  meth_meth_ast_visitImplicit_40_1_41_865->type = alloc_MethodType(1, argcv_meth_ast_visitImplicit_40_1_41_865);
  meth_meth_ast_visitImplicit_40_1_41_865->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_865->definitionLine = 2883;
// method "asString"
  struct UserObject *uo867 = (struct UserObject*)obj715;
  uo867->data[61] = emptyclosure;
  Method *meth_meth_ast_asString867 = addmethod2pos(obj715, "asString", &meth_ast_asString867, 61);
  int argcv_meth_ast_asString867[] = {0};
  meth_meth_ast_asString867->type = alloc_MethodType(1, argcv_meth_ast_asString867);
  meth_meth_ast_asString867->definitionModule = modulename;
  meth_meth_ast_asString867->definitionLine = 2885;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  sourceObject = obj715;
  objclass715 = obj715->class;
  objclass715->definitionModule = modulename;
  objclass715->definitionLine = 2822;
  (*(struct UserObject *)self).data[0] = lowerouter715;
  self = oldself715;
  selfslot = oldselfslot715;
  stackframe = oldstackframe715;
  gc_frame_end(frame);
  return obj715;
}
Object meth_ast_visitIf_40_1_41_up_40_1_41_873(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitIf(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIf(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIf(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIf(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe874 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call875 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe874);
// compiled call node returning call875 (depth = 2)
  gc_frame_end(frame);
  return call875;
}
Object meth_ast_visitBlock_40_1_41_up_40_1_41_876(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitBlock(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlock(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlock(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlock(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2896
  setline(2896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe877 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call878 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe877);
// compiled call node returning call878 (depth = 2)
  gc_frame_end(frame);
  return call878;
}
Object meth_ast_visitMatchCase_40_1_41_up_40_1_41_879(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMatchCase(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMatchCase(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMatchCase(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMatchCase(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2897
  setline(2897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe880 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call881 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe880);
// compiled call node returning call881 (depth = 2)
  gc_frame_end(frame);
  return call881;
}
Object meth_ast_visitTryCatch_40_1_41_up_40_1_41_882(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTryCatch(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTryCatch(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTryCatch(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTryCatch(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe883 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call884 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe883);
// compiled call node returning call884 (depth = 2)
  gc_frame_end(frame);
  return call884;
}
Object meth_ast_visitMethodType_40_1_41_up_40_1_41_885(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMethodType(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethodType(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethodType(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethodType(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe886 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call887 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe886);
// compiled call node returning call887 (depth = 2)
  gc_frame_end(frame);
  return call887;
}
Object meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitSignaturePart(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitSignaturePart(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitSignaturePart(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitSignaturePart(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2900
  setline(2900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe889 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call890 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe889);
// compiled call node returning call890 (depth = 2)
  gc_frame_end(frame);
  return call890;
}
Object meth_ast_visitTypeDec_40_1_41_up_40_1_41_891(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTypeDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2901
  setline(2901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe892 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call893 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe892);
// compiled call node returning call893 (depth = 2)
  gc_frame_end(frame);
  return call893;
}
Object meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitTypeLiteral(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitTypeLiteral(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitTypeLiteral(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitTypeLiteral(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2902
  setline(2902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe895 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call896 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe895);
// compiled call node returning call896 (depth = 2)
  gc_frame_end(frame);
  return call896;
}
Object meth_ast_visitMethod_40_1_41_up_40_1_41_897(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMethod(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMethod(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMethod(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMethod(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe898 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call899 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe898);
// compiled call node returning call899 (depth = 2)
  gc_frame_end(frame);
  return call899;
}
Object meth_ast_visitCall_40_1_41_up_40_1_41_900(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe901 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call902 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe901);
// compiled call node returning call902 (depth = 2)
  gc_frame_end(frame);
  return call902;
}
Object meth_ast_visitObject_40_1_41_up_40_1_41_903(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitObject(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitObject(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitObject(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitObject(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2905
  setline(2905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe904 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call905 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe904);
// compiled call node returning call905 (depth = 2)
  gc_frame_end(frame);
  return call905;
}
Object meth_ast_visitModule_40_1_41_up_40_1_41_906(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitModule(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitModule(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitModule(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitModule(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2906
  setline(2906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe907 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call908 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe907);
// compiled call node returning call908 (depth = 2)
  gc_frame_end(frame);
  return call908;
}
Object meth_ast_visitArray_40_1_41_up_40_1_41_909(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitArray(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitArray(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitArray(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitArray(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe910 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call911 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe910);
// compiled call node returning call911 (depth = 2)
  gc_frame_end(frame);
  return call911;
}
Object meth_ast_visitMember_40_1_41_up_40_1_41_912(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitMember(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitMember(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitMember(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitMember(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2908
  setline(2908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe913 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call914 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe913);
// compiled call node returning call914 (depth = 2)
  gc_frame_end(frame);
  return call914;
}
Object meth_ast_visitGeneric_40_1_41_up_40_1_41_915(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitGeneric(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitGeneric(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitGeneric(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitGeneric(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe916 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call917 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe916);
// compiled call node returning call917 (depth = 2)
  gc_frame_end(frame);
  return call917;
}
Object meth_ast_visitIdentifier_40_1_41_up_40_1_41_918(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitIdentifier(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitIdentifier(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitIdentifier(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitIdentifier(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe919 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call920 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe919);
// compiled call node returning call920 (depth = 2)
  gc_frame_end(frame);
  return call920;
}
Object meth_ast_visitString_40_1_41_up_40_1_41_921(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitString(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitString(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitString(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitString(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe922 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call923 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe922);
// compiled call node returning call923 (depth = 2)
  gc_frame_end(frame);
  return call923;
}
Object meth_ast_visitNum_40_1_41_up_40_1_41_924(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitNum(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitNum(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitNum(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitNum(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe925 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call926 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe925);
// compiled call node returning call926 (depth = 2)
  gc_frame_end(frame);
  return call926;
}
Object meth_ast_visitOp_40_1_41_up_40_1_41_927(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitOp(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitOp(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitOp(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitOp(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe928 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call929 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe928);
// compiled call node returning call929 (depth = 2)
  gc_frame_end(frame);
  return call929;
}
Object meth_ast_visitBind_40_1_41_up_40_1_41_930(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitBind(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBind(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBind(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBind(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe931 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call932 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe931);
// compiled call node returning call932 (depth = 2)
  gc_frame_end(frame);
  return call932;
}
Object meth_ast_visitDefDec_40_1_41_up_40_1_41_933(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitDefDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDefDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDefDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDefDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2915
  setline(2915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe934 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call935 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe934);
// compiled call node returning call935 (depth = 2)
  gc_frame_end(frame);
  return call935;
}
Object meth_ast_visitVarDec_40_1_41_up_40_1_41_936(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitVarDec(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitVarDec(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitVarDec(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitVarDec(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe937 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call938 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe937);
// compiled call node returning call938 (depth = 2)
  gc_frame_end(frame);
  return call938;
}
Object meth_ast_visitImport_40_1_41_up_40_1_41_939(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitImport(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImport(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImport(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImport(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe940 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call941 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe940);
// compiled call node returning call941 (depth = 2)
  gc_frame_end(frame);
  return call941;
}
Object meth_ast_visitReturn_40_1_41_up_40_1_41_942(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitReturn(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitReturn(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitReturn(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitReturn(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe943 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call944 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe943);
// compiled call node returning call944 (depth = 2)
  gc_frame_end(frame);
  return call944;
}
Object meth_ast_visitInherits_40_1_41_up_40_1_41_945(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitInherits(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitInherits(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitInherits(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitInherits(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe946 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call947 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe946);
// compiled call node returning call947 (depth = 2)
  gc_frame_end(frame);
  return call947;
}
Object meth_ast_visitDialect_40_1_41_up_40_1_41_948(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitDialect(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitDialect(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitDialect(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitDialect(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2920
  setline(2920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe949 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call950 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe949);
// compiled call node returning call950 (depth = 2)
  gc_frame_end(frame);
  return call950;
}
Object meth_ast_visitBlank_40_1_41_up_40_1_41_951(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitBlank(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitBlank(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitBlank(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitBlank(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe952 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call953 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe952);
// compiled call node returning call953 (depth = 2)
  gc_frame_end(frame);
  return call953;
}
Object meth_ast_visitComment_40_1_41_up_40_1_41_954(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitComment(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitComment(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitComment(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitComment(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe955 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call956 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe955);
// compiled call node returning call956 (depth = 2)
  gc_frame_end(frame);
  return call956;
}
Object meth_ast_visitImplicit_40_1_41_up_40_1_41_957(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "visitImplicit(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitImplicit(_)up(_)");
  Object params[2];
  int partcv[1];
  Object *var_visitation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitImplicit(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitImplicit(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2923
  setline(2923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe958 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_visitation (depth = 3)
  params[0] = *var_o;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call959 = callmethodflags(*var_visitation, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe958);
// compiled call node returning call959 (depth = 2)
  gc_frame_end(frame);
  return call959;
}
Object meth_ast_asString960(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2925
  setline(2925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit961 == NULL) {
    strlit961 = alloc_String("a pluggable AST visitor");
    gc_root(strlit961);
  }
// compiled string node returning strlit961 (depth = 2)
  gc_frame_end(frame);
  return strlit961;
}
Object meth_ast_pluggableVisitor_40_1_41_870(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pluggableVisitor(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pluggableVisitor(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pluggableVisitor(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitation = &(stackframe->slots[0]);
  *var_visitation = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pluggableVisitor(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject871 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj871 = alloc_userobj2(30,31, objclass871);
  gc_frame_newslot(obj871);
if (objclass871 == NULL) {
  glfree(obj871->class->name);
  obj871->class->name = "pluggableVisitor(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj871, self, 0);
  addmethodreal(obj871,"outer", &reader_ast_outer_872);
  Object oldself871 = self;
  struct StackFrameObject *oldstackframe871 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe871);
  gc_frame_newslot((Object)stackframe);
  self = obj871;
  Object *oldselfslot871 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter871 = (*(struct UserObject *)self).data[0], lowerouter871 = thisouter871;
  if (inheritingObject871) {
    struct UserObject *inho871 = (struct UserObject *)inheritingObject871;
    while (inho871->super != GraceDefaultObject) inho871 = (struct UserObject *)inho871->super;
    inho871->super = obj871;
    self = inheritingObject871;
    *selfslot = self;
    lowerouter871 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter871;
  }
// method "visitIf(_)up(_)"
  block_savedest(obj871);
  Object closure873 = createclosure(1, "visitIf(1)up(1)");
  setclosureframe(closure873, stackframe);
  addtoclosure(closure873, var_visitation);
  struct UserObject *uo873 = (struct UserObject*)obj871;
  uo873->data[1] = (Object)closure873;
  Method *meth_meth_ast_visitIf_40_1_41_up_40_1_41_873 = addmethod2pos(obj871, "visitIf(1)up(1)", &meth_ast_visitIf_40_1_41_up_40_1_41_873, 1);
  int argcv_meth_ast_visitIf_40_1_41_up_40_1_41_873[] = {1, 1};
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_873->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40_1_41_up_40_1_41_873);
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_873->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_873->definitionLine = 2895;
// method "visitBlock(_)up(_)"
  block_savedest(obj871);
  Object closure876 = createclosure(1, "visitBlock(1)up(1)");
  setclosureframe(closure876, stackframe);
  addtoclosure(closure876, var_visitation);
  struct UserObject *uo876 = (struct UserObject*)obj871;
  uo876->data[2] = (Object)closure876;
  Method *meth_meth_ast_visitBlock_40_1_41_up_40_1_41_876 = addmethod2pos(obj871, "visitBlock(1)up(1)", &meth_ast_visitBlock_40_1_41_up_40_1_41_876, 2);
  int argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_876[] = {1, 1};
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_876->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_876);
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_876->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_876->definitionLine = 2896;
// method "visitMatchCase(_)up(_)"
  block_savedest(obj871);
  Object closure879 = createclosure(1, "visitMatchCase(1)up(1)");
  setclosureframe(closure879, stackframe);
  addtoclosure(closure879, var_visitation);
  struct UserObject *uo879 = (struct UserObject*)obj871;
  uo879->data[3] = (Object)closure879;
  Method *meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879 = addmethod2pos(obj871, "visitMatchCase(1)up(1)", &meth_ast_visitMatchCase_40_1_41_up_40_1_41_879, 3);
  int argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879[] = {1, 1};
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879);
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879->definitionLine = 2897;
// method "visitTryCatch(_)up(_)"
  block_savedest(obj871);
  Object closure882 = createclosure(1, "visitTryCatch(1)up(1)");
  setclosureframe(closure882, stackframe);
  addtoclosure(closure882, var_visitation);
  struct UserObject *uo882 = (struct UserObject*)obj871;
  uo882->data[4] = (Object)closure882;
  Method *meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882 = addmethod2pos(obj871, "visitTryCatch(1)up(1)", &meth_ast_visitTryCatch_40_1_41_up_40_1_41_882, 4);
  int argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882[] = {1, 1};
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882->type = alloc_MethodType(2, argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882);
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882->definitionLine = 2898;
// method "visitMethodType(_)up(_)"
  block_savedest(obj871);
  Object closure885 = createclosure(1, "visitMethodType(1)up(1)");
  setclosureframe(closure885, stackframe);
  addtoclosure(closure885, var_visitation);
  struct UserObject *uo885 = (struct UserObject*)obj871;
  uo885->data[5] = (Object)closure885;
  Method *meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_885 = addmethod2pos(obj871, "visitMethodType(1)up(1)", &meth_ast_visitMethodType_40_1_41_up_40_1_41_885, 5);
  int argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_885[] = {1, 1};
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_885->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_885);
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_885->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_885->definitionLine = 2899;
// method "visitSignaturePart(_)up(_)"
  block_savedest(obj871);
  Object closure888 = createclosure(1, "visitSignaturePart(1)up(1)");
  setclosureframe(closure888, stackframe);
  addtoclosure(closure888, var_visitation);
  struct UserObject *uo888 = (struct UserObject*)obj871;
  uo888->data[6] = (Object)closure888;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888 = addmethod2pos(obj871, "visitSignaturePart(1)up(1)", &meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888, 6);
  int argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888);
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888->definitionLine = 2900;
// method "visitTypeDec(_)up(_)"
  block_savedest(obj871);
  Object closure891 = createclosure(1, "visitTypeDec(1)up(1)");
  setclosureframe(closure891, stackframe);
  addtoclosure(closure891, var_visitation);
  struct UserObject *uo891 = (struct UserObject*)obj871;
  uo891->data[7] = (Object)closure891;
  Method *meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891 = addmethod2pos(obj871, "visitTypeDec(1)up(1)", &meth_ast_visitTypeDec_40_1_41_up_40_1_41_891, 7);
  int argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891[] = {1, 1};
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891);
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891->definitionLine = 2901;
// method "visitTypeLiteral(_)up(_)"
  block_savedest(obj871);
  Object closure894 = createclosure(1, "visitTypeLiteral(1)up(1)");
  setclosureframe(closure894, stackframe);
  addtoclosure(closure894, var_visitation);
  struct UserObject *uo894 = (struct UserObject*)obj871;
  uo894->data[8] = (Object)closure894;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894 = addmethod2pos(obj871, "visitTypeLiteral(1)up(1)", &meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894, 8);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894);
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894->definitionLine = 2902;
// method "visitMethod(_)up(_)"
  block_savedest(obj871);
  Object closure897 = createclosure(1, "visitMethod(1)up(1)");
  setclosureframe(closure897, stackframe);
  addtoclosure(closure897, var_visitation);
  struct UserObject *uo897 = (struct UserObject*)obj871;
  uo897->data[9] = (Object)closure897;
  Method *meth_meth_ast_visitMethod_40_1_41_up_40_1_41_897 = addmethod2pos(obj871, "visitMethod(1)up(1)", &meth_ast_visitMethod_40_1_41_up_40_1_41_897, 9);
  int argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_897[] = {1, 1};
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_897->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_897);
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_897->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_897->definitionLine = 2903;
// method "visitCall(_)up(_)"
  block_savedest(obj871);
  Object closure900 = createclosure(1, "visitCall(1)up(1)");
  setclosureframe(closure900, stackframe);
  addtoclosure(closure900, var_visitation);
  struct UserObject *uo900 = (struct UserObject*)obj871;
  uo900->data[10] = (Object)closure900;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_900 = addmethod2pos(obj871, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_900, 10);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_900[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_900->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_900);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_900->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_900->definitionLine = 2904;
// method "visitObject(_)up(_)"
  block_savedest(obj871);
  Object closure903 = createclosure(1, "visitObject(1)up(1)");
  setclosureframe(closure903, stackframe);
  addtoclosure(closure903, var_visitation);
  struct UserObject *uo903 = (struct UserObject*)obj871;
  uo903->data[11] = (Object)closure903;
  Method *meth_meth_ast_visitObject_40_1_41_up_40_1_41_903 = addmethod2pos(obj871, "visitObject(1)up(1)", &meth_ast_visitObject_40_1_41_up_40_1_41_903, 11);
  int argcv_meth_ast_visitObject_40_1_41_up_40_1_41_903[] = {1, 1};
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_903->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40_1_41_up_40_1_41_903);
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_903->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_903->definitionLine = 2905;
// method "visitModule(_)up(_)"
  block_savedest(obj871);
  Object closure906 = createclosure(1, "visitModule(1)up(1)");
  setclosureframe(closure906, stackframe);
  addtoclosure(closure906, var_visitation);
  struct UserObject *uo906 = (struct UserObject*)obj871;
  uo906->data[12] = (Object)closure906;
  Method *meth_meth_ast_visitModule_40_1_41_up_40_1_41_906 = addmethod2pos(obj871, "visitModule(1)up(1)", &meth_ast_visitModule_40_1_41_up_40_1_41_906, 12);
  int argcv_meth_ast_visitModule_40_1_41_up_40_1_41_906[] = {1, 1};
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_906->type = alloc_MethodType(2, argcv_meth_ast_visitModule_40_1_41_up_40_1_41_906);
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_906->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_906->definitionLine = 2906;
// method "visitArray(_)up(_)"
  block_savedest(obj871);
  Object closure909 = createclosure(1, "visitArray(1)up(1)");
  setclosureframe(closure909, stackframe);
  addtoclosure(closure909, var_visitation);
  struct UserObject *uo909 = (struct UserObject*)obj871;
  uo909->data[13] = (Object)closure909;
  Method *meth_meth_ast_visitArray_40_1_41_up_40_1_41_909 = addmethod2pos(obj871, "visitArray(1)up(1)", &meth_ast_visitArray_40_1_41_up_40_1_41_909, 13);
  int argcv_meth_ast_visitArray_40_1_41_up_40_1_41_909[] = {1, 1};
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_909->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40_1_41_up_40_1_41_909);
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_909->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_909->definitionLine = 2907;
// method "visitMember(_)up(_)"
  block_savedest(obj871);
  Object closure912 = createclosure(1, "visitMember(1)up(1)");
  setclosureframe(closure912, stackframe);
  addtoclosure(closure912, var_visitation);
  struct UserObject *uo912 = (struct UserObject*)obj871;
  uo912->data[14] = (Object)closure912;
  Method *meth_meth_ast_visitMember_40_1_41_up_40_1_41_912 = addmethod2pos(obj871, "visitMember(1)up(1)", &meth_ast_visitMember_40_1_41_up_40_1_41_912, 14);
  int argcv_meth_ast_visitMember_40_1_41_up_40_1_41_912[] = {1, 1};
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_912->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40_1_41_up_40_1_41_912);
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_912->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_912->definitionLine = 2908;
// method "visitGeneric(_)up(_)"
  block_savedest(obj871);
  Object closure915 = createclosure(1, "visitGeneric(1)up(1)");
  setclosureframe(closure915, stackframe);
  addtoclosure(closure915, var_visitation);
  struct UserObject *uo915 = (struct UserObject*)obj871;
  uo915->data[15] = (Object)closure915;
  Method *meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_915 = addmethod2pos(obj871, "visitGeneric(1)up(1)", &meth_ast_visitGeneric_40_1_41_up_40_1_41_915, 15);
  int argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_915[] = {1, 1};
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_915->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_915);
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_915->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_915->definitionLine = 2909;
// method "visitIdentifier(_)up(_)"
  block_savedest(obj871);
  Object closure918 = createclosure(1, "visitIdentifier(1)up(1)");
  setclosureframe(closure918, stackframe);
  addtoclosure(closure918, var_visitation);
  struct UserObject *uo918 = (struct UserObject*)obj871;
  uo918->data[16] = (Object)closure918;
  Method *meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918 = addmethod2pos(obj871, "visitIdentifier(1)up(1)", &meth_ast_visitIdentifier_40_1_41_up_40_1_41_918, 16);
  int argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918[] = {1, 1};
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918);
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918->definitionLine = 2910;
// method "visitString(_)up(_)"
  block_savedest(obj871);
  Object closure921 = createclosure(1, "visitString(1)up(1)");
  setclosureframe(closure921, stackframe);
  addtoclosure(closure921, var_visitation);
  struct UserObject *uo921 = (struct UserObject*)obj871;
  uo921->data[17] = (Object)closure921;
  Method *meth_meth_ast_visitString_40_1_41_up_40_1_41_921 = addmethod2pos(obj871, "visitString(1)up(1)", &meth_ast_visitString_40_1_41_up_40_1_41_921, 17);
  int argcv_meth_ast_visitString_40_1_41_up_40_1_41_921[] = {1, 1};
  meth_meth_ast_visitString_40_1_41_up_40_1_41_921->type = alloc_MethodType(2, argcv_meth_ast_visitString_40_1_41_up_40_1_41_921);
  meth_meth_ast_visitString_40_1_41_up_40_1_41_921->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_up_40_1_41_921->definitionLine = 2911;
// method "visitNum(_)up(_)"
  block_savedest(obj871);
  Object closure924 = createclosure(1, "visitNum(1)up(1)");
  setclosureframe(closure924, stackframe);
  addtoclosure(closure924, var_visitation);
  struct UserObject *uo924 = (struct UserObject*)obj871;
  uo924->data[18] = (Object)closure924;
  Method *meth_meth_ast_visitNum_40_1_41_up_40_1_41_924 = addmethod2pos(obj871, "visitNum(1)up(1)", &meth_ast_visitNum_40_1_41_up_40_1_41_924, 18);
  int argcv_meth_ast_visitNum_40_1_41_up_40_1_41_924[] = {1, 1};
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_924->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40_1_41_up_40_1_41_924);
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_924->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_924->definitionLine = 2912;
// method "visitOp(_)up(_)"
  block_savedest(obj871);
  Object closure927 = createclosure(1, "visitOp(1)up(1)");
  setclosureframe(closure927, stackframe);
  addtoclosure(closure927, var_visitation);
  struct UserObject *uo927 = (struct UserObject*)obj871;
  uo927->data[19] = (Object)closure927;
  Method *meth_meth_ast_visitOp_40_1_41_up_40_1_41_927 = addmethod2pos(obj871, "visitOp(1)up(1)", &meth_ast_visitOp_40_1_41_up_40_1_41_927, 19);
  int argcv_meth_ast_visitOp_40_1_41_up_40_1_41_927[] = {1, 1};
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_927->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40_1_41_up_40_1_41_927);
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_927->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_927->definitionLine = 2913;
// method "visitBind(_)up(_)"
  block_savedest(obj871);
  Object closure930 = createclosure(1, "visitBind(1)up(1)");
  setclosureframe(closure930, stackframe);
  addtoclosure(closure930, var_visitation);
  struct UserObject *uo930 = (struct UserObject*)obj871;
  uo930->data[20] = (Object)closure930;
  Method *meth_meth_ast_visitBind_40_1_41_up_40_1_41_930 = addmethod2pos(obj871, "visitBind(1)up(1)", &meth_ast_visitBind_40_1_41_up_40_1_41_930, 20);
  int argcv_meth_ast_visitBind_40_1_41_up_40_1_41_930[] = {1, 1};
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_930->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40_1_41_up_40_1_41_930);
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_930->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_930->definitionLine = 2914;
// method "visitDefDec(_)up(_)"
  block_savedest(obj871);
  Object closure933 = createclosure(1, "visitDefDec(1)up(1)");
  setclosureframe(closure933, stackframe);
  addtoclosure(closure933, var_visitation);
  struct UserObject *uo933 = (struct UserObject*)obj871;
  uo933->data[21] = (Object)closure933;
  Method *meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_933 = addmethod2pos(obj871, "visitDefDec(1)up(1)", &meth_ast_visitDefDec_40_1_41_up_40_1_41_933, 21);
  int argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_933[] = {1, 1};
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_933->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_933);
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_933->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_933->definitionLine = 2915;
// method "visitVarDec(_)up(_)"
  block_savedest(obj871);
  Object closure936 = createclosure(1, "visitVarDec(1)up(1)");
  setclosureframe(closure936, stackframe);
  addtoclosure(closure936, var_visitation);
  struct UserObject *uo936 = (struct UserObject*)obj871;
  uo936->data[22] = (Object)closure936;
  Method *meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_936 = addmethod2pos(obj871, "visitVarDec(1)up(1)", &meth_ast_visitVarDec_40_1_41_up_40_1_41_936, 22);
  int argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_936[] = {1, 1};
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_936->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_936);
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_936->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_936->definitionLine = 2916;
// method "visitImport(_)up(_)"
  block_savedest(obj871);
  Object closure939 = createclosure(1, "visitImport(1)up(1)");
  setclosureframe(closure939, stackframe);
  addtoclosure(closure939, var_visitation);
  struct UserObject *uo939 = (struct UserObject*)obj871;
  uo939->data[23] = (Object)closure939;
  Method *meth_meth_ast_visitImport_40_1_41_up_40_1_41_939 = addmethod2pos(obj871, "visitImport(1)up(1)", &meth_ast_visitImport_40_1_41_up_40_1_41_939, 23);
  int argcv_meth_ast_visitImport_40_1_41_up_40_1_41_939[] = {1, 1};
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_939->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40_1_41_up_40_1_41_939);
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_939->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_939->definitionLine = 2917;
// method "visitReturn(_)up(_)"
  block_savedest(obj871);
  Object closure942 = createclosure(1, "visitReturn(1)up(1)");
  setclosureframe(closure942, stackframe);
  addtoclosure(closure942, var_visitation);
  struct UserObject *uo942 = (struct UserObject*)obj871;
  uo942->data[24] = (Object)closure942;
  Method *meth_meth_ast_visitReturn_40_1_41_up_40_1_41_942 = addmethod2pos(obj871, "visitReturn(1)up(1)", &meth_ast_visitReturn_40_1_41_up_40_1_41_942, 24);
  int argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_942[] = {1, 1};
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_942->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_942);
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_942->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_942->definitionLine = 2918;
// method "visitInherits(_)up(_)"
  block_savedest(obj871);
  Object closure945 = createclosure(1, "visitInherits(1)up(1)");
  setclosureframe(closure945, stackframe);
  addtoclosure(closure945, var_visitation);
  struct UserObject *uo945 = (struct UserObject*)obj871;
  uo945->data[25] = (Object)closure945;
  Method *meth_meth_ast_visitInherits_40_1_41_up_40_1_41_945 = addmethod2pos(obj871, "visitInherits(1)up(1)", &meth_ast_visitInherits_40_1_41_up_40_1_41_945, 25);
  int argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_945[] = {1, 1};
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_945->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_945);
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_945->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_945->definitionLine = 2919;
// method "visitDialect(_)up(_)"
  block_savedest(obj871);
  Object closure948 = createclosure(1, "visitDialect(1)up(1)");
  setclosureframe(closure948, stackframe);
  addtoclosure(closure948, var_visitation);
  struct UserObject *uo948 = (struct UserObject*)obj871;
  uo948->data[26] = (Object)closure948;
  Method *meth_meth_ast_visitDialect_40_1_41_up_40_1_41_948 = addmethod2pos(obj871, "visitDialect(1)up(1)", &meth_ast_visitDialect_40_1_41_up_40_1_41_948, 26);
  int argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_948[] = {1, 1};
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_948->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_948);
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_948->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_948->definitionLine = 2920;
// method "visitBlank(_)up(_)"
  block_savedest(obj871);
  Object closure951 = createclosure(1, "visitBlank(1)up(1)");
  setclosureframe(closure951, stackframe);
  addtoclosure(closure951, var_visitation);
  struct UserObject *uo951 = (struct UserObject*)obj871;
  uo951->data[27] = (Object)closure951;
  Method *meth_meth_ast_visitBlank_40_1_41_up_40_1_41_951 = addmethod2pos(obj871, "visitBlank(1)up(1)", &meth_ast_visitBlank_40_1_41_up_40_1_41_951, 27);
  int argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_951[] = {1, 1};
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_951->type = alloc_MethodType(2, argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_951);
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_951->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_951->definitionLine = 2921;
// method "visitComment(_)up(_)"
  block_savedest(obj871);
  Object closure954 = createclosure(1, "visitComment(1)up(1)");
  setclosureframe(closure954, stackframe);
  addtoclosure(closure954, var_visitation);
  struct UserObject *uo954 = (struct UserObject*)obj871;
  uo954->data[28] = (Object)closure954;
  Method *meth_meth_ast_visitComment_40_1_41_up_40_1_41_954 = addmethod2pos(obj871, "visitComment(1)up(1)", &meth_ast_visitComment_40_1_41_up_40_1_41_954, 28);
  int argcv_meth_ast_visitComment_40_1_41_up_40_1_41_954[] = {1, 1};
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_954->type = alloc_MethodType(2, argcv_meth_ast_visitComment_40_1_41_up_40_1_41_954);
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_954->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_954->definitionLine = 2922;
// method "visitImplicit(_)up(_)"
  block_savedest(obj871);
  Object closure957 = createclosure(1, "visitImplicit(1)up(1)");
  setclosureframe(closure957, stackframe);
  addtoclosure(closure957, var_visitation);
  struct UserObject *uo957 = (struct UserObject*)obj871;
  uo957->data[29] = (Object)closure957;
  Method *meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_957 = addmethod2pos(obj871, "visitImplicit(1)up(1)", &meth_ast_visitImplicit_40_1_41_up_40_1_41_957, 29);
  int argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_957[] = {1, 1};
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_957->type = alloc_MethodType(2, argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_957);
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_957->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_957->definitionLine = 2923;
// method "asString"
  struct UserObject *uo960 = (struct UserObject*)obj871;
  uo960->data[30] = emptyclosure;
  Method *meth_meth_ast_asString960 = addmethod2pos(obj871, "asString", &meth_ast_asString960, 30);
  int argcv_meth_ast_asString960[] = {0};
  meth_meth_ast_asString960->type = alloc_MethodType(1, argcv_meth_ast_asString960);
  meth_meth_ast_asString960->definitionModule = modulename;
  meth_meth_ast_asString960->definitionLine = 2925;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  objclass871 = obj871->class;
  objclass871->definitionModule = modulename;
  objclass871->definitionLine = 2888;
  (*(struct UserObject *)self).data[0] = lowerouter871;
  self = oldself871;
  selfslot = oldselfslot871;
  stackframe = oldstackframe871;
  gc_frame_end(frame);
  return obj871;
}
Object meth_ast_pluggableVisitor_40_1_41_870_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pluggableVisitor(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method pluggableVisitor(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pluggableVisitor(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_visitation = &(stackframe->slots[0]);
  *var_visitation = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pluggableVisitor(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject871 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj871 = alloc_userobj2(30,31, objclass871);
  gc_frame_newslot(obj871);
if (objclass871 == NULL) {
  glfree(obj871->class->name);
  obj871->class->name = "pluggableVisitor(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj871, self, 0);
  addmethodreal(obj871,"outer", &reader_ast_outer_872);
  Object oldself871 = self;
  struct StackFrameObject *oldstackframe871 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe871);
  gc_frame_newslot((Object)stackframe);
  self = obj871;
  Object *oldselfslot871 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter871 = (*(struct UserObject *)self).data[0], lowerouter871 = thisouter871;
  if (inheritingObject871) {
    struct UserObject *inho871 = (struct UserObject *)inheritingObject871;
    while (inho871->super != GraceDefaultObject) inho871 = (struct UserObject *)inho871->super;
    inho871->super = obj871;
    self = inheritingObject871;
    *selfslot = self;
    lowerouter871 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter871;
  }
// method "visitIf(_)up(_)"
  block_savedest(obj871);
  Object closure873 = createclosure(1, "visitIf(1)up(1)");
  setclosureframe(closure873, stackframe);
  addtoclosure(closure873, var_visitation);
  struct UserObject *uo873 = (struct UserObject*)obj871;
  uo873->data[1] = (Object)closure873;
  Method *meth_meth_ast_visitIf_40_1_41_up_40_1_41_873 = addmethod2pos(obj871, "visitIf(1)up(1)", &meth_ast_visitIf_40_1_41_up_40_1_41_873, 1);
  int argcv_meth_ast_visitIf_40_1_41_up_40_1_41_873[] = {1, 1};
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_873->type = alloc_MethodType(2, argcv_meth_ast_visitIf_40_1_41_up_40_1_41_873);
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_873->definitionModule = modulename;
  meth_meth_ast_visitIf_40_1_41_up_40_1_41_873->definitionLine = 2895;
// method "visitBlock(_)up(_)"
  block_savedest(obj871);
  Object closure876 = createclosure(1, "visitBlock(1)up(1)");
  setclosureframe(closure876, stackframe);
  addtoclosure(closure876, var_visitation);
  struct UserObject *uo876 = (struct UserObject*)obj871;
  uo876->data[2] = (Object)closure876;
  Method *meth_meth_ast_visitBlock_40_1_41_up_40_1_41_876 = addmethod2pos(obj871, "visitBlock(1)up(1)", &meth_ast_visitBlock_40_1_41_up_40_1_41_876, 2);
  int argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_876[] = {1, 1};
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_876->type = alloc_MethodType(2, argcv_meth_ast_visitBlock_40_1_41_up_40_1_41_876);
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_876->definitionModule = modulename;
  meth_meth_ast_visitBlock_40_1_41_up_40_1_41_876->definitionLine = 2896;
// method "visitMatchCase(_)up(_)"
  block_savedest(obj871);
  Object closure879 = createclosure(1, "visitMatchCase(1)up(1)");
  setclosureframe(closure879, stackframe);
  addtoclosure(closure879, var_visitation);
  struct UserObject *uo879 = (struct UserObject*)obj871;
  uo879->data[3] = (Object)closure879;
  Method *meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879 = addmethod2pos(obj871, "visitMatchCase(1)up(1)", &meth_ast_visitMatchCase_40_1_41_up_40_1_41_879, 3);
  int argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879[] = {1, 1};
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879->type = alloc_MethodType(2, argcv_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879);
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879->definitionModule = modulename;
  meth_meth_ast_visitMatchCase_40_1_41_up_40_1_41_879->definitionLine = 2897;
// method "visitTryCatch(_)up(_)"
  block_savedest(obj871);
  Object closure882 = createclosure(1, "visitTryCatch(1)up(1)");
  setclosureframe(closure882, stackframe);
  addtoclosure(closure882, var_visitation);
  struct UserObject *uo882 = (struct UserObject*)obj871;
  uo882->data[4] = (Object)closure882;
  Method *meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882 = addmethod2pos(obj871, "visitTryCatch(1)up(1)", &meth_ast_visitTryCatch_40_1_41_up_40_1_41_882, 4);
  int argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882[] = {1, 1};
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882->type = alloc_MethodType(2, argcv_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882);
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882->definitionModule = modulename;
  meth_meth_ast_visitTryCatch_40_1_41_up_40_1_41_882->definitionLine = 2898;
// method "visitMethodType(_)up(_)"
  block_savedest(obj871);
  Object closure885 = createclosure(1, "visitMethodType(1)up(1)");
  setclosureframe(closure885, stackframe);
  addtoclosure(closure885, var_visitation);
  struct UserObject *uo885 = (struct UserObject*)obj871;
  uo885->data[5] = (Object)closure885;
  Method *meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_885 = addmethod2pos(obj871, "visitMethodType(1)up(1)", &meth_ast_visitMethodType_40_1_41_up_40_1_41_885, 5);
  int argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_885[] = {1, 1};
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_885->type = alloc_MethodType(2, argcv_meth_ast_visitMethodType_40_1_41_up_40_1_41_885);
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_885->definitionModule = modulename;
  meth_meth_ast_visitMethodType_40_1_41_up_40_1_41_885->definitionLine = 2899;
// method "visitSignaturePart(_)up(_)"
  block_savedest(obj871);
  Object closure888 = createclosure(1, "visitSignaturePart(1)up(1)");
  setclosureframe(closure888, stackframe);
  addtoclosure(closure888, var_visitation);
  struct UserObject *uo888 = (struct UserObject*)obj871;
  uo888->data[6] = (Object)closure888;
  Method *meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888 = addmethod2pos(obj871, "visitSignaturePart(1)up(1)", &meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888, 6);
  int argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888[] = {1, 1};
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888->type = alloc_MethodType(2, argcv_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888);
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888->definitionModule = modulename;
  meth_meth_ast_visitSignaturePart_40_1_41_up_40_1_41_888->definitionLine = 2900;
// method "visitTypeDec(_)up(_)"
  block_savedest(obj871);
  Object closure891 = createclosure(1, "visitTypeDec(1)up(1)");
  setclosureframe(closure891, stackframe);
  addtoclosure(closure891, var_visitation);
  struct UserObject *uo891 = (struct UserObject*)obj871;
  uo891->data[7] = (Object)closure891;
  Method *meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891 = addmethod2pos(obj871, "visitTypeDec(1)up(1)", &meth_ast_visitTypeDec_40_1_41_up_40_1_41_891, 7);
  int argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891[] = {1, 1};
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891->type = alloc_MethodType(2, argcv_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891);
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891->definitionModule = modulename;
  meth_meth_ast_visitTypeDec_40_1_41_up_40_1_41_891->definitionLine = 2901;
// method "visitTypeLiteral(_)up(_)"
  block_savedest(obj871);
  Object closure894 = createclosure(1, "visitTypeLiteral(1)up(1)");
  setclosureframe(closure894, stackframe);
  addtoclosure(closure894, var_visitation);
  struct UserObject *uo894 = (struct UserObject*)obj871;
  uo894->data[8] = (Object)closure894;
  Method *meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894 = addmethod2pos(obj871, "visitTypeLiteral(1)up(1)", &meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894, 8);
  int argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894[] = {1, 1};
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894->type = alloc_MethodType(2, argcv_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894);
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894->definitionModule = modulename;
  meth_meth_ast_visitTypeLiteral_40_1_41_up_40_1_41_894->definitionLine = 2902;
// method "visitMethod(_)up(_)"
  block_savedest(obj871);
  Object closure897 = createclosure(1, "visitMethod(1)up(1)");
  setclosureframe(closure897, stackframe);
  addtoclosure(closure897, var_visitation);
  struct UserObject *uo897 = (struct UserObject*)obj871;
  uo897->data[9] = (Object)closure897;
  Method *meth_meth_ast_visitMethod_40_1_41_up_40_1_41_897 = addmethod2pos(obj871, "visitMethod(1)up(1)", &meth_ast_visitMethod_40_1_41_up_40_1_41_897, 9);
  int argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_897[] = {1, 1};
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_897->type = alloc_MethodType(2, argcv_meth_ast_visitMethod_40_1_41_up_40_1_41_897);
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_897->definitionModule = modulename;
  meth_meth_ast_visitMethod_40_1_41_up_40_1_41_897->definitionLine = 2903;
// method "visitCall(_)up(_)"
  block_savedest(obj871);
  Object closure900 = createclosure(1, "visitCall(1)up(1)");
  setclosureframe(closure900, stackframe);
  addtoclosure(closure900, var_visitation);
  struct UserObject *uo900 = (struct UserObject*)obj871;
  uo900->data[10] = (Object)closure900;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_900 = addmethod2pos(obj871, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_900, 10);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_900[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_900->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_900);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_900->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_900->definitionLine = 2904;
// method "visitObject(_)up(_)"
  block_savedest(obj871);
  Object closure903 = createclosure(1, "visitObject(1)up(1)");
  setclosureframe(closure903, stackframe);
  addtoclosure(closure903, var_visitation);
  struct UserObject *uo903 = (struct UserObject*)obj871;
  uo903->data[11] = (Object)closure903;
  Method *meth_meth_ast_visitObject_40_1_41_up_40_1_41_903 = addmethod2pos(obj871, "visitObject(1)up(1)", &meth_ast_visitObject_40_1_41_up_40_1_41_903, 11);
  int argcv_meth_ast_visitObject_40_1_41_up_40_1_41_903[] = {1, 1};
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_903->type = alloc_MethodType(2, argcv_meth_ast_visitObject_40_1_41_up_40_1_41_903);
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_903->definitionModule = modulename;
  meth_meth_ast_visitObject_40_1_41_up_40_1_41_903->definitionLine = 2905;
// method "visitModule(_)up(_)"
  block_savedest(obj871);
  Object closure906 = createclosure(1, "visitModule(1)up(1)");
  setclosureframe(closure906, stackframe);
  addtoclosure(closure906, var_visitation);
  struct UserObject *uo906 = (struct UserObject*)obj871;
  uo906->data[12] = (Object)closure906;
  Method *meth_meth_ast_visitModule_40_1_41_up_40_1_41_906 = addmethod2pos(obj871, "visitModule(1)up(1)", &meth_ast_visitModule_40_1_41_up_40_1_41_906, 12);
  int argcv_meth_ast_visitModule_40_1_41_up_40_1_41_906[] = {1, 1};
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_906->type = alloc_MethodType(2, argcv_meth_ast_visitModule_40_1_41_up_40_1_41_906);
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_906->definitionModule = modulename;
  meth_meth_ast_visitModule_40_1_41_up_40_1_41_906->definitionLine = 2906;
// method "visitArray(_)up(_)"
  block_savedest(obj871);
  Object closure909 = createclosure(1, "visitArray(1)up(1)");
  setclosureframe(closure909, stackframe);
  addtoclosure(closure909, var_visitation);
  struct UserObject *uo909 = (struct UserObject*)obj871;
  uo909->data[13] = (Object)closure909;
  Method *meth_meth_ast_visitArray_40_1_41_up_40_1_41_909 = addmethod2pos(obj871, "visitArray(1)up(1)", &meth_ast_visitArray_40_1_41_up_40_1_41_909, 13);
  int argcv_meth_ast_visitArray_40_1_41_up_40_1_41_909[] = {1, 1};
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_909->type = alloc_MethodType(2, argcv_meth_ast_visitArray_40_1_41_up_40_1_41_909);
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_909->definitionModule = modulename;
  meth_meth_ast_visitArray_40_1_41_up_40_1_41_909->definitionLine = 2907;
// method "visitMember(_)up(_)"
  block_savedest(obj871);
  Object closure912 = createclosure(1, "visitMember(1)up(1)");
  setclosureframe(closure912, stackframe);
  addtoclosure(closure912, var_visitation);
  struct UserObject *uo912 = (struct UserObject*)obj871;
  uo912->data[14] = (Object)closure912;
  Method *meth_meth_ast_visitMember_40_1_41_up_40_1_41_912 = addmethod2pos(obj871, "visitMember(1)up(1)", &meth_ast_visitMember_40_1_41_up_40_1_41_912, 14);
  int argcv_meth_ast_visitMember_40_1_41_up_40_1_41_912[] = {1, 1};
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_912->type = alloc_MethodType(2, argcv_meth_ast_visitMember_40_1_41_up_40_1_41_912);
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_912->definitionModule = modulename;
  meth_meth_ast_visitMember_40_1_41_up_40_1_41_912->definitionLine = 2908;
// method "visitGeneric(_)up(_)"
  block_savedest(obj871);
  Object closure915 = createclosure(1, "visitGeneric(1)up(1)");
  setclosureframe(closure915, stackframe);
  addtoclosure(closure915, var_visitation);
  struct UserObject *uo915 = (struct UserObject*)obj871;
  uo915->data[15] = (Object)closure915;
  Method *meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_915 = addmethod2pos(obj871, "visitGeneric(1)up(1)", &meth_ast_visitGeneric_40_1_41_up_40_1_41_915, 15);
  int argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_915[] = {1, 1};
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_915->type = alloc_MethodType(2, argcv_meth_ast_visitGeneric_40_1_41_up_40_1_41_915);
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_915->definitionModule = modulename;
  meth_meth_ast_visitGeneric_40_1_41_up_40_1_41_915->definitionLine = 2909;
// method "visitIdentifier(_)up(_)"
  block_savedest(obj871);
  Object closure918 = createclosure(1, "visitIdentifier(1)up(1)");
  setclosureframe(closure918, stackframe);
  addtoclosure(closure918, var_visitation);
  struct UserObject *uo918 = (struct UserObject*)obj871;
  uo918->data[16] = (Object)closure918;
  Method *meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918 = addmethod2pos(obj871, "visitIdentifier(1)up(1)", &meth_ast_visitIdentifier_40_1_41_up_40_1_41_918, 16);
  int argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918[] = {1, 1};
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918->type = alloc_MethodType(2, argcv_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918);
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918->definitionModule = modulename;
  meth_meth_ast_visitIdentifier_40_1_41_up_40_1_41_918->definitionLine = 2910;
// method "visitString(_)up(_)"
  block_savedest(obj871);
  Object closure921 = createclosure(1, "visitString(1)up(1)");
  setclosureframe(closure921, stackframe);
  addtoclosure(closure921, var_visitation);
  struct UserObject *uo921 = (struct UserObject*)obj871;
  uo921->data[17] = (Object)closure921;
  Method *meth_meth_ast_visitString_40_1_41_up_40_1_41_921 = addmethod2pos(obj871, "visitString(1)up(1)", &meth_ast_visitString_40_1_41_up_40_1_41_921, 17);
  int argcv_meth_ast_visitString_40_1_41_up_40_1_41_921[] = {1, 1};
  meth_meth_ast_visitString_40_1_41_up_40_1_41_921->type = alloc_MethodType(2, argcv_meth_ast_visitString_40_1_41_up_40_1_41_921);
  meth_meth_ast_visitString_40_1_41_up_40_1_41_921->definitionModule = modulename;
  meth_meth_ast_visitString_40_1_41_up_40_1_41_921->definitionLine = 2911;
// method "visitNum(_)up(_)"
  block_savedest(obj871);
  Object closure924 = createclosure(1, "visitNum(1)up(1)");
  setclosureframe(closure924, stackframe);
  addtoclosure(closure924, var_visitation);
  struct UserObject *uo924 = (struct UserObject*)obj871;
  uo924->data[18] = (Object)closure924;
  Method *meth_meth_ast_visitNum_40_1_41_up_40_1_41_924 = addmethod2pos(obj871, "visitNum(1)up(1)", &meth_ast_visitNum_40_1_41_up_40_1_41_924, 18);
  int argcv_meth_ast_visitNum_40_1_41_up_40_1_41_924[] = {1, 1};
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_924->type = alloc_MethodType(2, argcv_meth_ast_visitNum_40_1_41_up_40_1_41_924);
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_924->definitionModule = modulename;
  meth_meth_ast_visitNum_40_1_41_up_40_1_41_924->definitionLine = 2912;
// method "visitOp(_)up(_)"
  block_savedest(obj871);
  Object closure927 = createclosure(1, "visitOp(1)up(1)");
  setclosureframe(closure927, stackframe);
  addtoclosure(closure927, var_visitation);
  struct UserObject *uo927 = (struct UserObject*)obj871;
  uo927->data[19] = (Object)closure927;
  Method *meth_meth_ast_visitOp_40_1_41_up_40_1_41_927 = addmethod2pos(obj871, "visitOp(1)up(1)", &meth_ast_visitOp_40_1_41_up_40_1_41_927, 19);
  int argcv_meth_ast_visitOp_40_1_41_up_40_1_41_927[] = {1, 1};
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_927->type = alloc_MethodType(2, argcv_meth_ast_visitOp_40_1_41_up_40_1_41_927);
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_927->definitionModule = modulename;
  meth_meth_ast_visitOp_40_1_41_up_40_1_41_927->definitionLine = 2913;
// method "visitBind(_)up(_)"
  block_savedest(obj871);
  Object closure930 = createclosure(1, "visitBind(1)up(1)");
  setclosureframe(closure930, stackframe);
  addtoclosure(closure930, var_visitation);
  struct UserObject *uo930 = (struct UserObject*)obj871;
  uo930->data[20] = (Object)closure930;
  Method *meth_meth_ast_visitBind_40_1_41_up_40_1_41_930 = addmethod2pos(obj871, "visitBind(1)up(1)", &meth_ast_visitBind_40_1_41_up_40_1_41_930, 20);
  int argcv_meth_ast_visitBind_40_1_41_up_40_1_41_930[] = {1, 1};
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_930->type = alloc_MethodType(2, argcv_meth_ast_visitBind_40_1_41_up_40_1_41_930);
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_930->definitionModule = modulename;
  meth_meth_ast_visitBind_40_1_41_up_40_1_41_930->definitionLine = 2914;
// method "visitDefDec(_)up(_)"
  block_savedest(obj871);
  Object closure933 = createclosure(1, "visitDefDec(1)up(1)");
  setclosureframe(closure933, stackframe);
  addtoclosure(closure933, var_visitation);
  struct UserObject *uo933 = (struct UserObject*)obj871;
  uo933->data[21] = (Object)closure933;
  Method *meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_933 = addmethod2pos(obj871, "visitDefDec(1)up(1)", &meth_ast_visitDefDec_40_1_41_up_40_1_41_933, 21);
  int argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_933[] = {1, 1};
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_933->type = alloc_MethodType(2, argcv_meth_ast_visitDefDec_40_1_41_up_40_1_41_933);
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_933->definitionModule = modulename;
  meth_meth_ast_visitDefDec_40_1_41_up_40_1_41_933->definitionLine = 2915;
// method "visitVarDec(_)up(_)"
  block_savedest(obj871);
  Object closure936 = createclosure(1, "visitVarDec(1)up(1)");
  setclosureframe(closure936, stackframe);
  addtoclosure(closure936, var_visitation);
  struct UserObject *uo936 = (struct UserObject*)obj871;
  uo936->data[22] = (Object)closure936;
  Method *meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_936 = addmethod2pos(obj871, "visitVarDec(1)up(1)", &meth_ast_visitVarDec_40_1_41_up_40_1_41_936, 22);
  int argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_936[] = {1, 1};
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_936->type = alloc_MethodType(2, argcv_meth_ast_visitVarDec_40_1_41_up_40_1_41_936);
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_936->definitionModule = modulename;
  meth_meth_ast_visitVarDec_40_1_41_up_40_1_41_936->definitionLine = 2916;
// method "visitImport(_)up(_)"
  block_savedest(obj871);
  Object closure939 = createclosure(1, "visitImport(1)up(1)");
  setclosureframe(closure939, stackframe);
  addtoclosure(closure939, var_visitation);
  struct UserObject *uo939 = (struct UserObject*)obj871;
  uo939->data[23] = (Object)closure939;
  Method *meth_meth_ast_visitImport_40_1_41_up_40_1_41_939 = addmethod2pos(obj871, "visitImport(1)up(1)", &meth_ast_visitImport_40_1_41_up_40_1_41_939, 23);
  int argcv_meth_ast_visitImport_40_1_41_up_40_1_41_939[] = {1, 1};
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_939->type = alloc_MethodType(2, argcv_meth_ast_visitImport_40_1_41_up_40_1_41_939);
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_939->definitionModule = modulename;
  meth_meth_ast_visitImport_40_1_41_up_40_1_41_939->definitionLine = 2917;
// method "visitReturn(_)up(_)"
  block_savedest(obj871);
  Object closure942 = createclosure(1, "visitReturn(1)up(1)");
  setclosureframe(closure942, stackframe);
  addtoclosure(closure942, var_visitation);
  struct UserObject *uo942 = (struct UserObject*)obj871;
  uo942->data[24] = (Object)closure942;
  Method *meth_meth_ast_visitReturn_40_1_41_up_40_1_41_942 = addmethod2pos(obj871, "visitReturn(1)up(1)", &meth_ast_visitReturn_40_1_41_up_40_1_41_942, 24);
  int argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_942[] = {1, 1};
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_942->type = alloc_MethodType(2, argcv_meth_ast_visitReturn_40_1_41_up_40_1_41_942);
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_942->definitionModule = modulename;
  meth_meth_ast_visitReturn_40_1_41_up_40_1_41_942->definitionLine = 2918;
// method "visitInherits(_)up(_)"
  block_savedest(obj871);
  Object closure945 = createclosure(1, "visitInherits(1)up(1)");
  setclosureframe(closure945, stackframe);
  addtoclosure(closure945, var_visitation);
  struct UserObject *uo945 = (struct UserObject*)obj871;
  uo945->data[25] = (Object)closure945;
  Method *meth_meth_ast_visitInherits_40_1_41_up_40_1_41_945 = addmethod2pos(obj871, "visitInherits(1)up(1)", &meth_ast_visitInherits_40_1_41_up_40_1_41_945, 25);
  int argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_945[] = {1, 1};
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_945->type = alloc_MethodType(2, argcv_meth_ast_visitInherits_40_1_41_up_40_1_41_945);
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_945->definitionModule = modulename;
  meth_meth_ast_visitInherits_40_1_41_up_40_1_41_945->definitionLine = 2919;
// method "visitDialect(_)up(_)"
  block_savedest(obj871);
  Object closure948 = createclosure(1, "visitDialect(1)up(1)");
  setclosureframe(closure948, stackframe);
  addtoclosure(closure948, var_visitation);
  struct UserObject *uo948 = (struct UserObject*)obj871;
  uo948->data[26] = (Object)closure948;
  Method *meth_meth_ast_visitDialect_40_1_41_up_40_1_41_948 = addmethod2pos(obj871, "visitDialect(1)up(1)", &meth_ast_visitDialect_40_1_41_up_40_1_41_948, 26);
  int argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_948[] = {1, 1};
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_948->type = alloc_MethodType(2, argcv_meth_ast_visitDialect_40_1_41_up_40_1_41_948);
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_948->definitionModule = modulename;
  meth_meth_ast_visitDialect_40_1_41_up_40_1_41_948->definitionLine = 2920;
// method "visitBlank(_)up(_)"
  block_savedest(obj871);
  Object closure951 = createclosure(1, "visitBlank(1)up(1)");
  setclosureframe(closure951, stackframe);
  addtoclosure(closure951, var_visitation);
  struct UserObject *uo951 = (struct UserObject*)obj871;
  uo951->data[27] = (Object)closure951;
  Method *meth_meth_ast_visitBlank_40_1_41_up_40_1_41_951 = addmethod2pos(obj871, "visitBlank(1)up(1)", &meth_ast_visitBlank_40_1_41_up_40_1_41_951, 27);
  int argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_951[] = {1, 1};
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_951->type = alloc_MethodType(2, argcv_meth_ast_visitBlank_40_1_41_up_40_1_41_951);
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_951->definitionModule = modulename;
  meth_meth_ast_visitBlank_40_1_41_up_40_1_41_951->definitionLine = 2921;
// method "visitComment(_)up(_)"
  block_savedest(obj871);
  Object closure954 = createclosure(1, "visitComment(1)up(1)");
  setclosureframe(closure954, stackframe);
  addtoclosure(closure954, var_visitation);
  struct UserObject *uo954 = (struct UserObject*)obj871;
  uo954->data[28] = (Object)closure954;
  Method *meth_meth_ast_visitComment_40_1_41_up_40_1_41_954 = addmethod2pos(obj871, "visitComment(1)up(1)", &meth_ast_visitComment_40_1_41_up_40_1_41_954, 28);
  int argcv_meth_ast_visitComment_40_1_41_up_40_1_41_954[] = {1, 1};
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_954->type = alloc_MethodType(2, argcv_meth_ast_visitComment_40_1_41_up_40_1_41_954);
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_954->definitionModule = modulename;
  meth_meth_ast_visitComment_40_1_41_up_40_1_41_954->definitionLine = 2922;
// method "visitImplicit(_)up(_)"
  block_savedest(obj871);
  Object closure957 = createclosure(1, "visitImplicit(1)up(1)");
  setclosureframe(closure957, stackframe);
  addtoclosure(closure957, var_visitation);
  struct UserObject *uo957 = (struct UserObject*)obj871;
  uo957->data[29] = (Object)closure957;
  Method *meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_957 = addmethod2pos(obj871, "visitImplicit(1)up(1)", &meth_ast_visitImplicit_40_1_41_up_40_1_41_957, 29);
  int argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_957[] = {1, 1};
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_957->type = alloc_MethodType(2, argcv_meth_ast_visitImplicit_40_1_41_up_40_1_41_957);
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_957->definitionModule = modulename;
  meth_meth_ast_visitImplicit_40_1_41_up_40_1_41_957->definitionLine = 2923;
// method "asString"
  struct UserObject *uo960 = (struct UserObject*)obj871;
  uo960->data[30] = emptyclosure;
  Method *meth_meth_ast_asString960 = addmethod2pos(obj871, "asString", &meth_ast_asString960, 30);
  int argcv_meth_ast_asString960[] = {0};
  meth_meth_ast_asString960->type = alloc_MethodType(1, argcv_meth_ast_asString960);
  meth_meth_ast_asString960->definitionModule = modulename;
  meth_meth_ast_asString960->definitionLine = 2925;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  sourceObject = obj871;
  objclass871 = obj871->class;
  objclass871->definitionModule = modulename;
  objclass871->definitionLine = 2888;
  (*(struct UserObject *)self).data[0] = lowerouter871;
  self = oldself871;
  selfslot = oldselfslot871;
  stackframe = oldstackframe871;
  gc_frame_end(frame);
  return obj871;
}
Object meth_ast__apply972(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object *var_ann = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2940
  setline(2940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_annName (depth = 8)
  int op_slot_right_973 = gc_frame_newslot(*var_annName);
// starting to compile member node (depth = 8)
  int callframe975 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ann (depth = 9)
  Object call976 = callmethodflags(*var_ann, "value", 0, partcv, params, 0);
  gc_frame_end(callframe975);
// compiled member node returning call976 (depth = 8)
  int op_slot_left_973 = gc_frame_newslot(call976);
  params[0] = *var_annName;
  partcv[0] = 1;
  Object opresult977 = callmethod(call976, "==(1)", 1, partcv, params);
// compiled op node returning opresult977 (depth = 7)
  gc_frame_end(frame);
  return opresult977;
}
Object meth_ast__apply_40_1_41_968(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_annName = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2939
  setline(2939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block971 = alloc_Block(NULL, NULL, "ast", 2939);
  gc_frame_newslot(block971);
// method "_apply"
  block_savedest(block971);
  Object closure972 = createclosure(3, "_apply");
  setclosureframe(closure972, stackframe);
  addtoclosure(closure972, var_annName);
  addtoclosure(closure972, var_ann);
  addtoclosure(closure972, selfslot);
  struct UserObject *uo972 = (struct UserObject*)block971;
  uo972->data[0] = (Object)closure972;
  Method *meth_meth_ast__apply972 = addmethod2pos(block971, "_apply", &meth_ast__apply972, 0);
  int argcv_meth_ast__apply972[] = {0};
  meth_meth_ast__apply972->type = alloc_MethodType(1, argcv_meth_ast__apply972);
  meth_meth_ast__apply972->definitionModule = modulename;
  meth_meth_ast__apply972->definitionLine = 2947;
// compiled block node returning block971 (depth = 6)
  int op_slot_right_970 = gc_frame_newslot(block971);
// Begin line 2939
  setline(2939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit981 == NULL) {
    strlit981 = alloc_String("identifier");
    gc_root(strlit981);
  }
// compiled string node returning strlit981 (depth = 7)
  int op_slot_right_980 = gc_frame_newslot(strlit981);
// starting to compile member node (depth = 7)
  int callframe983 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ann (depth = 8)
  Object call984 = callmethodflags(*var_ann, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe983);
// compiled member node returning call984 (depth = 7)
  int op_slot_left_980 = gc_frame_newslot(call984);
  params[0] = strlit981;
  partcv[0] = 1;
  Object opresult985 = callmethod(call984, "==(1)", 1, partcv, params);
// compiled op node returning opresult985 (depth = 6)
  int op_slot_left_970 = gc_frame_newslot(opresult985);
  params[0] = block971;
  partcv[0] = 1;
  Object opresult986 = callmethod(opresult985, "&&(1)", 1, partcv, params);
// compiled op node returning opresult986 (depth = 5)
  Object if969 = done;
  if (istrue(opresult986)) {
// Begin line 2941
  setline(2941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile object node (depth = 6)
  Object inheritingObject987 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj987 = alloc_userobj2(1,2, objclass987);
  gc_frame_newslot(obj987);
// OBJECT OUTER DEC outer
  adddatum2(obj987, self, 0);
  addmethodreal(obj987,"outer", &reader_ast_outer_988);
  Object oldself987 = self;
  struct StackFrameObject *oldstackframe987 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe987);
  gc_frame_newslot((Object)stackframe);
  self = obj987;
  Object *oldselfslot987 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter987 = (*(struct UserObject *)self).data[0], lowerouter987 = thisouter987;
  if (inheritingObject987) {
    struct UserObject *inho987 = (struct UserObject *)inheritingObject987;
    while (inho987->super != GraceDefaultObject) inho987 = (struct UserObject *)inho987->super;
    inho987->super = obj987;
    self = inheritingObject987;
    *selfslot = self;
    lowerouter987 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter987;
  }
if (objclass987 == NULL) {
  Method *reader989 = addmethodrealflags(obj987, "value",&reader_ast_value_989, MFLAG_DEF);
  reader989->definitionModule = modulename;
  reader989->definitionLine = 2943;
}
adddatum2(obj987, alloc_Undefined(), 1);
  sourceObject = obj987;
// Begin line 2942
  setline(2942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool990 = alloc_Boolean(1);
// compiled identifier node returning bool990 (depth = 7)
  struct UserObject *obj987_uo = (struct UserObject *)obj987;
  obj987_uo->super = bool990;
  sourceObject = obj987;
// Begin line 2943
  setline(2943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  adddatum2(obj987, *var_ann, 1);
  objclass987 = obj987->class;
  objclass987->definitionModule = modulename;
  objclass987->definitionLine = 2941;
  (*(struct UserObject *)self).data[0] = lowerouter987;
  self = oldself987;
  selfslot = oldselfslot987;
  stackframe = oldstackframe987;
// compiled object node returning obj987 (depth = 6)
  block_return(realself, obj987);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if969 = undefined;
  } else {
  }
// compiled if node returning if969 (depth = 4)
  gc_frame_end(frame);
  return if969;
}
Object meth_ast_findAnnotation_40_2_41_963(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "findAnnotation(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method findAnnotation(_,_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findAnnotation(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *var_annName = &(stackframe->slots[1]);
  *var_annName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part findAnnotation(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2938
  setline(2938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe964 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe965 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call966 = callmethodflags(*var_node, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe965);
// compiled member node returning call966 (depth = 3)
  gc_frame_newslot(call966);
// starting to compile block node (depth = 3)
  Object block967 = alloc_Block(NULL, NULL, "ast", 2938);
  gc_frame_newslot(block967);
// method "_apply(_)"
  block_savedest(block967);
  Object closure968 = createclosure(2, "_apply(1)");
  setclosureframe(closure968, stackframe);
  addtoclosure(closure968, var_annName);
  addtoclosure(closure968, selfslot);
  struct UserObject *uo968 = (struct UserObject*)block967;
  uo968->data[0] = (Object)closure968;
  Method *meth_meth_ast__apply_40_1_41_968 = addmethod2pos(block967, "_apply(1)", &meth_ast__apply_40_1_41_968, 0);
  int argcv_meth_ast__apply_40_1_41_968[] = {1};
  meth_meth_ast__apply_40_1_41_968->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_968);
  meth_meth_ast__apply_40_1_41_968->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_968->definitionLine = 2947;
// compiled block node returning block967 (depth = 3)
  gc_frame_newslot(block967);
// call case 5: prelude request
  params[0] = call966;
  params[1] = block967;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call992 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe964);
// compiled call node returning call992 (depth = 2)
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool993 = alloc_Boolean(0);
// compiled identifier node returning bool993 (depth = 2)
  gc_frame_end(frame);
  return bool993;
}
Object meth_ast_lineLength995(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lineLength");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lineLength = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lineLength (depth = 3)
  gc_frame_end(frame);
  return *var_lineLength;
}
Object meth_ast_uninitialized1001(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "uninitialized");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  gc_frame_end(frame);
  return *var_uninitialized;
}
Object meth_ast_isEmpty1007(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1008 = alloc_Boolean(1);
// compiled identifier node returning bool1008 (depth = 3)
  gc_frame_end(frame);
  return bool1008;
}
Object meth_ast_asString1009(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1010 == NULL) {
    strlit1010 = alloc_String("ancestorChain ""\xe2""""\x96""""\xab""");
    gc_root(strlit1010);
  }
// compiled string node returning strlit1010 (depth = 3)
  gc_frame_end(frame);
  return strlit1010;
}
Object meth_ast_extend_40_1_41_1011(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extend(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extend(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extend(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extend(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1012 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1013 = gc_frame_new();
// call case 3: self.outer request
  Object call1014 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1013);
// compiled member node returning call1014 (depth = 4)
  params[0] = *var_n;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1015 = callmethodflags(call1014, "cons(1)onto(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1012);
// compiled call node returning call1015 (depth = 3)
  gc_frame_end(frame);
  return call1015;
}
Object meth_ast_empty1004(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "empty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1005 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1005 = alloc_userobj2(3,4, objclass1005);
  gc_frame_newslot(obj1005);
if (objclass1005 == NULL) {
  glfree(obj1005->class->name);
  obj1005->class->name = "empty";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1005, self, 0);
  addmethodreal(obj1005,"outer", &reader_ast_outer_1006);
  Object oldself1005 = self;
  struct StackFrameObject *oldstackframe1005 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1005);
  gc_frame_newslot((Object)stackframe);
  self = obj1005;
  Object *oldselfslot1005 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1005 = (*(struct UserObject *)self).data[0], lowerouter1005 = thisouter1005;
  if (inheritingObject1005) {
    struct UserObject *inho1005 = (struct UserObject *)inheritingObject1005;
    while (inho1005->super != GraceDefaultObject) inho1005 = (struct UserObject *)inho1005->super;
    inho1005->super = obj1005;
    self = inheritingObject1005;
    *selfslot = self;
    lowerouter1005 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1005;
  }
// method "isEmpty"
  struct UserObject *uo1007 = (struct UserObject*)obj1005;
  uo1007->data[1] = emptyclosure;
  Method *meth_meth_ast_isEmpty1007 = addmethod2pos(obj1005, "isEmpty", &meth_ast_isEmpty1007, 1);
  int argcv_meth_ast_isEmpty1007[] = {0};
  meth_meth_ast_isEmpty1007->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1007);
  meth_meth_ast_isEmpty1007->definitionModule = modulename;
  meth_meth_ast_isEmpty1007->definitionLine = 41;
// method "asString"
  struct UserObject *uo1009 = (struct UserObject*)obj1005;
  uo1009->data[2] = emptyclosure;
  Method *meth_meth_ast_asString1009 = addmethod2pos(obj1005, "asString", &meth_ast_asString1009, 2);
  int argcv_meth_ast_asString1009[] = {0};
  meth_meth_ast_asString1009->type = alloc_MethodType(1, argcv_meth_ast_asString1009);
  meth_meth_ast_asString1009->definitionModule = modulename;
  meth_meth_ast_asString1009->definitionLine = 42;
// method "extend(_)"
  struct UserObject *uo1011 = (struct UserObject*)obj1005;
  uo1011->data[3] = emptyclosure;
  Method *meth_meth_ast_extend_40_1_41_1011 = addmethod2pos(obj1005, "extend(1)", &meth_ast_extend_40_1_41_1011, 3);
  int argcv_meth_ast_extend_40_1_41_1011[] = {1};
  meth_meth_ast_extend_40_1_41_1011->type = alloc_MethodType(1, argcv_meth_ast_extend_40_1_41_1011);
  meth_meth_ast_extend_40_1_41_1011->definitionModule = modulename;
  meth_meth_ast_extend_40_1_41_1011->definitionLine = 43;
  sourceObject = obj1005;
  sourceObject = obj1005;
  sourceObject = obj1005;
  objclass1005 = obj1005->class;
  objclass1005->definitionModule = modulename;
  objclass1005->definitionLine = 40;
  (*(struct UserObject *)self).data[0] = lowerouter1005;
  self = oldself1005;
  selfslot = oldselfslot1005;
  stackframe = oldstackframe1005;
  gc_frame_end(frame);
  return obj1005;
}
Object meth_ast_empty1004_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "empty$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1005 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1005 = alloc_userobj2(3,4, objclass1005);
  gc_frame_newslot(obj1005);
if (objclass1005 == NULL) {
  glfree(obj1005->class->name);
  obj1005->class->name = "empty";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1005, self, 0);
  addmethodreal(obj1005,"outer", &reader_ast_outer_1006);
  Object oldself1005 = self;
  struct StackFrameObject *oldstackframe1005 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1005);
  gc_frame_newslot((Object)stackframe);
  self = obj1005;
  Object *oldselfslot1005 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1005 = (*(struct UserObject *)self).data[0], lowerouter1005 = thisouter1005;
  if (inheritingObject1005) {
    struct UserObject *inho1005 = (struct UserObject *)inheritingObject1005;
    while (inho1005->super != GraceDefaultObject) inho1005 = (struct UserObject *)inho1005->super;
    inho1005->super = obj1005;
    self = inheritingObject1005;
    *selfslot = self;
    lowerouter1005 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1005;
  }
// method "isEmpty"
  struct UserObject *uo1007 = (struct UserObject*)obj1005;
  uo1007->data[1] = emptyclosure;
  Method *meth_meth_ast_isEmpty1007 = addmethod2pos(obj1005, "isEmpty", &meth_ast_isEmpty1007, 1);
  int argcv_meth_ast_isEmpty1007[] = {0};
  meth_meth_ast_isEmpty1007->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1007);
  meth_meth_ast_isEmpty1007->definitionModule = modulename;
  meth_meth_ast_isEmpty1007->definitionLine = 41;
// method "asString"
  struct UserObject *uo1009 = (struct UserObject*)obj1005;
  uo1009->data[2] = emptyclosure;
  Method *meth_meth_ast_asString1009 = addmethod2pos(obj1005, "asString", &meth_ast_asString1009, 2);
  int argcv_meth_ast_asString1009[] = {0};
  meth_meth_ast_asString1009->type = alloc_MethodType(1, argcv_meth_ast_asString1009);
  meth_meth_ast_asString1009->definitionModule = modulename;
  meth_meth_ast_asString1009->definitionLine = 42;
// method "extend(_)"
  struct UserObject *uo1011 = (struct UserObject*)obj1005;
  uo1011->data[3] = emptyclosure;
  Method *meth_meth_ast_extend_40_1_41_1011 = addmethod2pos(obj1005, "extend(1)", &meth_ast_extend_40_1_41_1011, 3);
  int argcv_meth_ast_extend_40_1_41_1011[] = {1};
  meth_meth_ast_extend_40_1_41_1011->type = alloc_MethodType(1, argcv_meth_ast_extend_40_1_41_1011);
  meth_meth_ast_extend_40_1_41_1011->definitionModule = modulename;
  meth_meth_ast_extend_40_1_41_1011->definitionLine = 43;
  sourceObject = obj1005;
  sourceObject = obj1005;
  sourceObject = obj1005;
  objclass1005 = obj1005->class;
  objclass1005->definitionModule = modulename;
  objclass1005->definitionLine = 40;
  (*(struct UserObject *)self).data[0] = lowerouter1005;
  self = oldself1005;
  selfslot = oldselfslot1005;
  stackframe = oldstackframe1005;
  gc_frame_end(frame);
  return obj1005;
}
Object meth_ast_with_40_1_41_1017(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "with(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method with(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for with(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part with(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1018 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1019 = gc_frame_new();
// call case 4: self request
  Object call1020 = callmethodflags(self, "empty", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1019);
// compiled member node returning call1020 (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1021 = callmethodflags(call1020, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1018);
// compiled call node returning call1021 (depth = 3)
  gc_frame_end(frame);
  return call1021;
}
Object meth_ast_forebears1025(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "forebears");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_as = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_as (depth = 3)
  gc_frame_end(frame);
  return *var_as;
}
Object meth_ast_isEmpty1026(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1027 = alloc_Boolean(0);
// compiled identifier node returning bool1027 (depth = 3)
  gc_frame_end(frame);
  return bool1027;
}
Object meth_ast_parent1028(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_p = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_p (depth = 3)
  gc_frame_end(frame);
  return *var_p;
}
Object meth_ast_grandparent1029(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "grandparent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1030 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1031 = gc_frame_new();
// call case 4: self request
  Object call1032 = callmethodflags(self, "forebears", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1031);
// compiled member node returning call1032 (depth = 4)
  Object call1033 = callmethodflags(call1032, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe1030);
// compiled member node returning call1033 (depth = 3)
  gc_frame_end(frame);
  return call1033;
}
Object meth_ast__apply1038(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe1039 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1040 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call1041 = callmethodflags(*var_a, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1040);
// compiled member node returning call1041 (depth = 6)
  Object call1042 = callmethodflags(call1041, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1039);
// compiled member node returning call1042 (depth = 5)
  gc_frame_end(frame);
  return call1042;
}
Object meth_ast__apply1045(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1047 == NULL) {
    strlit1047 = alloc_String("""\xe2""""\x9e""""\xa4""");
    gc_root(strlit1047);
  }
// compiled string node returning strlit1047 (depth = 7)
  int op_slot_right_1046 = gc_frame_newslot(strlit1047);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1050 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  Object call1051 = callmethodflags(*var_a, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe1050);
// compiled member node returning call1051 (depth = 8)
  int op_slot_right_1049 = gc_frame_newslot(call1051);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1049 = gc_frame_newslot(*var_s);
  params[0] = call1051;
  partcv[0] = 1;
  Object opresult1053 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1053 (depth = 7)
  int op_slot_left_1046 = gc_frame_newslot(opresult1053);
  params[0] = strlit1047;
  partcv[0] = 1;
  Object opresult1054 = callmethod(opresult1053, "++(1)", 1, partcv, params);
// compiled op node returning opresult1054 (depth = 6)
  *var_s = opresult1054;
  if (opresult1054 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1056 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_a (depth = 7)
  Object call1057 = callmethodflags(*var_a, "forebears", 0, partcv, params, 0);
  gc_frame_end(callframe1056);
// compiled member node returning call1057 (depth = 6)
  *var_a = call1057;
  if (call1057 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_asString1034(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_a = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "a");
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  *var_a = self;
  if (self == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1035 == NULL) {
    strlit1035 = alloc_String("ancestorChain ");
    gc_root(strlit1035);
  }
// compiled string node returning strlit1035 (depth = 4)
  *var_s = strlit1035;
  if (strlit1035 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1036 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1037 = alloc_Block(NULL, NULL, "ast", 55);
  gc_frame_newslot(block1037);
// method "_apply"
  block_savedest(block1037);
  Object closure1038 = createclosure(2, "_apply");
  setclosureframe(closure1038, stackframe);
  addtoclosure(closure1038, var_a);
  addtoclosure(closure1038, selfslot);
  struct UserObject *uo1038 = (struct UserObject*)block1037;
  uo1038->data[0] = (Object)closure1038;
  Method *meth_meth_ast__apply1038 = addmethod2pos(block1037, "_apply", &meth_ast__apply1038, 0);
  int argcv_meth_ast__apply1038[] = {0};
  meth_meth_ast__apply1038->type = alloc_MethodType(1, argcv_meth_ast__apply1038);
  meth_meth_ast__apply1038->definitionModule = modulename;
  meth_meth_ast__apply1038->definitionLine = 2947;
// compiled block node returning block1037 (depth = 4)
  gc_frame_newslot(block1037);
// starting to compile block node (depth = 4)
  Object block1044 = alloc_Block(NULL, NULL, "ast", 55);
  gc_frame_newslot(block1044);
// method "_apply"
  block_savedest(block1044);
  Object closure1045 = createclosure(3, "_apply");
  setclosureframe(closure1045, stackframe);
  addtoclosure(closure1045, var_a);
  addtoclosure(closure1045, var_s);
  addtoclosure(closure1045, selfslot);
  struct UserObject *uo1045 = (struct UserObject*)block1044;
  uo1045->data[0] = (Object)closure1045;
  Method *meth_meth_ast__apply1045 = addmethod2pos(block1044, "_apply", &meth_ast__apply1045, 0);
  int argcv_meth_ast__apply1045[] = {0};
  meth_meth_ast__apply1045->type = alloc_MethodType(1, argcv_meth_ast__apply1045);
  meth_meth_ast__apply1045->definitionModule = modulename;
  meth_meth_ast__apply1045->definitionLine = 2947;
// compiled block node returning block1044 (depth = 4)
  gc_frame_newslot(block1044);
// call case 5: prelude request
  params[0] = block1037;
  params[1] = block1044;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1060 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1036);
// compiled call node returning call1060 (depth = 3)
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1062 == NULL) {
    strlit1062 = alloc_String("""\xe2""""\x96""""\xab""");
    gc_root(strlit1062);
  }
// compiled string node returning strlit1062 (depth = 4)
  int op_slot_right_1061 = gc_frame_newslot(strlit1062);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_1061 = gc_frame_newslot(*var_s);
  params[0] = strlit1062;
  partcv[0] = 1;
  Object opresult1064 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1064 (depth = 3)
  gc_frame_end(frame);
  return opresult1064;
}
Object meth_ast_extend_40_1_41_1065(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extend(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extend(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extend(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extend(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1066 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1067 = gc_frame_new();
// call case 3: self.outer request
  Object call1068 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1067);
// compiled member node returning call1068 (depth = 4)
  params[0] = *var_n;
  params[1] = self;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1069 = callmethodflags(call1068, "cons(1)onto(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1066);
// compiled call node returning call1069 (depth = 3)
  gc_frame_end(frame);
  return call1069;
}
Object meth_ast_cons_40_1_41_onto_40_1_41_1022(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "cons(1)onto(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method cons(_)onto(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method cons(_)onto(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for cons(_)onto(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part cons(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onto(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1023 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1023 = alloc_userobj2(6,7, objclass1023);
  gc_frame_newslot(obj1023);
if (objclass1023 == NULL) {
  glfree(obj1023->class->name);
  obj1023->class->name = "cons(_)onto(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1023, self, 0);
  addmethodreal(obj1023,"outer", &reader_ast_outer_1024);
  Object oldself1023 = self;
  struct StackFrameObject *oldstackframe1023 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1023);
  gc_frame_newslot((Object)stackframe);
  self = obj1023;
  Object *oldselfslot1023 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1023 = (*(struct UserObject *)self).data[0], lowerouter1023 = thisouter1023;
  if (inheritingObject1023) {
    struct UserObject *inho1023 = (struct UserObject *)inheritingObject1023;
    while (inho1023->super != GraceDefaultObject) inho1023 = (struct UserObject *)inho1023->super;
    inho1023->super = obj1023;
    self = inheritingObject1023;
    *selfslot = self;
    lowerouter1023 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1023;
  }
// method "forebears"
  block_savedest(obj1023);
  Object closure1025 = createclosure(1, "forebears");
  setclosureframe(closure1025, stackframe);
  addtoclosure(closure1025, var_as);
  struct UserObject *uo1025 = (struct UserObject*)obj1023;
  uo1025->data[1] = (Object)closure1025;
  Method *meth_meth_ast_forebears1025 = addmethod2pos(obj1023, "forebears", &meth_ast_forebears1025, 1);
  int argcv_meth_ast_forebears1025[] = {0};
  meth_meth_ast_forebears1025->type = alloc_MethodType(1, argcv_meth_ast_forebears1025);
  meth_meth_ast_forebears1025->definitionModule = modulename;
  meth_meth_ast_forebears1025->definitionLine = 47;
// method "isEmpty"
  struct UserObject *uo1026 = (struct UserObject*)obj1023;
  uo1026->data[2] = emptyclosure;
  Method *meth_meth_ast_isEmpty1026 = addmethod2pos(obj1023, "isEmpty", &meth_ast_isEmpty1026, 2);
  int argcv_meth_ast_isEmpty1026[] = {0};
  meth_meth_ast_isEmpty1026->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1026);
  meth_meth_ast_isEmpty1026->definitionModule = modulename;
  meth_meth_ast_isEmpty1026->definitionLine = 48;
// method "parent"
  block_savedest(obj1023);
  Object closure1028 = createclosure(1, "parent");
  setclosureframe(closure1028, stackframe);
  addtoclosure(closure1028, var_p);
  struct UserObject *uo1028 = (struct UserObject*)obj1023;
  uo1028->data[3] = (Object)closure1028;
  Method *meth_meth_ast_parent1028 = addmethod2pos(obj1023, "parent", &meth_ast_parent1028, 3);
  int argcv_meth_ast_parent1028[] = {0};
  meth_meth_ast_parent1028->type = alloc_MethodType(1, argcv_meth_ast_parent1028);
  meth_meth_ast_parent1028->definitionModule = modulename;
  meth_meth_ast_parent1028->definitionLine = 49;
// method "grandparent"
  struct UserObject *uo1029 = (struct UserObject*)obj1023;
  uo1029->data[4] = emptyclosure;
  Method *meth_meth_ast_grandparent1029 = addmethod2pos(obj1023, "grandparent", &meth_ast_grandparent1029, 4);
  int argcv_meth_ast_grandparent1029[] = {0};
  meth_meth_ast_grandparent1029->type = alloc_MethodType(1, argcv_meth_ast_grandparent1029);
  meth_meth_ast_grandparent1029->definitionModule = modulename;
  meth_meth_ast_grandparent1029->definitionLine = 50;
// method "asString"
  struct UserObject *uo1034 = (struct UserObject*)obj1023;
  uo1034->data[5] = emptyclosure;
  Method *meth_meth_ast_asString1034 = addmethod2pos(obj1023, "asString", &meth_ast_asString1034, 5);
  int argcv_meth_ast_asString1034[] = {0};
  meth_meth_ast_asString1034->type = alloc_MethodType(1, argcv_meth_ast_asString1034);
  meth_meth_ast_asString1034->definitionModule = modulename;
  meth_meth_ast_asString1034->definitionLine = 52;
// method "extend(_)"
  struct UserObject *uo1065 = (struct UserObject*)obj1023;
  uo1065->data[6] = emptyclosure;
  Method *meth_meth_ast_extend_40_1_41_1065 = addmethod2pos(obj1023, "extend(1)", &meth_ast_extend_40_1_41_1065, 6);
  int argcv_meth_ast_extend_40_1_41_1065[] = {1};
  meth_meth_ast_extend_40_1_41_1065->type = alloc_MethodType(1, argcv_meth_ast_extend_40_1_41_1065);
  meth_meth_ast_extend_40_1_41_1065->definitionModule = modulename;
  meth_meth_ast_extend_40_1_41_1065->definitionLine = 61;
  sourceObject = obj1023;
  sourceObject = obj1023;
  sourceObject = obj1023;
  sourceObject = obj1023;
  sourceObject = obj1023;
  sourceObject = obj1023;
  objclass1023 = obj1023->class;
  objclass1023->definitionModule = modulename;
  objclass1023->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter1023;
  self = oldself1023;
  selfslot = oldselfslot1023;
  stackframe = oldstackframe1023;
  gc_frame_end(frame);
  return obj1023;
}
Object meth_ast_cons_40_1_41_onto_40_1_41_1022_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "cons(1)onto(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method cons(_)onto(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method cons(_)onto(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for cons(_)onto(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part cons(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onto(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1023 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1023 = alloc_userobj2(6,7, objclass1023);
  gc_frame_newslot(obj1023);
if (objclass1023 == NULL) {
  glfree(obj1023->class->name);
  obj1023->class->name = "cons(_)onto(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1023, self, 0);
  addmethodreal(obj1023,"outer", &reader_ast_outer_1024);
  Object oldself1023 = self;
  struct StackFrameObject *oldstackframe1023 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1023);
  gc_frame_newslot((Object)stackframe);
  self = obj1023;
  Object *oldselfslot1023 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1023 = (*(struct UserObject *)self).data[0], lowerouter1023 = thisouter1023;
  if (inheritingObject1023) {
    struct UserObject *inho1023 = (struct UserObject *)inheritingObject1023;
    while (inho1023->super != GraceDefaultObject) inho1023 = (struct UserObject *)inho1023->super;
    inho1023->super = obj1023;
    self = inheritingObject1023;
    *selfslot = self;
    lowerouter1023 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1023;
  }
// method "forebears"
  block_savedest(obj1023);
  Object closure1025 = createclosure(1, "forebears");
  setclosureframe(closure1025, stackframe);
  addtoclosure(closure1025, var_as);
  struct UserObject *uo1025 = (struct UserObject*)obj1023;
  uo1025->data[1] = (Object)closure1025;
  Method *meth_meth_ast_forebears1025 = addmethod2pos(obj1023, "forebears", &meth_ast_forebears1025, 1);
  int argcv_meth_ast_forebears1025[] = {0};
  meth_meth_ast_forebears1025->type = alloc_MethodType(1, argcv_meth_ast_forebears1025);
  meth_meth_ast_forebears1025->definitionModule = modulename;
  meth_meth_ast_forebears1025->definitionLine = 47;
// method "isEmpty"
  struct UserObject *uo1026 = (struct UserObject*)obj1023;
  uo1026->data[2] = emptyclosure;
  Method *meth_meth_ast_isEmpty1026 = addmethod2pos(obj1023, "isEmpty", &meth_ast_isEmpty1026, 2);
  int argcv_meth_ast_isEmpty1026[] = {0};
  meth_meth_ast_isEmpty1026->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1026);
  meth_meth_ast_isEmpty1026->definitionModule = modulename;
  meth_meth_ast_isEmpty1026->definitionLine = 48;
// method "parent"
  block_savedest(obj1023);
  Object closure1028 = createclosure(1, "parent");
  setclosureframe(closure1028, stackframe);
  addtoclosure(closure1028, var_p);
  struct UserObject *uo1028 = (struct UserObject*)obj1023;
  uo1028->data[3] = (Object)closure1028;
  Method *meth_meth_ast_parent1028 = addmethod2pos(obj1023, "parent", &meth_ast_parent1028, 3);
  int argcv_meth_ast_parent1028[] = {0};
  meth_meth_ast_parent1028->type = alloc_MethodType(1, argcv_meth_ast_parent1028);
  meth_meth_ast_parent1028->definitionModule = modulename;
  meth_meth_ast_parent1028->definitionLine = 49;
// method "grandparent"
  struct UserObject *uo1029 = (struct UserObject*)obj1023;
  uo1029->data[4] = emptyclosure;
  Method *meth_meth_ast_grandparent1029 = addmethod2pos(obj1023, "grandparent", &meth_ast_grandparent1029, 4);
  int argcv_meth_ast_grandparent1029[] = {0};
  meth_meth_ast_grandparent1029->type = alloc_MethodType(1, argcv_meth_ast_grandparent1029);
  meth_meth_ast_grandparent1029->definitionModule = modulename;
  meth_meth_ast_grandparent1029->definitionLine = 50;
// method "asString"
  struct UserObject *uo1034 = (struct UserObject*)obj1023;
  uo1034->data[5] = emptyclosure;
  Method *meth_meth_ast_asString1034 = addmethod2pos(obj1023, "asString", &meth_ast_asString1034, 5);
  int argcv_meth_ast_asString1034[] = {0};
  meth_meth_ast_asString1034->type = alloc_MethodType(1, argcv_meth_ast_asString1034);
  meth_meth_ast_asString1034->definitionModule = modulename;
  meth_meth_ast_asString1034->definitionLine = 52;
// method "extend(_)"
  struct UserObject *uo1065 = (struct UserObject*)obj1023;
  uo1065->data[6] = emptyclosure;
  Method *meth_meth_ast_extend_40_1_41_1065 = addmethod2pos(obj1023, "extend(1)", &meth_ast_extend_40_1_41_1065, 6);
  int argcv_meth_ast_extend_40_1_41_1065[] = {1};
  meth_meth_ast_extend_40_1_41_1065->type = alloc_MethodType(1, argcv_meth_ast_extend_40_1_41_1065);
  meth_meth_ast_extend_40_1_41_1065->definitionModule = modulename;
  meth_meth_ast_extend_40_1_41_1065->definitionLine = 61;
  sourceObject = obj1023;
  sourceObject = obj1023;
  sourceObject = obj1023;
  sourceObject = obj1023;
  sourceObject = obj1023;
  sourceObject = obj1023;
  objclass1023 = obj1023->class;
  objclass1023->definitionModule = modulename;
  objclass1023->definitionLine = 46;
  (*(struct UserObject *)self).data[0] = lowerouter1023;
  self = oldself1023;
  selfslot = oldselfslot1023;
  stackframe = oldstackframe1023;
  gc_frame_end(frame);
  return obj1023;
}
Object meth_ast_ancestorChain1071(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ancestorChain");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ancestorChain = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ancestorChain (depth = 3)
  gc_frame_end(frame);
  return *var_ancestorChain;
}
Object meth_ast_emptySeq1074(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "emptySeq");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_AstNode1077(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "AstNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_AstNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_AstNode (depth = 3)
  gc_frame_end(frame);
  return *var_AstNode;
}
Object meth_ast_SymbolTable1079(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "SymbolTable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_SymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_SymbolTable (depth = 3)
  gc_frame_end(frame);
  return *var_SymbolTable;
}
Object meth_ast_isImplicit1084(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImplicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1085 = alloc_Boolean(1);
// compiled identifier node returning bool1085 (depth = 3)
  gc_frame_end(frame);
  return bool1085;
}
Object meth_ast_toGrace_40_1_41_1086(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1087 == NULL) {
    strlit1087 = alloc_String("implicit");
    gc_root(strlit1087);
  }
// compiled string node returning strlit1087 (depth = 3)
  gc_frame_end(frame);
  return strlit1087;
}
Object meth_ast_asString1088(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1089 == NULL) {
    strlit1089 = alloc_String("the implicit receiver");
    gc_root(strlit1089);
  }
// compiled string node returning strlit1089 (depth = 3)
  gc_frame_end(frame);
  return strlit1089;
}
Object meth_ast__61__61__40_1_41_1090(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1091 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1092 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1091);
// compiled call node returning call1092 (depth = 3)
  gc_frame_end(frame);
  return call1092;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_1093(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 215
  setline(215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_accept_40_1_41_from_40_1_41_1094(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1095 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1096 = callmethodflags(*var_visitor, "visitImplicit(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1095);
// compiled call node returning call1096 (depth = 3)
  gc_frame_end(frame);
  return call1096;
}
Object meth_ast_pretty_40_1_41_1097(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1098 == NULL) {
    strlit1098 = alloc_String("implicit");
    gc_root(strlit1098);
  }
// compiled string node returning strlit1098 (depth = 3)
  gc_frame_end(frame);
  return strlit1098;
}
Object meth_ast_implicit1111(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "implicit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_implicit = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_implicit (depth = 3)
  gc_frame_end(frame);
  return *var_implicit;
}
Object meth_ast_toGrace_40_1_41_1115(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1116 == NULL) {
    strlit1116 = alloc_String("// null");
    gc_root(strlit1116);
  }
// compiled string node returning strlit1116 (depth = 3)
  gc_frame_end(frame);
  return strlit1116;
}
Object meth_ast_asString1117(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 228
  setline(228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1118 == NULL) {
    strlit1118 = alloc_String("the nullNode");
    gc_root(strlit1118);
  }
// compiled string node returning strlit1118 (depth = 3)
  gc_frame_end(frame);
  return strlit1118;
}
Object meth_ast__61__61__40_1_41_1119(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1120 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1121 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1120);
// compiled call node returning call1121 (depth = 3)
  gc_frame_end(frame);
  return call1121;
}
Object meth_ast_nullNode1127(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nullNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nullNode (depth = 3)
  gc_frame_end(frame);
  return *var_nullNode;
}
Object meth_ast_asString1131(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 234
  setline(234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1132 == NULL) {
    strlit1132 = alloc_String("the fakeSymbolTable");
    gc_root(strlit1132);
  }
// compiled string node returning strlit1132 (depth = 3)
  gc_frame_end(frame);
  return strlit1132;
}
Object meth_ast_addNode_40_1_41_as_40_1_41_1133(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addNode(1)as(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addNode(_)as(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addNode(_)as(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for addNode(_)as(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addNode(_)");
  Object *var_kind = &(stackframe->slots[1]);
  *var_kind = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part as(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1134 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1136 == NULL) {
    strlit1136 = alloc_String("""\x22"" requested");
    gc_root(strlit1136);
  }
// compiled string node returning strlit1136 (depth = 5)
  int op_slot_right_1135 = gc_frame_newslot(strlit1136);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_kind (depth = 6)
  int op_slot_right_1138 = gc_frame_newslot(*var_kind);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1141 == NULL) {
    strlit1141 = alloc_String(") as ""\x22""");
    gc_root(strlit1141);
  }
// compiled string node returning strlit1141 (depth = 7)
  int op_slot_right_1140 = gc_frame_newslot(strlit1141);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_right_1143 = gc_frame_newslot(*var_n);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1146 == NULL) {
    strlit1146 = alloc_String(").addNode(");
    gc_root(strlit1146);
  }
// compiled string node returning strlit1146 (depth = 9)
  int op_slot_right_1145 = gc_frame_newslot(strlit1146);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1149 = gc_frame_new();
// call case 4: self request
  Object call1150 = callmethodflags(self, "node", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1149);
// compiled member node returning call1150 (depth = 10)
  int op_slot_right_1148 = gc_frame_newslot(call1150);
// starting to compile string node (depth = 10)
  if (strlit1152 == NULL) {
    strlit1152 = alloc_String("fakeSymbolTable(on node ");
    gc_root(strlit1152);
  }
// compiled string node returning strlit1152 (depth = 10)
  int op_slot_left_1148 = gc_frame_newslot(strlit1152);
  params[0] = call1150;
  partcv[0] = 1;
  Object opresult1153 = callmethod(strlit1152, "++(1)", 1, partcv, params);
// compiled op node returning opresult1153 (depth = 9)
  int op_slot_left_1145 = gc_frame_newslot(opresult1153);
  params[0] = strlit1146;
  partcv[0] = 1;
  Object opresult1154 = callmethod(opresult1153, "++(1)", 1, partcv, params);
// compiled op node returning opresult1154 (depth = 8)
  int op_slot_left_1143 = gc_frame_newslot(opresult1154);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult1155 = callmethod(opresult1154, "++(1)", 1, partcv, params);
// compiled op node returning opresult1155 (depth = 7)
  int op_slot_left_1140 = gc_frame_newslot(opresult1155);
  params[0] = strlit1141;
  partcv[0] = 1;
  Object opresult1156 = callmethod(opresult1155, "++(1)", 1, partcv, params);
// compiled op node returning opresult1156 (depth = 6)
  int op_slot_left_1138 = gc_frame_newslot(opresult1156);
  params[0] = *var_kind;
  partcv[0] = 1;
  Object opresult1157 = callmethod(opresult1156, "++(1)", 1, partcv, params);
// compiled op node returning opresult1157 (depth = 5)
  int op_slot_left_1135 = gc_frame_newslot(opresult1157);
  params[0] = strlit1136;
  partcv[0] = 1;
  Object opresult1158 = callmethod(opresult1157, "++(1)", 1, partcv, params);
// compiled op node returning opresult1158 (depth = 4)
  gc_frame_newslot(opresult1158);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1159 = gc_frame_new();
// call case 5: prelude request
  Object call1160 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1159);
// compiled member node returning call1160 (depth = 4)
  params[0] = opresult1158;
  partcv[0] = 1;
  Object call1161 = callmethodflags(call1160, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1134);
// compiled call node returning call1161 (depth = 3)
  gc_frame_end(frame);
  return call1161;
}
Object meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1162(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "thatDefines(1)ifNone(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method thatDefines(_)ifNone(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method thatDefines(_)ifNone(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for thatDefines(_)ifNone(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part thatDefines(_)");
  Object *var_action = &(stackframe->slots[1]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifNone(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1163 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1165 == NULL) {
    strlit1165 = alloc_String(").");
    gc_root(strlit1165);
  }
// compiled string node returning strlit1165 (depth = 5)
  int op_slot_right_1164 = gc_frame_newslot(strlit1165);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_name (depth = 6)
  int op_slot_right_1167 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 6)
  if (strlit1169 == NULL) {
    strlit1169 = alloc_String("fakeSymbolTable.thatDefines(");
    gc_root(strlit1169);
  }
// compiled string node returning strlit1169 (depth = 6)
  int op_slot_left_1167 = gc_frame_newslot(strlit1169);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult1170 = callmethod(strlit1169, "++(1)", 1, partcv, params);
// compiled op node returning opresult1170 (depth = 5)
  int op_slot_left_1164 = gc_frame_newslot(opresult1170);
  params[0] = strlit1165;
  partcv[0] = 1;
  Object opresult1171 = callmethod(opresult1170, "++(1)", 1, partcv, params);
// compiled op node returning opresult1171 (depth = 4)
  gc_frame_newslot(opresult1171);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1172 = gc_frame_new();
// call case 5: prelude request
  Object call1173 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1172);
// compiled member node returning call1173 (depth = 4)
  params[0] = opresult1171;
  partcv[0] = 1;
  Object call1174 = callmethodflags(call1173, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1163);
// compiled call node returning call1174 (depth = 3)
  gc_frame_end(frame);
  return call1174;
}
Object meth_ast_enclosingObjectScope1175(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "enclosingObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1176 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1178 == NULL) {
    strlit1178 = alloc_String("");
    gc_root(strlit1178);
  }
// compiled string node returning strlit1178 (depth = 5)
  int op_slot_right_1177 = gc_frame_newslot(strlit1178);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1181 = gc_frame_new();
// call case 4: self request
  Object call1182 = callmethodflags(self, "node", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1181);
// compiled member node returning call1182 (depth = 6)
  int op_slot_right_1180 = gc_frame_newslot(call1182);
// starting to compile string node (depth = 6)
  if (strlit1184 == NULL) {
    strlit1184 = alloc_String("fakeSymbolTable.enclosingObjectScope on node ");
    gc_root(strlit1184);
  }
// compiled string node returning strlit1184 (depth = 6)
  int op_slot_left_1180 = gc_frame_newslot(strlit1184);
  params[0] = call1182;
  partcv[0] = 1;
  Object opresult1185 = callmethod(strlit1184, "++(1)", 1, partcv, params);
// compiled op node returning opresult1185 (depth = 5)
  int op_slot_left_1177 = gc_frame_newslot(opresult1185);
  params[0] = strlit1178;
  partcv[0] = 1;
  Object opresult1186 = callmethod(opresult1185, "++(1)", 1, partcv, params);
// compiled op node returning opresult1186 (depth = 4)
  gc_frame_newslot(opresult1186);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1187 = gc_frame_new();
// call case 5: prelude request
  Object call1188 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1187);
// compiled member node returning call1188 (depth = 4)
  params[0] = opresult1186;
  partcv[0] = 1;
  Object call1189 = callmethodflags(call1188, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1176);
// compiled call node returning call1189 (depth = 3)
  gc_frame_end(frame);
  return call1189;
}
Object meth_ast_variety1190(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "variety");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1191 == NULL) {
    strlit1191 = alloc_String("fake");
    gc_root(strlit1191);
  }
// compiled string node returning strlit1191 (depth = 3)
  gc_frame_end(frame);
  return strlit1191;
}
Object meth_ast__61__61__40_1_41_1192(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1193 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 4: self request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1194 = callmethodflags(self, "isMe(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1193);
// compiled call node returning call1194 (depth = 3)
  gc_frame_end(frame);
  return call1194;
}
Object meth_ast_fakeSymbolTable1195(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fakeSymbolTable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_fakeSymbolTable (depth = 3)
  gc_frame_end(frame);
  return *var_fakeSymbolTable;
}
Object meth_ast_isSimple1206(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1207 = alloc_Boolean(0);
// compiled identifier node returning bool1207 (depth = 3)
  gc_frame_end(frame);
  return bool1207;
}
Object meth_ast_accept_40_1_41_from_40_1_41_1208(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1210 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1211 = callmethodflags(*var_visitor, "visitIf(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1210);
// compiled call node returning call1211 (depth = 4)
  Object if1209 = done;
  if (istrue(call1211)) {
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1212 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call1213 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1212);
// compiled call node returning call1213 (depth = 5)
  *var_newChain = call1213;
  if (call1213 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1214 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1215 = gc_frame_new();
// call case 4: self request
  Object call1216 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1215);
// compiled member node returning call1216 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1217 = callmethodflags(call1216, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1214);
// compiled call node returning call1217 (depth = 4)
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1218 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1219 = gc_frame_new();
// call case 4: self request
  Object call1220 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1219);
// compiled member node returning call1220 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1221 = callmethodflags(call1220, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1218);
// compiled call node returning call1221 (depth = 4)
// Begin line 262
  setline(262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1222 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1223 = gc_frame_new();
// call case 4: self request
  Object call1224 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1223);
// compiled member node returning call1224 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1225 = callmethodflags(call1224, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1222);
// compiled call node returning call1225 (depth = 4)
    gc_frame_newslot(call1225);
    if1209 = call1225;
  } else {
  }
// compiled if node returning if1209 (depth = 3)
  gc_frame_end(frame);
  return if1209;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_1226(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1227 = gc_frame_new();
// call case 4: self request
  Object call1228 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1227);
// compiled member node returning call1228 (depth = 4)
  *var_n = call1228;
  if (call1228 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1229 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1230 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1229);
// compiled call node returning call1230 (depth = 4)
  *var_newChain = call1230;
  if (call1230 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1231 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1232 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1233 = gc_frame_new();
// call case 4: self request
  Object call1234 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1233);
// compiled member node returning call1234 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1235 = callmethodflags(call1234, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1232);
// compiled call node returning call1235 (depth = 4)
  gc_frame_newslot(call1235);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1235;
  partcv[0] = 1;
  Object call1236 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1231);
// compiled call node returning call1236 (depth = 3)
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1237 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1238 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1239 = gc_frame_new();
// call case 4: self request
  Object call1240 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1239);
// compiled member node returning call1240 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1241 = callmethodflags(call1240, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1238);
// compiled call node returning call1241 (depth = 4)
  gc_frame_newslot(call1241);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1241;
  partcv[0] = 1;
  Object call1242 = callmethodflags(*var_n, "thenblock:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1237);
// compiled call node returning call1242 (depth = 3)
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1243 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1244 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1245 = gc_frame_new();
// call case 4: self request
  Object call1246 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1245);
// compiled member node returning call1246 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1247 = callmethodflags(call1246, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1244);
// compiled call node returning call1247 (depth = 4)
  gc_frame_newslot(call1247);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1247;
  partcv[0] = 1;
  Object call1248 = callmethodflags(*var_n, "elseblock:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1243);
// compiled call node returning call1248 (depth = 3)
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1249 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1250 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1249);
// compiled call node returning call1250 (depth = 3)
  gc_frame_end(frame);
  return call1250;
}
Object meth_ast__apply_40_1_41_1259(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1261 == NULL) {
    strlit1261 = alloc_String("  ");
    gc_root(strlit1261);
  }
// compiled string node returning strlit1261 (depth = 7)
  int op_slot_right_1260 = gc_frame_newslot(strlit1261);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_1260 = gc_frame_newslot(*var_spc);
  params[0] = strlit1261;
  partcv[0] = 1;
  Object opresult1263 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult1263 (depth = 6)
  *var_spc = opresult1263;
  if (opresult1263 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1360(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1362 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1364 = alloc_Float64(2);
// compiled num node returning num1364 (depth = 10)
  int op_slot_right_1363 = gc_frame_newslot(num1364);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1363 = gc_frame_newslot(*var_depth);
  params[0] = num1364;
  partcv[0] = 1;
  Object sum1366 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1366 (depth = 9)
  gc_frame_newslot(sum1366);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1366;
  partcv[0] = 1;
  Object call1367 = callmethodflags(*var_ix, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1362);
// compiled call node returning call1367 (depth = 8)
  int op_slot_right_1361 = gc_frame_newslot(call1367);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1369 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1372 == NULL) {
    strlit1372 = alloc_String("""\x0a""  ");
    gc_root(strlit1372);
  }
// compiled string node returning strlit1372 (depth = 10)
  int op_slot_right_1371 = gc_frame_newslot(strlit1372);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1371 = gc_frame_newslot(*var_s);
  params[0] = strlit1372;
  partcv[0] = 1;
  Object opresult1374 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1374 (depth = 9)
  int op_slot_left_1369 = gc_frame_newslot(opresult1374);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1375 = callmethod(opresult1374, "++(1)", 1, partcv, params);
// compiled op node returning opresult1375 (depth = 8)
  int op_slot_left_1361 = gc_frame_newslot(opresult1375);
  params[0] = call1367;
  partcv[0] = 1;
  Object opresult1376 = callmethod(opresult1375, "++(1)", 1, partcv, params);
// compiled op node returning opresult1376 (depth = 7)
  *var_s = opresult1376;
  if (opresult1376 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1399(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1401 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1403 = alloc_Float64(2);
// compiled num node returning num1403 (depth = 10)
  int op_slot_right_1402 = gc_frame_newslot(num1403);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1402 = gc_frame_newslot(*var_depth);
  params[0] = num1403;
  partcv[0] = 1;
  Object sum1405 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1405 (depth = 9)
  gc_frame_newslot(sum1405);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1405;
  partcv[0] = 1;
  Object call1406 = callmethodflags(*var_ix, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1401);
// compiled call node returning call1406 (depth = 8)
  int op_slot_right_1400 = gc_frame_newslot(call1406);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1408 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1411 == NULL) {
    strlit1411 = alloc_String("""\x0a""  ");
    gc_root(strlit1411);
  }
// compiled string node returning strlit1411 (depth = 10)
  int op_slot_right_1410 = gc_frame_newslot(strlit1411);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1410 = gc_frame_newslot(*var_s);
  params[0] = strlit1411;
  partcv[0] = 1;
  Object opresult1413 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1413 (depth = 9)
  int op_slot_left_1408 = gc_frame_newslot(opresult1413);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1414 = callmethod(opresult1413, "++(1)", 1, partcv, params);
// compiled op node returning opresult1414 (depth = 8)
  int op_slot_left_1400 = gc_frame_newslot(opresult1414);
  params[0] = call1406;
  partcv[0] = 1;
  Object opresult1415 = callmethod(opresult1414, "++(1)", 1, partcv, params);
// compiled op node returning opresult1415 (depth = 7)
  *var_s = opresult1415;
  if (opresult1415 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_1251(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1252 == NULL) {
    strlit1252 = alloc_String("");
    gc_root(strlit1252);
  }
// compiled string node returning strlit1252 (depth = 4)
  *var_spc = strlit1252;
  if (strlit1252 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1253 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_1254 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num1256 = alloc_Float64(0);
// compiled num node returning num1256 (depth = 5)
  int op_slot_left_1254 = gc_frame_newslot(num1256);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1257 = callmethod(num1256, "..(1)", 1, partcv, params);
// compiled op node returning opresult1257 (depth = 4)
  gc_frame_newslot(opresult1257);
// starting to compile block node (depth = 4)
  Object block1258 = alloc_Block(NULL, NULL, "ast", 275);
  gc_frame_newslot(block1258);
// method "_apply(_)"
  block_savedest(block1258);
  Object closure1259 = createclosure(2, "_apply(1)");
  setclosureframe(closure1259, stackframe);
  addtoclosure(closure1259, var_spc);
  addtoclosure(closure1259, selfslot);
  struct UserObject *uo1259 = (struct UserObject*)block1258;
  uo1259->data[0] = (Object)closure1259;
  Method *meth_meth_ast__apply_40_1_41_1259 = addmethod2pos(block1258, "_apply(1)", &meth_ast__apply_40_1_41_1259, 0);
  int argcv_meth_ast__apply_40_1_41_1259[] = {1};
  meth_meth_ast__apply_40_1_41_1259->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1259);
  meth_meth_ast__apply_40_1_41_1259->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1259->definitionLine = 2947;
// compiled block node returning block1258 (depth = 4)
  gc_frame_newslot(block1258);
// call case 5: prelude request
  params[0] = opresult1257;
  params[1] = block1258;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1266 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1253);
// compiled call node returning call1266 (depth = 3)
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1268 == NULL) {
    strlit1268 = alloc_String("""\x0a""");
    gc_root(strlit1268);
  }
// compiled string node returning strlit1268 (depth = 5)
  int op_slot_right_1267 = gc_frame_newslot(strlit1268);
// starting to compile call node (depth = 5)
  int callframe1270 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call1271 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1270);
// compiled call node returning call1271 (depth = 5)
  int op_slot_left_1267 = gc_frame_newslot(call1271);
  params[0] = strlit1268;
  partcv[0] = 1;
  Object opresult1272 = callmethod(call1271, "++(1)", 1, partcv, params);
// compiled op node returning opresult1272 (depth = 4)
  *var_s = opresult1272;
  if (opresult1272 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1274 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1276 = alloc_Float64(1);
// compiled num node returning num1276 (depth = 7)
  int op_slot_right_1275 = gc_frame_newslot(num1276);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_1275 = gc_frame_newslot(*var_depth);
  params[0] = num1276;
  partcv[0] = 1;
  Object sum1278 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1278 (depth = 6)
  gc_frame_newslot(sum1278);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1279 = gc_frame_new();
// call case 4: self request
  Object call1280 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1279);
// compiled member node returning call1280 (depth = 6)
  params[0] = sum1278;
  partcv[0] = 1;
  Object call1281 = callmethodflags(call1280, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1274);
// compiled call node returning call1281 (depth = 5)
  int op_slot_right_1273 = gc_frame_newslot(call1281);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1283 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1283 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1285 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1285 (depth = 5)
  int op_slot_left_1273 = gc_frame_newslot(opresult1285);
  params[0] = call1281;
  partcv[0] = 1;
  Object opresult1286 = callmethod(opresult1285, "++(1)", 1, partcv, params);
// compiled op node returning opresult1286 (depth = 4)
  *var_s = opresult1286;
  if (opresult1286 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1289 == NULL) {
    strlit1289 = alloc_String("""\x0a""");
    gc_root(strlit1289);
  }
// compiled string node returning strlit1289 (depth = 5)
  int op_slot_right_1288 = gc_frame_newslot(strlit1289);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_1288 = gc_frame_newslot(*var_s);
  params[0] = strlit1289;
  partcv[0] = 1;
  Object opresult1291 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1291 (depth = 4)
  *var_s = opresult1291;
  if (opresult1291 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1295 == NULL) {
    strlit1295 = alloc_String("symbols");
    gc_root(strlit1295);
  }
// compiled string node returning strlit1295 (depth = 5)
  int op_slot_right_1294 = gc_frame_newslot(strlit1295);
// starting to compile member node (depth = 5)
  int callframe1297 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_util (depth = 6)
  Object call1298 = callmethodflags(*var_util, "target", 0, partcv, params, 0);
  gc_frame_end(callframe1297);
// compiled member node returning call1298 (depth = 5)
  int op_slot_left_1294 = gc_frame_newslot(call1298);
  params[0] = strlit1295;
  partcv[0] = 1;
  Object opresult1299 = callmethod(call1298, "==(1)", 1, partcv, params);
// compiled op node returning opresult1299 (depth = 4)
  Object if1293 = done;
  if (istrue(opresult1299)) {
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1302 == NULL) {
    strlit1302 = alloc_String("""\x0a""");
    gc_root(strlit1302);
  }
// compiled string node returning strlit1302 (depth = 7)
  int op_slot_right_1301 = gc_frame_newslot(strlit1302);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1305 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1307 = alloc_Float64(2);
// compiled num node returning num1307 (depth = 10)
  int op_slot_right_1306 = gc_frame_newslot(num1307);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1306 = gc_frame_newslot(*var_depth);
  params[0] = num1307;
  partcv[0] = 1;
  Object sum1309 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1309 (depth = 9)
  gc_frame_newslot(sum1309);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1310 = gc_frame_new();
// call case 4: self request
  Object call1311 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1310);
// compiled member node returning call1311 (depth = 9)
  params[0] = sum1309;
  partcv[0] = 1;
  Object call1312 = callmethodflags(call1311, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1305);
// compiled call node returning call1312 (depth = 8)
  int op_slot_right_1304 = gc_frame_newslot(call1312);
// starting to compile string node (depth = 8)
  if (strlit1314 == NULL) {
    strlit1314 = alloc_String("Then: ");
    gc_root(strlit1314);
  }
// compiled string node returning strlit1314 (depth = 8)
  int op_slot_left_1304 = gc_frame_newslot(strlit1314);
  params[0] = call1312;
  partcv[0] = 1;
  Object opresult1315 = callmethod(strlit1314, "++(1)", 1, partcv, params);
// compiled op node returning opresult1315 (depth = 7)
  int op_slot_left_1301 = gc_frame_newslot(opresult1315);
  params[0] = strlit1302;
  partcv[0] = 1;
  Object opresult1316 = callmethod(opresult1315, "++(1)", 1, partcv, params);
// compiled op node returning opresult1316 (depth = 6)
  int op_slot_right_1300 = gc_frame_newslot(opresult1316);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1318 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1318 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1320 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1320 (depth = 6)
  int op_slot_left_1300 = gc_frame_newslot(opresult1320);
  params[0] = opresult1316;
  partcv[0] = 1;
  Object opresult1321 = callmethod(opresult1320, "++(1)", 1, partcv, params);
// compiled op node returning opresult1321 (depth = 5)
  *var_s = opresult1321;
  if (opresult1321 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1325 == NULL) {
    strlit1325 = alloc_String("");
    gc_root(strlit1325);
  }
// compiled string node returning strlit1325 (depth = 7)
  int op_slot_right_1324 = gc_frame_newslot(strlit1325);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1328 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1330 = alloc_Float64(2);
// compiled num node returning num1330 (depth = 10)
  int op_slot_right_1329 = gc_frame_newslot(num1330);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1329 = gc_frame_newslot(*var_depth);
  params[0] = num1330;
  partcv[0] = 1;
  Object sum1332 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1332 (depth = 9)
  gc_frame_newslot(sum1332);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1333 = gc_frame_new();
// call case 4: self request
  Object call1334 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1333);
// compiled member node returning call1334 (depth = 9)
  params[0] = sum1332;
  partcv[0] = 1;
  Object call1335 = callmethodflags(call1334, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1328);
// compiled call node returning call1335 (depth = 8)
  int op_slot_right_1327 = gc_frame_newslot(call1335);
// starting to compile string node (depth = 8)
  if (strlit1337 == NULL) {
    strlit1337 = alloc_String("Else: ");
    gc_root(strlit1337);
  }
// compiled string node returning strlit1337 (depth = 8)
  int op_slot_left_1327 = gc_frame_newslot(strlit1337);
  params[0] = call1335;
  partcv[0] = 1;
  Object opresult1338 = callmethod(strlit1337, "++(1)", 1, partcv, params);
// compiled op node returning opresult1338 (depth = 7)
  int op_slot_left_1324 = gc_frame_newslot(opresult1338);
  params[0] = strlit1325;
  partcv[0] = 1;
  Object opresult1339 = callmethod(opresult1338, "++(1)", 1, partcv, params);
// compiled op node returning opresult1339 (depth = 6)
  int op_slot_right_1323 = gc_frame_newslot(opresult1339);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1341 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1341 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1343 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1343 (depth = 6)
  int op_slot_left_1323 = gc_frame_newslot(opresult1343);
  params[0] = opresult1339;
  partcv[0] = 1;
  Object opresult1344 = callmethod(opresult1343, "++(1)", 1, partcv, params);
// compiled op node returning opresult1344 (depth = 5)
  *var_s = opresult1344;
  if (opresult1344 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1293 = done;
  } else {
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1347 == NULL) {
    strlit1347 = alloc_String("Then:");
    gc_root(strlit1347);
  }
// compiled string node returning strlit1347 (depth = 6)
  int op_slot_right_1346 = gc_frame_newslot(strlit1347);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1349 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1349 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1351 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1351 (depth = 6)
  int op_slot_left_1346 = gc_frame_newslot(opresult1351);
  params[0] = strlit1347;
  partcv[0] = 1;
  Object opresult1352 = callmethod(opresult1351, "++(1)", 1, partcv, params);
// compiled op node returning opresult1352 (depth = 5)
  *var_s = opresult1352;
  if (opresult1352 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1354 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1355 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1356 = gc_frame_new();
// call case 4: self request
  Object call1357 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1356);
// compiled member node returning call1357 (depth = 6)
  Object call1358 = callmethodflags(call1357, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1355);
// compiled member node returning call1358 (depth = 5)
  gc_frame_newslot(call1358);
// starting to compile block node (depth = 5)
  Object block1359 = alloc_Block(NULL, NULL, "ast", 286);
  gc_frame_newslot(block1359);
// method "_apply(_)"
  block_savedest(block1359);
  Object closure1360 = createclosure(4, "_apply(1)");
  setclosureframe(closure1360, stackframe);
  addtoclosure(closure1360, var_depth);
  addtoclosure(closure1360, var_spc);
  addtoclosure(closure1360, var_s);
  addtoclosure(closure1360, selfslot);
  struct UserObject *uo1360 = (struct UserObject*)block1359;
  uo1360->data[0] = (Object)closure1360;
  Method *meth_meth_ast__apply_40_1_41_1360 = addmethod2pos(block1359, "_apply(1)", &meth_ast__apply_40_1_41_1360, 0);
  int argcv_meth_ast__apply_40_1_41_1360[] = {1};
  meth_meth_ast__apply_40_1_41_1360->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1360);
  meth_meth_ast__apply_40_1_41_1360->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1360->definitionLine = 2947;
// compiled block node returning block1359 (depth = 5)
  gc_frame_newslot(block1359);
// call case 5: prelude request
  params[0] = call1358;
  params[1] = block1359;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1379 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1354);
// compiled call node returning call1379 (depth = 4)
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1381 == NULL) {
    strlit1381 = alloc_String("""\x0a""");
    gc_root(strlit1381);
  }
// compiled string node returning strlit1381 (depth = 6)
  int op_slot_right_1380 = gc_frame_newslot(strlit1381);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1380 = gc_frame_newslot(*var_s);
  params[0] = strlit1381;
  partcv[0] = 1;
  Object opresult1383 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1383 (depth = 5)
  *var_s = opresult1383;
  if (opresult1383 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1386 == NULL) {
    strlit1386 = alloc_String("Else:");
    gc_root(strlit1386);
  }
// compiled string node returning strlit1386 (depth = 6)
  int op_slot_right_1385 = gc_frame_newslot(strlit1386);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1388 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1388 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1390 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1390 (depth = 6)
  int op_slot_left_1385 = gc_frame_newslot(opresult1390);
  params[0] = strlit1386;
  partcv[0] = 1;
  Object opresult1391 = callmethod(opresult1390, "++(1)", 1, partcv, params);
// compiled op node returning opresult1391 (depth = 5)
  *var_s = opresult1391;
  if (opresult1391 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1393 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1394 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1395 = gc_frame_new();
// call case 4: self request
  Object call1396 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1395);
// compiled member node returning call1396 (depth = 6)
  Object call1397 = callmethodflags(call1396, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1394);
// compiled member node returning call1397 (depth = 5)
  gc_frame_newslot(call1397);
// starting to compile block node (depth = 5)
  Object block1398 = alloc_Block(NULL, NULL, "ast", 291);
  gc_frame_newslot(block1398);
// method "_apply(_)"
  block_savedest(block1398);
  Object closure1399 = createclosure(4, "_apply(1)");
  setclosureframe(closure1399, stackframe);
  addtoclosure(closure1399, var_depth);
  addtoclosure(closure1399, var_spc);
  addtoclosure(closure1399, var_s);
  addtoclosure(closure1399, selfslot);
  struct UserObject *uo1399 = (struct UserObject*)block1398;
  uo1399->data[0] = (Object)closure1399;
  Method *meth_meth_ast__apply_40_1_41_1399 = addmethod2pos(block1398, "_apply(1)", &meth_ast__apply_40_1_41_1399, 0);
  int argcv_meth_ast__apply_40_1_41_1399[] = {1};
  meth_meth_ast__apply_40_1_41_1399->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1399);
  meth_meth_ast__apply_40_1_41_1399->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1399->definitionLine = 2947;
// compiled block node returning block1398 (depth = 5)
  gc_frame_newslot(block1398);
// call case 5: prelude request
  params[0] = call1397;
  params[1] = block1398;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1418 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1393);
// compiled call node returning call1418 (depth = 4)
    gc_frame_newslot(call1418);
    if1293 = call1418;
  }
// compiled if node returning if1293 (depth = 3)
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1423(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1425 == NULL) {
    strlit1425 = alloc_String("    ");
    gc_root(strlit1425);
  }
// compiled string node returning strlit1425 (depth = 7)
  int op_slot_right_1424 = gc_frame_newslot(strlit1425);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_1424 = gc_frame_newslot(*var_spc);
  params[0] = strlit1425;
  partcv[0] = 1;
  Object opresult1427 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult1427 (depth = 6)
  *var_spc = opresult1427;
  if (opresult1427 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1450(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1452 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1454 = alloc_Float64(1);
// compiled num node returning num1454 (depth = 9)
  int op_slot_right_1453 = gc_frame_newslot(num1454);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1453 = gc_frame_newslot(*var_depth);
  params[0] = num1454;
  partcv[0] = 1;
  Object sum1456 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1456 (depth = 8)
  gc_frame_newslot(sum1456);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  params[0] = sum1456;
  partcv[0] = 1;
  Object call1457 = callmethodflags(*var_ix, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1452);
// compiled call node returning call1457 (depth = 7)
  int op_slot_right_1451 = gc_frame_newslot(call1457);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1460 == NULL) {
    strlit1460 = alloc_String("    ");
    gc_root(strlit1460);
  }
// compiled string node returning strlit1460 (depth = 8)
  int op_slot_right_1459 = gc_frame_newslot(strlit1460);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_1462 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1465 == NULL) {
    strlit1465 = alloc_String("""\x0a""");
    gc_root(strlit1465);
  }
// compiled string node returning strlit1465 (depth = 10)
  int op_slot_right_1464 = gc_frame_newslot(strlit1465);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_1464 = gc_frame_newslot(*var_s);
  params[0] = strlit1465;
  partcv[0] = 1;
  Object opresult1467 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1467 (depth = 9)
  int op_slot_left_1462 = gc_frame_newslot(opresult1467);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1468 = callmethod(opresult1467, "++(1)", 1, partcv, params);
// compiled op node returning opresult1468 (depth = 8)
  int op_slot_left_1459 = gc_frame_newslot(opresult1468);
  params[0] = strlit1460;
  partcv[0] = 1;
  Object opresult1469 = callmethod(opresult1468, "++(1)", 1, partcv, params);
// compiled op node returning opresult1469 (depth = 7)
  int op_slot_left_1451 = gc_frame_newslot(opresult1469);
  params[0] = call1457;
  partcv[0] = 1;
  Object opresult1470 = callmethod(opresult1469, "++(1)", 1, partcv, params);
// compiled op node returning opresult1470 (depth = 6)
  *var_s = opresult1470;
  if (opresult1470 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1497(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1499 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num1501 = alloc_Float64(1);
// compiled num node returning num1501 (depth = 10)
  int op_slot_right_1500 = gc_frame_newslot(num1501);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_1500 = gc_frame_newslot(*var_depth);
  params[0] = num1501;
  partcv[0] = 1;
  Object sum1503 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1503 (depth = 9)
  gc_frame_newslot(sum1503);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ix (depth = 9)
  params[0] = sum1503;
  partcv[0] = 1;
  Object call1504 = callmethodflags(*var_ix, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1499);
// compiled call node returning call1504 (depth = 8)
  int op_slot_right_1498 = gc_frame_newslot(call1504);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1507 == NULL) {
    strlit1507 = alloc_String("    ");
    gc_root(strlit1507);
  }
// compiled string node returning strlit1507 (depth = 9)
  int op_slot_right_1506 = gc_frame_newslot(strlit1507);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_1509 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1512 == NULL) {
    strlit1512 = alloc_String("""\x0a""");
    gc_root(strlit1512);
  }
// compiled string node returning strlit1512 (depth = 11)
  int op_slot_right_1511 = gc_frame_newslot(strlit1512);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1511 = gc_frame_newslot(*var_s);
  params[0] = strlit1512;
  partcv[0] = 1;
  Object opresult1514 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1514 (depth = 10)
  int op_slot_left_1509 = gc_frame_newslot(opresult1514);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1515 = callmethod(opresult1514, "++(1)", 1, partcv, params);
// compiled op node returning opresult1515 (depth = 9)
  int op_slot_left_1506 = gc_frame_newslot(opresult1515);
  params[0] = strlit1507;
  partcv[0] = 1;
  Object opresult1516 = callmethod(opresult1515, "++(1)", 1, partcv, params);
// compiled op node returning opresult1516 (depth = 8)
  int op_slot_left_1498 = gc_frame_newslot(opresult1516);
  params[0] = call1504;
  partcv[0] = 1;
  Object opresult1517 = callmethod(opresult1516, "++(1)", 1, partcv, params);
// compiled op node returning opresult1517 (depth = 7)
  *var_s = opresult1517;
  if (opresult1517 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_1419(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1420 == NULL) {
    strlit1420 = alloc_String("");
    gc_root(strlit1420);
  }
// compiled string node returning strlit1420 (depth = 4)
  *var_spc = strlit1420;
  if (strlit1420 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1421 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block1422 = alloc_Block(NULL, NULL, "ast", 299);
  gc_frame_newslot(block1422);
// method "_apply"
  block_savedest(block1422);
  Object closure1423 = createclosure(2, "_apply");
  setclosureframe(closure1423, stackframe);
  addtoclosure(closure1423, var_spc);
  addtoclosure(closure1423, selfslot);
  struct UserObject *uo1423 = (struct UserObject*)block1422;
  uo1423->data[0] = (Object)closure1423;
  Method *meth_meth_ast__apply1423 = addmethod2pos(block1422, "_apply", &meth_ast__apply1423, 0);
  int argcv_meth_ast__apply1423[] = {0};
  meth_meth_ast__apply1423->type = alloc_MethodType(1, argcv_meth_ast__apply1423);
  meth_meth_ast__apply1423->definitionModule = modulename;
  meth_meth_ast__apply1423->definitionLine = 2947;
// compiled block node returning block1422 (depth = 4)
  gc_frame_newslot(block1422);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block1422;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1430 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1421);
// compiled call node returning call1430 (depth = 3)
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1432 == NULL) {
    strlit1432 = alloc_String(") then {");
    gc_root(strlit1432);
  }
// compiled string node returning strlit1432 (depth = 5)
  int op_slot_right_1431 = gc_frame_newslot(strlit1432);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1435 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num1436 = alloc_Float64(0);
// compiled num node returning num1436 (depth = 7)
  gc_frame_newslot(num1436);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1437 = gc_frame_new();
// call case 4: self request
  Object call1438 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1437);
// compiled member node returning call1438 (depth = 7)
  params[0] = num1436;
  partcv[0] = 1;
  Object call1439 = callmethodflags(call1438, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1435);
// compiled call node returning call1439 (depth = 6)
  int op_slot_right_1434 = gc_frame_newslot(call1439);
// starting to compile string node (depth = 6)
  if (strlit1441 == NULL) {
    strlit1441 = alloc_String("if (");
    gc_root(strlit1441);
  }
// compiled string node returning strlit1441 (depth = 6)
  int op_slot_left_1434 = gc_frame_newslot(strlit1441);
  params[0] = call1439;
  partcv[0] = 1;
  Object opresult1442 = callmethod(strlit1441, "++(1)", 1, partcv, params);
// compiled op node returning opresult1442 (depth = 5)
  int op_slot_left_1431 = gc_frame_newslot(opresult1442);
  params[0] = strlit1432;
  partcv[0] = 1;
  Object opresult1443 = callmethod(opresult1442, "++(1)", 1, partcv, params);
// compiled op node returning opresult1443 (depth = 4)
  *var_s = opresult1443;
  if (opresult1443 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1444 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1445 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1446 = gc_frame_new();
// call case 4: self request
  Object call1447 = callmethodflags(self, "thenblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1446);
// compiled member node returning call1447 (depth = 5)
  Object call1448 = callmethodflags(call1447, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1445);
// compiled member node returning call1448 (depth = 4)
  gc_frame_newslot(call1448);
// starting to compile block node (depth = 4)
  Object block1449 = alloc_Block(NULL, NULL, "ast", 303);
  gc_frame_newslot(block1449);
// method "_apply(_)"
  block_savedest(block1449);
  Object closure1450 = createclosure(4, "_apply(1)");
  setclosureframe(closure1450, stackframe);
  addtoclosure(closure1450, var_depth);
  addtoclosure(closure1450, var_spc);
  addtoclosure(closure1450, var_s);
  addtoclosure(closure1450, selfslot);
  struct UserObject *uo1450 = (struct UserObject*)block1449;
  uo1450->data[0] = (Object)closure1450;
  Method *meth_meth_ast__apply_40_1_41_1450 = addmethod2pos(block1449, "_apply(1)", &meth_ast__apply_40_1_41_1450, 0);
  int argcv_meth_ast__apply_40_1_41_1450[] = {1};
  meth_meth_ast__apply_40_1_41_1450->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1450);
  meth_meth_ast__apply_40_1_41_1450->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1450->definitionLine = 2947;
// compiled block node returning block1449 (depth = 4)
  gc_frame_newslot(block1449);
// call case 5: prelude request
  params[0] = call1448;
  params[1] = block1449;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1473 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1444);
// compiled call node returning call1473 (depth = 3)
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1475 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1476 = gc_frame_new();
// call case 4: self request
  Object call1477 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1476);
// compiled member node returning call1477 (depth = 5)
  Object call1478 = callmethodflags(call1477, "isntEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1475);
// compiled member node returning call1478 (depth = 4)
  Object if1474 = done;
  if (istrue(call1478)) {
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1480 == NULL) {
    strlit1480 = alloc_String("} else {");
    gc_root(strlit1480);
  }
// compiled string node returning strlit1480 (depth = 6)
  int op_slot_right_1479 = gc_frame_newslot(strlit1480);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1482 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1485 == NULL) {
    strlit1485 = alloc_String("""\x0a""");
    gc_root(strlit1485);
  }
// compiled string node returning strlit1485 (depth = 8)
  int op_slot_right_1484 = gc_frame_newslot(strlit1485);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1484 = gc_frame_newslot(*var_s);
  params[0] = strlit1485;
  partcv[0] = 1;
  Object opresult1487 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1487 (depth = 7)
  int op_slot_left_1482 = gc_frame_newslot(opresult1487);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1488 = callmethod(opresult1487, "++(1)", 1, partcv, params);
// compiled op node returning opresult1488 (depth = 6)
  int op_slot_left_1479 = gc_frame_newslot(opresult1488);
  params[0] = strlit1480;
  partcv[0] = 1;
  Object opresult1489 = callmethod(opresult1488, "++(1)", 1, partcv, params);
// compiled op node returning opresult1489 (depth = 5)
  *var_s = opresult1489;
  if (opresult1489 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1491 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1492 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1493 = gc_frame_new();
// call case 4: self request
  Object call1494 = callmethodflags(self, "elseblock", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1493);
// compiled member node returning call1494 (depth = 6)
  Object call1495 = callmethodflags(call1494, "body", 0, partcv, params, 0);
  gc_frame_end(callframe1492);
// compiled member node returning call1495 (depth = 5)
  gc_frame_newslot(call1495);
// starting to compile block node (depth = 5)
  Object block1496 = alloc_Block(NULL, NULL, "ast", 308);
  gc_frame_newslot(block1496);
// method "_apply(_)"
  block_savedest(block1496);
  Object closure1497 = createclosure(4, "_apply(1)");
  setclosureframe(closure1497, stackframe);
  addtoclosure(closure1497, var_depth);
  addtoclosure(closure1497, var_spc);
  addtoclosure(closure1497, var_s);
  addtoclosure(closure1497, selfslot);
  struct UserObject *uo1497 = (struct UserObject*)block1496;
  uo1497->data[0] = (Object)closure1497;
  Method *meth_meth_ast__apply_40_1_41_1497 = addmethod2pos(block1496, "_apply(1)", &meth_ast__apply_40_1_41_1497, 0);
  int argcv_meth_ast__apply_40_1_41_1497[] = {1};
  meth_meth_ast__apply_40_1_41_1497->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1497);
  meth_meth_ast__apply_40_1_41_1497->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1497->definitionLine = 2947;
// compiled block node returning block1496 (depth = 5)
  gc_frame_newslot(block1496);
// call case 5: prelude request
  params[0] = call1495;
  params[1] = block1496;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1520 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1491);
// compiled call node returning call1520 (depth = 4)
    gc_frame_newslot(call1520);
    if1474 = call1520;
  } else {
  }
// compiled if node returning if1474 (depth = 3)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1522 == NULL) {
    strlit1522 = alloc_String("}");
    gc_root(strlit1522);
  }
// compiled string node returning strlit1522 (depth = 5)
  int op_slot_right_1521 = gc_frame_newslot(strlit1522);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1524 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1527 == NULL) {
    strlit1527 = alloc_String("""\x0a""");
    gc_root(strlit1527);
  }
// compiled string node returning strlit1527 (depth = 7)
  int op_slot_right_1526 = gc_frame_newslot(strlit1527);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1526 = gc_frame_newslot(*var_s);
  params[0] = strlit1527;
  partcv[0] = 1;
  Object opresult1529 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1529 (depth = 6)
  int op_slot_left_1524 = gc_frame_newslot(opresult1529);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1530 = callmethod(opresult1529, "++(1)", 1, partcv, params);
// compiled op node returning opresult1530 (depth = 5)
  int op_slot_left_1521 = gc_frame_newslot(opresult1530);
  params[0] = strlit1522;
  partcv[0] = 1;
  Object opresult1531 = callmethod(opresult1530, "++(1)", 1, partcv, params);
// compiled op node returning opresult1531 (depth = 4)
  *var_s = opresult1531;
  if (opresult1531 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy1533(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_ifNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1534 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe1535 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ifNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_nullNode;
  params[2] = *var_nullNode;
  partcv[0] = 3;
  Object call1536 = callmethodflags(*var_ifNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe1535);
// compiled call node returning call1536 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1537 = callmethodflags(call1536, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1534);
// compiled call node returning call1537 (depth = 3)
  gc_frame_end(frame);
  return call1537;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_1538(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1539 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1540 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1539);
// compiled call node returning call1540 (depth = 3)
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1541 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1542 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call1543 = callmethodflags(*var_other, "handledIdentifiers", 0, partcv, params, 0);
  gc_frame_end(callframe1542);
// compiled member node returning call1543 (depth = 4)
  gc_frame_newslot(call1543);
// call case 4: self request
  params[0] = call1543;
  partcv[0] = 1;
  Object call1544 = callmethodflags(self, "handledIdentifiers:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1541);
// compiled call node returning call1544 (depth = 3)
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_3_41_1198(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_ifNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1199 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1199 = alloc_userobj2(16,13, objclass1199);
  gc_frame_newslot(obj1199);
if (objclass1199 == NULL) {
  glfree(obj1199->class->name);
  obj1199->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1199, self, 0);
  addmethodreal(obj1199,"outer", &reader_ast_outer_1200);
  Object oldself1199 = self;
  struct StackFrameObject *oldstackframe1199 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1199);
  gc_frame_newslot((Object)stackframe);
  self = obj1199;
  Object *oldselfslot1199 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1199 = (*(struct UserObject *)self).data[0], lowerouter1199 = thisouter1199;
  if (inheritingObject1199) {
    struct UserObject *inho1199 = (struct UserObject *)inheritingObject1199;
    while (inho1199->super != GraceDefaultObject) inho1199 = (struct UserObject *)inho1199->super;
    inho1199->super = obj1199;
    self = inheritingObject1199;
    *selfslot = self;
    lowerouter1199 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1199;
  }
if (objclass1199 == NULL) {
  Method *reader1201 = addmethodrealflags(obj1199, "kind",&reader_ast_kind_1201, MFLAG_DEF);
  reader1201->definitionModule = modulename;
  reader1201->definitionLine = 251;
}
adddatum2(obj1199, alloc_Undefined(), 1);
if (objclass1199 == NULL) {
  Method *reader1202 = addmethodrealflags(obj1199, "value", &reader_ast_value_1202, 0);
  Method *writer1202 = addmethodrealflags(obj1199, "value:=(1)", &writer_ast_value_1202, 0);
  reader1202->definitionModule = modulename;
  writer1202->definitionModule = modulename;
  reader1202->definitionLine = 252;
  writer1202->definitionLine = 252;
}
obj1199->flags |= OFLAG_MUTABLE;
adddatum2(obj1199, alloc_Undefined(), 2);
if (objclass1199 == NULL) {
  Method *reader1203 = addmethodrealflags(obj1199, "thenblock", &reader_ast_thenblock_1203, 0);
  Method *writer1203 = addmethodrealflags(obj1199, "thenblock:=(1)", &writer_ast_thenblock_1203, 0);
  reader1203->definitionModule = modulename;
  writer1203->definitionModule = modulename;
  reader1203->definitionLine = 253;
  writer1203->definitionLine = 253;
}
obj1199->flags |= OFLAG_MUTABLE;
adddatum2(obj1199, alloc_Undefined(), 3);
if (objclass1199 == NULL) {
  Method *reader1204 = addmethodrealflags(obj1199, "elseblock", &reader_ast_elseblock_1204, 0);
  Method *writer1204 = addmethodrealflags(obj1199, "elseblock:=(1)", &writer_ast_elseblock_1204, 0);
  reader1204->definitionModule = modulename;
  writer1204->definitionModule = modulename;
  reader1204->definitionLine = 254;
  writer1204->definitionLine = 254;
}
obj1199->flags |= OFLAG_MUTABLE;
adddatum2(obj1199, alloc_Undefined(), 4);
if (objclass1199 == NULL) {
  Method *reader1205 = addmethodrealflags(obj1199, "handledIdentifiers", &reader_ast_handledIdentifiers_1205, 0);
  Method *writer1205 = addmethodrealflags(obj1199, "handledIdentifiers:=(1)", &writer_ast_handledIdentifiers_1205, 0);
  reader1205->definitionModule = modulename;
  writer1205->definitionModule = modulename;
  reader1205->definitionLine = 255;
  writer1205->definitionLine = 255;
}
obj1199->flags |= OFLAG_MUTABLE;
adddatum2(obj1199, alloc_Undefined(), 5);
// method "isSimple"
  struct UserObject *uo1206 = (struct UserObject*)obj1199;
  uo1206->data[6] = emptyclosure;
  Method *meth_meth_ast_isSimple1206 = addmethod2pos(obj1199, "isSimple", &meth_ast_isSimple1206, 6);
  int argcv_meth_ast_isSimple1206[] = {0};
  meth_meth_ast_isSimple1206->type = alloc_MethodType(1, argcv_meth_ast_isSimple1206);
  meth_meth_ast_isSimple1206->definitionModule = modulename;
  meth_meth_ast_isSimple1206->definitionLine = 256;
// method "accept(_)from(_)"
  struct UserObject *uo1208 = (struct UserObject*)obj1199;
  uo1208->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1208 = addmethod2pos(obj1199, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1208, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1208[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1208->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1208);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1208->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1208->definitionLine = 257;
// method "map(_)ancestors(_)"
  struct UserObject *uo1226 = (struct UserObject*)obj1199;
  uo1226->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1226 = addmethod2pos(obj1199, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1226, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1226[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1226->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1226);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1226->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1226->definitionLine = 265;
// method "pretty(_)"
  block_savedest(obj1199);
  Object closure1251 = createclosure(1, "pretty(1)");
  setclosureframe(closure1251, stackframe);
  addtoclosure(closure1251, var_util);
  struct UserObject *uo1251 = (struct UserObject*)obj1199;
  uo1251->data[9] = (Object)closure1251;
  Method *meth_meth_ast_pretty_40_1_41_1251 = addmethod2pos(obj1199, "pretty(1)", &meth_ast_pretty_40_1_41_1251, 9);
  int argcv_meth_ast_pretty_40_1_41_1251[] = {1};
  meth_meth_ast_pretty_40_1_41_1251->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1251);
  meth_meth_ast_pretty_40_1_41_1251->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1251->definitionLine = 273;
// method "toGrace(_)"
  struct UserObject *uo1419 = (struct UserObject*)obj1199;
  uo1419->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1419 = addmethod2pos(obj1199, "toGrace(1)", &meth_ast_toGrace_40_1_41_1419, 10);
  int argcv_meth_ast_toGrace_40_1_41_1419[] = {1};
  meth_meth_ast_toGrace_40_1_41_1419->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1419);
meth_meth_ast_toGrace_40_1_41_1419->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_1419->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_1419->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1419->definitionLine = 297;
// method "shallowCopy"
  block_savedest(obj1199);
  Object closure1533 = createclosure(2, "shallowCopy");
  setclosureframe(closure1533, stackframe);
  addtoclosure(closure1533, var_nullNode);
  addtoclosure(closure1533, var_ifNode);
  struct UserObject *uo1533 = (struct UserObject*)obj1199;
  uo1533->data[11] = (Object)closure1533;
  Method *meth_meth_ast_shallowCopy1533 = addmethod2pos(obj1199, "shallowCopy", &meth_ast_shallowCopy1533, 11);
  int argcv_meth_ast_shallowCopy1533[] = {0};
  meth_meth_ast_shallowCopy1533->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy1533);
  meth_meth_ast_shallowCopy1533->definitionModule = modulename;
  meth_meth_ast_shallowCopy1533->definitionLine = 315;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo1538 = (struct UserObject*)obj1199;
  uo1538->data[12] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1538 = addmethod2pos(obj1199, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_1538, 12);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_1538[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1538->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_1538);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1538->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1538->definitionLine = 318;
  sourceObject = obj1199;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1545 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1546 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1547 = gc_frame_new();
// call case 3: self.outer request
  Object call1548 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1547);
// compiled member node returning call1548 (depth = 5)
  Object call1549 = callmethodflags(call1548, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1546);
// compiled member node returning call1549 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1550 = callmethodflags(call1549, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1545);
// compiled call node returning call1550 (depth = 3)
  struct UserObject *obj1199_uo = (struct UserObject *)obj1199;
  obj1199_uo->super = call1550;
  sourceObject = obj1199;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1551 == NULL) {
    strlit1551 = alloc_String("if");
    gc_root(strlit1551);
  }
// compiled string node returning strlit1551 (depth = 3)
  adddatum2(obj1199, strlit1551, 1);
  sourceObject = obj1199;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cond (depth = 3)
  adddatum2(obj1199, *var_cond, 2);
  sourceObject = obj1199;
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_thenblock_39_ (depth = 3)
  adddatum2(obj1199, *var_thenblock_39_, 3);
  sourceObject = obj1199;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elseblock_39_ (depth = 3)
  adddatum2(obj1199, *var_elseblock_39_, 4);
  sourceObject = obj1199;
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1552 = alloc_Boolean(0);
// compiled identifier node returning bool1552 (depth = 3)
  adddatum2(obj1199, bool1552, 5);
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  objclass1199 = obj1199->class;
  objclass1199->definitionModule = modulename;
  objclass1199->definitionLine = 249;
  (*(struct UserObject *)self).data[0] = lowerouter1199;
  self = oldself1199;
  selfslot = oldselfslot1199;
  stackframe = oldstackframe1199;
  gc_frame_end(frame);
  return obj1199;
}
Object meth_ast_new_40_3_41_1198_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_ifNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenblock_39_ = &(stackframe->slots[1]);
  *var_thenblock_39_ = args[curarg];
  curarg++;
  Object *var_elseblock_39_ = &(stackframe->slots[2]);
  *var_elseblock_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1199 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1199 = alloc_userobj2(16,13, objclass1199);
  gc_frame_newslot(obj1199);
if (objclass1199 == NULL) {
  glfree(obj1199->class->name);
  obj1199->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1199, self, 0);
  addmethodreal(obj1199,"outer", &reader_ast_outer_1200);
  Object oldself1199 = self;
  struct StackFrameObject *oldstackframe1199 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1199);
  gc_frame_newslot((Object)stackframe);
  self = obj1199;
  Object *oldselfslot1199 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1199 = (*(struct UserObject *)self).data[0], lowerouter1199 = thisouter1199;
  if (inheritingObject1199) {
    struct UserObject *inho1199 = (struct UserObject *)inheritingObject1199;
    while (inho1199->super != GraceDefaultObject) inho1199 = (struct UserObject *)inho1199->super;
    inho1199->super = obj1199;
    self = inheritingObject1199;
    *selfslot = self;
    lowerouter1199 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1199;
  }
if (objclass1199 == NULL) {
  Method *reader1201 = addmethodrealflags(obj1199, "kind",&reader_ast_kind_1201, MFLAG_DEF);
  reader1201->definitionModule = modulename;
  reader1201->definitionLine = 251;
}
adddatum2(obj1199, alloc_Undefined(), 1);
if (objclass1199 == NULL) {
  Method *reader1202 = addmethodrealflags(obj1199, "value", &reader_ast_value_1202, 0);
  Method *writer1202 = addmethodrealflags(obj1199, "value:=(1)", &writer_ast_value_1202, 0);
  reader1202->definitionModule = modulename;
  writer1202->definitionModule = modulename;
  reader1202->definitionLine = 252;
  writer1202->definitionLine = 252;
}
obj1199->flags |= OFLAG_MUTABLE;
adddatum2(obj1199, alloc_Undefined(), 2);
if (objclass1199 == NULL) {
  Method *reader1203 = addmethodrealflags(obj1199, "thenblock", &reader_ast_thenblock_1203, 0);
  Method *writer1203 = addmethodrealflags(obj1199, "thenblock:=(1)", &writer_ast_thenblock_1203, 0);
  reader1203->definitionModule = modulename;
  writer1203->definitionModule = modulename;
  reader1203->definitionLine = 253;
  writer1203->definitionLine = 253;
}
obj1199->flags |= OFLAG_MUTABLE;
adddatum2(obj1199, alloc_Undefined(), 3);
if (objclass1199 == NULL) {
  Method *reader1204 = addmethodrealflags(obj1199, "elseblock", &reader_ast_elseblock_1204, 0);
  Method *writer1204 = addmethodrealflags(obj1199, "elseblock:=(1)", &writer_ast_elseblock_1204, 0);
  reader1204->definitionModule = modulename;
  writer1204->definitionModule = modulename;
  reader1204->definitionLine = 254;
  writer1204->definitionLine = 254;
}
obj1199->flags |= OFLAG_MUTABLE;
adddatum2(obj1199, alloc_Undefined(), 4);
if (objclass1199 == NULL) {
  Method *reader1205 = addmethodrealflags(obj1199, "handledIdentifiers", &reader_ast_handledIdentifiers_1205, 0);
  Method *writer1205 = addmethodrealflags(obj1199, "handledIdentifiers:=(1)", &writer_ast_handledIdentifiers_1205, 0);
  reader1205->definitionModule = modulename;
  writer1205->definitionModule = modulename;
  reader1205->definitionLine = 255;
  writer1205->definitionLine = 255;
}
obj1199->flags |= OFLAG_MUTABLE;
adddatum2(obj1199, alloc_Undefined(), 5);
// method "isSimple"
  struct UserObject *uo1206 = (struct UserObject*)obj1199;
  uo1206->data[6] = emptyclosure;
  Method *meth_meth_ast_isSimple1206 = addmethod2pos(obj1199, "isSimple", &meth_ast_isSimple1206, 6);
  int argcv_meth_ast_isSimple1206[] = {0};
  meth_meth_ast_isSimple1206->type = alloc_MethodType(1, argcv_meth_ast_isSimple1206);
  meth_meth_ast_isSimple1206->definitionModule = modulename;
  meth_meth_ast_isSimple1206->definitionLine = 256;
// method "accept(_)from(_)"
  struct UserObject *uo1208 = (struct UserObject*)obj1199;
  uo1208->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1208 = addmethod2pos(obj1199, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1208, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1208[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1208->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1208);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1208->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1208->definitionLine = 257;
// method "map(_)ancestors(_)"
  struct UserObject *uo1226 = (struct UserObject*)obj1199;
  uo1226->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1226 = addmethod2pos(obj1199, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1226, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1226[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1226->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1226);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1226->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1226->definitionLine = 265;
// method "pretty(_)"
  block_savedest(obj1199);
  Object closure1251 = createclosure(1, "pretty(1)");
  setclosureframe(closure1251, stackframe);
  addtoclosure(closure1251, var_util);
  struct UserObject *uo1251 = (struct UserObject*)obj1199;
  uo1251->data[9] = (Object)closure1251;
  Method *meth_meth_ast_pretty_40_1_41_1251 = addmethod2pos(obj1199, "pretty(1)", &meth_ast_pretty_40_1_41_1251, 9);
  int argcv_meth_ast_pretty_40_1_41_1251[] = {1};
  meth_meth_ast_pretty_40_1_41_1251->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1251);
  meth_meth_ast_pretty_40_1_41_1251->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1251->definitionLine = 273;
// method "toGrace(_)"
  struct UserObject *uo1419 = (struct UserObject*)obj1199;
  uo1419->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1419 = addmethod2pos(obj1199, "toGrace(1)", &meth_ast_toGrace_40_1_41_1419, 10);
  int argcv_meth_ast_toGrace_40_1_41_1419[] = {1};
  meth_meth_ast_toGrace_40_1_41_1419->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1419);
meth_meth_ast_toGrace_40_1_41_1419->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_1419->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_1419->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1419->definitionLine = 297;
// method "shallowCopy"
  block_savedest(obj1199);
  Object closure1533 = createclosure(2, "shallowCopy");
  setclosureframe(closure1533, stackframe);
  addtoclosure(closure1533, var_nullNode);
  addtoclosure(closure1533, var_ifNode);
  struct UserObject *uo1533 = (struct UserObject*)obj1199;
  uo1533->data[11] = (Object)closure1533;
  Method *meth_meth_ast_shallowCopy1533 = addmethod2pos(obj1199, "shallowCopy", &meth_ast_shallowCopy1533, 11);
  int argcv_meth_ast_shallowCopy1533[] = {0};
  meth_meth_ast_shallowCopy1533->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy1533);
  meth_meth_ast_shallowCopy1533->definitionModule = modulename;
  meth_meth_ast_shallowCopy1533->definitionLine = 315;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo1538 = (struct UserObject*)obj1199;
  uo1538->data[12] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1538 = addmethod2pos(obj1199, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_1538, 12);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_1538[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1538->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_1538);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1538->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1538->definitionLine = 318;
  sourceObject = obj1199;
// Begin line 250
  setline(250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1545 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1546 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1547 = gc_frame_new();
// call case 3: self.outer request
  Object call1548 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1547);
// compiled member node returning call1548 (depth = 5)
  Object call1549 = callmethodflags(call1548, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1546);
// compiled member node returning call1549 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1550 = callmethodflags(call1549, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1545);
// compiled call node returning call1550 (depth = 3)
  struct UserObject *obj1199_uo = (struct UserObject *)obj1199;
  obj1199_uo->super = call1550;
  sourceObject = obj1199;
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1551 == NULL) {
    strlit1551 = alloc_String("if");
    gc_root(strlit1551);
  }
// compiled string node returning strlit1551 (depth = 3)
  adddatum2(obj1199, strlit1551, 1);
  sourceObject = obj1199;
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cond (depth = 3)
  adddatum2(obj1199, *var_cond, 2);
  sourceObject = obj1199;
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_thenblock_39_ (depth = 3)
  adddatum2(obj1199, *var_thenblock_39_, 3);
  sourceObject = obj1199;
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elseblock_39_ (depth = 3)
  adddatum2(obj1199, *var_elseblock_39_, 4);
  sourceObject = obj1199;
// Begin line 255
  setline(255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1552 = alloc_Boolean(0);
// compiled identifier node returning bool1552 (depth = 3)
  adddatum2(obj1199, bool1552, 5);
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  sourceObject = obj1199;
  objclass1199 = obj1199->class;
  objclass1199->definitionModule = modulename;
  objclass1199->definitionLine = 249;
  (*(struct UserObject *)self).data[0] = lowerouter1199;
  self = oldself1199;
  selfslot = oldselfslot1199;
  stackframe = oldstackframe1199;
  gc_frame_end(frame);
  return obj1199;
}
Object meth_ast_ifNode1554(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ifNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ifNode (depth = 3)
  gc_frame_end(frame);
  return *var_ifNode;
}
Object meth_ast_isBlock1567(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 338
  setline(338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1568 = alloc_Boolean(1);
// compiled identifier node returning bool1568 (depth = 3)
  gc_frame_end(frame);
  return bool1568;
}
Object meth_ast_isDelimited1569(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool1570 = alloc_Boolean(1);
// compiled identifier node returning bool1570 (depth = 3)
  gc_frame_end(frame);
  return bool1570;
}
Object meth_ast_isEmpty1571(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1573 = alloc_Float64(0);
// compiled num node returning num1573 (depth = 4)
  int op_slot_right_1572 = gc_frame_newslot(num1573);
// starting to compile member node (depth = 4)
  int callframe1575 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1576 = gc_frame_new();
// call case 4: self request
  Object call1577 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1576);
// compiled member node returning call1577 (depth = 5)
  Object call1578 = callmethodflags(call1577, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1575);
// compiled member node returning call1578 (depth = 4)
  int op_slot_left_1572 = gc_frame_newslot(call1578);
  params[0] = num1573;
  partcv[0] = 1;
  Object opresult1579 = callmethod(call1578, "==(1)", 1, partcv, params);
// compiled op node returning opresult1579 (depth = 3)
  gc_frame_end(frame);
  return opresult1579;
}
Object meth_ast_isntEmpty1580(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isntEmpty");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1582 = alloc_Float64(0);
// compiled num node returning num1582 (depth = 4)
  int op_slot_right_1581 = gc_frame_newslot(num1582);
// starting to compile member node (depth = 4)
  int callframe1584 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1585 = gc_frame_new();
// call case 4: self request
  Object call1586 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1585);
// compiled member node returning call1586 (depth = 5)
  Object call1587 = callmethodflags(call1586, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1584);
// compiled member node returning call1587 (depth = 4)
  int op_slot_left_1581 = gc_frame_newslot(call1587);
  params[0] = num1582;
  partcv[0] = 1;
  Object opresult1588 = callmethod(call1587, ">(1)", 1, partcv, params);
// compiled op node returning opresult1588 (depth = 3)
  gc_frame_end(frame);
  return opresult1588;
}
Object meth_ast_scope_58__61__40_1_41_1589(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1590 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call1591 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1590);
// compiled call node returning call1591 (depth = 3)
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1592 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1593 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1592);
// compiled call node returning call1593 (depth = 3)
  gc_frame_end(frame);
  return call1593;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_1594(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 348
  setline(348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1595 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call1596 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe1595);
// compiled member node returning call1596 (depth = 3)
  gc_frame_end(frame);
  return call1596;
}
Object meth_ast_isMatchingBlock1597(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMatchingBlock");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1599 = alloc_Float64(1);
// compiled num node returning num1599 (depth = 4)
  int op_slot_right_1598 = gc_frame_newslot(num1599);
// starting to compile member node (depth = 4)
  int callframe1601 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1602 = gc_frame_new();
// call case 4: self request
  Object call1603 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1602);
// compiled member node returning call1603 (depth = 5)
  Object call1604 = callmethodflags(call1603, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1601);
// compiled member node returning call1604 (depth = 4)
  int op_slot_left_1598 = gc_frame_newslot(call1604);
  params[0] = num1599;
  partcv[0] = 1;
  Object opresult1605 = callmethod(call1604, "==(1)", 1, partcv, params);
// compiled op node returning opresult1605 (depth = 3)
  gc_frame_end(frame);
  return opresult1605;
}
Object meth_ast__apply1609(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe1610 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1611 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1612 = gc_frame_new();
// call case 4: self request
  Object call1613 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1612);
// compiled member node returning call1613 (depth = 7)
  Object call1614 = callmethodflags(call1613, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1611);
// compiled member node returning call1614 (depth = 6)
  Object call1615 = callmethodflags(call1614, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe1610);
// compiled member node returning call1615 (depth = 5)
  gc_frame_end(frame);
  return call1615;
}
Object meth_ast_returnsObject1606(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block1608 = alloc_Block(NULL, NULL, "ast", 351);
  gc_frame_newslot(block1608);
// method "_apply"
  block_savedest(block1608);
  Object closure1609 = createclosure(1, "_apply");
  setclosureframe(closure1609, stackframe);
  addtoclosure(closure1609, selfslot);
  struct UserObject *uo1609 = (struct UserObject*)block1608;
  uo1609->data[0] = (Object)closure1609;
  Method *meth_meth_ast__apply1609 = addmethod2pos(block1608, "_apply", &meth_ast__apply1609, 0);
  int argcv_meth_ast__apply1609[] = {0};
  meth_meth_ast__apply1609->type = alloc_MethodType(1, argcv_meth_ast__apply1609);
  meth_meth_ast__apply1609->definitionModule = modulename;
  meth_meth_ast__apply1609->definitionLine = 2947;
// compiled block node returning block1608 (depth = 4)
  int op_slot_right_1607 = gc_frame_newslot(block1608);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1619 = alloc_Float64(0);
// compiled num node returning num1619 (depth = 5)
  int op_slot_right_1618 = gc_frame_newslot(num1619);
// starting to compile member node (depth = 5)
  int callframe1621 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1622 = gc_frame_new();
// call case 4: self request
  Object call1623 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1622);
// compiled member node returning call1623 (depth = 6)
  Object call1624 = callmethodflags(call1623, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1621);
// compiled member node returning call1624 (depth = 5)
  int op_slot_left_1618 = gc_frame_newslot(call1624);
  params[0] = num1619;
  partcv[0] = 1;
  Object opresult1625 = callmethod(call1624, ">(1)", 1, partcv, params);
// compiled op node returning opresult1625 (depth = 4)
  int op_slot_left_1607 = gc_frame_newslot(opresult1625);
  params[0] = block1608;
  partcv[0] = 1;
  Object opresult1626 = callmethod(opresult1625, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1626 (depth = 3)
  gc_frame_end(frame);
  return opresult1626;
}
Object meth_ast_returnedObjectScope1627(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1628 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1629 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1630 = gc_frame_new();
// call case 4: self request
  Object call1631 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1630);
// compiled member node returning call1631 (depth = 5)
  Object call1632 = callmethodflags(call1631, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1629);
// compiled member node returning call1632 (depth = 4)
  Object call1633 = callmethodflags(call1632, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe1628);
// compiled member node returning call1633 (depth = 3)
  gc_frame_end(frame);
  return call1633;
}
Object meth_ast_parametersDo_40_1_41_1634(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parametersDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parametersDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parametersDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1635 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1636 = gc_frame_new();
// call case 4: self request
  Object call1637 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1636);
// compiled member node returning call1637 (depth = 4)
  params[0] = *var_b;
  partcv[0] = 1;
  Object call1638 = callmethodflags(call1637, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1635);
// compiled call node returning call1638 (depth = 3)
  gc_frame_end(frame);
  return call1638;
}
Object meth_ast__apply_40_1_41_1649(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1650 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1651 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1650);
// compiled call node returning call1651 (depth = 6)
  gc_frame_end(frame);
  return call1651;
}
Object meth_ast__apply_40_1_41_1658(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 367
  setline(367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1659 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1660 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1659);
// compiled call node returning call1660 (depth = 6)
  gc_frame_end(frame);
  return call1660;
}
Object meth_ast_accept_40_1_41_from_40_1_41_1639(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1641 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1642 = callmethodflags(*var_visitor, "visitBlock(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1641);
// compiled call node returning call1642 (depth = 4)
  Object if1640 = done;
  if (istrue(call1642)) {
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1643 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call1644 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1643);
// compiled call node returning call1644 (depth = 5)
  *var_newChain = call1644;
  if (call1644 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1645 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1646 = gc_frame_new();
// call case 4: self request
  Object call1647 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1646);
// compiled member node returning call1647 (depth = 5)
  gc_frame_newslot(call1647);
// starting to compile block node (depth = 5)
  Object block1648 = alloc_Block(NULL, NULL, "ast", 363);
  gc_frame_newslot(block1648);
// method "_apply(_)"
  block_savedest(block1648);
  Object closure1649 = createclosure(3, "_apply(1)");
  setclosureframe(closure1649, stackframe);
  addtoclosure(closure1649, var_visitor);
  addtoclosure(closure1649, var_newChain);
  addtoclosure(closure1649, selfslot);
  struct UserObject *uo1649 = (struct UserObject*)block1648;
  uo1649->data[0] = (Object)closure1649;
  Method *meth_meth_ast__apply_40_1_41_1649 = addmethod2pos(block1648, "_apply(1)", &meth_ast__apply_40_1_41_1649, 0);
  int argcv_meth_ast__apply_40_1_41_1649[] = {1};
  meth_meth_ast__apply_40_1_41_1649->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1649);
  meth_meth_ast__apply_40_1_41_1649->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1649->definitionLine = 2947;
// compiled block node returning block1648 (depth = 5)
  gc_frame_newslot(block1648);
// call case 5: prelude request
  params[0] = call1647;
  params[1] = block1648;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1653 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1645);
// compiled call node returning call1653 (depth = 4)
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1654 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1655 = gc_frame_new();
// call case 4: self request
  Object call1656 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1655);
// compiled member node returning call1656 (depth = 5)
  gc_frame_newslot(call1656);
// starting to compile block node (depth = 5)
  Object block1657 = alloc_Block(NULL, NULL, "ast", 366);
  gc_frame_newslot(block1657);
// method "_apply(_)"
  block_savedest(block1657);
  Object closure1658 = createclosure(3, "_apply(1)");
  setclosureframe(closure1658, stackframe);
  addtoclosure(closure1658, var_visitor);
  addtoclosure(closure1658, var_newChain);
  addtoclosure(closure1658, selfslot);
  struct UserObject *uo1658 = (struct UserObject*)block1657;
  uo1658->data[0] = (Object)closure1658;
  Method *meth_meth_ast__apply_40_1_41_1658 = addmethod2pos(block1657, "_apply(1)", &meth_ast__apply_40_1_41_1658, 0);
  int argcv_meth_ast__apply_40_1_41_1658[] = {1};
  meth_meth_ast__apply_40_1_41_1658->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1658);
  meth_meth_ast__apply_40_1_41_1658->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1658->definitionLine = 2947;
// compiled block node returning block1657 (depth = 5)
  gc_frame_newslot(block1657);
// call case 5: prelude request
  params[0] = call1656;
  params[1] = block1657;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1662 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1654);
// compiled call node returning call1662 (depth = 4)
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1665 = gc_frame_new();
// call case 4: self request
  Object call1666 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1665);
// compiled member node returning call1666 (depth = 6)
  int op_slot_right_1664 = gc_frame_newslot(call1666);
// starting to compile identifier node (depth = 6)
  Object bool1668 = alloc_Boolean(0);
// compiled identifier node returning bool1668 (depth = 6)
  int op_slot_left_1664 = gc_frame_newslot(bool1668);
  params[0] = call1666;
  partcv[0] = 1;
  Object opresult1669 = callmethod(bool1668, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1669 (depth = 5)
  Object if1663 = done;
  if (istrue(opresult1669)) {
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1670 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1671 = gc_frame_new();
// call case 4: self request
  Object call1672 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1671);
// compiled member node returning call1672 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1673 = callmethodflags(call1672, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1670);
// compiled call node returning call1673 (depth = 5)
    gc_frame_newslot(call1673);
    if1663 = call1673;
  } else {
  }
// compiled if node returning if1663 (depth = 4)
    gc_frame_newslot(if1663);
    if1640 = if1663;
  } else {
  }
// compiled if node returning if1640 (depth = 3)
  gc_frame_end(frame);
  return if1640;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_1674(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1675 = gc_frame_new();
// call case 4: self request
  Object call1676 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1675);
// compiled member node returning call1676 (depth = 4)
  *var_n = call1676;
  if (call1676 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1677 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call1678 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1677);
// compiled call node returning call1678 (depth = 4)
  *var_newChain = call1678;
  if (call1678 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1679 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1680 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1681 = gc_frame_new();
// call case 4: self request
  Object call1682 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1681);
// compiled member node returning call1682 (depth = 5)
  gc_frame_newslot(call1682);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1683 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1684 = gc_frame_new();
// call case 3: self.outer request
  Object call1685 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1684);
// compiled member node returning call1685 (depth = 6)
  Object call1686 = callmethodflags(call1685, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1683);
// compiled member node returning call1686 (depth = 5)
  params[0] = call1682;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1687 = callmethodflags(call1686, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1680);
// compiled call node returning call1687 (depth = 4)
  gc_frame_newslot(call1687);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1687;
  partcv[0] = 1;
  Object call1688 = callmethodflags(*var_n, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1679);
// compiled call node returning call1688 (depth = 3)
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1689 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1690 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1691 = gc_frame_new();
// call case 4: self request
  Object call1692 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1691);
// compiled member node returning call1692 (depth = 5)
  gc_frame_newslot(call1692);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1693 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1694 = gc_frame_new();
// call case 3: self.outer request
  Object call1695 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1694);
// compiled member node returning call1695 (depth = 6)
  Object call1696 = callmethodflags(call1695, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1693);
// compiled member node returning call1696 (depth = 5)
  params[0] = call1692;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1697 = callmethodflags(call1696, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1690);
// compiled call node returning call1697 (depth = 4)
  gc_frame_newslot(call1697);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1697;
  partcv[0] = 1;
  Object call1698 = callmethodflags(*var_n, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1689);
// compiled call node returning call1698 (depth = 3)
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1699 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe1700 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1701 = gc_frame_new();
// call case 4: self request
  Object call1702 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1701);
// compiled member node returning call1702 (depth = 5)
  gc_frame_newslot(call1702);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1703 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1704 = gc_frame_new();
// call case 3: self.outer request
  Object call1705 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1704);
// compiled member node returning call1705 (depth = 6)
  Object call1706 = callmethodflags(call1705, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1703);
// compiled member node returning call1706 (depth = 5)
  params[0] = call1702;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1707 = callmethodflags(call1706, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1700);
// compiled call node returning call1707 (depth = 4)
  gc_frame_newslot(call1707);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call1707;
  partcv[0] = 1;
  Object call1708 = callmethodflags(*var_n, "matchingPattern:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1699);
// compiled call node returning call1708 (depth = 3)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1709 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call1710 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1709);
// compiled call node returning call1710 (depth = 3)
  gc_frame_end(frame);
  return call1710;
}
Object meth_ast__apply_40_1_41_1719(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1721 == NULL) {
    strlit1721 = alloc_String("  ");
    gc_root(strlit1721);
  }
// compiled string node returning strlit1721 (depth = 7)
  int op_slot_right_1720 = gc_frame_newslot(strlit1721);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_1720 = gc_frame_newslot(*var_spc);
  params[0] = strlit1721;
  partcv[0] = 1;
  Object opresult1723 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult1723 (depth = 6)
  *var_spc = opresult1723;
  if (opresult1723 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1745(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1747 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1749 = alloc_Float64(1);
// compiled num node returning num1749 (depth = 9)
  int op_slot_right_1748 = gc_frame_newslot(num1749);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1748 = gc_frame_newslot(*var_depth);
  params[0] = num1749;
  partcv[0] = 1;
  Object sum1751 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1751 (depth = 8)
  gc_frame_newslot(sum1751);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum1751;
  partcv[0] = 1;
  Object call1752 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1747);
// compiled call node returning call1752 (depth = 7)
  int op_slot_right_1746 = gc_frame_newslot(call1752);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_1754 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1757 == NULL) {
    strlit1757 = alloc_String("""\x0a""  ");
    gc_root(strlit1757);
  }
// compiled string node returning strlit1757 (depth = 9)
  int op_slot_right_1756 = gc_frame_newslot(strlit1757);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1756 = gc_frame_newslot(*var_s);
  params[0] = strlit1757;
  partcv[0] = 1;
  Object opresult1759 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1759 (depth = 8)
  int op_slot_left_1754 = gc_frame_newslot(opresult1759);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1760 = callmethod(opresult1759, "++(1)", 1, partcv, params);
// compiled op node returning opresult1760 (depth = 7)
  int op_slot_left_1746 = gc_frame_newslot(opresult1760);
  params[0] = call1752;
  partcv[0] = 1;
  Object opresult1761 = callmethod(opresult1760, "++(1)", 1, partcv, params);
// compiled op node returning opresult1761 (depth = 6)
  *var_s = opresult1761;
  if (opresult1761 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1782(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1784 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1786 = alloc_Float64(1);
// compiled num node returning num1786 (depth = 9)
  int op_slot_right_1785 = gc_frame_newslot(num1786);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1785 = gc_frame_newslot(*var_depth);
  params[0] = num1786;
  partcv[0] = 1;
  Object sum1788 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1788 (depth = 8)
  gc_frame_newslot(sum1788);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum1788;
  partcv[0] = 1;
  Object call1789 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1784);
// compiled call node returning call1789 (depth = 7)
  int op_slot_right_1783 = gc_frame_newslot(call1789);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_1791 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1794 == NULL) {
    strlit1794 = alloc_String("""\x0a""  ");
    gc_root(strlit1794);
  }
// compiled string node returning strlit1794 (depth = 9)
  int op_slot_right_1793 = gc_frame_newslot(strlit1794);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1793 = gc_frame_newslot(*var_s);
  params[0] = strlit1794;
  partcv[0] = 1;
  Object opresult1796 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1796 (depth = 8)
  int op_slot_left_1791 = gc_frame_newslot(opresult1796);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1797 = callmethod(opresult1796, "++(1)", 1, partcv, params);
// compiled op node returning opresult1797 (depth = 7)
  int op_slot_left_1783 = gc_frame_newslot(opresult1797);
  params[0] = call1789;
  partcv[0] = 1;
  Object opresult1798 = callmethod(opresult1797, "++(1)", 1, partcv, params);
// compiled op node returning opresult1798 (depth = 6)
  *var_s = opresult1798;
  if (opresult1798 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_1711(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1712 == NULL) {
    strlit1712 = alloc_String("");
    gc_root(strlit1712);
  }
// compiled string node returning strlit1712 (depth = 4)
  *var_spc = strlit1712;
  if (strlit1712 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1713 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_1714 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num1716 = alloc_Float64(0);
// compiled num node returning num1716 (depth = 5)
  int op_slot_left_1714 = gc_frame_newslot(num1716);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult1717 = callmethod(num1716, "..(1)", 1, partcv, params);
// compiled op node returning opresult1717 (depth = 4)
  gc_frame_newslot(opresult1717);
// starting to compile block node (depth = 4)
  Object block1718 = alloc_Block(NULL, NULL, "ast", 384);
  gc_frame_newslot(block1718);
// method "_apply(_)"
  block_savedest(block1718);
  Object closure1719 = createclosure(2, "_apply(1)");
  setclosureframe(closure1719, stackframe);
  addtoclosure(closure1719, var_spc);
  addtoclosure(closure1719, selfslot);
  struct UserObject *uo1719 = (struct UserObject*)block1718;
  uo1719->data[0] = (Object)closure1719;
  Method *meth_meth_ast__apply_40_1_41_1719 = addmethod2pos(block1718, "_apply(1)", &meth_ast__apply_40_1_41_1719, 0);
  int argcv_meth_ast__apply_40_1_41_1719[] = {1};
  meth_meth_ast__apply_40_1_41_1719->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1719);
  meth_meth_ast__apply_40_1_41_1719->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1719->definitionLine = 2947;
// compiled block node returning block1718 (depth = 4)
  gc_frame_newslot(block1718);
// call case 5: prelude request
  params[0] = opresult1717;
  params[1] = block1718;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1726 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1713);
// compiled call node returning call1726 (depth = 3)
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1728 == NULL) {
    strlit1728 = alloc_String("""\x0a""");
    gc_root(strlit1728);
  }
// compiled string node returning strlit1728 (depth = 5)
  int op_slot_right_1727 = gc_frame_newslot(strlit1728);
// starting to compile call node (depth = 5)
  int callframe1730 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call1731 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1730);
// compiled call node returning call1731 (depth = 5)
  int op_slot_left_1727 = gc_frame_newslot(call1731);
  params[0] = strlit1728;
  partcv[0] = 1;
  Object opresult1732 = callmethod(call1731, "++(1)", 1, partcv, params);
// compiled op node returning opresult1732 (depth = 4)
  *var_s = opresult1732;
  if (opresult1732 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1734 == NULL) {
    strlit1734 = alloc_String("Parameters:");
    gc_root(strlit1734);
  }
// compiled string node returning strlit1734 (depth = 5)
  int op_slot_right_1733 = gc_frame_newslot(strlit1734);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1736 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1736 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1738 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1738 (depth = 5)
  int op_slot_left_1733 = gc_frame_newslot(opresult1738);
  params[0] = strlit1734;
  partcv[0] = 1;
  Object opresult1739 = callmethod(opresult1738, "++(1)", 1, partcv, params);
// compiled op node returning opresult1739 (depth = 4)
  *var_s = opresult1739;
  if (opresult1739 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1741 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1742 = gc_frame_new();
// call case 4: self request
  Object call1743 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1742);
// compiled member node returning call1743 (depth = 4)
  gc_frame_newslot(call1743);
// starting to compile block node (depth = 4)
  Object block1744 = alloc_Block(NULL, NULL, "ast", 389);
  gc_frame_newslot(block1744);
// method "_apply(_)"
  block_savedest(block1744);
  Object closure1745 = createclosure(4, "_apply(1)");
  setclosureframe(closure1745, stackframe);
  addtoclosure(closure1745, var_depth);
  addtoclosure(closure1745, var_spc);
  addtoclosure(closure1745, var_s);
  addtoclosure(closure1745, selfslot);
  struct UserObject *uo1745 = (struct UserObject*)block1744;
  uo1745->data[0] = (Object)closure1745;
  Method *meth_meth_ast__apply_40_1_41_1745 = addmethod2pos(block1744, "_apply(1)", &meth_ast__apply_40_1_41_1745, 0);
  int argcv_meth_ast__apply_40_1_41_1745[] = {1};
  meth_meth_ast__apply_40_1_41_1745->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1745);
  meth_meth_ast__apply_40_1_41_1745->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1745->definitionLine = 2947;
// compiled block node returning block1744 (depth = 4)
  gc_frame_newslot(block1744);
// call case 5: prelude request
  params[0] = call1743;
  params[1] = block1744;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1764 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1741);
// compiled call node returning call1764 (depth = 3)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1766 == NULL) {
    strlit1766 = alloc_String("""\x0a""");
    gc_root(strlit1766);
  }
// compiled string node returning strlit1766 (depth = 5)
  int op_slot_right_1765 = gc_frame_newslot(strlit1766);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_1765 = gc_frame_newslot(*var_s);
  params[0] = strlit1766;
  partcv[0] = 1;
  Object opresult1768 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1768 (depth = 4)
  *var_s = opresult1768;
  if (opresult1768 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1771 == NULL) {
    strlit1771 = alloc_String("Body:");
    gc_root(strlit1771);
  }
// compiled string node returning strlit1771 (depth = 5)
  int op_slot_right_1770 = gc_frame_newslot(strlit1771);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_1773 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1773 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1775 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1775 (depth = 5)
  int op_slot_left_1770 = gc_frame_newslot(opresult1775);
  params[0] = strlit1771;
  partcv[0] = 1;
  Object opresult1776 = callmethod(opresult1775, "++(1)", 1, partcv, params);
// compiled op node returning opresult1776 (depth = 4)
  *var_s = opresult1776;
  if (opresult1776 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1778 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1779 = gc_frame_new();
// call case 4: self request
  Object call1780 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1779);
// compiled member node returning call1780 (depth = 4)
  gc_frame_newslot(call1780);
// starting to compile block node (depth = 4)
  Object block1781 = alloc_Block(NULL, NULL, "ast", 394);
  gc_frame_newslot(block1781);
// method "_apply(_)"
  block_savedest(block1781);
  Object closure1782 = createclosure(4, "_apply(1)");
  setclosureframe(closure1782, stackframe);
  addtoclosure(closure1782, var_depth);
  addtoclosure(closure1782, var_spc);
  addtoclosure(closure1782, var_s);
  addtoclosure(closure1782, selfslot);
  struct UserObject *uo1782 = (struct UserObject*)block1781;
  uo1782->data[0] = (Object)closure1782;
  Method *meth_meth_ast__apply_40_1_41_1782 = addmethod2pos(block1781, "_apply(1)", &meth_ast__apply_40_1_41_1782, 0);
  int argcv_meth_ast__apply_40_1_41_1782[] = {1};
  meth_meth_ast__apply_40_1_41_1782->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1782);
  meth_meth_ast__apply_40_1_41_1782->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1782->definitionLine = 2947;
// compiled block node returning block1781 (depth = 4)
  gc_frame_newslot(block1781);
// call case 5: prelude request
  params[0] = call1780;
  params[1] = block1781;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1801 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1778);
// compiled call node returning call1801 (depth = 3)
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1804 = gc_frame_new();
// call case 4: self request
  Object call1805 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1804);
// compiled member node returning call1805 (depth = 5)
  int op_slot_right_1803 = gc_frame_newslot(call1805);
// starting to compile identifier node (depth = 5)
  Object bool1807 = alloc_Boolean(0);
// compiled identifier node returning bool1807 (depth = 5)
  int op_slot_left_1803 = gc_frame_newslot(bool1807);
  params[0] = call1805;
  partcv[0] = 1;
  Object opresult1808 = callmethod(bool1807, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1808 (depth = 4)
  Object if1802 = done;
  if (istrue(opresult1808)) {
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1810 == NULL) {
    strlit1810 = alloc_String("""\x0a""");
    gc_root(strlit1810);
  }
// compiled string node returning strlit1810 (depth = 6)
  int op_slot_right_1809 = gc_frame_newslot(strlit1810);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1809 = gc_frame_newslot(*var_s);
  params[0] = strlit1810;
  partcv[0] = 1;
  Object opresult1812 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1812 (depth = 5)
  *var_s = opresult1812;
  if (opresult1812 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1815 == NULL) {
    strlit1815 = alloc_String("Pattern:");
    gc_root(strlit1815);
  }
// compiled string node returning strlit1815 (depth = 6)
  int op_slot_right_1814 = gc_frame_newslot(strlit1815);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1817 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1817 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1819 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1819 (depth = 6)
  int op_slot_left_1814 = gc_frame_newslot(opresult1819);
  params[0] = strlit1815;
  partcv[0] = 1;
  Object opresult1820 = callmethod(opresult1819, "++(1)", 1, partcv, params);
// compiled op node returning opresult1820 (depth = 5)
  *var_s = opresult1820;
  if (opresult1820 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1823 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1825 = alloc_Float64(1);
// compiled num node returning num1825 (depth = 8)
  int op_slot_right_1824 = gc_frame_newslot(num1825);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_1824 = gc_frame_newslot(*var_depth);
  params[0] = num1825;
  partcv[0] = 1;
  Object sum1827 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1827 (depth = 7)
  gc_frame_newslot(sum1827);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1828 = gc_frame_new();
// call case 4: self request
  Object call1829 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1828);
// compiled member node returning call1829 (depth = 7)
  params[0] = sum1827;
  partcv[0] = 1;
  Object call1830 = callmethodflags(call1829, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1823);
// compiled call node returning call1830 (depth = 6)
  int op_slot_right_1822 = gc_frame_newslot(call1830);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_1832 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1835 == NULL) {
    strlit1835 = alloc_String("""\x0a""  ");
    gc_root(strlit1835);
  }
// compiled string node returning strlit1835 (depth = 8)
  int op_slot_right_1834 = gc_frame_newslot(strlit1835);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_1834 = gc_frame_newslot(*var_s);
  params[0] = strlit1835;
  partcv[0] = 1;
  Object opresult1837 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1837 (depth = 7)
  int op_slot_left_1832 = gc_frame_newslot(opresult1837);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1838 = callmethod(opresult1837, "++(1)", 1, partcv, params);
// compiled op node returning opresult1838 (depth = 6)
  int op_slot_left_1822 = gc_frame_newslot(opresult1838);
  params[0] = call1830;
  partcv[0] = 1;
  Object opresult1839 = callmethod(opresult1838, "++(1)", 1, partcv, params);
// compiled op node returning opresult1839 (depth = 5)
  *var_s = opresult1839;
  if (opresult1839 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1802 = done;
  } else {
  }
// compiled if node returning if1802 (depth = 3)
// Begin line 402
  setline(402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply1845(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1847 == NULL) {
    strlit1847 = alloc_String("    ");
    gc_root(strlit1847);
  }
// compiled string node returning strlit1847 (depth = 7)
  int op_slot_right_1846 = gc_frame_newslot(strlit1847);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_1846 = gc_frame_newslot(*var_spc);
  params[0] = strlit1847;
  partcv[0] = 1;
  Object opresult1849 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult1849 (depth = 6)
  *var_spc = opresult1849;
  if (opresult1849 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_1874(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1875 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1876 = gc_frame_new();
// call case 4: self request
  Object call1877 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1876);
// compiled member node returning call1877 (depth = 8)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call1878 = callmethodflags(call1877, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1875);
// compiled call node returning call1878 (depth = 7)
  *var_p = call1878;
  if (call1878 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1881 = gc_frame_new();
// call case 4: self request
  Object call1882 = callmethodflags(self, "matchingPattern", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1881);
// compiled member node returning call1882 (depth = 8)
  int op_slot_right_1880 = gc_frame_newslot(call1882);
// starting to compile identifier node (depth = 8)
  Object bool1884 = alloc_Boolean(0);
// compiled identifier node returning bool1884 (depth = 8)
  int op_slot_left_1880 = gc_frame_newslot(bool1884);
  params[0] = call1882;
  partcv[0] = 1;
  Object opresult1885 = callmethod(bool1884, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1885 (depth = 7)
  Object if1879 = done;
  if (istrue(opresult1885)) {
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1887 == NULL) {
    strlit1887 = alloc_String(")");
    gc_root(strlit1887);
  }
// compiled string node returning strlit1887 (depth = 9)
  int op_slot_right_1886 = gc_frame_newslot(strlit1887);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1890 = gc_frame_new();
// starting to compile num node (depth = 11)
  Object num1891 = alloc_Float64(0);
// compiled num node returning num1891 (depth = 11)
  gc_frame_newslot(num1891);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = num1891;
  partcv[0] = 1;
  Object call1892 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1890);
// compiled call node returning call1892 (depth = 10)
  int op_slot_right_1889 = gc_frame_newslot(call1892);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1895 == NULL) {
    strlit1895 = alloc_String("(");
    gc_root(strlit1895);
  }
// compiled string node returning strlit1895 (depth = 11)
  int op_slot_right_1894 = gc_frame_newslot(strlit1895);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_1894 = gc_frame_newslot(*var_s);
  params[0] = strlit1895;
  partcv[0] = 1;
  Object opresult1897 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1897 (depth = 10)
  int op_slot_left_1889 = gc_frame_newslot(opresult1897);
  params[0] = call1892;
  partcv[0] = 1;
  Object opresult1898 = callmethod(opresult1897, "++(1)", 1, partcv, params);
// compiled op node returning opresult1898 (depth = 9)
  int op_slot_left_1886 = gc_frame_newslot(opresult1898);
  params[0] = strlit1887;
  partcv[0] = 1;
  Object opresult1899 = callmethod(opresult1898, "++(1)", 1, partcv, params);
// compiled op node returning opresult1899 (depth = 8)
  *var_s = opresult1899;
  if (opresult1899 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1879 = done;
  } else {
// Begin line 417
  setline(417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1902 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num1903 = alloc_Float64(0);
// compiled num node returning num1903 (depth = 10)
  gc_frame_newslot(num1903);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_p (depth = 10)
  params[0] = num1903;
  partcv[0] = 1;
  Object call1904 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1902);
// compiled call node returning call1904 (depth = 9)
  int op_slot_right_1901 = gc_frame_newslot(call1904);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1901 = gc_frame_newslot(*var_s);
  params[0] = call1904;
  partcv[0] = 1;
  Object opresult1906 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1906 (depth = 8)
  *var_s = opresult1906;
  if (opresult1906 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1879 = done;
  }
// compiled if node returning if1879 (depth = 6)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1910 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1911 = gc_frame_new();
// call case 4: self request
  Object call1912 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1911);
// compiled member node returning call1912 (depth = 9)
  Object call1913 = callmethodflags(call1912, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1910);
// compiled member node returning call1913 (depth = 8)
  int op_slot_right_1909 = gc_frame_newslot(call1913);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_left_1909 = gc_frame_newslot(*var_i);
  params[0] = call1913;
  partcv[0] = 1;
  Object opresult1915 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult1915 (depth = 7)
  Object if1908 = done;
  if (istrue(opresult1915)) {
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1917 == NULL) {
    strlit1917 = alloc_String(", ");
    gc_root(strlit1917);
  }
// compiled string node returning strlit1917 (depth = 9)
  int op_slot_right_1916 = gc_frame_newslot(strlit1917);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1916 = gc_frame_newslot(*var_s);
  params[0] = strlit1917;
  partcv[0] = 1;
  Object opresult1919 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1919 (depth = 8)
  *var_s = opresult1919;
  if (opresult1919 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1908 = done;
  } else {
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1922 == NULL) {
    strlit1922 = alloc_String(" ""\xe2""""\x86""""\x92""");
    gc_root(strlit1922);
  }
// compiled string node returning strlit1922 (depth = 9)
  int op_slot_right_1921 = gc_frame_newslot(strlit1922);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1921 = gc_frame_newslot(*var_s);
  params[0] = strlit1922;
  partcv[0] = 1;
  Object opresult1924 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1924 (depth = 8)
  *var_s = opresult1924;
  if (opresult1924 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1908 = done;
  }
// compiled if node returning if1908 (depth = 6)
  gc_frame_end(frame);
  return if1908;
}
Object meth_ast__apply_40_1_41_1932(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1934 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1936 = alloc_Float64(1);
// compiled num node returning num1936 (depth = 9)
  int op_slot_right_1935 = gc_frame_newslot(num1936);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_1935 = gc_frame_newslot(*var_depth);
  params[0] = num1936;
  partcv[0] = 1;
  Object sum1938 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum1938 (depth = 8)
  gc_frame_newslot(sum1938);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum1938;
  partcv[0] = 1;
  Object call1939 = callmethodflags(*var_mx, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1934);
// compiled call node returning call1939 (depth = 7)
  int op_slot_right_1933 = gc_frame_newslot(call1939);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_1941 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1944 == NULL) {
    strlit1944 = alloc_String("""\x0a""");
    gc_root(strlit1944);
  }
// compiled string node returning strlit1944 (depth = 9)
  int op_slot_right_1943 = gc_frame_newslot(strlit1944);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_1943 = gc_frame_newslot(*var_s);
  params[0] = strlit1944;
  partcv[0] = 1;
  Object opresult1946 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1946 (depth = 8)
  int op_slot_left_1941 = gc_frame_newslot(opresult1946);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult1947 = callmethod(opresult1946, "++(1)", 1, partcv, params);
// compiled op node returning opresult1947 (depth = 7)
  int op_slot_left_1933 = gc_frame_newslot(opresult1947);
  params[0] = call1939;
  partcv[0] = 1;
  Object opresult1948 = callmethod(opresult1947, "++(1)", 1, partcv, params);
// compiled op node returning opresult1948 (depth = 6)
  *var_s = opresult1948;
  if (opresult1948 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply1963(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1965 == NULL) {
    strlit1965 = alloc_String("    ");
    gc_root(strlit1965);
  }
// compiled string node returning strlit1965 (depth = 7)
  int op_slot_right_1964 = gc_frame_newslot(strlit1965);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_1964 = gc_frame_newslot(*var_s);
  params[0] = strlit1965;
  partcv[0] = 1;
  Object opresult1967 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1967 (depth = 6)
  *var_s = opresult1967;
  if (opresult1967 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_1841(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1842 == NULL) {
    strlit1842 = alloc_String("");
    gc_root(strlit1842);
  }
// compiled string node returning strlit1842 (depth = 4)
  *var_spc = strlit1842;
  if (strlit1842 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1843 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block1844 = alloc_Block(NULL, NULL, "ast", 406);
  gc_frame_newslot(block1844);
// method "_apply"
  block_savedest(block1844);
  Object closure1845 = createclosure(2, "_apply");
  setclosureframe(closure1845, stackframe);
  addtoclosure(closure1845, var_spc);
  addtoclosure(closure1845, selfslot);
  struct UserObject *uo1845 = (struct UserObject*)block1844;
  uo1845->data[0] = (Object)closure1845;
  Method *meth_meth_ast__apply1845 = addmethod2pos(block1844, "_apply", &meth_ast__apply1845, 0);
  int argcv_meth_ast__apply1845[] = {0};
  meth_meth_ast__apply1845->type = alloc_MethodType(1, argcv_meth_ast__apply1845);
  meth_meth_ast__apply1845->definitionModule = modulename;
  meth_meth_ast__apply1845->definitionLine = 2947;
// compiled block node returning block1844 (depth = 4)
  gc_frame_newslot(block1844);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block1844;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1852 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1843);
// compiled call node returning call1852 (depth = 3)
// Begin line 409
  setline(409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1853 == NULL) {
    strlit1853 = alloc_String("{");
    gc_root(strlit1853);
  }
// compiled string node returning strlit1853 (depth = 4)
  *var_s = strlit1853;
  if (strlit1853 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1856 = alloc_Float64(0);
// compiled num node returning num1856 (depth = 5)
  int op_slot_right_1855 = gc_frame_newslot(num1856);
// starting to compile member node (depth = 5)
  int callframe1858 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1859 = gc_frame_new();
// call case 4: self request
  Object call1860 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1859);
// compiled member node returning call1860 (depth = 6)
  Object call1861 = callmethodflags(call1860, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1858);
// compiled member node returning call1861 (depth = 5)
  int op_slot_left_1855 = gc_frame_newslot(call1861);
  params[0] = num1856;
  partcv[0] = 1;
  Object opresult1862 = callmethod(call1861, ">(1)", 1, partcv, params);
// compiled op node returning opresult1862 (depth = 4)
  Object if1854 = done;
  if (istrue(opresult1862)) {
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1864 == NULL) {
    strlit1864 = alloc_String(" ");
    gc_root(strlit1864);
  }
// compiled string node returning strlit1864 (depth = 6)
  int op_slot_right_1863 = gc_frame_newslot(strlit1864);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_1863 = gc_frame_newslot(*var_s);
  params[0] = strlit1864;
  partcv[0] = 1;
  Object opresult1866 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1866 (depth = 5)
  *var_s = opresult1866;
  if (opresult1866 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1868 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1869 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1870 = gc_frame_new();
// call case 4: self request
  Object call1871 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1870);
// compiled member node returning call1871 (depth = 6)
  Object call1872 = callmethodflags(call1871, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe1869);
// compiled member node returning call1872 (depth = 5)
  gc_frame_newslot(call1872);
// starting to compile block node (depth = 5)
  Object block1873 = alloc_Block(NULL, NULL, "ast", 412);
  gc_frame_newslot(block1873);
// method "_apply(_)"
  block_savedest(block1873);
  Object closure1874 = createclosure(2, "_apply(1)");
  setclosureframe(closure1874, stackframe);
  addtoclosure(closure1874, var_s);
  addtoclosure(closure1874, selfslot);
  struct UserObject *uo1874 = (struct UserObject*)block1873;
  uo1874->data[0] = (Object)closure1874;
  Method *meth_meth_ast__apply_40_1_41_1874 = addmethod2pos(block1873, "_apply(1)", &meth_ast__apply_40_1_41_1874, 0);
  int argcv_meth_ast__apply_40_1_41_1874[] = {1};
  meth_meth_ast__apply_40_1_41_1874->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1874);
  meth_meth_ast__apply_40_1_41_1874->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1874->definitionLine = 2947;
// compiled block node returning block1873 (depth = 5)
  gc_frame_newslot(block1873);
// call case 5: prelude request
  params[0] = call1872;
  params[1] = block1873;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1927 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1868);
// compiled call node returning call1927 (depth = 4)
    gc_frame_newslot(call1927);
    if1854 = call1927;
  } else {
  }
// compiled if node returning if1854 (depth = 3)
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1928 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1929 = gc_frame_new();
// call case 4: self request
  Object call1930 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1929);
// compiled member node returning call1930 (depth = 4)
  gc_frame_newslot(call1930);
// starting to compile block node (depth = 4)
  Object block1931 = alloc_Block(NULL, NULL, "ast", 426);
  gc_frame_newslot(block1931);
// method "_apply(_)"
  block_savedest(block1931);
  Object closure1932 = createclosure(4, "_apply(1)");
  setclosureframe(closure1932, stackframe);
  addtoclosure(closure1932, var_depth);
  addtoclosure(closure1932, var_spc);
  addtoclosure(closure1932, var_s);
  addtoclosure(closure1932, selfslot);
  struct UserObject *uo1932 = (struct UserObject*)block1931;
  uo1932->data[0] = (Object)closure1932;
  Method *meth_meth_ast__apply_40_1_41_1932 = addmethod2pos(block1931, "_apply(1)", &meth_ast__apply_40_1_41_1932, 0);
  int argcv_meth_ast__apply_40_1_41_1932[] = {1};
  meth_meth_ast__apply_40_1_41_1932->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_1932);
  meth_meth_ast__apply_40_1_41_1932->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_1932->definitionLine = 2947;
// compiled block node returning block1931 (depth = 4)
  gc_frame_newslot(block1931);
// call case 5: prelude request
  params[0] = call1930;
  params[1] = block1931;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1951 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1928);
// compiled call node returning call1951 (depth = 3)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1953 == NULL) {
    strlit1953 = alloc_String("""\x0a""");
    gc_root(strlit1953);
  }
// compiled string node returning strlit1953 (depth = 5)
  int op_slot_right_1952 = gc_frame_newslot(strlit1953);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_1952 = gc_frame_newslot(*var_s);
  params[0] = strlit1953;
  partcv[0] = 1;
  Object opresult1955 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1955 (depth = 4)
  *var_s = opresult1955;
  if (opresult1955 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1957 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1959 = alloc_Float64(1);
// compiled num node returning num1959 (depth = 5)
  int op_slot_right_1958 = gc_frame_newslot(num1959);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_1958 = gc_frame_newslot(*var_depth);
  params[0] = num1959;
  partcv[0] = 1;
  Object diff1961 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff1961 (depth = 4)
  gc_frame_newslot(diff1961);
// starting to compile block node (depth = 4)
  Object block1962 = alloc_Block(NULL, NULL, "ast", 430);
  gc_frame_newslot(block1962);
// method "_apply"
  block_savedest(block1962);
  Object closure1963 = createclosure(2, "_apply");
  setclosureframe(closure1963, stackframe);
  addtoclosure(closure1963, var_s);
  addtoclosure(closure1963, selfslot);
  struct UserObject *uo1963 = (struct UserObject*)block1962;
  uo1963->data[0] = (Object)closure1963;
  Method *meth_meth_ast__apply1963 = addmethod2pos(block1962, "_apply", &meth_ast__apply1963, 0);
  int argcv_meth_ast__apply1963[] = {0};
  meth_meth_ast__apply1963->type = alloc_MethodType(1, argcv_meth_ast__apply1963);
  meth_meth_ast__apply1963->definitionModule = modulename;
  meth_meth_ast__apply1963->definitionLine = 2947;
// compiled block node returning block1962 (depth = 4)
  gc_frame_newslot(block1962);
// call case 5: prelude request
  params[0] = diff1961;
  params[1] = block1962;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1970 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1957);
// compiled call node returning call1970 (depth = 3)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1972 == NULL) {
    strlit1972 = alloc_String("}");
    gc_root(strlit1972);
  }
// compiled string node returning strlit1972 (depth = 4)
  int op_slot_right_1971 = gc_frame_newslot(strlit1972);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_1971 = gc_frame_newslot(*var_s);
  params[0] = strlit1972;
  partcv[0] = 1;
  Object opresult1974 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult1974 (depth = 3)
  gc_frame_end(frame);
  return opresult1974;
}
Object meth_ast_shallowCopy1975(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1976 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe1977 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe1978 = gc_frame_new();
// call case 4: self request
  Object call1979 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1978);
// compiled member node returning call1979 (depth = 5)
  gc_frame_newslot(call1979);
// starting to compile member node (depth = 5)
  int callframe1980 = gc_frame_new();
// call case 4: self request
  Object call1981 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1980);
// compiled member node returning call1981 (depth = 5)
  gc_frame_newslot(call1981);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blockNode (depth = 5)
  params[0] = call1979;
  params[1] = call1981;
  partcv[0] = 2;
  Object call1982 = callmethodflags(*var_blockNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1977);
// compiled call node returning call1982 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call1983 = callmethodflags(call1982, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1976);
// compiled call node returning call1983 (depth = 3)
  gc_frame_end(frame);
  return call1983;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_1984(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1985 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call1986 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe1985);
// compiled call node returning call1986 (depth = 3)
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1987 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1988 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call1989 = callmethodflags(*var_other, "matchingPattern", 0, partcv, params, 0);
  gc_frame_end(callframe1988);
// compiled member node returning call1989 (depth = 4)
  gc_frame_newslot(call1989);
// call case 4: self request
  params[0] = call1989;
  partcv[0] = 1;
  Object call1990 = callmethodflags(self, "matchingPattern:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1987);
// compiled call node returning call1990 (depth = 3)
// Begin line 439
  setline(439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1991 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1992 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call1993 = callmethodflags(*var_other, "extraRuntimeData", 0, partcv, params, 0);
  gc_frame_end(callframe1992);
// compiled member node returning call1993 (depth = 4)
  gc_frame_newslot(call1993);
// call case 4: self request
  params[0] = call1993;
  partcv[0] = 1;
  Object call1994 = callmethodflags(self, "extraRuntimeData:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1991);
// compiled call node returning call1994 (depth = 3)
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply_40_1_41_2008(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  Object *var_ancestorChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2009 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_patternMarkVisitor (depth = 6)
  gc_frame_newslot(*var_patternMarkVisitor);
// starting to compile call node (depth = 6)
  int callframe2010 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning self (depth = 7)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ancestorChain (depth = 7)
  params[0] = self;
  partcv[0] = 1;
  Object call2011 = callmethodflags(*var_ancestorChain, "with(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2010);
// compiled call node returning call2011 (depth = 6)
  gc_frame_newslot(call2011);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  params[0] = *var_patternMarkVisitor;
  params[1] = call2011;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2012 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2009);
// compiled call node returning call2012 (depth = 5)
  gc_frame_end(frame);
  return call2012;
}
Object meth_ast_new_40_2_41_1557(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_blockNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  Object *var_ancestorChain = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1558 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1558 = alloc_userobj2(28,25, objclass1558);
  gc_frame_newslot(obj1558);
if (objclass1558 == NULL) {
  glfree(obj1558->class->name);
  obj1558->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1558, self, 0);
  addmethodreal(obj1558,"outer", &reader_ast_outer_1559);
  Object oldself1558 = self;
  struct StackFrameObject *oldstackframe1558 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1558);
  gc_frame_newslot((Object)stackframe);
  self = obj1558;
  Object *oldselfslot1558 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1558 = (*(struct UserObject *)self).data[0], lowerouter1558 = thisouter1558;
  if (inheritingObject1558) {
    struct UserObject *inho1558 = (struct UserObject *)inheritingObject1558;
    while (inho1558->super != GraceDefaultObject) inho1558 = (struct UserObject *)inho1558->super;
    inho1558->super = obj1558;
    self = inheritingObject1558;
    *selfslot = self;
    lowerouter1558 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1558;
  }
if (objclass1558 == NULL) {
  Method *reader1560 = addmethodrealflags(obj1558, "kind",&reader_ast_kind_1560, MFLAG_DEF);
  reader1560->definitionModule = modulename;
  reader1560->definitionLine = 328;
}
adddatum2(obj1558, alloc_Undefined(), 1);
if (objclass1558 == NULL) {
  Method *reader1561 = addmethodrealflags(obj1558, "value",&reader_ast_value_1561, MFLAG_DEF);
  reader1561->definitionModule = modulename;
  reader1561->definitionLine = 329;
}
adddatum2(obj1558, alloc_Undefined(), 2);
if (objclass1558 == NULL) {
  Method *reader1562 = addmethodrealflags(obj1558, "params", &reader_ast_params_1562, 0);
  Method *writer1562 = addmethodrealflags(obj1558, "params:=(1)", &writer_ast_params_1562, 0);
  reader1562->definitionModule = modulename;
  writer1562->definitionModule = modulename;
  reader1562->definitionLine = 330;
  writer1562->definitionLine = 330;
}
obj1558->flags |= OFLAG_MUTABLE;
adddatum2(obj1558, alloc_Undefined(), 3);
if (objclass1558 == NULL) {
  Method *reader1563 = addmethodrealflags(obj1558, "body", &reader_ast_body_1563, 0);
  Method *writer1563 = addmethodrealflags(obj1558, "body:=(1)", &writer_ast_body_1563, 0);
  reader1563->definitionModule = modulename;
  writer1563->definitionModule = modulename;
  reader1563->definitionLine = 331;
  writer1563->definitionLine = 331;
}
obj1558->flags |= OFLAG_MUTABLE;
adddatum2(obj1558, alloc_Undefined(), 4);
if (objclass1558 == NULL) {
  Method *reader1564 = addmethodrealflags(obj1558, "selfclosure",&reader_ast_selfclosure_1564, MFLAG_DEF);
  reader1564->definitionModule = modulename;
  reader1564->definitionLine = 332;
}
adddatum2(obj1558, alloc_Undefined(), 5);
if (objclass1558 == NULL) {
  Method *reader1565 = addmethodrealflags(obj1558, "matchingPattern", &reader_ast_matchingPattern_1565, 0);
  Method *writer1565 = addmethodrealflags(obj1558, "matchingPattern:=(1)", &writer_ast_matchingPattern_1565, 0);
  reader1565->definitionModule = modulename;
  writer1565->definitionModule = modulename;
  reader1565->definitionLine = 333;
  writer1565->definitionLine = 333;
}
obj1558->flags |= OFLAG_MUTABLE;
adddatum2(obj1558, alloc_Undefined(), 6);
if (objclass1558 == NULL) {
  Method *reader1566 = addmethodrealflags(obj1558, "extraRuntimeData", &reader_ast_extraRuntimeData_1566, 0);
  Method *writer1566 = addmethodrealflags(obj1558, "extraRuntimeData:=(1)", &writer_ast_extraRuntimeData_1566, 0);
  reader1566->definitionModule = modulename;
  writer1566->definitionModule = modulename;
  reader1566->definitionLine = 334;
  writer1566->definitionLine = 334;
}
obj1558->flags |= OFLAG_MUTABLE;
adddatum2(obj1558, alloc_Undefined(), 7);
// method "isBlock"
  struct UserObject *uo1567 = (struct UserObject*)obj1558;
  uo1567->data[8] = emptyclosure;
  Method *meth_meth_ast_isBlock1567 = addmethod2pos(obj1558, "isBlock", &meth_ast_isBlock1567, 8);
  int argcv_meth_ast_isBlock1567[] = {0};
  meth_meth_ast_isBlock1567->type = alloc_MethodType(1, argcv_meth_ast_isBlock1567);
  meth_meth_ast_isBlock1567->definitionModule = modulename;
  meth_meth_ast_isBlock1567->definitionLine = 338;
// method "isDelimited"
  struct UserObject *uo1569 = (struct UserObject*)obj1558;
  uo1569->data[9] = emptyclosure;
  Method *meth_meth_ast_isDelimited1569 = addmethod2pos(obj1558, "isDelimited", &meth_ast_isDelimited1569, 9);
  int argcv_meth_ast_isDelimited1569[] = {0};
  meth_meth_ast_isDelimited1569->type = alloc_MethodType(1, argcv_meth_ast_isDelimited1569);
  meth_meth_ast_isDelimited1569->definitionModule = modulename;
  meth_meth_ast_isDelimited1569->definitionLine = 339;
// method "isEmpty"
  struct UserObject *uo1571 = (struct UserObject*)obj1558;
  uo1571->data[10] = emptyclosure;
  Method *meth_meth_ast_isEmpty1571 = addmethod2pos(obj1558, "isEmpty", &meth_ast_isEmpty1571, 10);
  int argcv_meth_ast_isEmpty1571[] = {0};
  meth_meth_ast_isEmpty1571->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1571);
  meth_meth_ast_isEmpty1571->definitionModule = modulename;
  meth_meth_ast_isEmpty1571->definitionLine = 340;
// method "isntEmpty"
  struct UserObject *uo1580 = (struct UserObject*)obj1558;
  uo1580->data[11] = emptyclosure;
  Method *meth_meth_ast_isntEmpty1580 = addmethod2pos(obj1558, "isntEmpty", &meth_ast_isntEmpty1580, 11);
  int argcv_meth_ast_isntEmpty1580[] = {0};
  meth_meth_ast_isntEmpty1580->type = alloc_MethodType(1, argcv_meth_ast_isntEmpty1580);
  meth_meth_ast_isntEmpty1580->definitionModule = modulename;
  meth_meth_ast_isntEmpty1580->definitionLine = 341;
// method "scope:=(_)"
  struct UserObject *uo1589 = (struct UserObject*)obj1558;
  uo1589->data[12] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_1589 = addmethod2pos(obj1558, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_1589, 12);
  int argcv_meth_ast_scope_58__61__40_1_41_1589[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_1589->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_1589);
  meth_meth_ast_scope_58__61__40_1_41_1589->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_1589->definitionLine = 342;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj1558);
  Object closure1594 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure1594, stackframe);
  addtoclosure(closure1594, var_k);
  struct UserObject *uo1594 = (struct UserObject*)obj1558;
  uo1594->data[13] = (Object)closure1594;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_1594 = addmethod2pos(obj1558, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_1594, 13);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_1594[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1594->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_1594);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1594->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1594->definitionLine = 348;
// method "isMatchingBlock"
  struct UserObject *uo1597 = (struct UserObject*)obj1558;
  uo1597->data[14] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock1597 = addmethod2pos(obj1558, "isMatchingBlock", &meth_ast_isMatchingBlock1597, 14);
  int argcv_meth_ast_isMatchingBlock1597[] = {0};
  meth_meth_ast_isMatchingBlock1597->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock1597);
  meth_meth_ast_isMatchingBlock1597->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock1597->definitionLine = 349;
// method "returnsObject"
  struct UserObject *uo1606 = (struct UserObject*)obj1558;
  uo1606->data[15] = emptyclosure;
  Method *meth_meth_ast_returnsObject1606 = addmethod2pos(obj1558, "returnsObject", &meth_ast_returnsObject1606, 15);
  int argcv_meth_ast_returnsObject1606[] = {0};
  meth_meth_ast_returnsObject1606->type = alloc_MethodType(1, argcv_meth_ast_returnsObject1606);
  meth_meth_ast_returnsObject1606->definitionModule = modulename;
  meth_meth_ast_returnsObject1606->definitionLine = 350;
// method "returnedObjectScope"
  struct UserObject *uo1627 = (struct UserObject*)obj1558;
  uo1627->data[16] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope1627 = addmethod2pos(obj1558, "returnedObjectScope", &meth_ast_returnedObjectScope1627, 16);
  int argcv_meth_ast_returnedObjectScope1627[] = {0};
  meth_meth_ast_returnedObjectScope1627->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope1627);
  meth_meth_ast_returnedObjectScope1627->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope1627->definitionLine = 353;
// method "parametersDo(_)"
  struct UserObject *uo1634 = (struct UserObject*)obj1558;
  uo1634->data[17] = emptyclosure;
  Method *meth_meth_ast_parametersDo_40_1_41_1634 = addmethod2pos(obj1558, "parametersDo(1)", &meth_ast_parametersDo_40_1_41_1634, 17);
  int argcv_meth_ast_parametersDo_40_1_41_1634[] = {1};
  meth_meth_ast_parametersDo_40_1_41_1634->type = alloc_MethodType(1, argcv_meth_ast_parametersDo_40_1_41_1634);
  meth_meth_ast_parametersDo_40_1_41_1634->definitionModule = modulename;
  meth_meth_ast_parametersDo_40_1_41_1634->definitionLine = 357;
// method "accept(_)from(_)"
  struct UserObject *uo1639 = (struct UserObject*)obj1558;
  uo1639->data[18] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1639 = addmethod2pos(obj1558, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1639, 18);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1639[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1639->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1639);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1639->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1639->definitionLine = 360;
// method "map(_)ancestors(_)"
  struct UserObject *uo1674 = (struct UserObject*)obj1558;
  uo1674->data[19] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1674 = addmethod2pos(obj1558, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1674, 19);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1674[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1674->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1674);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1674->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1674->definitionLine = 374;
// method "pretty(_)"
  struct UserObject *uo1711 = (struct UserObject*)obj1558;
  uo1711->data[20] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_1711 = addmethod2pos(obj1558, "pretty(1)", &meth_ast_pretty_40_1_41_1711, 20);
  int argcv_meth_ast_pretty_40_1_41_1711[] = {1};
  meth_meth_ast_pretty_40_1_41_1711->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1711);
  meth_meth_ast_pretty_40_1_41_1711->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1711->definitionLine = 382;
// method "toGrace(_)"
  struct UserObject *uo1841 = (struct UserObject*)obj1558;
  uo1841->data[21] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1841 = addmethod2pos(obj1558, "toGrace(1)", &meth_ast_toGrace_40_1_41_1841, 21);
  int argcv_meth_ast_toGrace_40_1_41_1841[] = {1};
  meth_meth_ast_toGrace_40_1_41_1841->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1841);
meth_meth_ast_toGrace_40_1_41_1841->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_1841->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_1841->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1841->definitionLine = 404;
// method "shallowCopy"
  block_savedest(obj1558);
  Object closure1975 = createclosure(1, "shallowCopy");
  setclosureframe(closure1975, stackframe);
  addtoclosure(closure1975, var_blockNode);
  struct UserObject *uo1975 = (struct UserObject*)obj1558;
  uo1975->data[22] = (Object)closure1975;
  Method *meth_meth_ast_shallowCopy1975 = addmethod2pos(obj1558, "shallowCopy", &meth_ast_shallowCopy1975, 22);
  int argcv_meth_ast_shallowCopy1975[] = {0};
  meth_meth_ast_shallowCopy1975->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy1975);
  meth_meth_ast_shallowCopy1975->definitionModule = modulename;
  meth_meth_ast_shallowCopy1975->definitionLine = 433;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo1984 = (struct UserObject*)obj1558;
  uo1984->data[23] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1984 = addmethod2pos(obj1558, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_1984, 23);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_1984[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1984->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_1984);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1984->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1984->definitionLine = 436;
  sourceObject = obj1558;
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1995 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1996 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1997 = gc_frame_new();
// call case 3: self.outer request
  Object call1998 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1997);
// compiled member node returning call1998 (depth = 5)
  Object call1999 = callmethodflags(call1998, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1996);
// compiled member node returning call1999 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2000 = callmethodflags(call1999, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1995);
// compiled call node returning call2000 (depth = 3)
  struct UserObject *obj1558_uo = (struct UserObject *)obj1558;
  obj1558_uo->super = call2000;
  sourceObject = obj1558;
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2001 == NULL) {
    strlit2001 = alloc_String("block");
    gc_root(strlit2001);
  }
// compiled string node returning strlit2001 (depth = 3)
  adddatum2(obj1558, strlit2001, 1);
  sourceObject = obj1558;
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2002 == NULL) {
    strlit2002 = alloc_String("block");
    gc_root(strlit2002);
  }
// compiled string node returning strlit2002 (depth = 3)
  adddatum2(obj1558, strlit2002, 2);
  sourceObject = obj1558;
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj1558, *var_params_39_, 3);
  sourceObject = obj1558;
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj1558, *var_body_39_, 4);
  sourceObject = obj1558;
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2003 = alloc_Boolean(1);
// compiled identifier node returning bool2003 (depth = 3)
  adddatum2(obj1558, bool2003, 5);
  sourceObject = obj1558;
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2004 = alloc_Boolean(0);
// compiled identifier node returning bool2004 (depth = 3)
  adddatum2(obj1558, bool2004, 6);
  sourceObject = obj1558;
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2005 = alloc_Boolean(0);
// compiled identifier node returning bool2005 (depth = 3)
  adddatum2(obj1558, bool2005, 7);
  sourceObject = obj1558;
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2006 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  gc_frame_newslot(*var_params_39_);
// starting to compile block node (depth = 4)
  Object block2007 = alloc_Block(NULL, NULL, "ast", 335);
  gc_frame_newslot(block2007);
// method "_apply(_)"
  block_savedest(block2007);
  Object closure2008 = createclosure(3, "_apply(1)");
  setclosureframe(closure2008, stackframe);
  addtoclosure(closure2008, var_patternMarkVisitor);
  addtoclosure(closure2008, var_ancestorChain);
  addtoclosure(closure2008, selfslot);
  struct UserObject *uo2008 = (struct UserObject*)block2007;
  uo2008->data[0] = (Object)closure2008;
  Method *meth_meth_ast__apply_40_1_41_2008 = addmethod2pos(block2007, "_apply(1)", &meth_ast__apply_40_1_41_2008, 0);
  int argcv_meth_ast__apply_40_1_41_2008[] = {1};
  meth_meth_ast__apply_40_1_41_2008->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2008);
  meth_meth_ast__apply_40_1_41_2008->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2008->definitionLine = 2947;
// compiled block node returning block2007 (depth = 4)
  gc_frame_newslot(block2007);
// call case 5: prelude request
  params[0] = *var_params_39_;
  params[1] = block2007;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2014 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2006);
// compiled call node returning call2014 (depth = 3)
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  objclass1558 = obj1558->class;
  objclass1558->definitionModule = modulename;
  objclass1558->definitionLine = 326;
  (*(struct UserObject *)self).data[0] = lowerouter1558;
  self = oldself1558;
  selfslot = oldselfslot1558;
  stackframe = oldstackframe1558;
  gc_frame_end(frame);
  return obj1558;
}
Object meth_ast_new_40_2_41_1557_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_blockNode = getfromclosure(closure, 1);
  Object *var_patternMarkVisitor = getfromclosure(closure, 2);
  Object *var_ancestorChain = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject1558 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1558 = alloc_userobj2(28,25, objclass1558);
  gc_frame_newslot(obj1558);
if (objclass1558 == NULL) {
  glfree(obj1558->class->name);
  obj1558->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1558, self, 0);
  addmethodreal(obj1558,"outer", &reader_ast_outer_1559);
  Object oldself1558 = self;
  struct StackFrameObject *oldstackframe1558 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1558);
  gc_frame_newslot((Object)stackframe);
  self = obj1558;
  Object *oldselfslot1558 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1558 = (*(struct UserObject *)self).data[0], lowerouter1558 = thisouter1558;
  if (inheritingObject1558) {
    struct UserObject *inho1558 = (struct UserObject *)inheritingObject1558;
    while (inho1558->super != GraceDefaultObject) inho1558 = (struct UserObject *)inho1558->super;
    inho1558->super = obj1558;
    self = inheritingObject1558;
    *selfslot = self;
    lowerouter1558 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1558;
  }
if (objclass1558 == NULL) {
  Method *reader1560 = addmethodrealflags(obj1558, "kind",&reader_ast_kind_1560, MFLAG_DEF);
  reader1560->definitionModule = modulename;
  reader1560->definitionLine = 328;
}
adddatum2(obj1558, alloc_Undefined(), 1);
if (objclass1558 == NULL) {
  Method *reader1561 = addmethodrealflags(obj1558, "value",&reader_ast_value_1561, MFLAG_DEF);
  reader1561->definitionModule = modulename;
  reader1561->definitionLine = 329;
}
adddatum2(obj1558, alloc_Undefined(), 2);
if (objclass1558 == NULL) {
  Method *reader1562 = addmethodrealflags(obj1558, "params", &reader_ast_params_1562, 0);
  Method *writer1562 = addmethodrealflags(obj1558, "params:=(1)", &writer_ast_params_1562, 0);
  reader1562->definitionModule = modulename;
  writer1562->definitionModule = modulename;
  reader1562->definitionLine = 330;
  writer1562->definitionLine = 330;
}
obj1558->flags |= OFLAG_MUTABLE;
adddatum2(obj1558, alloc_Undefined(), 3);
if (objclass1558 == NULL) {
  Method *reader1563 = addmethodrealflags(obj1558, "body", &reader_ast_body_1563, 0);
  Method *writer1563 = addmethodrealflags(obj1558, "body:=(1)", &writer_ast_body_1563, 0);
  reader1563->definitionModule = modulename;
  writer1563->definitionModule = modulename;
  reader1563->definitionLine = 331;
  writer1563->definitionLine = 331;
}
obj1558->flags |= OFLAG_MUTABLE;
adddatum2(obj1558, alloc_Undefined(), 4);
if (objclass1558 == NULL) {
  Method *reader1564 = addmethodrealflags(obj1558, "selfclosure",&reader_ast_selfclosure_1564, MFLAG_DEF);
  reader1564->definitionModule = modulename;
  reader1564->definitionLine = 332;
}
adddatum2(obj1558, alloc_Undefined(), 5);
if (objclass1558 == NULL) {
  Method *reader1565 = addmethodrealflags(obj1558, "matchingPattern", &reader_ast_matchingPattern_1565, 0);
  Method *writer1565 = addmethodrealflags(obj1558, "matchingPattern:=(1)", &writer_ast_matchingPattern_1565, 0);
  reader1565->definitionModule = modulename;
  writer1565->definitionModule = modulename;
  reader1565->definitionLine = 333;
  writer1565->definitionLine = 333;
}
obj1558->flags |= OFLAG_MUTABLE;
adddatum2(obj1558, alloc_Undefined(), 6);
if (objclass1558 == NULL) {
  Method *reader1566 = addmethodrealflags(obj1558, "extraRuntimeData", &reader_ast_extraRuntimeData_1566, 0);
  Method *writer1566 = addmethodrealflags(obj1558, "extraRuntimeData:=(1)", &writer_ast_extraRuntimeData_1566, 0);
  reader1566->definitionModule = modulename;
  writer1566->definitionModule = modulename;
  reader1566->definitionLine = 334;
  writer1566->definitionLine = 334;
}
obj1558->flags |= OFLAG_MUTABLE;
adddatum2(obj1558, alloc_Undefined(), 7);
// method "isBlock"
  struct UserObject *uo1567 = (struct UserObject*)obj1558;
  uo1567->data[8] = emptyclosure;
  Method *meth_meth_ast_isBlock1567 = addmethod2pos(obj1558, "isBlock", &meth_ast_isBlock1567, 8);
  int argcv_meth_ast_isBlock1567[] = {0};
  meth_meth_ast_isBlock1567->type = alloc_MethodType(1, argcv_meth_ast_isBlock1567);
  meth_meth_ast_isBlock1567->definitionModule = modulename;
  meth_meth_ast_isBlock1567->definitionLine = 338;
// method "isDelimited"
  struct UserObject *uo1569 = (struct UserObject*)obj1558;
  uo1569->data[9] = emptyclosure;
  Method *meth_meth_ast_isDelimited1569 = addmethod2pos(obj1558, "isDelimited", &meth_ast_isDelimited1569, 9);
  int argcv_meth_ast_isDelimited1569[] = {0};
  meth_meth_ast_isDelimited1569->type = alloc_MethodType(1, argcv_meth_ast_isDelimited1569);
  meth_meth_ast_isDelimited1569->definitionModule = modulename;
  meth_meth_ast_isDelimited1569->definitionLine = 339;
// method "isEmpty"
  struct UserObject *uo1571 = (struct UserObject*)obj1558;
  uo1571->data[10] = emptyclosure;
  Method *meth_meth_ast_isEmpty1571 = addmethod2pos(obj1558, "isEmpty", &meth_ast_isEmpty1571, 10);
  int argcv_meth_ast_isEmpty1571[] = {0};
  meth_meth_ast_isEmpty1571->type = alloc_MethodType(1, argcv_meth_ast_isEmpty1571);
  meth_meth_ast_isEmpty1571->definitionModule = modulename;
  meth_meth_ast_isEmpty1571->definitionLine = 340;
// method "isntEmpty"
  struct UserObject *uo1580 = (struct UserObject*)obj1558;
  uo1580->data[11] = emptyclosure;
  Method *meth_meth_ast_isntEmpty1580 = addmethod2pos(obj1558, "isntEmpty", &meth_ast_isntEmpty1580, 11);
  int argcv_meth_ast_isntEmpty1580[] = {0};
  meth_meth_ast_isntEmpty1580->type = alloc_MethodType(1, argcv_meth_ast_isntEmpty1580);
  meth_meth_ast_isntEmpty1580->definitionModule = modulename;
  meth_meth_ast_isntEmpty1580->definitionLine = 341;
// method "scope:=(_)"
  struct UserObject *uo1589 = (struct UserObject*)obj1558;
  uo1589->data[12] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_1589 = addmethod2pos(obj1558, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_1589, 12);
  int argcv_meth_ast_scope_58__61__40_1_41_1589[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_1589->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_1589);
  meth_meth_ast_scope_58__61__40_1_41_1589->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_1589->definitionLine = 342;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj1558);
  Object closure1594 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure1594, stackframe);
  addtoclosure(closure1594, var_k);
  struct UserObject *uo1594 = (struct UserObject*)obj1558;
  uo1594->data[13] = (Object)closure1594;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_1594 = addmethod2pos(obj1558, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_1594, 13);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_1594[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1594->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_1594);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1594->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_1594->definitionLine = 348;
// method "isMatchingBlock"
  struct UserObject *uo1597 = (struct UserObject*)obj1558;
  uo1597->data[14] = emptyclosure;
  Method *meth_meth_ast_isMatchingBlock1597 = addmethod2pos(obj1558, "isMatchingBlock", &meth_ast_isMatchingBlock1597, 14);
  int argcv_meth_ast_isMatchingBlock1597[] = {0};
  meth_meth_ast_isMatchingBlock1597->type = alloc_MethodType(1, argcv_meth_ast_isMatchingBlock1597);
  meth_meth_ast_isMatchingBlock1597->definitionModule = modulename;
  meth_meth_ast_isMatchingBlock1597->definitionLine = 349;
// method "returnsObject"
  struct UserObject *uo1606 = (struct UserObject*)obj1558;
  uo1606->data[15] = emptyclosure;
  Method *meth_meth_ast_returnsObject1606 = addmethod2pos(obj1558, "returnsObject", &meth_ast_returnsObject1606, 15);
  int argcv_meth_ast_returnsObject1606[] = {0};
  meth_meth_ast_returnsObject1606->type = alloc_MethodType(1, argcv_meth_ast_returnsObject1606);
  meth_meth_ast_returnsObject1606->definitionModule = modulename;
  meth_meth_ast_returnsObject1606->definitionLine = 350;
// method "returnedObjectScope"
  struct UserObject *uo1627 = (struct UserObject*)obj1558;
  uo1627->data[16] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope1627 = addmethod2pos(obj1558, "returnedObjectScope", &meth_ast_returnedObjectScope1627, 16);
  int argcv_meth_ast_returnedObjectScope1627[] = {0};
  meth_meth_ast_returnedObjectScope1627->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope1627);
  meth_meth_ast_returnedObjectScope1627->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope1627->definitionLine = 353;
// method "parametersDo(_)"
  struct UserObject *uo1634 = (struct UserObject*)obj1558;
  uo1634->data[17] = emptyclosure;
  Method *meth_meth_ast_parametersDo_40_1_41_1634 = addmethod2pos(obj1558, "parametersDo(1)", &meth_ast_parametersDo_40_1_41_1634, 17);
  int argcv_meth_ast_parametersDo_40_1_41_1634[] = {1};
  meth_meth_ast_parametersDo_40_1_41_1634->type = alloc_MethodType(1, argcv_meth_ast_parametersDo_40_1_41_1634);
  meth_meth_ast_parametersDo_40_1_41_1634->definitionModule = modulename;
  meth_meth_ast_parametersDo_40_1_41_1634->definitionLine = 357;
// method "accept(_)from(_)"
  struct UserObject *uo1639 = (struct UserObject*)obj1558;
  uo1639->data[18] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1639 = addmethod2pos(obj1558, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1639, 18);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1639[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1639->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1639);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1639->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1639->definitionLine = 360;
// method "map(_)ancestors(_)"
  struct UserObject *uo1674 = (struct UserObject*)obj1558;
  uo1674->data[19] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1674 = addmethod2pos(obj1558, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1674, 19);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1674[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1674->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1674);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1674->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1674->definitionLine = 374;
// method "pretty(_)"
  struct UserObject *uo1711 = (struct UserObject*)obj1558;
  uo1711->data[20] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_1711 = addmethod2pos(obj1558, "pretty(1)", &meth_ast_pretty_40_1_41_1711, 20);
  int argcv_meth_ast_pretty_40_1_41_1711[] = {1};
  meth_meth_ast_pretty_40_1_41_1711->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1711);
  meth_meth_ast_pretty_40_1_41_1711->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1711->definitionLine = 382;
// method "toGrace(_)"
  struct UserObject *uo1841 = (struct UserObject*)obj1558;
  uo1841->data[21] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1841 = addmethod2pos(obj1558, "toGrace(1)", &meth_ast_toGrace_40_1_41_1841, 21);
  int argcv_meth_ast_toGrace_40_1_41_1841[] = {1};
  meth_meth_ast_toGrace_40_1_41_1841->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1841);
meth_meth_ast_toGrace_40_1_41_1841->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_1841->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_1841->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1841->definitionLine = 404;
// method "shallowCopy"
  block_savedest(obj1558);
  Object closure1975 = createclosure(1, "shallowCopy");
  setclosureframe(closure1975, stackframe);
  addtoclosure(closure1975, var_blockNode);
  struct UserObject *uo1975 = (struct UserObject*)obj1558;
  uo1975->data[22] = (Object)closure1975;
  Method *meth_meth_ast_shallowCopy1975 = addmethod2pos(obj1558, "shallowCopy", &meth_ast_shallowCopy1975, 22);
  int argcv_meth_ast_shallowCopy1975[] = {0};
  meth_meth_ast_shallowCopy1975->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy1975);
  meth_meth_ast_shallowCopy1975->definitionModule = modulename;
  meth_meth_ast_shallowCopy1975->definitionLine = 433;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo1984 = (struct UserObject*)obj1558;
  uo1984->data[23] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1984 = addmethod2pos(obj1558, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_1984, 23);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_1984[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1984->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_1984);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1984->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_1984->definitionLine = 436;
  sourceObject = obj1558;
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1995 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1996 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1997 = gc_frame_new();
// call case 3: self.outer request
  Object call1998 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1997);
// compiled member node returning call1998 (depth = 5)
  Object call1999 = callmethodflags(call1998, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe1996);
// compiled member node returning call1999 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2000 = callmethodflags(call1999, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1995);
// compiled call node returning call2000 (depth = 3)
  struct UserObject *obj1558_uo = (struct UserObject *)obj1558;
  obj1558_uo->super = call2000;
  sourceObject = obj1558;
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2001 == NULL) {
    strlit2001 = alloc_String("block");
    gc_root(strlit2001);
  }
// compiled string node returning strlit2001 (depth = 3)
  adddatum2(obj1558, strlit2001, 1);
  sourceObject = obj1558;
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2002 == NULL) {
    strlit2002 = alloc_String("block");
    gc_root(strlit2002);
  }
// compiled string node returning strlit2002 (depth = 3)
  adddatum2(obj1558, strlit2002, 2);
  sourceObject = obj1558;
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj1558, *var_params_39_, 3);
  sourceObject = obj1558;
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj1558, *var_body_39_, 4);
  sourceObject = obj1558;
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2003 = alloc_Boolean(1);
// compiled identifier node returning bool2003 (depth = 3)
  adddatum2(obj1558, bool2003, 5);
  sourceObject = obj1558;
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2004 = alloc_Boolean(0);
// compiled identifier node returning bool2004 (depth = 3)
  adddatum2(obj1558, bool2004, 6);
  sourceObject = obj1558;
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2005 = alloc_Boolean(0);
// compiled identifier node returning bool2005 (depth = 3)
  adddatum2(obj1558, bool2005, 7);
  sourceObject = obj1558;
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2006 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_params_39_ (depth = 4)
  gc_frame_newslot(*var_params_39_);
// starting to compile block node (depth = 4)
  Object block2007 = alloc_Block(NULL, NULL, "ast", 335);
  gc_frame_newslot(block2007);
// method "_apply(_)"
  block_savedest(block2007);
  Object closure2008 = createclosure(3, "_apply(1)");
  setclosureframe(closure2008, stackframe);
  addtoclosure(closure2008, var_patternMarkVisitor);
  addtoclosure(closure2008, var_ancestorChain);
  addtoclosure(closure2008, selfslot);
  struct UserObject *uo2008 = (struct UserObject*)block2007;
  uo2008->data[0] = (Object)closure2008;
  Method *meth_meth_ast__apply_40_1_41_2008 = addmethod2pos(block2007, "_apply(1)", &meth_ast__apply_40_1_41_2008, 0);
  int argcv_meth_ast__apply_40_1_41_2008[] = {1};
  meth_meth_ast__apply_40_1_41_2008->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2008);
  meth_meth_ast__apply_40_1_41_2008->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2008->definitionLine = 2947;
// compiled block node returning block2007 (depth = 4)
  gc_frame_newslot(block2007);
// call case 5: prelude request
  params[0] = *var_params_39_;
  params[1] = block2007;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2014 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2006);
// compiled call node returning call2014 (depth = 3)
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  sourceObject = obj1558;
  objclass1558 = obj1558->class;
  objclass1558->definitionModule = modulename;
  objclass1558->definitionLine = 326;
  (*(struct UserObject *)self).data[0] = lowerouter1558;
  self = oldself1558;
  selfslot = oldselfslot1558;
  stackframe = oldstackframe1558;
  gc_frame_end(frame);
  return obj1558;
}
Object meth_ast_blockNode2016(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blockNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blockNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blockNode (depth = 3)
  gc_frame_end(frame);
  return *var_blockNode;
}
Object meth_ast_isSimple2026(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2027 = alloc_Boolean(0);
// compiled identifier node returning bool2027 (depth = 3)
  gc_frame_end(frame);
  return bool2027;
}
Object meth_ast__apply_40_1_41_2042(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2043 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2044 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2043);
// compiled call node returning call2044 (depth = 6)
  gc_frame_end(frame);
  return call2044;
}
Object meth_ast_accept_40_1_41_from_40_1_41_2028(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2030 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2031 = callmethodflags(*var_visitor, "visitTryCatch(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2030);
// compiled call node returning call2031 (depth = 4)
  Object if2029 = done;
  if (istrue(call2031)) {
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2032 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2033 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2032);
// compiled call node returning call2033 (depth = 5)
  *var_newChain = call2033;
  if (call2033 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2034 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2035 = gc_frame_new();
// call case 4: self request
  Object call2036 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2035);
// compiled member node returning call2036 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2037 = callmethodflags(call2036, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2034);
// compiled call node returning call2037 (depth = 4)
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2038 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2039 = gc_frame_new();
// call case 4: self request
  Object call2040 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2039);
// compiled member node returning call2040 (depth = 5)
  gc_frame_newslot(call2040);
// starting to compile block node (depth = 5)
  Object block2041 = alloc_Block(NULL, NULL, "ast", 457);
  gc_frame_newslot(block2041);
// method "_apply(_)"
  block_savedest(block2041);
  Object closure2042 = createclosure(3, "_apply(1)");
  setclosureframe(closure2042, stackframe);
  addtoclosure(closure2042, var_visitor);
  addtoclosure(closure2042, var_newChain);
  addtoclosure(closure2042, selfslot);
  struct UserObject *uo2042 = (struct UserObject*)block2041;
  uo2042->data[0] = (Object)closure2042;
  Method *meth_meth_ast__apply_40_1_41_2042 = addmethod2pos(block2041, "_apply(1)", &meth_ast__apply_40_1_41_2042, 0);
  int argcv_meth_ast__apply_40_1_41_2042[] = {1};
  meth_meth_ast__apply_40_1_41_2042->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2042);
  meth_meth_ast__apply_40_1_41_2042->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2042->definitionLine = 2947;
// compiled block node returning block2041 (depth = 5)
  gc_frame_newslot(block2041);
// call case 5: prelude request
  params[0] = call2040;
  params[1] = block2041;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2046 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2038);
// compiled call node returning call2046 (depth = 4)
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2049 = gc_frame_new();
// call case 4: self request
  Object call2050 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2049);
// compiled member node returning call2050 (depth = 6)
  int op_slot_right_2048 = gc_frame_newslot(call2050);
// starting to compile identifier node (depth = 6)
  Object bool2052 = alloc_Boolean(0);
// compiled identifier node returning bool2052 (depth = 6)
  int op_slot_left_2048 = gc_frame_newslot(bool2052);
  params[0] = call2050;
  partcv[0] = 1;
  Object opresult2053 = callmethod(bool2052, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2053 (depth = 5)
  Object if2047 = done;
  if (istrue(opresult2053)) {
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2054 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2055 = gc_frame_new();
// call case 4: self request
  Object call2056 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2055);
// compiled member node returning call2056 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2057 = callmethodflags(call2056, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2054);
// compiled call node returning call2057 (depth = 5)
    gc_frame_newslot(call2057);
    if2047 = call2057;
  } else {
  }
// compiled if node returning if2047 (depth = 4)
    gc_frame_newslot(if2047);
    if2029 = if2047;
  } else {
  }
// compiled if node returning if2029 (depth = 3)
  gc_frame_end(frame);
  return if2029;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_2058(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2059 = gc_frame_new();
// call case 4: self request
  Object call2060 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2059);
// compiled member node returning call2060 (depth = 4)
  *var_n = call2060;
  if (call2060 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2061 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2062 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2061);
// compiled call node returning call2062 (depth = 4)
  *var_newChain = call2062;
  if (call2062 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2063 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2064 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2065 = gc_frame_new();
// call case 4: self request
  Object call2066 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2065);
// compiled member node returning call2066 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2067 = callmethodflags(call2066, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2064);
// compiled call node returning call2067 (depth = 4)
  gc_frame_newslot(call2067);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2067;
  partcv[0] = 1;
  Object call2068 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2063);
// compiled call node returning call2068 (depth = 3)
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2069 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2070 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2071 = gc_frame_new();
// call case 4: self request
  Object call2072 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2071);
// compiled member node returning call2072 (depth = 5)
  gc_frame_newslot(call2072);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2073 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2074 = gc_frame_new();
// call case 3: self.outer request
  Object call2075 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2074);
// compiled member node returning call2075 (depth = 6)
  Object call2076 = callmethodflags(call2075, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2073);
// compiled member node returning call2076 (depth = 5)
  params[0] = call2072;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2077 = callmethodflags(call2076, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2070);
// compiled call node returning call2077 (depth = 4)
  gc_frame_newslot(call2077);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2077;
  partcv[0] = 1;
  Object call2078 = callmethodflags(*var_n, "cases:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2069);
// compiled call node returning call2078 (depth = 3)
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2079 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2080 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2081 = gc_frame_new();
// call case 4: self request
  Object call2082 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2081);
// compiled member node returning call2082 (depth = 5)
  gc_frame_newslot(call2082);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2083 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2084 = gc_frame_new();
// call case 3: self.outer request
  Object call2085 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2084);
// compiled member node returning call2085 (depth = 6)
  Object call2086 = callmethodflags(call2085, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2083);
// compiled member node returning call2086 (depth = 5)
  params[0] = call2082;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2087 = callmethodflags(call2086, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2080);
// compiled call node returning call2087 (depth = 4)
  gc_frame_newslot(call2087);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2087;
  partcv[0] = 1;
  Object call2088 = callmethodflags(*var_n, "finally:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2079);
// compiled call node returning call2088 (depth = 3)
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2089 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2090 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2089);
// compiled call node returning call2090 (depth = 3)
  gc_frame_end(frame);
  return call2090;
}
Object meth_ast__apply_40_1_41_2099(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2101 == NULL) {
    strlit2101 = alloc_String("  ");
    gc_root(strlit2101);
  }
// compiled string node returning strlit2101 (depth = 7)
  int op_slot_right_2100 = gc_frame_newslot(strlit2101);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2100 = gc_frame_newslot(*var_spc);
  params[0] = strlit2101;
  partcv[0] = 1;
  Object opresult2103 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2103 (depth = 6)
  *var_spc = opresult2103;
  if (opresult2103 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2136(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2139 == NULL) {
    strlit2139 = alloc_String("");
    gc_root(strlit2139);
  }
// compiled string node returning strlit2139 (depth = 8)
  int op_slot_right_2138 = gc_frame_newslot(strlit2139);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2142 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2144 = alloc_Float64(2);
// compiled num node returning num2144 (depth = 11)
  int op_slot_right_2143 = gc_frame_newslot(num2144);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_2143 = gc_frame_newslot(*var_depth);
  params[0] = num2144;
  partcv[0] = 1;
  Object sum2146 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2146 (depth = 10)
  gc_frame_newslot(sum2146);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mx (depth = 10)
  params[0] = sum2146;
  partcv[0] = 1;
  Object call2147 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2142);
// compiled call node returning call2147 (depth = 9)
  int op_slot_right_2141 = gc_frame_newslot(call2147);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2150 == NULL) {
    strlit2150 = alloc_String("  ");
    gc_root(strlit2150);
  }
// compiled string node returning strlit2150 (depth = 10)
  int op_slot_right_2149 = gc_frame_newslot(strlit2150);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2152 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2155 == NULL) {
    strlit2155 = alloc_String("Case:""\x0a""");
    gc_root(strlit2155);
  }
// compiled string node returning strlit2155 (depth = 12)
  int op_slot_right_2154 = gc_frame_newslot(strlit2155);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_2157 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit2159 == NULL) {
    strlit2159 = alloc_String("""\x0a""");
    gc_root(strlit2159);
  }
// compiled string node returning strlit2159 (depth = 13)
  int op_slot_left_2157 = gc_frame_newslot(strlit2159);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2160 = callmethod(strlit2159, "++(1)", 1, partcv, params);
// compiled op node returning opresult2160 (depth = 12)
  int op_slot_left_2154 = gc_frame_newslot(opresult2160);
  params[0] = strlit2155;
  partcv[0] = 1;
  Object opresult2161 = callmethod(opresult2160, "++(1)", 1, partcv, params);
// compiled op node returning opresult2161 (depth = 11)
  int op_slot_left_2152 = gc_frame_newslot(opresult2161);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2162 = callmethod(opresult2161, "++(1)", 1, partcv, params);
// compiled op node returning opresult2162 (depth = 10)
  int op_slot_left_2149 = gc_frame_newslot(opresult2162);
  params[0] = strlit2150;
  partcv[0] = 1;
  Object opresult2163 = callmethod(opresult2162, "++(1)", 1, partcv, params);
// compiled op node returning opresult2163 (depth = 9)
  int op_slot_left_2141 = gc_frame_newslot(opresult2163);
  params[0] = call2147;
  partcv[0] = 1;
  Object opresult2164 = callmethod(opresult2163, "++(1)", 1, partcv, params);
// compiled op node returning opresult2164 (depth = 8)
  int op_slot_left_2138 = gc_frame_newslot(opresult2164);
  params[0] = strlit2139;
  partcv[0] = 1;
  Object opresult2165 = callmethod(opresult2164, "++(1)", 1, partcv, params);
// compiled op node returning opresult2165 (depth = 7)
  int op_slot_right_2137 = gc_frame_newslot(opresult2165);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2137 = gc_frame_newslot(*var_s);
  params[0] = opresult2165;
  partcv[0] = 1;
  Object opresult2167 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2167 (depth = 6)
  *var_s = opresult2167;
  if (opresult2167 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_2091(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2092 == NULL) {
    strlit2092 = alloc_String("");
    gc_root(strlit2092);
  }
// compiled string node returning strlit2092 (depth = 4)
  *var_spc = strlit2092;
  if (strlit2092 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2093 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2094 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num2096 = alloc_Float64(0);
// compiled num node returning num2096 (depth = 5)
  int op_slot_left_2094 = gc_frame_newslot(num2096);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2097 = callmethod(num2096, "..(1)", 1, partcv, params);
// compiled op node returning opresult2097 (depth = 4)
  gc_frame_newslot(opresult2097);
// starting to compile block node (depth = 4)
  Object block2098 = alloc_Block(NULL, NULL, "ast", 475);
  gc_frame_newslot(block2098);
// method "_apply(_)"
  block_savedest(block2098);
  Object closure2099 = createclosure(2, "_apply(1)");
  setclosureframe(closure2099, stackframe);
  addtoclosure(closure2099, var_spc);
  addtoclosure(closure2099, selfslot);
  struct UserObject *uo2099 = (struct UserObject*)block2098;
  uo2099->data[0] = (Object)closure2099;
  Method *meth_meth_ast__apply_40_1_41_2099 = addmethod2pos(block2098, "_apply(1)", &meth_ast__apply_40_1_41_2099, 0);
  int argcv_meth_ast__apply_40_1_41_2099[] = {1};
  meth_meth_ast__apply_40_1_41_2099->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2099);
  meth_meth_ast__apply_40_1_41_2099->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2099->definitionLine = 2947;
// compiled block node returning block2098 (depth = 4)
  gc_frame_newslot(block2098);
// call case 5: prelude request
  params[0] = opresult2097;
  params[1] = block2098;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2106 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2093);
// compiled call node returning call2106 (depth = 3)
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2108 == NULL) {
    strlit2108 = alloc_String("""\x0a""");
    gc_root(strlit2108);
  }
// compiled string node returning strlit2108 (depth = 5)
  int op_slot_right_2107 = gc_frame_newslot(strlit2108);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2111 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2112 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe2111);
// compiled call node returning call2112 (depth = 6)
  int op_slot_right_2110 = gc_frame_newslot(call2112);
// starting to compile string node (depth = 6)
  if (strlit2114 == NULL) {
    strlit2114 = alloc_String("");
    gc_root(strlit2114);
  }
// compiled string node returning strlit2114 (depth = 6)
  int op_slot_left_2110 = gc_frame_newslot(strlit2114);
  params[0] = call2112;
  partcv[0] = 1;
  Object opresult2115 = callmethod(strlit2114, "++(1)", 1, partcv, params);
// compiled op node returning opresult2115 (depth = 5)
  int op_slot_left_2107 = gc_frame_newslot(opresult2115);
  params[0] = strlit2108;
  partcv[0] = 1;
  Object opresult2116 = callmethod(opresult2115, "++(1)", 1, partcv, params);
// compiled op node returning opresult2116 (depth = 4)
  *var_s = opresult2116;
  if (opresult2116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2118 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2120 = alloc_Float64(2);
// compiled num node returning num2120 (depth = 7)
  int op_slot_right_2119 = gc_frame_newslot(num2120);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_2119 = gc_frame_newslot(*var_depth);
  params[0] = num2120;
  partcv[0] = 1;
  Object sum2122 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2122 (depth = 6)
  gc_frame_newslot(sum2122);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2123 = gc_frame_new();
// call case 4: self request
  Object call2124 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2123);
// compiled member node returning call2124 (depth = 6)
  params[0] = sum2122;
  partcv[0] = 1;
  Object call2125 = callmethodflags(call2124, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2118);
// compiled call node returning call2125 (depth = 5)
  int op_slot_right_2117 = gc_frame_newslot(call2125);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2127 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2127 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2129 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2129 (depth = 5)
  int op_slot_left_2117 = gc_frame_newslot(opresult2129);
  params[0] = call2125;
  partcv[0] = 1;
  Object opresult2130 = callmethod(opresult2129, "++(1)", 1, partcv, params);
// compiled op node returning opresult2130 (depth = 4)
  *var_s = opresult2130;
  if (opresult2130 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2132 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2133 = gc_frame_new();
// call case 4: self request
  Object call2134 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2133);
// compiled member node returning call2134 (depth = 4)
  gc_frame_newslot(call2134);
// starting to compile block node (depth = 4)
  Object block2135 = alloc_Block(NULL, NULL, "ast", 480);
  gc_frame_newslot(block2135);
// method "_apply(_)"
  block_savedest(block2135);
  Object closure2136 = createclosure(4, "_apply(1)");
  setclosureframe(closure2136, stackframe);
  addtoclosure(closure2136, var_depth);
  addtoclosure(closure2136, var_spc);
  addtoclosure(closure2136, var_s);
  addtoclosure(closure2136, selfslot);
  struct UserObject *uo2136 = (struct UserObject*)block2135;
  uo2136->data[0] = (Object)closure2136;
  Method *meth_meth_ast__apply_40_1_41_2136 = addmethod2pos(block2135, "_apply(1)", &meth_ast__apply_40_1_41_2136, 0);
  int argcv_meth_ast__apply_40_1_41_2136[] = {1};
  meth_meth_ast__apply_40_1_41_2136->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2136);
  meth_meth_ast__apply_40_1_41_2136->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2136->definitionLine = 2947;
// compiled block node returning block2135 (depth = 4)
  gc_frame_newslot(block2135);
// call case 5: prelude request
  params[0] = call2134;
  params[1] = block2135;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2170 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2132);
// compiled call node returning call2170 (depth = 3)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2173 = gc_frame_new();
// call case 4: self request
  Object call2174 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2173);
// compiled member node returning call2174 (depth = 5)
  int op_slot_right_2172 = gc_frame_newslot(call2174);
// starting to compile identifier node (depth = 5)
  Object bool2176 = alloc_Boolean(0);
// compiled identifier node returning bool2176 (depth = 5)
  int op_slot_left_2172 = gc_frame_newslot(bool2176);
  params[0] = call2174;
  partcv[0] = 1;
  Object opresult2177 = callmethod(bool2176, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2177 (depth = 4)
  Object if2171 = done;
  if (istrue(opresult2177)) {
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2180 == NULL) {
    strlit2180 = alloc_String("");
    gc_root(strlit2180);
  }
// compiled string node returning strlit2180 (depth = 7)
  int op_slot_right_2179 = gc_frame_newslot(strlit2180);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2183 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2185 = alloc_Float64(2);
// compiled num node returning num2185 (depth = 10)
  int op_slot_right_2184 = gc_frame_newslot(num2185);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2184 = gc_frame_newslot(*var_depth);
  params[0] = num2185;
  partcv[0] = 1;
  Object sum2187 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2187 (depth = 9)
  gc_frame_newslot(sum2187);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2188 = gc_frame_new();
// call case 4: self request
  Object call2189 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2188);
// compiled member node returning call2189 (depth = 9)
  params[0] = sum2187;
  partcv[0] = 1;
  Object call2190 = callmethodflags(call2189, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2183);
// compiled call node returning call2190 (depth = 8)
  int op_slot_right_2182 = gc_frame_newslot(call2190);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2193 == NULL) {
    strlit2193 = alloc_String("  ");
    gc_root(strlit2193);
  }
// compiled string node returning strlit2193 (depth = 9)
  int op_slot_right_2192 = gc_frame_newslot(strlit2193);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2195 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2198 == NULL) {
    strlit2198 = alloc_String("Finally:""\x0a""");
    gc_root(strlit2198);
  }
// compiled string node returning strlit2198 (depth = 11)
  int op_slot_right_2197 = gc_frame_newslot(strlit2198);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_2200 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 12)
  if (strlit2202 == NULL) {
    strlit2202 = alloc_String("""\x0a""");
    gc_root(strlit2202);
  }
// compiled string node returning strlit2202 (depth = 12)
  int op_slot_left_2200 = gc_frame_newslot(strlit2202);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2203 = callmethod(strlit2202, "++(1)", 1, partcv, params);
// compiled op node returning opresult2203 (depth = 11)
  int op_slot_left_2197 = gc_frame_newslot(opresult2203);
  params[0] = strlit2198;
  partcv[0] = 1;
  Object opresult2204 = callmethod(opresult2203, "++(1)", 1, partcv, params);
// compiled op node returning opresult2204 (depth = 10)
  int op_slot_left_2195 = gc_frame_newslot(opresult2204);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2205 = callmethod(opresult2204, "++(1)", 1, partcv, params);
// compiled op node returning opresult2205 (depth = 9)
  int op_slot_left_2192 = gc_frame_newslot(opresult2205);
  params[0] = strlit2193;
  partcv[0] = 1;
  Object opresult2206 = callmethod(opresult2205, "++(1)", 1, partcv, params);
// compiled op node returning opresult2206 (depth = 8)
  int op_slot_left_2182 = gc_frame_newslot(opresult2206);
  params[0] = call2190;
  partcv[0] = 1;
  Object opresult2207 = callmethod(opresult2206, "++(1)", 1, partcv, params);
// compiled op node returning opresult2207 (depth = 7)
  int op_slot_left_2179 = gc_frame_newslot(opresult2207);
  params[0] = strlit2180;
  partcv[0] = 1;
  Object opresult2208 = callmethod(opresult2207, "++(1)", 1, partcv, params);
// compiled op node returning opresult2208 (depth = 6)
  int op_slot_right_2178 = gc_frame_newslot(opresult2208);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2178 = gc_frame_newslot(*var_s);
  params[0] = opresult2208;
  partcv[0] = 1;
  Object opresult2210 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2210 (depth = 5)
  *var_s = opresult2210;
  if (opresult2210 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2171 = done;
  } else {
  }
// compiled if node returning if2171 (depth = 3)
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_2224(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2226 == NULL) {
    strlit2226 = alloc_String("    ");
    gc_root(strlit2226);
  }
// compiled string node returning strlit2226 (depth = 7)
  int op_slot_right_2225 = gc_frame_newslot(strlit2226);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2225 = gc_frame_newslot(*var_spc);
  params[0] = strlit2226;
  partcv[0] = 1;
  Object opresult2228 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2228 (depth = 6)
  *var_spc = opresult2228;
  if (opresult2228 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2252(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2254 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2256 = alloc_Float64(1);
// compiled num node returning num2256 (depth = 9)
  int op_slot_right_2255 = gc_frame_newslot(num2256);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2255 = gc_frame_newslot(*var_depth);
  params[0] = num2256;
  partcv[0] = 1;
  Object sum2258 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2258 (depth = 8)
  gc_frame_newslot(sum2258);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_case (depth = 8)
  params[0] = sum2258;
  partcv[0] = 1;
  Object call2259 = callmethodflags(*var_case, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2254);
// compiled call node returning call2259 (depth = 7)
  int op_slot_right_2253 = gc_frame_newslot(call2259);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2262 == NULL) {
    strlit2262 = alloc_String("catch ");
    gc_root(strlit2262);
  }
// compiled string node returning strlit2262 (depth = 8)
  int op_slot_right_2261 = gc_frame_newslot(strlit2262);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2265 == NULL) {
    strlit2265 = alloc_String("    ");
    gc_root(strlit2265);
  }
// compiled string node returning strlit2265 (depth = 9)
  int op_slot_right_2264 = gc_frame_newslot(strlit2265);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2267 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2270 == NULL) {
    strlit2270 = alloc_String("""\x0a""");
    gc_root(strlit2270);
  }
// compiled string node returning strlit2270 (depth = 11)
  int op_slot_right_2269 = gc_frame_newslot(strlit2270);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2269 = gc_frame_newslot(*var_s);
  params[0] = strlit2270;
  partcv[0] = 1;
  Object opresult2272 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2272 (depth = 10)
  int op_slot_left_2267 = gc_frame_newslot(opresult2272);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2273 = callmethod(opresult2272, "++(1)", 1, partcv, params);
// compiled op node returning opresult2273 (depth = 9)
  int op_slot_left_2264 = gc_frame_newslot(opresult2273);
  params[0] = strlit2265;
  partcv[0] = 1;
  Object opresult2274 = callmethod(opresult2273, "++(1)", 1, partcv, params);
// compiled op node returning opresult2274 (depth = 8)
  int op_slot_left_2261 = gc_frame_newslot(opresult2274);
  params[0] = strlit2262;
  partcv[0] = 1;
  Object opresult2275 = callmethod(opresult2274, "++(1)", 1, partcv, params);
// compiled op node returning opresult2275 (depth = 7)
  int op_slot_left_2253 = gc_frame_newslot(opresult2275);
  params[0] = call2259;
  partcv[0] = 1;
  Object opresult2276 = callmethod(opresult2275, "++(1)", 1, partcv, params);
// compiled op node returning opresult2276 (depth = 6)
  *var_s = opresult2276;
  if (opresult2276 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_2212(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2213 == NULL) {
    strlit2213 = alloc_String("");
    gc_root(strlit2213);
  }
// compiled string node returning strlit2213 (depth = 4)
  *var_spc = strlit2213;
  if (strlit2213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 490
  setline(490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2214 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2217 = alloc_Float64(1);
// compiled num node returning num2217 (depth = 6)
  int op_slot_right_2216 = gc_frame_newslot(num2217);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_2216 = gc_frame_newslot(*var_depth);
  params[0] = num2217;
  partcv[0] = 1;
  Object diff2219 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff2219 (depth = 5)
  int op_slot_right_2215 = gc_frame_newslot(diff2219);
// starting to compile num node (depth = 5)
  Object num2221 = alloc_Float64(0);
// compiled num node returning num2221 (depth = 5)
  int op_slot_left_2215 = gc_frame_newslot(num2221);
  params[0] = diff2219;
  partcv[0] = 1;
  Object opresult2222 = callmethod(num2221, "..(1)", 1, partcv, params);
// compiled op node returning opresult2222 (depth = 4)
  gc_frame_newslot(opresult2222);
// starting to compile block node (depth = 4)
  Object block2223 = alloc_Block(NULL, NULL, "ast", 490);
  gc_frame_newslot(block2223);
// method "_apply(_)"
  block_savedest(block2223);
  Object closure2224 = createclosure(2, "_apply(1)");
  setclosureframe(closure2224, stackframe);
  addtoclosure(closure2224, var_spc);
  addtoclosure(closure2224, selfslot);
  struct UserObject *uo2224 = (struct UserObject*)block2223;
  uo2224->data[0] = (Object)closure2224;
  Method *meth_meth_ast__apply_40_1_41_2224 = addmethod2pos(block2223, "_apply(1)", &meth_ast__apply_40_1_41_2224, 0);
  int argcv_meth_ast__apply_40_1_41_2224[] = {1};
  meth_meth_ast__apply_40_1_41_2224->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2224);
  meth_meth_ast__apply_40_1_41_2224->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2224->definitionLine = 2947;
// compiled block node returning block2223 (depth = 4)
  gc_frame_newslot(block2223);
// call case 5: prelude request
  params[0] = opresult2222;
  params[1] = block2223;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2231 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2214);
// compiled call node returning call2231 (depth = 3)
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2233 == NULL) {
    strlit2233 = alloc_String(" ");
    gc_root(strlit2233);
  }
// compiled string node returning strlit2233 (depth = 5)
  int op_slot_right_2232 = gc_frame_newslot(strlit2233);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2236 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2238 = alloc_Float64(1);
// compiled num node returning num2238 (depth = 8)
  int op_slot_right_2237 = gc_frame_newslot(num2238);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2237 = gc_frame_newslot(*var_depth);
  params[0] = num2238;
  partcv[0] = 1;
  Object sum2240 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2240 (depth = 7)
  gc_frame_newslot(sum2240);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2241 = gc_frame_new();
// call case 4: self request
  Object call2242 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2241);
// compiled member node returning call2242 (depth = 7)
  params[0] = sum2240;
  partcv[0] = 1;
  Object call2243 = callmethodflags(call2242, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2236);
// compiled call node returning call2243 (depth = 6)
  int op_slot_right_2235 = gc_frame_newslot(call2243);
// starting to compile string node (depth = 6)
  if (strlit2245 == NULL) {
    strlit2245 = alloc_String("try ");
    gc_root(strlit2245);
  }
// compiled string node returning strlit2245 (depth = 6)
  int op_slot_left_2235 = gc_frame_newslot(strlit2245);
  params[0] = call2243;
  partcv[0] = 1;
  Object opresult2246 = callmethod(strlit2245, "++(1)", 1, partcv, params);
// compiled op node returning opresult2246 (depth = 5)
  int op_slot_left_2232 = gc_frame_newslot(opresult2246);
  params[0] = strlit2233;
  partcv[0] = 1;
  Object opresult2247 = callmethod(opresult2246, "++(1)", 1, partcv, params);
// compiled op node returning opresult2247 (depth = 4)
  *var_s = opresult2247;
  if (opresult2247 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2248 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2249 = gc_frame_new();
// call case 4: self request
  Object call2250 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2249);
// compiled member node returning call2250 (depth = 4)
  gc_frame_newslot(call2250);
// starting to compile block node (depth = 4)
  Object block2251 = alloc_Block(NULL, NULL, "ast", 494);
  gc_frame_newslot(block2251);
// method "_apply(_)"
  block_savedest(block2251);
  Object closure2252 = createclosure(4, "_apply(1)");
  setclosureframe(closure2252, stackframe);
  addtoclosure(closure2252, var_depth);
  addtoclosure(closure2252, var_spc);
  addtoclosure(closure2252, var_s);
  addtoclosure(closure2252, selfslot);
  struct UserObject *uo2252 = (struct UserObject*)block2251;
  uo2252->data[0] = (Object)closure2252;
  Method *meth_meth_ast__apply_40_1_41_2252 = addmethod2pos(block2251, "_apply(1)", &meth_ast__apply_40_1_41_2252, 0);
  int argcv_meth_ast__apply_40_1_41_2252[] = {1};
  meth_meth_ast__apply_40_1_41_2252->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2252);
  meth_meth_ast__apply_40_1_41_2252->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2252->definitionLine = 2947;
// compiled block node returning block2251 (depth = 4)
  gc_frame_newslot(block2251);
// call case 5: prelude request
  params[0] = call2250;
  params[1] = block2251;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2279 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2248);
// compiled call node returning call2279 (depth = 3)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2282 = gc_frame_new();
// call case 4: self request
  Object call2283 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2282);
// compiled member node returning call2283 (depth = 5)
  int op_slot_right_2281 = gc_frame_newslot(call2283);
// starting to compile identifier node (depth = 5)
  Object bool2285 = alloc_Boolean(0);
// compiled identifier node returning bool2285 (depth = 5)
  int op_slot_left_2281 = gc_frame_newslot(bool2285);
  params[0] = call2283;
  partcv[0] = 1;
  Object opresult2286 = callmethod(bool2285, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2286 (depth = 4)
  Object if2280 = done;
  if (istrue(opresult2286)) {
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2288 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2290 = alloc_Float64(1);
// compiled num node returning num2290 (depth = 8)
  int op_slot_right_2289 = gc_frame_newslot(num2290);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2289 = gc_frame_newslot(*var_depth);
  params[0] = num2290;
  partcv[0] = 1;
  Object sum2292 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2292 (depth = 7)
  gc_frame_newslot(sum2292);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2293 = gc_frame_new();
// call case 4: self request
  Object call2294 = callmethodflags(self, "finally", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2293);
// compiled member node returning call2294 (depth = 7)
  params[0] = sum2292;
  partcv[0] = 1;
  Object call2295 = callmethodflags(call2294, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2288);
// compiled call node returning call2295 (depth = 6)
  int op_slot_right_2287 = gc_frame_newslot(call2295);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2298 == NULL) {
    strlit2298 = alloc_String("finally ");
    gc_root(strlit2298);
  }
// compiled string node returning strlit2298 (depth = 7)
  int op_slot_right_2297 = gc_frame_newslot(strlit2298);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2301 == NULL) {
    strlit2301 = alloc_String("    ");
    gc_root(strlit2301);
  }
// compiled string node returning strlit2301 (depth = 8)
  int op_slot_right_2300 = gc_frame_newslot(strlit2301);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2303 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2306 == NULL) {
    strlit2306 = alloc_String("""\x0a""");
    gc_root(strlit2306);
  }
// compiled string node returning strlit2306 (depth = 10)
  int op_slot_right_2305 = gc_frame_newslot(strlit2306);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_2305 = gc_frame_newslot(*var_s);
  params[0] = strlit2306;
  partcv[0] = 1;
  Object opresult2308 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2308 (depth = 9)
  int op_slot_left_2303 = gc_frame_newslot(opresult2308);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2309 = callmethod(opresult2308, "++(1)", 1, partcv, params);
// compiled op node returning opresult2309 (depth = 8)
  int op_slot_left_2300 = gc_frame_newslot(opresult2309);
  params[0] = strlit2301;
  partcv[0] = 1;
  Object opresult2310 = callmethod(opresult2309, "++(1)", 1, partcv, params);
// compiled op node returning opresult2310 (depth = 7)
  int op_slot_left_2297 = gc_frame_newslot(opresult2310);
  params[0] = strlit2298;
  partcv[0] = 1;
  Object opresult2311 = callmethod(opresult2310, "++(1)", 1, partcv, params);
// compiled op node returning opresult2311 (depth = 6)
  int op_slot_left_2287 = gc_frame_newslot(opresult2311);
  params[0] = call2295;
  partcv[0] = 1;
  Object opresult2312 = callmethod(opresult2311, "++(1)", 1, partcv, params);
// compiled op node returning opresult2312 (depth = 5)
  *var_s = opresult2312;
  if (opresult2312 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2280 = done;
  } else {
  }
// compiled if node returning if2280 (depth = 3)
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy2314(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2315 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe2316 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
  Object bool2317 = alloc_Boolean(0);
// compiled identifier node returning bool2317 (depth = 5)
  gc_frame_newslot(bool2317);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tryCatchNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_emptySeq;
  params[2] = bool2317;
  partcv[0] = 3;
  Object call2318 = callmethodflags(*var_tryCatchNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe2316);
// compiled call node returning call2318 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2319 = callmethodflags(call2318, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2315);
// compiled call node returning call2319 (depth = 3)
  gc_frame_end(frame);
  return call2319;
}
Object meth_ast_new_40_3_41_2019(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2020 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2020 = alloc_userobj2(13,11, objclass2020);
  gc_frame_newslot(obj2020);
if (objclass2020 == NULL) {
  glfree(obj2020->class->name);
  obj2020->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2020, self, 0);
  addmethodreal(obj2020,"outer", &reader_ast_outer_2021);
  Object oldself2020 = self;
  struct StackFrameObject *oldstackframe2020 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2020);
  gc_frame_newslot((Object)stackframe);
  self = obj2020;
  Object *oldselfslot2020 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2020 = (*(struct UserObject *)self).data[0], lowerouter2020 = thisouter2020;
  if (inheritingObject2020) {
    struct UserObject *inho2020 = (struct UserObject *)inheritingObject2020;
    while (inho2020->super != GraceDefaultObject) inho2020 = (struct UserObject *)inho2020->super;
    inho2020->super = obj2020;
    self = inheritingObject2020;
    *selfslot = self;
    lowerouter2020 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2020;
  }
if (objclass2020 == NULL) {
  Method *reader2022 = addmethodrealflags(obj2020, "kind",&reader_ast_kind_2022, MFLAG_DEF);
  reader2022->definitionModule = modulename;
  reader2022->definitionLine = 447;
}
adddatum2(obj2020, alloc_Undefined(), 1);
if (objclass2020 == NULL) {
  Method *reader2023 = addmethodrealflags(obj2020, "value", &reader_ast_value_2023, 0);
  Method *writer2023 = addmethodrealflags(obj2020, "value:=(1)", &writer_ast_value_2023, 0);
  reader2023->definitionModule = modulename;
  writer2023->definitionModule = modulename;
  reader2023->definitionLine = 448;
  writer2023->definitionLine = 448;
}
obj2020->flags |= OFLAG_MUTABLE;
adddatum2(obj2020, alloc_Undefined(), 2);
if (objclass2020 == NULL) {
  Method *reader2024 = addmethodrealflags(obj2020, "cases", &reader_ast_cases_2024, 0);
  Method *writer2024 = addmethodrealflags(obj2020, "cases:=(1)", &writer_ast_cases_2024, 0);
  reader2024->definitionModule = modulename;
  writer2024->definitionModule = modulename;
  reader2024->definitionLine = 449;
  writer2024->definitionLine = 449;
}
obj2020->flags |= OFLAG_MUTABLE;
adddatum2(obj2020, alloc_Undefined(), 3);
if (objclass2020 == NULL) {
  Method *reader2025 = addmethodrealflags(obj2020, "finally", &reader_ast_finally_2025, 0);
  Method *writer2025 = addmethodrealflags(obj2020, "finally:=(1)", &writer_ast_finally_2025, 0);
  reader2025->definitionModule = modulename;
  writer2025->definitionModule = modulename;
  reader2025->definitionLine = 450;
  writer2025->definitionLine = 450;
}
obj2020->flags |= OFLAG_MUTABLE;
adddatum2(obj2020, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2026 = (struct UserObject*)obj2020;
  uo2026->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple2026 = addmethod2pos(obj2020, "isSimple", &meth_ast_isSimple2026, 5);
  int argcv_meth_ast_isSimple2026[] = {0};
  meth_meth_ast_isSimple2026->type = alloc_MethodType(1, argcv_meth_ast_isSimple2026);
  meth_meth_ast_isSimple2026->definitionModule = modulename;
  meth_meth_ast_isSimple2026->definitionLine = 451;
// method "accept(_)from(_)"
  struct UserObject *uo2028 = (struct UserObject*)obj2020;
  uo2028->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2028 = addmethod2pos(obj2020, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2028, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2028[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2028->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2028);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2028->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2028->definitionLine = 453;
// method "map(_)ancestors(_)"
  struct UserObject *uo2058 = (struct UserObject*)obj2020;
  uo2058->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2058 = addmethod2pos(obj2020, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2058, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2058[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2058->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2058);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2058->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2058->definitionLine = 465;
// method "pretty(_)"
  struct UserObject *uo2091 = (struct UserObject*)obj2020;
  uo2091->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2091 = addmethod2pos(obj2020, "pretty(1)", &meth_ast_pretty_40_1_41_2091, 8);
  int argcv_meth_ast_pretty_40_1_41_2091[] = {1};
  meth_meth_ast_pretty_40_1_41_2091->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2091);
  meth_meth_ast_pretty_40_1_41_2091->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2091->definitionLine = 473;
// method "toGrace(_)"
  struct UserObject *uo2212 = (struct UserObject*)obj2020;
  uo2212->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2212 = addmethod2pos(obj2020, "toGrace(1)", &meth_ast_toGrace_40_1_41_2212, 9);
  int argcv_meth_ast_toGrace_40_1_41_2212[] = {1};
  meth_meth_ast_toGrace_40_1_41_2212->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2212);
meth_meth_ast_toGrace_40_1_41_2212->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2212->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2212->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2212->definitionLine = 488;
// method "shallowCopy"
  block_savedest(obj2020);
  Object closure2314 = createclosure(3, "shallowCopy");
  setclosureframe(closure2314, stackframe);
  addtoclosure(closure2314, var_nullNode);
  addtoclosure(closure2314, var_emptySeq);
  addtoclosure(closure2314, var_tryCatchNode);
  struct UserObject *uo2314 = (struct UserObject*)obj2020;
  uo2314->data[10] = (Object)closure2314;
  Method *meth_meth_ast_shallowCopy2314 = addmethod2pos(obj2020, "shallowCopy", &meth_ast_shallowCopy2314, 10);
  int argcv_meth_ast_shallowCopy2314[] = {0};
  meth_meth_ast_shallowCopy2314->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy2314);
  meth_meth_ast_shallowCopy2314->definitionModule = modulename;
  meth_meth_ast_shallowCopy2314->definitionLine = 502;
  sourceObject = obj2020;
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2320 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2321 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2322 = gc_frame_new();
// call case 3: self.outer request
  Object call2323 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2322);
// compiled member node returning call2323 (depth = 5)
  Object call2324 = callmethodflags(call2323, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2321);
// compiled member node returning call2324 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2325 = callmethodflags(call2324, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2320);
// compiled call node returning call2325 (depth = 3)
  struct UserObject *obj2020_uo = (struct UserObject *)obj2020;
  obj2020_uo->super = call2325;
  sourceObject = obj2020;
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2326 == NULL) {
    strlit2326 = alloc_String("trycatch");
    gc_root(strlit2326);
  }
// compiled string node returning strlit2326 (depth = 3)
  adddatum2(obj2020, strlit2326, 1);
  sourceObject = obj2020;
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block (depth = 3)
  adddatum2(obj2020, *var_block, 2);
  sourceObject = obj2020;
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2020, *var_cases_39_, 3);
  sourceObject = obj2020;
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_finally_39_ (depth = 3)
  adddatum2(obj2020, *var_finally_39_, 4);
  sourceObject = obj2020;
  sourceObject = obj2020;
  sourceObject = obj2020;
  sourceObject = obj2020;
  sourceObject = obj2020;
  sourceObject = obj2020;
  objclass2020 = obj2020->class;
  objclass2020->definitionModule = modulename;
  objclass2020->definitionLine = 445;
  (*(struct UserObject *)self).data[0] = lowerouter2020;
  self = oldself2020;
  selfslot = oldselfslot2020;
  stackframe = oldstackframe2020;
  gc_frame_end(frame);
  return obj2020;
}
Object meth_ast_new_40_3_41_2019_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_tryCatchNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_block = &(stackframe->slots[0]);
  *var_block = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_finally_39_ = &(stackframe->slots[2]);
  *var_finally_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2020 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2020 = alloc_userobj2(13,11, objclass2020);
  gc_frame_newslot(obj2020);
if (objclass2020 == NULL) {
  glfree(obj2020->class->name);
  obj2020->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2020, self, 0);
  addmethodreal(obj2020,"outer", &reader_ast_outer_2021);
  Object oldself2020 = self;
  struct StackFrameObject *oldstackframe2020 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2020);
  gc_frame_newslot((Object)stackframe);
  self = obj2020;
  Object *oldselfslot2020 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2020 = (*(struct UserObject *)self).data[0], lowerouter2020 = thisouter2020;
  if (inheritingObject2020) {
    struct UserObject *inho2020 = (struct UserObject *)inheritingObject2020;
    while (inho2020->super != GraceDefaultObject) inho2020 = (struct UserObject *)inho2020->super;
    inho2020->super = obj2020;
    self = inheritingObject2020;
    *selfslot = self;
    lowerouter2020 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2020;
  }
if (objclass2020 == NULL) {
  Method *reader2022 = addmethodrealflags(obj2020, "kind",&reader_ast_kind_2022, MFLAG_DEF);
  reader2022->definitionModule = modulename;
  reader2022->definitionLine = 447;
}
adddatum2(obj2020, alloc_Undefined(), 1);
if (objclass2020 == NULL) {
  Method *reader2023 = addmethodrealflags(obj2020, "value", &reader_ast_value_2023, 0);
  Method *writer2023 = addmethodrealflags(obj2020, "value:=(1)", &writer_ast_value_2023, 0);
  reader2023->definitionModule = modulename;
  writer2023->definitionModule = modulename;
  reader2023->definitionLine = 448;
  writer2023->definitionLine = 448;
}
obj2020->flags |= OFLAG_MUTABLE;
adddatum2(obj2020, alloc_Undefined(), 2);
if (objclass2020 == NULL) {
  Method *reader2024 = addmethodrealflags(obj2020, "cases", &reader_ast_cases_2024, 0);
  Method *writer2024 = addmethodrealflags(obj2020, "cases:=(1)", &writer_ast_cases_2024, 0);
  reader2024->definitionModule = modulename;
  writer2024->definitionModule = modulename;
  reader2024->definitionLine = 449;
  writer2024->definitionLine = 449;
}
obj2020->flags |= OFLAG_MUTABLE;
adddatum2(obj2020, alloc_Undefined(), 3);
if (objclass2020 == NULL) {
  Method *reader2025 = addmethodrealflags(obj2020, "finally", &reader_ast_finally_2025, 0);
  Method *writer2025 = addmethodrealflags(obj2020, "finally:=(1)", &writer_ast_finally_2025, 0);
  reader2025->definitionModule = modulename;
  writer2025->definitionModule = modulename;
  reader2025->definitionLine = 450;
  writer2025->definitionLine = 450;
}
obj2020->flags |= OFLAG_MUTABLE;
adddatum2(obj2020, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2026 = (struct UserObject*)obj2020;
  uo2026->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple2026 = addmethod2pos(obj2020, "isSimple", &meth_ast_isSimple2026, 5);
  int argcv_meth_ast_isSimple2026[] = {0};
  meth_meth_ast_isSimple2026->type = alloc_MethodType(1, argcv_meth_ast_isSimple2026);
  meth_meth_ast_isSimple2026->definitionModule = modulename;
  meth_meth_ast_isSimple2026->definitionLine = 451;
// method "accept(_)from(_)"
  struct UserObject *uo2028 = (struct UserObject*)obj2020;
  uo2028->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2028 = addmethod2pos(obj2020, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2028, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2028[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2028->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2028);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2028->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2028->definitionLine = 453;
// method "map(_)ancestors(_)"
  struct UserObject *uo2058 = (struct UserObject*)obj2020;
  uo2058->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2058 = addmethod2pos(obj2020, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2058, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2058[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2058->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2058);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2058->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2058->definitionLine = 465;
// method "pretty(_)"
  struct UserObject *uo2091 = (struct UserObject*)obj2020;
  uo2091->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2091 = addmethod2pos(obj2020, "pretty(1)", &meth_ast_pretty_40_1_41_2091, 8);
  int argcv_meth_ast_pretty_40_1_41_2091[] = {1};
  meth_meth_ast_pretty_40_1_41_2091->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2091);
  meth_meth_ast_pretty_40_1_41_2091->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2091->definitionLine = 473;
// method "toGrace(_)"
  struct UserObject *uo2212 = (struct UserObject*)obj2020;
  uo2212->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2212 = addmethod2pos(obj2020, "toGrace(1)", &meth_ast_toGrace_40_1_41_2212, 9);
  int argcv_meth_ast_toGrace_40_1_41_2212[] = {1};
  meth_meth_ast_toGrace_40_1_41_2212->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2212);
meth_meth_ast_toGrace_40_1_41_2212->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2212->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2212->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2212->definitionLine = 488;
// method "shallowCopy"
  block_savedest(obj2020);
  Object closure2314 = createclosure(3, "shallowCopy");
  setclosureframe(closure2314, stackframe);
  addtoclosure(closure2314, var_nullNode);
  addtoclosure(closure2314, var_emptySeq);
  addtoclosure(closure2314, var_tryCatchNode);
  struct UserObject *uo2314 = (struct UserObject*)obj2020;
  uo2314->data[10] = (Object)closure2314;
  Method *meth_meth_ast_shallowCopy2314 = addmethod2pos(obj2020, "shallowCopy", &meth_ast_shallowCopy2314, 10);
  int argcv_meth_ast_shallowCopy2314[] = {0};
  meth_meth_ast_shallowCopy2314->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy2314);
  meth_meth_ast_shallowCopy2314->definitionModule = modulename;
  meth_meth_ast_shallowCopy2314->definitionLine = 502;
  sourceObject = obj2020;
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2320 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2321 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2322 = gc_frame_new();
// call case 3: self.outer request
  Object call2323 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2322);
// compiled member node returning call2323 (depth = 5)
  Object call2324 = callmethodflags(call2323, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2321);
// compiled member node returning call2324 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2325 = callmethodflags(call2324, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2320);
// compiled call node returning call2325 (depth = 3)
  struct UserObject *obj2020_uo = (struct UserObject *)obj2020;
  obj2020_uo->super = call2325;
  sourceObject = obj2020;
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2326 == NULL) {
    strlit2326 = alloc_String("trycatch");
    gc_root(strlit2326);
  }
// compiled string node returning strlit2326 (depth = 3)
  adddatum2(obj2020, strlit2326, 1);
  sourceObject = obj2020;
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_block (depth = 3)
  adddatum2(obj2020, *var_block, 2);
  sourceObject = obj2020;
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2020, *var_cases_39_, 3);
  sourceObject = obj2020;
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_finally_39_ (depth = 3)
  adddatum2(obj2020, *var_finally_39_, 4);
  sourceObject = obj2020;
  sourceObject = obj2020;
  sourceObject = obj2020;
  sourceObject = obj2020;
  sourceObject = obj2020;
  sourceObject = obj2020;
  objclass2020 = obj2020->class;
  objclass2020->definitionModule = modulename;
  objclass2020->definitionLine = 445;
  (*(struct UserObject *)self).data[0] = lowerouter2020;
  self = oldself2020;
  selfslot = oldselfslot2020;
  stackframe = oldstackframe2020;
  gc_frame_end(frame);
  return obj2020;
}
Object meth_ast_tryCatchNode2328(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tryCatchNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tryCatchNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tryCatchNode (depth = 3)
  gc_frame_end(frame);
  return *var_tryCatchNode;
}
Object meth_ast_isSimple2338(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2339 = alloc_Boolean(0);
// compiled identifier node returning bool2339 (depth = 3)
  gc_frame_end(frame);
  return bool2339;
}
Object meth_ast_matchee2340(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "matchee");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2341 = gc_frame_new();
// call case 4: self request
  Object call2342 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2341);
// compiled member node returning call2342 (depth = 3)
  gc_frame_end(frame);
  return call2342;
}
Object meth_ast__apply_40_1_41_2357(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2358 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2359 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2358);
// compiled call node returning call2359 (depth = 6)
  gc_frame_end(frame);
  return call2359;
}
Object meth_ast_accept_40_1_41_from_40_1_41_2343(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2345 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2346 = callmethodflags(*var_visitor, "visitMatchCase(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2345);
// compiled call node returning call2346 (depth = 4)
  Object if2344 = done;
  if (istrue(call2346)) {
// Begin line 518
  setline(518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2347 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2348 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2347);
// compiled call node returning call2348 (depth = 5)
  *var_newChain = call2348;
  if (call2348 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2349 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2350 = gc_frame_new();
// call case 4: self request
  Object call2351 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2350);
// compiled member node returning call2351 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2352 = callmethodflags(call2351, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2349);
// compiled call node returning call2352 (depth = 4)
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2353 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2354 = gc_frame_new();
// call case 4: self request
  Object call2355 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2354);
// compiled member node returning call2355 (depth = 5)
  gc_frame_newslot(call2355);
// starting to compile block node (depth = 5)
  Object block2356 = alloc_Block(NULL, NULL, "ast", 520);
  gc_frame_newslot(block2356);
// method "_apply(_)"
  block_savedest(block2356);
  Object closure2357 = createclosure(3, "_apply(1)");
  setclosureframe(closure2357, stackframe);
  addtoclosure(closure2357, var_visitor);
  addtoclosure(closure2357, var_newChain);
  addtoclosure(closure2357, selfslot);
  struct UserObject *uo2357 = (struct UserObject*)block2356;
  uo2357->data[0] = (Object)closure2357;
  Method *meth_meth_ast__apply_40_1_41_2357 = addmethod2pos(block2356, "_apply(1)", &meth_ast__apply_40_1_41_2357, 0);
  int argcv_meth_ast__apply_40_1_41_2357[] = {1};
  meth_meth_ast__apply_40_1_41_2357->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2357);
  meth_meth_ast__apply_40_1_41_2357->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2357->definitionLine = 2947;
// compiled block node returning block2356 (depth = 5)
  gc_frame_newslot(block2356);
// call case 5: prelude request
  params[0] = call2355;
  params[1] = block2356;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2361 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2353);
// compiled call node returning call2361 (depth = 4)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2364 = gc_frame_new();
// call case 4: self request
  Object call2365 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2364);
// compiled member node returning call2365 (depth = 6)
  int op_slot_right_2363 = gc_frame_newslot(call2365);
// starting to compile identifier node (depth = 6)
  Object bool2367 = alloc_Boolean(0);
// compiled identifier node returning bool2367 (depth = 6)
  int op_slot_left_2363 = gc_frame_newslot(bool2367);
  params[0] = call2365;
  partcv[0] = 1;
  Object opresult2368 = callmethod(bool2367, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2368 (depth = 5)
  Object if2362 = done;
  if (istrue(opresult2368)) {
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2369 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2370 = gc_frame_new();
// call case 4: self request
  Object call2371 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2370);
// compiled member node returning call2371 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2372 = callmethodflags(call2371, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2369);
// compiled call node returning call2372 (depth = 5)
    gc_frame_newslot(call2372);
    if2362 = call2372;
  } else {
  }
// compiled if node returning if2362 (depth = 4)
    gc_frame_newslot(if2362);
    if2344 = if2362;
  } else {
  }
// compiled if node returning if2344 (depth = 3)
  gc_frame_end(frame);
  return if2344;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_2373(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2374 = gc_frame_new();
// call case 4: self request
  Object call2375 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2374);
// compiled member node returning call2375 (depth = 4)
  *var_n = call2375;
  if (call2375 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2376 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2377 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2376);
// compiled call node returning call2377 (depth = 4)
  *var_newChain = call2377;
  if (call2377 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2378 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2379 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2380 = gc_frame_new();
// call case 4: self request
  Object call2381 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2380);
// compiled member node returning call2381 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2382 = callmethodflags(call2381, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2379);
// compiled call node returning call2382 (depth = 4)
  gc_frame_newslot(call2382);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2382;
  partcv[0] = 1;
  Object call2383 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2378);
// compiled call node returning call2383 (depth = 3)
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2384 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2385 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2386 = gc_frame_new();
// call case 4: self request
  Object call2387 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2386);
// compiled member node returning call2387 (depth = 5)
  gc_frame_newslot(call2387);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2388 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2389 = gc_frame_new();
// call case 3: self.outer request
  Object call2390 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2389);
// compiled member node returning call2390 (depth = 6)
  Object call2391 = callmethodflags(call2390, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2388);
// compiled member node returning call2391 (depth = 5)
  params[0] = call2387;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2392 = callmethodflags(call2391, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2385);
// compiled call node returning call2392 (depth = 4)
  gc_frame_newslot(call2392);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2392;
  partcv[0] = 1;
  Object call2393 = callmethodflags(*var_n, "cases:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2384);
// compiled call node returning call2393 (depth = 3)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2394 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2395 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2396 = gc_frame_new();
// call case 4: self request
  Object call2397 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2396);
// compiled member node returning call2397 (depth = 5)
  gc_frame_newslot(call2397);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2398 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2399 = gc_frame_new();
// call case 3: self.outer request
  Object call2400 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2399);
// compiled member node returning call2400 (depth = 6)
  Object call2401 = callmethodflags(call2400, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2398);
// compiled member node returning call2401 (depth = 5)
  params[0] = call2397;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2402 = callmethodflags(call2401, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2395);
// compiled call node returning call2402 (depth = 4)
  gc_frame_newslot(call2402);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2402;
  partcv[0] = 1;
  Object call2403 = callmethodflags(*var_n, "elsecase:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2394);
// compiled call node returning call2403 (depth = 3)
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2404 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2405 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2404);
// compiled call node returning call2405 (depth = 3)
  gc_frame_end(frame);
  return call2405;
}
Object meth_ast__apply_40_1_41_2414(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2416 == NULL) {
    strlit2416 = alloc_String("  ");
    gc_root(strlit2416);
  }
// compiled string node returning strlit2416 (depth = 7)
  int op_slot_right_2415 = gc_frame_newslot(strlit2416);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2415 = gc_frame_newslot(*var_spc);
  params[0] = strlit2416;
  partcv[0] = 1;
  Object opresult2418 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2418 (depth = 6)
  *var_spc = opresult2418;
  if (opresult2418 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2447(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2450 == NULL) {
    strlit2450 = alloc_String("");
    gc_root(strlit2450);
  }
// compiled string node returning strlit2450 (depth = 8)
  int op_slot_right_2449 = gc_frame_newslot(strlit2450);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2453 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2455 = alloc_Float64(2);
// compiled num node returning num2455 (depth = 11)
  int op_slot_right_2454 = gc_frame_newslot(num2455);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_2454 = gc_frame_newslot(*var_depth);
  params[0] = num2455;
  partcv[0] = 1;
  Object sum2457 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2457 (depth = 10)
  gc_frame_newslot(sum2457);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mx (depth = 10)
  params[0] = sum2457;
  partcv[0] = 1;
  Object call2458 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2453);
// compiled call node returning call2458 (depth = 9)
  int op_slot_right_2452 = gc_frame_newslot(call2458);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2461 == NULL) {
    strlit2461 = alloc_String("  ");
    gc_root(strlit2461);
  }
// compiled string node returning strlit2461 (depth = 10)
  int op_slot_right_2460 = gc_frame_newslot(strlit2461);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2463 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2466 == NULL) {
    strlit2466 = alloc_String("Case:""\x0a""");
    gc_root(strlit2466);
  }
// compiled string node returning strlit2466 (depth = 12)
  int op_slot_right_2465 = gc_frame_newslot(strlit2466);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_spc (depth = 13)
  int op_slot_right_2468 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 13)
  if (strlit2470 == NULL) {
    strlit2470 = alloc_String("""\x0a""");
    gc_root(strlit2470);
  }
// compiled string node returning strlit2470 (depth = 13)
  int op_slot_left_2468 = gc_frame_newslot(strlit2470);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2471 = callmethod(strlit2470, "++(1)", 1, partcv, params);
// compiled op node returning opresult2471 (depth = 12)
  int op_slot_left_2465 = gc_frame_newslot(opresult2471);
  params[0] = strlit2466;
  partcv[0] = 1;
  Object opresult2472 = callmethod(opresult2471, "++(1)", 1, partcv, params);
// compiled op node returning opresult2472 (depth = 11)
  int op_slot_left_2463 = gc_frame_newslot(opresult2472);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2473 = callmethod(opresult2472, "++(1)", 1, partcv, params);
// compiled op node returning opresult2473 (depth = 10)
  int op_slot_left_2460 = gc_frame_newslot(opresult2473);
  params[0] = strlit2461;
  partcv[0] = 1;
  Object opresult2474 = callmethod(opresult2473, "++(1)", 1, partcv, params);
// compiled op node returning opresult2474 (depth = 9)
  int op_slot_left_2452 = gc_frame_newslot(opresult2474);
  params[0] = call2458;
  partcv[0] = 1;
  Object opresult2475 = callmethod(opresult2474, "++(1)", 1, partcv, params);
// compiled op node returning opresult2475 (depth = 8)
  int op_slot_left_2449 = gc_frame_newslot(opresult2475);
  params[0] = strlit2450;
  partcv[0] = 1;
  Object opresult2476 = callmethod(opresult2475, "++(1)", 1, partcv, params);
// compiled op node returning opresult2476 (depth = 7)
  int op_slot_right_2448 = gc_frame_newslot(opresult2476);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2448 = gc_frame_newslot(*var_s);
  params[0] = opresult2476;
  partcv[0] = 1;
  Object opresult2478 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2478 (depth = 6)
  *var_s = opresult2478;
  if (opresult2478 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_2406(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2407 == NULL) {
    strlit2407 = alloc_String("");
    gc_root(strlit2407);
  }
// compiled string node returning strlit2407 (depth = 4)
  *var_spc = strlit2407;
  if (strlit2407 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2408 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2409 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num2411 = alloc_Float64(0);
// compiled num node returning num2411 (depth = 5)
  int op_slot_left_2409 = gc_frame_newslot(num2411);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2412 = callmethod(num2411, "..(1)", 1, partcv, params);
// compiled op node returning opresult2412 (depth = 4)
  gc_frame_newslot(opresult2412);
// starting to compile block node (depth = 4)
  Object block2413 = alloc_Block(NULL, NULL, "ast", 538);
  gc_frame_newslot(block2413);
// method "_apply(_)"
  block_savedest(block2413);
  Object closure2414 = createclosure(2, "_apply(1)");
  setclosureframe(closure2414, stackframe);
  addtoclosure(closure2414, var_spc);
  addtoclosure(closure2414, selfslot);
  struct UserObject *uo2414 = (struct UserObject*)block2413;
  uo2414->data[0] = (Object)closure2414;
  Method *meth_meth_ast__apply_40_1_41_2414 = addmethod2pos(block2413, "_apply(1)", &meth_ast__apply_40_1_41_2414, 0);
  int argcv_meth_ast__apply_40_1_41_2414[] = {1};
  meth_meth_ast__apply_40_1_41_2414->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2414);
  meth_meth_ast__apply_40_1_41_2414->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2414->definitionLine = 2947;
// compiled block node returning block2413 (depth = 4)
  gc_frame_newslot(block2413);
// call case 5: prelude request
  params[0] = opresult2412;
  params[1] = block2413;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2421 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2408);
// compiled call node returning call2421 (depth = 3)
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2423 == NULL) {
    strlit2423 = alloc_String("""\x0a""");
    gc_root(strlit2423);
  }
// compiled string node returning strlit2423 (depth = 5)
  int op_slot_right_2422 = gc_frame_newslot(strlit2423);
// starting to compile call node (depth = 5)
  int callframe2425 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2426 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe2425);
// compiled call node returning call2426 (depth = 5)
  int op_slot_left_2422 = gc_frame_newslot(call2426);
  params[0] = strlit2423;
  partcv[0] = 1;
  Object opresult2427 = callmethod(call2426, "++(1)", 1, partcv, params);
// compiled op node returning opresult2427 (depth = 4)
  *var_s = opresult2427;
  if (opresult2427 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2429 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2431 = alloc_Float64(2);
// compiled num node returning num2431 (depth = 7)
  int op_slot_right_2430 = gc_frame_newslot(num2431);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_2430 = gc_frame_newslot(*var_depth);
  params[0] = num2431;
  partcv[0] = 1;
  Object sum2433 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2433 (depth = 6)
  gc_frame_newslot(sum2433);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2434 = gc_frame_new();
// call case 4: self request
  Object call2435 = callmethodflags(self, "matchee", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2434);
// compiled member node returning call2435 (depth = 6)
  params[0] = sum2433;
  partcv[0] = 1;
  Object call2436 = callmethodflags(call2435, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2429);
// compiled call node returning call2436 (depth = 5)
  int op_slot_right_2428 = gc_frame_newslot(call2436);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2438 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2438 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2440 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2440 (depth = 5)
  int op_slot_left_2428 = gc_frame_newslot(opresult2440);
  params[0] = call2436;
  partcv[0] = 1;
  Object opresult2441 = callmethod(opresult2440, "++(1)", 1, partcv, params);
// compiled op node returning opresult2441 (depth = 4)
  *var_s = opresult2441;
  if (opresult2441 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2443 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2444 = gc_frame_new();
// call case 4: self request
  Object call2445 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2444);
// compiled member node returning call2445 (depth = 4)
  gc_frame_newslot(call2445);
// starting to compile block node (depth = 4)
  Object block2446 = alloc_Block(NULL, NULL, "ast", 543);
  gc_frame_newslot(block2446);
// method "_apply(_)"
  block_savedest(block2446);
  Object closure2447 = createclosure(4, "_apply(1)");
  setclosureframe(closure2447, stackframe);
  addtoclosure(closure2447, var_depth);
  addtoclosure(closure2447, var_spc);
  addtoclosure(closure2447, var_s);
  addtoclosure(closure2447, selfslot);
  struct UserObject *uo2447 = (struct UserObject*)block2446;
  uo2447->data[0] = (Object)closure2447;
  Method *meth_meth_ast__apply_40_1_41_2447 = addmethod2pos(block2446, "_apply(1)", &meth_ast__apply_40_1_41_2447, 0);
  int argcv_meth_ast__apply_40_1_41_2447[] = {1};
  meth_meth_ast__apply_40_1_41_2447->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2447);
  meth_meth_ast__apply_40_1_41_2447->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2447->definitionLine = 2947;
// compiled block node returning block2446 (depth = 4)
  gc_frame_newslot(block2446);
// call case 5: prelude request
  params[0] = call2445;
  params[1] = block2446;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2481 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2443);
// compiled call node returning call2481 (depth = 3)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2484 = gc_frame_new();
// call case 4: self request
  Object call2485 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2484);
// compiled member node returning call2485 (depth = 5)
  int op_slot_right_2483 = gc_frame_newslot(call2485);
// starting to compile identifier node (depth = 5)
  Object bool2487 = alloc_Boolean(0);
// compiled identifier node returning bool2487 (depth = 5)
  int op_slot_left_2483 = gc_frame_newslot(bool2487);
  params[0] = call2485;
  partcv[0] = 1;
  Object opresult2488 = callmethod(bool2487, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2488 (depth = 4)
  Object if2482 = done;
  if (istrue(opresult2488)) {
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2491 == NULL) {
    strlit2491 = alloc_String("");
    gc_root(strlit2491);
  }
// compiled string node returning strlit2491 (depth = 7)
  int op_slot_right_2490 = gc_frame_newslot(strlit2491);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2494 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2496 = alloc_Float64(2);
// compiled num node returning num2496 (depth = 10)
  int op_slot_right_2495 = gc_frame_newslot(num2496);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2495 = gc_frame_newslot(*var_depth);
  params[0] = num2496;
  partcv[0] = 1;
  Object sum2498 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2498 (depth = 9)
  gc_frame_newslot(sum2498);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2499 = gc_frame_new();
// call case 4: self request
  Object call2500 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2499);
// compiled member node returning call2500 (depth = 9)
  params[0] = sum2498;
  partcv[0] = 1;
  Object call2501 = callmethodflags(call2500, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2494);
// compiled call node returning call2501 (depth = 8)
  int op_slot_right_2493 = gc_frame_newslot(call2501);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2504 == NULL) {
    strlit2504 = alloc_String("  ");
    gc_root(strlit2504);
  }
// compiled string node returning strlit2504 (depth = 9)
  int op_slot_right_2503 = gc_frame_newslot(strlit2504);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2506 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2509 == NULL) {
    strlit2509 = alloc_String("Else:""\x0a""");
    gc_root(strlit2509);
  }
// compiled string node returning strlit2509 (depth = 11)
  int op_slot_right_2508 = gc_frame_newslot(strlit2509);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_2511 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 12)
  if (strlit2513 == NULL) {
    strlit2513 = alloc_String("""\x0a""");
    gc_root(strlit2513);
  }
// compiled string node returning strlit2513 (depth = 12)
  int op_slot_left_2511 = gc_frame_newslot(strlit2513);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2514 = callmethod(strlit2513, "++(1)", 1, partcv, params);
// compiled op node returning opresult2514 (depth = 11)
  int op_slot_left_2508 = gc_frame_newslot(opresult2514);
  params[0] = strlit2509;
  partcv[0] = 1;
  Object opresult2515 = callmethod(opresult2514, "++(1)", 1, partcv, params);
// compiled op node returning opresult2515 (depth = 10)
  int op_slot_left_2506 = gc_frame_newslot(opresult2515);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2516 = callmethod(opresult2515, "++(1)", 1, partcv, params);
// compiled op node returning opresult2516 (depth = 9)
  int op_slot_left_2503 = gc_frame_newslot(opresult2516);
  params[0] = strlit2504;
  partcv[0] = 1;
  Object opresult2517 = callmethod(opresult2516, "++(1)", 1, partcv, params);
// compiled op node returning opresult2517 (depth = 8)
  int op_slot_left_2493 = gc_frame_newslot(opresult2517);
  params[0] = call2501;
  partcv[0] = 1;
  Object opresult2518 = callmethod(opresult2517, "++(1)", 1, partcv, params);
// compiled op node returning opresult2518 (depth = 7)
  int op_slot_left_2490 = gc_frame_newslot(opresult2518);
  params[0] = strlit2491;
  partcv[0] = 1;
  Object opresult2519 = callmethod(opresult2518, "++(1)", 1, partcv, params);
// compiled op node returning opresult2519 (depth = 6)
  int op_slot_right_2489 = gc_frame_newslot(opresult2519);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2489 = gc_frame_newslot(*var_s);
  params[0] = opresult2519;
  partcv[0] = 1;
  Object opresult2521 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2521 (depth = 5)
  *var_s = opresult2521;
  if (opresult2521 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2482 = done;
  } else {
  }
// compiled if node returning if2482 (depth = 3)
// Begin line 549
  setline(549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_2535(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2537 == NULL) {
    strlit2537 = alloc_String("    ");
    gc_root(strlit2537);
  }
// compiled string node returning strlit2537 (depth = 7)
  int op_slot_right_2536 = gc_frame_newslot(strlit2537);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2536 = gc_frame_newslot(*var_spc);
  params[0] = strlit2537;
  partcv[0] = 1;
  Object opresult2539 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2539 (depth = 6)
  *var_spc = opresult2539;
  if (opresult2539 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2560(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_case = &(stackframe->slots[0]);
  *var_case = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2562 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2564 = alloc_Float64(2);
// compiled num node returning num2564 (depth = 9)
  int op_slot_right_2563 = gc_frame_newslot(num2564);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2563 = gc_frame_newslot(*var_depth);
  params[0] = num2564;
  partcv[0] = 1;
  Object sum2566 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2566 (depth = 8)
  gc_frame_newslot(sum2566);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_case (depth = 8)
  params[0] = sum2566;
  partcv[0] = 1;
  Object call2567 = callmethodflags(*var_case, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2562);
// compiled call node returning call2567 (depth = 7)
  int op_slot_right_2561 = gc_frame_newslot(call2567);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2570 == NULL) {
    strlit2570 = alloc_String("case ");
    gc_root(strlit2570);
  }
// compiled string node returning strlit2570 (depth = 8)
  int op_slot_right_2569 = gc_frame_newslot(strlit2570);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2573 == NULL) {
    strlit2573 = alloc_String("    ");
    gc_root(strlit2573);
  }
// compiled string node returning strlit2573 (depth = 9)
  int op_slot_right_2572 = gc_frame_newslot(strlit2573);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2575 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2578 == NULL) {
    strlit2578 = alloc_String("""\x0a""");
    gc_root(strlit2578);
  }
// compiled string node returning strlit2578 (depth = 11)
  int op_slot_right_2577 = gc_frame_newslot(strlit2578);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_2577 = gc_frame_newslot(*var_s);
  params[0] = strlit2578;
  partcv[0] = 1;
  Object opresult2580 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2580 (depth = 10)
  int op_slot_left_2575 = gc_frame_newslot(opresult2580);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2581 = callmethod(opresult2580, "++(1)", 1, partcv, params);
// compiled op node returning opresult2581 (depth = 9)
  int op_slot_left_2572 = gc_frame_newslot(opresult2581);
  params[0] = strlit2573;
  partcv[0] = 1;
  Object opresult2582 = callmethod(opresult2581, "++(1)", 1, partcv, params);
// compiled op node returning opresult2582 (depth = 8)
  int op_slot_left_2569 = gc_frame_newslot(opresult2582);
  params[0] = strlit2570;
  partcv[0] = 1;
  Object opresult2583 = callmethod(opresult2582, "++(1)", 1, partcv, params);
// compiled op node returning opresult2583 (depth = 7)
  int op_slot_left_2561 = gc_frame_newslot(opresult2583);
  params[0] = call2567;
  partcv[0] = 1;
  Object opresult2584 = callmethod(opresult2583, "++(1)", 1, partcv, params);
// compiled op node returning opresult2584 (depth = 6)
  *var_s = opresult2584;
  if (opresult2584 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_2523(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2524 == NULL) {
    strlit2524 = alloc_String("");
    gc_root(strlit2524);
  }
// compiled string node returning strlit2524 (depth = 4)
  *var_spc = strlit2524;
  if (strlit2524 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2525 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num2528 = alloc_Float64(1);
// compiled num node returning num2528 (depth = 6)
  int op_slot_right_2527 = gc_frame_newslot(num2528);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_2527 = gc_frame_newslot(*var_depth);
  params[0] = num2528;
  partcv[0] = 1;
  Object diff2530 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff2530 (depth = 5)
  int op_slot_right_2526 = gc_frame_newslot(diff2530);
// starting to compile num node (depth = 5)
  Object num2532 = alloc_Float64(0);
// compiled num node returning num2532 (depth = 5)
  int op_slot_left_2526 = gc_frame_newslot(num2532);
  params[0] = diff2530;
  partcv[0] = 1;
  Object opresult2533 = callmethod(num2532, "..(1)", 1, partcv, params);
// compiled op node returning opresult2533 (depth = 4)
  gc_frame_newslot(opresult2533);
// starting to compile block node (depth = 4)
  Object block2534 = alloc_Block(NULL, NULL, "ast", 553);
  gc_frame_newslot(block2534);
// method "_apply(_)"
  block_savedest(block2534);
  Object closure2535 = createclosure(2, "_apply(1)");
  setclosureframe(closure2535, stackframe);
  addtoclosure(closure2535, var_spc);
  addtoclosure(closure2535, selfslot);
  struct UserObject *uo2535 = (struct UserObject*)block2534;
  uo2535->data[0] = (Object)closure2535;
  Method *meth_meth_ast__apply_40_1_41_2535 = addmethod2pos(block2534, "_apply(1)", &meth_ast__apply_40_1_41_2535, 0);
  int argcv_meth_ast__apply_40_1_41_2535[] = {1};
  meth_meth_ast__apply_40_1_41_2535->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2535);
  meth_meth_ast__apply_40_1_41_2535->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2535->definitionLine = 2947;
// compiled block node returning block2534 (depth = 4)
  gc_frame_newslot(block2534);
// call case 5: prelude request
  params[0] = opresult2533;
  params[1] = block2534;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2542 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2525);
// compiled call node returning call2542 (depth = 3)
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2544 == NULL) {
    strlit2544 = alloc_String(")");
    gc_root(strlit2544);
  }
// compiled string node returning strlit2544 (depth = 5)
  int op_slot_right_2543 = gc_frame_newslot(strlit2544);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2547 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num2548 = alloc_Float64(0);
// compiled num node returning num2548 (depth = 7)
  gc_frame_newslot(num2548);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2549 = gc_frame_new();
// call case 4: self request
  Object call2550 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2549);
// compiled member node returning call2550 (depth = 7)
  params[0] = num2548;
  partcv[0] = 1;
  Object call2551 = callmethodflags(call2550, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2547);
// compiled call node returning call2551 (depth = 6)
  int op_slot_right_2546 = gc_frame_newslot(call2551);
// starting to compile string node (depth = 6)
  if (strlit2553 == NULL) {
    strlit2553 = alloc_String("match(");
    gc_root(strlit2553);
  }
// compiled string node returning strlit2553 (depth = 6)
  int op_slot_left_2546 = gc_frame_newslot(strlit2553);
  params[0] = call2551;
  partcv[0] = 1;
  Object opresult2554 = callmethod(strlit2553, "++(1)", 1, partcv, params);
// compiled op node returning opresult2554 (depth = 5)
  int op_slot_left_2543 = gc_frame_newslot(opresult2554);
  params[0] = strlit2544;
  partcv[0] = 1;
  Object opresult2555 = callmethod(opresult2554, "++(1)", 1, partcv, params);
// compiled op node returning opresult2555 (depth = 4)
  *var_s = opresult2555;
  if (opresult2555 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2556 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2557 = gc_frame_new();
// call case 4: self request
  Object call2558 = callmethodflags(self, "cases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2557);
// compiled member node returning call2558 (depth = 4)
  gc_frame_newslot(call2558);
// starting to compile block node (depth = 4)
  Object block2559 = alloc_Block(NULL, NULL, "ast", 557);
  gc_frame_newslot(block2559);
// method "_apply(_)"
  block_savedest(block2559);
  Object closure2560 = createclosure(4, "_apply(1)");
  setclosureframe(closure2560, stackframe);
  addtoclosure(closure2560, var_depth);
  addtoclosure(closure2560, var_spc);
  addtoclosure(closure2560, var_s);
  addtoclosure(closure2560, selfslot);
  struct UserObject *uo2560 = (struct UserObject*)block2559;
  uo2560->data[0] = (Object)closure2560;
  Method *meth_meth_ast__apply_40_1_41_2560 = addmethod2pos(block2559, "_apply(1)", &meth_ast__apply_40_1_41_2560, 0);
  int argcv_meth_ast__apply_40_1_41_2560[] = {1};
  meth_meth_ast__apply_40_1_41_2560->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2560);
  meth_meth_ast__apply_40_1_41_2560->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2560->definitionLine = 2947;
// compiled block node returning block2559 (depth = 4)
  gc_frame_newslot(block2559);
// call case 5: prelude request
  params[0] = call2558;
  params[1] = block2559;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2587 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2556);
// compiled call node returning call2587 (depth = 3)
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2590 = gc_frame_new();
// call case 4: self request
  Object call2591 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2590);
// compiled member node returning call2591 (depth = 5)
  int op_slot_right_2589 = gc_frame_newslot(call2591);
// starting to compile identifier node (depth = 5)
  Object bool2593 = alloc_Boolean(0);
// compiled identifier node returning bool2593 (depth = 5)
  int op_slot_left_2589 = gc_frame_newslot(bool2593);
  params[0] = call2591;
  partcv[0] = 1;
  Object opresult2594 = callmethod(bool2593, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2594 (depth = 4)
  Object if2588 = done;
  if (istrue(opresult2594)) {
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2596 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2598 = alloc_Float64(2);
// compiled num node returning num2598 (depth = 8)
  int op_slot_right_2597 = gc_frame_newslot(num2598);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2597 = gc_frame_newslot(*var_depth);
  params[0] = num2598;
  partcv[0] = 1;
  Object sum2600 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2600 (depth = 7)
  gc_frame_newslot(sum2600);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2601 = gc_frame_new();
// call case 4: self request
  Object call2602 = callmethodflags(self, "elsecase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2601);
// compiled member node returning call2602 (depth = 7)
  params[0] = sum2600;
  partcv[0] = 1;
  Object call2603 = callmethodflags(call2602, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2596);
// compiled call node returning call2603 (depth = 6)
  int op_slot_right_2595 = gc_frame_newslot(call2603);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2606 == NULL) {
    strlit2606 = alloc_String("else ");
    gc_root(strlit2606);
  }
// compiled string node returning strlit2606 (depth = 7)
  int op_slot_right_2605 = gc_frame_newslot(strlit2606);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2609 == NULL) {
    strlit2609 = alloc_String("    ");
    gc_root(strlit2609);
  }
// compiled string node returning strlit2609 (depth = 8)
  int op_slot_right_2608 = gc_frame_newslot(strlit2609);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2611 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2614 == NULL) {
    strlit2614 = alloc_String("""\x0a""");
    gc_root(strlit2614);
  }
// compiled string node returning strlit2614 (depth = 10)
  int op_slot_right_2613 = gc_frame_newslot(strlit2614);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_2613 = gc_frame_newslot(*var_s);
  params[0] = strlit2614;
  partcv[0] = 1;
  Object opresult2616 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2616 (depth = 9)
  int op_slot_left_2611 = gc_frame_newslot(opresult2616);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2617 = callmethod(opresult2616, "++(1)", 1, partcv, params);
// compiled op node returning opresult2617 (depth = 8)
  int op_slot_left_2608 = gc_frame_newslot(opresult2617);
  params[0] = strlit2609;
  partcv[0] = 1;
  Object opresult2618 = callmethod(opresult2617, "++(1)", 1, partcv, params);
// compiled op node returning opresult2618 (depth = 7)
  int op_slot_left_2605 = gc_frame_newslot(opresult2618);
  params[0] = strlit2606;
  partcv[0] = 1;
  Object opresult2619 = callmethod(opresult2618, "++(1)", 1, partcv, params);
// compiled op node returning opresult2619 (depth = 6)
  int op_slot_left_2595 = gc_frame_newslot(opresult2619);
  params[0] = call2603;
  partcv[0] = 1;
  Object opresult2620 = callmethod(opresult2619, "++(1)", 1, partcv, params);
// compiled op node returning opresult2620 (depth = 5)
  *var_s = opresult2620;
  if (opresult2620 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2588 = done;
  } else {
  }
// compiled if node returning if2588 (depth = 3)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy2622(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2623 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe2624 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
  Object bool2625 = alloc_Boolean(0);
// compiled identifier node returning bool2625 (depth = 5)
  gc_frame_newslot(bool2625);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_matchCaseNode (depth = 5)
  params[0] = *var_nullNode;
  params[1] = *var_emptySeq;
  params[2] = bool2625;
  partcv[0] = 3;
  Object call2626 = callmethodflags(*var_matchCaseNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe2624);
// compiled call node returning call2626 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2627 = callmethodflags(call2626, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2623);
// compiled call node returning call2627 (depth = 3)
  gc_frame_end(frame);
  return call2627;
}
Object meth_ast_new_40_3_41_2331(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee_39_ = &(stackframe->slots[0]);
  *var_matchee_39_ = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_elsecase_39_ = &(stackframe->slots[2]);
  *var_elsecase_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2332 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2332 = alloc_userobj2(14,12, objclass2332);
  gc_frame_newslot(obj2332);
if (objclass2332 == NULL) {
  glfree(obj2332->class->name);
  obj2332->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2332, self, 0);
  addmethodreal(obj2332,"outer", &reader_ast_outer_2333);
  Object oldself2332 = self;
  struct StackFrameObject *oldstackframe2332 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2332);
  gc_frame_newslot((Object)stackframe);
  self = obj2332;
  Object *oldselfslot2332 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2332 = (*(struct UserObject *)self).data[0], lowerouter2332 = thisouter2332;
  if (inheritingObject2332) {
    struct UserObject *inho2332 = (struct UserObject *)inheritingObject2332;
    while (inho2332->super != GraceDefaultObject) inho2332 = (struct UserObject *)inho2332->super;
    inho2332->super = obj2332;
    self = inheritingObject2332;
    *selfslot = self;
    lowerouter2332 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2332;
  }
if (objclass2332 == NULL) {
  Method *reader2334 = addmethodrealflags(obj2332, "kind",&reader_ast_kind_2334, MFLAG_DEF);
  reader2334->definitionModule = modulename;
  reader2334->definitionLine = 510;
}
adddatum2(obj2332, alloc_Undefined(), 1);
if (objclass2332 == NULL) {
  Method *reader2335 = addmethodrealflags(obj2332, "value", &reader_ast_value_2335, 0);
  Method *writer2335 = addmethodrealflags(obj2332, "value:=(1)", &writer_ast_value_2335, 0);
  reader2335->definitionModule = modulename;
  writer2335->definitionModule = modulename;
  reader2335->definitionLine = 511;
  writer2335->definitionLine = 511;
}
obj2332->flags |= OFLAG_MUTABLE;
adddatum2(obj2332, alloc_Undefined(), 2);
if (objclass2332 == NULL) {
  Method *reader2336 = addmethodrealflags(obj2332, "cases", &reader_ast_cases_2336, 0);
  Method *writer2336 = addmethodrealflags(obj2332, "cases:=(1)", &writer_ast_cases_2336, 0);
  reader2336->definitionModule = modulename;
  writer2336->definitionModule = modulename;
  reader2336->definitionLine = 512;
  writer2336->definitionLine = 512;
}
obj2332->flags |= OFLAG_MUTABLE;
adddatum2(obj2332, alloc_Undefined(), 3);
if (objclass2332 == NULL) {
  Method *reader2337 = addmethodrealflags(obj2332, "elsecase", &reader_ast_elsecase_2337, 0);
  Method *writer2337 = addmethodrealflags(obj2332, "elsecase:=(1)", &writer_ast_elsecase_2337, 0);
  reader2337->definitionModule = modulename;
  writer2337->definitionModule = modulename;
  reader2337->definitionLine = 513;
  writer2337->definitionLine = 513;
}
obj2332->flags |= OFLAG_MUTABLE;
adddatum2(obj2332, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2338 = (struct UserObject*)obj2332;
  uo2338->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple2338 = addmethod2pos(obj2332, "isSimple", &meth_ast_isSimple2338, 5);
  int argcv_meth_ast_isSimple2338[] = {0};
  meth_meth_ast_isSimple2338->type = alloc_MethodType(1, argcv_meth_ast_isSimple2338);
  meth_meth_ast_isSimple2338->definitionModule = modulename;
  meth_meth_ast_isSimple2338->definitionLine = 514;
// method "matchee"
  struct UserObject *uo2340 = (struct UserObject*)obj2332;
  uo2340->data[6] = emptyclosure;
  Method *meth_meth_ast_matchee2340 = addmethod2pos(obj2332, "matchee", &meth_ast_matchee2340, 6);
  int argcv_meth_ast_matchee2340[] = {0};
  meth_meth_ast_matchee2340->type = alloc_MethodType(1, argcv_meth_ast_matchee2340);
  meth_meth_ast_matchee2340->definitionModule = modulename;
  meth_meth_ast_matchee2340->definitionLine = 515;
// method "accept(_)from(_)"
  struct UserObject *uo2343 = (struct UserObject*)obj2332;
  uo2343->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2343 = addmethod2pos(obj2332, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2343, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2343[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2343->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2343);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2343->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2343->definitionLine = 516;
// method "map(_)ancestors(_)"
  struct UserObject *uo2373 = (struct UserObject*)obj2332;
  uo2373->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2373 = addmethod2pos(obj2332, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2373, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2373[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2373->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2373);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2373->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2373->definitionLine = 528;
// method "pretty(_)"
  struct UserObject *uo2406 = (struct UserObject*)obj2332;
  uo2406->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2406 = addmethod2pos(obj2332, "pretty(1)", &meth_ast_pretty_40_1_41_2406, 9);
  int argcv_meth_ast_pretty_40_1_41_2406[] = {1};
  meth_meth_ast_pretty_40_1_41_2406->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2406);
  meth_meth_ast_pretty_40_1_41_2406->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2406->definitionLine = 536;
// method "toGrace(_)"
  struct UserObject *uo2523 = (struct UserObject*)obj2332;
  uo2523->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2523 = addmethod2pos(obj2332, "toGrace(1)", &meth_ast_toGrace_40_1_41_2523, 10);
  int argcv_meth_ast_toGrace_40_1_41_2523[] = {1};
  meth_meth_ast_toGrace_40_1_41_2523->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2523);
meth_meth_ast_toGrace_40_1_41_2523->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2523->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2523->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2523->definitionLine = 551;
// method "shallowCopy"
  block_savedest(obj2332);
  Object closure2622 = createclosure(3, "shallowCopy");
  setclosureframe(closure2622, stackframe);
  addtoclosure(closure2622, var_nullNode);
  addtoclosure(closure2622, var_emptySeq);
  addtoclosure(closure2622, var_matchCaseNode);
  struct UserObject *uo2622 = (struct UserObject*)obj2332;
  uo2622->data[11] = (Object)closure2622;
  Method *meth_meth_ast_shallowCopy2622 = addmethod2pos(obj2332, "shallowCopy", &meth_ast_shallowCopy2622, 11);
  int argcv_meth_ast_shallowCopy2622[] = {0};
  meth_meth_ast_shallowCopy2622->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy2622);
  meth_meth_ast_shallowCopy2622->definitionModule = modulename;
  meth_meth_ast_shallowCopy2622->definitionLine = 565;
  sourceObject = obj2332;
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2628 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2629 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2630 = gc_frame_new();
// call case 3: self.outer request
  Object call2631 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2630);
// compiled member node returning call2631 (depth = 5)
  Object call2632 = callmethodflags(call2631, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2629);
// compiled member node returning call2632 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2633 = callmethodflags(call2632, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2628);
// compiled call node returning call2633 (depth = 3)
  struct UserObject *obj2332_uo = (struct UserObject *)obj2332;
  obj2332_uo->super = call2633;
  sourceObject = obj2332;
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2634 == NULL) {
    strlit2634 = alloc_String("matchcase");
    gc_root(strlit2634);
  }
// compiled string node returning strlit2634 (depth = 3)
  adddatum2(obj2332, strlit2634, 1);
  sourceObject = obj2332;
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchee_39_ (depth = 3)
  adddatum2(obj2332, *var_matchee_39_, 2);
  sourceObject = obj2332;
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2332, *var_cases_39_, 3);
  sourceObject = obj2332;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elsecase_39_ (depth = 3)
  adddatum2(obj2332, *var_elsecase_39_, 4);
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  objclass2332 = obj2332->class;
  objclass2332->definitionModule = modulename;
  objclass2332->definitionLine = 508;
  (*(struct UserObject *)self).data[0] = lowerouter2332;
  self = oldself2332;
  selfslot = oldselfslot2332;
  stackframe = oldstackframe2332;
  gc_frame_end(frame);
  return obj2332;
}
Object meth_ast_new_40_3_41_2331_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_matchCaseNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_matchee_39_ = &(stackframe->slots[0]);
  *var_matchee_39_ = args[curarg];
  curarg++;
  Object *var_cases_39_ = &(stackframe->slots[1]);
  *var_cases_39_ = args[curarg];
  curarg++;
  Object *var_elsecase_39_ = &(stackframe->slots[2]);
  *var_elsecase_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2332 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2332 = alloc_userobj2(14,12, objclass2332);
  gc_frame_newslot(obj2332);
if (objclass2332 == NULL) {
  glfree(obj2332->class->name);
  obj2332->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2332, self, 0);
  addmethodreal(obj2332,"outer", &reader_ast_outer_2333);
  Object oldself2332 = self;
  struct StackFrameObject *oldstackframe2332 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2332);
  gc_frame_newslot((Object)stackframe);
  self = obj2332;
  Object *oldselfslot2332 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2332 = (*(struct UserObject *)self).data[0], lowerouter2332 = thisouter2332;
  if (inheritingObject2332) {
    struct UserObject *inho2332 = (struct UserObject *)inheritingObject2332;
    while (inho2332->super != GraceDefaultObject) inho2332 = (struct UserObject *)inho2332->super;
    inho2332->super = obj2332;
    self = inheritingObject2332;
    *selfslot = self;
    lowerouter2332 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2332;
  }
if (objclass2332 == NULL) {
  Method *reader2334 = addmethodrealflags(obj2332, "kind",&reader_ast_kind_2334, MFLAG_DEF);
  reader2334->definitionModule = modulename;
  reader2334->definitionLine = 510;
}
adddatum2(obj2332, alloc_Undefined(), 1);
if (objclass2332 == NULL) {
  Method *reader2335 = addmethodrealflags(obj2332, "value", &reader_ast_value_2335, 0);
  Method *writer2335 = addmethodrealflags(obj2332, "value:=(1)", &writer_ast_value_2335, 0);
  reader2335->definitionModule = modulename;
  writer2335->definitionModule = modulename;
  reader2335->definitionLine = 511;
  writer2335->definitionLine = 511;
}
obj2332->flags |= OFLAG_MUTABLE;
adddatum2(obj2332, alloc_Undefined(), 2);
if (objclass2332 == NULL) {
  Method *reader2336 = addmethodrealflags(obj2332, "cases", &reader_ast_cases_2336, 0);
  Method *writer2336 = addmethodrealflags(obj2332, "cases:=(1)", &writer_ast_cases_2336, 0);
  reader2336->definitionModule = modulename;
  writer2336->definitionModule = modulename;
  reader2336->definitionLine = 512;
  writer2336->definitionLine = 512;
}
obj2332->flags |= OFLAG_MUTABLE;
adddatum2(obj2332, alloc_Undefined(), 3);
if (objclass2332 == NULL) {
  Method *reader2337 = addmethodrealflags(obj2332, "elsecase", &reader_ast_elsecase_2337, 0);
  Method *writer2337 = addmethodrealflags(obj2332, "elsecase:=(1)", &writer_ast_elsecase_2337, 0);
  reader2337->definitionModule = modulename;
  writer2337->definitionModule = modulename;
  reader2337->definitionLine = 513;
  writer2337->definitionLine = 513;
}
obj2332->flags |= OFLAG_MUTABLE;
adddatum2(obj2332, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo2338 = (struct UserObject*)obj2332;
  uo2338->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple2338 = addmethod2pos(obj2332, "isSimple", &meth_ast_isSimple2338, 5);
  int argcv_meth_ast_isSimple2338[] = {0};
  meth_meth_ast_isSimple2338->type = alloc_MethodType(1, argcv_meth_ast_isSimple2338);
  meth_meth_ast_isSimple2338->definitionModule = modulename;
  meth_meth_ast_isSimple2338->definitionLine = 514;
// method "matchee"
  struct UserObject *uo2340 = (struct UserObject*)obj2332;
  uo2340->data[6] = emptyclosure;
  Method *meth_meth_ast_matchee2340 = addmethod2pos(obj2332, "matchee", &meth_ast_matchee2340, 6);
  int argcv_meth_ast_matchee2340[] = {0};
  meth_meth_ast_matchee2340->type = alloc_MethodType(1, argcv_meth_ast_matchee2340);
  meth_meth_ast_matchee2340->definitionModule = modulename;
  meth_meth_ast_matchee2340->definitionLine = 515;
// method "accept(_)from(_)"
  struct UserObject *uo2343 = (struct UserObject*)obj2332;
  uo2343->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2343 = addmethod2pos(obj2332, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2343, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2343[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2343->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2343);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2343->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2343->definitionLine = 516;
// method "map(_)ancestors(_)"
  struct UserObject *uo2373 = (struct UserObject*)obj2332;
  uo2373->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2373 = addmethod2pos(obj2332, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2373, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2373[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2373->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2373);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2373->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2373->definitionLine = 528;
// method "pretty(_)"
  struct UserObject *uo2406 = (struct UserObject*)obj2332;
  uo2406->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2406 = addmethod2pos(obj2332, "pretty(1)", &meth_ast_pretty_40_1_41_2406, 9);
  int argcv_meth_ast_pretty_40_1_41_2406[] = {1};
  meth_meth_ast_pretty_40_1_41_2406->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2406);
  meth_meth_ast_pretty_40_1_41_2406->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2406->definitionLine = 536;
// method "toGrace(_)"
  struct UserObject *uo2523 = (struct UserObject*)obj2332;
  uo2523->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2523 = addmethod2pos(obj2332, "toGrace(1)", &meth_ast_toGrace_40_1_41_2523, 10);
  int argcv_meth_ast_toGrace_40_1_41_2523[] = {1};
  meth_meth_ast_toGrace_40_1_41_2523->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2523);
meth_meth_ast_toGrace_40_1_41_2523->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2523->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2523->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2523->definitionLine = 551;
// method "shallowCopy"
  block_savedest(obj2332);
  Object closure2622 = createclosure(3, "shallowCopy");
  setclosureframe(closure2622, stackframe);
  addtoclosure(closure2622, var_nullNode);
  addtoclosure(closure2622, var_emptySeq);
  addtoclosure(closure2622, var_matchCaseNode);
  struct UserObject *uo2622 = (struct UserObject*)obj2332;
  uo2622->data[11] = (Object)closure2622;
  Method *meth_meth_ast_shallowCopy2622 = addmethod2pos(obj2332, "shallowCopy", &meth_ast_shallowCopy2622, 11);
  int argcv_meth_ast_shallowCopy2622[] = {0};
  meth_meth_ast_shallowCopy2622->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy2622);
  meth_meth_ast_shallowCopy2622->definitionModule = modulename;
  meth_meth_ast_shallowCopy2622->definitionLine = 565;
  sourceObject = obj2332;
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2628 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2629 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2630 = gc_frame_new();
// call case 3: self.outer request
  Object call2631 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2630);
// compiled member node returning call2631 (depth = 5)
  Object call2632 = callmethodflags(call2631, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2629);
// compiled member node returning call2632 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call2633 = callmethodflags(call2632, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2628);
// compiled call node returning call2633 (depth = 3)
  struct UserObject *obj2332_uo = (struct UserObject *)obj2332;
  obj2332_uo->super = call2633;
  sourceObject = obj2332;
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit2634 == NULL) {
    strlit2634 = alloc_String("matchcase");
    gc_root(strlit2634);
  }
// compiled string node returning strlit2634 (depth = 3)
  adddatum2(obj2332, strlit2634, 1);
  sourceObject = obj2332;
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchee_39_ (depth = 3)
  adddatum2(obj2332, *var_matchee_39_, 2);
  sourceObject = obj2332;
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cases_39_ (depth = 3)
  adddatum2(obj2332, *var_cases_39_, 3);
  sourceObject = obj2332;
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elsecase_39_ (depth = 3)
  adddatum2(obj2332, *var_elsecase_39_, 4);
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  sourceObject = obj2332;
  objclass2332 = obj2332->class;
  objclass2332->definitionModule = modulename;
  objclass2332->definitionLine = 508;
  (*(struct UserObject *)self).data[0] = lowerouter2332;
  self = oldself2332;
  selfslot = oldselfslot2332;
  stackframe = oldstackframe2332;
  gc_frame_end(frame);
  return obj2332;
}
Object meth_ast_matchCaseNode2636(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchCaseNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_matchCaseNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_matchCaseNode (depth = 3)
  gc_frame_end(frame);
  return *var_matchCaseNode;
}
Object meth_ast__apply_40_2_41_2650(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2652 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call2653 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe2652);
// compiled member node returning call2653 (depth = 6)
  int op_slot_right_2651 = gc_frame_newslot(call2653);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_2651 = gc_frame_newslot(*var_acc);
  params[0] = call2653;
  partcv[0] = 1;
  Object opresult2655 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2655 (depth = 5)
  gc_frame_end(frame);
  return opresult2655;
}
Object meth_ast_nameString2647(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2648 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block2649 = alloc_Block(NULL, NULL, "ast", 584);
  gc_frame_newslot(block2649);
// method "_apply(_,_)"
  block_savedest(block2649);
  Object closure2650 = createclosure(1, "_apply(2)");
  setclosureframe(closure2650, stackframe);
  addtoclosure(closure2650, selfslot);
  struct UserObject *uo2650 = (struct UserObject*)block2649;
  uo2650->data[0] = (Object)closure2650;
  Method *meth_meth_ast__apply_40_2_41_2650 = addmethod2pos(block2649, "_apply(2)", &meth_ast__apply_40_2_41_2650, 0);
  int argcv_meth_ast__apply_40_2_41_2650[] = {2};
  meth_meth_ast__apply_40_2_41_2650->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_2650);
  meth_meth_ast__apply_40_2_41_2650->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_2650->definitionLine = 2947;
// compiled block node returning block2649 (depth = 4)
  gc_frame_newslot(block2649);
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit2657 == NULL) {
    strlit2657 = alloc_String("");
    gc_root(strlit2657);
  }
// compiled string node returning strlit2657 (depth = 4)
  gc_frame_newslot(strlit2657);
// call case 6: other requests
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2658 = gc_frame_new();
// call case 4: self request
  Object call2659 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2658);
// compiled member node returning call2659 (depth = 4)
  params[0] = block2649;
  params[1] = strlit2657;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2660 = callmethodflags(call2659, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2648);
// compiled call node returning call2660 (depth = 3)
  gc_frame_end(frame);
  return call2660;
}
Object meth_ast_value2661(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2664 = gc_frame_new();
// call case 4: self request
  Object call2665 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2664);
// compiled member node returning call2665 (depth = 5)
  int op_slot_right_2663 = gc_frame_newslot(call2665);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_2663 = gc_frame_newslot(*var_uninitialized);
  params[0] = call2665;
  partcv[0] = 1;
  Object opresult2667 = callmethod(*var_uninitialized, "==(1)", 1, partcv, params);
// compiled op node returning opresult2667 (depth = 4)
  Object if2662 = done;
  if (istrue(opresult2667)) {
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2668 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe2669 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2670 = gc_frame_new();
// call case 4: self request
  Object call2671 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2670);
// compiled member node returning call2671 (depth = 6)
  gc_frame_newslot(call2671);
// starting to compile identifier node (depth = 6)
  Object bool2672 = alloc_Boolean(0);
// compiled identifier node returning bool2672 (depth = 6)
  gc_frame_newslot(bool2672);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call2671;
  params[1] = bool2672;
  partcv[0] = 2;
  Object call2673 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2669);
// compiled call node returning call2673 (depth = 5)
  gc_frame_newslot(call2673);
// call case 4: self request
  params[0] = call2673;
  partcv[0] = 1;
  Object call2674 = callmethodflags(self, "cachedIdentifier:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2668);
// compiled call node returning call2674 (depth = 4)
// Begin line 590
  setline(590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2675 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2676 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2677 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2678 = gc_frame_new();
// call case 4: self request
  Object call2679 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2678);
// compiled member node returning call2679 (depth = 7)
  Object call2680 = callmethodflags(call2679, "first", 0, partcv, params, 0);
  gc_frame_end(callframe2677);
// compiled member node returning call2680 (depth = 6)
  Object call2681 = callmethodflags(call2680, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2676);
// compiled member node returning call2681 (depth = 5)
  gc_frame_newslot(call2681);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2682 = gc_frame_new();
// call case 4: self request
  Object call2683 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2682);
// compiled member node returning call2683 (depth = 5)
  params[0] = call2681;
  partcv[0] = 1;
  Object call2684 = callmethodflags(call2683, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2675);
// compiled call node returning call2684 (depth = 4)
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2685 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2686 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2687 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2688 = gc_frame_new();
// call case 4: self request
  Object call2689 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2688);
// compiled member node returning call2689 (depth = 7)
  Object call2690 = callmethodflags(call2689, "first", 0, partcv, params, 0);
  gc_frame_end(callframe2687);
// compiled member node returning call2690 (depth = 6)
  Object call2691 = callmethodflags(call2690, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2686);
// compiled member node returning call2691 (depth = 5)
  gc_frame_newslot(call2691);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2692 = gc_frame_new();
// call case 4: self request
  Object call2693 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2692);
// compiled member node returning call2693 (depth = 5)
  params[0] = call2691;
  partcv[0] = 1;
  Object call2694 = callmethodflags(call2693, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2685);
// compiled call node returning call2694 (depth = 4)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2695 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool2696 = alloc_Boolean(1);
// compiled identifier node returning bool2696 (depth = 5)
  gc_frame_newslot(bool2696);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2697 = gc_frame_new();
// call case 4: self request
  Object call2698 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2697);
// compiled member node returning call2698 (depth = 5)
  params[0] = bool2696;
  partcv[0] = 1;
  Object call2699 = callmethodflags(call2698, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2695);
// compiled call node returning call2699 (depth = 4)
    gc_frame_newslot(call2699);
    if2662 = call2699;
  } else {
  }
// compiled if node returning if2662 (depth = 3)
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2700 = gc_frame_new();
// call case 4: self request
  Object call2701 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2700);
// compiled member node returning call2701 (depth = 3)
  gc_frame_end(frame);
  return call2701;
}
Object meth_ast_isExecutable2702(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool2703 = alloc_Boolean(0);
// compiled identifier node returning bool2703 (depth = 3)
  gc_frame_end(frame);
  return bool2703;
}
Object meth_ast__apply_40_1_41_2710(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe2711 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  gc_frame_newslot(*var_each);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_b (depth = 8)
  params[0] = *var_each;
  partcv[0] = 1;
  Object call2712 = callmethodflags(*var_b, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2711);
// compiled call node returning call2712 (depth = 7)
  gc_frame_end(frame);
  return call2712;
}
Object meth_ast__apply_40_1_41_2707(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_b = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2708 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2709 = alloc_Block(NULL, NULL, "ast", 599);
  gc_frame_newslot(block2709);
// method "_apply(_)"
  block_savedest(block2709);
  Object closure2710 = createclosure(2, "_apply(1)");
  setclosureframe(closure2710, stackframe);
  addtoclosure(closure2710, var_b);
  addtoclosure(closure2710, selfslot);
  struct UserObject *uo2710 = (struct UserObject*)block2709;
  uo2710->data[0] = (Object)closure2710;
  Method *meth_meth_ast__apply_40_1_41_2710 = addmethod2pos(block2709, "_apply(1)", &meth_ast__apply_40_1_41_2710, 0);
  int argcv_meth_ast__apply_40_1_41_2710[] = {1};
  meth_meth_ast__apply_40_1_41_2710->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2710);
  meth_meth_ast__apply_40_1_41_2710->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2710->definitionLine = 2947;
// compiled block node returning block2709 (depth = 6)
  gc_frame_newslot(block2709);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2714 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call2715 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe2714);
// compiled member node returning call2715 (depth = 6)
  params[0] = block2709;
  partcv[0] = 1;
  Object call2716 = callmethodflags(call2715, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2708);
// compiled call node returning call2716 (depth = 5)
  gc_frame_end(frame);
  return call2716;
}
Object meth_ast_parametersDo_40_1_41_2704(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parametersDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parametersDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parametersDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parametersDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2705 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block2706 = alloc_Block(NULL, NULL, "ast", 598);
  gc_frame_newslot(block2706);
// method "_apply(_)"
  block_savedest(block2706);
  Object closure2707 = createclosure(2, "_apply(1)");
  setclosureframe(closure2707, stackframe);
  addtoclosure(closure2707, var_b);
  addtoclosure(closure2707, selfslot);
  struct UserObject *uo2707 = (struct UserObject*)block2706;
  uo2707->data[0] = (Object)closure2707;
  Method *meth_meth_ast__apply_40_1_41_2707 = addmethod2pos(block2706, "_apply(1)", &meth_ast__apply_40_1_41_2707, 0);
  int argcv_meth_ast__apply_40_1_41_2707[] = {1};
  meth_meth_ast__apply_40_1_41_2707->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2707);
  meth_meth_ast__apply_40_1_41_2707->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2707->definitionLine = 2947;
// compiled block node returning block2706 (depth = 4)
  gc_frame_newslot(block2706);
// call case 6: other requests
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2718 = gc_frame_new();
// call case 4: self request
  Object call2719 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2718);
// compiled member node returning call2719 (depth = 4)
  params[0] = block2706;
  partcv[0] = 1;
  Object call2720 = callmethodflags(call2719, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2705);
// compiled call node returning call2720 (depth = 3)
  gc_frame_end(frame);
  return call2720;
}
Object meth_ast_scope_58__61__40_1_41_2721(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2722 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call2723 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2722);
// compiled call node returning call2723 (depth = 3)
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2724 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call2725 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2724);
// compiled call node returning call2725 (depth = 3)
  gc_frame_end(frame);
  return call2725;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_2726(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2727 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call2728 = callmethodflags(*var_k, "typedec", 0, partcv, params, 0);
  gc_frame_end(callframe2727);
// compiled member node returning call2728 (depth = 3)
  gc_frame_end(frame);
  return call2728;
}
Object meth_ast__apply_40_1_41_2761(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2762 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2763 = callmethodflags(*var_part, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2762);
// compiled call node returning call2763 (depth = 6)
  gc_frame_end(frame);
  return call2763;
}
Object meth_ast_accept_40_1_41_from_40_1_41_2729(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2731 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2732 = callmethodflags(*var_visitor, "visitMethodType(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2731);
// compiled call node returning call2732 (depth = 4)
  Object if2730 = done;
  if (istrue(call2732)) {
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe2733 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call2734 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2733);
// compiled call node returning call2734 (depth = 5)
  *var_newChain = call2734;
  if (call2734 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2737 = gc_frame_new();
// call case 4: self request
  Object call2738 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2737);
// compiled member node returning call2738 (depth = 6)
  int op_slot_right_2736 = gc_frame_newslot(call2738);
// starting to compile identifier node (depth = 6)
  Object bool2740 = alloc_Boolean(0);
// compiled identifier node returning bool2740 (depth = 6)
  int op_slot_left_2736 = gc_frame_newslot(bool2740);
  params[0] = call2738;
  partcv[0] = 1;
  Object opresult2741 = callmethod(bool2740, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2741 (depth = 5)
  Object if2735 = done;
  if (istrue(opresult2741)) {
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2742 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2743 = gc_frame_new();
// call case 4: self request
  Object call2744 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2743);
// compiled member node returning call2744 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2745 = callmethodflags(call2744, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2742);
// compiled call node returning call2745 (depth = 5)
    gc_frame_newslot(call2745);
    if2735 = call2745;
  } else {
  }
// compiled if node returning if2735 (depth = 4)
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2748 = gc_frame_new();
// call case 4: self request
  Object call2749 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2748);
// compiled member node returning call2749 (depth = 6)
  int op_slot_right_2747 = gc_frame_newslot(call2749);
// starting to compile identifier node (depth = 6)
  Object bool2751 = alloc_Boolean(0);
// compiled identifier node returning bool2751 (depth = 6)
  int op_slot_left_2747 = gc_frame_newslot(bool2751);
  params[0] = call2749;
  partcv[0] = 1;
  Object opresult2752 = callmethod(bool2751, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2752 (depth = 5)
  Object if2746 = done;
  if (istrue(opresult2752)) {
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2753 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2754 = gc_frame_new();
// call case 4: self request
  Object call2755 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2754);
// compiled member node returning call2755 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2756 = callmethodflags(call2755, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2753);
// compiled call node returning call2756 (depth = 5)
    gc_frame_newslot(call2756);
    if2746 = call2756;
  } else {
  }
// compiled if node returning if2746 (depth = 4)
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2757 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2758 = gc_frame_new();
// call case 4: self request
  Object call2759 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2758);
// compiled member node returning call2759 (depth = 5)
  gc_frame_newslot(call2759);
// starting to compile block node (depth = 5)
  Object block2760 = alloc_Block(NULL, NULL, "ast", 618);
  gc_frame_newslot(block2760);
// method "_apply(_)"
  block_savedest(block2760);
  Object closure2761 = createclosure(3, "_apply(1)");
  setclosureframe(closure2761, stackframe);
  addtoclosure(closure2761, var_visitor);
  addtoclosure(closure2761, var_newChain);
  addtoclosure(closure2761, selfslot);
  struct UserObject *uo2761 = (struct UserObject*)block2760;
  uo2761->data[0] = (Object)closure2761;
  Method *meth_meth_ast__apply_40_1_41_2761 = addmethod2pos(block2760, "_apply(1)", &meth_ast__apply_40_1_41_2761, 0);
  int argcv_meth_ast__apply_40_1_41_2761[] = {1};
  meth_meth_ast__apply_40_1_41_2761->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2761);
  meth_meth_ast__apply_40_1_41_2761->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2761->definitionLine = 2947;
// compiled block node returning block2760 (depth = 5)
  gc_frame_newslot(block2760);
// call case 5: prelude request
  params[0] = call2759;
  params[1] = block2760;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2765 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2757);
// compiled call node returning call2765 (depth = 4)
    gc_frame_newslot(call2765);
    if2730 = call2765;
  } else {
  }
// compiled if node returning if2730 (depth = 3)
  gc_frame_end(frame);
  return if2730;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_2766(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 624
  setline(624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2767 = gc_frame_new();
// call case 4: self request
  Object call2768 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2767);
// compiled member node returning call2768 (depth = 4)
  *var_n = call2768;
  if (call2768 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe2769 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2770 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2769);
// compiled call node returning call2770 (depth = 4)
  *var_newChain = call2770;
  if (call2770 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2771 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2772 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2773 = gc_frame_new();
// call case 4: self request
  Object call2774 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2773);
// compiled member node returning call2774 (depth = 5)
  gc_frame_newslot(call2774);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2775 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2776 = gc_frame_new();
// call case 3: self.outer request
  Object call2777 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2776);
// compiled member node returning call2777 (depth = 6)
  Object call2778 = callmethodflags(call2777, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2775);
// compiled member node returning call2778 (depth = 5)
  params[0] = call2774;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2779 = callmethodflags(call2778, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2772);
// compiled call node returning call2779 (depth = 4)
  gc_frame_newslot(call2779);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2779;
  partcv[0] = 1;
  Object call2780 = callmethodflags(*var_n, "rtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2771);
// compiled call node returning call2780 (depth = 3)
// Begin line 627
  setline(627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2781 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2782 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2783 = gc_frame_new();
// call case 4: self request
  Object call2784 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2783);
// compiled member node returning call2784 (depth = 5)
  gc_frame_newslot(call2784);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2785 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2786 = gc_frame_new();
// call case 3: self.outer request
  Object call2787 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2786);
// compiled member node returning call2787 (depth = 6)
  Object call2788 = callmethodflags(call2787, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2785);
// compiled member node returning call2788 (depth = 5)
  params[0] = call2784;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2789 = callmethodflags(call2788, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2782);
// compiled call node returning call2789 (depth = 4)
  gc_frame_newslot(call2789);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2789;
  partcv[0] = 1;
  Object call2790 = callmethodflags(*var_n, "signature:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2781);
// compiled call node returning call2790 (depth = 3)
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2791 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe2792 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2793 = gc_frame_new();
// call case 4: self request
  Object call2794 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2793);
// compiled member node returning call2794 (depth = 5)
  gc_frame_newslot(call2794);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2795 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2796 = gc_frame_new();
// call case 3: self.outer request
  Object call2797 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2796);
// compiled member node returning call2797 (depth = 6)
  Object call2798 = callmethodflags(call2797, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe2795);
// compiled member node returning call2798 (depth = 5)
  params[0] = call2794;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2799 = callmethodflags(call2798, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2792);
// compiled call node returning call2799 (depth = 4)
  gc_frame_newslot(call2799);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call2799;
  partcv[0] = 1;
  Object call2800 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2791);
// compiled call node returning call2800 (depth = 3)
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2801 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call2802 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2801);
// compiled call node returning call2802 (depth = 3)
  gc_frame_end(frame);
  return call2802;
}
Object meth_ast__apply_40_1_41_2811(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2813 == NULL) {
    strlit2813 = alloc_String("  ");
    gc_root(strlit2813);
  }
// compiled string node returning strlit2813 (depth = 7)
  int op_slot_right_2812 = gc_frame_newslot(strlit2813);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_2812 = gc_frame_newslot(*var_spc);
  params[0] = strlit2813;
  partcv[0] = 1;
  Object opresult2815 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult2815 (depth = 6)
  *var_spc = opresult2815;
  if (opresult2815 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_2950(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2952 == NULL) {
    strlit2952 = alloc_String("");
    gc_root(strlit2952);
  }
// compiled string node returning strlit2952 (depth = 7)
  int op_slot_right_2951 = gc_frame_newslot(strlit2952);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2955 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2957 = alloc_Float64(2);
// compiled num node returning num2957 (depth = 10)
  int op_slot_right_2956 = gc_frame_newslot(num2957);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_2956 = gc_frame_newslot(*var_depth);
  params[0] = num2957;
  partcv[0] = 1;
  Object sum2959 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2959 (depth = 9)
  gc_frame_newslot(sum2959);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  params[0] = sum2959;
  partcv[0] = 1;
  Object call2960 = callmethodflags(*var_part, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2955);
// compiled call node returning call2960 (depth = 8)
  int op_slot_right_2954 = gc_frame_newslot(call2960);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2963 == NULL) {
    strlit2963 = alloc_String("");
    gc_root(strlit2963);
  }
// compiled string node returning strlit2963 (depth = 9)
  int op_slot_right_2962 = gc_frame_newslot(strlit2963);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_2965 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2968 == NULL) {
    strlit2968 = alloc_String("""\x0a""  ");
    gc_root(strlit2968);
  }
// compiled string node returning strlit2968 (depth = 11)
  int op_slot_right_2967 = gc_frame_newslot(strlit2968);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_2970 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit2972 == NULL) {
    strlit2972 = alloc_String("");
    gc_root(strlit2972);
  }
// compiled string node returning strlit2972 (depth = 12)
  int op_slot_left_2970 = gc_frame_newslot(strlit2972);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2973 = callmethod(strlit2972, "++(1)", 1, partcv, params);
// compiled op node returning opresult2973 (depth = 11)
  int op_slot_left_2967 = gc_frame_newslot(opresult2973);
  params[0] = strlit2968;
  partcv[0] = 1;
  Object opresult2974 = callmethod(opresult2973, "++(1)", 1, partcv, params);
// compiled op node returning opresult2974 (depth = 10)
  int op_slot_left_2965 = gc_frame_newslot(opresult2974);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2975 = callmethod(opresult2974, "++(1)", 1, partcv, params);
// compiled op node returning opresult2975 (depth = 9)
  int op_slot_left_2962 = gc_frame_newslot(opresult2975);
  params[0] = strlit2963;
  partcv[0] = 1;
  Object opresult2976 = callmethod(opresult2975, "++(1)", 1, partcv, params);
// compiled op node returning opresult2976 (depth = 8)
  int op_slot_left_2954 = gc_frame_newslot(opresult2976);
  params[0] = call2960;
  partcv[0] = 1;
  Object opresult2977 = callmethod(opresult2976, "++(1)", 1, partcv, params);
// compiled op node returning opresult2977 (depth = 7)
  int op_slot_left_2951 = gc_frame_newslot(opresult2977);
  params[0] = strlit2952;
  partcv[0] = 1;
  Object opresult2978 = callmethod(opresult2977, "++(1)", 1, partcv, params);
// compiled op node returning opresult2978 (depth = 6)
  *var_s = opresult2978;
  if (opresult2978 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_2803(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 632
  setline(632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2804 == NULL) {
    strlit2804 = alloc_String("");
    gc_root(strlit2804);
  }
// compiled string node returning strlit2804 (depth = 4)
  *var_spc = strlit2804;
  if (strlit2804 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2805 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_2806 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num2808 = alloc_Float64(0);
// compiled num node returning num2808 (depth = 5)
  int op_slot_left_2806 = gc_frame_newslot(num2808);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult2809 = callmethod(num2808, "..(1)", 1, partcv, params);
// compiled op node returning opresult2809 (depth = 4)
  gc_frame_newslot(opresult2809);
// starting to compile block node (depth = 4)
  Object block2810 = alloc_Block(NULL, NULL, "ast", 633);
  gc_frame_newslot(block2810);
// method "_apply(_)"
  block_savedest(block2810);
  Object closure2811 = createclosure(2, "_apply(1)");
  setclosureframe(closure2811, stackframe);
  addtoclosure(closure2811, var_spc);
  addtoclosure(closure2811, selfslot);
  struct UserObject *uo2811 = (struct UserObject*)block2810;
  uo2811->data[0] = (Object)closure2811;
  Method *meth_meth_ast__apply_40_1_41_2811 = addmethod2pos(block2810, "_apply(1)", &meth_ast__apply_40_1_41_2811, 0);
  int argcv_meth_ast__apply_40_1_41_2811[] = {1};
  meth_meth_ast__apply_40_1_41_2811->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2811);
  meth_meth_ast__apply_40_1_41_2811->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2811->definitionLine = 2947;
// compiled block node returning block2810 (depth = 4)
  gc_frame_newslot(block2810);
// call case 5: prelude request
  params[0] = opresult2809;
  params[1] = block2810;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2818 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2805);
// compiled call node returning call2818 (depth = 3)
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2820 == NULL) {
    strlit2820 = alloc_String("""\x0a""");
    gc_root(strlit2820);
  }
// compiled string node returning strlit2820 (depth = 5)
  int op_slot_right_2819 = gc_frame_newslot(strlit2820);
// starting to compile call node (depth = 5)
  int callframe2822 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call2823 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe2822);
// compiled call node returning call2823 (depth = 5)
  int op_slot_left_2819 = gc_frame_newslot(call2823);
  params[0] = strlit2820;
  partcv[0] = 1;
  Object opresult2824 = callmethod(call2823, "++(1)", 1, partcv, params);
// compiled op node returning opresult2824 (depth = 4)
  *var_s = opresult2824;
  if (opresult2824 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2826 == NULL) {
    strlit2826 = alloc_String("""\x0a""");
    gc_root(strlit2826);
  }
// compiled string node returning strlit2826 (depth = 5)
  int op_slot_right_2825 = gc_frame_newslot(strlit2826);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2829 = gc_frame_new();
// call case 4: self request
  Object call2830 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2829);
// compiled member node returning call2830 (depth = 6)
  int op_slot_right_2828 = gc_frame_newslot(call2830);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2833 == NULL) {
    strlit2833 = alloc_String("Name: ");
    gc_root(strlit2833);
  }
// compiled string node returning strlit2833 (depth = 7)
  int op_slot_right_2832 = gc_frame_newslot(strlit2833);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_2835 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2838 == NULL) {
    strlit2838 = alloc_String("");
    gc_root(strlit2838);
  }
// compiled string node returning strlit2838 (depth = 9)
  int op_slot_right_2837 = gc_frame_newslot(strlit2838);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_2840 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit2842 == NULL) {
    strlit2842 = alloc_String("");
    gc_root(strlit2842);
  }
// compiled string node returning strlit2842 (depth = 10)
  int op_slot_left_2840 = gc_frame_newslot(strlit2842);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2843 = callmethod(strlit2842, "++(1)", 1, partcv, params);
// compiled op node returning opresult2843 (depth = 9)
  int op_slot_left_2837 = gc_frame_newslot(opresult2843);
  params[0] = strlit2838;
  partcv[0] = 1;
  Object opresult2844 = callmethod(opresult2843, "++(1)", 1, partcv, params);
// compiled op node returning opresult2844 (depth = 8)
  int op_slot_left_2835 = gc_frame_newslot(opresult2844);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2845 = callmethod(opresult2844, "++(1)", 1, partcv, params);
// compiled op node returning opresult2845 (depth = 7)
  int op_slot_left_2832 = gc_frame_newslot(opresult2845);
  params[0] = strlit2833;
  partcv[0] = 1;
  Object opresult2846 = callmethod(opresult2845, "++(1)", 1, partcv, params);
// compiled op node returning opresult2846 (depth = 6)
  int op_slot_left_2828 = gc_frame_newslot(opresult2846);
  params[0] = call2830;
  partcv[0] = 1;
  Object opresult2847 = callmethod(opresult2846, "++(1)", 1, partcv, params);
// compiled op node returning opresult2847 (depth = 5)
  int op_slot_left_2825 = gc_frame_newslot(opresult2847);
  params[0] = strlit2826;
  partcv[0] = 1;
  Object opresult2848 = callmethod(opresult2847, "++(1)", 1, partcv, params);
// compiled op node returning opresult2848 (depth = 4)
  *var_s = opresult2848;
  if (opresult2848 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2852 = gc_frame_new();
// call case 4: self request
  Object call2853 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2852);
// compiled member node returning call2853 (depth = 5)
  int op_slot_right_2851 = gc_frame_newslot(call2853);
// starting to compile identifier node (depth = 5)
  Object bool2855 = alloc_Boolean(0);
// compiled identifier node returning bool2855 (depth = 5)
  int op_slot_left_2851 = gc_frame_newslot(bool2855);
  params[0] = call2853;
  partcv[0] = 1;
  Object opresult2856 = callmethod(bool2855, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2856 (depth = 4)
  Object if2850 = done;
  if (istrue(opresult2856)) {
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2858 == NULL) {
    strlit2858 = alloc_String("");
    gc_root(strlit2858);
  }
// compiled string node returning strlit2858 (depth = 6)
  int op_slot_right_2857 = gc_frame_newslot(strlit2858);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2861 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2863 = alloc_Float64(2);
// compiled num node returning num2863 (depth = 9)
  int op_slot_right_2862 = gc_frame_newslot(num2863);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2862 = gc_frame_newslot(*var_depth);
  params[0] = num2863;
  partcv[0] = 1;
  Object sum2865 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2865 (depth = 8)
  gc_frame_newslot(sum2865);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2866 = gc_frame_new();
// call case 4: self request
  Object call2867 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2866);
// compiled member node returning call2867 (depth = 8)
  params[0] = sum2865;
  partcv[0] = 1;
  Object call2868 = callmethodflags(call2867, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2861);
// compiled call node returning call2868 (depth = 7)
  int op_slot_right_2860 = gc_frame_newslot(call2868);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2871 == NULL) {
    strlit2871 = alloc_String("");
    gc_root(strlit2871);
  }
// compiled string node returning strlit2871 (depth = 8)
  int op_slot_right_2870 = gc_frame_newslot(strlit2871);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_2873 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2876 == NULL) {
    strlit2876 = alloc_String("Returns:""\x0a""  ");
    gc_root(strlit2876);
  }
// compiled string node returning strlit2876 (depth = 10)
  int op_slot_right_2875 = gc_frame_newslot(strlit2876);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_2878 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("");
    gc_root(strlit2881);
  }
// compiled string node returning strlit2881 (depth = 12)
  int op_slot_right_2880 = gc_frame_newslot(strlit2881);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_2883 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit2885 == NULL) {
    strlit2885 = alloc_String("");
    gc_root(strlit2885);
  }
// compiled string node returning strlit2885 (depth = 13)
  int op_slot_left_2883 = gc_frame_newslot(strlit2885);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2886 = callmethod(strlit2885, "++(1)", 1, partcv, params);
// compiled op node returning opresult2886 (depth = 12)
  int op_slot_left_2880 = gc_frame_newslot(opresult2886);
  params[0] = strlit2881;
  partcv[0] = 1;
  Object opresult2887 = callmethod(opresult2886, "++(1)", 1, partcv, params);
// compiled op node returning opresult2887 (depth = 11)
  int op_slot_left_2878 = gc_frame_newslot(opresult2887);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2888 = callmethod(opresult2887, "++(1)", 1, partcv, params);
// compiled op node returning opresult2888 (depth = 10)
  int op_slot_left_2875 = gc_frame_newslot(opresult2888);
  params[0] = strlit2876;
  partcv[0] = 1;
  Object opresult2889 = callmethod(opresult2888, "++(1)", 1, partcv, params);
// compiled op node returning opresult2889 (depth = 9)
  int op_slot_left_2873 = gc_frame_newslot(opresult2889);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2890 = callmethod(opresult2889, "++(1)", 1, partcv, params);
// compiled op node returning opresult2890 (depth = 8)
  int op_slot_left_2870 = gc_frame_newslot(opresult2890);
  params[0] = strlit2871;
  partcv[0] = 1;
  Object opresult2891 = callmethod(opresult2890, "++(1)", 1, partcv, params);
// compiled op node returning opresult2891 (depth = 7)
  int op_slot_left_2860 = gc_frame_newslot(opresult2891);
  params[0] = call2868;
  partcv[0] = 1;
  Object opresult2892 = callmethod(opresult2891, "++(1)", 1, partcv, params);
// compiled op node returning opresult2892 (depth = 6)
  int op_slot_left_2857 = gc_frame_newslot(opresult2892);
  params[0] = strlit2858;
  partcv[0] = 1;
  Object opresult2893 = callmethod(opresult2892, "++(1)", 1, partcv, params);
// compiled op node returning opresult2893 (depth = 5)
  *var_s = opresult2893;
  if (opresult2893 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2850 = done;
  } else {
  }
// compiled if node returning if2850 (depth = 3)
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2897 = gc_frame_new();
// call case 4: self request
  Object call2898 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2897);
// compiled member node returning call2898 (depth = 5)
  int op_slot_right_2896 = gc_frame_newslot(call2898);
// starting to compile identifier node (depth = 5)
  Object bool2900 = alloc_Boolean(0);
// compiled identifier node returning bool2900 (depth = 5)
  int op_slot_left_2896 = gc_frame_newslot(bool2900);
  params[0] = call2898;
  partcv[0] = 1;
  Object opresult2901 = callmethod(bool2900, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2901 (depth = 4)
  Object if2895 = done;
  if (istrue(opresult2901)) {
// Begin line 642
  setline(642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2903 == NULL) {
    strlit2903 = alloc_String("TypeParams:""\x0a""");
    gc_root(strlit2903);
  }
// compiled string node returning strlit2903 (depth = 6)
  int op_slot_right_2902 = gc_frame_newslot(strlit2903);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_2905 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2908 == NULL) {
    strlit2908 = alloc_String("""\x0a""");
    gc_root(strlit2908);
  }
// compiled string node returning strlit2908 (depth = 8)
  int op_slot_right_2907 = gc_frame_newslot(strlit2908);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_2910 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit2912 == NULL) {
    strlit2912 = alloc_String("");
    gc_root(strlit2912);
  }
// compiled string node returning strlit2912 (depth = 9)
  int op_slot_left_2910 = gc_frame_newslot(strlit2912);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2913 = callmethod(strlit2912, "++(1)", 1, partcv, params);
// compiled op node returning opresult2913 (depth = 8)
  int op_slot_left_2907 = gc_frame_newslot(opresult2913);
  params[0] = strlit2908;
  partcv[0] = 1;
  Object opresult2914 = callmethod(opresult2913, "++(1)", 1, partcv, params);
// compiled op node returning opresult2914 (depth = 7)
  int op_slot_left_2905 = gc_frame_newslot(opresult2914);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2915 = callmethod(opresult2914, "++(1)", 1, partcv, params);
// compiled op node returning opresult2915 (depth = 6)
  int op_slot_left_2902 = gc_frame_newslot(opresult2915);
  params[0] = strlit2903;
  partcv[0] = 1;
  Object opresult2916 = callmethod(opresult2915, "++(1)", 1, partcv, params);
// compiled op node returning opresult2916 (depth = 5)
  *var_s = opresult2916;
  if (opresult2916 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2919 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2921 = alloc_Float64(2);
// compiled num node returning num2921 (depth = 8)
  int op_slot_right_2920 = gc_frame_newslot(num2921);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_2920 = gc_frame_newslot(*var_depth);
  params[0] = num2921;
  partcv[0] = 1;
  Object sum2923 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2923 (depth = 7)
  gc_frame_newslot(sum2923);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2924 = gc_frame_new();
// call case 4: self request
  Object call2925 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2924);
// compiled member node returning call2925 (depth = 7)
  params[0] = sum2923;
  partcv[0] = 1;
  Object call2926 = callmethodflags(call2925, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2919);
// compiled call node returning call2926 (depth = 6)
  int op_slot_right_2918 = gc_frame_newslot(call2926);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_2918 = gc_frame_newslot(*var_s);
  params[0] = call2926;
  partcv[0] = 1;
  Object opresult2928 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2928 (depth = 5)
  *var_s = opresult2928;
  if (opresult2928 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if2895 = done;
  } else {
  }
// compiled if node returning if2895 (depth = 3)
// Begin line 645
  setline(645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2931 == NULL) {
    strlit2931 = alloc_String("Signature:");
    gc_root(strlit2931);
  }
// compiled string node returning strlit2931 (depth = 5)
  int op_slot_right_2930 = gc_frame_newslot(strlit2931);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_2933 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2936 == NULL) {
    strlit2936 = alloc_String("""\x0a""");
    gc_root(strlit2936);
  }
// compiled string node returning strlit2936 (depth = 7)
  int op_slot_right_2935 = gc_frame_newslot(strlit2936);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_2938 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit2940 == NULL) {
    strlit2940 = alloc_String("");
    gc_root(strlit2940);
  }
// compiled string node returning strlit2940 (depth = 8)
  int op_slot_left_2938 = gc_frame_newslot(strlit2940);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult2941 = callmethod(strlit2940, "++(1)", 1, partcv, params);
// compiled op node returning opresult2941 (depth = 7)
  int op_slot_left_2935 = gc_frame_newslot(opresult2941);
  params[0] = strlit2936;
  partcv[0] = 1;
  Object opresult2942 = callmethod(opresult2941, "++(1)", 1, partcv, params);
// compiled op node returning opresult2942 (depth = 6)
  int op_slot_left_2933 = gc_frame_newslot(opresult2942);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult2943 = callmethod(opresult2942, "++(1)", 1, partcv, params);
// compiled op node returning opresult2943 (depth = 5)
  int op_slot_left_2930 = gc_frame_newslot(opresult2943);
  params[0] = strlit2931;
  partcv[0] = 1;
  Object opresult2944 = callmethod(opresult2943, "++(1)", 1, partcv, params);
// compiled op node returning opresult2944 (depth = 4)
  *var_s = opresult2944;
  if (opresult2944 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2946 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe2947 = gc_frame_new();
// call case 4: self request
  Object call2948 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2947);
// compiled member node returning call2948 (depth = 4)
  gc_frame_newslot(call2948);
// starting to compile block node (depth = 4)
  Object block2949 = alloc_Block(NULL, NULL, "ast", 646);
  gc_frame_newslot(block2949);
// method "_apply(_)"
  block_savedest(block2949);
  Object closure2950 = createclosure(4, "_apply(1)");
  setclosureframe(closure2950, stackframe);
  addtoclosure(closure2950, var_depth);
  addtoclosure(closure2950, var_spc);
  addtoclosure(closure2950, var_s);
  addtoclosure(closure2950, selfslot);
  struct UserObject *uo2950 = (struct UserObject*)block2949;
  uo2950->data[0] = (Object)closure2950;
  Method *meth_meth_ast__apply_40_1_41_2950 = addmethod2pos(block2949, "_apply(1)", &meth_ast__apply_40_1_41_2950, 0);
  int argcv_meth_ast__apply_40_1_41_2950[] = {1};
  meth_meth_ast__apply_40_1_41_2950->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2950);
  meth_meth_ast__apply_40_1_41_2950->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2950->definitionLine = 2947;
// compiled block node returning block2949 (depth = 4)
  gc_frame_newslot(block2949);
// call case 5: prelude request
  params[0] = call2948;
  params[1] = block2949;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2981 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2946);
// compiled call node returning call2981 (depth = 3)
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_2986(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2988 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2990 = alloc_Float64(1);
// compiled num node returning num2990 (depth = 9)
  int op_slot_right_2989 = gc_frame_newslot(num2990);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_2989 = gc_frame_newslot(*var_depth);
  params[0] = num2990;
  partcv[0] = 1;
  Object sum2992 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum2992 (depth = 8)
  gc_frame_newslot(sum2992);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = sum2992;
  partcv[0] = 1;
  Object call2993 = callmethodflags(*var_part, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2988);
// compiled call node returning call2993 (depth = 7)
  int op_slot_right_2987 = gc_frame_newslot(call2993);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_2987 = gc_frame_newslot(*var_s);
  params[0] = call2993;
  partcv[0] = 1;
  Object opresult2995 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult2995 (depth = 6)
  *var_s = opresult2995;
  if (opresult2995 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_2982(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit2983 == NULL) {
    strlit2983 = alloc_String("");
    gc_root(strlit2983);
  }
// compiled string node returning strlit2983 (depth = 4)
  *var_s = strlit2983;
  if (strlit2983 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe2984 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block2985 = alloc_Block(NULL, NULL, "ast", 653);
  gc_frame_newslot(block2985);
// method "_apply(_)"
  block_savedest(block2985);
  Object closure2986 = createclosure(3, "_apply(1)");
  setclosureframe(closure2986, stackframe);
  addtoclosure(closure2986, var_depth);
  addtoclosure(closure2986, var_s);
  addtoclosure(closure2986, selfslot);
  struct UserObject *uo2986 = (struct UserObject*)block2985;
  uo2986->data[0] = (Object)closure2986;
  Method *meth_meth_ast__apply_40_1_41_2986 = addmethod2pos(block2985, "_apply(1)", &meth_ast__apply_40_1_41_2986, 0);
  int argcv_meth_ast__apply_40_1_41_2986[] = {1};
  meth_meth_ast__apply_40_1_41_2986->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_2986);
  meth_meth_ast__apply_40_1_41_2986->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_2986->definitionLine = 2947;
// compiled block node returning block2985 (depth = 4)
  gc_frame_newslot(block2985);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe2998 = gc_frame_new();
// call case 4: self request
  Object call2999 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2998);
// compiled member node returning call2999 (depth = 4)
  params[0] = block2985;
  partcv[0] = 1;
  Object call3000 = callmethodflags(call2999, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2984);
// compiled call node returning call3000 (depth = 3)
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy3001(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3002 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3003 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3004 = gc_frame_new();
// call case 4: self request
  Object call3005 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3004);
// compiled member node returning call3005 (depth = 5)
  gc_frame_newslot(call3005);
// starting to compile member node (depth = 5)
  int callframe3006 = gc_frame_new();
// call case 4: self request
  Object call3007 = callmethodflags(self, "rtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3006);
// compiled member node returning call3007 (depth = 5)
  gc_frame_newslot(call3007);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodTypeNode (depth = 5)
  params[0] = call3005;
  params[1] = call3007;
  partcv[0] = 2;
  Object call3008 = callmethodflags(*var_methodTypeNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3003);
// compiled call node returning call3008 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3009 = callmethodflags(call3008, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3002);
// compiled call node returning call3009 (depth = 3)
  gc_frame_end(frame);
  return call3009;
}
Object meth_ast_new_40_2_41_2639(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodTypeNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[1]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2640 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2640 = alloc_userobj2(20,17, objclass2640);
  gc_frame_newslot(obj2640);
if (objclass2640 == NULL) {
  glfree(obj2640->class->name);
  obj2640->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2640, self, 0);
  addmethodreal(obj2640,"outer", &reader_ast_outer_2641);
  Object oldself2640 = self;
  struct StackFrameObject *oldstackframe2640 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2640);
  gc_frame_newslot((Object)stackframe);
  self = obj2640;
  Object *oldselfslot2640 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2640 = (*(struct UserObject *)self).data[0], lowerouter2640 = thisouter2640;
  if (inheritingObject2640) {
    struct UserObject *inho2640 = (struct UserObject *)inheritingObject2640;
    while (inho2640->super != GraceDefaultObject) inho2640 = (struct UserObject *)inho2640->super;
    inho2640->super = obj2640;
    self = inheritingObject2640;
    *selfslot = self;
    lowerouter2640 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2640;
  }
if (objclass2640 == NULL) {
  Method *reader2642 = addmethodrealflags(obj2640, "kind",&reader_ast_kind_2642, MFLAG_DEF);
  reader2642->definitionModule = modulename;
  reader2642->definitionLine = 577;
}
adddatum2(obj2640, alloc_Undefined(), 1);
if (objclass2640 == NULL) {
  Method *reader2643 = addmethodrealflags(obj2640, "signature", &reader_ast_signature_2643, 0);
  Method *writer2643 = addmethodrealflags(obj2640, "signature:=(1)", &writer_ast_signature_2643, 0);
  reader2643->definitionModule = modulename;
  writer2643->definitionModule = modulename;
  reader2643->definitionLine = 578;
  writer2643->definitionLine = 578;
}
obj2640->flags |= OFLAG_MUTABLE;
adddatum2(obj2640, alloc_Undefined(), 2);
if (objclass2640 == NULL) {
  Method *reader2644 = addmethodrealflags(obj2640, "rtype", &reader_ast_rtype_2644, 0);
  Method *writer2644 = addmethodrealflags(obj2640, "rtype:=(1)", &writer_ast_rtype_2644, 0);
  reader2644->definitionModule = modulename;
  writer2644->definitionModule = modulename;
  reader2644->definitionLine = 579;
  writer2644->definitionLine = 579;
}
obj2640->flags |= OFLAG_MUTABLE;
adddatum2(obj2640, alloc_Undefined(), 3);
if (objclass2640 == NULL) {
  Method *reader2645 = addmethodrealflags(obj2640, "typeParams", &reader_ast_typeParams_2645, 0);
  Method *writer2645 = addmethodrealflags(obj2640, "typeParams:=(1)", &writer_ast_typeParams_2645, 0);
  reader2645->definitionModule = modulename;
  writer2645->definitionModule = modulename;
  reader2645->definitionLine = 580;
  writer2645->definitionLine = 580;
}
obj2640->flags |= OFLAG_MUTABLE;
adddatum2(obj2640, alloc_Undefined(), 4);
if (objclass2640 == NULL) {
  Method *reader2646 = addmethodrealflags(obj2640, "cachedIdentifier", &reader_ast_cachedIdentifier_2646, MFLAG_CONFIDENTIAL);
  Method *writer2646 = addmethodrealflags(obj2640, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_2646, MFLAG_CONFIDENTIAL);
  reader2646->definitionModule = modulename;
  writer2646->definitionModule = modulename;
  reader2646->definitionLine = 581;
  writer2646->definitionLine = 581;
}
obj2640->flags |= OFLAG_MUTABLE;
adddatum2(obj2640, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo2647 = (struct UserObject*)obj2640;
  uo2647->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString2647 = addmethod2pos(obj2640, "nameString", &meth_ast_nameString2647, 6);
  int argcv_meth_ast_nameString2647[] = {0};
  meth_meth_ast_nameString2647->type = alloc_MethodType(1, argcv_meth_ast_nameString2647);
  meth_meth_ast_nameString2647->definitionModule = modulename;
  meth_meth_ast_nameString2647->definitionLine = 583;
// method "value"
  block_savedest(obj2640);
  Object closure2661 = createclosure(2, "value");
  setclosureframe(closure2661, stackframe);
  addtoclosure(closure2661, var_uninitialized);
  addtoclosure(closure2661, var_identifierNode);
  struct UserObject *uo2661 = (struct UserObject*)obj2640;
  uo2661->data[7] = (Object)closure2661;
  Method *meth_meth_ast_value2661 = addmethod2pos(obj2640, "value", &meth_ast_value2661, 7);
  int argcv_meth_ast_value2661[] = {0};
  meth_meth_ast_value2661->type = alloc_MethodType(1, argcv_meth_ast_value2661);
  meth_meth_ast_value2661->definitionModule = modulename;
  meth_meth_ast_value2661->definitionLine = 587;
// method "isExecutable"
  struct UserObject *uo2702 = (struct UserObject*)obj2640;
  uo2702->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable2702 = addmethod2pos(obj2640, "isExecutable", &meth_ast_isExecutable2702, 8);
  int argcv_meth_ast_isExecutable2702[] = {0};
  meth_meth_ast_isExecutable2702->type = alloc_MethodType(1, argcv_meth_ast_isExecutable2702);
  meth_meth_ast_isExecutable2702->definitionModule = modulename;
  meth_meth_ast_isExecutable2702->definitionLine = 596;
// method "parametersDo(_)"
  struct UserObject *uo2704 = (struct UserObject*)obj2640;
  uo2704->data[9] = emptyclosure;
  Method *meth_meth_ast_parametersDo_40_1_41_2704 = addmethod2pos(obj2640, "parametersDo(1)", &meth_ast_parametersDo_40_1_41_2704, 9);
  int argcv_meth_ast_parametersDo_40_1_41_2704[] = {1};
  meth_meth_ast_parametersDo_40_1_41_2704->type = alloc_MethodType(1, argcv_meth_ast_parametersDo_40_1_41_2704);
  meth_meth_ast_parametersDo_40_1_41_2704->definitionModule = modulename;
  meth_meth_ast_parametersDo_40_1_41_2704->definitionLine = 597;
// method "scope:=(_)"
  struct UserObject *uo2721 = (struct UserObject*)obj2640;
  uo2721->data[10] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_2721 = addmethod2pos(obj2640, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_2721, 10);
  int argcv_meth_ast_scope_58__61__40_1_41_2721[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_2721->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_2721);
  meth_meth_ast_scope_58__61__40_1_41_2721->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_2721->definitionLine = 602;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj2640);
  Object closure2726 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure2726, stackframe);
  addtoclosure(closure2726, var_k);
  struct UserObject *uo2726 = (struct UserObject*)obj2640;
  uo2726->data[11] = (Object)closure2726;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_2726 = addmethod2pos(obj2640, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_2726, 11);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_2726[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2726->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_2726);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2726->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2726->definitionLine = 608;
// method "accept(_)from(_)"
  struct UserObject *uo2729 = (struct UserObject*)obj2640;
  uo2729->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2729 = addmethod2pos(obj2640, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2729, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2729[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2729->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2729);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2729->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2729->definitionLine = 609;
// method "map(_)ancestors(_)"
  struct UserObject *uo2766 = (struct UserObject*)obj2640;
  uo2766->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2766 = addmethod2pos(obj2640, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2766, 13);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2766[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2766->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2766);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2766->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2766->definitionLine = 623;
// method "pretty(_)"
  struct UserObject *uo2803 = (struct UserObject*)obj2640;
  uo2803->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2803 = addmethod2pos(obj2640, "pretty(1)", &meth_ast_pretty_40_1_41_2803, 14);
  int argcv_meth_ast_pretty_40_1_41_2803[] = {1};
  meth_meth_ast_pretty_40_1_41_2803->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2803);
  meth_meth_ast_pretty_40_1_41_2803->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2803->definitionLine = 631;
// method "toGrace(_)"
  struct UserObject *uo2982 = (struct UserObject*)obj2640;
  uo2982->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2982 = addmethod2pos(obj2640, "toGrace(1)", &meth_ast_toGrace_40_1_41_2982, 15);
  int argcv_meth_ast_toGrace_40_1_41_2982[] = {1};
  meth_meth_ast_toGrace_40_1_41_2982->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2982);
meth_meth_ast_toGrace_40_1_41_2982->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2982->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2982->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2982->definitionLine = 651;
// method "shallowCopy"
  block_savedest(obj2640);
  Object closure3001 = createclosure(1, "shallowCopy");
  setclosureframe(closure3001, stackframe);
  addtoclosure(closure3001, var_methodTypeNode);
  struct UserObject *uo3001 = (struct UserObject*)obj2640;
  uo3001->data[16] = (Object)closure3001;
  Method *meth_meth_ast_shallowCopy3001 = addmethod2pos(obj2640, "shallowCopy", &meth_ast_shallowCopy3001, 16);
  int argcv_meth_ast_shallowCopy3001[] = {0};
  meth_meth_ast_shallowCopy3001->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3001);
  meth_meth_ast_shallowCopy3001->definitionModule = modulename;
  meth_meth_ast_shallowCopy3001->definitionLine = 656;
  sourceObject = obj2640;
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3010 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3011 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3012 = gc_frame_new();
// call case 3: self.outer request
  Object call3013 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3012);
// compiled member node returning call3013 (depth = 5)
  Object call3014 = callmethodflags(call3013, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3011);
// compiled member node returning call3014 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3015 = callmethodflags(call3014, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3010);
// compiled call node returning call3015 (depth = 3)
  struct UserObject *obj2640_uo = (struct UserObject *)obj2640;
  obj2640_uo->super = call3015;
  sourceObject = obj2640;
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3016 == NULL) {
    strlit3016 = alloc_String("methodtype");
    gc_root(strlit3016);
  }
// compiled string node returning strlit3016 (depth = 3)
  adddatum2(obj2640, strlit3016, 1);
  sourceObject = obj2640;
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj2640, *var_signature_39_, 2);
  sourceObject = obj2640;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rtype_39_ (depth = 3)
  adddatum2(obj2640, *var_rtype_39_, 3);
  sourceObject = obj2640;
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3017 = alloc_Boolean(0);
// compiled identifier node returning bool3017 (depth = 3)
  adddatum2(obj2640, bool3017, 4);
  sourceObject = obj2640;
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj2640, *var_uninitialized, 5);
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  objclass2640 = obj2640->class;
  objclass2640->definitionModule = modulename;
  objclass2640->definitionLine = 571;
  (*(struct UserObject *)self).data[0] = lowerouter2640;
  self = oldself2640;
  selfslot = oldselfslot2640;
  stackframe = oldstackframe2640;
  gc_frame_end(frame);
  return obj2640;
}
Object meth_ast_new_40_2_41_2639_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodTypeNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_rtype_39_ = &(stackframe->slots[1]);
  *var_rtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2640 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2640 = alloc_userobj2(20,17, objclass2640);
  gc_frame_newslot(obj2640);
if (objclass2640 == NULL) {
  glfree(obj2640->class->name);
  obj2640->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2640, self, 0);
  addmethodreal(obj2640,"outer", &reader_ast_outer_2641);
  Object oldself2640 = self;
  struct StackFrameObject *oldstackframe2640 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2640);
  gc_frame_newslot((Object)stackframe);
  self = obj2640;
  Object *oldselfslot2640 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2640 = (*(struct UserObject *)self).data[0], lowerouter2640 = thisouter2640;
  if (inheritingObject2640) {
    struct UserObject *inho2640 = (struct UserObject *)inheritingObject2640;
    while (inho2640->super != GraceDefaultObject) inho2640 = (struct UserObject *)inho2640->super;
    inho2640->super = obj2640;
    self = inheritingObject2640;
    *selfslot = self;
    lowerouter2640 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2640;
  }
if (objclass2640 == NULL) {
  Method *reader2642 = addmethodrealflags(obj2640, "kind",&reader_ast_kind_2642, MFLAG_DEF);
  reader2642->definitionModule = modulename;
  reader2642->definitionLine = 577;
}
adddatum2(obj2640, alloc_Undefined(), 1);
if (objclass2640 == NULL) {
  Method *reader2643 = addmethodrealflags(obj2640, "signature", &reader_ast_signature_2643, 0);
  Method *writer2643 = addmethodrealflags(obj2640, "signature:=(1)", &writer_ast_signature_2643, 0);
  reader2643->definitionModule = modulename;
  writer2643->definitionModule = modulename;
  reader2643->definitionLine = 578;
  writer2643->definitionLine = 578;
}
obj2640->flags |= OFLAG_MUTABLE;
adddatum2(obj2640, alloc_Undefined(), 2);
if (objclass2640 == NULL) {
  Method *reader2644 = addmethodrealflags(obj2640, "rtype", &reader_ast_rtype_2644, 0);
  Method *writer2644 = addmethodrealflags(obj2640, "rtype:=(1)", &writer_ast_rtype_2644, 0);
  reader2644->definitionModule = modulename;
  writer2644->definitionModule = modulename;
  reader2644->definitionLine = 579;
  writer2644->definitionLine = 579;
}
obj2640->flags |= OFLAG_MUTABLE;
adddatum2(obj2640, alloc_Undefined(), 3);
if (objclass2640 == NULL) {
  Method *reader2645 = addmethodrealflags(obj2640, "typeParams", &reader_ast_typeParams_2645, 0);
  Method *writer2645 = addmethodrealflags(obj2640, "typeParams:=(1)", &writer_ast_typeParams_2645, 0);
  reader2645->definitionModule = modulename;
  writer2645->definitionModule = modulename;
  reader2645->definitionLine = 580;
  writer2645->definitionLine = 580;
}
obj2640->flags |= OFLAG_MUTABLE;
adddatum2(obj2640, alloc_Undefined(), 4);
if (objclass2640 == NULL) {
  Method *reader2646 = addmethodrealflags(obj2640, "cachedIdentifier", &reader_ast_cachedIdentifier_2646, MFLAG_CONFIDENTIAL);
  Method *writer2646 = addmethodrealflags(obj2640, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_2646, MFLAG_CONFIDENTIAL);
  reader2646->definitionModule = modulename;
  writer2646->definitionModule = modulename;
  reader2646->definitionLine = 581;
  writer2646->definitionLine = 581;
}
obj2640->flags |= OFLAG_MUTABLE;
adddatum2(obj2640, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo2647 = (struct UserObject*)obj2640;
  uo2647->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString2647 = addmethod2pos(obj2640, "nameString", &meth_ast_nameString2647, 6);
  int argcv_meth_ast_nameString2647[] = {0};
  meth_meth_ast_nameString2647->type = alloc_MethodType(1, argcv_meth_ast_nameString2647);
  meth_meth_ast_nameString2647->definitionModule = modulename;
  meth_meth_ast_nameString2647->definitionLine = 583;
// method "value"
  block_savedest(obj2640);
  Object closure2661 = createclosure(2, "value");
  setclosureframe(closure2661, stackframe);
  addtoclosure(closure2661, var_uninitialized);
  addtoclosure(closure2661, var_identifierNode);
  struct UserObject *uo2661 = (struct UserObject*)obj2640;
  uo2661->data[7] = (Object)closure2661;
  Method *meth_meth_ast_value2661 = addmethod2pos(obj2640, "value", &meth_ast_value2661, 7);
  int argcv_meth_ast_value2661[] = {0};
  meth_meth_ast_value2661->type = alloc_MethodType(1, argcv_meth_ast_value2661);
  meth_meth_ast_value2661->definitionModule = modulename;
  meth_meth_ast_value2661->definitionLine = 587;
// method "isExecutable"
  struct UserObject *uo2702 = (struct UserObject*)obj2640;
  uo2702->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable2702 = addmethod2pos(obj2640, "isExecutable", &meth_ast_isExecutable2702, 8);
  int argcv_meth_ast_isExecutable2702[] = {0};
  meth_meth_ast_isExecutable2702->type = alloc_MethodType(1, argcv_meth_ast_isExecutable2702);
  meth_meth_ast_isExecutable2702->definitionModule = modulename;
  meth_meth_ast_isExecutable2702->definitionLine = 596;
// method "parametersDo(_)"
  struct UserObject *uo2704 = (struct UserObject*)obj2640;
  uo2704->data[9] = emptyclosure;
  Method *meth_meth_ast_parametersDo_40_1_41_2704 = addmethod2pos(obj2640, "parametersDo(1)", &meth_ast_parametersDo_40_1_41_2704, 9);
  int argcv_meth_ast_parametersDo_40_1_41_2704[] = {1};
  meth_meth_ast_parametersDo_40_1_41_2704->type = alloc_MethodType(1, argcv_meth_ast_parametersDo_40_1_41_2704);
  meth_meth_ast_parametersDo_40_1_41_2704->definitionModule = modulename;
  meth_meth_ast_parametersDo_40_1_41_2704->definitionLine = 597;
// method "scope:=(_)"
  struct UserObject *uo2721 = (struct UserObject*)obj2640;
  uo2721->data[10] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_2721 = addmethod2pos(obj2640, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_2721, 10);
  int argcv_meth_ast_scope_58__61__40_1_41_2721[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_2721->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_2721);
  meth_meth_ast_scope_58__61__40_1_41_2721->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_2721->definitionLine = 602;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj2640);
  Object closure2726 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure2726, stackframe);
  addtoclosure(closure2726, var_k);
  struct UserObject *uo2726 = (struct UserObject*)obj2640;
  uo2726->data[11] = (Object)closure2726;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_2726 = addmethod2pos(obj2640, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_2726, 11);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_2726[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2726->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_2726);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2726->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_2726->definitionLine = 608;
// method "accept(_)from(_)"
  struct UserObject *uo2729 = (struct UserObject*)obj2640;
  uo2729->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_2729 = addmethod2pos(obj2640, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_2729, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_2729[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_2729->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_2729);
  meth_meth_ast_accept_40_1_41_from_40_1_41_2729->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_2729->definitionLine = 609;
// method "map(_)ancestors(_)"
  struct UserObject *uo2766 = (struct UserObject*)obj2640;
  uo2766->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_2766 = addmethod2pos(obj2640, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_2766, 13);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2766[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2766->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_2766);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2766->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_2766->definitionLine = 623;
// method "pretty(_)"
  struct UserObject *uo2803 = (struct UserObject*)obj2640;
  uo2803->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_2803 = addmethod2pos(obj2640, "pretty(1)", &meth_ast_pretty_40_1_41_2803, 14);
  int argcv_meth_ast_pretty_40_1_41_2803[] = {1};
  meth_meth_ast_pretty_40_1_41_2803->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_2803);
  meth_meth_ast_pretty_40_1_41_2803->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_2803->definitionLine = 631;
// method "toGrace(_)"
  struct UserObject *uo2982 = (struct UserObject*)obj2640;
  uo2982->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_2982 = addmethod2pos(obj2640, "toGrace(1)", &meth_ast_toGrace_40_1_41_2982, 15);
  int argcv_meth_ast_toGrace_40_1_41_2982[] = {1};
  meth_meth_ast_toGrace_40_1_41_2982->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_2982);
meth_meth_ast_toGrace_40_1_41_2982->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_2982->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_2982->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_2982->definitionLine = 651;
// method "shallowCopy"
  block_savedest(obj2640);
  Object closure3001 = createclosure(1, "shallowCopy");
  setclosureframe(closure3001, stackframe);
  addtoclosure(closure3001, var_methodTypeNode);
  struct UserObject *uo3001 = (struct UserObject*)obj2640;
  uo3001->data[16] = (Object)closure3001;
  Method *meth_meth_ast_shallowCopy3001 = addmethod2pos(obj2640, "shallowCopy", &meth_ast_shallowCopy3001, 16);
  int argcv_meth_ast_shallowCopy3001[] = {0};
  meth_meth_ast_shallowCopy3001->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3001);
  meth_meth_ast_shallowCopy3001->definitionModule = modulename;
  meth_meth_ast_shallowCopy3001->definitionLine = 656;
  sourceObject = obj2640;
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3010 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3011 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3012 = gc_frame_new();
// call case 3: self.outer request
  Object call3013 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3012);
// compiled member node returning call3013 (depth = 5)
  Object call3014 = callmethodflags(call3013, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3011);
// compiled member node returning call3014 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3015 = callmethodflags(call3014, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3010);
// compiled call node returning call3015 (depth = 3)
  struct UserObject *obj2640_uo = (struct UserObject *)obj2640;
  obj2640_uo->super = call3015;
  sourceObject = obj2640;
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3016 == NULL) {
    strlit3016 = alloc_String("methodtype");
    gc_root(strlit3016);
  }
// compiled string node returning strlit3016 (depth = 3)
  adddatum2(obj2640, strlit3016, 1);
  sourceObject = obj2640;
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj2640, *var_signature_39_, 2);
  sourceObject = obj2640;
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rtype_39_ (depth = 3)
  adddatum2(obj2640, *var_rtype_39_, 3);
  sourceObject = obj2640;
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3017 = alloc_Boolean(0);
// compiled identifier node returning bool3017 (depth = 3)
  adddatum2(obj2640, bool3017, 4);
  sourceObject = obj2640;
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj2640, *var_uninitialized, 5);
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  sourceObject = obj2640;
  objclass2640 = obj2640->class;
  objclass2640->definitionModule = modulename;
  objclass2640->definitionLine = 571;
  (*(struct UserObject *)self).data[0] = lowerouter2640;
  self = oldself2640;
  selfslot = oldselfslot2640;
  stackframe = oldstackframe2640;
  gc_frame_end(frame);
  return obj2640;
}
Object meth_ast_methodTypeNode3019(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodTypeNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodTypeNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodTypeNode (depth = 3)
  gc_frame_end(frame);
  return *var_methodTypeNode;
}
Object meth_ast_name3031(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3032 = gc_frame_new();
// call case 4: self request
  Object call3033 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3032);
// compiled member node returning call3033 (depth = 3)
  gc_frame_end(frame);
  return call3033;
}
Object meth_ast_name_58__61__40_1_41_3034(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method name:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for name:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part name:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3035 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 4: self request
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3036 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3035);
// compiled call node returning call3036 (depth = 3)
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3037 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool3038 = alloc_Boolean(0);
// compiled identifier node returning bool3038 (depth = 4)
  gc_frame_newslot(bool3038);
// call case 4: self request
  params[0] = bool3038;
  partcv[0] = 1;
  Object call3039 = callmethodflags(self, "anonymous:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3037);
// compiled call node returning call3039 (depth = 3)
  gc_frame_end(frame);
  return call3039;
}
Object meth_ast_asString3040(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3042 == NULL) {
    strlit3042 = alloc_String("");
    gc_root(strlit3042);
  }
// compiled string node returning strlit3042 (depth = 4)
  int op_slot_right_3041 = gc_frame_newslot(strlit3042);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3045 = gc_frame_new();
// call case 4: self request
  Object call3046 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3045);
// compiled member node returning call3046 (depth = 5)
  int op_slot_right_3044 = gc_frame_newslot(call3046);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3049 == NULL) {
    strlit3049 = alloc_String(", types = ");
    gc_root(strlit3049);
  }
// compiled string node returning strlit3049 (depth = 6)
  int op_slot_right_3048 = gc_frame_newslot(strlit3049);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3052 = gc_frame_new();
// call case 4: self request
  Object call3053 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3052);
// compiled member node returning call3053 (depth = 7)
  int op_slot_right_3051 = gc_frame_newslot(call3053);
// starting to compile string node (depth = 7)
  if (strlit3055 == NULL) {
    strlit3055 = alloc_String("typeliteral: methods = ");
    gc_root(strlit3055);
  }
// compiled string node returning strlit3055 (depth = 7)
  int op_slot_left_3051 = gc_frame_newslot(strlit3055);
  params[0] = call3053;
  partcv[0] = 1;
  Object opresult3056 = callmethod(strlit3055, "++(1)", 1, partcv, params);
// compiled op node returning opresult3056 (depth = 6)
  int op_slot_left_3048 = gc_frame_newslot(opresult3056);
  params[0] = strlit3049;
  partcv[0] = 1;
  Object opresult3057 = callmethod(opresult3056, "++(1)", 1, partcv, params);
// compiled op node returning opresult3057 (depth = 5)
  int op_slot_left_3044 = gc_frame_newslot(opresult3057);
  params[0] = call3046;
  partcv[0] = 1;
  Object opresult3058 = callmethod(opresult3057, "++(1)", 1, partcv, params);
// compiled op node returning opresult3058 (depth = 4)
  int op_slot_left_3041 = gc_frame_newslot(opresult3058);
  params[0] = strlit3042;
  partcv[0] = 1;
  Object opresult3059 = callmethod(opresult3058, "++(1)", 1, partcv, params);
// compiled op node returning opresult3059 (depth = 3)
  gc_frame_end(frame);
  return opresult3059;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_3060(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3061 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3062 = callmethodflags(*var_k, "typedec", 0, partcv, params, 0);
  gc_frame_end(callframe3061);
// compiled member node returning call3062 (depth = 3)
  gc_frame_end(frame);
  return call3062;
}
Object meth_ast_isExecutable3063(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3064 = alloc_Boolean(0);
// compiled identifier node returning bool3064 (depth = 3)
  gc_frame_end(frame);
  return bool3064;
}
Object meth_ast__apply_40_1_41_3075(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3076 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3077 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3076);
// compiled call node returning call3077 (depth = 6)
  gc_frame_end(frame);
  return call3077;
}
Object meth_ast__apply_40_1_41_3084(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3085 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3086 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3085);
// compiled call node returning call3086 (depth = 6)
  gc_frame_end(frame);
  return call3086;
}
Object meth_ast_accept_40_1_41_from_40_1_41_3065(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3067 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3068 = callmethodflags(*var_visitor, "visitTypeLiteral(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3067);
// compiled call node returning call3068 (depth = 4)
  Object if3066 = done;
  if (istrue(call3068)) {
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3069 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3070 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3069);
// compiled call node returning call3070 (depth = 5)
  *var_newChain = call3070;
  if (call3070 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3071 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3072 = gc_frame_new();
// call case 4: self request
  Object call3073 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3072);
// compiled member node returning call3073 (depth = 5)
  gc_frame_newslot(call3073);
// starting to compile block node (depth = 5)
  Object block3074 = alloc_Block(NULL, NULL, "ast", 685);
  gc_frame_newslot(block3074);
// method "_apply(_)"
  block_savedest(block3074);
  Object closure3075 = createclosure(3, "_apply(1)");
  setclosureframe(closure3075, stackframe);
  addtoclosure(closure3075, var_visitor);
  addtoclosure(closure3075, var_newChain);
  addtoclosure(closure3075, selfslot);
  struct UserObject *uo3075 = (struct UserObject*)block3074;
  uo3075->data[0] = (Object)closure3075;
  Method *meth_meth_ast__apply_40_1_41_3075 = addmethod2pos(block3074, "_apply(1)", &meth_ast__apply_40_1_41_3075, 0);
  int argcv_meth_ast__apply_40_1_41_3075[] = {1};
  meth_meth_ast__apply_40_1_41_3075->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3075);
  meth_meth_ast__apply_40_1_41_3075->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3075->definitionLine = 2947;
// compiled block node returning block3074 (depth = 5)
  gc_frame_newslot(block3074);
// call case 5: prelude request
  params[0] = call3073;
  params[1] = block3074;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3079 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3071);
// compiled call node returning call3079 (depth = 4)
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3080 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3081 = gc_frame_new();
// call case 4: self request
  Object call3082 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3081);
// compiled member node returning call3082 (depth = 5)
  gc_frame_newslot(call3082);
// starting to compile block node (depth = 5)
  Object block3083 = alloc_Block(NULL, NULL, "ast", 688);
  gc_frame_newslot(block3083);
// method "_apply(_)"
  block_savedest(block3083);
  Object closure3084 = createclosure(3, "_apply(1)");
  setclosureframe(closure3084, stackframe);
  addtoclosure(closure3084, var_visitor);
  addtoclosure(closure3084, var_newChain);
  addtoclosure(closure3084, selfslot);
  struct UserObject *uo3084 = (struct UserObject*)block3083;
  uo3084->data[0] = (Object)closure3084;
  Method *meth_meth_ast__apply_40_1_41_3084 = addmethod2pos(block3083, "_apply(1)", &meth_ast__apply_40_1_41_3084, 0);
  int argcv_meth_ast__apply_40_1_41_3084[] = {1};
  meth_meth_ast__apply_40_1_41_3084->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3084);
  meth_meth_ast__apply_40_1_41_3084->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3084->definitionLine = 2947;
// compiled block node returning block3083 (depth = 5)
  gc_frame_newslot(block3083);
// call case 5: prelude request
  params[0] = call3082;
  params[1] = block3083;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3088 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3080);
// compiled call node returning call3088 (depth = 4)
    gc_frame_newslot(call3088);
    if3066 = call3088;
  } else {
  }
// compiled if node returning if3066 (depth = 3)
  gc_frame_end(frame);
  return if3066;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_3089(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3090 = gc_frame_new();
// call case 4: self request
  Object call3091 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3090);
// compiled member node returning call3091 (depth = 4)
  *var_n = call3091;
  if (call3091 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3092 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3093 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3092);
// compiled call node returning call3093 (depth = 4)
  *var_newChain = call3093;
  if (call3093 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3094 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3095 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3096 = gc_frame_new();
// call case 4: self request
  Object call3097 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3096);
// compiled member node returning call3097 (depth = 5)
  gc_frame_newslot(call3097);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3098 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3099 = gc_frame_new();
// call case 3: self.outer request
  Object call3100 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3099);
// compiled member node returning call3100 (depth = 6)
  Object call3101 = callmethodflags(call3100, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3098);
// compiled member node returning call3101 (depth = 5)
  params[0] = call3097;
  params[1] = *var_blk;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3102 = callmethodflags(call3101, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3095);
// compiled call node returning call3102 (depth = 4)
  gc_frame_newslot(call3102);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3102;
  partcv[0] = 1;
  Object call3103 = callmethodflags(*var_n, "methods:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3094);
// compiled call node returning call3103 (depth = 3)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3104 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3105 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3106 = gc_frame_new();
// call case 4: self request
  Object call3107 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3106);
// compiled member node returning call3107 (depth = 5)
  gc_frame_newslot(call3107);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3108 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3109 = gc_frame_new();
// call case 3: self.outer request
  Object call3110 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3109);
// compiled member node returning call3110 (depth = 6)
  Object call3111 = callmethodflags(call3110, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3108);
// compiled member node returning call3111 (depth = 5)
  params[0] = call3107;
  params[1] = *var_blk;
  params[2] = *var_as;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3112 = callmethodflags(call3111, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3105);
// compiled call node returning call3112 (depth = 4)
  gc_frame_newslot(call3112);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3112;
  partcv[0] = 1;
  Object call3113 = callmethodflags(*var_n, "types:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3104);
// compiled call node returning call3113 (depth = 3)
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3114 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call3115 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3114);
// compiled call node returning call3115 (depth = 3)
  gc_frame_end(frame);
  return call3115;
}
Object meth_ast__apply_40_1_41_3124(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3126 == NULL) {
    strlit3126 = alloc_String("  ");
    gc_root(strlit3126);
  }
// compiled string node returning strlit3126 (depth = 7)
  int op_slot_right_3125 = gc_frame_newslot(strlit3126);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_3125 = gc_frame_newslot(*var_spc);
  params[0] = strlit3126;
  partcv[0] = 1;
  Object opresult3128 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3128 (depth = 6)
  *var_spc = opresult3128;
  if (opresult3128 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_3154(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3156 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3158 = alloc_Float64(2);
// compiled num node returning num3158 (depth = 9)
  int op_slot_right_3157 = gc_frame_newslot(num3158);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3157 = gc_frame_newslot(*var_depth);
  params[0] = num3158;
  partcv[0] = 1;
  Object sum3160 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3160 (depth = 8)
  gc_frame_newslot(sum3160);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3160;
  partcv[0] = 1;
  Object call3161 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3156);
// compiled call node returning call3161 (depth = 7)
  int op_slot_right_3155 = gc_frame_newslot(call3161);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3163 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3166 == NULL) {
    strlit3166 = alloc_String("""\x0a""  ");
    gc_root(strlit3166);
  }
// compiled string node returning strlit3166 (depth = 9)
  int op_slot_right_3165 = gc_frame_newslot(strlit3166);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_3165 = gc_frame_newslot(*var_s);
  params[0] = strlit3166;
  partcv[0] = 1;
  Object opresult3168 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3168 (depth = 8)
  int op_slot_left_3163 = gc_frame_newslot(opresult3168);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3169 = callmethod(opresult3168, "++(1)", 1, partcv, params);
// compiled op node returning opresult3169 (depth = 7)
  int op_slot_left_3155 = gc_frame_newslot(opresult3169);
  params[0] = call3161;
  partcv[0] = 1;
  Object opresult3170 = callmethod(opresult3169, "++(1)", 1, partcv, params);
// compiled op node returning opresult3170 (depth = 6)
  *var_s = opresult3170;
  if (opresult3170 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_3190(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3192 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3194 = alloc_Float64(2);
// compiled num node returning num3194 (depth = 9)
  int op_slot_right_3193 = gc_frame_newslot(num3194);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3193 = gc_frame_newslot(*var_depth);
  params[0] = num3194;
  partcv[0] = 1;
  Object sum3196 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3196 (depth = 8)
  gc_frame_newslot(sum3196);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3196;
  partcv[0] = 1;
  Object call3197 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3192);
// compiled call node returning call3197 (depth = 7)
  int op_slot_right_3191 = gc_frame_newslot(call3197);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_3199 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3202 == NULL) {
    strlit3202 = alloc_String("""\x0a""  ");
    gc_root(strlit3202);
  }
// compiled string node returning strlit3202 (depth = 9)
  int op_slot_right_3201 = gc_frame_newslot(strlit3202);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_3201 = gc_frame_newslot(*var_s);
  params[0] = strlit3202;
  partcv[0] = 1;
  Object opresult3204 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3204 (depth = 8)
  int op_slot_left_3199 = gc_frame_newslot(opresult3204);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3205 = callmethod(opresult3204, "++(1)", 1, partcv, params);
// compiled op node returning opresult3205 (depth = 7)
  int op_slot_left_3191 = gc_frame_newslot(opresult3205);
  params[0] = call3197;
  partcv[0] = 1;
  Object opresult3206 = callmethod(opresult3205, "++(1)", 1, partcv, params);
// compiled op node returning opresult3206 (depth = 6)
  *var_s = opresult3206;
  if (opresult3206 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_3116(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3117 == NULL) {
    strlit3117 = alloc_String("");
    gc_root(strlit3117);
  }
// compiled string node returning strlit3117 (depth = 4)
  *var_spc = strlit3117;
  if (strlit3117 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3118 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_3119 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num3121 = alloc_Float64(0);
// compiled num node returning num3121 (depth = 5)
  int op_slot_left_3119 = gc_frame_newslot(num3121);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult3122 = callmethod(num3121, "..(1)", 1, partcv, params);
// compiled op node returning opresult3122 (depth = 4)
  gc_frame_newslot(opresult3122);
// starting to compile block node (depth = 4)
  Object block3123 = alloc_Block(NULL, NULL, "ast", 702);
  gc_frame_newslot(block3123);
// method "_apply(_)"
  block_savedest(block3123);
  Object closure3124 = createclosure(2, "_apply(1)");
  setclosureframe(closure3124, stackframe);
  addtoclosure(closure3124, var_spc);
  addtoclosure(closure3124, selfslot);
  struct UserObject *uo3124 = (struct UserObject*)block3123;
  uo3124->data[0] = (Object)closure3124;
  Method *meth_meth_ast__apply_40_1_41_3124 = addmethod2pos(block3123, "_apply(1)", &meth_ast__apply_40_1_41_3124, 0);
  int argcv_meth_ast__apply_40_1_41_3124[] = {1};
  meth_meth_ast__apply_40_1_41_3124->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3124);
  meth_meth_ast__apply_40_1_41_3124->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3124->definitionLine = 2947;
// compiled block node returning block3123 (depth = 4)
  gc_frame_newslot(block3123);
// call case 5: prelude request
  params[0] = opresult3122;
  params[1] = block3123;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3131 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3118);
// compiled call node returning call3131 (depth = 3)
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3133 == NULL) {
    strlit3133 = alloc_String("""\x0a""");
    gc_root(strlit3133);
  }
// compiled string node returning strlit3133 (depth = 5)
  int op_slot_right_3132 = gc_frame_newslot(strlit3133);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3136 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3137 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe3136);
// compiled call node returning call3137 (depth = 6)
  int op_slot_right_3135 = gc_frame_newslot(call3137);
// starting to compile string node (depth = 6)
  if (strlit3139 == NULL) {
    strlit3139 = alloc_String("");
    gc_root(strlit3139);
  }
// compiled string node returning strlit3139 (depth = 6)
  int op_slot_left_3135 = gc_frame_newslot(strlit3139);
  params[0] = call3137;
  partcv[0] = 1;
  Object opresult3140 = callmethod(strlit3139, "++(1)", 1, partcv, params);
// compiled op node returning opresult3140 (depth = 5)
  int op_slot_left_3132 = gc_frame_newslot(opresult3140);
  params[0] = strlit3133;
  partcv[0] = 1;
  Object opresult3141 = callmethod(opresult3140, "++(1)", 1, partcv, params);
// compiled op node returning opresult3141 (depth = 4)
  *var_s = opresult3141;
  if (opresult3141 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 706
  setline(706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3143 == NULL) {
    strlit3143 = alloc_String("Types:");
    gc_root(strlit3143);
  }
// compiled string node returning strlit3143 (depth = 5)
  int op_slot_right_3142 = gc_frame_newslot(strlit3143);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3145 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3145 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3147 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3147 (depth = 5)
  int op_slot_left_3142 = gc_frame_newslot(opresult3147);
  params[0] = strlit3143;
  partcv[0] = 1;
  Object opresult3148 = callmethod(opresult3147, "++(1)", 1, partcv, params);
// compiled op node returning opresult3148 (depth = 4)
  *var_s = opresult3148;
  if (opresult3148 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3150 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3151 = gc_frame_new();
// call case 4: self request
  Object call3152 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3151);
// compiled member node returning call3152 (depth = 4)
  gc_frame_newslot(call3152);
// starting to compile block node (depth = 4)
  Object block3153 = alloc_Block(NULL, NULL, "ast", 707);
  gc_frame_newslot(block3153);
// method "_apply(_)"
  block_savedest(block3153);
  Object closure3154 = createclosure(4, "_apply(1)");
  setclosureframe(closure3154, stackframe);
  addtoclosure(closure3154, var_depth);
  addtoclosure(closure3154, var_spc);
  addtoclosure(closure3154, var_s);
  addtoclosure(closure3154, selfslot);
  struct UserObject *uo3154 = (struct UserObject*)block3153;
  uo3154->data[0] = (Object)closure3154;
  Method *meth_meth_ast__apply_40_1_41_3154 = addmethod2pos(block3153, "_apply(1)", &meth_ast__apply_40_1_41_3154, 0);
  int argcv_meth_ast__apply_40_1_41_3154[] = {1};
  meth_meth_ast__apply_40_1_41_3154->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3154);
  meth_meth_ast__apply_40_1_41_3154->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3154->definitionLine = 2947;
// compiled block node returning block3153 (depth = 4)
  gc_frame_newslot(block3153);
// call case 5: prelude request
  params[0] = call3152;
  params[1] = block3153;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3173 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3150);
// compiled call node returning call3173 (depth = 3)
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3175 == NULL) {
    strlit3175 = alloc_String("Methods:");
    gc_root(strlit3175);
  }
// compiled string node returning strlit3175 (depth = 5)
  int op_slot_right_3174 = gc_frame_newslot(strlit3175);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3177 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3180 == NULL) {
    strlit3180 = alloc_String("""\x0a""");
    gc_root(strlit3180);
  }
// compiled string node returning strlit3180 (depth = 7)
  int op_slot_right_3179 = gc_frame_newslot(strlit3180);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3179 = gc_frame_newslot(*var_s);
  params[0] = strlit3180;
  partcv[0] = 1;
  Object opresult3182 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3182 (depth = 6)
  int op_slot_left_3177 = gc_frame_newslot(opresult3182);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3183 = callmethod(opresult3182, "++(1)", 1, partcv, params);
// compiled op node returning opresult3183 (depth = 5)
  int op_slot_left_3174 = gc_frame_newslot(opresult3183);
  params[0] = strlit3175;
  partcv[0] = 1;
  Object opresult3184 = callmethod(opresult3183, "++(1)", 1, partcv, params);
// compiled op node returning opresult3184 (depth = 4)
  *var_s = opresult3184;
  if (opresult3184 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3186 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3187 = gc_frame_new();
// call case 4: self request
  Object call3188 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3187);
// compiled member node returning call3188 (depth = 4)
  gc_frame_newslot(call3188);
// starting to compile block node (depth = 4)
  Object block3189 = alloc_Block(NULL, NULL, "ast", 711);
  gc_frame_newslot(block3189);
// method "_apply(_)"
  block_savedest(block3189);
  Object closure3190 = createclosure(4, "_apply(1)");
  setclosureframe(closure3190, stackframe);
  addtoclosure(closure3190, var_depth);
  addtoclosure(closure3190, var_spc);
  addtoclosure(closure3190, var_s);
  addtoclosure(closure3190, selfslot);
  struct UserObject *uo3190 = (struct UserObject*)block3189;
  uo3190->data[0] = (Object)closure3190;
  Method *meth_meth_ast__apply_40_1_41_3190 = addmethod2pos(block3189, "_apply(1)", &meth_ast__apply_40_1_41_3190, 0);
  int argcv_meth_ast__apply_40_1_41_3190[] = {1};
  meth_meth_ast__apply_40_1_41_3190->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3190);
  meth_meth_ast__apply_40_1_41_3190->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3190->definitionLine = 2947;
// compiled block node returning block3189 (depth = 4)
  gc_frame_newslot(block3189);
// call case 5: prelude request
  params[0] = call3188;
  params[1] = block3189;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3209 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3186);
// compiled call node returning call3209 (depth = 3)
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3211 == NULL) {
    strlit3211 = alloc_String("""\x0a""");
    gc_root(strlit3211);
  }
// compiled string node returning strlit3211 (depth = 5)
  int op_slot_right_3210 = gc_frame_newslot(strlit3211);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3210 = gc_frame_newslot(*var_s);
  params[0] = strlit3211;
  partcv[0] = 1;
  Object opresult3213 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3213 (depth = 4)
  *var_s = opresult3213;
  if (opresult3213 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_3227(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3229 == NULL) {
    strlit3229 = alloc_String("    ");
    gc_root(strlit3229);
  }
// compiled string node returning strlit3229 (depth = 7)
  int op_slot_right_3228 = gc_frame_newslot(strlit3229);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_3228 = gc_frame_newslot(*var_spc);
  params[0] = strlit3229;
  partcv[0] = 1;
  Object opresult3231 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3231 (depth = 6)
  *var_spc = opresult3231;
  if (opresult3231 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_3245(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3247 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3249 = alloc_Float64(1);
// compiled num node returning num3249 (depth = 9)
  int op_slot_right_3248 = gc_frame_newslot(num3249);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3248 = gc_frame_newslot(*var_depth);
  params[0] = num3249;
  partcv[0] = 1;
  Object sum3251 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3251 (depth = 8)
  gc_frame_newslot(sum3251);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3251;
  partcv[0] = 1;
  Object call3252 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3247);
// compiled call node returning call3252 (depth = 7)
  int op_slot_right_3246 = gc_frame_newslot(call3252);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3255 == NULL) {
    strlit3255 = alloc_String("    ");
    gc_root(strlit3255);
  }
// compiled string node returning strlit3255 (depth = 8)
  int op_slot_right_3254 = gc_frame_newslot(strlit3255);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3257 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3260 == NULL) {
    strlit3260 = alloc_String("""\x0a""");
    gc_root(strlit3260);
  }
// compiled string node returning strlit3260 (depth = 10)
  int op_slot_right_3259 = gc_frame_newslot(strlit3260);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3259 = gc_frame_newslot(*var_s);
  params[0] = strlit3260;
  partcv[0] = 1;
  Object opresult3262 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3262 (depth = 9)
  int op_slot_left_3257 = gc_frame_newslot(opresult3262);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3263 = callmethod(opresult3262, "++(1)", 1, partcv, params);
// compiled op node returning opresult3263 (depth = 8)
  int op_slot_left_3254 = gc_frame_newslot(opresult3263);
  params[0] = strlit3255;
  partcv[0] = 1;
  Object opresult3264 = callmethod(opresult3263, "++(1)", 1, partcv, params);
// compiled op node returning opresult3264 (depth = 7)
  int op_slot_left_3246 = gc_frame_newslot(opresult3264);
  params[0] = call3252;
  partcv[0] = 1;
  Object opresult3265 = callmethod(opresult3264, "++(1)", 1, partcv, params);
// compiled op node returning opresult3265 (depth = 6)
  *var_s = opresult3265;
  if (opresult3265 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_3273(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3275 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3277 = alloc_Float64(1);
// compiled num node returning num3277 (depth = 9)
  int op_slot_right_3276 = gc_frame_newslot(num3277);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3276 = gc_frame_newslot(*var_depth);
  params[0] = num3277;
  partcv[0] = 1;
  Object sum3279 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3279 (depth = 8)
  gc_frame_newslot(sum3279);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum3279;
  partcv[0] = 1;
  Object call3280 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3275);
// compiled call node returning call3280 (depth = 7)
  int op_slot_right_3274 = gc_frame_newslot(call3280);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3283 == NULL) {
    strlit3283 = alloc_String("    ");
    gc_root(strlit3283);
  }
// compiled string node returning strlit3283 (depth = 8)
  int op_slot_right_3282 = gc_frame_newslot(strlit3283);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3285 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3288 == NULL) {
    strlit3288 = alloc_String("""\x0a""");
    gc_root(strlit3288);
  }
// compiled string node returning strlit3288 (depth = 10)
  int op_slot_right_3287 = gc_frame_newslot(strlit3288);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_3287 = gc_frame_newslot(*var_s);
  params[0] = strlit3288;
  partcv[0] = 1;
  Object opresult3290 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3290 (depth = 9)
  int op_slot_left_3285 = gc_frame_newslot(opresult3290);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3291 = callmethod(opresult3290, "++(1)", 1, partcv, params);
// compiled op node returning opresult3291 (depth = 8)
  int op_slot_left_3282 = gc_frame_newslot(opresult3291);
  params[0] = strlit3283;
  partcv[0] = 1;
  Object opresult3292 = callmethod(opresult3291, "++(1)", 1, partcv, params);
// compiled op node returning opresult3292 (depth = 7)
  int op_slot_left_3274 = gc_frame_newslot(opresult3292);
  params[0] = call3280;
  partcv[0] = 1;
  Object opresult3293 = callmethod(opresult3292, "++(1)", 1, partcv, params);
// compiled op node returning opresult3293 (depth = 6)
  *var_s = opresult3293;
  if (opresult3293 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_3215(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3216 == NULL) {
    strlit3216 = alloc_String("");
    gc_root(strlit3216);
  }
// compiled string node returning strlit3216 (depth = 4)
  *var_spc = strlit3216;
  if (strlit3216 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3217 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3220 = alloc_Float64(1);
// compiled num node returning num3220 (depth = 6)
  int op_slot_right_3219 = gc_frame_newslot(num3220);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3219 = gc_frame_newslot(*var_depth);
  params[0] = num3220;
  partcv[0] = 1;
  Object diff3222 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff3222 (depth = 5)
  int op_slot_right_3218 = gc_frame_newslot(diff3222);
// starting to compile num node (depth = 5)
  Object num3224 = alloc_Float64(0);
// compiled num node returning num3224 (depth = 5)
  int op_slot_left_3218 = gc_frame_newslot(num3224);
  params[0] = diff3222;
  partcv[0] = 1;
  Object opresult3225 = callmethod(num3224, "..(1)", 1, partcv, params);
// compiled op node returning opresult3225 (depth = 4)
  gc_frame_newslot(opresult3225);
// starting to compile block node (depth = 4)
  Object block3226 = alloc_Block(NULL, NULL, "ast", 719);
  gc_frame_newslot(block3226);
// method "_apply(_)"
  block_savedest(block3226);
  Object closure3227 = createclosure(2, "_apply(1)");
  setclosureframe(closure3227, stackframe);
  addtoclosure(closure3227, var_spc);
  addtoclosure(closure3227, selfslot);
  struct UserObject *uo3227 = (struct UserObject*)block3226;
  uo3227->data[0] = (Object)closure3227;
  Method *meth_meth_ast__apply_40_1_41_3227 = addmethod2pos(block3226, "_apply(1)", &meth_ast__apply_40_1_41_3227, 0);
  int argcv_meth_ast__apply_40_1_41_3227[] = {1};
  meth_meth_ast__apply_40_1_41_3227->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3227);
  meth_meth_ast__apply_40_1_41_3227->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3227->definitionLine = 2947;
// compiled block node returning block3226 (depth = 4)
  gc_frame_newslot(block3226);
// call case 5: prelude request
  params[0] = opresult3225;
  params[1] = block3226;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3234 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3217);
// compiled call node returning call3234 (depth = 3)
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3235 == NULL) {
    strlit3235 = alloc_String("type");
    gc_root(strlit3235);
  }
// compiled string node returning strlit3235 (depth = 4)
  *var_s = strlit3235;
  if (strlit3235 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3237 == NULL) {
    strlit3237 = alloc_String(" = {");
    gc_root(strlit3237);
  }
// compiled string node returning strlit3237 (depth = 5)
  int op_slot_right_3236 = gc_frame_newslot(strlit3237);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3236 = gc_frame_newslot(*var_s);
  params[0] = strlit3237;
  partcv[0] = 1;
  Object opresult3239 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3239 (depth = 4)
  *var_s = opresult3239;
  if (opresult3239 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3241 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3242 = gc_frame_new();
// call case 4: self request
  Object call3243 = callmethodflags(self, "methods", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3242);
// compiled member node returning call3243 (depth = 4)
  gc_frame_newslot(call3243);
// starting to compile block node (depth = 4)
  Object block3244 = alloc_Block(NULL, NULL, "ast", 724);
  gc_frame_newslot(block3244);
// method "_apply(_)"
  block_savedest(block3244);
  Object closure3245 = createclosure(4, "_apply(1)");
  setclosureframe(closure3245, stackframe);
  addtoclosure(closure3245, var_depth);
  addtoclosure(closure3245, var_spc);
  addtoclosure(closure3245, var_s);
  addtoclosure(closure3245, selfslot);
  struct UserObject *uo3245 = (struct UserObject*)block3244;
  uo3245->data[0] = (Object)closure3245;
  Method *meth_meth_ast__apply_40_1_41_3245 = addmethod2pos(block3244, "_apply(1)", &meth_ast__apply_40_1_41_3245, 0);
  int argcv_meth_ast__apply_40_1_41_3245[] = {1};
  meth_meth_ast__apply_40_1_41_3245->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3245);
  meth_meth_ast__apply_40_1_41_3245->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3245->definitionLine = 2947;
// compiled block node returning block3244 (depth = 4)
  gc_frame_newslot(block3244);
// call case 5: prelude request
  params[0] = call3243;
  params[1] = block3244;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3268 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3241);
// compiled call node returning call3268 (depth = 3)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3269 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3270 = gc_frame_new();
// call case 4: self request
  Object call3271 = callmethodflags(self, "types", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3270);
// compiled member node returning call3271 (depth = 4)
  gc_frame_newslot(call3271);
// starting to compile block node (depth = 4)
  Object block3272 = alloc_Block(NULL, NULL, "ast", 727);
  gc_frame_newslot(block3272);
// method "_apply(_)"
  block_savedest(block3272);
  Object closure3273 = createclosure(4, "_apply(1)");
  setclosureframe(closure3273, stackframe);
  addtoclosure(closure3273, var_depth);
  addtoclosure(closure3273, var_spc);
  addtoclosure(closure3273, var_s);
  addtoclosure(closure3273, selfslot);
  struct UserObject *uo3273 = (struct UserObject*)block3272;
  uo3273->data[0] = (Object)closure3273;
  Method *meth_meth_ast__apply_40_1_41_3273 = addmethod2pos(block3272, "_apply(1)", &meth_ast__apply_40_1_41_3273, 0);
  int argcv_meth_ast__apply_40_1_41_3273[] = {1};
  meth_meth_ast__apply_40_1_41_3273->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3273);
  meth_meth_ast__apply_40_1_41_3273->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3273->definitionLine = 2947;
// compiled block node returning block3272 (depth = 4)
  gc_frame_newslot(block3272);
// call case 5: prelude request
  params[0] = call3271;
  params[1] = block3272;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3296 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3269);
// compiled call node returning call3296 (depth = 3)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3298 == NULL) {
    strlit3298 = alloc_String("}");
    gc_root(strlit3298);
  }
// compiled string node returning strlit3298 (depth = 4)
  int op_slot_right_3297 = gc_frame_newslot(strlit3298);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_3297 = gc_frame_newslot(*var_s);
  params[0] = strlit3298;
  partcv[0] = 1;
  Object opresult3300 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3300 (depth = 3)
  gc_frame_end(frame);
  return opresult3300;
}
Object meth_ast_shallowCopy3301(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeLiteralNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3302 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3303 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeLiteralNode (depth = 5)
  params[0] = *var_emptySeq;
  params[1] = *var_emptySeq;
  partcv[0] = 2;
  Object call3304 = callmethodflags(*var_typeLiteralNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3303);
// compiled call node returning call3304 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3305 = callmethodflags(call3304, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3302);
// compiled call node returning call3305 (depth = 3)
  gc_frame_end(frame);
  return call3305;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_3306(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3307 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call3308 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe3307);
// compiled call node returning call3308 (depth = 3)
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3309 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3310 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3311 = callmethodflags(*var_other, "nominal", 0, partcv, params, 0);
  gc_frame_end(callframe3310);
// compiled member node returning call3311 (depth = 4)
  gc_frame_newslot(call3311);
// call case 4: self request
  params[0] = call3311;
  partcv[0] = 1;
  Object call3312 = callmethodflags(self, "nominal:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3309);
// compiled call node returning call3312 (depth = 3)
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3313 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3314 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3315 = callmethodflags(*var_other, "anonymous", 0, partcv, params, 0);
  gc_frame_end(callframe3314);
// compiled member node returning call3315 (depth = 4)
  gc_frame_newslot(call3315);
// call case 4: self request
  params[0] = call3315;
  partcv[0] = 1;
  Object call3316 = callmethodflags(self, "anonymous:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3313);
// compiled call node returning call3316 (depth = 3)
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3317 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe3318 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call3319 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3318);
// compiled member node returning call3319 (depth = 4)
  gc_frame_newslot(call3319);
// call case 4: self request
  params[0] = call3319;
  partcv[0] = 1;
  Object call3320 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3317);
// compiled call node returning call3320 (depth = 3)
// Begin line 740
  setline(740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_2_41_3022(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeLiteralNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3023 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3023 = alloc_userobj2(22,18, objclass3023);
  gc_frame_newslot(obj3023);
if (objclass3023 == NULL) {
  glfree(obj3023->class->name);
  obj3023->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3023, self, 0);
  addmethodreal(obj3023,"outer", &reader_ast_outer_3024);
  Object oldself3023 = self;
  struct StackFrameObject *oldstackframe3023 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3023);
  gc_frame_newslot((Object)stackframe);
  self = obj3023;
  Object *oldselfslot3023 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3023 = (*(struct UserObject *)self).data[0], lowerouter3023 = thisouter3023;
  if (inheritingObject3023) {
    struct UserObject *inho3023 = (struct UserObject *)inheritingObject3023;
    while (inho3023->super != GraceDefaultObject) inho3023 = (struct UserObject *)inho3023->super;
    inho3023->super = obj3023;
    self = inheritingObject3023;
    *selfslot = self;
    lowerouter3023 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3023;
  }
if (objclass3023 == NULL) {
  Method *reader3025 = addmethodrealflags(obj3023, "kind",&reader_ast_kind_3025, MFLAG_DEF);
  reader3025->definitionModule = modulename;
  reader3025->definitionLine = 664;
}
adddatum2(obj3023, alloc_Undefined(), 1);
if (objclass3023 == NULL) {
  Method *reader3026 = addmethodrealflags(obj3023, "methods", &reader_ast_methods_3026, 0);
  Method *writer3026 = addmethodrealflags(obj3023, "methods:=(1)", &writer_ast_methods_3026, 0);
  reader3026->definitionModule = modulename;
  writer3026->definitionModule = modulename;
  reader3026->definitionLine = 665;
  writer3026->definitionLine = 665;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 2);
if (objclass3023 == NULL) {
  Method *reader3027 = addmethodrealflags(obj3023, "types", &reader_ast_types_3027, 0);
  Method *writer3027 = addmethodrealflags(obj3023, "types:=(1)", &writer_ast_types_3027, 0);
  reader3027->definitionModule = modulename;
  writer3027->definitionModule = modulename;
  reader3027->definitionLine = 666;
  writer3027->definitionLine = 666;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 3);
if (objclass3023 == NULL) {
  Method *reader3028 = addmethodrealflags(obj3023, "nominal", &reader_ast_nominal_3028, 0);
  Method *writer3028 = addmethodrealflags(obj3023, "nominal:=(1)", &writer_ast_nominal_3028, 0);
  reader3028->definitionModule = modulename;
  writer3028->definitionModule = modulename;
  reader3028->definitionLine = 667;
  writer3028->definitionLine = 667;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 4);
if (objclass3023 == NULL) {
  Method *reader3029 = addmethodrealflags(obj3023, "anonymous", &reader_ast_anonymous_3029, 0);
  Method *writer3029 = addmethodrealflags(obj3023, "anonymous:=(1)", &writer_ast_anonymous_3029, 0);
  reader3029->definitionModule = modulename;
  writer3029->definitionModule = modulename;
  reader3029->definitionLine = 668;
  writer3029->definitionLine = 668;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 5);
if (objclass3023 == NULL) {
  Method *reader3030 = addmethodrealflags(obj3023, "value", &reader_ast_value_3030, 0);
  Method *writer3030 = addmethodrealflags(obj3023, "value:=(1)", &writer_ast_value_3030, 0);
  reader3030->definitionModule = modulename;
  writer3030->definitionModule = modulename;
  reader3030->definitionLine = 669;
  writer3030->definitionLine = 669;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 6);
// method "name"
  struct UserObject *uo3031 = (struct UserObject*)obj3023;
  uo3031->data[7] = emptyclosure;
  Method *meth_meth_ast_name3031 = addmethod2pos(obj3023, "name", &meth_ast_name3031, 7);
  int argcv_meth_ast_name3031[] = {0};
  meth_meth_ast_name3031->type = alloc_MethodType(1, argcv_meth_ast_name3031);
  meth_meth_ast_name3031->definitionModule = modulename;
  meth_meth_ast_name3031->definitionLine = 671;
// method "name:=(_)"
  struct UserObject *uo3034 = (struct UserObject*)obj3023;
  uo3034->data[8] = emptyclosure;
  Method *meth_meth_ast_name_58__61__40_1_41_3034 = addmethod2pos(obj3023, "name:=(1)", &meth_ast_name_58__61__40_1_41_3034, 8);
  int argcv_meth_ast_name_58__61__40_1_41_3034[] = {1};
  meth_meth_ast_name_58__61__40_1_41_3034->type = alloc_MethodType(1, argcv_meth_ast_name_58__61__40_1_41_3034);
  meth_meth_ast_name_58__61__40_1_41_3034->definitionModule = modulename;
  meth_meth_ast_name_58__61__40_1_41_3034->definitionLine = 672;
// method "asString"
  struct UserObject *uo3040 = (struct UserObject*)obj3023;
  uo3040->data[9] = emptyclosure;
  Method *meth_meth_ast_asString3040 = addmethod2pos(obj3023, "asString", &meth_ast_asString3040, 9);
  int argcv_meth_ast_asString3040[] = {0};
  meth_meth_ast_asString3040->type = alloc_MethodType(1, argcv_meth_ast_asString3040);
  meth_meth_ast_asString3040->definitionModule = modulename;
  meth_meth_ast_asString3040->definitionLine = 676;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3023);
  Object closure3060 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3060, stackframe);
  addtoclosure(closure3060, var_k);
  struct UserObject *uo3060 = (struct UserObject*)obj3023;
  uo3060->data[10] = (Object)closure3060;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3060 = addmethod2pos(obj3023, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3060, 10);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3060[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3060->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3060);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3060->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3060->definitionLine = 679;
// method "isExecutable"
  struct UserObject *uo3063 = (struct UserObject*)obj3023;
  uo3063->data[11] = emptyclosure;
  Method *meth_meth_ast_isExecutable3063 = addmethod2pos(obj3023, "isExecutable", &meth_ast_isExecutable3063, 11);
  int argcv_meth_ast_isExecutable3063[] = {0};
  meth_meth_ast_isExecutable3063->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3063);
  meth_meth_ast_isExecutable3063->definitionModule = modulename;
  meth_meth_ast_isExecutable3063->definitionLine = 680;
// method "accept(_)from(_)"
  struct UserObject *uo3065 = (struct UserObject*)obj3023;
  uo3065->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3065 = addmethod2pos(obj3023, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3065, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3065[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3065->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3065);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3065->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3065->definitionLine = 682;
// method "map(_)ancestors(_)"
  struct UserObject *uo3089 = (struct UserObject*)obj3023;
  uo3089->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3089 = addmethod2pos(obj3023, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3089, 13);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3089[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3089->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3089);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3089->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3089->definitionLine = 693;
// method "pretty(_)"
  struct UserObject *uo3116 = (struct UserObject*)obj3023;
  uo3116->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_3116 = addmethod2pos(obj3023, "pretty(1)", &meth_ast_pretty_40_1_41_3116, 14);
  int argcv_meth_ast_pretty_40_1_41_3116[] = {1};
  meth_meth_ast_pretty_40_1_41_3116->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_3116);
  meth_meth_ast_pretty_40_1_41_3116->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_3116->definitionLine = 700;
// method "toGrace(_)"
  struct UserObject *uo3215 = (struct UserObject*)obj3023;
  uo3215->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_3215 = addmethod2pos(obj3023, "toGrace(1)", &meth_ast_toGrace_40_1_41_3215, 15);
  int argcv_meth_ast_toGrace_40_1_41_3215[] = {1};
  meth_meth_ast_toGrace_40_1_41_3215->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_3215);
meth_meth_ast_toGrace_40_1_41_3215->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_3215->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_3215->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_3215->definitionLine = 717;
// method "shallowCopy"
  block_savedest(obj3023);
  Object closure3301 = createclosure(2, "shallowCopy");
  setclosureframe(closure3301, stackframe);
  addtoclosure(closure3301, var_emptySeq);
  addtoclosure(closure3301, var_typeLiteralNode);
  struct UserObject *uo3301 = (struct UserObject*)obj3023;
  uo3301->data[16] = (Object)closure3301;
  Method *meth_meth_ast_shallowCopy3301 = addmethod2pos(obj3023, "shallowCopy", &meth_ast_shallowCopy3301, 16);
  int argcv_meth_ast_shallowCopy3301[] = {0};
  meth_meth_ast_shallowCopy3301->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3301);
  meth_meth_ast_shallowCopy3301->definitionModule = modulename;
  meth_meth_ast_shallowCopy3301->definitionLine = 732;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo3306 = (struct UserObject*)obj3023;
  uo3306->data[17] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_3306 = addmethod2pos(obj3023, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_3306, 17);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_3306[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_3306->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_3306);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_3306->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_3306->definitionLine = 735;
  sourceObject = obj3023;
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3321 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3322 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3323 = gc_frame_new();
// call case 3: self.outer request
  Object call3324 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3323);
// compiled member node returning call3324 (depth = 5)
  Object call3325 = callmethodflags(call3324, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3322);
// compiled member node returning call3325 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3326 = callmethodflags(call3325, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3321);
// compiled call node returning call3326 (depth = 3)
  struct UserObject *obj3023_uo = (struct UserObject *)obj3023;
  obj3023_uo->super = call3326;
  sourceObject = obj3023;
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3327 == NULL) {
    strlit3327 = alloc_String("typeliteral");
    gc_root(strlit3327);
  }
// compiled string node returning strlit3327 (depth = 3)
  adddatum2(obj3023, strlit3327, 1);
  sourceObject = obj3023;
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methods_39_ (depth = 3)
  adddatum2(obj3023, *var_methods_39_, 2);
  sourceObject = obj3023;
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_types_39_ (depth = 3)
  adddatum2(obj3023, *var_types_39_, 3);
  sourceObject = obj3023;
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3328 = alloc_Boolean(0);
// compiled identifier node returning bool3328 (depth = 3)
  adddatum2(obj3023, bool3328, 4);
  sourceObject = obj3023;
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3329 = alloc_Boolean(1);
// compiled identifier node returning bool3329 (depth = 3)
  adddatum2(obj3023, bool3329, 5);
  sourceObject = obj3023;
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3330 == NULL) {
    strlit3330 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit3330);
  }
// compiled string node returning strlit3330 (depth = 3)
  adddatum2(obj3023, strlit3330, 6);
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  objclass3023 = obj3023->class;
  objclass3023->definitionModule = modulename;
  objclass3023->definitionLine = 662;
  (*(struct UserObject *)self).data[0] = lowerouter3023;
  self = oldself3023;
  selfslot = oldselfslot3023;
  stackframe = oldstackframe3023;
  gc_frame_end(frame);
  return obj3023;
}
Object meth_ast_new_40_2_41_3022_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeLiteralNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methods_39_ = &(stackframe->slots[0]);
  *var_methods_39_ = args[curarg];
  curarg++;
  Object *var_types_39_ = &(stackframe->slots[1]);
  *var_types_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3023 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3023 = alloc_userobj2(22,18, objclass3023);
  gc_frame_newslot(obj3023);
if (objclass3023 == NULL) {
  glfree(obj3023->class->name);
  obj3023->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3023, self, 0);
  addmethodreal(obj3023,"outer", &reader_ast_outer_3024);
  Object oldself3023 = self;
  struct StackFrameObject *oldstackframe3023 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3023);
  gc_frame_newslot((Object)stackframe);
  self = obj3023;
  Object *oldselfslot3023 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3023 = (*(struct UserObject *)self).data[0], lowerouter3023 = thisouter3023;
  if (inheritingObject3023) {
    struct UserObject *inho3023 = (struct UserObject *)inheritingObject3023;
    while (inho3023->super != GraceDefaultObject) inho3023 = (struct UserObject *)inho3023->super;
    inho3023->super = obj3023;
    self = inheritingObject3023;
    *selfslot = self;
    lowerouter3023 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3023;
  }
if (objclass3023 == NULL) {
  Method *reader3025 = addmethodrealflags(obj3023, "kind",&reader_ast_kind_3025, MFLAG_DEF);
  reader3025->definitionModule = modulename;
  reader3025->definitionLine = 664;
}
adddatum2(obj3023, alloc_Undefined(), 1);
if (objclass3023 == NULL) {
  Method *reader3026 = addmethodrealflags(obj3023, "methods", &reader_ast_methods_3026, 0);
  Method *writer3026 = addmethodrealflags(obj3023, "methods:=(1)", &writer_ast_methods_3026, 0);
  reader3026->definitionModule = modulename;
  writer3026->definitionModule = modulename;
  reader3026->definitionLine = 665;
  writer3026->definitionLine = 665;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 2);
if (objclass3023 == NULL) {
  Method *reader3027 = addmethodrealflags(obj3023, "types", &reader_ast_types_3027, 0);
  Method *writer3027 = addmethodrealflags(obj3023, "types:=(1)", &writer_ast_types_3027, 0);
  reader3027->definitionModule = modulename;
  writer3027->definitionModule = modulename;
  reader3027->definitionLine = 666;
  writer3027->definitionLine = 666;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 3);
if (objclass3023 == NULL) {
  Method *reader3028 = addmethodrealflags(obj3023, "nominal", &reader_ast_nominal_3028, 0);
  Method *writer3028 = addmethodrealflags(obj3023, "nominal:=(1)", &writer_ast_nominal_3028, 0);
  reader3028->definitionModule = modulename;
  writer3028->definitionModule = modulename;
  reader3028->definitionLine = 667;
  writer3028->definitionLine = 667;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 4);
if (objclass3023 == NULL) {
  Method *reader3029 = addmethodrealflags(obj3023, "anonymous", &reader_ast_anonymous_3029, 0);
  Method *writer3029 = addmethodrealflags(obj3023, "anonymous:=(1)", &writer_ast_anonymous_3029, 0);
  reader3029->definitionModule = modulename;
  writer3029->definitionModule = modulename;
  reader3029->definitionLine = 668;
  writer3029->definitionLine = 668;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 5);
if (objclass3023 == NULL) {
  Method *reader3030 = addmethodrealflags(obj3023, "value", &reader_ast_value_3030, 0);
  Method *writer3030 = addmethodrealflags(obj3023, "value:=(1)", &writer_ast_value_3030, 0);
  reader3030->definitionModule = modulename;
  writer3030->definitionModule = modulename;
  reader3030->definitionLine = 669;
  writer3030->definitionLine = 669;
}
obj3023->flags |= OFLAG_MUTABLE;
adddatum2(obj3023, alloc_Undefined(), 6);
// method "name"
  struct UserObject *uo3031 = (struct UserObject*)obj3023;
  uo3031->data[7] = emptyclosure;
  Method *meth_meth_ast_name3031 = addmethod2pos(obj3023, "name", &meth_ast_name3031, 7);
  int argcv_meth_ast_name3031[] = {0};
  meth_meth_ast_name3031->type = alloc_MethodType(1, argcv_meth_ast_name3031);
  meth_meth_ast_name3031->definitionModule = modulename;
  meth_meth_ast_name3031->definitionLine = 671;
// method "name:=(_)"
  struct UserObject *uo3034 = (struct UserObject*)obj3023;
  uo3034->data[8] = emptyclosure;
  Method *meth_meth_ast_name_58__61__40_1_41_3034 = addmethod2pos(obj3023, "name:=(1)", &meth_ast_name_58__61__40_1_41_3034, 8);
  int argcv_meth_ast_name_58__61__40_1_41_3034[] = {1};
  meth_meth_ast_name_58__61__40_1_41_3034->type = alloc_MethodType(1, argcv_meth_ast_name_58__61__40_1_41_3034);
  meth_meth_ast_name_58__61__40_1_41_3034->definitionModule = modulename;
  meth_meth_ast_name_58__61__40_1_41_3034->definitionLine = 672;
// method "asString"
  struct UserObject *uo3040 = (struct UserObject*)obj3023;
  uo3040->data[9] = emptyclosure;
  Method *meth_meth_ast_asString3040 = addmethod2pos(obj3023, "asString", &meth_ast_asString3040, 9);
  int argcv_meth_ast_asString3040[] = {0};
  meth_meth_ast_asString3040->type = alloc_MethodType(1, argcv_meth_ast_asString3040);
  meth_meth_ast_asString3040->definitionModule = modulename;
  meth_meth_ast_asString3040->definitionLine = 676;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3023);
  Object closure3060 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3060, stackframe);
  addtoclosure(closure3060, var_k);
  struct UserObject *uo3060 = (struct UserObject*)obj3023;
  uo3060->data[10] = (Object)closure3060;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3060 = addmethod2pos(obj3023, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3060, 10);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3060[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3060->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3060);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3060->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3060->definitionLine = 679;
// method "isExecutable"
  struct UserObject *uo3063 = (struct UserObject*)obj3023;
  uo3063->data[11] = emptyclosure;
  Method *meth_meth_ast_isExecutable3063 = addmethod2pos(obj3023, "isExecutable", &meth_ast_isExecutable3063, 11);
  int argcv_meth_ast_isExecutable3063[] = {0};
  meth_meth_ast_isExecutable3063->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3063);
  meth_meth_ast_isExecutable3063->definitionModule = modulename;
  meth_meth_ast_isExecutable3063->definitionLine = 680;
// method "accept(_)from(_)"
  struct UserObject *uo3065 = (struct UserObject*)obj3023;
  uo3065->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3065 = addmethod2pos(obj3023, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3065, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3065[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3065->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3065);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3065->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3065->definitionLine = 682;
// method "map(_)ancestors(_)"
  struct UserObject *uo3089 = (struct UserObject*)obj3023;
  uo3089->data[13] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3089 = addmethod2pos(obj3023, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3089, 13);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3089[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3089->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3089);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3089->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3089->definitionLine = 693;
// method "pretty(_)"
  struct UserObject *uo3116 = (struct UserObject*)obj3023;
  uo3116->data[14] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_3116 = addmethod2pos(obj3023, "pretty(1)", &meth_ast_pretty_40_1_41_3116, 14);
  int argcv_meth_ast_pretty_40_1_41_3116[] = {1};
  meth_meth_ast_pretty_40_1_41_3116->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_3116);
  meth_meth_ast_pretty_40_1_41_3116->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_3116->definitionLine = 700;
// method "toGrace(_)"
  struct UserObject *uo3215 = (struct UserObject*)obj3023;
  uo3215->data[15] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_3215 = addmethod2pos(obj3023, "toGrace(1)", &meth_ast_toGrace_40_1_41_3215, 15);
  int argcv_meth_ast_toGrace_40_1_41_3215[] = {1};
  meth_meth_ast_toGrace_40_1_41_3215->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_3215);
meth_meth_ast_toGrace_40_1_41_3215->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_3215->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_3215->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_3215->definitionLine = 717;
// method "shallowCopy"
  block_savedest(obj3023);
  Object closure3301 = createclosure(2, "shallowCopy");
  setclosureframe(closure3301, stackframe);
  addtoclosure(closure3301, var_emptySeq);
  addtoclosure(closure3301, var_typeLiteralNode);
  struct UserObject *uo3301 = (struct UserObject*)obj3023;
  uo3301->data[16] = (Object)closure3301;
  Method *meth_meth_ast_shallowCopy3301 = addmethod2pos(obj3023, "shallowCopy", &meth_ast_shallowCopy3301, 16);
  int argcv_meth_ast_shallowCopy3301[] = {0};
  meth_meth_ast_shallowCopy3301->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3301);
  meth_meth_ast_shallowCopy3301->definitionModule = modulename;
  meth_meth_ast_shallowCopy3301->definitionLine = 732;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo3306 = (struct UserObject*)obj3023;
  uo3306->data[17] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_3306 = addmethod2pos(obj3023, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_3306, 17);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_3306[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_3306->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_3306);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_3306->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_3306->definitionLine = 735;
  sourceObject = obj3023;
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3321 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3322 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3323 = gc_frame_new();
// call case 3: self.outer request
  Object call3324 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3323);
// compiled member node returning call3324 (depth = 5)
  Object call3325 = callmethodflags(call3324, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3322);
// compiled member node returning call3325 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3326 = callmethodflags(call3325, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3321);
// compiled call node returning call3326 (depth = 3)
  struct UserObject *obj3023_uo = (struct UserObject *)obj3023;
  obj3023_uo->super = call3326;
  sourceObject = obj3023;
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3327 == NULL) {
    strlit3327 = alloc_String("typeliteral");
    gc_root(strlit3327);
  }
// compiled string node returning strlit3327 (depth = 3)
  adddatum2(obj3023, strlit3327, 1);
  sourceObject = obj3023;
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methods_39_ (depth = 3)
  adddatum2(obj3023, *var_methods_39_, 2);
  sourceObject = obj3023;
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_types_39_ (depth = 3)
  adddatum2(obj3023, *var_types_39_, 3);
  sourceObject = obj3023;
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3328 = alloc_Boolean(0);
// compiled identifier node returning bool3328 (depth = 3)
  adddatum2(obj3023, bool3328, 4);
  sourceObject = obj3023;
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3329 = alloc_Boolean(1);
// compiled identifier node returning bool3329 (depth = 3)
  adddatum2(obj3023, bool3329, 5);
  sourceObject = obj3023;
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3330 == NULL) {
    strlit3330 = alloc_String("""\xe2""""\x80""""\xb9""anon""\xe2""""\x80""""\xba""");
    gc_root(strlit3330);
  }
// compiled string node returning strlit3330 (depth = 3)
  adddatum2(obj3023, strlit3330, 6);
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  sourceObject = obj3023;
  objclass3023 = obj3023->class;
  objclass3023->definitionModule = modulename;
  objclass3023->definitionLine = 662;
  (*(struct UserObject *)self).data[0] = lowerouter3023;
  self = oldself3023;
  selfslot = oldselfslot3023;
  stackframe = oldstackframe3023;
  gc_frame_end(frame);
  return obj3023;
}
Object meth_ast_typeLiteralNode3332(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeLiteralNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeLiteralNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeLiteralNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeLiteralNode;
}
Object meth_ast_isLegalInTrait3344(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3345 = alloc_Boolean(1);
// compiled identifier node returning bool3345 (depth = 3)
  gc_frame_end(frame);
  return bool3345;
}
Object meth_ast_isTypeDec3346(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTypeDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3347 = alloc_Boolean(1);
// compiled identifier node returning bool3347 (depth = 3)
  gc_frame_end(frame);
  return bool3347;
}
Object meth_ast_scope_58__61__40_1_41_3348(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3349 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call3350 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3349);
// compiled call node returning call3350 (depth = 3)
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3351 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3352 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3351);
// compiled call node returning call3352 (depth = 3)
  gc_frame_end(frame);
  return call3352;
}
Object meth_ast_isExecutable3353(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3354 = alloc_Boolean(1);
// compiled identifier node returning bool3354 (depth = 3)
  gc_frame_end(frame);
  return bool3354;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_3355(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3356 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3357 = callmethodflags(*var_k, "typeparam", 0, partcv, params, 0);
  gc_frame_end(callframe3356);
// compiled member node returning call3357 (depth = 3)
  gc_frame_end(frame);
  return call3357;
}
Object meth_ast_isConfidential3358(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3361 = alloc_Float64(0);
// compiled num node returning num3361 (depth = 5)
  int op_slot_right_3360 = gc_frame_newslot(num3361);
// starting to compile member node (depth = 5)
  int callframe3363 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3364 = gc_frame_new();
// call case 4: self request
  Object call3365 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3364);
// compiled member node returning call3365 (depth = 6)
  Object call3366 = callmethodflags(call3365, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3363);
// compiled member node returning call3366 (depth = 5)
  int op_slot_left_3360 = gc_frame_newslot(call3366);
  params[0] = num3361;
  partcv[0] = 1;
  Object opresult3367 = callmethod(call3366, "==(1)", 1, partcv, params);
// compiled op node returning opresult3367 (depth = 4)
  Object if3359 = done;
  if (istrue(opresult3367)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool3368 = alloc_Boolean(0);
// compiled identifier node returning bool3368 (depth = 5)
  return bool3368;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3359 = undefined;
  } else {
  }
// compiled if node returning if3359 (depth = 3)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3369 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit3370 == NULL) {
    strlit3370 = alloc_String("confidential");
    gc_root(strlit3370);
  }
// compiled string node returning strlit3370 (depth = 4)
  gc_frame_newslot(strlit3370);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3371 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3372 = gc_frame_new();
// call case 3: self.outer request
  Object call3373 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3372);
// compiled member node returning call3373 (depth = 5)
  Object call3374 = callmethodflags(call3373, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3371);
// compiled member node returning call3374 (depth = 4)
  params[0] = self;
  params[1] = strlit3370;
  partcv[0] = 2;
  Object call3375 = callmethodflags(call3374, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3369);
// compiled call node returning call3375 (depth = 3)
  gc_frame_end(frame);
  return call3375;
}
Object meth_ast_isPublic3376(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3377 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3378 = gc_frame_new();
// call case 4: self request
  Object call3379 = callmethodflags(self, "isConfidential", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3378);
// compiled member node returning call3379 (depth = 4)
  Object call3380 = callmethodflags(call3379, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3377);
// compiled member node returning call3380 (depth = 3)
  gc_frame_end(frame);
  return call3380;
}
Object meth_ast_isWritable3381(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3382 = alloc_Boolean(0);
// compiled identifier node returning bool3382 (depth = 3)
  gc_frame_end(frame);
  return bool3382;
}
Object meth_ast_isReadable3383(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3384 = gc_frame_new();
// call case 4: self request
  Object call3385 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3384);
// compiled member node returning call3385 (depth = 3)
  gc_frame_end(frame);
  return call3385;
}
Object meth_ast__apply_40_1_41_3409(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe3410 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3411 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3410);
// compiled call node returning call3411 (depth = 6)
  gc_frame_end(frame);
  return call3411;
}
Object meth_ast_accept_40_1_41_from_40_1_41_3386(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3388 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3389 = callmethodflags(*var_visitor, "visitTypeDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3388);
// compiled call node returning call3389 (depth = 4)
  Object if3387 = done;
  if (istrue(call3389)) {
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3390 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3391 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3390);
// compiled call node returning call3391 (depth = 5)
  *var_newChain = call3391;
  if (call3391 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3392 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3393 = gc_frame_new();
// call case 4: self request
  Object call3394 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3393);
// compiled member node returning call3394 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3395 = callmethodflags(call3394, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3392);
// compiled call node returning call3395 (depth = 4)
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3398 = gc_frame_new();
// call case 4: self request
  Object call3399 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3398);
// compiled member node returning call3399 (depth = 6)
  int op_slot_right_3397 = gc_frame_newslot(call3399);
// starting to compile identifier node (depth = 6)
  Object bool3401 = alloc_Boolean(0);
// compiled identifier node returning bool3401 (depth = 6)
  int op_slot_left_3397 = gc_frame_newslot(bool3401);
  params[0] = call3399;
  partcv[0] = 1;
  Object opresult3402 = callmethod(bool3401, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3402 (depth = 5)
  Object if3396 = done;
  if (istrue(opresult3402)) {
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3403 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3404 = gc_frame_new();
// call case 4: self request
  Object call3405 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3404);
// compiled member node returning call3405 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3406 = callmethodflags(call3405, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3403);
// compiled call node returning call3406 (depth = 5)
    gc_frame_newslot(call3406);
    if3396 = call3406;
  } else {
  }
// compiled if node returning if3396 (depth = 4)
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3407 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block3408 = alloc_Block(NULL, NULL, "ast", 781);
  gc_frame_newslot(block3408);
// method "_apply(_)"
  block_savedest(block3408);
  Object closure3409 = createclosure(3, "_apply(1)");
  setclosureframe(closure3409, stackframe);
  addtoclosure(closure3409, var_visitor);
  addtoclosure(closure3409, var_newChain);
  addtoclosure(closure3409, selfslot);
  struct UserObject *uo3409 = (struct UserObject*)block3408;
  uo3409->data[0] = (Object)closure3409;
  Method *meth_meth_ast__apply_40_1_41_3409 = addmethod2pos(block3408, "_apply(1)", &meth_ast__apply_40_1_41_3409, 0);
  int argcv_meth_ast__apply_40_1_41_3409[] = {1};
  meth_meth_ast__apply_40_1_41_3409->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3409);
  meth_meth_ast__apply_40_1_41_3409->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3409->definitionLine = 2947;
// compiled block node returning block3408 (depth = 5)
  gc_frame_newslot(block3408);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3413 = gc_frame_new();
// call case 4: self request
  Object call3414 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3413);
// compiled member node returning call3414 (depth = 5)
  params[0] = block3408;
  partcv[0] = 1;
  Object call3415 = callmethodflags(call3414, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3407);
// compiled call node returning call3415 (depth = 4)
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3416 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3417 = gc_frame_new();
// call case 4: self request
  Object call3418 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3417);
// compiled member node returning call3418 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3419 = callmethodflags(call3418, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3416);
// compiled call node returning call3419 (depth = 4)
    gc_frame_newslot(call3419);
    if3387 = call3419;
  } else {
  }
// compiled if node returning if3387 (depth = 3)
  gc_frame_end(frame);
  return if3387;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_3420(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3421 = gc_frame_new();
// call case 4: self request
  Object call3422 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3421);
// compiled member node returning call3422 (depth = 4)
  *var_n = call3422;
  if (call3422 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3423 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3424 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3423);
// compiled call node returning call3424 (depth = 4)
  *var_newChain = call3424;
  if (call3424 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3425 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3426 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3427 = gc_frame_new();
// call case 4: self request
  Object call3428 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3427);
// compiled member node returning call3428 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3429 = callmethodflags(call3428, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3426);
// compiled call node returning call3429 (depth = 4)
  gc_frame_newslot(call3429);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3429;
  partcv[0] = 1;
  Object call3430 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3425);
// compiled call node returning call3430 (depth = 3)
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3431 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3432 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3433 = gc_frame_new();
// call case 4: self request
  Object call3434 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3433);
// compiled member node returning call3434 (depth = 5)
  gc_frame_newslot(call3434);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3435 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3436 = gc_frame_new();
// call case 3: self.outer request
  Object call3437 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3436);
// compiled member node returning call3437 (depth = 6)
  Object call3438 = callmethodflags(call3437, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3435);
// compiled member node returning call3438 (depth = 5)
  params[0] = call3434;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3439 = callmethodflags(call3438, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3432);
// compiled call node returning call3439 (depth = 4)
  gc_frame_newslot(call3439);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3439;
  partcv[0] = 1;
  Object call3440 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3431);
// compiled call node returning call3440 (depth = 3)
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3441 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3442 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3443 = gc_frame_new();
// call case 4: self request
  Object call3444 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3443);
// compiled member node returning call3444 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3445 = callmethodflags(call3444, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3442);
// compiled call node returning call3445 (depth = 4)
  gc_frame_newslot(call3445);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3445;
  partcv[0] = 1;
  Object call3446 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3441);
// compiled call node returning call3446 (depth = 3)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3447 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3448 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3449 = gc_frame_new();
// call case 4: self request
  Object call3450 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3449);
// compiled member node returning call3450 (depth = 5)
  gc_frame_newslot(call3450);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3451 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3452 = gc_frame_new();
// call case 3: self.outer request
  Object call3453 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3452);
// compiled member node returning call3453 (depth = 6)
  Object call3454 = callmethodflags(call3453, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3451);
// compiled member node returning call3454 (depth = 5)
  params[0] = call3450;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call3455 = callmethodflags(call3454, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3448);
// compiled call node returning call3455 (depth = 4)
  gc_frame_newslot(call3455);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call3455;
  partcv[0] = 1;
  Object call3456 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3447);
// compiled call node returning call3456 (depth = 3)
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3457 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call3458 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3457);
// compiled call node returning call3458 (depth = 3)
  gc_frame_end(frame);
  return call3458;
}
Object meth_ast__apply_40_1_41_3467(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3469 == NULL) {
    strlit3469 = alloc_String("  ");
    gc_root(strlit3469);
  }
// compiled string node returning strlit3469 (depth = 7)
  int op_slot_right_3468 = gc_frame_newslot(strlit3469);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_3468 = gc_frame_newslot(*var_spc);
  params[0] = strlit3469;
  partcv[0] = 1;
  Object opresult3471 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3471 (depth = 6)
  *var_spc = opresult3471;
  if (opresult3471 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_3459(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3460 == NULL) {
    strlit3460 = alloc_String("");
    gc_root(strlit3460);
  }
// compiled string node returning strlit3460 (depth = 4)
  *var_spc = strlit3460;
  if (strlit3460 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3461 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_3462 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num3464 = alloc_Float64(0);
// compiled num node returning num3464 (depth = 5)
  int op_slot_left_3462 = gc_frame_newslot(num3464);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult3465 = callmethod(num3464, "..(1)", 1, partcv, params);
// compiled op node returning opresult3465 (depth = 4)
  gc_frame_newslot(opresult3465);
// starting to compile block node (depth = 4)
  Object block3466 = alloc_Block(NULL, NULL, "ast", 796);
  gc_frame_newslot(block3466);
// method "_apply(_)"
  block_savedest(block3466);
  Object closure3467 = createclosure(2, "_apply(1)");
  setclosureframe(closure3467, stackframe);
  addtoclosure(closure3467, var_spc);
  addtoclosure(closure3467, selfslot);
  struct UserObject *uo3467 = (struct UserObject*)block3466;
  uo3467->data[0] = (Object)closure3467;
  Method *meth_meth_ast__apply_40_1_41_3467 = addmethod2pos(block3466, "_apply(1)", &meth_ast__apply_40_1_41_3467, 0);
  int argcv_meth_ast__apply_40_1_41_3467[] = {1};
  meth_meth_ast__apply_40_1_41_3467->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3467);
  meth_meth_ast__apply_40_1_41_3467->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3467->definitionLine = 2947;
// compiled block node returning block3466 (depth = 4)
  gc_frame_newslot(block3466);
// call case 5: prelude request
  params[0] = opresult3465;
  params[1] = block3466;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3474 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3461);
// compiled call node returning call3474 (depth = 3)
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3476 == NULL) {
    strlit3476 = alloc_String("""\x0a""");
    gc_root(strlit3476);
  }
// compiled string node returning strlit3476 (depth = 5)
  int op_slot_right_3475 = gc_frame_newslot(strlit3476);
// starting to compile call node (depth = 5)
  int callframe3478 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call3479 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe3478);
// compiled call node returning call3479 (depth = 5)
  int op_slot_left_3475 = gc_frame_newslot(call3479);
  params[0] = strlit3476;
  partcv[0] = 1;
  Object opresult3480 = callmethod(call3479, "++(1)", 1, partcv, params);
// compiled op node returning opresult3480 (depth = 4)
  *var_s = opresult3480;
  if (opresult3480 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3482 == NULL) {
    strlit3482 = alloc_String("""\x0a""");
    gc_root(strlit3482);
  }
// compiled string node returning strlit3482 (depth = 5)
  int op_slot_right_3481 = gc_frame_newslot(strlit3482);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3485 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3487 = alloc_Float64(1);
// compiled num node returning num3487 (depth = 8)
  int op_slot_right_3486 = gc_frame_newslot(num3487);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3486 = gc_frame_newslot(*var_depth);
  params[0] = num3487;
  partcv[0] = 1;
  Object sum3489 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3489 (depth = 7)
  gc_frame_newslot(sum3489);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3490 = gc_frame_new();
// call case 4: self request
  Object call3491 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3490);
// compiled member node returning call3491 (depth = 7)
  params[0] = sum3489;
  partcv[0] = 1;
  Object call3492 = callmethodflags(call3491, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3485);
// compiled call node returning call3492 (depth = 6)
  int op_slot_right_3484 = gc_frame_newslot(call3492);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_3494 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_3494 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3496 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3496 (depth = 6)
  int op_slot_left_3484 = gc_frame_newslot(opresult3496);
  params[0] = call3492;
  partcv[0] = 1;
  Object opresult3497 = callmethod(opresult3496, "++(1)", 1, partcv, params);
// compiled op node returning opresult3497 (depth = 5)
  int op_slot_left_3481 = gc_frame_newslot(opresult3497);
  params[0] = strlit3482;
  partcv[0] = 1;
  Object opresult3498 = callmethod(opresult3497, "++(1)", 1, partcv, params);
// compiled op node returning opresult3498 (depth = 4)
  *var_s = opresult3498;
  if (opresult3498 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3502 = gc_frame_new();
// call case 4: self request
  Object call3503 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3502);
// compiled member node returning call3503 (depth = 5)
  int op_slot_right_3501 = gc_frame_newslot(call3503);
// starting to compile identifier node (depth = 5)
  Object bool3505 = alloc_Boolean(0);
// compiled identifier node returning bool3505 (depth = 5)
  int op_slot_left_3501 = gc_frame_newslot(bool3505);
  params[0] = call3503;
  partcv[0] = 1;
  Object opresult3506 = callmethod(bool3505, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3506 (depth = 4)
  Object if3500 = done;
  if (istrue(opresult3506)) {
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3508 == NULL) {
    strlit3508 = alloc_String("""\x0a""");
    gc_root(strlit3508);
  }
// compiled string node returning strlit3508 (depth = 6)
  int op_slot_right_3507 = gc_frame_newslot(strlit3508);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3511 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3513 = alloc_Float64(2);
// compiled num node returning num3513 (depth = 9)
  int op_slot_right_3512 = gc_frame_newslot(num3513);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_3512 = gc_frame_newslot(*var_depth);
  params[0] = num3513;
  partcv[0] = 1;
  Object sum3515 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3515 (depth = 8)
  gc_frame_newslot(sum3515);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3516 = gc_frame_new();
// call case 4: self request
  Object call3517 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3516);
// compiled member node returning call3517 (depth = 8)
  params[0] = sum3515;
  partcv[0] = 1;
  Object call3518 = callmethodflags(call3517, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3511);
// compiled call node returning call3518 (depth = 7)
  int op_slot_right_3510 = gc_frame_newslot(call3518);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3521 == NULL) {
    strlit3521 = alloc_String("Type parameters:""\x0a""");
    gc_root(strlit3521);
  }
// compiled string node returning strlit3521 (depth = 8)
  int op_slot_right_3520 = gc_frame_newslot(strlit3521);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_3523 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3526 == NULL) {
    strlit3526 = alloc_String("");
    gc_root(strlit3526);
  }
// compiled string node returning strlit3526 (depth = 10)
  int op_slot_right_3525 = gc_frame_newslot(strlit3526);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_3528 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit3530 == NULL) {
    strlit3530 = alloc_String("");
    gc_root(strlit3530);
  }
// compiled string node returning strlit3530 (depth = 11)
  int op_slot_left_3528 = gc_frame_newslot(strlit3530);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult3531 = callmethod(strlit3530, "++(1)", 1, partcv, params);
// compiled op node returning opresult3531 (depth = 10)
  int op_slot_left_3525 = gc_frame_newslot(opresult3531);
  params[0] = strlit3526;
  partcv[0] = 1;
  Object opresult3532 = callmethod(opresult3531, "++(1)", 1, partcv, params);
// compiled op node returning opresult3532 (depth = 9)
  int op_slot_left_3523 = gc_frame_newslot(opresult3532);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3533 = callmethod(opresult3532, "++(1)", 1, partcv, params);
// compiled op node returning opresult3533 (depth = 8)
  int op_slot_left_3520 = gc_frame_newslot(opresult3533);
  params[0] = strlit3521;
  partcv[0] = 1;
  Object opresult3534 = callmethod(opresult3533, "++(1)", 1, partcv, params);
// compiled op node returning opresult3534 (depth = 7)
  int op_slot_left_3510 = gc_frame_newslot(opresult3534);
  params[0] = call3518;
  partcv[0] = 1;
  Object opresult3535 = callmethod(opresult3534, "++(1)", 1, partcv, params);
// compiled op node returning opresult3535 (depth = 6)
  int op_slot_left_3507 = gc_frame_newslot(opresult3535);
  params[0] = strlit3508;
  partcv[0] = 1;
  Object opresult3536 = callmethod(opresult3535, "++(1)", 1, partcv, params);
// compiled op node returning opresult3536 (depth = 5)
  *var_s = opresult3536;
  if (opresult3536 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if3500 = done;
  } else {
  }
// compiled if node returning if3500 (depth = 3)
// Begin line 804
  setline(804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3539 == NULL) {
    strlit3539 = alloc_String("Value:");
    gc_root(strlit3539);
  }
// compiled string node returning strlit3539 (depth = 5)
  int op_slot_right_3538 = gc_frame_newslot(strlit3539);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_3541 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3541 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult3543 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3543 (depth = 5)
  int op_slot_left_3538 = gc_frame_newslot(opresult3543);
  params[0] = strlit3539;
  partcv[0] = 1;
  Object opresult3544 = callmethod(opresult3543, "++(1)", 1, partcv, params);
// compiled op node returning opresult3544 (depth = 4)
  *var_s = opresult3544;
  if (opresult3544 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3547 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3549 = alloc_Float64(2);
// compiled num node returning num3549 (depth = 7)
  int op_slot_right_3548 = gc_frame_newslot(num3549);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_3548 = gc_frame_newslot(*var_depth);
  params[0] = num3549;
  partcv[0] = 1;
  Object sum3551 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3551 (depth = 6)
  gc_frame_newslot(sum3551);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3552 = gc_frame_new();
// call case 4: self request
  Object call3553 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3552);
// compiled member node returning call3553 (depth = 6)
  params[0] = sum3551;
  partcv[0] = 1;
  Object call3554 = callmethodflags(call3553, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3547);
// compiled call node returning call3554 (depth = 5)
  int op_slot_right_3546 = gc_frame_newslot(call3554);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3546 = gc_frame_newslot(*var_s);
  params[0] = call3554;
  partcv[0] = 1;
  Object opresult3556 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3556 (depth = 4)
  *var_s = opresult3556;
  if (opresult3556 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3559 == NULL) {
    strlit3559 = alloc_String("""\x0a""");
    gc_root(strlit3559);
  }
// compiled string node returning strlit3559 (depth = 5)
  int op_slot_right_3558 = gc_frame_newslot(strlit3559);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3558 = gc_frame_newslot(*var_s);
  params[0] = strlit3559;
  partcv[0] = 1;
  Object opresult3561 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3561 (depth = 4)
  *var_s = opresult3561;
  if (opresult3561 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3565 = gc_frame_new();
// call case 4: self request
  Object call3566 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3565);
// compiled member node returning call3566 (depth = 5)
  int op_slot_right_3564 = gc_frame_newslot(call3566);
// starting to compile identifier node (depth = 5)
  Object bool3568 = alloc_Boolean(0);
// compiled identifier node returning bool3568 (depth = 5)
  int op_slot_left_3564 = gc_frame_newslot(bool3568);
  params[0] = call3566;
  partcv[0] = 1;
  Object opresult3569 = callmethod(bool3568, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3569 (depth = 4)
  Object if3563 = done;
  if (istrue(opresult3569)) {
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3571 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3573 = alloc_Float64(2);
// compiled num node returning num3573 (depth = 8)
  int op_slot_right_3572 = gc_frame_newslot(num3573);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_3572 = gc_frame_newslot(*var_depth);
  params[0] = num3573;
  partcv[0] = 1;
  Object sum3575 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3575 (depth = 7)
  gc_frame_newslot(sum3575);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3576 = gc_frame_new();
// call case 4: self request
  Object call3577 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3576);
// compiled member node returning call3577 (depth = 7)
  params[0] = sum3575;
  partcv[0] = 1;
  Object call3578 = callmethodflags(call3577, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3571);
// compiled call node returning call3578 (depth = 6)
  int op_slot_right_3570 = gc_frame_newslot(call3578);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_3570 = gc_frame_newslot(*var_s);
  params[0] = call3578;
  partcv[0] = 1;
  Object opresult3580 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3580 (depth = 5)
  *var_s = opresult3580;
  if (opresult3580 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if3563 = done;
  } else {
  }
// compiled if node returning if3563 (depth = 3)
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_3594(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3596 == NULL) {
    strlit3596 = alloc_String("    ");
    gc_root(strlit3596);
  }
// compiled string node returning strlit3596 (depth = 7)
  int op_slot_right_3595 = gc_frame_newslot(strlit3596);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_3595 = gc_frame_newslot(*var_spc);
  params[0] = strlit3596;
  partcv[0] = 1;
  Object opresult3598 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3598 (depth = 6)
  *var_spc = opresult3598;
  if (opresult3598 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_3582(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3583 == NULL) {
    strlit3583 = alloc_String("");
    gc_root(strlit3583);
  }
// compiled string node returning strlit3583 (depth = 4)
  *var_spc = strlit3583;
  if (strlit3583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3584 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3587 = alloc_Float64(1);
// compiled num node returning num3587 (depth = 6)
  int op_slot_right_3586 = gc_frame_newslot(num3587);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3586 = gc_frame_newslot(*var_depth);
  params[0] = num3587;
  partcv[0] = 1;
  Object diff3589 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff3589 (depth = 5)
  int op_slot_right_3585 = gc_frame_newslot(diff3589);
// starting to compile num node (depth = 5)
  Object num3591 = alloc_Float64(0);
// compiled num node returning num3591 (depth = 5)
  int op_slot_left_3585 = gc_frame_newslot(num3591);
  params[0] = diff3589;
  partcv[0] = 1;
  Object opresult3592 = callmethod(num3591, "..(1)", 1, partcv, params);
// compiled op node returning opresult3592 (depth = 4)
  gc_frame_newslot(opresult3592);
// starting to compile block node (depth = 4)
  Object block3593 = alloc_Block(NULL, NULL, "ast", 814);
  gc_frame_newslot(block3593);
// method "_apply(_)"
  block_savedest(block3593);
  Object closure3594 = createclosure(2, "_apply(1)");
  setclosureframe(closure3594, stackframe);
  addtoclosure(closure3594, var_spc);
  addtoclosure(closure3594, selfslot);
  struct UserObject *uo3594 = (struct UserObject*)block3593;
  uo3594->data[0] = (Object)closure3594;
  Method *meth_meth_ast__apply_40_1_41_3594 = addmethod2pos(block3593, "_apply(1)", &meth_ast__apply_40_1_41_3594, 0);
  int argcv_meth_ast__apply_40_1_41_3594[] = {1};
  meth_meth_ast__apply_40_1_41_3594->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3594);
  meth_meth_ast__apply_40_1_41_3594->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3594->definitionLine = 2947;
// compiled block node returning block3593 (depth = 4)
  gc_frame_newslot(block3593);
// call case 5: prelude request
  params[0] = opresult3592;
  params[1] = block3593;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3601 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3584);
// compiled call node returning call3601 (depth = 3)
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit3602 == NULL) {
    strlit3602 = alloc_String("");
    gc_root(strlit3602);
  }
// compiled string node returning strlit3602 (depth = 4)
  *var_s = strlit3602;
  if (strlit3602 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3604 == NULL) {
    strlit3604 = alloc_String("");
    gc_root(strlit3604);
  }
// compiled string node returning strlit3604 (depth = 5)
  int op_slot_right_3603 = gc_frame_newslot(strlit3604);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3607 = gc_frame_new();
// call case 4: self request
  Object call3608 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3607);
// compiled member node returning call3608 (depth = 6)
  int op_slot_right_3606 = gc_frame_newslot(call3608);
// starting to compile string node (depth = 6)
  if (strlit3610 == NULL) {
    strlit3610 = alloc_String("type ");
    gc_root(strlit3610);
  }
// compiled string node returning strlit3610 (depth = 6)
  int op_slot_left_3606 = gc_frame_newslot(strlit3610);
  params[0] = call3608;
  partcv[0] = 1;
  Object opresult3611 = callmethod(strlit3610, "++(1)", 1, partcv, params);
// compiled op node returning opresult3611 (depth = 5)
  int op_slot_left_3603 = gc_frame_newslot(opresult3611);
  params[0] = strlit3604;
  partcv[0] = 1;
  Object opresult3612 = callmethod(opresult3611, "++(1)", 1, partcv, params);
// compiled op node returning opresult3612 (depth = 4)
  *var_s = opresult3612;
  if (opresult3612 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 819
  setline(819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3616 = gc_frame_new();
// call case 4: self request
  Object call3617 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3616);
// compiled member node returning call3617 (depth = 5)
  int op_slot_right_3615 = gc_frame_newslot(call3617);
// starting to compile identifier node (depth = 5)
  Object bool3619 = alloc_Boolean(0);
// compiled identifier node returning bool3619 (depth = 5)
  int op_slot_left_3615 = gc_frame_newslot(bool3619);
  params[0] = call3617;
  partcv[0] = 1;
  Object opresult3620 = callmethod(bool3619, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3620 (depth = 4)
  Object if3614 = done;
  if (istrue(opresult3620)) {
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3621 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num3622 = alloc_Float64(0);
// compiled num node returning num3622 (depth = 5)
  gc_frame_newslot(num3622);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3623 = gc_frame_new();
// call case 4: self request
  Object call3624 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3623);
// compiled member node returning call3624 (depth = 5)
  params[0] = num3622;
  partcv[0] = 1;
  Object call3625 = callmethodflags(call3624, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3621);
// compiled call node returning call3625 (depth = 4)
    gc_frame_newslot(call3625);
    if3614 = call3625;
  } else {
  }
// compiled if node returning if3614 (depth = 3)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3627 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3629 = alloc_Float64(2);
// compiled num node returning num3629 (depth = 6)
  int op_slot_right_3628 = gc_frame_newslot(num3629);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_3628 = gc_frame_newslot(*var_depth);
  params[0] = num3629;
  partcv[0] = 1;
  Object sum3631 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum3631 (depth = 5)
  gc_frame_newslot(sum3631);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3632 = gc_frame_new();
// call case 4: self request
  Object call3633 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3632);
// compiled member node returning call3633 (depth = 5)
  params[0] = sum3631;
  partcv[0] = 1;
  Object call3634 = callmethodflags(call3633, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3627);
// compiled call node returning call3634 (depth = 4)
  int op_slot_right_3626 = gc_frame_newslot(call3634);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3637 == NULL) {
    strlit3637 = alloc_String(" = ");
    gc_root(strlit3637);
  }
// compiled string node returning strlit3637 (depth = 5)
  int op_slot_right_3636 = gc_frame_newslot(strlit3637);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_3636 = gc_frame_newslot(*var_s);
  params[0] = strlit3637;
  partcv[0] = 1;
  Object opresult3639 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult3639 (depth = 4)
  int op_slot_left_3626 = gc_frame_newslot(opresult3639);
  params[0] = call3634;
  partcv[0] = 1;
  Object opresult3640 = callmethod(opresult3639, "++(1)", 1, partcv, params);
// compiled op node returning opresult3640 (depth = 3)
  gc_frame_end(frame);
  return opresult3640;
}
Object meth_ast_shallowCopy3641(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_typeDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3642 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe3643 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3644 = gc_frame_new();
// call case 4: self request
  Object call3645 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3644);
// compiled member node returning call3645 (depth = 5)
  gc_frame_newslot(call3645);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeDecNode (depth = 5)
  params[0] = call3645;
  params[1] = *var_nullNode;
  partcv[0] = 2;
  Object call3646 = callmethodflags(*var_typeDecNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3643);
// compiled call node returning call3646 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3647 = callmethodflags(call3646, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3642);
// compiled call node returning call3647 (depth = 3)
  gc_frame_end(frame);
  return call3647;
}
Object meth_ast_new_40_2_41_3335(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_typeDecNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3336 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3336 = alloc_userobj2(24,21, objclass3336);
  gc_frame_newslot(obj3336);
if (objclass3336 == NULL) {
  glfree(obj3336->class->name);
  obj3336->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3336, self, 0);
  addmethodreal(obj3336,"outer", &reader_ast_outer_3337);
  Object oldself3336 = self;
  struct StackFrameObject *oldstackframe3336 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3336);
  gc_frame_newslot((Object)stackframe);
  self = obj3336;
  Object *oldselfslot3336 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3336 = (*(struct UserObject *)self).data[0], lowerouter3336 = thisouter3336;
  if (inheritingObject3336) {
    struct UserObject *inho3336 = (struct UserObject *)inheritingObject3336;
    while (inho3336->super != GraceDefaultObject) inho3336 = (struct UserObject *)inho3336->super;
    inho3336->super = obj3336;
    self = inheritingObject3336;
    *selfslot = self;
    lowerouter3336 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3336;
  }
if (objclass3336 == NULL) {
  Method *reader3338 = addmethodrealflags(obj3336, "kind",&reader_ast_kind_3338, MFLAG_DEF);
  reader3338->definitionModule = modulename;
  reader3338->definitionLine = 748;
}
adddatum2(obj3336, alloc_Undefined(), 1);
if (objclass3336 == NULL) {
  Method *reader3339 = addmethodrealflags(obj3336, "name", &reader_ast_name_3339, 0);
  Method *writer3339 = addmethodrealflags(obj3336, "name:=(1)", &writer_ast_name_3339, 0);
  reader3339->definitionModule = modulename;
  writer3339->definitionModule = modulename;
  reader3339->definitionLine = 749;
  writer3339->definitionLine = 749;
}
obj3336->flags |= OFLAG_MUTABLE;
adddatum2(obj3336, alloc_Undefined(), 2);
if (objclass3336 == NULL) {
  Method *reader3340 = addmethodrealflags(obj3336, "value", &reader_ast_value_3340, 0);
  Method *writer3340 = addmethodrealflags(obj3336, "value:=(1)", &writer_ast_value_3340, 0);
  reader3340->definitionModule = modulename;
  writer3340->definitionModule = modulename;
  reader3340->definitionLine = 750;
  writer3340->definitionLine = 750;
}
obj3336->flags |= OFLAG_MUTABLE;
adddatum2(obj3336, alloc_Undefined(), 3);
if (objclass3336 == NULL) {
  Method *reader3341 = addmethodrealflags(obj3336, "nameString",&reader_ast_nameString_3341, MFLAG_DEF);
  reader3341->definitionModule = modulename;
  reader3341->definitionLine = 751;
}
adddatum2(obj3336, alloc_Undefined(), 4);
if (objclass3336 == NULL) {
  Method *reader3342 = addmethodrealflags(obj3336, "annotations", &reader_ast_annotations_3342, 0);
  Method *writer3342 = addmethodrealflags(obj3336, "annotations:=(1)", &writer_ast_annotations_3342, 0);
  reader3342->definitionModule = modulename;
  writer3342->definitionModule = modulename;
  reader3342->definitionLine = 752;
  writer3342->definitionLine = 752;
}
obj3336->flags |= OFLAG_MUTABLE;
adddatum2(obj3336, alloc_Undefined(), 5);
if (objclass3336 == NULL) {
  Method *reader3343 = addmethodrealflags(obj3336, "typeParams", &reader_ast_typeParams_3343, 0);
  Method *writer3343 = addmethodrealflags(obj3336, "typeParams:=(1)", &writer_ast_typeParams_3343, 0);
  reader3343->definitionModule = modulename;
  writer3343->definitionModule = modulename;
  reader3343->definitionLine = 753;
  writer3343->definitionLine = 753;
}
obj3336->flags |= OFLAG_MUTABLE;
adddatum2(obj3336, alloc_Undefined(), 6);
// method "isLegalInTrait"
  struct UserObject *uo3344 = (struct UserObject*)obj3336;
  uo3344->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait3344 = addmethod2pos(obj3336, "isLegalInTrait", &meth_ast_isLegalInTrait3344, 7);
  int argcv_meth_ast_isLegalInTrait3344[] = {0};
  meth_meth_ast_isLegalInTrait3344->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait3344);
  meth_meth_ast_isLegalInTrait3344->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait3344->definitionLine = 755;
// method "isTypeDec"
  struct UserObject *uo3346 = (struct UserObject*)obj3336;
  uo3346->data[8] = emptyclosure;
  Method *meth_meth_ast_isTypeDec3346 = addmethod2pos(obj3336, "isTypeDec", &meth_ast_isTypeDec3346, 8);
  int argcv_meth_ast_isTypeDec3346[] = {0};
  meth_meth_ast_isTypeDec3346->type = alloc_MethodType(1, argcv_meth_ast_isTypeDec3346);
  meth_meth_ast_isTypeDec3346->definitionModule = modulename;
  meth_meth_ast_isTypeDec3346->definitionLine = 756;
// method "scope:=(_)"
  struct UserObject *uo3348 = (struct UserObject*)obj3336;
  uo3348->data[9] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_3348 = addmethod2pos(obj3336, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_3348, 9);
  int argcv_meth_ast_scope_58__61__40_1_41_3348[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_3348->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_3348);
  meth_meth_ast_scope_58__61__40_1_41_3348->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_3348->definitionLine = 757;
// method "isExecutable"
  struct UserObject *uo3353 = (struct UserObject*)obj3336;
  uo3353->data[10] = emptyclosure;
  Method *meth_meth_ast_isExecutable3353 = addmethod2pos(obj3336, "isExecutable", &meth_ast_isExecutable3353, 10);
  int argcv_meth_ast_isExecutable3353[] = {0};
  meth_meth_ast_isExecutable3353->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3353);
  meth_meth_ast_isExecutable3353->definitionModule = modulename;
  meth_meth_ast_isExecutable3353->definitionLine = 764;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3336);
  Object closure3355 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3355, stackframe);
  addtoclosure(closure3355, var_k);
  struct UserObject *uo3355 = (struct UserObject*)obj3336;
  uo3355->data[11] = (Object)closure3355;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3355 = addmethod2pos(obj3336, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3355, 11);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3355[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3355->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3355);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3355->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3355->definitionLine = 765;
// method "isConfidential"
  struct UserObject *uo3358 = (struct UserObject*)obj3336;
  uo3358->data[12] = emptyclosure;
  Method *meth_meth_ast_isConfidential3358 = addmethod2pos(obj3336, "isConfidential", &meth_ast_isConfidential3358, 12);
  int argcv_meth_ast_isConfidential3358[] = {0};
  meth_meth_ast_isConfidential3358->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3358);
  meth_meth_ast_isConfidential3358->definitionModule = modulename;
  meth_meth_ast_isConfidential3358->definitionLine = 766;
// method "isPublic"
  struct UserObject *uo3376 = (struct UserObject*)obj3336;
  uo3376->data[13] = emptyclosure;
  Method *meth_meth_ast_isPublic3376 = addmethod2pos(obj3336, "isPublic", &meth_ast_isPublic3376, 13);
  int argcv_meth_ast_isPublic3376[] = {0};
  meth_meth_ast_isPublic3376->type = alloc_MethodType(1, argcv_meth_ast_isPublic3376);
  meth_meth_ast_isPublic3376->definitionModule = modulename;
  meth_meth_ast_isPublic3376->definitionLine = 770;
// method "isWritable"
  struct UserObject *uo3381 = (struct UserObject*)obj3336;
  uo3381->data[14] = emptyclosure;
  Method *meth_meth_ast_isWritable3381 = addmethod2pos(obj3336, "isWritable", &meth_ast_isWritable3381, 14);
  int argcv_meth_ast_isWritable3381[] = {0};
  meth_meth_ast_isWritable3381->type = alloc_MethodType(1, argcv_meth_ast_isWritable3381);
  meth_meth_ast_isWritable3381->definitionModule = modulename;
  meth_meth_ast_isWritable3381->definitionLine = 771;
// method "isReadable"
  struct UserObject *uo3383 = (struct UserObject*)obj3336;
  uo3383->data[15] = emptyclosure;
  Method *meth_meth_ast_isReadable3383 = addmethod2pos(obj3336, "isReadable", &meth_ast_isReadable3383, 15);
  int argcv_meth_ast_isReadable3383[] = {0};
  meth_meth_ast_isReadable3383->type = alloc_MethodType(1, argcv_meth_ast_isReadable3383);
  meth_meth_ast_isReadable3383->definitionModule = modulename;
  meth_meth_ast_isReadable3383->definitionLine = 772;
// method "accept(_)from(_)"
  struct UserObject *uo3386 = (struct UserObject*)obj3336;
  uo3386->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3386 = addmethod2pos(obj3336, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3386, 16);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3386[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3386->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3386);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3386->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3386->definitionLine = 774;
// method "map(_)ancestors(_)"
  struct UserObject *uo3420 = (struct UserObject*)obj3336;
  uo3420->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3420 = addmethod2pos(obj3336, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3420, 17);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3420[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3420->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3420);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3420->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3420->definitionLine = 785;
// method "pretty(_)"
  struct UserObject *uo3459 = (struct UserObject*)obj3336;
  uo3459->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_3459 = addmethod2pos(obj3336, "pretty(1)", &meth_ast_pretty_40_1_41_3459, 18);
  int argcv_meth_ast_pretty_40_1_41_3459[] = {1};
  meth_meth_ast_pretty_40_1_41_3459->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_3459);
  meth_meth_ast_pretty_40_1_41_3459->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_3459->definitionLine = 794;
// method "toGrace(_)"
  struct UserObject *uo3582 = (struct UserObject*)obj3336;
  uo3582->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_3582 = addmethod2pos(obj3336, "toGrace(1)", &meth_ast_toGrace_40_1_41_3582, 19);
  int argcv_meth_ast_toGrace_40_1_41_3582[] = {1};
  meth_meth_ast_toGrace_40_1_41_3582->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_3582);
meth_meth_ast_toGrace_40_1_41_3582->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_3582->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_3582->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_3582->definitionLine = 812;
// method "shallowCopy"
  block_savedest(obj3336);
  Object closure3641 = createclosure(2, "shallowCopy");
  setclosureframe(closure3641, stackframe);
  addtoclosure(closure3641, var_nullNode);
  addtoclosure(closure3641, var_typeDecNode);
  struct UserObject *uo3641 = (struct UserObject*)obj3336;
  uo3641->data[20] = (Object)closure3641;
  Method *meth_meth_ast_shallowCopy3641 = addmethod2pos(obj3336, "shallowCopy", &meth_ast_shallowCopy3641, 20);
  int argcv_meth_ast_shallowCopy3641[] = {0};
  meth_meth_ast_shallowCopy3641->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3641);
  meth_meth_ast_shallowCopy3641->definitionModule = modulename;
  meth_meth_ast_shallowCopy3641->definitionLine = 824;
  sourceObject = obj3336;
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3648 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3649 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3650 = gc_frame_new();
// call case 3: self.outer request
  Object call3651 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3650);
// compiled member node returning call3651 (depth = 5)
  Object call3652 = callmethodflags(call3651, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3649);
// compiled member node returning call3652 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3653 = callmethodflags(call3652, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3648);
// compiled call node returning call3653 (depth = 3)
  struct UserObject *obj3336_uo = (struct UserObject *)obj3336;
  obj3336_uo->super = call3653;
  sourceObject = obj3336;
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3654 == NULL) {
    strlit3654 = alloc_String("typedec");
    gc_root(strlit3654);
  }
// compiled string node returning strlit3654 (depth = 3)
  adddatum2(obj3336, strlit3654, 1);
  sourceObject = obj3336;
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj3336, *var_name_39_, 2);
  sourceObject = obj3336;
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeValue (depth = 3)
  adddatum2(obj3336, *var_typeValue, 3);
  sourceObject = obj3336;
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3655 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3656 = gc_frame_new();
// call case 4: self request
  Object call3657 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3656);
// compiled member node returning call3657 (depth = 4)
  Object call3658 = callmethodflags(call3657, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3655);
// compiled member node returning call3658 (depth = 3)
  adddatum2(obj3336, call3658, 4);
  sourceObject = obj3336;
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array3659 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3659 (depth = 3)
  adddatum2(obj3336, array3659, 5);
  sourceObject = obj3336;
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3660 = alloc_Boolean(0);
// compiled identifier node returning bool3660 (depth = 3)
  adddatum2(obj3336, bool3660, 6);
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  objclass3336 = obj3336->class;
  objclass3336->definitionModule = modulename;
  objclass3336->definitionLine = 746;
  (*(struct UserObject *)self).data[0] = lowerouter3336;
  self = oldself3336;
  selfslot = oldselfslot3336;
  stackframe = oldstackframe3336;
  gc_frame_end(frame);
  return obj3336;
}
Object meth_ast_new_40_2_41_3335_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_typeDecNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_typeValue = &(stackframe->slots[1]);
  *var_typeValue = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3336 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3336 = alloc_userobj2(24,21, objclass3336);
  gc_frame_newslot(obj3336);
if (objclass3336 == NULL) {
  glfree(obj3336->class->name);
  obj3336->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3336, self, 0);
  addmethodreal(obj3336,"outer", &reader_ast_outer_3337);
  Object oldself3336 = self;
  struct StackFrameObject *oldstackframe3336 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3336);
  gc_frame_newslot((Object)stackframe);
  self = obj3336;
  Object *oldselfslot3336 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3336 = (*(struct UserObject *)self).data[0], lowerouter3336 = thisouter3336;
  if (inheritingObject3336) {
    struct UserObject *inho3336 = (struct UserObject *)inheritingObject3336;
    while (inho3336->super != GraceDefaultObject) inho3336 = (struct UserObject *)inho3336->super;
    inho3336->super = obj3336;
    self = inheritingObject3336;
    *selfslot = self;
    lowerouter3336 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3336;
  }
if (objclass3336 == NULL) {
  Method *reader3338 = addmethodrealflags(obj3336, "kind",&reader_ast_kind_3338, MFLAG_DEF);
  reader3338->definitionModule = modulename;
  reader3338->definitionLine = 748;
}
adddatum2(obj3336, alloc_Undefined(), 1);
if (objclass3336 == NULL) {
  Method *reader3339 = addmethodrealflags(obj3336, "name", &reader_ast_name_3339, 0);
  Method *writer3339 = addmethodrealflags(obj3336, "name:=(1)", &writer_ast_name_3339, 0);
  reader3339->definitionModule = modulename;
  writer3339->definitionModule = modulename;
  reader3339->definitionLine = 749;
  writer3339->definitionLine = 749;
}
obj3336->flags |= OFLAG_MUTABLE;
adddatum2(obj3336, alloc_Undefined(), 2);
if (objclass3336 == NULL) {
  Method *reader3340 = addmethodrealflags(obj3336, "value", &reader_ast_value_3340, 0);
  Method *writer3340 = addmethodrealflags(obj3336, "value:=(1)", &writer_ast_value_3340, 0);
  reader3340->definitionModule = modulename;
  writer3340->definitionModule = modulename;
  reader3340->definitionLine = 750;
  writer3340->definitionLine = 750;
}
obj3336->flags |= OFLAG_MUTABLE;
adddatum2(obj3336, alloc_Undefined(), 3);
if (objclass3336 == NULL) {
  Method *reader3341 = addmethodrealflags(obj3336, "nameString",&reader_ast_nameString_3341, MFLAG_DEF);
  reader3341->definitionModule = modulename;
  reader3341->definitionLine = 751;
}
adddatum2(obj3336, alloc_Undefined(), 4);
if (objclass3336 == NULL) {
  Method *reader3342 = addmethodrealflags(obj3336, "annotations", &reader_ast_annotations_3342, 0);
  Method *writer3342 = addmethodrealflags(obj3336, "annotations:=(1)", &writer_ast_annotations_3342, 0);
  reader3342->definitionModule = modulename;
  writer3342->definitionModule = modulename;
  reader3342->definitionLine = 752;
  writer3342->definitionLine = 752;
}
obj3336->flags |= OFLAG_MUTABLE;
adddatum2(obj3336, alloc_Undefined(), 5);
if (objclass3336 == NULL) {
  Method *reader3343 = addmethodrealflags(obj3336, "typeParams", &reader_ast_typeParams_3343, 0);
  Method *writer3343 = addmethodrealflags(obj3336, "typeParams:=(1)", &writer_ast_typeParams_3343, 0);
  reader3343->definitionModule = modulename;
  writer3343->definitionModule = modulename;
  reader3343->definitionLine = 753;
  writer3343->definitionLine = 753;
}
obj3336->flags |= OFLAG_MUTABLE;
adddatum2(obj3336, alloc_Undefined(), 6);
// method "isLegalInTrait"
  struct UserObject *uo3344 = (struct UserObject*)obj3336;
  uo3344->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait3344 = addmethod2pos(obj3336, "isLegalInTrait", &meth_ast_isLegalInTrait3344, 7);
  int argcv_meth_ast_isLegalInTrait3344[] = {0};
  meth_meth_ast_isLegalInTrait3344->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait3344);
  meth_meth_ast_isLegalInTrait3344->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait3344->definitionLine = 755;
// method "isTypeDec"
  struct UserObject *uo3346 = (struct UserObject*)obj3336;
  uo3346->data[8] = emptyclosure;
  Method *meth_meth_ast_isTypeDec3346 = addmethod2pos(obj3336, "isTypeDec", &meth_ast_isTypeDec3346, 8);
  int argcv_meth_ast_isTypeDec3346[] = {0};
  meth_meth_ast_isTypeDec3346->type = alloc_MethodType(1, argcv_meth_ast_isTypeDec3346);
  meth_meth_ast_isTypeDec3346->definitionModule = modulename;
  meth_meth_ast_isTypeDec3346->definitionLine = 756;
// method "scope:=(_)"
  struct UserObject *uo3348 = (struct UserObject*)obj3336;
  uo3348->data[9] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_3348 = addmethod2pos(obj3336, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_3348, 9);
  int argcv_meth_ast_scope_58__61__40_1_41_3348[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_3348->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_3348);
  meth_meth_ast_scope_58__61__40_1_41_3348->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_3348->definitionLine = 757;
// method "isExecutable"
  struct UserObject *uo3353 = (struct UserObject*)obj3336;
  uo3353->data[10] = emptyclosure;
  Method *meth_meth_ast_isExecutable3353 = addmethod2pos(obj3336, "isExecutable", &meth_ast_isExecutable3353, 10);
  int argcv_meth_ast_isExecutable3353[] = {0};
  meth_meth_ast_isExecutable3353->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3353);
  meth_meth_ast_isExecutable3353->definitionModule = modulename;
  meth_meth_ast_isExecutable3353->definitionLine = 764;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3336);
  Object closure3355 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3355, stackframe);
  addtoclosure(closure3355, var_k);
  struct UserObject *uo3355 = (struct UserObject*)obj3336;
  uo3355->data[11] = (Object)closure3355;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3355 = addmethod2pos(obj3336, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3355, 11);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3355[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3355->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3355);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3355->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3355->definitionLine = 765;
// method "isConfidential"
  struct UserObject *uo3358 = (struct UserObject*)obj3336;
  uo3358->data[12] = emptyclosure;
  Method *meth_meth_ast_isConfidential3358 = addmethod2pos(obj3336, "isConfidential", &meth_ast_isConfidential3358, 12);
  int argcv_meth_ast_isConfidential3358[] = {0};
  meth_meth_ast_isConfidential3358->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3358);
  meth_meth_ast_isConfidential3358->definitionModule = modulename;
  meth_meth_ast_isConfidential3358->definitionLine = 766;
// method "isPublic"
  struct UserObject *uo3376 = (struct UserObject*)obj3336;
  uo3376->data[13] = emptyclosure;
  Method *meth_meth_ast_isPublic3376 = addmethod2pos(obj3336, "isPublic", &meth_ast_isPublic3376, 13);
  int argcv_meth_ast_isPublic3376[] = {0};
  meth_meth_ast_isPublic3376->type = alloc_MethodType(1, argcv_meth_ast_isPublic3376);
  meth_meth_ast_isPublic3376->definitionModule = modulename;
  meth_meth_ast_isPublic3376->definitionLine = 770;
// method "isWritable"
  struct UserObject *uo3381 = (struct UserObject*)obj3336;
  uo3381->data[14] = emptyclosure;
  Method *meth_meth_ast_isWritable3381 = addmethod2pos(obj3336, "isWritable", &meth_ast_isWritable3381, 14);
  int argcv_meth_ast_isWritable3381[] = {0};
  meth_meth_ast_isWritable3381->type = alloc_MethodType(1, argcv_meth_ast_isWritable3381);
  meth_meth_ast_isWritable3381->definitionModule = modulename;
  meth_meth_ast_isWritable3381->definitionLine = 771;
// method "isReadable"
  struct UserObject *uo3383 = (struct UserObject*)obj3336;
  uo3383->data[15] = emptyclosure;
  Method *meth_meth_ast_isReadable3383 = addmethod2pos(obj3336, "isReadable", &meth_ast_isReadable3383, 15);
  int argcv_meth_ast_isReadable3383[] = {0};
  meth_meth_ast_isReadable3383->type = alloc_MethodType(1, argcv_meth_ast_isReadable3383);
  meth_meth_ast_isReadable3383->definitionModule = modulename;
  meth_meth_ast_isReadable3383->definitionLine = 772;
// method "accept(_)from(_)"
  struct UserObject *uo3386 = (struct UserObject*)obj3336;
  uo3386->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3386 = addmethod2pos(obj3336, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3386, 16);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3386[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3386->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3386);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3386->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3386->definitionLine = 774;
// method "map(_)ancestors(_)"
  struct UserObject *uo3420 = (struct UserObject*)obj3336;
  uo3420->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3420 = addmethod2pos(obj3336, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3420, 17);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3420[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3420->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3420);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3420->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3420->definitionLine = 785;
// method "pretty(_)"
  struct UserObject *uo3459 = (struct UserObject*)obj3336;
  uo3459->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_3459 = addmethod2pos(obj3336, "pretty(1)", &meth_ast_pretty_40_1_41_3459, 18);
  int argcv_meth_ast_pretty_40_1_41_3459[] = {1};
  meth_meth_ast_pretty_40_1_41_3459->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_3459);
  meth_meth_ast_pretty_40_1_41_3459->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_3459->definitionLine = 794;
// method "toGrace(_)"
  struct UserObject *uo3582 = (struct UserObject*)obj3336;
  uo3582->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_3582 = addmethod2pos(obj3336, "toGrace(1)", &meth_ast_toGrace_40_1_41_3582, 19);
  int argcv_meth_ast_toGrace_40_1_41_3582[] = {1};
  meth_meth_ast_toGrace_40_1_41_3582->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_3582);
meth_meth_ast_toGrace_40_1_41_3582->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_3582->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_3582->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_3582->definitionLine = 812;
// method "shallowCopy"
  block_savedest(obj3336);
  Object closure3641 = createclosure(2, "shallowCopy");
  setclosureframe(closure3641, stackframe);
  addtoclosure(closure3641, var_nullNode);
  addtoclosure(closure3641, var_typeDecNode);
  struct UserObject *uo3641 = (struct UserObject*)obj3336;
  uo3641->data[20] = (Object)closure3641;
  Method *meth_meth_ast_shallowCopy3641 = addmethod2pos(obj3336, "shallowCopy", &meth_ast_shallowCopy3641, 20);
  int argcv_meth_ast_shallowCopy3641[] = {0};
  meth_meth_ast_shallowCopy3641->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy3641);
  meth_meth_ast_shallowCopy3641->definitionModule = modulename;
  meth_meth_ast_shallowCopy3641->definitionLine = 824;
  sourceObject = obj3336;
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3648 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3649 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3650 = gc_frame_new();
// call case 3: self.outer request
  Object call3651 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3650);
// compiled member node returning call3651 (depth = 5)
  Object call3652 = callmethodflags(call3651, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3649);
// compiled member node returning call3652 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call3653 = callmethodflags(call3652, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3648);
// compiled call node returning call3653 (depth = 3)
  struct UserObject *obj3336_uo = (struct UserObject *)obj3336;
  obj3336_uo->super = call3653;
  sourceObject = obj3336;
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit3654 == NULL) {
    strlit3654 = alloc_String("typedec");
    gc_root(strlit3654);
  }
// compiled string node returning strlit3654 (depth = 3)
  adddatum2(obj3336, strlit3654, 1);
  sourceObject = obj3336;
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj3336, *var_name_39_, 2);
  sourceObject = obj3336;
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeValue (depth = 3)
  adddatum2(obj3336, *var_typeValue, 3);
  sourceObject = obj3336;
// Begin line 751
  setline(751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3655 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3656 = gc_frame_new();
// call case 4: self request
  Object call3657 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3656);
// compiled member node returning call3657 (depth = 4)
  Object call3658 = callmethodflags(call3657, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3655);
// compiled member node returning call3658 (depth = 3)
  adddatum2(obj3336, call3658, 4);
  sourceObject = obj3336;
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array3659 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3659 (depth = 3)
  adddatum2(obj3336, array3659, 5);
  sourceObject = obj3336;
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3660 = alloc_Boolean(0);
// compiled identifier node returning bool3660 (depth = 3)
  adddatum2(obj3336, bool3660, 6);
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  sourceObject = obj3336;
  objclass3336 = obj3336->class;
  objclass3336->definitionModule = modulename;
  objclass3336->definitionLine = 746;
  (*(struct UserObject *)self).data[0] = lowerouter3336;
  self = oldself3336;
  selfslot = oldselfslot3336;
  stackframe = oldstackframe3336;
  gc_frame_end(frame);
  return obj3336;
}
Object meth_ast_typeDecNode3662(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeDecNode;
}
Object meth_ast_new_40_3_41_scope_40_1_41_3665(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(3)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  Object params[3];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_signature = &(stackframe->slots[0]);
  *var_signature = args[curarg];
  curarg++;
  Object *var_body = &(stackframe->slots[1]);
  *var_body = args[curarg];
  curarg++;
  Object *var_dtype = &(stackframe->slots[2]);
  *var_dtype = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *var_s = &(stackframe->slots[3]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "result");
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3666 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  gc_frame_newslot(*var_signature);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_body (depth = 5)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 4: self request
  params[0] = *var_signature;
  params[1] = *var_body;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call3667 = callmethodflags(self, "new(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3666);
// compiled call node returning call3667 (depth = 4)
  *var_result = call3667;
  if (call3667 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3668 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call3669 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3668);
// compiled call node returning call3669 (depth = 3)
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast__apply_40_2_41_3686(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3688 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call3689 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe3688);
// compiled member node returning call3689 (depth = 6)
  int op_slot_right_3687 = gc_frame_newslot(call3689);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_3687 = gc_frame_newslot(*var_acc);
  params[0] = call3689;
  partcv[0] = 1;
  Object opresult3691 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3691 (depth = 5)
  gc_frame_end(frame);
  return opresult3691;
}
Object meth_ast_nameString3683(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3684 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3685 = alloc_Block(NULL, NULL, "ast", 857);
  gc_frame_newslot(block3685);
// method "_apply(_,_)"
  block_savedest(block3685);
  Object closure3686 = createclosure(1, "_apply(2)");
  setclosureframe(closure3686, stackframe);
  addtoclosure(closure3686, selfslot);
  struct UserObject *uo3686 = (struct UserObject*)block3685;
  uo3686->data[0] = (Object)closure3686;
  Method *meth_meth_ast__apply_40_2_41_3686 = addmethod2pos(block3685, "_apply(2)", &meth_ast__apply_40_2_41_3686, 0);
  int argcv_meth_ast__apply_40_2_41_3686[] = {2};
  meth_meth_ast__apply_40_2_41_3686->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_3686);
  meth_meth_ast__apply_40_2_41_3686->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_3686->definitionLine = 2947;
// compiled block node returning block3685 (depth = 4)
  gc_frame_newslot(block3685);
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3693 == NULL) {
    strlit3693 = alloc_String("");
    gc_root(strlit3693);
  }
// compiled string node returning strlit3693 (depth = 4)
  gc_frame_newslot(strlit3693);
// call case 6: other requests
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3694 = gc_frame_new();
// call case 4: self request
  Object call3695 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3694);
// compiled member node returning call3695 (depth = 4)
  params[0] = block3685;
  params[1] = strlit3693;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3696 = callmethodflags(call3695, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3684);
// compiled call node returning call3696 (depth = 3)
  gc_frame_end(frame);
  return call3696;
}
Object meth_ast_value3697(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "value");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3700 = gc_frame_new();
// call case 4: self request
  Object call3701 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3700);
// compiled member node returning call3701 (depth = 5)
  int op_slot_right_3699 = gc_frame_newslot(call3701);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_uninitialized (depth = 5)
  int op_slot_left_3699 = gc_frame_newslot(*var_uninitialized);
  params[0] = call3701;
  partcv[0] = 1;
  Object opresult3703 = callmethod(*var_uninitialized, "==(1)", 1, partcv, params);
// compiled op node returning opresult3703 (depth = 4)
  Object if3698 = done;
  if (istrue(opresult3703)) {
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3704 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe3705 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3706 = gc_frame_new();
// call case 4: self request
  Object call3707 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3706);
// compiled member node returning call3707 (depth = 6)
  gc_frame_newslot(call3707);
// starting to compile identifier node (depth = 6)
  Object bool3708 = alloc_Boolean(0);
// compiled identifier node returning bool3708 (depth = 6)
  gc_frame_newslot(bool3708);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_identifierNode (depth = 6)
  params[0] = call3707;
  params[1] = bool3708;
  partcv[0] = 2;
  Object call3709 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3705);
// compiled call node returning call3709 (depth = 5)
  gc_frame_newslot(call3709);
// call case 4: self request
  params[0] = call3709;
  partcv[0] = 1;
  Object call3710 = callmethodflags(self, "cachedIdentifier:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3704);
// compiled call node returning call3710 (depth = 4)
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3711 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3712 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3713 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3714 = gc_frame_new();
// call case 4: self request
  Object call3715 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3714);
// compiled member node returning call3715 (depth = 7)
  Object call3716 = callmethodflags(call3715, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3713);
// compiled member node returning call3716 (depth = 6)
  Object call3717 = callmethodflags(call3716, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3712);
// compiled member node returning call3717 (depth = 5)
  gc_frame_newslot(call3717);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3718 = gc_frame_new();
// call case 4: self request
  Object call3719 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3718);
// compiled member node returning call3719 (depth = 5)
  params[0] = call3717;
  partcv[0] = 1;
  Object call3720 = callmethodflags(call3719, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3711);
// compiled call node returning call3720 (depth = 4)
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3721 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3722 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3723 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3724 = gc_frame_new();
// call case 4: self request
  Object call3725 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3724);
// compiled member node returning call3725 (depth = 7)
  Object call3726 = callmethodflags(call3725, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3723);
// compiled member node returning call3726 (depth = 6)
  Object call3727 = callmethodflags(call3726, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3722);
// compiled member node returning call3727 (depth = 5)
  gc_frame_newslot(call3727);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3728 = gc_frame_new();
// call case 4: self request
  Object call3729 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3728);
// compiled member node returning call3729 (depth = 5)
  params[0] = call3727;
  partcv[0] = 1;
  Object call3730 = callmethodflags(call3729, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3721);
// compiled call node returning call3730 (depth = 4)
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3731 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool3732 = alloc_Boolean(1);
// compiled identifier node returning bool3732 (depth = 5)
  gc_frame_newslot(bool3732);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3733 = gc_frame_new();
// call case 4: self request
  Object call3734 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3733);
// compiled member node returning call3734 (depth = 5)
  params[0] = bool3732;
  partcv[0] = 1;
  Object call3735 = callmethodflags(call3734, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3731);
// compiled call node returning call3735 (depth = 4)
    gc_frame_newslot(call3735);
    if3698 = call3735;
  } else {
  }
// compiled if node returning if3698 (depth = 3)
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3736 = gc_frame_new();
// call case 4: self request
  Object call3737 = callmethodflags(self, "cachedIdentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3736);
// compiled member node returning call3737 (depth = 3)
  gc_frame_end(frame);
  return call3737;
}
Object meth_ast__apply_40_2_41_3741(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3743 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call3744 = callmethodflags(*var_each, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe3743);
// compiled member node returning call3744 (depth = 6)
  int op_slot_right_3742 = gc_frame_newslot(call3744);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_3742 = gc_frame_newslot(*var_acc);
  params[0] = call3744;
  partcv[0] = 1;
  Object opresult3746 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult3746 (depth = 5)
  gc_frame_end(frame);
  return opresult3746;
}
Object meth_ast_canonicalName3738(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3739 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3740 = alloc_Block(NULL, NULL, "ast", 870);
  gc_frame_newslot(block3740);
// method "_apply(_,_)"
  block_savedest(block3740);
  Object closure3741 = createclosure(1, "_apply(2)");
  setclosureframe(closure3741, stackframe);
  addtoclosure(closure3741, selfslot);
  struct UserObject *uo3741 = (struct UserObject*)block3740;
  uo3741->data[0] = (Object)closure3741;
  Method *meth_meth_ast__apply_40_2_41_3741 = addmethod2pos(block3740, "_apply(2)", &meth_ast__apply_40_2_41_3741, 0);
  int argcv_meth_ast__apply_40_2_41_3741[] = {2};
  meth_meth_ast__apply_40_2_41_3741->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_3741);
  meth_meth_ast__apply_40_2_41_3741->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_3741->definitionLine = 2947;
// compiled block node returning block3740 (depth = 4)
  gc_frame_newslot(block3740);
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit3748 == NULL) {
    strlit3748 = alloc_String("");
    gc_root(strlit3748);
  }
// compiled string node returning strlit3748 (depth = 4)
  gc_frame_newslot(strlit3748);
// call case 6: other requests
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3749 = gc_frame_new();
// call case 4: self request
  Object call3750 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3749);
// compiled member node returning call3750 (depth = 4)
  params[0] = block3740;
  params[1] = strlit3748;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3751 = callmethodflags(call3750, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3739);
// compiled call node returning call3751 (depth = 3)
  gc_frame_end(frame);
  return call3751;
}
Object meth_ast_hasParams3752(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3753 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3754 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3755 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3756 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3757 = gc_frame_new();
// call case 4: self request
  Object call3758 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3757);
// compiled member node returning call3758 (depth = 7)
  Object call3759 = callmethodflags(call3758, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3756);
// compiled member node returning call3759 (depth = 6)
  Object call3760 = callmethodflags(call3759, "params", 0, partcv, params, 0);
  gc_frame_end(callframe3755);
// compiled member node returning call3760 (depth = 5)
  Object call3761 = callmethodflags(call3760, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3754);
// compiled member node returning call3761 (depth = 4)
  Object call3762 = callmethodflags(call3761, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3753);
// compiled member node returning call3762 (depth = 3)
  gc_frame_end(frame);
  return call3762;
}
Object meth_ast_numParamLists3763(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numParamLists");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sigSz = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sigSz");
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3764 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3765 = gc_frame_new();
// call case 4: self request
  Object call3766 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3765);
// compiled member node returning call3766 (depth = 5)
  Object call3767 = callmethodflags(call3766, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3764);
// compiled member node returning call3767 (depth = 4)
  *var_sigSz = call3767;
  if (call3767 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3770 = alloc_Float64(1);
// compiled num node returning num3770 (depth = 5)
  int op_slot_right_3769 = gc_frame_newslot(num3770);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sigSz (depth = 5)
  int op_slot_left_3769 = gc_frame_newslot(*var_sigSz);
  params[0] = num3770;
  partcv[0] = 1;
  Object opresult3772 = callmethod(*var_sigSz, ">(1)", 1, partcv, params);
// compiled op node returning opresult3772 (depth = 4)
  Object if3768 = done;
  if (istrue(opresult3772)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sigSz (depth = 5)
  return *var_sigSz;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3768 = undefined;
  } else {
  }
// compiled if node returning if3768 (depth = 3)
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3774 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3775 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3776 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3777 = gc_frame_new();
// call case 4: self request
  Object call3778 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3777);
// compiled member node returning call3778 (depth = 7)
  Object call3779 = callmethodflags(call3778, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3776);
// compiled member node returning call3779 (depth = 6)
  Object call3780 = callmethodflags(call3779, "params", 0, partcv, params, 0);
  gc_frame_end(callframe3775);
// compiled member node returning call3780 (depth = 5)
  Object call3781 = callmethodflags(call3780, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3774);
// compiled member node returning call3781 (depth = 4)
  Object if3773 = done;
  if (istrue(call3781)) {
// starting to compile return node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3782 = alloc_Float64(0);
// compiled num node returning num3782 (depth = 5)
  return num3782;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3773 = undefined;
  } else {
  }
// compiled if node returning if3773 (depth = 3)
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3783 = alloc_Float64(1);
// compiled num node returning num3783 (depth = 4)
  return num3783;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_hasTypeParams3784(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasTypeParams");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3786 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3787 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3788 = gc_frame_new();
// call case 4: self request
  Object call3789 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3788);
// compiled member node returning call3789 (depth = 6)
  Object call3790 = callmethodflags(call3789, "first", 0, partcv, params, 0);
  gc_frame_end(callframe3787);
// compiled member node returning call3790 (depth = 5)
  Object call3791 = callmethodflags(call3790, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe3786);
// compiled member node returning call3791 (depth = 4)
  int op_slot_right_3785 = gc_frame_newslot(call3791);
// starting to compile identifier node (depth = 4)
  Object bool3793 = alloc_Boolean(0);
// compiled identifier node returning bool3793 (depth = 4)
  int op_slot_left_3785 = gc_frame_newslot(bool3793);
  params[0] = call3791;
  partcv[0] = 1;
  Object opresult3794 = callmethod(bool3793, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3794 (depth = 3)
  gc_frame_end(frame);
  return opresult3794;
}
Object meth_ast_isMethod3795(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3796 = alloc_Boolean(1);
// compiled identifier node returning bool3796 (depth = 3)
  gc_frame_end(frame);
  return bool3796;
}
Object meth_ast_isExecutable3797(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3798 = alloc_Boolean(0);
// compiled identifier node returning bool3798 (depth = 3)
  gc_frame_end(frame);
  return bool3798;
}
Object meth_ast_isLegalInTrait3799(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3800 = alloc_Boolean(1);
// compiled identifier node returning bool3800 (depth = 3)
  gc_frame_end(frame);
  return bool3800;
}
Object meth_ast_isClass3801(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isClass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3803 = gc_frame_new();
// call case 4: self request
  Object call3804 = callmethodflags(self, "usesClassSyntax", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3803);
// compiled member node returning call3804 (depth = 4)
  int op_slot_right_3802 = gc_frame_newslot(call3804);
// starting to compile member node (depth = 4)
  int callframe3806 = gc_frame_new();
// call case 4: self request
  Object call3807 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3806);
// compiled member node returning call3807 (depth = 4)
  int op_slot_left_3802 = gc_frame_newslot(call3807);
  params[0] = call3804;
  partcv[0] = 1;
  Object opresult3808 = callmethod(call3807, "||(1)", 1, partcv, params);
// compiled op node returning opresult3808 (depth = 3)
  gc_frame_end(frame);
  return opresult3808;
}
Object meth_ast_isTrait3809(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 888
  setline(888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3811 = gc_frame_new();
// call case 4: self request
  Object call3812 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3811);
// compiled member node returning call3812 (depth = 4)
  Object if3810 = done;
  if (istrue(call3812)) {
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3813 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3814 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3815 = gc_frame_new();
// call case 4: self request
  Object call3816 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3815);
// compiled member node returning call3816 (depth = 6)
  Object call3817 = callmethodflags(call3816, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3814);
// compiled member node returning call3817 (depth = 5)
  Object call3818 = callmethodflags(call3817, "isTrait", 0, partcv, params, 0);
  gc_frame_end(callframe3813);
// compiled member node returning call3818 (depth = 4)
    gc_frame_newslot(call3818);
    if3810 = call3818;
  } else {
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool3819 = alloc_Boolean(0);
// compiled identifier node returning bool3819 (depth = 4)
    gc_frame_newslot(bool3819);
    if3810 = bool3819;
  }
// compiled if node returning if3810 (depth = 3)
  gc_frame_end(frame);
  return if3810;
}
Object meth_ast__apply3830(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_p = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3832 == NULL) {
    strlit3832 = alloc_String("Unknown");
    gc_root(strlit3832);
  }
// compiled string node returning strlit3832 (depth = 11)
  int op_slot_right_3831 = gc_frame_newslot(strlit3832);
// starting to compile member node (depth = 11)
  int callframe3834 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe3835 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_p (depth = 13)
  Object call3836 = callmethodflags(*var_p, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe3835);
// compiled member node returning call3836 (depth = 12)
  Object call3837 = callmethodflags(call3836, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe3834);
// compiled member node returning call3837 (depth = 11)
  int op_slot_left_3831 = gc_frame_newslot(call3837);
  params[0] = strlit3832;
  partcv[0] = 1;
  Object opresult3838 = callmethod(call3837, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3838 (depth = 10)
  gc_frame_end(frame);
  return opresult3838;
}
Object meth_ast__apply_40_1_41_3826(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block3829 = alloc_Block(NULL, NULL, "ast", 897);
  gc_frame_newslot(block3829);
// method "_apply"
  block_savedest(block3829);
  Object closure3830 = createclosure(2, "_apply");
  setclosureframe(closure3830, stackframe);
  addtoclosure(closure3830, var_p);
  addtoclosure(closure3830, selfslot);
  struct UserObject *uo3830 = (struct UserObject*)block3829;
  uo3830->data[0] = (Object)closure3830;
  Method *meth_meth_ast__apply3830 = addmethod2pos(block3829, "_apply", &meth_ast__apply3830, 0);
  int argcv_meth_ast__apply3830[] = {0};
  meth_meth_ast__apply3830->type = alloc_MethodType(1, argcv_meth_ast__apply3830);
  meth_meth_ast__apply3830->definitionModule = modulename;
  meth_meth_ast__apply3830->definitionLine = 2947;
// compiled block node returning block3829 (depth = 9)
  int op_slot_right_3828 = gc_frame_newslot(block3829);
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe3842 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  Object call3843 = callmethodflags(*var_p, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe3842);
// compiled member node returning call3843 (depth = 10)
  int op_slot_right_3841 = gc_frame_newslot(call3843);
// starting to compile identifier node (depth = 10)
  Object bool3845 = alloc_Boolean(0);
// compiled identifier node returning bool3845 (depth = 10)
  int op_slot_left_3841 = gc_frame_newslot(bool3845);
  params[0] = call3843;
  partcv[0] = 1;
  Object opresult3846 = callmethod(bool3845, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3846 (depth = 9)
  int op_slot_left_3828 = gc_frame_newslot(opresult3846);
  params[0] = block3829;
  partcv[0] = 1;
  Object opresult3847 = callmethod(opresult3846, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3847 (depth = 8)
  Object if3827 = done;
  if (istrue(opresult3847)) {
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool3848 = alloc_Boolean(1);
// compiled identifier node returning bool3848 (depth = 9)
  block_return(realself, bool3848);
// compiled return node returning undefined (depth = 8)
    gc_frame_newslot(undefined);
    if3827 = undefined;
  } else {
  }
// compiled if node returning if3827 (depth = 7)
  gc_frame_end(frame);
  return if3827;
}
Object meth_ast__apply_40_1_41_3823(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3824 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3825 = alloc_Block(NULL, NULL, "ast", 896);
  gc_frame_newslot(block3825);
// method "_apply(_)"
  block_savedest(block3825);
  Object closure3826 = createclosure(1, "_apply(1)");
  setclosureframe(closure3826, stackframe);
  addtoclosure(closure3826, selfslot);
  struct UserObject *uo3826 = (struct UserObject*)block3825;
  uo3826->data[0] = (Object)closure3826;
  Method *meth_meth_ast__apply_40_1_41_3826 = addmethod2pos(block3825, "_apply(1)", &meth_ast__apply_40_1_41_3826, 0);
  int argcv_meth_ast__apply_40_1_41_3826[] = {1};
  meth_meth_ast__apply_40_1_41_3826->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3826);
  meth_meth_ast__apply_40_1_41_3826->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3826->definitionLine = 2947;
// compiled block node returning block3825 (depth = 6)
  gc_frame_newslot(block3825);
// call case 6: other requests
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3850 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call3851 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe3850);
// compiled member node returning call3851 (depth = 6)
  params[0] = block3825;
  partcv[0] = 1;
  Object call3852 = callmethodflags(call3851, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3824);
// compiled call node returning call3852 (depth = 5)
  gc_frame_end(frame);
  return call3852;
}
Object meth_ast_needsArgChecks3820(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "needsArgChecks");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3821 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3822 = alloc_Block(NULL, NULL, "ast", 895);
  gc_frame_newslot(block3822);
// method "_apply(_)"
  block_savedest(block3822);
  Object closure3823 = createclosure(1, "_apply(1)");
  setclosureframe(closure3823, stackframe);
  addtoclosure(closure3823, selfslot);
  struct UserObject *uo3823 = (struct UserObject*)block3822;
  uo3823->data[0] = (Object)closure3823;
  Method *meth_meth_ast__apply_40_1_41_3823 = addmethod2pos(block3822, "_apply(1)", &meth_ast__apply_40_1_41_3823, 0);
  int argcv_meth_ast__apply_40_1_41_3823[] = {1};
  meth_meth_ast__apply_40_1_41_3823->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3823);
  meth_meth_ast__apply_40_1_41_3823->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3823->definitionLine = 2947;
// compiled block node returning block3822 (depth = 4)
  gc_frame_newslot(block3822);
// call case 6: other requests
// Begin line 895
  setline(895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3854 = gc_frame_new();
// call case 4: self request
  Object call3855 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3854);
// compiled member node returning call3855 (depth = 4)
  params[0] = block3822;
  partcv[0] = 1;
  Object call3856 = callmethodflags(call3855, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3821);
// compiled call node returning call3856 (depth = 3)
// Begin line 903
  setline(903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool3857 = alloc_Boolean(0);
// compiled identifier node returning bool3857 (depth = 4)
  return bool3857;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_scope_58__61__40_1_41_3858(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3859 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call3860 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3859);
// compiled call node returning call3860 (depth = 3)
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3861 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call3862 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3861);
// compiled call node returning call3862 (depth = 3)
  gc_frame_end(frame);
  return call3862;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_3863(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call3865 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe3864);
// compiled member node returning call3865 (depth = 3)
  gc_frame_end(frame);
  return call3865;
}
Object meth_ast_isConfidential3866(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isConfidential");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3869 = alloc_Float64(0);
// compiled num node returning num3869 (depth = 5)
  int op_slot_right_3868 = gc_frame_newslot(num3869);
// starting to compile member node (depth = 5)
  int callframe3871 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3872 = gc_frame_new();
// call case 4: self request
  Object call3873 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3872);
// compiled member node returning call3873 (depth = 6)
  Object call3874 = callmethodflags(call3873, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3871);
// compiled member node returning call3874 (depth = 5)
  int op_slot_left_3868 = gc_frame_newslot(call3874);
  params[0] = num3869;
  partcv[0] = 1;
  Object opresult3875 = callmethod(call3874, "==(1)", 1, partcv, params);
// compiled op node returning opresult3875 (depth = 4)
  Object if3867 = done;
  if (istrue(opresult3875)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool3876 = alloc_Boolean(0);
// compiled identifier node returning bool3876 (depth = 5)
  return bool3876;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if3867 = undefined;
  } else {
  }
// compiled if node returning if3867 (depth = 3)
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3877 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit3878 == NULL) {
    strlit3878 = alloc_String("confidential");
    gc_root(strlit3878);
  }
// compiled string node returning strlit3878 (depth = 4)
  gc_frame_newslot(strlit3878);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3879 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3880 = gc_frame_new();
// call case 3: self.outer request
  Object call3881 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe3880);
// compiled member node returning call3881 (depth = 5)
  Object call3882 = callmethodflags(call3881, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe3879);
// compiled member node returning call3882 (depth = 4)
  params[0] = self;
  params[1] = strlit3878;
  partcv[0] = 2;
  Object call3883 = callmethodflags(call3882, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3877);
// compiled call node returning call3883 (depth = 3)
  gc_frame_end(frame);
  return call3883;
}
Object meth_ast_isPublic3884(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3885 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3886 = gc_frame_new();
// call case 4: self request
  Object call3887 = callmethodflags(self, "isConfidential", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3886);
// compiled member node returning call3887 (depth = 4)
  Object call3888 = callmethodflags(call3887, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3885);
// compiled member node returning call3888 (depth = 3)
  gc_frame_end(frame);
  return call3888;
}
Object meth_ast_isWritable3889(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool3890 = alloc_Boolean(0);
// compiled identifier node returning bool3890 (depth = 3)
  gc_frame_end(frame);
  return bool3890;
}
Object meth_ast_isReadable3891(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3892 = gc_frame_new();
// call case 4: self request
  Object call3893 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3892);
// compiled member node returning call3893 (depth = 3)
  gc_frame_end(frame);
  return call3893;
}
Object meth_ast_usesAsType_40_1_41_3894(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3896 = gc_frame_new();
// call case 4: self request
  Object call3897 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3896);
// compiled member node returning call3897 (depth = 4)
  int op_slot_right_3895 = gc_frame_newslot(call3897);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_3895 = gc_frame_newslot(*var_aNode);
  params[0] = call3897;
  partcv[0] = 1;
  Object opresult3899 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult3899 (depth = 3)
  gc_frame_end(frame);
  return opresult3899;
}
Object meth_ast__apply3903(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe3904 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3905 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3906 = gc_frame_new();
// call case 4: self request
  Object call3907 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3906);
// compiled member node returning call3907 (depth = 7)
  Object call3908 = callmethodflags(call3907, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3905);
// compiled member node returning call3908 (depth = 6)
  Object call3909 = callmethodflags(call3908, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe3904);
// compiled member node returning call3909 (depth = 5)
  gc_frame_end(frame);
  return call3909;
}
Object meth_ast_returnsObject3900(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block3902 = alloc_Block(NULL, NULL, "ast", 923);
  gc_frame_newslot(block3902);
// method "_apply"
  block_savedest(block3902);
  Object closure3903 = createclosure(1, "_apply");
  setclosureframe(closure3903, stackframe);
  addtoclosure(closure3903, selfslot);
  struct UserObject *uo3903 = (struct UserObject*)block3902;
  uo3903->data[0] = (Object)closure3903;
  Method *meth_meth_ast__apply3903 = addmethod2pos(block3902, "_apply", &meth_ast__apply3903, 0);
  int argcv_meth_ast__apply3903[] = {0};
  meth_meth_ast__apply3903->type = alloc_MethodType(1, argcv_meth_ast__apply3903);
  meth_meth_ast__apply3903->definitionModule = modulename;
  meth_meth_ast__apply3903->definitionLine = 2947;
// compiled block node returning block3902 (depth = 4)
  int op_slot_right_3901 = gc_frame_newslot(block3902);
// starting to compile member node (depth = 4)
  int callframe3912 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3913 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3914 = gc_frame_new();
// call case 4: self request
  Object call3915 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3914);
// compiled member node returning call3915 (depth = 6)
  Object call3916 = callmethodflags(call3915, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe3913);
// compiled member node returning call3916 (depth = 5)
  Object call3917 = callmethodflags(call3916, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3912);
// compiled member node returning call3917 (depth = 4)
  int op_slot_left_3901 = gc_frame_newslot(call3917);
  params[0] = block3902;
  partcv[0] = 1;
  Object opresult3918 = callmethod(call3917, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3918 (depth = 3)
  gc_frame_end(frame);
  return opresult3918;
}
Object meth_ast_returnedObjectScope3919(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3920 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe3921 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3922 = gc_frame_new();
// call case 4: self request
  Object call3923 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3922);
// compiled member node returning call3923 (depth = 5)
  Object call3924 = callmethodflags(call3923, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3921);
// compiled member node returning call3924 (depth = 4)
  Object call3925 = callmethodflags(call3924, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe3920);
// compiled member node returning call3925 (depth = 3)
  gc_frame_end(frame);
  return call3925;
}
Object meth_ast__apply_40_1_41_3956(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3957 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_visitor (depth = 9)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newChain (depth = 9)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_p (depth = 9)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3958 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3957);
// compiled call node returning call3958 (depth = 8)
  gc_frame_end(frame);
  return call3958;
}
Object meth_ast__apply_40_1_41_3951(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3952 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3953 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call3954 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe3953);
// compiled member node returning call3954 (depth = 7)
  gc_frame_newslot(call3954);
// starting to compile block node (depth = 7)
  Object block3955 = alloc_Block(NULL, NULL, "ast", 937);
  gc_frame_newslot(block3955);
// method "_apply(_)"
  block_savedest(block3955);
  Object closure3956 = createclosure(3, "_apply(1)");
  setclosureframe(closure3956, stackframe);
  addtoclosure(closure3956, var_visitor);
  addtoclosure(closure3956, var_newChain);
  addtoclosure(closure3956, selfslot);
  struct UserObject *uo3956 = (struct UserObject*)block3955;
  uo3956->data[0] = (Object)closure3956;
  Method *meth_meth_ast__apply_40_1_41_3956 = addmethod2pos(block3955, "_apply(1)", &meth_ast__apply_40_1_41_3956, 0);
  int argcv_meth_ast__apply_40_1_41_3956[] = {1};
  meth_meth_ast__apply_40_1_41_3956->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3956);
  meth_meth_ast__apply_40_1_41_3956->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3956->definitionLine = 2947;
// compiled block node returning block3955 (depth = 7)
  gc_frame_newslot(block3955);
// call case 5: prelude request
  params[0] = call3954;
  params[1] = block3955;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3960 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3952);
// compiled call node returning call3960 (depth = 6)
  gc_frame_end(frame);
  return call3960;
}
Object meth_ast__apply_40_1_41_3978(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3979 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3980 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3979);
// compiled call node returning call3980 (depth = 6)
  gc_frame_end(frame);
  return call3980;
}
Object meth_ast__apply_40_1_41_3987(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3988 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mx (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3989 = callmethodflags(*var_mx, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3988);
// compiled call node returning call3989 (depth = 6)
  gc_frame_end(frame);
  return call3989;
}
Object meth_ast_accept_40_1_41_from_40_1_41_3926(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3928 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3929 = callmethodflags(*var_visitor, "visitMethod(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3928);
// compiled call node returning call3929 (depth = 4)
  Object if3927 = done;
  if (istrue(call3929)) {
// Begin line 931
  setline(931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3930 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call3931 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3930);
// compiled call node returning call3931 (depth = 5)
  *var_newChain = call3931;
  if (call3931 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3932 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3933 = gc_frame_new();
// call case 4: self request
  Object call3934 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3933);
// compiled member node returning call3934 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3935 = callmethodflags(call3934, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3932);
// compiled call node returning call3935 (depth = 4)
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3938 = gc_frame_new();
// call case 4: self request
  Object call3939 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3938);
// compiled member node returning call3939 (depth = 6)
  int op_slot_right_3937 = gc_frame_newslot(call3939);
// starting to compile identifier node (depth = 6)
  Object bool3941 = alloc_Boolean(0);
// compiled identifier node returning bool3941 (depth = 6)
  int op_slot_left_3937 = gc_frame_newslot(bool3941);
  params[0] = call3939;
  partcv[0] = 1;
  Object opresult3942 = callmethod(bool3941, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3942 (depth = 5)
  Object if3936 = done;
  if (istrue(opresult3942)) {
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3943 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3944 = gc_frame_new();
// call case 4: self request
  Object call3945 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3944);
// compiled member node returning call3945 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3946 = callmethodflags(call3945, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3943);
// compiled call node returning call3946 (depth = 5)
    gc_frame_newslot(call3946);
    if3936 = call3946;
  } else {
  }
// compiled if node returning if3936 (depth = 4)
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3947 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3948 = gc_frame_new();
// call case 4: self request
  Object call3949 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3948);
// compiled member node returning call3949 (depth = 5)
  gc_frame_newslot(call3949);
// starting to compile block node (depth = 5)
  Object block3950 = alloc_Block(NULL, NULL, "ast", 936);
  gc_frame_newslot(block3950);
// method "_apply(_)"
  block_savedest(block3950);
  Object closure3951 = createclosure(3, "_apply(1)");
  setclosureframe(closure3951, stackframe);
  addtoclosure(closure3951, var_visitor);
  addtoclosure(closure3951, var_newChain);
  addtoclosure(closure3951, selfslot);
  struct UserObject *uo3951 = (struct UserObject*)block3950;
  uo3951->data[0] = (Object)closure3951;
  Method *meth_meth_ast__apply_40_1_41_3951 = addmethod2pos(block3950, "_apply(1)", &meth_ast__apply_40_1_41_3951, 0);
  int argcv_meth_ast__apply_40_1_41_3951[] = {1};
  meth_meth_ast__apply_40_1_41_3951->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3951);
  meth_meth_ast__apply_40_1_41_3951->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3951->definitionLine = 2947;
// compiled block node returning block3950 (depth = 5)
  gc_frame_newslot(block3950);
// call case 5: prelude request
  params[0] = call3949;
  params[1] = block3950;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3962 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3947);
// compiled call node returning call3962 (depth = 4)
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3965 = gc_frame_new();
// call case 4: self request
  Object call3966 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3965);
// compiled member node returning call3966 (depth = 6)
  int op_slot_right_3964 = gc_frame_newslot(call3966);
// starting to compile identifier node (depth = 6)
  Object bool3968 = alloc_Boolean(0);
// compiled identifier node returning bool3968 (depth = 6)
  int op_slot_left_3964 = gc_frame_newslot(bool3968);
  params[0] = call3966;
  partcv[0] = 1;
  Object opresult3969 = callmethod(bool3968, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3969 (depth = 5)
  Object if3963 = done;
  if (istrue(opresult3969)) {
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3970 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3971 = gc_frame_new();
// call case 4: self request
  Object call3972 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3971);
// compiled member node returning call3972 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3973 = callmethodflags(call3972, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3970);
// compiled call node returning call3973 (depth = 5)
    gc_frame_newslot(call3973);
    if3963 = call3973;
  } else {
  }
// compiled if node returning if3963 (depth = 4)
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3974 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3975 = gc_frame_new();
// call case 4: self request
  Object call3976 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3975);
// compiled member node returning call3976 (depth = 5)
  gc_frame_newslot(call3976);
// starting to compile block node (depth = 5)
  Object block3977 = alloc_Block(NULL, NULL, "ast", 944);
  gc_frame_newslot(block3977);
// method "_apply(_)"
  block_savedest(block3977);
  Object closure3978 = createclosure(3, "_apply(1)");
  setclosureframe(closure3978, stackframe);
  addtoclosure(closure3978, var_visitor);
  addtoclosure(closure3978, var_newChain);
  addtoclosure(closure3978, selfslot);
  struct UserObject *uo3978 = (struct UserObject*)block3977;
  uo3978->data[0] = (Object)closure3978;
  Method *meth_meth_ast__apply_40_1_41_3978 = addmethod2pos(block3977, "_apply(1)", &meth_ast__apply_40_1_41_3978, 0);
  int argcv_meth_ast__apply_40_1_41_3978[] = {1};
  meth_meth_ast__apply_40_1_41_3978->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3978);
  meth_meth_ast__apply_40_1_41_3978->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3978->definitionLine = 2947;
// compiled block node returning block3977 (depth = 5)
  gc_frame_newslot(block3977);
// call case 5: prelude request
  params[0] = call3976;
  params[1] = block3977;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3982 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3974);
// compiled call node returning call3982 (depth = 4)
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3983 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3984 = gc_frame_new();
// call case 4: self request
  Object call3985 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3984);
// compiled member node returning call3985 (depth = 5)
  gc_frame_newslot(call3985);
// starting to compile block node (depth = 5)
  Object block3986 = alloc_Block(NULL, NULL, "ast", 947);
  gc_frame_newslot(block3986);
// method "_apply(_)"
  block_savedest(block3986);
  Object closure3987 = createclosure(3, "_apply(1)");
  setclosureframe(closure3987, stackframe);
  addtoclosure(closure3987, var_visitor);
  addtoclosure(closure3987, var_newChain);
  addtoclosure(closure3987, selfslot);
  struct UserObject *uo3987 = (struct UserObject*)block3986;
  uo3987->data[0] = (Object)closure3987;
  Method *meth_meth_ast__apply_40_1_41_3987 = addmethod2pos(block3986, "_apply(1)", &meth_ast__apply_40_1_41_3987, 0);
  int argcv_meth_ast__apply_40_1_41_3987[] = {1};
  meth_meth_ast__apply_40_1_41_3987->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_3987);
  meth_meth_ast__apply_40_1_41_3987->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_3987->definitionLine = 2947;
// compiled block node returning block3986 (depth = 5)
  gc_frame_newslot(block3986);
// call case 5: prelude request
  params[0] = call3985;
  params[1] = block3986;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3991 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3983);
// compiled call node returning call3991 (depth = 4)
    gc_frame_newslot(call3991);
    if3927 = call3991;
  } else {
  }
// compiled if node returning if3927 (depth = 3)
  gc_frame_end(frame);
  return if3927;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_3992(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3993 = gc_frame_new();
// call case 4: self request
  Object call3994 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3993);
// compiled member node returning call3994 (depth = 4)
  *var_n = call3994;
  if (call3994 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3995 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call3996 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3995);
// compiled call node returning call3996 (depth = 4)
  *var_newChain = call3996;
  if (call3996 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3997 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3998 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3999 = gc_frame_new();
// call case 4: self request
  Object call4000 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3999);
// compiled member node returning call4000 (depth = 5)
  gc_frame_newslot(call4000);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4001 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4002 = gc_frame_new();
// call case 3: self.outer request
  Object call4003 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4002);
// compiled member node returning call4003 (depth = 6)
  Object call4004 = callmethodflags(call4003, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4001);
// compiled member node returning call4004 (depth = 5)
  params[0] = call4000;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4005 = callmethodflags(call4004, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3998);
// compiled call node returning call4005 (depth = 4)
  gc_frame_newslot(call4005);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4005;
  partcv[0] = 1;
  Object call4006 = callmethodflags(*var_n, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3997);
// compiled call node returning call4006 (depth = 3)
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4007 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4008 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4009 = gc_frame_new();
// call case 4: self request
  Object call4010 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4009);
// compiled member node returning call4010 (depth = 5)
  gc_frame_newslot(call4010);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4011 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4012 = gc_frame_new();
// call case 3: self.outer request
  Object call4013 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4012);
// compiled member node returning call4013 (depth = 6)
  Object call4014 = callmethodflags(call4013, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4011);
// compiled member node returning call4014 (depth = 5)
  params[0] = call4010;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4015 = callmethodflags(call4014, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4008);
// compiled call node returning call4015 (depth = 4)
  gc_frame_newslot(call4015);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4015;
  partcv[0] = 1;
  Object call4016 = callmethodflags(*var_n, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4007);
// compiled call node returning call4016 (depth = 3)
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4017 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4018 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4019 = gc_frame_new();
// call case 4: self request
  Object call4020 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4019);
// compiled member node returning call4020 (depth = 5)
  gc_frame_newslot(call4020);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4021 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4022 = gc_frame_new();
// call case 3: self.outer request
  Object call4023 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4022);
// compiled member node returning call4023 (depth = 6)
  Object call4024 = callmethodflags(call4023, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4021);
// compiled member node returning call4024 (depth = 5)
  params[0] = call4020;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4025 = callmethodflags(call4024, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4018);
// compiled call node returning call4025 (depth = 4)
  gc_frame_newslot(call4025);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4025;
  partcv[0] = 1;
  Object call4026 = callmethodflags(*var_n, "signature:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4017);
// compiled call node returning call4026 (depth = 3)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4027 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4028 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4029 = gc_frame_new();
// call case 4: self request
  Object call4030 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4029);
// compiled member node returning call4030 (depth = 5)
  gc_frame_newslot(call4030);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4031 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4032 = gc_frame_new();
// call case 3: self.outer request
  Object call4033 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4032);
// compiled member node returning call4033 (depth = 6)
  Object call4034 = callmethodflags(call4033, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4031);
// compiled member node returning call4034 (depth = 5)
  params[0] = call4030;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4035 = callmethodflags(call4034, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4028);
// compiled call node returning call4035 (depth = 4)
  gc_frame_newslot(call4035);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4035;
  partcv[0] = 1;
  Object call4036 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4027);
// compiled call node returning call4036 (depth = 3)
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4037 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4038 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4039 = gc_frame_new();
// call case 4: self request
  Object call4040 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4039);
// compiled member node returning call4040 (depth = 5)
  gc_frame_newslot(call4040);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4041 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4042 = gc_frame_new();
// call case 3: self.outer request
  Object call4043 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4042);
// compiled member node returning call4043 (depth = 6)
  Object call4044 = callmethodflags(call4043, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4041);
// compiled member node returning call4044 (depth = 5)
  params[0] = call4040;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4045 = callmethodflags(call4044, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4038);
// compiled call node returning call4045 (depth = 4)
  gc_frame_newslot(call4045);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4045;
  partcv[0] = 1;
  Object call4046 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4037);
// compiled call node returning call4046 (depth = 3)
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4047 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call4048 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4047);
// compiled call node returning call4048 (depth = 3)
  gc_frame_end(frame);
  return call4048;
}
Object meth_ast__apply_40_1_41_4057(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4059 == NULL) {
    strlit4059 = alloc_String("  ");
    gc_root(strlit4059);
  }
// compiled string node returning strlit4059 (depth = 7)
  int op_slot_right_4058 = gc_frame_newslot(strlit4059);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_4058 = gc_frame_newslot(*var_spc);
  params[0] = strlit4059;
  partcv[0] = 1;
  Object opresult4061 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4061 (depth = 6)
  *var_spc = opresult4061;
  if (opresult4061 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_4209(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 979
  setline(979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4211 == NULL) {
    strlit4211 = alloc_String("");
    gc_root(strlit4211);
  }
// compiled string node returning strlit4211 (depth = 9)
  int op_slot_right_4210 = gc_frame_newslot(strlit4211);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4214 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4216 = alloc_Float64(4);
// compiled num node returning num4216 (depth = 12)
  int op_slot_right_4215 = gc_frame_newslot(num4216);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4215 = gc_frame_newslot(*var_depth);
  params[0] = num4216;
  partcv[0] = 1;
  Object sum4218 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4218 (depth = 11)
  gc_frame_newslot(sum4218);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = sum4218;
  partcv[0] = 1;
  Object call4219 = callmethodflags(*var_p, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4214);
// compiled call node returning call4219 (depth = 10)
  int op_slot_right_4213 = gc_frame_newslot(call4219);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4222 == NULL) {
    strlit4222 = alloc_String("");
    gc_root(strlit4222);
  }
// compiled string node returning strlit4222 (depth = 11)
  int op_slot_right_4221 = gc_frame_newslot(strlit4222);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_spc (depth = 12)
  int op_slot_right_4224 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit4227 == NULL) {
    strlit4227 = alloc_String("""\x0a""      ");
    gc_root(strlit4227);
  }
// compiled string node returning strlit4227 (depth = 13)
  int op_slot_right_4226 = gc_frame_newslot(strlit4227);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_s (depth = 14)
  int op_slot_right_4229 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 14)
  if (strlit4231 == NULL) {
    strlit4231 = alloc_String("");
    gc_root(strlit4231);
  }
// compiled string node returning strlit4231 (depth = 14)
  int op_slot_left_4229 = gc_frame_newslot(strlit4231);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4232 = callmethod(strlit4231, "++(1)", 1, partcv, params);
// compiled op node returning opresult4232 (depth = 13)
  int op_slot_left_4226 = gc_frame_newslot(opresult4232);
  params[0] = strlit4227;
  partcv[0] = 1;
  Object opresult4233 = callmethod(opresult4232, "++(1)", 1, partcv, params);
// compiled op node returning opresult4233 (depth = 12)
  int op_slot_left_4224 = gc_frame_newslot(opresult4233);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4234 = callmethod(opresult4233, "++(1)", 1, partcv, params);
// compiled op node returning opresult4234 (depth = 11)
  int op_slot_left_4221 = gc_frame_newslot(opresult4234);
  params[0] = strlit4222;
  partcv[0] = 1;
  Object opresult4235 = callmethod(opresult4234, "++(1)", 1, partcv, params);
// compiled op node returning opresult4235 (depth = 10)
  int op_slot_left_4213 = gc_frame_newslot(opresult4235);
  params[0] = call4219;
  partcv[0] = 1;
  Object opresult4236 = callmethod(opresult4235, "++(1)", 1, partcv, params);
// compiled op node returning opresult4236 (depth = 9)
  int op_slot_left_4210 = gc_frame_newslot(opresult4236);
  params[0] = strlit4211;
  partcv[0] = 1;
  Object opresult4237 = callmethod(opresult4236, "++(1)", 1, partcv, params);
// compiled op node returning opresult4237 (depth = 8)
  *var_s = opresult4237;
  if (opresult4237 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_4163(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4165 == NULL) {
    strlit4165 = alloc_String("");
    gc_root(strlit4165);
  }
// compiled string node returning strlit4165 (depth = 7)
  int op_slot_right_4164 = gc_frame_newslot(strlit4165);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe4168 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4169 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe4168);
// compiled member node returning call4169 (depth = 8)
  int op_slot_right_4167 = gc_frame_newslot(call4169);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4172 == NULL) {
    strlit4172 = alloc_String("Part: ");
    gc_root(strlit4172);
  }
// compiled string node returning strlit4172 (depth = 9)
  int op_slot_right_4171 = gc_frame_newslot(strlit4172);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_4174 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4177 == NULL) {
    strlit4177 = alloc_String("""\x0a""  ");
    gc_root(strlit4177);
  }
// compiled string node returning strlit4177 (depth = 11)
  int op_slot_right_4176 = gc_frame_newslot(strlit4177);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_4179 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit4181 == NULL) {
    strlit4181 = alloc_String("");
    gc_root(strlit4181);
  }
// compiled string node returning strlit4181 (depth = 12)
  int op_slot_left_4179 = gc_frame_newslot(strlit4181);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4182 = callmethod(strlit4181, "++(1)", 1, partcv, params);
// compiled op node returning opresult4182 (depth = 11)
  int op_slot_left_4176 = gc_frame_newslot(opresult4182);
  params[0] = strlit4177;
  partcv[0] = 1;
  Object opresult4183 = callmethod(opresult4182, "++(1)", 1, partcv, params);
// compiled op node returning opresult4183 (depth = 10)
  int op_slot_left_4174 = gc_frame_newslot(opresult4183);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4184 = callmethod(opresult4183, "++(1)", 1, partcv, params);
// compiled op node returning opresult4184 (depth = 9)
  int op_slot_left_4171 = gc_frame_newslot(opresult4184);
  params[0] = strlit4172;
  partcv[0] = 1;
  Object opresult4185 = callmethod(opresult4184, "++(1)", 1, partcv, params);
// compiled op node returning opresult4185 (depth = 8)
  int op_slot_left_4167 = gc_frame_newslot(opresult4185);
  params[0] = call4169;
  partcv[0] = 1;
  Object opresult4186 = callmethod(opresult4185, "++(1)", 1, partcv, params);
// compiled op node returning opresult4186 (depth = 7)
  int op_slot_left_4164 = gc_frame_newslot(opresult4186);
  params[0] = strlit4165;
  partcv[0] = 1;
  Object opresult4187 = callmethod(opresult4186, "++(1)", 1, partcv, params);
// compiled op node returning opresult4187 (depth = 6)
  *var_s = opresult4187;
  if (opresult4187 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4190 == NULL) {
    strlit4190 = alloc_String("Parameters:");
    gc_root(strlit4190);
  }
// compiled string node returning strlit4190 (depth = 7)
  int op_slot_right_4189 = gc_frame_newslot(strlit4190);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4192 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4195 == NULL) {
    strlit4195 = alloc_String("""\x0a""    ");
    gc_root(strlit4195);
  }
// compiled string node returning strlit4195 (depth = 9)
  int op_slot_right_4194 = gc_frame_newslot(strlit4195);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_4197 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit4199 == NULL) {
    strlit4199 = alloc_String("");
    gc_root(strlit4199);
  }
// compiled string node returning strlit4199 (depth = 10)
  int op_slot_left_4197 = gc_frame_newslot(strlit4199);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4200 = callmethod(strlit4199, "++(1)", 1, partcv, params);
// compiled op node returning opresult4200 (depth = 9)
  int op_slot_left_4194 = gc_frame_newslot(opresult4200);
  params[0] = strlit4195;
  partcv[0] = 1;
  Object opresult4201 = callmethod(opresult4200, "++(1)", 1, partcv, params);
// compiled op node returning opresult4201 (depth = 8)
  int op_slot_left_4192 = gc_frame_newslot(opresult4201);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4202 = callmethod(opresult4201, "++(1)", 1, partcv, params);
// compiled op node returning opresult4202 (depth = 7)
  int op_slot_left_4189 = gc_frame_newslot(opresult4202);
  params[0] = strlit4190;
  partcv[0] = 1;
  Object opresult4203 = callmethod(opresult4202, "++(1)", 1, partcv, params);
// compiled op node returning opresult4203 (depth = 6)
  *var_s = opresult4203;
  if (opresult4203 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 978
  setline(978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4205 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4206 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call4207 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4206);
// compiled member node returning call4207 (depth = 6)
  gc_frame_newslot(call4207);
// starting to compile block node (depth = 6)
  Object block4208 = alloc_Block(NULL, NULL, "ast", 978);
  gc_frame_newslot(block4208);
// method "_apply(_)"
  block_savedest(block4208);
  Object closure4209 = createclosure(4, "_apply(1)");
  setclosureframe(closure4209, stackframe);
  addtoclosure(closure4209, var_depth);
  addtoclosure(closure4209, var_spc);
  addtoclosure(closure4209, var_s);
  addtoclosure(closure4209, selfslot);
  struct UserObject *uo4209 = (struct UserObject*)block4208;
  uo4209->data[0] = (Object)closure4209;
  Method *meth_meth_ast__apply_40_1_41_4209 = addmethod2pos(block4208, "_apply(1)", &meth_ast__apply_40_1_41_4209, 0);
  int argcv_meth_ast__apply_40_1_41_4209[] = {1};
  meth_meth_ast__apply_40_1_41_4209->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4209);
  meth_meth_ast__apply_40_1_41_4209->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4209->definitionLine = 2947;
// compiled block node returning block4208 (depth = 6)
  gc_frame_newslot(block4208);
// call case 5: prelude request
  params[0] = call4207;
  params[1] = block4208;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4240 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4205);
// compiled call node returning call4240 (depth = 5)
  gc_frame_end(frame);
  return call4240;
}
Object meth_ast__apply_40_1_41_4273(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4275 == NULL) {
    strlit4275 = alloc_String("");
    gc_root(strlit4275);
  }
// compiled string node returning strlit4275 (depth = 8)
  int op_slot_right_4274 = gc_frame_newslot(strlit4275);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4278 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num4279 = alloc_Float64(0);
// compiled num node returning num4279 (depth = 10)
  gc_frame_newslot(num4279);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_g (depth = 10)
  params[0] = num4279;
  partcv[0] = 1;
  Object call4280 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4278);
// compiled call node returning call4280 (depth = 9)
  int op_slot_right_4277 = gc_frame_newslot(call4280);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4283 == NULL) {
    strlit4283 = alloc_String("  ");
    gc_root(strlit4283);
  }
// compiled string node returning strlit4283 (depth = 10)
  int op_slot_right_4282 = gc_frame_newslot(strlit4283);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_4285 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4288 == NULL) {
    strlit4288 = alloc_String("""\x0a""");
    gc_root(strlit4288);
  }
// compiled string node returning strlit4288 (depth = 12)
  int op_slot_right_4287 = gc_frame_newslot(strlit4288);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_4290 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit4292 == NULL) {
    strlit4292 = alloc_String("");
    gc_root(strlit4292);
  }
// compiled string node returning strlit4292 (depth = 13)
  int op_slot_left_4290 = gc_frame_newslot(strlit4292);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4293 = callmethod(strlit4292, "++(1)", 1, partcv, params);
// compiled op node returning opresult4293 (depth = 12)
  int op_slot_left_4287 = gc_frame_newslot(opresult4293);
  params[0] = strlit4288;
  partcv[0] = 1;
  Object opresult4294 = callmethod(opresult4293, "++(1)", 1, partcv, params);
// compiled op node returning opresult4294 (depth = 11)
  int op_slot_left_4285 = gc_frame_newslot(opresult4294);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4295 = callmethod(opresult4294, "++(1)", 1, partcv, params);
// compiled op node returning opresult4295 (depth = 10)
  int op_slot_left_4282 = gc_frame_newslot(opresult4295);
  params[0] = strlit4283;
  partcv[0] = 1;
  Object opresult4296 = callmethod(opresult4295, "++(1)", 1, partcv, params);
// compiled op node returning opresult4296 (depth = 9)
  int op_slot_left_4277 = gc_frame_newslot(opresult4296);
  params[0] = call4280;
  partcv[0] = 1;
  Object opresult4297 = callmethod(opresult4296, "++(1)", 1, partcv, params);
// compiled op node returning opresult4297 (depth = 8)
  int op_slot_left_4274 = gc_frame_newslot(opresult4297);
  params[0] = strlit4275;
  partcv[0] = 1;
  Object opresult4298 = callmethod(opresult4297, "++(1)", 1, partcv, params);
// compiled op node returning opresult4298 (depth = 7)
  *var_s = opresult4298;
  if (opresult4298 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_4338(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_an = &(stackframe->slots[0]);
  *var_an = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4340 == NULL) {
    strlit4340 = alloc_String("");
    gc_root(strlit4340);
  }
// compiled string node returning strlit4340 (depth = 8)
  int op_slot_right_4339 = gc_frame_newslot(strlit4340);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4343 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num4345 = alloc_Float64(2);
// compiled num node returning num4345 (depth = 11)
  int op_slot_right_4344 = gc_frame_newslot(num4345);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_4344 = gc_frame_newslot(*var_depth);
  params[0] = num4345;
  partcv[0] = 1;
  Object sum4347 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4347 (depth = 10)
  gc_frame_newslot(sum4347);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_an (depth = 10)
  params[0] = sum4347;
  partcv[0] = 1;
  Object call4348 = callmethodflags(*var_an, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4343);
// compiled call node returning call4348 (depth = 9)
  int op_slot_right_4342 = gc_frame_newslot(call4348);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4351 == NULL) {
    strlit4351 = alloc_String("  ");
    gc_root(strlit4351);
  }
// compiled string node returning strlit4351 (depth = 10)
  int op_slot_right_4350 = gc_frame_newslot(strlit4351);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_4353 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit4356 == NULL) {
    strlit4356 = alloc_String("""\x0a""");
    gc_root(strlit4356);
  }
// compiled string node returning strlit4356 (depth = 12)
  int op_slot_right_4355 = gc_frame_newslot(strlit4356);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_4358 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit4360 == NULL) {
    strlit4360 = alloc_String("");
    gc_root(strlit4360);
  }
// compiled string node returning strlit4360 (depth = 13)
  int op_slot_left_4358 = gc_frame_newslot(strlit4360);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4361 = callmethod(strlit4360, "++(1)", 1, partcv, params);
// compiled op node returning opresult4361 (depth = 12)
  int op_slot_left_4355 = gc_frame_newslot(opresult4361);
  params[0] = strlit4356;
  partcv[0] = 1;
  Object opresult4362 = callmethod(opresult4361, "++(1)", 1, partcv, params);
// compiled op node returning opresult4362 (depth = 11)
  int op_slot_left_4353 = gc_frame_newslot(opresult4362);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4363 = callmethod(opresult4362, "++(1)", 1, partcv, params);
// compiled op node returning opresult4363 (depth = 10)
  int op_slot_left_4350 = gc_frame_newslot(opresult4363);
  params[0] = strlit4351;
  partcv[0] = 1;
  Object opresult4364 = callmethod(opresult4363, "++(1)", 1, partcv, params);
// compiled op node returning opresult4364 (depth = 9)
  int op_slot_left_4342 = gc_frame_newslot(opresult4364);
  params[0] = call4348;
  partcv[0] = 1;
  Object opresult4365 = callmethod(opresult4364, "++(1)", 1, partcv, params);
// compiled op node returning opresult4365 (depth = 8)
  int op_slot_left_4339 = gc_frame_newslot(opresult4365);
  params[0] = strlit4340;
  partcv[0] = 1;
  Object opresult4366 = callmethod(opresult4365, "++(1)", 1, partcv, params);
// compiled op node returning opresult4366 (depth = 7)
  *var_s = opresult4366;
  if (opresult4366 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_4387(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4389 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4391 = alloc_Float64(2);
// compiled num node returning num4391 (depth = 9)
  int op_slot_right_4390 = gc_frame_newslot(num4391);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4390 = gc_frame_newslot(*var_depth);
  params[0] = num4391;
  partcv[0] = 1;
  Object sum4393 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4393 (depth = 8)
  gc_frame_newslot(sum4393);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum4393;
  partcv[0] = 1;
  Object call4394 = callmethodflags(*var_mx, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4389);
// compiled call node returning call4394 (depth = 7)
  int op_slot_right_4388 = gc_frame_newslot(call4394);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4396 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4399 == NULL) {
    strlit4399 = alloc_String("""\x0a""  ");
    gc_root(strlit4399);
  }
// compiled string node returning strlit4399 (depth = 9)
  int op_slot_right_4398 = gc_frame_newslot(strlit4399);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4398 = gc_frame_newslot(*var_s);
  params[0] = strlit4399;
  partcv[0] = 1;
  Object opresult4401 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4401 (depth = 8)
  int op_slot_left_4396 = gc_frame_newslot(opresult4401);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4402 = callmethod(opresult4401, "++(1)", 1, partcv, params);
// compiled op node returning opresult4402 (depth = 7)
  int op_slot_left_4388 = gc_frame_newslot(opresult4402);
  params[0] = call4394;
  partcv[0] = 1;
  Object opresult4403 = callmethod(opresult4402, "++(1)", 1, partcv, params);
// compiled op node returning opresult4403 (depth = 6)
  *var_s = opresult4403;
  if (opresult4403 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_4049(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 963
  setline(963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4050 == NULL) {
    strlit4050 = alloc_String("");
    gc_root(strlit4050);
  }
// compiled string node returning strlit4050 (depth = 4)
  *var_spc = strlit4050;
  if (strlit4050 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4051 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_4052 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num4054 = alloc_Float64(0);
// compiled num node returning num4054 (depth = 5)
  int op_slot_left_4052 = gc_frame_newslot(num4054);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult4055 = callmethod(num4054, "..(1)", 1, partcv, params);
// compiled op node returning opresult4055 (depth = 4)
  gc_frame_newslot(opresult4055);
// starting to compile block node (depth = 4)
  Object block4056 = alloc_Block(NULL, NULL, "ast", 964);
  gc_frame_newslot(block4056);
// method "_apply(_)"
  block_savedest(block4056);
  Object closure4057 = createclosure(2, "_apply(1)");
  setclosureframe(closure4057, stackframe);
  addtoclosure(closure4057, var_spc);
  addtoclosure(closure4057, selfslot);
  struct UserObject *uo4057 = (struct UserObject*)block4056;
  uo4057->data[0] = (Object)closure4057;
  Method *meth_meth_ast__apply_40_1_41_4057 = addmethod2pos(block4056, "_apply(1)", &meth_ast__apply_40_1_41_4057, 0);
  int argcv_meth_ast__apply_40_1_41_4057[] = {1};
  meth_meth_ast__apply_40_1_41_4057->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4057);
  meth_meth_ast__apply_40_1_41_4057->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4057->definitionLine = 2947;
// compiled block node returning block4056 (depth = 4)
  gc_frame_newslot(block4056);
// call case 5: prelude request
  params[0] = opresult4055;
  params[1] = block4056;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4064 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4051);
// compiled call node returning call4064 (depth = 3)
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4066 == NULL) {
    strlit4066 = alloc_String("""\x0a""");
    gc_root(strlit4066);
  }
// compiled string node returning strlit4066 (depth = 5)
  int op_slot_right_4065 = gc_frame_newslot(strlit4066);
// starting to compile call node (depth = 5)
  int callframe4068 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call4069 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe4068);
// compiled call node returning call4069 (depth = 5)
  int op_slot_left_4065 = gc_frame_newslot(call4069);
  params[0] = strlit4066;
  partcv[0] = 1;
  Object opresult4070 = callmethod(call4069, "++(1)", 1, partcv, params);
// compiled op node returning opresult4070 (depth = 4)
  *var_s = opresult4070;
  if (opresult4070 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4072 == NULL) {
    strlit4072 = alloc_String("""\x0a""");
    gc_root(strlit4072);
  }
// compiled string node returning strlit4072 (depth = 5)
  int op_slot_right_4071 = gc_frame_newslot(strlit4072);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4075 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4077 = alloc_Float64(1);
// compiled num node returning num4077 (depth = 8)
  int op_slot_right_4076 = gc_frame_newslot(num4077);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4076 = gc_frame_newslot(*var_depth);
  params[0] = num4077;
  partcv[0] = 1;
  Object sum4079 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4079 (depth = 7)
  gc_frame_newslot(sum4079);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4080 = gc_frame_new();
// call case 4: self request
  Object call4081 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4080);
// compiled member node returning call4081 (depth = 7)
  params[0] = sum4079;
  partcv[0] = 1;
  Object call4082 = callmethodflags(call4081, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4075);
// compiled call node returning call4082 (depth = 6)
  int op_slot_right_4074 = gc_frame_newslot(call4082);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4085 == NULL) {
    strlit4085 = alloc_String("Name: ");
    gc_root(strlit4085);
  }
// compiled string node returning strlit4085 (depth = 7)
  int op_slot_right_4084 = gc_frame_newslot(strlit4085);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_4087 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4087 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4089 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4089 (depth = 7)
  int op_slot_left_4084 = gc_frame_newslot(opresult4089);
  params[0] = strlit4085;
  partcv[0] = 1;
  Object opresult4090 = callmethod(opresult4089, "++(1)", 1, partcv, params);
// compiled op node returning opresult4090 (depth = 6)
  int op_slot_left_4074 = gc_frame_newslot(opresult4090);
  params[0] = call4082;
  partcv[0] = 1;
  Object opresult4091 = callmethod(opresult4090, "++(1)", 1, partcv, params);
// compiled op node returning opresult4091 (depth = 5)
  int op_slot_left_4071 = gc_frame_newslot(opresult4091);
  params[0] = strlit4072;
  partcv[0] = 1;
  Object opresult4092 = callmethod(opresult4091, "++(1)", 1, partcv, params);
// compiled op node returning opresult4092 (depth = 4)
  *var_s = opresult4092;
  if (opresult4092 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4096 = gc_frame_new();
// call case 4: self request
  Object call4097 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4096);
// compiled member node returning call4097 (depth = 5)
  int op_slot_right_4095 = gc_frame_newslot(call4097);
// starting to compile identifier node (depth = 5)
  Object bool4099 = alloc_Boolean(0);
// compiled identifier node returning bool4099 (depth = 5)
  int op_slot_left_4095 = gc_frame_newslot(bool4099);
  params[0] = call4097;
  partcv[0] = 1;
  Object opresult4100 = callmethod(bool4099, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4100 (depth = 4)
  Object if4094 = done;
  if (istrue(opresult4100)) {
// Begin line 970
  setline(970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4102 == NULL) {
    strlit4102 = alloc_String("  ");
    gc_root(strlit4102);
  }
// compiled string node returning strlit4102 (depth = 6)
  int op_slot_right_4101 = gc_frame_newslot(strlit4102);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4104 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4107 == NULL) {
    strlit4107 = alloc_String("Returns:""\x0a""");
    gc_root(strlit4107);
  }
// compiled string node returning strlit4107 (depth = 8)
  int op_slot_right_4106 = gc_frame_newslot(strlit4107);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_4109 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_4109 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4111 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4111 (depth = 8)
  int op_slot_left_4106 = gc_frame_newslot(opresult4111);
  params[0] = strlit4107;
  partcv[0] = 1;
  Object opresult4112 = callmethod(opresult4111, "++(1)", 1, partcv, params);
// compiled op node returning opresult4112 (depth = 7)
  int op_slot_left_4104 = gc_frame_newslot(opresult4112);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4113 = callmethod(opresult4112, "++(1)", 1, partcv, params);
// compiled op node returning opresult4113 (depth = 6)
  int op_slot_left_4101 = gc_frame_newslot(opresult4113);
  params[0] = strlit4102;
  partcv[0] = 1;
  Object opresult4114 = callmethod(opresult4113, "++(1)", 1, partcv, params);
// compiled op node returning opresult4114 (depth = 5)
  *var_s = opresult4114;
  if (opresult4114 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4117 == NULL) {
    strlit4117 = alloc_String("""\x0a""");
    gc_root(strlit4117);
  }
// compiled string node returning strlit4117 (depth = 6)
  int op_slot_right_4116 = gc_frame_newslot(strlit4117);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4120 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4122 = alloc_Float64(2);
// compiled num node returning num4122 (depth = 9)
  int op_slot_right_4121 = gc_frame_newslot(num4122);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4121 = gc_frame_newslot(*var_depth);
  params[0] = num4122;
  partcv[0] = 1;
  Object sum4124 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4124 (depth = 8)
  gc_frame_newslot(sum4124);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4125 = gc_frame_new();
// call case 4: self request
  Object call4126 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4125);
// compiled member node returning call4126 (depth = 8)
  params[0] = sum4124;
  partcv[0] = 1;
  Object call4127 = callmethodflags(call4126, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4120);
// compiled call node returning call4127 (depth = 7)
  int op_slot_right_4119 = gc_frame_newslot(call4127);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4119 = gc_frame_newslot(*var_s);
  params[0] = call4127;
  partcv[0] = 1;
  Object opresult4129 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4129 (depth = 6)
  int op_slot_left_4116 = gc_frame_newslot(opresult4129);
  params[0] = strlit4117;
  partcv[0] = 1;
  Object opresult4130 = callmethod(opresult4129, "++(1)", 1, partcv, params);
// compiled op node returning opresult4130 (depth = 5)
  *var_s = opresult4130;
  if (opresult4130 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4094 = done;
  } else {
  }
// compiled if node returning if4094 (depth = 3)
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4133 = gc_frame_new();
// call case 4: self request
  Object call4134 = callmethodflags(self, "isFresh", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4133);
// compiled member node returning call4134 (depth = 4)
  Object if4132 = done;
  if (istrue(call4134)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4136 == NULL) {
    strlit4136 = alloc_String("Fresh""\x0a""");
    gc_root(strlit4136);
  }
// compiled string node returning strlit4136 (depth = 6)
  int op_slot_right_4135 = gc_frame_newslot(strlit4136);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4138 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4138 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4140 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4140 (depth = 6)
  int op_slot_left_4135 = gc_frame_newslot(opresult4140);
  params[0] = strlit4136;
  partcv[0] = 1;
  Object opresult4141 = callmethod(opresult4140, "++(1)", 1, partcv, params);
// compiled op node returning opresult4141 (depth = 5)
  *var_s = opresult4141;
  if (opresult4141 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4132 = done;
  } else {
  }
// compiled if node returning if4132 (depth = 3)
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4144 == NULL) {
    strlit4144 = alloc_String("Signature:");
    gc_root(strlit4144);
  }
// compiled string node returning strlit4144 (depth = 5)
  int op_slot_right_4143 = gc_frame_newslot(strlit4144);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4146 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4149 == NULL) {
    strlit4149 = alloc_String("");
    gc_root(strlit4149);
  }
// compiled string node returning strlit4149 (depth = 7)
  int op_slot_right_4148 = gc_frame_newslot(strlit4149);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_4151 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit4153 == NULL) {
    strlit4153 = alloc_String("");
    gc_root(strlit4153);
  }
// compiled string node returning strlit4153 (depth = 8)
  int op_slot_left_4151 = gc_frame_newslot(strlit4153);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4154 = callmethod(strlit4153, "++(1)", 1, partcv, params);
// compiled op node returning opresult4154 (depth = 7)
  int op_slot_left_4148 = gc_frame_newslot(opresult4154);
  params[0] = strlit4149;
  partcv[0] = 1;
  Object opresult4155 = callmethod(opresult4154, "++(1)", 1, partcv, params);
// compiled op node returning opresult4155 (depth = 6)
  int op_slot_left_4146 = gc_frame_newslot(opresult4155);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4156 = callmethod(opresult4155, "++(1)", 1, partcv, params);
// compiled op node returning opresult4156 (depth = 5)
  int op_slot_left_4143 = gc_frame_newslot(opresult4156);
  params[0] = strlit4144;
  partcv[0] = 1;
  Object opresult4157 = callmethod(opresult4156, "++(1)", 1, partcv, params);
// compiled op node returning opresult4157 (depth = 4)
  *var_s = opresult4157;
  if (opresult4157 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 975
  setline(975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4159 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4160 = gc_frame_new();
// call case 4: self request
  Object call4161 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4160);
// compiled member node returning call4161 (depth = 4)
  gc_frame_newslot(call4161);
// starting to compile block node (depth = 4)
  Object block4162 = alloc_Block(NULL, NULL, "ast", 975);
  gc_frame_newslot(block4162);
// method "_apply(_)"
  block_savedest(block4162);
  Object closure4163 = createclosure(4, "_apply(1)");
  setclosureframe(closure4163, stackframe);
  addtoclosure(closure4163, var_spc);
  addtoclosure(closure4163, var_s);
  addtoclosure(closure4163, var_depth);
  addtoclosure(closure4163, selfslot);
  struct UserObject *uo4163 = (struct UserObject*)block4162;
  uo4163->data[0] = (Object)closure4163;
  Method *meth_meth_ast__apply_40_1_41_4163 = addmethod2pos(block4162, "_apply(1)", &meth_ast__apply_40_1_41_4163, 0);
  int argcv_meth_ast__apply_40_1_41_4163[] = {1};
  meth_meth_ast__apply_40_1_41_4163->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4163);
  meth_meth_ast__apply_40_1_41_4163->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4163->definitionLine = 2947;
// compiled block node returning block4162 (depth = 4)
  gc_frame_newslot(block4162);
// call case 5: prelude request
  params[0] = call4161;
  params[1] = block4162;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4242 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4159);
// compiled call node returning call4242 (depth = 3)
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4244 == NULL) {
    strlit4244 = alloc_String("""\x0a""");
    gc_root(strlit4244);
  }
// compiled string node returning strlit4244 (depth = 5)
  int op_slot_right_4243 = gc_frame_newslot(strlit4244);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_4243 = gc_frame_newslot(*var_s);
  params[0] = strlit4244;
  partcv[0] = 1;
  Object opresult4246 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4246 (depth = 4)
  *var_s = opresult4246;
  if (opresult4246 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4250 = gc_frame_new();
// call case 4: self request
  Object call4251 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4250);
// compiled member node returning call4251 (depth = 5)
  int op_slot_right_4249 = gc_frame_newslot(call4251);
// starting to compile identifier node (depth = 5)
  Object bool4253 = alloc_Boolean(0);
// compiled identifier node returning bool4253 (depth = 5)
  int op_slot_left_4249 = gc_frame_newslot(bool4253);
  params[0] = call4251;
  partcv[0] = 1;
  Object opresult4254 = callmethod(bool4253, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4254 (depth = 4)
  Object if4248 = done;
  if (istrue(opresult4254)) {
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4256 == NULL) {
    strlit4256 = alloc_String("Generics:");
    gc_root(strlit4256);
  }
// compiled string node returning strlit4256 (depth = 6)
  int op_slot_right_4255 = gc_frame_newslot(strlit4256);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4258 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4261 == NULL) {
    strlit4261 = alloc_String("");
    gc_root(strlit4261);
  }
// compiled string node returning strlit4261 (depth = 8)
  int op_slot_right_4260 = gc_frame_newslot(strlit4261);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_4263 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit4265 == NULL) {
    strlit4265 = alloc_String("");
    gc_root(strlit4265);
  }
// compiled string node returning strlit4265 (depth = 9)
  int op_slot_left_4263 = gc_frame_newslot(strlit4265);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4266 = callmethod(strlit4265, "++(1)", 1, partcv, params);
// compiled op node returning opresult4266 (depth = 8)
  int op_slot_left_4260 = gc_frame_newslot(opresult4266);
  params[0] = strlit4261;
  partcv[0] = 1;
  Object opresult4267 = callmethod(opresult4266, "++(1)", 1, partcv, params);
// compiled op node returning opresult4267 (depth = 7)
  int op_slot_left_4258 = gc_frame_newslot(opresult4267);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4268 = callmethod(opresult4267, "++(1)", 1, partcv, params);
// compiled op node returning opresult4268 (depth = 6)
  int op_slot_left_4255 = gc_frame_newslot(opresult4268);
  params[0] = strlit4256;
  partcv[0] = 1;
  Object opresult4269 = callmethod(opresult4268, "++(1)", 1, partcv, params);
// compiled op node returning opresult4269 (depth = 5)
  *var_s = opresult4269;
  if (opresult4269 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4271 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4272 = alloc_Block(NULL, NULL, "ast", 985);
  gc_frame_newslot(block4272);
// method "_apply(_)"
  block_savedest(block4272);
  Object closure4273 = createclosure(3, "_apply(1)");
  setclosureframe(closure4273, stackframe);
  addtoclosure(closure4273, var_spc);
  addtoclosure(closure4273, var_s);
  addtoclosure(closure4273, selfslot);
  struct UserObject *uo4273 = (struct UserObject*)block4272;
  uo4273->data[0] = (Object)closure4273;
  Method *meth_meth_ast__apply_40_1_41_4273 = addmethod2pos(block4272, "_apply(1)", &meth_ast__apply_40_1_41_4273, 0);
  int argcv_meth_ast__apply_40_1_41_4273[] = {1};
  meth_meth_ast__apply_40_1_41_4273->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4273);
  meth_meth_ast__apply_40_1_41_4273->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4273->definitionLine = 2947;
// compiled block node returning block4272 (depth = 5)
  gc_frame_newslot(block4272);
// call case 6: other requests
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4301 = gc_frame_new();
// call case 4: self request
  Object call4302 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4301);
// compiled member node returning call4302 (depth = 5)
  params[0] = block4272;
  partcv[0] = 1;
  Object call4303 = callmethodflags(call4302, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4271);
// compiled call node returning call4303 (depth = 4)
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4305 == NULL) {
    strlit4305 = alloc_String("""\x0a""");
    gc_root(strlit4305);
  }
// compiled string node returning strlit4305 (depth = 6)
  int op_slot_right_4304 = gc_frame_newslot(strlit4305);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4304 = gc_frame_newslot(*var_s);
  params[0] = strlit4305;
  partcv[0] = 1;
  Object opresult4307 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4307 (depth = 5)
  *var_s = opresult4307;
  if (opresult4307 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4248 = done;
  } else {
  }
// compiled if node returning if4248 (depth = 3)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4311 = alloc_Float64(0);
// compiled num node returning num4311 (depth = 5)
  int op_slot_right_4310 = gc_frame_newslot(num4311);
// starting to compile member node (depth = 5)
  int callframe4313 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4314 = gc_frame_new();
// call case 4: self request
  Object call4315 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4314);
// compiled member node returning call4315 (depth = 6)
  Object call4316 = callmethodflags(call4315, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4313);
// compiled member node returning call4316 (depth = 5)
  int op_slot_left_4310 = gc_frame_newslot(call4316);
  params[0] = num4311;
  partcv[0] = 1;
  Object opresult4317 = callmethod(call4316, ">(1)", 1, partcv, params);
// compiled op node returning opresult4317 (depth = 4)
  Object if4309 = done;
  if (istrue(opresult4317)) {
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4319 == NULL) {
    strlit4319 = alloc_String("Annotations:");
    gc_root(strlit4319);
  }
// compiled string node returning strlit4319 (depth = 6)
  int op_slot_right_4318 = gc_frame_newslot(strlit4319);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4321 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4324 == NULL) {
    strlit4324 = alloc_String("");
    gc_root(strlit4324);
  }
// compiled string node returning strlit4324 (depth = 8)
  int op_slot_right_4323 = gc_frame_newslot(strlit4324);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_4326 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit4328 == NULL) {
    strlit4328 = alloc_String("");
    gc_root(strlit4328);
  }
// compiled string node returning strlit4328 (depth = 9)
  int op_slot_left_4326 = gc_frame_newslot(strlit4328);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult4329 = callmethod(strlit4328, "++(1)", 1, partcv, params);
// compiled op node returning opresult4329 (depth = 8)
  int op_slot_left_4323 = gc_frame_newslot(opresult4329);
  params[0] = strlit4324;
  partcv[0] = 1;
  Object opresult4330 = callmethod(opresult4329, "++(1)", 1, partcv, params);
// compiled op node returning opresult4330 (depth = 7)
  int op_slot_left_4321 = gc_frame_newslot(opresult4330);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4331 = callmethod(opresult4330, "++(1)", 1, partcv, params);
// compiled op node returning opresult4331 (depth = 6)
  int op_slot_left_4318 = gc_frame_newslot(opresult4331);
  params[0] = strlit4319;
  partcv[0] = 1;
  Object opresult4332 = callmethod(opresult4331, "++(1)", 1, partcv, params);
// compiled op node returning opresult4332 (depth = 5)
  *var_s = opresult4332;
  if (opresult4332 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4334 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4335 = gc_frame_new();
// call case 4: self request
  Object call4336 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4335);
// compiled member node returning call4336 (depth = 5)
  gc_frame_newslot(call4336);
// starting to compile block node (depth = 5)
  Object block4337 = alloc_Block(NULL, NULL, "ast", 992);
  gc_frame_newslot(block4337);
// method "_apply(_)"
  block_savedest(block4337);
  Object closure4338 = createclosure(4, "_apply(1)");
  setclosureframe(closure4338, stackframe);
  addtoclosure(closure4338, var_depth);
  addtoclosure(closure4338, var_spc);
  addtoclosure(closure4338, var_s);
  addtoclosure(closure4338, selfslot);
  struct UserObject *uo4338 = (struct UserObject*)block4337;
  uo4338->data[0] = (Object)closure4338;
  Method *meth_meth_ast__apply_40_1_41_4338 = addmethod2pos(block4337, "_apply(1)", &meth_ast__apply_40_1_41_4338, 0);
  int argcv_meth_ast__apply_40_1_41_4338[] = {1};
  meth_meth_ast__apply_40_1_41_4338->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4338);
  meth_meth_ast__apply_40_1_41_4338->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4338->definitionLine = 2947;
// compiled block node returning block4337 (depth = 5)
  gc_frame_newslot(block4337);
// call case 5: prelude request
  params[0] = call4336;
  params[1] = block4337;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4369 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4334);
// compiled call node returning call4369 (depth = 4)
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4371 == NULL) {
    strlit4371 = alloc_String("""\x0a""");
    gc_root(strlit4371);
  }
// compiled string node returning strlit4371 (depth = 6)
  int op_slot_right_4370 = gc_frame_newslot(strlit4371);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4370 = gc_frame_newslot(*var_s);
  params[0] = strlit4371;
  partcv[0] = 1;
  Object opresult4373 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4373 (depth = 5)
  *var_s = opresult4373;
  if (opresult4373 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4309 = done;
  } else {
  }
// compiled if node returning if4309 (depth = 3)
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4376 == NULL) {
    strlit4376 = alloc_String("Body:");
    gc_root(strlit4376);
  }
// compiled string node returning strlit4376 (depth = 5)
  int op_slot_right_4375 = gc_frame_newslot(strlit4376);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4378 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4378 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4380 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4380 (depth = 5)
  int op_slot_left_4375 = gc_frame_newslot(opresult4380);
  params[0] = strlit4376;
  partcv[0] = 1;
  Object opresult4381 = callmethod(opresult4380, "++(1)", 1, partcv, params);
// compiled op node returning opresult4381 (depth = 4)
  *var_s = opresult4381;
  if (opresult4381 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4383 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4384 = gc_frame_new();
// call case 4: self request
  Object call4385 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4384);
// compiled member node returning call4385 (depth = 4)
  gc_frame_newslot(call4385);
// starting to compile block node (depth = 4)
  Object block4386 = alloc_Block(NULL, NULL, "ast", 998);
  gc_frame_newslot(block4386);
// method "_apply(_)"
  block_savedest(block4386);
  Object closure4387 = createclosure(4, "_apply(1)");
  setclosureframe(closure4387, stackframe);
  addtoclosure(closure4387, var_depth);
  addtoclosure(closure4387, var_spc);
  addtoclosure(closure4387, var_s);
  addtoclosure(closure4387, selfslot);
  struct UserObject *uo4387 = (struct UserObject*)block4386;
  uo4387->data[0] = (Object)closure4387;
  Method *meth_meth_ast__apply_40_1_41_4387 = addmethod2pos(block4386, "_apply(1)", &meth_ast__apply_40_1_41_4387, 0);
  int argcv_meth_ast__apply_40_1_41_4387[] = {1};
  meth_meth_ast__apply_40_1_41_4387->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4387);
  meth_meth_ast__apply_40_1_41_4387->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4387->definitionLine = 2947;
// compiled block node returning block4386 (depth = 4)
  gc_frame_newslot(block4386);
// call case 5: prelude request
  params[0] = call4385;
  params[1] = block4386;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4406 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4383);
// compiled call node returning call4406 (depth = 3)
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4409 = gc_frame_new();
// call case 4: self request
  Object call4410 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4409);
// compiled member node returning call4410 (depth = 5)
  int op_slot_right_4408 = gc_frame_newslot(call4410);
// starting to compile identifier node (depth = 5)
  Object bool4412 = alloc_Boolean(0);
// compiled identifier node returning bool4412 (depth = 5)
  int op_slot_left_4408 = gc_frame_newslot(bool4412);
  params[0] = call4410;
  partcv[0] = 1;
  Object opresult4413 = callmethod(bool4412, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4413 (depth = 4)
  Object if4407 = done;
  if (istrue(opresult4413)) {
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4415 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4417 = alloc_Float64(2);
// compiled num node returning num4417 (depth = 8)
  int op_slot_right_4416 = gc_frame_newslot(num4417);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4416 = gc_frame_newslot(*var_depth);
  params[0] = num4417;
  partcv[0] = 1;
  Object sum4419 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4419 (depth = 7)
  gc_frame_newslot(sum4419);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4420 = gc_frame_new();
// call case 4: self request
  Object call4421 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4420);
// compiled member node returning call4421 (depth = 7)
  params[0] = sum4419;
  partcv[0] = 1;
  Object call4422 = callmethodflags(call4421, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4415);
// compiled call node returning call4422 (depth = 6)
  int op_slot_right_4414 = gc_frame_newslot(call4422);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4414 = gc_frame_newslot(*var_s);
  params[0] = call4422;
  partcv[0] = 1;
  Object opresult4424 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4424 (depth = 5)
  *var_s = opresult4424;
  if (opresult4424 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4407 = done;
  } else {
  }
// compiled if node returning if4407 (depth = 3)
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_4438(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4440 == NULL) {
    strlit4440 = alloc_String("    ");
    gc_root(strlit4440);
  }
// compiled string node returning strlit4440 (depth = 7)
  int op_slot_right_4439 = gc_frame_newslot(strlit4440);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_4439 = gc_frame_newslot(*var_spc);
  params[0] = strlit4440;
  partcv[0] = 1;
  Object opresult4442 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4442 (depth = 6)
  *var_spc = opresult4442;
  if (opresult4442 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply4462(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe4464 = gc_frame_new();
// call case 4: self request
  Object call4465 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4464);
// compiled member node returning call4465 (depth = 9)
  int op_slot_right_4463 = gc_frame_newslot(call4465);
// starting to compile identifier node (depth = 9)
  Object bool4467 = alloc_Boolean(0);
// compiled identifier node returning bool4467 (depth = 9)
  int op_slot_left_4463 = gc_frame_newslot(bool4467);
  params[0] = call4465;
  partcv[0] = 1;
  Object opresult4468 = callmethod(bool4467, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4468 (depth = 8)
  gc_frame_end(frame);
  return opresult4468;
}
Object meth_ast__apply_40_1_41_4506(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_part = getfromclosure(closure, 0);
  Object *var_depth = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_pnr = &(stackframe->slots[0]);
  *var_pnr = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_p = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "p");
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4507 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_pnr (depth = 10)
  gc_frame_newslot(*var_pnr);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4508 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_part (depth = 11)
  Object call4509 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4508);
// compiled member node returning call4509 (depth = 10)
  params[0] = *var_pnr;
  partcv[0] = 1;
  Object call4510 = callmethodflags(call4509, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4507);
// compiled call node returning call4510 (depth = 9)
  *var_p = call4510;
  if (call4510 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe4512 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num4514 = alloc_Float64(1);
// compiled num node returning num4514 (depth = 12)
  int op_slot_right_4513 = gc_frame_newslot(num4514);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_depth (depth = 12)
  int op_slot_left_4513 = gc_frame_newslot(*var_depth);
  params[0] = num4514;
  partcv[0] = 1;
  Object sum4516 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4516 (depth = 11)
  gc_frame_newslot(sum4516);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_p (depth = 11)
  params[0] = sum4516;
  partcv[0] = 1;
  Object call4517 = callmethodflags(*var_p, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4512);
// compiled call node returning call4517 (depth = 10)
  int op_slot_right_4511 = gc_frame_newslot(call4517);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_4511 = gc_frame_newslot(*var_s);
  params[0] = call4517;
  partcv[0] = 1;
  Object opresult4519 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4519 (depth = 9)
  *var_s = opresult4519;
  if (opresult4519 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe4523 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe4524 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_part (depth = 12)
  Object call4525 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4524);
// compiled member node returning call4525 (depth = 11)
  Object call4526 = callmethodflags(call4525, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4523);
// compiled member node returning call4526 (depth = 10)
  int op_slot_right_4522 = gc_frame_newslot(call4526);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_pnr (depth = 10)
  int op_slot_left_4522 = gc_frame_newslot(*var_pnr);
  params[0] = call4526;
  partcv[0] = 1;
  Object opresult4528 = callmethod(*var_pnr, "<(1)", 1, partcv, params);
// compiled op node returning opresult4528 (depth = 9)
  Object if4521 = done;
  if (istrue(opresult4528)) {
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4530 == NULL) {
    strlit4530 = alloc_String(", ");
    gc_root(strlit4530);
  }
// compiled string node returning strlit4530 (depth = 11)
  int op_slot_right_4529 = gc_frame_newslot(strlit4530);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_4529 = gc_frame_newslot(*var_s);
  params[0] = strlit4530;
  partcv[0] = 1;
  Object opresult4532 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4532 (depth = 10)
  *var_s = opresult4532;
  if (opresult4532 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if4521 = done;
  } else {
  }
// compiled if node returning if4521 (depth = 8)
  gc_frame_end(frame);
  return if4521;
}
Object meth_ast__apply_40_1_41_4452(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_firstPart = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4454 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call4455 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe4454);
// compiled member node returning call4455 (depth = 7)
  int op_slot_right_4453 = gc_frame_newslot(call4455);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4453 = gc_frame_newslot(*var_s);
  params[0] = call4455;
  partcv[0] = 1;
  Object opresult4457 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4457 (depth = 6)
  *var_s = opresult4457;
  if (opresult4457 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1015
  setline(1015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block4461 = alloc_Block(NULL, NULL, "ast", 1015);
  gc_frame_newslot(block4461);
// method "_apply"
  block_savedest(block4461);
  Object closure4462 = createclosure(1, "_apply");
  setclosureframe(closure4462, stackframe);
  addtoclosure(closure4462, selfslot);
  struct UserObject *uo4462 = (struct UserObject*)block4461;
  uo4462->data[0] = (Object)closure4462;
  Method *meth_meth_ast__apply4462 = addmethod2pos(block4461, "_apply", &meth_ast__apply4462, 0);
  int argcv_meth_ast__apply4462[] = {0};
  meth_meth_ast__apply4462->type = alloc_MethodType(1, argcv_meth_ast__apply4462);
  meth_meth_ast__apply4462->definitionModule = modulename;
  meth_meth_ast__apply4462->definitionLine = 2947;
// compiled block node returning block4461 (depth = 7)
  int op_slot_right_4460 = gc_frame_newslot(block4461);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_firstPart (depth = 7)
  int op_slot_left_4460 = gc_frame_newslot(*var_firstPart);
  params[0] = block4461;
  partcv[0] = 1;
  Object opresult4471 = callmethod(*var_firstPart, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4471 (depth = 6)
  Object if4459 = done;
  if (istrue(opresult4471)) {
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4473 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num4475 = alloc_Float64(1);
// compiled num node returning num4475 (depth = 10)
  int op_slot_right_4474 = gc_frame_newslot(num4475);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_4474 = gc_frame_newslot(*var_depth);
  params[0] = num4475;
  partcv[0] = 1;
  Object sum4477 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4477 (depth = 9)
  gc_frame_newslot(sum4477);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4478 = gc_frame_new();
// call case 4: self request
  Object call4479 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4478);
// compiled member node returning call4479 (depth = 9)
  params[0] = sum4477;
  partcv[0] = 1;
  Object call4480 = callmethodflags(call4479, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4473);
// compiled call node returning call4480 (depth = 8)
  int op_slot_right_4472 = gc_frame_newslot(call4480);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4472 = gc_frame_newslot(*var_s);
  params[0] = call4480;
  partcv[0] = 1;
  Object opresult4482 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4482 (depth = 7)
  *var_s = opresult4482;
  if (opresult4482 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if4459 = done;
  } else {
  }
// compiled if node returning if4459 (depth = 5)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4484 = alloc_Boolean(0);
// compiled identifier node returning bool4484 (depth = 6)
  *var_firstPart = bool4484;
  if (bool4484 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num4488 = alloc_Float64(0);
// compiled num node returning num4488 (depth = 7)
  int op_slot_right_4487 = gc_frame_newslot(num4488);
// starting to compile member node (depth = 7)
  int callframe4490 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4491 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4492 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4491);
// compiled member node returning call4492 (depth = 8)
  Object call4493 = callmethodflags(call4492, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4490);
// compiled member node returning call4493 (depth = 7)
  int op_slot_left_4487 = gc_frame_newslot(call4493);
  params[0] = num4488;
  partcv[0] = 1;
  Object opresult4494 = callmethod(call4493, ">(1)", 1, partcv, params);
// compiled op node returning opresult4494 (depth = 6)
  Object if4486 = done;
  if (istrue(opresult4494)) {
// Begin line 1020
  setline(1020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4496 == NULL) {
    strlit4496 = alloc_String("(");
    gc_root(strlit4496);
  }
// compiled string node returning strlit4496 (depth = 8)
  int op_slot_right_4495 = gc_frame_newslot(strlit4496);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4495 = gc_frame_newslot(*var_s);
  params[0] = strlit4496;
  partcv[0] = 1;
  Object opresult4498 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4498 (depth = 7)
  *var_s = opresult4498;
  if (opresult4498 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4500 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4501 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4502 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call4503 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe4502);
// compiled member node returning call4503 (depth = 8)
  Object call4504 = callmethodflags(call4503, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe4501);
// compiled member node returning call4504 (depth = 7)
  gc_frame_newslot(call4504);
// starting to compile block node (depth = 7)
  Object block4505 = alloc_Block(NULL, NULL, "ast", 1021);
  gc_frame_newslot(block4505);
// method "_apply(_)"
  block_savedest(block4505);
  Object closure4506 = createclosure(4, "_apply(1)");
  setclosureframe(closure4506, stackframe);
  addtoclosure(closure4506, var_part);
  addtoclosure(closure4506, var_depth);
  addtoclosure(closure4506, var_s);
  addtoclosure(closure4506, selfslot);
  struct UserObject *uo4506 = (struct UserObject*)block4505;
  uo4506->data[0] = (Object)closure4506;
  Method *meth_meth_ast__apply_40_1_41_4506 = addmethod2pos(block4505, "_apply(1)", &meth_ast__apply_40_1_41_4506, 0);
  int argcv_meth_ast__apply_40_1_41_4506[] = {1};
  meth_meth_ast__apply_40_1_41_4506->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4506);
  meth_meth_ast__apply_40_1_41_4506->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4506->definitionLine = 2947;
// compiled block node returning block4505 (depth = 7)
  gc_frame_newslot(block4505);
// call case 5: prelude request
  params[0] = call4504;
  params[1] = block4505;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4535 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4500);
// compiled call node returning call4535 (depth = 6)
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4537 == NULL) {
    strlit4537 = alloc_String(")");
    gc_root(strlit4537);
  }
// compiled string node returning strlit4537 (depth = 8)
  int op_slot_right_4536 = gc_frame_newslot(strlit4537);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_4536 = gc_frame_newslot(*var_s);
  params[0] = strlit4537;
  partcv[0] = 1;
  Object opresult4539 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4539 (depth = 7)
  *var_s = opresult4539;
  if (opresult4539 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if4486 = done;
  } else {
  }
// compiled if node returning if4486 (depth = 5)
  gc_frame_end(frame);
  return if4486;
}
Object meth_ast__apply_40_2_41_4584(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe4586 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num4587 = alloc_Float64(0);
// compiled num node returning num4587 (depth = 10)
  gc_frame_newslot(num4587);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num4587;
  partcv[0] = 1;
  Object call4588 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4586);
// compiled call node returning call4588 (depth = 9)
  int op_slot_right_4585 = gc_frame_newslot(call4588);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4592 == NULL) {
    strlit4592 = alloc_String("");
    gc_root(strlit4592);
  }
// compiled string node returning strlit4592 (depth = 11)
  int op_slot_right_4591 = gc_frame_newslot(strlit4592);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_4591 = gc_frame_newslot(*var_a);
  params[0] = strlit4592;
  partcv[0] = 1;
  Object opresult4594 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4594 (depth = 10)
  Object if4590 = done;
struct StackFrameObject *iftmpstackframe4590 = stackframe;
  if (istrue(opresult4594)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4590);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit4596 == NULL) {
    strlit4596 = alloc_String(", ");
    gc_root(strlit4596);
  }
// compiled string node returning strlit4596 (depth = 11)
  int op_slot_right_4595 = gc_frame_newslot(strlit4596);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_4595 = gc_frame_newslot(*var_a);
  params[0] = strlit4596;
  partcv[0] = 1;
  Object opresult4598 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult4598 (depth = 10)
    gc_frame_newslot(opresult4598);
    if4590 = opresult4598;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4590);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 10)
  if (strlit4599 == NULL) {
    strlit4599 = alloc_String("");
    gc_root(strlit4599);
  }
// compiled string node returning strlit4599 (depth = 10)
    gc_frame_newslot(strlit4599);
    if4590 = strlit4599;
  }
stackframe = iftmpstackframe4590;
// compiled if node returning if4590 (depth = 9)
  int op_slot_left_4585 = gc_frame_newslot(if4590);
  params[0] = call4588;
  partcv[0] = 1;
  Object opresult4600 = callmethod(if4590, "++(1)", 1, partcv, params);
// compiled op node returning opresult4600 (depth = 8)
  gc_frame_end(frame);
  return opresult4600;
}
Object meth_ast__apply_40_1_41_4637(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_mx = &(stackframe->slots[0]);
  *var_mx = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1045
  setline(1045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4639 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4641 = alloc_Float64(1);
// compiled num node returning num4641 (depth = 9)
  int op_slot_right_4640 = gc_frame_newslot(num4641);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4640 = gc_frame_newslot(*var_depth);
  params[0] = num4641;
  partcv[0] = 1;
  Object sum4643 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4643 (depth = 8)
  gc_frame_newslot(sum4643);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mx (depth = 8)
  params[0] = sum4643;
  partcv[0] = 1;
  Object call4644 = callmethodflags(*var_mx, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4639);
// compiled call node returning call4644 (depth = 7)
  int op_slot_right_4638 = gc_frame_newslot(call4644);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4647 == NULL) {
    strlit4647 = alloc_String("    ");
    gc_root(strlit4647);
  }
// compiled string node returning strlit4647 (depth = 8)
  int op_slot_right_4646 = gc_frame_newslot(strlit4647);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_4649 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit4652 == NULL) {
    strlit4652 = alloc_String("""\x0a""");
    gc_root(strlit4652);
  }
// compiled string node returning strlit4652 (depth = 10)
  int op_slot_right_4651 = gc_frame_newslot(strlit4652);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_4651 = gc_frame_newslot(*var_s);
  params[0] = strlit4652;
  partcv[0] = 1;
  Object opresult4654 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4654 (depth = 9)
  int op_slot_left_4649 = gc_frame_newslot(opresult4654);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4655 = callmethod(opresult4654, "++(1)", 1, partcv, params);
// compiled op node returning opresult4655 (depth = 8)
  int op_slot_left_4646 = gc_frame_newslot(opresult4655);
  params[0] = strlit4647;
  partcv[0] = 1;
  Object opresult4656 = callmethod(opresult4655, "++(1)", 1, partcv, params);
// compiled op node returning opresult4656 (depth = 7)
  int op_slot_left_4638 = gc_frame_newslot(opresult4656);
  params[0] = call4644;
  partcv[0] = 1;
  Object opresult4657 = callmethod(opresult4656, "++(1)", 1, partcv, params);
// compiled op node returning opresult4657 (depth = 6)
  *var_s = opresult4657;
  if (opresult4657 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_4426(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
  Object *var_firstPart = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "firstPart");
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4427 == NULL) {
    strlit4427 = alloc_String("");
    gc_root(strlit4427);
  }
// compiled string node returning strlit4427 (depth = 4)
  *var_spc = strlit4427;
  if (strlit4427 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4428 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4431 = alloc_Float64(1);
// compiled num node returning num4431 (depth = 6)
  int op_slot_right_4430 = gc_frame_newslot(num4431);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_4430 = gc_frame_newslot(*var_depth);
  params[0] = num4431;
  partcv[0] = 1;
  Object diff4433 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff4433 (depth = 5)
  int op_slot_right_4429 = gc_frame_newslot(diff4433);
// starting to compile num node (depth = 5)
  Object num4435 = alloc_Float64(0);
// compiled num node returning num4435 (depth = 5)
  int op_slot_left_4429 = gc_frame_newslot(num4435);
  params[0] = diff4433;
  partcv[0] = 1;
  Object opresult4436 = callmethod(num4435, "..(1)", 1, partcv, params);
// compiled op node returning opresult4436 (depth = 4)
  gc_frame_newslot(opresult4436);
// starting to compile block node (depth = 4)
  Object block4437 = alloc_Block(NULL, NULL, "ast", 1008);
  gc_frame_newslot(block4437);
// method "_apply(_)"
  block_savedest(block4437);
  Object closure4438 = createclosure(2, "_apply(1)");
  setclosureframe(closure4438, stackframe);
  addtoclosure(closure4438, var_spc);
  addtoclosure(closure4438, selfslot);
  struct UserObject *uo4438 = (struct UserObject*)block4437;
  uo4438->data[0] = (Object)closure4438;
  Method *meth_meth_ast__apply_40_1_41_4438 = addmethod2pos(block4437, "_apply(1)", &meth_ast__apply_40_1_41_4438, 0);
  int argcv_meth_ast__apply_40_1_41_4438[] = {1};
  meth_meth_ast__apply_40_1_41_4438->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4438);
  meth_meth_ast__apply_40_1_41_4438->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4438->definitionLine = 2947;
// compiled block node returning block4437 (depth = 4)
  gc_frame_newslot(block4437);
// call case 5: prelude request
  params[0] = opresult4436;
  params[1] = block4437;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4445 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4428);
// compiled call node returning call4445 (depth = 3)
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4446 == NULL) {
    strlit4446 = alloc_String("method ");
    gc_root(strlit4446);
  }
// compiled string node returning strlit4446 (depth = 4)
  *var_s = strlit4446;
  if (strlit4446 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool4447 = alloc_Boolean(1);
// compiled identifier node returning bool4447 (depth = 4)
  *var_firstPart = bool4447;
  if (bool4447 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4448 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4449 = gc_frame_new();
// call case 4: self request
  Object call4450 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4449);
// compiled member node returning call4450 (depth = 4)
  gc_frame_newslot(call4450);
// starting to compile block node (depth = 4)
  Object block4451 = alloc_Block(NULL, NULL, "ast", 1013);
  gc_frame_newslot(block4451);
// method "_apply(_)"
  block_savedest(block4451);
  Object closure4452 = createclosure(4, "_apply(1)");
  setclosureframe(closure4452, stackframe);
  addtoclosure(closure4452, var_s);
  addtoclosure(closure4452, var_firstPart);
  addtoclosure(closure4452, var_depth);
  addtoclosure(closure4452, selfslot);
  struct UserObject *uo4452 = (struct UserObject*)block4451;
  uo4452->data[0] = (Object)closure4452;
  Method *meth_meth_ast__apply_40_1_41_4452 = addmethod2pos(block4451, "_apply(1)", &meth_ast__apply_40_1_41_4452, 0);
  int argcv_meth_ast__apply_40_1_41_4452[] = {1};
  meth_meth_ast__apply_40_1_41_4452->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4452);
  meth_meth_ast__apply_40_1_41_4452->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4452->definitionLine = 2947;
// compiled block node returning block4451 (depth = 4)
  gc_frame_newslot(block4451);
// call case 5: prelude request
  params[0] = call4450;
  params[1] = block4451;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4542 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4448);
// compiled call node returning call4542 (depth = 3)
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4545 = gc_frame_new();
// call case 4: self request
  Object call4546 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4545);
// compiled member node returning call4546 (depth = 5)
  int op_slot_right_4544 = gc_frame_newslot(call4546);
// starting to compile identifier node (depth = 5)
  Object bool4548 = alloc_Boolean(0);
// compiled identifier node returning bool4548 (depth = 5)
  int op_slot_left_4544 = gc_frame_newslot(bool4548);
  params[0] = call4546;
  partcv[0] = 1;
  Object opresult4549 = callmethod(bool4548, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4549 (depth = 4)
  Object if4543 = done;
  if (istrue(opresult4549)) {
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4552 == NULL) {
    strlit4552 = alloc_String("");
    gc_root(strlit4552);
  }
// compiled string node returning strlit4552 (depth = 7)
  int op_slot_right_4551 = gc_frame_newslot(strlit4552);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4555 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num4556 = alloc_Float64(0);
// compiled num node returning num4556 (depth = 9)
  gc_frame_newslot(num4556);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4557 = gc_frame_new();
// call case 4: self request
  Object call4558 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4557);
// compiled member node returning call4558 (depth = 9)
  params[0] = num4556;
  partcv[0] = 1;
  Object call4559 = callmethodflags(call4558, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4555);
// compiled call node returning call4559 (depth = 8)
  int op_slot_right_4554 = gc_frame_newslot(call4559);
// starting to compile string node (depth = 8)
  if (strlit4561 == NULL) {
    strlit4561 = alloc_String(" -> ");
    gc_root(strlit4561);
  }
// compiled string node returning strlit4561 (depth = 8)
  int op_slot_left_4554 = gc_frame_newslot(strlit4561);
  params[0] = call4559;
  partcv[0] = 1;
  Object opresult4562 = callmethod(strlit4561, "++(1)", 1, partcv, params);
// compiled op node returning opresult4562 (depth = 7)
  int op_slot_left_4551 = gc_frame_newslot(opresult4562);
  params[0] = strlit4552;
  partcv[0] = 1;
  Object opresult4563 = callmethod(opresult4562, "++(1)", 1, partcv, params);
// compiled op node returning opresult4563 (depth = 6)
  int op_slot_right_4550 = gc_frame_newslot(opresult4563);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4550 = gc_frame_newslot(*var_s);
  params[0] = opresult4563;
  partcv[0] = 1;
  Object opresult4565 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4565 (depth = 5)
  *var_s = opresult4565;
  if (opresult4565 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4543 = done;
  } else {
  }
// compiled if node returning if4543 (depth = 3)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4569 = alloc_Float64(0);
// compiled num node returning num4569 (depth = 5)
  int op_slot_right_4568 = gc_frame_newslot(num4569);
// starting to compile member node (depth = 5)
  int callframe4571 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4572 = gc_frame_new();
// call case 4: self request
  Object call4573 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4572);
// compiled member node returning call4573 (depth = 6)
  Object call4574 = callmethodflags(call4573, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4571);
// compiled member node returning call4574 (depth = 5)
  int op_slot_left_4568 = gc_frame_newslot(call4574);
  params[0] = num4569;
  partcv[0] = 1;
  Object opresult4575 = callmethod(call4574, ">(1)", 1, partcv, params);
// compiled op node returning opresult4575 (depth = 4)
  Object if4567 = done;
  if (istrue(opresult4575)) {
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4577 == NULL) {
    strlit4577 = alloc_String(" is ");
    gc_root(strlit4577);
  }
// compiled string node returning strlit4577 (depth = 6)
  int op_slot_right_4576 = gc_frame_newslot(strlit4577);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4576 = gc_frame_newslot(*var_s);
  params[0] = strlit4577;
  partcv[0] = 1;
  Object opresult4579 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4579 (depth = 5)
  *var_s = opresult4579;
  if (opresult4579 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4582 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block4583 = alloc_Block(NULL, NULL, "ast", 1036);
  gc_frame_newslot(block4583);
// method "_apply(_,_)"
  block_savedest(block4583);
  Object closure4584 = createclosure(1, "_apply(2)");
  setclosureframe(closure4584, stackframe);
  addtoclosure(closure4584, selfslot);
  struct UserObject *uo4584 = (struct UserObject*)block4583;
  uo4584->data[0] = (Object)closure4584;
  Method *meth_meth_ast__apply_40_2_41_4584 = addmethod2pos(block4583, "_apply(2)", &meth_ast__apply_40_2_41_4584, 0);
  int argcv_meth_ast__apply_40_2_41_4584[] = {2};
  meth_meth_ast__apply_40_2_41_4584->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_4584);
  meth_meth_ast__apply_40_2_41_4584->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_4584->definitionLine = 2947;
// compiled block node returning block4583 (depth = 7)
  gc_frame_newslot(block4583);
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit4602 == NULL) {
    strlit4602 = alloc_String("");
    gc_root(strlit4602);
  }
// compiled string node returning strlit4602 (depth = 7)
  gc_frame_newslot(strlit4602);
// call case 6: other requests
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4603 = gc_frame_new();
// call case 4: self request
  Object call4604 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4603);
// compiled member node returning call4604 (depth = 7)
  params[0] = block4583;
  params[1] = strlit4602;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4605 = callmethodflags(call4604, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4582);
// compiled call node returning call4605 (depth = 6)
  int op_slot_right_4581 = gc_frame_newslot(call4605);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4581 = gc_frame_newslot(*var_s);
  params[0] = call4605;
  partcv[0] = 1;
  Object opresult4607 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4607 (depth = 5)
  *var_s = opresult4607;
  if (opresult4607 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4567 = done;
  } else {
  }
// compiled if node returning if4567 (depth = 3)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4610 == NULL) {
    strlit4610 = alloc_String(" {");
    gc_root(strlit4610);
  }
// compiled string node returning strlit4610 (depth = 5)
  int op_slot_right_4609 = gc_frame_newslot(strlit4610);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_4609 = gc_frame_newslot(*var_s);
  params[0] = strlit4610;
  partcv[0] = 1;
  Object opresult4612 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4612 (depth = 4)
  *var_s = opresult4612;
  if (opresult4612 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4616 = gc_frame_new();
// call case 4: self request
  Object call4617 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4616);
// compiled member node returning call4617 (depth = 5)
  int op_slot_right_4615 = gc_frame_newslot(call4617);
// starting to compile identifier node (depth = 5)
  Object bool4619 = alloc_Boolean(0);
// compiled identifier node returning bool4619 (depth = 5)
  int op_slot_left_4615 = gc_frame_newslot(bool4619);
  params[0] = call4617;
  partcv[0] = 1;
  Object opresult4620 = callmethod(bool4619, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4620 (depth = 4)
  Object if4614 = done;
  if (istrue(opresult4620)) {
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4622 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num4624 = alloc_Float64(1);
// compiled num node returning num4624 (depth = 8)
  int op_slot_right_4623 = gc_frame_newslot(num4624);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_4623 = gc_frame_newslot(*var_depth);
  params[0] = num4624;
  partcv[0] = 1;
  Object sum4626 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4626 (depth = 7)
  gc_frame_newslot(sum4626);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4627 = gc_frame_new();
// call case 4: self request
  Object call4628 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4627);
// compiled member node returning call4628 (depth = 7)
  params[0] = sum4626;
  partcv[0] = 1;
  Object call4629 = callmethodflags(call4628, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4622);
// compiled call node returning call4629 (depth = 6)
  int op_slot_right_4621 = gc_frame_newslot(call4629);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4621 = gc_frame_newslot(*var_s);
  params[0] = call4629;
  partcv[0] = 1;
  Object opresult4631 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4631 (depth = 5)
  *var_s = opresult4631;
  if (opresult4631 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if4614 = done;
  } else {
  }
// compiled if node returning if4614 (depth = 3)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4633 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4634 = gc_frame_new();
// call case 4: self request
  Object call4635 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4634);
// compiled member node returning call4635 (depth = 4)
  gc_frame_newslot(call4635);
// starting to compile block node (depth = 4)
  Object block4636 = alloc_Block(NULL, NULL, "ast", 1044);
  gc_frame_newslot(block4636);
// method "_apply(_)"
  block_savedest(block4636);
  Object closure4637 = createclosure(4, "_apply(1)");
  setclosureframe(closure4637, stackframe);
  addtoclosure(closure4637, var_depth);
  addtoclosure(closure4637, var_spc);
  addtoclosure(closure4637, var_s);
  addtoclosure(closure4637, selfslot);
  struct UserObject *uo4637 = (struct UserObject*)block4636;
  uo4637->data[0] = (Object)closure4637;
  Method *meth_meth_ast__apply_40_1_41_4637 = addmethod2pos(block4636, "_apply(1)", &meth_ast__apply_40_1_41_4637, 0);
  int argcv_meth_ast__apply_40_1_41_4637[] = {1};
  meth_meth_ast__apply_40_1_41_4637->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4637);
  meth_meth_ast__apply_40_1_41_4637->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4637->definitionLine = 2947;
// compiled block node returning block4636 (depth = 4)
  gc_frame_newslot(block4636);
// call case 5: prelude request
  params[0] = call4635;
  params[1] = block4636;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4660 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4633);
// compiled call node returning call4660 (depth = 3)
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4662 == NULL) {
    strlit4662 = alloc_String("}");
    gc_root(strlit4662);
  }
// compiled string node returning strlit4662 (depth = 5)
  int op_slot_right_4661 = gc_frame_newslot(strlit4662);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4664 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4667 == NULL) {
    strlit4667 = alloc_String("""\x0a""");
    gc_root(strlit4667);
  }
// compiled string node returning strlit4667 (depth = 7)
  int op_slot_right_4666 = gc_frame_newslot(strlit4667);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4666 = gc_frame_newslot(*var_s);
  params[0] = strlit4667;
  partcv[0] = 1;
  Object opresult4669 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4669 (depth = 6)
  int op_slot_left_4664 = gc_frame_newslot(opresult4669);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4670 = callmethod(opresult4669, "++(1)", 1, partcv, params);
// compiled op node returning opresult4670 (depth = 5)
  int op_slot_left_4661 = gc_frame_newslot(opresult4670);
  params[0] = strlit4662;
  partcv[0] = 1;
  Object opresult4671 = callmethod(opresult4670, "++(1)", 1, partcv, params);
// compiled op node returning opresult4671 (depth = 4)
  *var_s = opresult4671;
  if (opresult4671 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy4673(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4674 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe4675 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4676 = gc_frame_new();
// call case 4: self request
  Object call4677 = callmethodflags(self, "signature", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4676);
// compiled member node returning call4677 (depth = 5)
  gc_frame_newslot(call4677);
// starting to compile member node (depth = 5)
  int callframe4678 = gc_frame_new();
// call case 4: self request
  Object call4679 = callmethodflags(self, "body", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4678);
// compiled member node returning call4679 (depth = 5)
  gc_frame_newslot(call4679);
// starting to compile member node (depth = 5)
  int callframe4680 = gc_frame_new();
// call case 4: self request
  Object call4681 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4680);
// compiled member node returning call4681 (depth = 5)
  gc_frame_newslot(call4681);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methodNode (depth = 5)
  params[0] = call4677;
  params[1] = call4679;
  params[2] = call4681;
  partcv[0] = 3;
  Object call4682 = callmethodflags(*var_methodNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe4675);
// compiled call node returning call4682 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call4683 = callmethodflags(call4682, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4674);
// compiled call node returning call4683 (depth = 3)
  gc_frame_end(frame);
  return call4683;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_4684(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4685 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call4686 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe4685);
// compiled call node returning call4686 (depth = 3)
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4687 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4688 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call4689 = callmethodflags(*var_other, "isFresh", 0, partcv, params, 0);
  gc_frame_end(callframe4688);
// compiled member node returning call4689 (depth = 4)
  gc_frame_newslot(call4689);
// call case 4: self request
  params[0] = call4689;
  partcv[0] = 1;
  Object call4690 = callmethodflags(self, "isFresh:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4687);
// compiled call node returning call4690 (depth = 3)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4691 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4692 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call4693 = callmethodflags(*var_other, "selfclosure", 0, partcv, params, 0);
  gc_frame_end(callframe4692);
// compiled member node returning call4693 (depth = 4)
  gc_frame_newslot(call4693);
// call case 4: self request
  params[0] = call4693;
  partcv[0] = 1;
  Object call4694 = callmethodflags(self, "selfclosure:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4691);
// compiled call node returning call4694 (depth = 3)
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_3_41_3670(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3671 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3671 = alloc_userobj2(46,38, objclass3671);
  gc_frame_newslot(obj3671);
if (objclass3671 == NULL) {
  glfree(obj3671->class->name);
  obj3671->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3671, self, 0);
  addmethodreal(obj3671,"outer", &reader_ast_outer_3672);
  Object oldself3671 = self;
  struct StackFrameObject *oldstackframe3671 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3671);
  gc_frame_newslot((Object)stackframe);
  self = obj3671;
  Object *oldselfslot3671 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3671 = (*(struct UserObject *)self).data[0], lowerouter3671 = thisouter3671;
  if (inheritingObject3671) {
    struct UserObject *inho3671 = (struct UserObject *)inheritingObject3671;
    while (inho3671->super != GraceDefaultObject) inho3671 = (struct UserObject *)inho3671->super;
    inho3671->super = obj3671;
    self = inheritingObject3671;
    *selfslot = self;
    lowerouter3671 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3671;
  }
if (objclass3671 == NULL) {
  Method *reader3673 = addmethodrealflags(obj3671, "kind",&reader_ast_kind_3673, MFLAG_DEF);
  reader3673->definitionModule = modulename;
  reader3673->definitionLine = 845;
}
adddatum2(obj3671, alloc_Undefined(), 1);
if (objclass3671 == NULL) {
  Method *reader3674 = addmethodrealflags(obj3671, "signature", &reader_ast_signature_3674, 0);
  Method *writer3674 = addmethodrealflags(obj3671, "signature:=(1)", &writer_ast_signature_3674, 0);
  reader3674->definitionModule = modulename;
  writer3674->definitionModule = modulename;
  reader3674->definitionLine = 846;
  writer3674->definitionLine = 846;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 2);
if (objclass3671 == NULL) {
  Method *reader3675 = addmethodrealflags(obj3671, "body", &reader_ast_body_3675, 0);
  Method *writer3675 = addmethodrealflags(obj3671, "body:=(1)", &writer_ast_body_3675, 0);
  reader3675->definitionModule = modulename;
  writer3675->definitionModule = modulename;
  reader3675->definitionLine = 847;
  writer3675->definitionLine = 847;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 3);
if (objclass3671 == NULL) {
  Method *reader3676 = addmethodrealflags(obj3671, "dtype", &reader_ast_dtype_3676, 0);
  Method *writer3676 = addmethodrealflags(obj3671, "dtype:=(1)", &writer_ast_dtype_3676, 0);
  reader3676->definitionModule = modulename;
  writer3676->definitionModule = modulename;
  reader3676->definitionLine = 848;
  writer3676->definitionLine = 848;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 4);
if (objclass3671 == NULL) {
  Method *reader3677 = addmethodrealflags(obj3671, "typeParams", &reader_ast_typeParams_3677, 0);
  Method *writer3677 = addmethodrealflags(obj3671, "typeParams:=(1)", &writer_ast_typeParams_3677, 0);
  reader3677->definitionModule = modulename;
  writer3677->definitionModule = modulename;
  reader3677->definitionLine = 849;
  writer3677->definitionLine = 849;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 5);
if (objclass3671 == NULL) {
  Method *reader3678 = addmethodrealflags(obj3671, "selfclosure", &reader_ast_selfclosure_3678, 0);
  Method *writer3678 = addmethodrealflags(obj3671, "selfclosure:=(1)", &writer_ast_selfclosure_3678, 0);
  reader3678->definitionModule = modulename;
  writer3678->definitionModule = modulename;
  reader3678->definitionLine = 850;
  writer3678->definitionLine = 850;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 6);
if (objclass3671 == NULL) {
  Method *reader3679 = addmethodrealflags(obj3671, "annotations", &reader_ast_annotations_3679, 0);
  Method *writer3679 = addmethodrealflags(obj3671, "annotations:=(1)", &writer_ast_annotations_3679, 0);
  reader3679->definitionModule = modulename;
  writer3679->definitionModule = modulename;
  reader3679->definitionLine = 851;
  writer3679->definitionLine = 851;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 7);
if (objclass3671 == NULL) {
  Method *reader3680 = addmethodrealflags(obj3671, "isFresh", &reader_ast_isFresh_3680, 0);
  Method *writer3680 = addmethodrealflags(obj3671, "isFresh:=(1)", &writer_ast_isFresh_3680, 0);
  reader3680->definitionModule = modulename;
  writer3680->definitionModule = modulename;
  reader3680->definitionLine = 852;
  writer3680->definitionLine = 852;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 8);
if (objclass3671 == NULL) {
  Method *reader3681 = addmethodrealflags(obj3671, "usesClassSyntax", &reader_ast_usesClassSyntax_3681, 0);
  Method *writer3681 = addmethodrealflags(obj3671, "usesClassSyntax:=(1)", &writer_ast_usesClassSyntax_3681, 0);
  reader3681->definitionModule = modulename;
  writer3681->definitionModule = modulename;
  reader3681->definitionLine = 853;
  writer3681->definitionLine = 853;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 9);
if (objclass3671 == NULL) {
  Method *reader3682 = addmethodrealflags(obj3671, "cachedIdentifier", &reader_ast_cachedIdentifier_3682, MFLAG_CONFIDENTIAL);
  Method *writer3682 = addmethodrealflags(obj3671, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_3682, MFLAG_CONFIDENTIAL);
  reader3682->definitionModule = modulename;
  writer3682->definitionModule = modulename;
  reader3682->definitionLine = 854;
  writer3682->definitionLine = 854;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 10);
// method "nameString"
  struct UserObject *uo3683 = (struct UserObject*)obj3671;
  uo3683->data[11] = emptyclosure;
  Method *meth_meth_ast_nameString3683 = addmethod2pos(obj3671, "nameString", &meth_ast_nameString3683, 11);
  int argcv_meth_ast_nameString3683[] = {0};
  meth_meth_ast_nameString3683->type = alloc_MethodType(1, argcv_meth_ast_nameString3683);
  meth_meth_ast_nameString3683->definitionModule = modulename;
  meth_meth_ast_nameString3683->definitionLine = 856;
// method "value"
  block_savedest(obj3671);
  Object closure3697 = createclosure(2, "value");
  setclosureframe(closure3697, stackframe);
  addtoclosure(closure3697, var_uninitialized);
  addtoclosure(closure3697, var_identifierNode);
  struct UserObject *uo3697 = (struct UserObject*)obj3671;
  uo3697->data[12] = (Object)closure3697;
  Method *meth_meth_ast_value3697 = addmethod2pos(obj3671, "value", &meth_ast_value3697, 12);
  int argcv_meth_ast_value3697[] = {0};
  meth_meth_ast_value3697->type = alloc_MethodType(1, argcv_meth_ast_value3697);
  meth_meth_ast_value3697->definitionModule = modulename;
  meth_meth_ast_value3697->definitionLine = 860;
// method "canonicalName"
  struct UserObject *uo3738 = (struct UserObject*)obj3671;
  uo3738->data[13] = emptyclosure;
  Method *meth_meth_ast_canonicalName3738 = addmethod2pos(obj3671, "canonicalName", &meth_ast_canonicalName3738, 13);
  int argcv_meth_ast_canonicalName3738[] = {0};
  meth_meth_ast_canonicalName3738->type = alloc_MethodType(1, argcv_meth_ast_canonicalName3738);
  meth_meth_ast_canonicalName3738->definitionModule = modulename;
  meth_meth_ast_canonicalName3738->definitionLine = 869;
// method "hasParams"
  struct UserObject *uo3752 = (struct UserObject*)obj3671;
  uo3752->data[14] = emptyclosure;
  Method *meth_meth_ast_hasParams3752 = addmethod2pos(obj3671, "hasParams", &meth_ast_hasParams3752, 14);
  int argcv_meth_ast_hasParams3752[] = {0};
  meth_meth_ast_hasParams3752->type = alloc_MethodType(1, argcv_meth_ast_hasParams3752);
  meth_meth_ast_hasParams3752->definitionModule = modulename;
  meth_meth_ast_hasParams3752->definitionLine = 873;
// method "numParamLists"
  struct UserObject *uo3763 = (struct UserObject*)obj3671;
  uo3763->data[15] = emptyclosure;
  Method *meth_meth_ast_numParamLists3763 = addmethod2pos(obj3671, "numParamLists", &meth_ast_numParamLists3763, 15);
  int argcv_meth_ast_numParamLists3763[] = {0};
  meth_meth_ast_numParamLists3763->type = alloc_MethodType(1, argcv_meth_ast_numParamLists3763);
  meth_meth_ast_numParamLists3763->definitionModule = modulename;
  meth_meth_ast_numParamLists3763->definitionLine = 874;
// method "hasTypeParams"
  struct UserObject *uo3784 = (struct UserObject*)obj3671;
  uo3784->data[16] = emptyclosure;
  Method *meth_meth_ast_hasTypeParams3784 = addmethod2pos(obj3671, "hasTypeParams", &meth_ast_hasTypeParams3784, 16);
  int argcv_meth_ast_hasTypeParams3784[] = {0};
  meth_meth_ast_hasTypeParams3784->type = alloc_MethodType(1, argcv_meth_ast_hasTypeParams3784);
  meth_meth_ast_hasTypeParams3784->definitionModule = modulename;
  meth_meth_ast_hasTypeParams3784->definitionLine = 882;
// method "isMethod"
  struct UserObject *uo3795 = (struct UserObject*)obj3671;
  uo3795->data[17] = emptyclosure;
  Method *meth_meth_ast_isMethod3795 = addmethod2pos(obj3671, "isMethod", &meth_ast_isMethod3795, 17);
  int argcv_meth_ast_isMethod3795[] = {0};
  meth_meth_ast_isMethod3795->type = alloc_MethodType(1, argcv_meth_ast_isMethod3795);
  meth_meth_ast_isMethod3795->definitionModule = modulename;
  meth_meth_ast_isMethod3795->definitionLine = 883;
// method "isExecutable"
  struct UserObject *uo3797 = (struct UserObject*)obj3671;
  uo3797->data[18] = emptyclosure;
  Method *meth_meth_ast_isExecutable3797 = addmethod2pos(obj3671, "isExecutable", &meth_ast_isExecutable3797, 18);
  int argcv_meth_ast_isExecutable3797[] = {0};
  meth_meth_ast_isExecutable3797->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3797);
  meth_meth_ast_isExecutable3797->definitionModule = modulename;
  meth_meth_ast_isExecutable3797->definitionLine = 884;
// method "isLegalInTrait"
  struct UserObject *uo3799 = (struct UserObject*)obj3671;
  uo3799->data[19] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait3799 = addmethod2pos(obj3671, "isLegalInTrait", &meth_ast_isLegalInTrait3799, 19);
  int argcv_meth_ast_isLegalInTrait3799[] = {0};
  meth_meth_ast_isLegalInTrait3799->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait3799);
  meth_meth_ast_isLegalInTrait3799->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait3799->definitionLine = 885;
// method "isClass"
  struct UserObject *uo3801 = (struct UserObject*)obj3671;
  uo3801->data[20] = emptyclosure;
  Method *meth_meth_ast_isClass3801 = addmethod2pos(obj3671, "isClass", &meth_ast_isClass3801, 20);
  int argcv_meth_ast_isClass3801[] = {0};
  meth_meth_ast_isClass3801->type = alloc_MethodType(1, argcv_meth_ast_isClass3801);
  meth_meth_ast_isClass3801->definitionModule = modulename;
  meth_meth_ast_isClass3801->definitionLine = 886;
// method "isTrait"
  struct UserObject *uo3809 = (struct UserObject*)obj3671;
  uo3809->data[21] = emptyclosure;
  Method *meth_meth_ast_isTrait3809 = addmethod2pos(obj3671, "isTrait", &meth_ast_isTrait3809, 21);
  int argcv_meth_ast_isTrait3809[] = {0};
  meth_meth_ast_isTrait3809->type = alloc_MethodType(1, argcv_meth_ast_isTrait3809);
  meth_meth_ast_isTrait3809->definitionModule = modulename;
  meth_meth_ast_isTrait3809->definitionLine = 887;
// method "needsArgChecks"
  struct UserObject *uo3820 = (struct UserObject*)obj3671;
  uo3820->data[22] = emptyclosure;
  Method *meth_meth_ast_needsArgChecks3820 = addmethod2pos(obj3671, "needsArgChecks", &meth_ast_needsArgChecks3820, 22);
  int argcv_meth_ast_needsArgChecks3820[] = {0};
  meth_meth_ast_needsArgChecks3820->type = alloc_MethodType(1, argcv_meth_ast_needsArgChecks3820);
  meth_meth_ast_needsArgChecks3820->definitionModule = modulename;
  meth_meth_ast_needsArgChecks3820->definitionLine = 894;
// method "scope:=(_)"
  struct UserObject *uo3858 = (struct UserObject*)obj3671;
  uo3858->data[23] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_3858 = addmethod2pos(obj3671, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_3858, 23);
  int argcv_meth_ast_scope_58__61__40_1_41_3858[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_3858->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_3858);
  meth_meth_ast_scope_58__61__40_1_41_3858->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_3858->definitionLine = 905;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3671);
  Object closure3863 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3863, stackframe);
  addtoclosure(closure3863, var_k);
  struct UserObject *uo3863 = (struct UserObject*)obj3671;
  uo3863->data[24] = (Object)closure3863;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3863 = addmethod2pos(obj3671, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3863, 24);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3863[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3863->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3863);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3863->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3863->definitionLine = 911;
// method "isConfidential"
  struct UserObject *uo3866 = (struct UserObject*)obj3671;
  uo3866->data[25] = emptyclosure;
  Method *meth_meth_ast_isConfidential3866 = addmethod2pos(obj3671, "isConfidential", &meth_ast_isConfidential3866, 25);
  int argcv_meth_ast_isConfidential3866[] = {0};
  meth_meth_ast_isConfidential3866->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3866);
  meth_meth_ast_isConfidential3866->definitionModule = modulename;
  meth_meth_ast_isConfidential3866->definitionLine = 912;
// method "isPublic"
  struct UserObject *uo3884 = (struct UserObject*)obj3671;
  uo3884->data[26] = emptyclosure;
  Method *meth_meth_ast_isPublic3884 = addmethod2pos(obj3671, "isPublic", &meth_ast_isPublic3884, 26);
  int argcv_meth_ast_isPublic3884[] = {0};
  meth_meth_ast_isPublic3884->type = alloc_MethodType(1, argcv_meth_ast_isPublic3884);
  meth_meth_ast_isPublic3884->definitionModule = modulename;
  meth_meth_ast_isPublic3884->definitionLine = 916;
// method "isWritable"
  struct UserObject *uo3889 = (struct UserObject*)obj3671;
  uo3889->data[27] = emptyclosure;
  Method *meth_meth_ast_isWritable3889 = addmethod2pos(obj3671, "isWritable", &meth_ast_isWritable3889, 27);
  int argcv_meth_ast_isWritable3889[] = {0};
  meth_meth_ast_isWritable3889->type = alloc_MethodType(1, argcv_meth_ast_isWritable3889);
  meth_meth_ast_isWritable3889->definitionModule = modulename;
  meth_meth_ast_isWritable3889->definitionLine = 917;
// method "isReadable"
  struct UserObject *uo3891 = (struct UserObject*)obj3671;
  uo3891->data[28] = emptyclosure;
  Method *meth_meth_ast_isReadable3891 = addmethod2pos(obj3671, "isReadable", &meth_ast_isReadable3891, 28);
  int argcv_meth_ast_isReadable3891[] = {0};
  meth_meth_ast_isReadable3891->type = alloc_MethodType(1, argcv_meth_ast_isReadable3891);
  meth_meth_ast_isReadable3891->definitionModule = modulename;
  meth_meth_ast_isReadable3891->definitionLine = 918;
// method "usesAsType(_)"
  struct UserObject *uo3894 = (struct UserObject*)obj3671;
  uo3894->data[29] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_3894 = addmethod2pos(obj3671, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_3894, 29);
  int argcv_meth_ast_usesAsType_40_1_41_3894[] = {1};
  meth_meth_ast_usesAsType_40_1_41_3894->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_3894);
  meth_meth_ast_usesAsType_40_1_41_3894->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_3894->definitionLine = 919;
// method "returnsObject"
  struct UserObject *uo3900 = (struct UserObject*)obj3671;
  uo3900->data[30] = emptyclosure;
  Method *meth_meth_ast_returnsObject3900 = addmethod2pos(obj3671, "returnsObject", &meth_ast_returnsObject3900, 30);
  int argcv_meth_ast_returnsObject3900[] = {0};
  meth_meth_ast_returnsObject3900->type = alloc_MethodType(1, argcv_meth_ast_returnsObject3900);
  meth_meth_ast_returnsObject3900->definitionModule = modulename;
  meth_meth_ast_returnsObject3900->definitionLine = 922;
// method "returnedObjectScope"
  struct UserObject *uo3919 = (struct UserObject*)obj3671;
  uo3919->data[31] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope3919 = addmethod2pos(obj3671, "returnedObjectScope", &meth_ast_returnedObjectScope3919, 31);
  int argcv_meth_ast_returnedObjectScope3919[] = {0};
  meth_meth_ast_returnedObjectScope3919->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope3919);
  meth_meth_ast_returnedObjectScope3919->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope3919->definitionLine = 925;
// method "accept(_)from(_)"
  struct UserObject *uo3926 = (struct UserObject*)obj3671;
  uo3926->data[32] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3926 = addmethod2pos(obj3671, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3926, 32);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3926[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3926->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3926);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3926->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3926->definitionLine = 929;
// method "map(_)ancestors(_)"
  struct UserObject *uo3992 = (struct UserObject*)obj3671;
  uo3992->data[33] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3992 = addmethod2pos(obj3671, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3992, 33);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3992[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3992->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3992);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3992->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3992->definitionLine = 952;
// method "pretty(_)"
  struct UserObject *uo4049 = (struct UserObject*)obj3671;
  uo4049->data[34] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_4049 = addmethod2pos(obj3671, "pretty(1)", &meth_ast_pretty_40_1_41_4049, 34);
  int argcv_meth_ast_pretty_40_1_41_4049[] = {1};
  meth_meth_ast_pretty_40_1_41_4049->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_4049);
  meth_meth_ast_pretty_40_1_41_4049->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_4049->definitionLine = 962;
// method "toGrace(_)"
  struct UserObject *uo4426 = (struct UserObject*)obj3671;
  uo4426->data[35] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_4426 = addmethod2pos(obj3671, "toGrace(1)", &meth_ast_toGrace_40_1_41_4426, 35);
  int argcv_meth_ast_toGrace_40_1_41_4426[] = {1};
  meth_meth_ast_toGrace_40_1_41_4426->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_4426);
meth_meth_ast_toGrace_40_1_41_4426->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_4426->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_4426->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_4426->definitionLine = 1006;
// method "shallowCopy"
  block_savedest(obj3671);
  Object closure4673 = createclosure(1, "shallowCopy");
  setclosureframe(closure4673, stackframe);
  addtoclosure(closure4673, var_methodNode);
  struct UserObject *uo4673 = (struct UserObject*)obj3671;
  uo4673->data[36] = (Object)closure4673;
  Method *meth_meth_ast_shallowCopy4673 = addmethod2pos(obj3671, "shallowCopy", &meth_ast_shallowCopy4673, 36);
  int argcv_meth_ast_shallowCopy4673[] = {0};
  meth_meth_ast_shallowCopy4673->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy4673);
  meth_meth_ast_shallowCopy4673->definitionModule = modulename;
  meth_meth_ast_shallowCopy4673->definitionLine = 1050;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo4684 = (struct UserObject*)obj3671;
  uo4684->data[37] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_4684 = addmethod2pos(obj3671, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_4684, 37);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_4684[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_4684->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_4684);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_4684->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_4684->definitionLine = 1053;
  sourceObject = obj3671;
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4695 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4696 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4697 = gc_frame_new();
// call case 3: self.outer request
  Object call4698 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4697);
// compiled member node returning call4698 (depth = 5)
  Object call4699 = callmethodflags(call4698, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4696);
// compiled member node returning call4699 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4700 = callmethodflags(call4699, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4695);
// compiled call node returning call4700 (depth = 3)
  struct UserObject *obj3671_uo = (struct UserObject *)obj3671;
  obj3671_uo->super = call4700;
  sourceObject = obj3671;
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit4701 == NULL) {
    strlit4701 = alloc_String("method");
    gc_root(strlit4701);
  }
// compiled string node returning strlit4701 (depth = 3)
  adddatum2(obj3671, strlit4701, 1);
  sourceObject = obj3671;
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj3671, *var_signature_39_, 2);
  sourceObject = obj3671;
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj3671, *var_body_39_, 3);
  sourceObject = obj3671;
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj3671, *var_dtype_39_, 4);
  sourceObject = obj3671;
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4702 = alloc_Boolean(0);
// compiled identifier node returning bool4702 (depth = 3)
  adddatum2(obj3671, bool4702, 5);
  sourceObject = obj3671;
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4703 = alloc_Boolean(0);
// compiled identifier node returning bool4703 (depth = 3)
  adddatum2(obj3671, bool4703, 6);
  sourceObject = obj3671;
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array4704 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4704 (depth = 3)
  adddatum2(obj3671, array4704, 7);
  sourceObject = obj3671;
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4705 = alloc_Boolean(0);
// compiled identifier node returning bool4705 (depth = 3)
  adddatum2(obj3671, bool4705, 8);
  sourceObject = obj3671;
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4706 = alloc_Boolean(0);
// compiled identifier node returning bool4706 (depth = 3)
  adddatum2(obj3671, bool4706, 9);
  sourceObject = obj3671;
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj3671, *var_uninitialized, 10);
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  objclass3671 = obj3671->class;
  objclass3671->definitionModule = modulename;
  objclass3671->definitionLine = 837;
  (*(struct UserObject *)self).data[0] = lowerouter3671;
  self = oldself3671;
  selfslot = oldselfslot3671;
  stackframe = oldstackframe3671;
  gc_frame_end(frame);
  return obj3671;
}
Object meth_ast_new_40_3_41_3670_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_uninitialized = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_k = getfromclosure(closure, 2);
  Object *var_methodNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_signature_39_ = &(stackframe->slots[0]);
  *var_signature_39_ = args[curarg];
  curarg++;
  Object *var_body_39_ = &(stackframe->slots[1]);
  *var_body_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject3671 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3671 = alloc_userobj2(46,38, objclass3671);
  gc_frame_newslot(obj3671);
if (objclass3671 == NULL) {
  glfree(obj3671->class->name);
  obj3671->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3671, self, 0);
  addmethodreal(obj3671,"outer", &reader_ast_outer_3672);
  Object oldself3671 = self;
  struct StackFrameObject *oldstackframe3671 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3671);
  gc_frame_newslot((Object)stackframe);
  self = obj3671;
  Object *oldselfslot3671 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3671 = (*(struct UserObject *)self).data[0], lowerouter3671 = thisouter3671;
  if (inheritingObject3671) {
    struct UserObject *inho3671 = (struct UserObject *)inheritingObject3671;
    while (inho3671->super != GraceDefaultObject) inho3671 = (struct UserObject *)inho3671->super;
    inho3671->super = obj3671;
    self = inheritingObject3671;
    *selfslot = self;
    lowerouter3671 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3671;
  }
if (objclass3671 == NULL) {
  Method *reader3673 = addmethodrealflags(obj3671, "kind",&reader_ast_kind_3673, MFLAG_DEF);
  reader3673->definitionModule = modulename;
  reader3673->definitionLine = 845;
}
adddatum2(obj3671, alloc_Undefined(), 1);
if (objclass3671 == NULL) {
  Method *reader3674 = addmethodrealflags(obj3671, "signature", &reader_ast_signature_3674, 0);
  Method *writer3674 = addmethodrealflags(obj3671, "signature:=(1)", &writer_ast_signature_3674, 0);
  reader3674->definitionModule = modulename;
  writer3674->definitionModule = modulename;
  reader3674->definitionLine = 846;
  writer3674->definitionLine = 846;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 2);
if (objclass3671 == NULL) {
  Method *reader3675 = addmethodrealflags(obj3671, "body", &reader_ast_body_3675, 0);
  Method *writer3675 = addmethodrealflags(obj3671, "body:=(1)", &writer_ast_body_3675, 0);
  reader3675->definitionModule = modulename;
  writer3675->definitionModule = modulename;
  reader3675->definitionLine = 847;
  writer3675->definitionLine = 847;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 3);
if (objclass3671 == NULL) {
  Method *reader3676 = addmethodrealflags(obj3671, "dtype", &reader_ast_dtype_3676, 0);
  Method *writer3676 = addmethodrealflags(obj3671, "dtype:=(1)", &writer_ast_dtype_3676, 0);
  reader3676->definitionModule = modulename;
  writer3676->definitionModule = modulename;
  reader3676->definitionLine = 848;
  writer3676->definitionLine = 848;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 4);
if (objclass3671 == NULL) {
  Method *reader3677 = addmethodrealflags(obj3671, "typeParams", &reader_ast_typeParams_3677, 0);
  Method *writer3677 = addmethodrealflags(obj3671, "typeParams:=(1)", &writer_ast_typeParams_3677, 0);
  reader3677->definitionModule = modulename;
  writer3677->definitionModule = modulename;
  reader3677->definitionLine = 849;
  writer3677->definitionLine = 849;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 5);
if (objclass3671 == NULL) {
  Method *reader3678 = addmethodrealflags(obj3671, "selfclosure", &reader_ast_selfclosure_3678, 0);
  Method *writer3678 = addmethodrealflags(obj3671, "selfclosure:=(1)", &writer_ast_selfclosure_3678, 0);
  reader3678->definitionModule = modulename;
  writer3678->definitionModule = modulename;
  reader3678->definitionLine = 850;
  writer3678->definitionLine = 850;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 6);
if (objclass3671 == NULL) {
  Method *reader3679 = addmethodrealflags(obj3671, "annotations", &reader_ast_annotations_3679, 0);
  Method *writer3679 = addmethodrealflags(obj3671, "annotations:=(1)", &writer_ast_annotations_3679, 0);
  reader3679->definitionModule = modulename;
  writer3679->definitionModule = modulename;
  reader3679->definitionLine = 851;
  writer3679->definitionLine = 851;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 7);
if (objclass3671 == NULL) {
  Method *reader3680 = addmethodrealflags(obj3671, "isFresh", &reader_ast_isFresh_3680, 0);
  Method *writer3680 = addmethodrealflags(obj3671, "isFresh:=(1)", &writer_ast_isFresh_3680, 0);
  reader3680->definitionModule = modulename;
  writer3680->definitionModule = modulename;
  reader3680->definitionLine = 852;
  writer3680->definitionLine = 852;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 8);
if (objclass3671 == NULL) {
  Method *reader3681 = addmethodrealflags(obj3671, "usesClassSyntax", &reader_ast_usesClassSyntax_3681, 0);
  Method *writer3681 = addmethodrealflags(obj3671, "usesClassSyntax:=(1)", &writer_ast_usesClassSyntax_3681, 0);
  reader3681->definitionModule = modulename;
  writer3681->definitionModule = modulename;
  reader3681->definitionLine = 853;
  writer3681->definitionLine = 853;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 9);
if (objclass3671 == NULL) {
  Method *reader3682 = addmethodrealflags(obj3671, "cachedIdentifier", &reader_ast_cachedIdentifier_3682, MFLAG_CONFIDENTIAL);
  Method *writer3682 = addmethodrealflags(obj3671, "cachedIdentifier:=(1)", &writer_ast_cachedIdentifier_3682, MFLAG_CONFIDENTIAL);
  reader3682->definitionModule = modulename;
  writer3682->definitionModule = modulename;
  reader3682->definitionLine = 854;
  writer3682->definitionLine = 854;
}
obj3671->flags |= OFLAG_MUTABLE;
adddatum2(obj3671, alloc_Undefined(), 10);
// method "nameString"
  struct UserObject *uo3683 = (struct UserObject*)obj3671;
  uo3683->data[11] = emptyclosure;
  Method *meth_meth_ast_nameString3683 = addmethod2pos(obj3671, "nameString", &meth_ast_nameString3683, 11);
  int argcv_meth_ast_nameString3683[] = {0};
  meth_meth_ast_nameString3683->type = alloc_MethodType(1, argcv_meth_ast_nameString3683);
  meth_meth_ast_nameString3683->definitionModule = modulename;
  meth_meth_ast_nameString3683->definitionLine = 856;
// method "value"
  block_savedest(obj3671);
  Object closure3697 = createclosure(2, "value");
  setclosureframe(closure3697, stackframe);
  addtoclosure(closure3697, var_uninitialized);
  addtoclosure(closure3697, var_identifierNode);
  struct UserObject *uo3697 = (struct UserObject*)obj3671;
  uo3697->data[12] = (Object)closure3697;
  Method *meth_meth_ast_value3697 = addmethod2pos(obj3671, "value", &meth_ast_value3697, 12);
  int argcv_meth_ast_value3697[] = {0};
  meth_meth_ast_value3697->type = alloc_MethodType(1, argcv_meth_ast_value3697);
  meth_meth_ast_value3697->definitionModule = modulename;
  meth_meth_ast_value3697->definitionLine = 860;
// method "canonicalName"
  struct UserObject *uo3738 = (struct UserObject*)obj3671;
  uo3738->data[13] = emptyclosure;
  Method *meth_meth_ast_canonicalName3738 = addmethod2pos(obj3671, "canonicalName", &meth_ast_canonicalName3738, 13);
  int argcv_meth_ast_canonicalName3738[] = {0};
  meth_meth_ast_canonicalName3738->type = alloc_MethodType(1, argcv_meth_ast_canonicalName3738);
  meth_meth_ast_canonicalName3738->definitionModule = modulename;
  meth_meth_ast_canonicalName3738->definitionLine = 869;
// method "hasParams"
  struct UserObject *uo3752 = (struct UserObject*)obj3671;
  uo3752->data[14] = emptyclosure;
  Method *meth_meth_ast_hasParams3752 = addmethod2pos(obj3671, "hasParams", &meth_ast_hasParams3752, 14);
  int argcv_meth_ast_hasParams3752[] = {0};
  meth_meth_ast_hasParams3752->type = alloc_MethodType(1, argcv_meth_ast_hasParams3752);
  meth_meth_ast_hasParams3752->definitionModule = modulename;
  meth_meth_ast_hasParams3752->definitionLine = 873;
// method "numParamLists"
  struct UserObject *uo3763 = (struct UserObject*)obj3671;
  uo3763->data[15] = emptyclosure;
  Method *meth_meth_ast_numParamLists3763 = addmethod2pos(obj3671, "numParamLists", &meth_ast_numParamLists3763, 15);
  int argcv_meth_ast_numParamLists3763[] = {0};
  meth_meth_ast_numParamLists3763->type = alloc_MethodType(1, argcv_meth_ast_numParamLists3763);
  meth_meth_ast_numParamLists3763->definitionModule = modulename;
  meth_meth_ast_numParamLists3763->definitionLine = 874;
// method "hasTypeParams"
  struct UserObject *uo3784 = (struct UserObject*)obj3671;
  uo3784->data[16] = emptyclosure;
  Method *meth_meth_ast_hasTypeParams3784 = addmethod2pos(obj3671, "hasTypeParams", &meth_ast_hasTypeParams3784, 16);
  int argcv_meth_ast_hasTypeParams3784[] = {0};
  meth_meth_ast_hasTypeParams3784->type = alloc_MethodType(1, argcv_meth_ast_hasTypeParams3784);
  meth_meth_ast_hasTypeParams3784->definitionModule = modulename;
  meth_meth_ast_hasTypeParams3784->definitionLine = 882;
// method "isMethod"
  struct UserObject *uo3795 = (struct UserObject*)obj3671;
  uo3795->data[17] = emptyclosure;
  Method *meth_meth_ast_isMethod3795 = addmethod2pos(obj3671, "isMethod", &meth_ast_isMethod3795, 17);
  int argcv_meth_ast_isMethod3795[] = {0};
  meth_meth_ast_isMethod3795->type = alloc_MethodType(1, argcv_meth_ast_isMethod3795);
  meth_meth_ast_isMethod3795->definitionModule = modulename;
  meth_meth_ast_isMethod3795->definitionLine = 883;
// method "isExecutable"
  struct UserObject *uo3797 = (struct UserObject*)obj3671;
  uo3797->data[18] = emptyclosure;
  Method *meth_meth_ast_isExecutable3797 = addmethod2pos(obj3671, "isExecutable", &meth_ast_isExecutable3797, 18);
  int argcv_meth_ast_isExecutable3797[] = {0};
  meth_meth_ast_isExecutable3797->type = alloc_MethodType(1, argcv_meth_ast_isExecutable3797);
  meth_meth_ast_isExecutable3797->definitionModule = modulename;
  meth_meth_ast_isExecutable3797->definitionLine = 884;
// method "isLegalInTrait"
  struct UserObject *uo3799 = (struct UserObject*)obj3671;
  uo3799->data[19] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait3799 = addmethod2pos(obj3671, "isLegalInTrait", &meth_ast_isLegalInTrait3799, 19);
  int argcv_meth_ast_isLegalInTrait3799[] = {0};
  meth_meth_ast_isLegalInTrait3799->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait3799);
  meth_meth_ast_isLegalInTrait3799->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait3799->definitionLine = 885;
// method "isClass"
  struct UserObject *uo3801 = (struct UserObject*)obj3671;
  uo3801->data[20] = emptyclosure;
  Method *meth_meth_ast_isClass3801 = addmethod2pos(obj3671, "isClass", &meth_ast_isClass3801, 20);
  int argcv_meth_ast_isClass3801[] = {0};
  meth_meth_ast_isClass3801->type = alloc_MethodType(1, argcv_meth_ast_isClass3801);
  meth_meth_ast_isClass3801->definitionModule = modulename;
  meth_meth_ast_isClass3801->definitionLine = 886;
// method "isTrait"
  struct UserObject *uo3809 = (struct UserObject*)obj3671;
  uo3809->data[21] = emptyclosure;
  Method *meth_meth_ast_isTrait3809 = addmethod2pos(obj3671, "isTrait", &meth_ast_isTrait3809, 21);
  int argcv_meth_ast_isTrait3809[] = {0};
  meth_meth_ast_isTrait3809->type = alloc_MethodType(1, argcv_meth_ast_isTrait3809);
  meth_meth_ast_isTrait3809->definitionModule = modulename;
  meth_meth_ast_isTrait3809->definitionLine = 887;
// method "needsArgChecks"
  struct UserObject *uo3820 = (struct UserObject*)obj3671;
  uo3820->data[22] = emptyclosure;
  Method *meth_meth_ast_needsArgChecks3820 = addmethod2pos(obj3671, "needsArgChecks", &meth_ast_needsArgChecks3820, 22);
  int argcv_meth_ast_needsArgChecks3820[] = {0};
  meth_meth_ast_needsArgChecks3820->type = alloc_MethodType(1, argcv_meth_ast_needsArgChecks3820);
  meth_meth_ast_needsArgChecks3820->definitionModule = modulename;
  meth_meth_ast_needsArgChecks3820->definitionLine = 894;
// method "scope:=(_)"
  struct UserObject *uo3858 = (struct UserObject*)obj3671;
  uo3858->data[23] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_3858 = addmethod2pos(obj3671, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_3858, 23);
  int argcv_meth_ast_scope_58__61__40_1_41_3858[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_3858->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_3858);
  meth_meth_ast_scope_58__61__40_1_41_3858->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_3858->definitionLine = 905;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj3671);
  Object closure3863 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure3863, stackframe);
  addtoclosure(closure3863, var_k);
  struct UserObject *uo3863 = (struct UserObject*)obj3671;
  uo3863->data[24] = (Object)closure3863;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_3863 = addmethod2pos(obj3671, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_3863, 24);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_3863[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3863->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_3863);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3863->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_3863->definitionLine = 911;
// method "isConfidential"
  struct UserObject *uo3866 = (struct UserObject*)obj3671;
  uo3866->data[25] = emptyclosure;
  Method *meth_meth_ast_isConfidential3866 = addmethod2pos(obj3671, "isConfidential", &meth_ast_isConfidential3866, 25);
  int argcv_meth_ast_isConfidential3866[] = {0};
  meth_meth_ast_isConfidential3866->type = alloc_MethodType(1, argcv_meth_ast_isConfidential3866);
  meth_meth_ast_isConfidential3866->definitionModule = modulename;
  meth_meth_ast_isConfidential3866->definitionLine = 912;
// method "isPublic"
  struct UserObject *uo3884 = (struct UserObject*)obj3671;
  uo3884->data[26] = emptyclosure;
  Method *meth_meth_ast_isPublic3884 = addmethod2pos(obj3671, "isPublic", &meth_ast_isPublic3884, 26);
  int argcv_meth_ast_isPublic3884[] = {0};
  meth_meth_ast_isPublic3884->type = alloc_MethodType(1, argcv_meth_ast_isPublic3884);
  meth_meth_ast_isPublic3884->definitionModule = modulename;
  meth_meth_ast_isPublic3884->definitionLine = 916;
// method "isWritable"
  struct UserObject *uo3889 = (struct UserObject*)obj3671;
  uo3889->data[27] = emptyclosure;
  Method *meth_meth_ast_isWritable3889 = addmethod2pos(obj3671, "isWritable", &meth_ast_isWritable3889, 27);
  int argcv_meth_ast_isWritable3889[] = {0};
  meth_meth_ast_isWritable3889->type = alloc_MethodType(1, argcv_meth_ast_isWritable3889);
  meth_meth_ast_isWritable3889->definitionModule = modulename;
  meth_meth_ast_isWritable3889->definitionLine = 917;
// method "isReadable"
  struct UserObject *uo3891 = (struct UserObject*)obj3671;
  uo3891->data[28] = emptyclosure;
  Method *meth_meth_ast_isReadable3891 = addmethod2pos(obj3671, "isReadable", &meth_ast_isReadable3891, 28);
  int argcv_meth_ast_isReadable3891[] = {0};
  meth_meth_ast_isReadable3891->type = alloc_MethodType(1, argcv_meth_ast_isReadable3891);
  meth_meth_ast_isReadable3891->definitionModule = modulename;
  meth_meth_ast_isReadable3891->definitionLine = 918;
// method "usesAsType(_)"
  struct UserObject *uo3894 = (struct UserObject*)obj3671;
  uo3894->data[29] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_3894 = addmethod2pos(obj3671, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_3894, 29);
  int argcv_meth_ast_usesAsType_40_1_41_3894[] = {1};
  meth_meth_ast_usesAsType_40_1_41_3894->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_3894);
  meth_meth_ast_usesAsType_40_1_41_3894->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_3894->definitionLine = 919;
// method "returnsObject"
  struct UserObject *uo3900 = (struct UserObject*)obj3671;
  uo3900->data[30] = emptyclosure;
  Method *meth_meth_ast_returnsObject3900 = addmethod2pos(obj3671, "returnsObject", &meth_ast_returnsObject3900, 30);
  int argcv_meth_ast_returnsObject3900[] = {0};
  meth_meth_ast_returnsObject3900->type = alloc_MethodType(1, argcv_meth_ast_returnsObject3900);
  meth_meth_ast_returnsObject3900->definitionModule = modulename;
  meth_meth_ast_returnsObject3900->definitionLine = 922;
// method "returnedObjectScope"
  struct UserObject *uo3919 = (struct UserObject*)obj3671;
  uo3919->data[31] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope3919 = addmethod2pos(obj3671, "returnedObjectScope", &meth_ast_returnedObjectScope3919, 31);
  int argcv_meth_ast_returnedObjectScope3919[] = {0};
  meth_meth_ast_returnedObjectScope3919->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope3919);
  meth_meth_ast_returnedObjectScope3919->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope3919->definitionLine = 925;
// method "accept(_)from(_)"
  struct UserObject *uo3926 = (struct UserObject*)obj3671;
  uo3926->data[32] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_3926 = addmethod2pos(obj3671, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_3926, 32);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_3926[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_3926->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_3926);
  meth_meth_ast_accept_40_1_41_from_40_1_41_3926->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_3926->definitionLine = 929;
// method "map(_)ancestors(_)"
  struct UserObject *uo3992 = (struct UserObject*)obj3671;
  uo3992->data[33] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_3992 = addmethod2pos(obj3671, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_3992, 33);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3992[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3992->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_3992);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3992->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_3992->definitionLine = 952;
// method "pretty(_)"
  struct UserObject *uo4049 = (struct UserObject*)obj3671;
  uo4049->data[34] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_4049 = addmethod2pos(obj3671, "pretty(1)", &meth_ast_pretty_40_1_41_4049, 34);
  int argcv_meth_ast_pretty_40_1_41_4049[] = {1};
  meth_meth_ast_pretty_40_1_41_4049->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_4049);
  meth_meth_ast_pretty_40_1_41_4049->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_4049->definitionLine = 962;
// method "toGrace(_)"
  struct UserObject *uo4426 = (struct UserObject*)obj3671;
  uo4426->data[35] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_4426 = addmethod2pos(obj3671, "toGrace(1)", &meth_ast_toGrace_40_1_41_4426, 35);
  int argcv_meth_ast_toGrace_40_1_41_4426[] = {1};
  meth_meth_ast_toGrace_40_1_41_4426->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_4426);
meth_meth_ast_toGrace_40_1_41_4426->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_4426->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_4426->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_4426->definitionLine = 1006;
// method "shallowCopy"
  block_savedest(obj3671);
  Object closure4673 = createclosure(1, "shallowCopy");
  setclosureframe(closure4673, stackframe);
  addtoclosure(closure4673, var_methodNode);
  struct UserObject *uo4673 = (struct UserObject*)obj3671;
  uo4673->data[36] = (Object)closure4673;
  Method *meth_meth_ast_shallowCopy4673 = addmethod2pos(obj3671, "shallowCopy", &meth_ast_shallowCopy4673, 36);
  int argcv_meth_ast_shallowCopy4673[] = {0};
  meth_meth_ast_shallowCopy4673->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy4673);
  meth_meth_ast_shallowCopy4673->definitionModule = modulename;
  meth_meth_ast_shallowCopy4673->definitionLine = 1050;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo4684 = (struct UserObject*)obj3671;
  uo4684->data[37] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_4684 = addmethod2pos(obj3671, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_4684, 37);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_4684[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_4684->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_4684);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_4684->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_4684->definitionLine = 1053;
  sourceObject = obj3671;
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4695 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4696 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4697 = gc_frame_new();
// call case 3: self.outer request
  Object call4698 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4697);
// compiled member node returning call4698 (depth = 5)
  Object call4699 = callmethodflags(call4698, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4696);
// compiled member node returning call4699 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call4700 = callmethodflags(call4699, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4695);
// compiled call node returning call4700 (depth = 3)
  struct UserObject *obj3671_uo = (struct UserObject *)obj3671;
  obj3671_uo->super = call4700;
  sourceObject = obj3671;
// Begin line 845
  setline(845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit4701 == NULL) {
    strlit4701 = alloc_String("method");
    gc_root(strlit4701);
  }
// compiled string node returning strlit4701 (depth = 3)
  adddatum2(obj3671, strlit4701, 1);
  sourceObject = obj3671;
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature_39_ (depth = 3)
  adddatum2(obj3671, *var_signature_39_, 2);
  sourceObject = obj3671;
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_body_39_ (depth = 3)
  adddatum2(obj3671, *var_body_39_, 3);
  sourceObject = obj3671;
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj3671, *var_dtype_39_, 4);
  sourceObject = obj3671;
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4702 = alloc_Boolean(0);
// compiled identifier node returning bool4702 (depth = 3)
  adddatum2(obj3671, bool4702, 5);
  sourceObject = obj3671;
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4703 = alloc_Boolean(0);
// compiled identifier node returning bool4703 (depth = 3)
  adddatum2(obj3671, bool4703, 6);
  sourceObject = obj3671;
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array4704 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4704 (depth = 3)
  adddatum2(obj3671, array4704, 7);
  sourceObject = obj3671;
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4705 = alloc_Boolean(0);
// compiled identifier node returning bool4705 (depth = 3)
  adddatum2(obj3671, bool4705, 8);
  sourceObject = obj3671;
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4706 = alloc_Boolean(0);
// compiled identifier node returning bool4706 (depth = 3)
  adddatum2(obj3671, bool4706, 9);
  sourceObject = obj3671;
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_uninitialized (depth = 3)
  adddatum2(obj3671, *var_uninitialized, 10);
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  sourceObject = obj3671;
  objclass3671 = obj3671->class;
  objclass3671->definitionModule = modulename;
  objclass3671->definitionLine = 837;
  (*(struct UserObject *)self).data[0] = lowerouter3671;
  self = oldself3671;
  selfslot = oldselfslot3671;
  stackframe = oldstackframe3671;
  gc_frame_end(frame);
  return obj3671;
}
Object meth_ast_methodNode4708(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_methodNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_methodNode (depth = 3)
  gc_frame_end(frame);
  return *var_methodNode;
}
Object meth_ast_new_40_2_41_scope_40_1_41_4711(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_receiver = &(stackframe->slots[0]);
  *var_receiver = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4712 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_receiver (depth = 5)
  gc_frame_newslot(*var_receiver);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_parts (depth = 5)
  gc_frame_newslot(*var_parts);
// call case 4: self request
  params[0] = *var_receiver;
  params[1] = *var_parts;
  partcv[0] = 2;
  Object call4713 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4712);
// compiled call node returning call4713 (depth = 4)
  *var_result = call4713;
  if (call4713 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4714 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call4715 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4714);
// compiled call node returning call4715 (depth = 3)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_onSelf4725(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "onSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4726 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool4727 = alloc_Boolean(1);
// compiled identifier node returning bool4727 (depth = 4)
  gc_frame_newslot(bool4727);
// call case 4: self request
  params[0] = bool4727;
  partcv[0] = 1;
  Object call4728 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4726);
// compiled call node returning call4728 (depth = 3)
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast__apply_40_2_41_4732(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4734 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call4735 = callmethodflags(*var_each, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe4734);
// compiled member node returning call4735 (depth = 6)
  int op_slot_right_4733 = gc_frame_newslot(call4735);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_4733 = gc_frame_newslot(*var_acc);
  params[0] = call4735;
  partcv[0] = 1;
  Object opresult4737 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4737 (depth = 5)
  gc_frame_end(frame);
  return opresult4737;
}
Object meth_ast_nameString4729(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4730 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block4731 = alloc_Block(NULL, NULL, "ast", 1088);
  gc_frame_newslot(block4731);
// method "_apply(_,_)"
  block_savedest(block4731);
  Object closure4732 = createclosure(1, "_apply(2)");
  setclosureframe(closure4732, stackframe);
  addtoclosure(closure4732, selfslot);
  struct UserObject *uo4732 = (struct UserObject*)block4731;
  uo4732->data[0] = (Object)closure4732;
  Method *meth_meth_ast__apply_40_2_41_4732 = addmethod2pos(block4731, "_apply(2)", &meth_ast__apply_40_2_41_4732, 0);
  int argcv_meth_ast__apply_40_2_41_4732[] = {2};
  meth_meth_ast__apply_40_2_41_4732->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_4732);
  meth_meth_ast__apply_40_2_41_4732->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_4732->definitionLine = 2947;
// compiled block node returning block4731 (depth = 4)
  gc_frame_newslot(block4731);
// starting to compile string node (depth = 4)
  if (strlit4739 == NULL) {
    strlit4739 = alloc_String("");
    gc_root(strlit4739);
  }
// compiled string node returning strlit4739 (depth = 4)
  gc_frame_newslot(strlit4739);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4740 = gc_frame_new();
// call case 4: self request
  Object call4741 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4740);
// compiled member node returning call4741 (depth = 4)
  params[0] = block4731;
  params[1] = strlit4739;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4742 = callmethodflags(call4741, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4730);
// compiled call node returning call4742 (depth = 3)
  gc_frame_end(frame);
  return call4742;
}
Object meth_ast__apply_40_2_41_4746(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_acc = &(stackframe->slots[0]);
  *var_acc = args[curarg];
  curarg++;
  Object *var_each = &(stackframe->slots[1]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4748 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call4749 = callmethodflags(*var_each, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe4748);
// compiled member node returning call4749 (depth = 6)
  int op_slot_right_4747 = gc_frame_newslot(call4749);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acc (depth = 6)
  int op_slot_left_4747 = gc_frame_newslot(*var_acc);
  params[0] = call4749;
  partcv[0] = 1;
  Object opresult4751 = callmethod(*var_acc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4751 (depth = 5)
  gc_frame_end(frame);
  return opresult4751;
}
Object meth_ast_canonicalName4743(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4744 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block4745 = alloc_Block(NULL, NULL, "ast", 1093);
  gc_frame_newslot(block4745);
// method "_apply(_,_)"
  block_savedest(block4745);
  Object closure4746 = createclosure(1, "_apply(2)");
  setclosureframe(closure4746, stackframe);
  addtoclosure(closure4746, selfslot);
  struct UserObject *uo4746 = (struct UserObject*)block4745;
  uo4746->data[0] = (Object)closure4746;
  Method *meth_meth_ast__apply_40_2_41_4746 = addmethod2pos(block4745, "_apply(2)", &meth_ast__apply_40_2_41_4746, 0);
  int argcv_meth_ast__apply_40_2_41_4746[] = {2};
  meth_meth_ast__apply_40_2_41_4746->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_4746);
  meth_meth_ast__apply_40_2_41_4746->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_4746->definitionLine = 2947;
// compiled block node returning block4745 (depth = 4)
  gc_frame_newslot(block4745);
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 4)
  if (strlit4753 == NULL) {
    strlit4753 = alloc_String("");
    gc_root(strlit4753);
  }
// compiled string node returning strlit4753 (depth = 4)
  gc_frame_newslot(strlit4753);
// call case 6: other requests
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4754 = gc_frame_new();
// call case 4: self request
  Object call4755 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4754);
// compiled member node returning call4755 (depth = 4)
  params[0] = block4745;
  params[1] = strlit4753;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4756 = callmethodflags(call4755, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4744);
// compiled call node returning call4756 (depth = 3)
  gc_frame_end(frame);
  return call4756;
}
Object meth_ast_isCall4757(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool4758 = alloc_Boolean(1);
// compiled identifier node returning bool4758 (depth = 3)
  gc_frame_end(frame);
  return bool4758;
}
Object meth_ast_returnsObject4759(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4763 == NULL) {
    strlit4763 = alloc_String("clone(1)");
    gc_root(strlit4763);
  }
// compiled string node returning strlit4763 (depth = 6)
  int op_slot_right_4762 = gc_frame_newslot(strlit4763);
// starting to compile member node (depth = 6)
  int callframe4765 = gc_frame_new();
// call case 4: self request
  Object call4766 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4765);
// compiled member node returning call4766 (depth = 6)
  int op_slot_left_4762 = gc_frame_newslot(call4766);
  params[0] = strlit4763;
  partcv[0] = 1;
  Object opresult4767 = callmethod(call4766, "==(1)", 1, partcv, params);
// compiled op node returning opresult4767 (depth = 5)
  int op_slot_right_4761 = gc_frame_newslot(opresult4767);
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4770 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4771 = gc_frame_new();
// call case 4: self request
  Object call4772 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4771);
// compiled member node returning call4772 (depth = 7)
  Object call4773 = callmethodflags(call4772, "isPrelude", 0, partcv, params, 0);
  gc_frame_end(callframe4770);
// compiled member node returning call4773 (depth = 6)
  int op_slot_right_4769 = gc_frame_newslot(call4773);
// starting to compile member node (depth = 6)
  int callframe4775 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4776 = gc_frame_new();
// call case 4: self request
  Object call4777 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4776);
// compiled member node returning call4777 (depth = 7)
  Object call4778 = callmethodflags(call4777, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe4775);
// compiled member node returning call4778 (depth = 6)
  int op_slot_left_4769 = gc_frame_newslot(call4778);
  params[0] = call4773;
  partcv[0] = 1;
  Object opresult4779 = callmethod(call4778, "||(1)", 1, partcv, params);
// compiled op node returning opresult4779 (depth = 5)
  int op_slot_left_4761 = gc_frame_newslot(opresult4779);
  params[0] = opresult4767;
  partcv[0] = 1;
  Object opresult4780 = callmethod(opresult4779, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4780 (depth = 4)
  Object if4760 = done;
  if (istrue(opresult4780)) {
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4781 = alloc_Boolean(1);
// compiled identifier node returning bool4781 (depth = 5)
  return bool4781;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if4760 = undefined;
  } else {
  }
// compiled if node returning if4760 (depth = 3)
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4785 == NULL) {
    strlit4785 = alloc_String("copy");
    gc_root(strlit4785);
  }
// compiled string node returning strlit4785 (depth = 6)
  int op_slot_right_4784 = gc_frame_newslot(strlit4785);
// starting to compile member node (depth = 6)
  int callframe4787 = gc_frame_new();
// call case 4: self request
  Object call4788 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4787);
// compiled member node returning call4788 (depth = 6)
  int op_slot_left_4784 = gc_frame_newslot(call4788);
  params[0] = strlit4785;
  partcv[0] = 1;
  Object opresult4789 = callmethod(call4788, "==(1)", 1, partcv, params);
// compiled op node returning opresult4789 (depth = 5)
  int op_slot_right_4783 = gc_frame_newslot(opresult4789);
// Begin line 1103
  setline(1103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4792 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4793 = gc_frame_new();
// call case 4: self request
  Object call4794 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4793);
// compiled member node returning call4794 (depth = 7)
  Object call4795 = callmethodflags(call4794, "isSelf", 0, partcv, params, 0);
  gc_frame_end(callframe4792);
// compiled member node returning call4795 (depth = 6)
  int op_slot_right_4791 = gc_frame_newslot(call4795);
// starting to compile member node (depth = 6)
  int callframe4797 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4798 = gc_frame_new();
// call case 4: self request
  Object call4799 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4798);
// compiled member node returning call4799 (depth = 7)
  Object call4800 = callmethodflags(call4799, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe4797);
// compiled member node returning call4800 (depth = 6)
  int op_slot_left_4791 = gc_frame_newslot(call4800);
  params[0] = call4795;
  partcv[0] = 1;
  Object opresult4801 = callmethod(call4800, "||(1)", 1, partcv, params);
// compiled op node returning opresult4801 (depth = 5)
  int op_slot_left_4783 = gc_frame_newslot(opresult4801);
  params[0] = opresult4789;
  partcv[0] = 1;
  Object opresult4802 = callmethod(opresult4801, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4802 (depth = 4)
  Object if4782 = done;
  if (istrue(opresult4802)) {
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool4803 = alloc_Boolean(1);
// compiled identifier node returning bool4803 (depth = 5)
  return bool4803;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if4782 = undefined;
  } else {
  }
// compiled if node returning if4782 (depth = 3)
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool4804 = alloc_Boolean(0);
// compiled identifier node returning bool4804 (depth = 4)
  return bool4804;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_returnedObjectScope4805(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4806 = gc_frame_new();
// call case 4: self request
  Object call4807 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4806);
// compiled member node returning call4807 (depth = 3)
  gc_frame_end(frame);
  return call4807;
}
Object meth_ast__apply_40_1_41_4819(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe4820 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  gc_frame_newslot(*var_arg);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_result (depth = 8)
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call4821 = callmethodflags(*var_result, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4820);
// compiled call node returning call4821 (depth = 7)
  gc_frame_end(frame);
  return call4821;
}
Object meth_ast__apply_40_1_41_4814(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_result = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4815 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4816 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call4817 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe4816);
// compiled member node returning call4817 (depth = 6)
  gc_frame_newslot(call4817);
// starting to compile block node (depth = 6)
  Object block4818 = alloc_Block(NULL, NULL, "ast", 1114);
  gc_frame_newslot(block4818);
// method "_apply(_)"
  block_savedest(block4818);
  Object closure4819 = createclosure(2, "_apply(1)");
  setclosureframe(closure4819, stackframe);
  addtoclosure(closure4819, var_result);
  addtoclosure(closure4819, selfslot);
  struct UserObject *uo4819 = (struct UserObject*)block4818;
  uo4819->data[0] = (Object)closure4819;
  Method *meth_meth_ast__apply_40_1_41_4819 = addmethod2pos(block4818, "_apply(1)", &meth_ast__apply_40_1_41_4819, 0);
  int argcv_meth_ast__apply_40_1_41_4819[] = {1};
  meth_meth_ast__apply_40_1_41_4819->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4819);
  meth_meth_ast__apply_40_1_41_4819->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4819->definitionLine = 2947;
// compiled block node returning block4818 (depth = 6)
  gc_frame_newslot(block4818);
// call case 5: prelude request
  params[0] = call4817;
  params[1] = block4818;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4823 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4815);
// compiled call node returning call4823 (depth = 5)
  gc_frame_end(frame);
  return call4823;
}
Object meth_ast_arguments4808(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arguments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "result");
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array4809 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4809 (depth = 4)
  *var_result = array4809;
  if (array4809 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4810 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4811 = gc_frame_new();
// call case 4: self request
  Object call4812 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4811);
// compiled member node returning call4812 (depth = 4)
  gc_frame_newslot(call4812);
// starting to compile block node (depth = 4)
  Object block4813 = alloc_Block(NULL, NULL, "ast", 1113);
  gc_frame_newslot(block4813);
// method "_apply(_)"
  block_savedest(block4813);
  Object closure4814 = createclosure(2, "_apply(1)");
  setclosureframe(closure4814, stackframe);
  addtoclosure(closure4814, var_result);
  addtoclosure(closure4814, selfslot);
  struct UserObject *uo4814 = (struct UserObject*)block4813;
  uo4814->data[0] = (Object)closure4814;
  Method *meth_meth_ast__apply_40_1_41_4814 = addmethod2pos(block4813, "_apply(1)", &meth_ast__apply_40_1_41_4814, 0);
  int argcv_meth_ast__apply_40_1_41_4814[] = {1};
  meth_meth_ast__apply_40_1_41_4814->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4814);
  meth_meth_ast__apply_40_1_41_4814->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4814->definitionLine = 2947;
// compiled block node returning block4813 (depth = 4)
  gc_frame_newslot(block4813);
// call case 5: prelude request
  params[0] = call4812;
  params[1] = block4813;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4825 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4810);
// compiled call node returning call4825 (depth = 3)
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast__apply_40_1_41_4836(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe4837 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  gc_frame_newslot(*var_arg);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_action (depth = 8)
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call4838 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4837);
// compiled call node returning call4838 (depth = 7)
  gc_frame_end(frame);
  return call4838;
}
Object meth_ast__apply_40_1_41_4831(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4832 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe4833 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call4834 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe4833);
// compiled member node returning call4834 (depth = 6)
  gc_frame_newslot(call4834);
// starting to compile block node (depth = 6)
  Object block4835 = alloc_Block(NULL, NULL, "ast", 1121);
  gc_frame_newslot(block4835);
// method "_apply(_)"
  block_savedest(block4835);
  Object closure4836 = createclosure(2, "_apply(1)");
  setclosureframe(closure4836, stackframe);
  addtoclosure(closure4836, var_action);
  addtoclosure(closure4836, selfslot);
  struct UserObject *uo4836 = (struct UserObject*)block4835;
  uo4836->data[0] = (Object)closure4836;
  Method *meth_meth_ast__apply_40_1_41_4836 = addmethod2pos(block4835, "_apply(1)", &meth_ast__apply_40_1_41_4836, 0);
  int argcv_meth_ast__apply_40_1_41_4836[] = {1};
  meth_meth_ast__apply_40_1_41_4836->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4836);
  meth_meth_ast__apply_40_1_41_4836->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4836->definitionLine = 2947;
// compiled block node returning block4835 (depth = 6)
  gc_frame_newslot(block4835);
// call case 5: prelude request
  params[0] = call4834;
  params[1] = block4835;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4840 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4832);
// compiled call node returning call4840 (depth = 5)
  gc_frame_end(frame);
  return call4840;
}
Object meth_ast_argumentsDo_40_1_41_4826(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "argumentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method argumentsDo(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for argumentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part argumentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4827 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4828 = gc_frame_new();
// call case 4: self request
  Object call4829 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4828);
// compiled member node returning call4829 (depth = 4)
  gc_frame_newslot(call4829);
// starting to compile block node (depth = 4)
  Object block4830 = alloc_Block(NULL, NULL, "ast", 1120);
  gc_frame_newslot(block4830);
// method "_apply(_)"
  block_savedest(block4830);
  Object closure4831 = createclosure(2, "_apply(1)");
  setclosureframe(closure4831, stackframe);
  addtoclosure(closure4831, var_action);
  addtoclosure(closure4831, selfslot);
  struct UserObject *uo4831 = (struct UserObject*)block4830;
  uo4831->data[0] = (Object)closure4831;
  Method *meth_meth_ast__apply_40_1_41_4831 = addmethod2pos(block4830, "_apply(1)", &meth_ast__apply_40_1_41_4831, 0);
  int argcv_meth_ast__apply_40_1_41_4831[] = {1};
  meth_meth_ast__apply_40_1_41_4831->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4831);
  meth_meth_ast__apply_40_1_41_4831->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4831->definitionLine = 2947;
// compiled block node returning block4830 (depth = 4)
  gc_frame_newslot(block4830);
// call case 5: prelude request
  params[0] = call4829;
  params[1] = block4830;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4842 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4827);
// compiled call node returning call4842 (depth = 3)
  gc_frame_end(frame);
  return call4842;
}
Object meth_ast__apply_40_1_41_4862(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4863 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_visitor (depth = 9)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newChain (depth = 9)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arg (depth = 9)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4864 = callmethodflags(*var_arg, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4863);
// compiled call node returning call4864 (depth = 8)
  gc_frame_end(frame);
  return call4864;
}
Object meth_ast__apply_40_1_41_4857(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4858 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe4859 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call4860 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe4859);
// compiled member node returning call4860 (depth = 7)
  gc_frame_newslot(call4860);
// starting to compile block node (depth = 7)
  Object block4861 = alloc_Block(NULL, NULL, "ast", 1130);
  gc_frame_newslot(block4861);
// method "_apply(_)"
  block_savedest(block4861);
  Object closure4862 = createclosure(3, "_apply(1)");
  setclosureframe(closure4862, stackframe);
  addtoclosure(closure4862, var_visitor);
  addtoclosure(closure4862, var_newChain);
  addtoclosure(closure4862, selfslot);
  struct UserObject *uo4862 = (struct UserObject*)block4861;
  uo4862->data[0] = (Object)closure4862;
  Method *meth_meth_ast__apply_40_1_41_4862 = addmethod2pos(block4861, "_apply(1)", &meth_ast__apply_40_1_41_4862, 0);
  int argcv_meth_ast__apply_40_1_41_4862[] = {1};
  meth_meth_ast__apply_40_1_41_4862->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4862);
  meth_meth_ast__apply_40_1_41_4862->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4862->definitionLine = 2947;
// compiled block node returning block4861 (depth = 7)
  gc_frame_newslot(block4861);
// call case 5: prelude request
  params[0] = call4860;
  params[1] = block4861;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4866 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4858);
// compiled call node returning call4866 (depth = 6)
  gc_frame_end(frame);
  return call4866;
}
Object meth_ast__apply_40_1_41_4878(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1136
  setline(1136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4879 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newChain (depth = 8)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4880 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4879);
// compiled call node returning call4880 (depth = 7)
  gc_frame_end(frame);
  return call4880;
}
Object meth_ast_accept_40_1_41_from_40_1_41_4843(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4845 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4846 = callmethodflags(*var_visitor, "visitCall(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4845);
// compiled call node returning call4846 (depth = 4)
  Object if4844 = done;
  if (istrue(call4846)) {
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4847 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call4848 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4847);
// compiled call node returning call4848 (depth = 5)
  *var_newChain = call4848;
  if (call4848 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4849 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4850 = gc_frame_new();
// call case 4: self request
  Object call4851 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4850);
// compiled member node returning call4851 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4852 = callmethodflags(call4851, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4849);
// compiled call node returning call4852 (depth = 4)
// Begin line 1129
  setline(1129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4853 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4854 = gc_frame_new();
// call case 4: self request
  Object call4855 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4854);
// compiled member node returning call4855 (depth = 5)
  gc_frame_newslot(call4855);
// starting to compile block node (depth = 5)
  Object block4856 = alloc_Block(NULL, NULL, "ast", 1129);
  gc_frame_newslot(block4856);
// method "_apply(_)"
  block_savedest(block4856);
  Object closure4857 = createclosure(3, "_apply(1)");
  setclosureframe(closure4857, stackframe);
  addtoclosure(closure4857, var_visitor);
  addtoclosure(closure4857, var_newChain);
  addtoclosure(closure4857, selfslot);
  struct UserObject *uo4857 = (struct UserObject*)block4856;
  uo4857->data[0] = (Object)closure4857;
  Method *meth_meth_ast__apply_40_1_41_4857 = addmethod2pos(block4856, "_apply(1)", &meth_ast__apply_40_1_41_4857, 0);
  int argcv_meth_ast__apply_40_1_41_4857[] = {1};
  meth_meth_ast__apply_40_1_41_4857->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4857);
  meth_meth_ast__apply_40_1_41_4857->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4857->definitionLine = 2947;
// compiled block node returning block4856 (depth = 5)
  gc_frame_newslot(block4856);
// call case 5: prelude request
  params[0] = call4855;
  params[1] = block4856;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4868 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4853);
// compiled call node returning call4868 (depth = 4)
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4871 = gc_frame_new();
// call case 4: self request
  Object call4872 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4871);
// compiled member node returning call4872 (depth = 6)
  int op_slot_right_4870 = gc_frame_newslot(call4872);
// starting to compile identifier node (depth = 6)
  Object bool4874 = alloc_Boolean(0);
// compiled identifier node returning bool4874 (depth = 6)
  int op_slot_left_4870 = gc_frame_newslot(bool4874);
  params[0] = call4872;
  partcv[0] = 1;
  Object opresult4875 = callmethod(bool4874, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4875 (depth = 5)
  Object if4869 = done;
  if (istrue(opresult4875)) {
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4876 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block4877 = alloc_Block(NULL, NULL, "ast", 1135);
  gc_frame_newslot(block4877);
// method "_apply(_)"
  block_savedest(block4877);
  Object closure4878 = createclosure(3, "_apply(1)");
  setclosureframe(closure4878, stackframe);
  addtoclosure(closure4878, var_visitor);
  addtoclosure(closure4878, var_newChain);
  addtoclosure(closure4878, selfslot);
  struct UserObject *uo4878 = (struct UserObject*)block4877;
  uo4878->data[0] = (Object)closure4878;
  Method *meth_meth_ast__apply_40_1_41_4878 = addmethod2pos(block4877, "_apply(1)", &meth_ast__apply_40_1_41_4878, 0);
  int argcv_meth_ast__apply_40_1_41_4878[] = {1};
  meth_meth_ast__apply_40_1_41_4878->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4878);
  meth_meth_ast__apply_40_1_41_4878->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4878->definitionLine = 2947;
// compiled block node returning block4877 (depth = 6)
  gc_frame_newslot(block4877);
// call case 6: other requests
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4882 = gc_frame_new();
// call case 4: self request
  Object call4883 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4882);
// compiled member node returning call4883 (depth = 6)
  params[0] = block4877;
  partcv[0] = 1;
  Object call4884 = callmethodflags(call4883, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4876);
// compiled call node returning call4884 (depth = 5)
    gc_frame_newslot(call4884);
    if4869 = call4884;
  } else {
  }
// compiled if node returning if4869 (depth = 4)
    gc_frame_newslot(if4869);
    if4844 = if4869;
  } else {
  }
// compiled if node returning if4844 (depth = 3)
  gc_frame_end(frame);
  return if4844;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_4885(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4886 = gc_frame_new();
// call case 4: self request
  Object call4887 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4886);
// compiled member node returning call4887 (depth = 4)
  *var_n = call4887;
  if (call4887 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1143
  setline(1143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4888 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call4889 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4888);
// compiled call node returning call4889 (depth = 4)
  *var_newChain = call4889;
  if (call4889 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4890 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4891 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4892 = gc_frame_new();
// call case 4: self request
  Object call4893 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4892);
// compiled member node returning call4893 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4894 = callmethodflags(call4893, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4891);
// compiled call node returning call4894 (depth = 4)
  gc_frame_newslot(call4894);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4894;
  partcv[0] = 1;
  Object call4895 = callmethodflags(*var_n, "receiver:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4890);
// compiled call node returning call4895 (depth = 3)
// Begin line 1145
  setline(1145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4896 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4897 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4898 = gc_frame_new();
// call case 4: self request
  Object call4899 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4898);
// compiled member node returning call4899 (depth = 5)
  gc_frame_newslot(call4899);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4900 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4901 = gc_frame_new();
// call case 3: self.outer request
  Object call4902 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4901);
// compiled member node returning call4902 (depth = 6)
  Object call4903 = callmethodflags(call4902, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4900);
// compiled member node returning call4903 (depth = 5)
  params[0] = call4899;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4904 = callmethodflags(call4903, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4897);
// compiled call node returning call4904 (depth = 4)
  gc_frame_newslot(call4904);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4904;
  partcv[0] = 1;
  Object call4905 = callmethodflags(*var_n, "with:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4896);
// compiled call node returning call4905 (depth = 3)
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4906 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe4907 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4908 = gc_frame_new();
// call case 4: self request
  Object call4909 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4908);
// compiled member node returning call4909 (depth = 5)
  gc_frame_newslot(call4909);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4910 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4911 = gc_frame_new();
// call case 3: self.outer request
  Object call4912 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe4911);
// compiled member node returning call4912 (depth = 6)
  Object call4913 = callmethodflags(call4912, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe4910);
// compiled member node returning call4913 (depth = 5)
  params[0] = call4909;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call4914 = callmethodflags(call4913, "maybeListMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4907);
// compiled call node returning call4914 (depth = 4)
  gc_frame_newslot(call4914);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call4914;
  partcv[0] = 1;
  Object call4915 = callmethodflags(*var_n, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4906);
// compiled call node returning call4915 (depth = 3)
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4916 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call4917 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4916);
// compiled call node returning call4917 (depth = 3)
  gc_frame_end(frame);
  return call4917;
}
Object meth_ast__apply_40_1_41_4926(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1152
  setline(1152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4928 == NULL) {
    strlit4928 = alloc_String("  ");
    gc_root(strlit4928);
  }
// compiled string node returning strlit4928 (depth = 7)
  int op_slot_right_4927 = gc_frame_newslot(strlit4928);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_4927 = gc_frame_newslot(*var_spc);
  params[0] = strlit4928;
  partcv[0] = 1;
  Object opresult4930 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult4930 (depth = 6)
  *var_spc = opresult4930;
  if (opresult4930 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5004(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1161
  setline(1161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5006 == NULL) {
    strlit5006 = alloc_String("""\x0a""");
    gc_root(strlit5006);
  }
// compiled string node returning strlit5006 (depth = 8)
  int op_slot_right_5005 = gc_frame_newslot(strlit5006);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5009 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num5011 = alloc_Float64(2);
// compiled num node returning num5011 (depth = 11)
  int op_slot_right_5010 = gc_frame_newslot(num5011);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_5010 = gc_frame_newslot(*var_depth);
  params[0] = num5011;
  partcv[0] = 1;
  Object sum5013 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5013 (depth = 10)
  gc_frame_newslot(sum5013);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_g (depth = 10)
  params[0] = sum5013;
  partcv[0] = 1;
  Object call5014 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5009);
// compiled call node returning call5014 (depth = 9)
  int op_slot_right_5008 = gc_frame_newslot(call5014);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5017 == NULL) {
    strlit5017 = alloc_String("    ");
    gc_root(strlit5017);
  }
// compiled string node returning strlit5017 (depth = 10)
  int op_slot_right_5016 = gc_frame_newslot(strlit5017);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_5019 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_5019 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5021 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5021 (depth = 10)
  int op_slot_left_5016 = gc_frame_newslot(opresult5021);
  params[0] = strlit5017;
  partcv[0] = 1;
  Object opresult5022 = callmethod(opresult5021, "++(1)", 1, partcv, params);
// compiled op node returning opresult5022 (depth = 9)
  int op_slot_left_5008 = gc_frame_newslot(opresult5022);
  params[0] = call5014;
  partcv[0] = 1;
  Object opresult5023 = callmethod(opresult5022, "++(1)", 1, partcv, params);
// compiled op node returning opresult5023 (depth = 8)
  int op_slot_left_5005 = gc_frame_newslot(opresult5023);
  params[0] = strlit5006;
  partcv[0] = 1;
  Object opresult5024 = callmethod(opresult5023, "++(1)", 1, partcv, params);
// compiled op node returning opresult5024 (depth = 7)
  *var_s = opresult5024;
  if (opresult5024 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5062(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5064 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num5066 = alloc_Float64(2);
// compiled num node returning num5066 (depth = 11)
  int op_slot_right_5065 = gc_frame_newslot(num5066);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_5065 = gc_frame_newslot(*var_depth);
  params[0] = num5066;
  partcv[0] = 1;
  Object sum5068 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5068 (depth = 10)
  gc_frame_newslot(sum5068);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_arg (depth = 10)
  params[0] = sum5068;
  partcv[0] = 1;
  Object call5069 = callmethodflags(*var_arg, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5064);
// compiled call node returning call5069 (depth = 9)
  int op_slot_right_5063 = gc_frame_newslot(call5069);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_5071 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit5074 == NULL) {
    strlit5074 = alloc_String("""\x0a""      ");
    gc_root(strlit5074);
  }
// compiled string node returning strlit5074 (depth = 11)
  int op_slot_right_5073 = gc_frame_newslot(strlit5074);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_5073 = gc_frame_newslot(*var_s);
  params[0] = strlit5074;
  partcv[0] = 1;
  Object opresult5076 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5076 (depth = 10)
  int op_slot_left_5071 = gc_frame_newslot(opresult5076);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5077 = callmethod(opresult5076, "++(1)", 1, partcv, params);
// compiled op node returning opresult5077 (depth = 9)
  int op_slot_left_5063 = gc_frame_newslot(opresult5077);
  params[0] = call5069;
  partcv[0] = 1;
  Object opresult5078 = callmethod(opresult5077, "++(1)", 1, partcv, params);
// compiled op node returning opresult5078 (depth = 8)
  *var_s = opresult5078;
  if (opresult5078 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5040(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object *var_depth = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5042 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call5043 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe5042);
// compiled member node returning call5043 (depth = 7)
  int op_slot_right_5041 = gc_frame_newslot(call5043);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5046 == NULL) {
    strlit5046 = alloc_String("Part: ");
    gc_root(strlit5046);
  }
// compiled string node returning strlit5046 (depth = 8)
  int op_slot_right_5045 = gc_frame_newslot(strlit5046);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5048 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5051 == NULL) {
    strlit5051 = alloc_String("""\x0a""  ");
    gc_root(strlit5051);
  }
// compiled string node returning strlit5051 (depth = 10)
  int op_slot_right_5050 = gc_frame_newslot(strlit5051);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5050 = gc_frame_newslot(*var_s);
  params[0] = strlit5051;
  partcv[0] = 1;
  Object opresult5053 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5053 (depth = 9)
  int op_slot_left_5048 = gc_frame_newslot(opresult5053);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5054 = callmethod(opresult5053, "++(1)", 1, partcv, params);
// compiled op node returning opresult5054 (depth = 8)
  int op_slot_left_5045 = gc_frame_newslot(opresult5054);
  params[0] = strlit5046;
  partcv[0] = 1;
  Object opresult5055 = callmethod(opresult5054, "++(1)", 1, partcv, params);
// compiled op node returning opresult5055 (depth = 7)
  int op_slot_left_5041 = gc_frame_newslot(opresult5055);
  params[0] = call5043;
  partcv[0] = 1;
  Object opresult5056 = callmethod(opresult5055, "++(1)", 1, partcv, params);
// compiled op node returning opresult5056 (depth = 6)
  *var_s = opresult5056;
  if (opresult5056 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5058 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5059 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call5060 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe5059);
// compiled member node returning call5060 (depth = 6)
  gc_frame_newslot(call5060);
// starting to compile block node (depth = 6)
  Object block5061 = alloc_Block(NULL, NULL, "ast", 1167);
  gc_frame_newslot(block5061);
// method "_apply(_)"
  block_savedest(block5061);
  Object closure5062 = createclosure(4, "_apply(1)");
  setclosureframe(closure5062, stackframe);
  addtoclosure(closure5062, var_depth);
  addtoclosure(closure5062, var_spc);
  addtoclosure(closure5062, var_s);
  addtoclosure(closure5062, selfslot);
  struct UserObject *uo5062 = (struct UserObject*)block5061;
  uo5062->data[0] = (Object)closure5062;
  Method *meth_meth_ast__apply_40_1_41_5062 = addmethod2pos(block5061, "_apply(1)", &meth_ast__apply_40_1_41_5062, 0);
  int argcv_meth_ast__apply_40_1_41_5062[] = {1};
  meth_meth_ast__apply_40_1_41_5062->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5062);
  meth_meth_ast__apply_40_1_41_5062->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5062->definitionLine = 2947;
// compiled block node returning block5061 (depth = 6)
  gc_frame_newslot(block5061);
// call case 5: prelude request
  params[0] = call5060;
  params[1] = block5061;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5081 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5058);
// compiled call node returning call5081 (depth = 5)
  gc_frame_end(frame);
  return call5081;
}
Object meth_ast_pretty_40_1_41_4918(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4919 == NULL) {
    strlit4919 = alloc_String("");
    gc_root(strlit4919);
  }
// compiled string node returning strlit4919 (depth = 4)
  *var_spc = strlit4919;
  if (strlit4919 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4920 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_4921 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num4923 = alloc_Float64(0);
// compiled num node returning num4923 (depth = 5)
  int op_slot_left_4921 = gc_frame_newslot(num4923);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult4924 = callmethod(num4923, "..(1)", 1, partcv, params);
// compiled op node returning opresult4924 (depth = 4)
  gc_frame_newslot(opresult4924);
// starting to compile block node (depth = 4)
  Object block4925 = alloc_Block(NULL, NULL, "ast", 1151);
  gc_frame_newslot(block4925);
// method "_apply(_)"
  block_savedest(block4925);
  Object closure4926 = createclosure(2, "_apply(1)");
  setclosureframe(closure4926, stackframe);
  addtoclosure(closure4926, var_spc);
  addtoclosure(closure4926, selfslot);
  struct UserObject *uo4926 = (struct UserObject*)block4925;
  uo4926->data[0] = (Object)closure4926;
  Method *meth_meth_ast__apply_40_1_41_4926 = addmethod2pos(block4925, "_apply(1)", &meth_ast__apply_40_1_41_4926, 0);
  int argcv_meth_ast__apply_40_1_41_4926[] = {1};
  meth_meth_ast__apply_40_1_41_4926->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_4926);
  meth_meth_ast__apply_40_1_41_4926->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_4926->definitionLine = 2947;
// compiled block node returning block4925 (depth = 4)
  gc_frame_newslot(block4925);
// call case 5: prelude request
  params[0] = opresult4924;
  params[1] = block4925;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4933 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4920);
// compiled call node returning call4933 (depth = 3)
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4934 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call4935 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe4934);
// compiled call node returning call4935 (depth = 4)
  *var_s = call4935;
  if (call4935 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4938 = gc_frame_new();
// call case 4: self request
  Object call4939 = callmethodflags(self, "isSelfRequest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4938);
// compiled member node returning call4939 (depth = 6)
  Object if4937 = done;
struct StackFrameObject *iftmpstackframe4937 = stackframe;
  if (istrue(call4939)) {
stackframe = alloc_StackFrame(0, iftmpstackframe4937);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit4940 == NULL) {
    strlit4940 = alloc_String(" on self""\x0a""");
    gc_root(strlit4940);
  }
// compiled string node returning strlit4940 (depth = 6)
    gc_frame_newslot(strlit4940);
    if4937 = strlit4940;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe4937);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit4941 == NULL) {
    strlit4941 = alloc_String("""\x0a""");
    gc_root(strlit4941);
  }
// compiled string node returning strlit4941 (depth = 6)
    gc_frame_newslot(strlit4941);
    if4937 = strlit4941;
  }
stackframe = iftmpstackframe4937;
// compiled if node returning if4937 (depth = 5)
  int op_slot_right_4936 = gc_frame_newslot(if4937);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_4936 = gc_frame_newslot(*var_s);
  params[0] = if4937;
  partcv[0] = 1;
  Object opresult4943 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4943 (depth = 4)
  *var_s = opresult4943;
  if (opresult4943 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4947 == NULL) {
    strlit4947 = alloc_String("""\x0a""");
    gc_root(strlit4947);
  }
// compiled string node returning strlit4947 (depth = 6)
  int op_slot_right_4946 = gc_frame_newslot(strlit4947);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4950 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num4952 = alloc_Float64(1);
// compiled num node returning num4952 (depth = 9)
  int op_slot_right_4951 = gc_frame_newslot(num4952);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_4951 = gc_frame_newslot(*var_depth);
  params[0] = num4952;
  partcv[0] = 1;
  Object sum4954 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum4954 (depth = 8)
  gc_frame_newslot(sum4954);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4955 = gc_frame_new();
// call case 4: self request
  Object call4956 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4955);
// compiled member node returning call4956 (depth = 8)
  params[0] = sum4954;
  partcv[0] = 1;
  Object call4957 = callmethodflags(call4956, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4950);
// compiled call node returning call4957 (depth = 7)
  int op_slot_right_4949 = gc_frame_newslot(call4957);
// starting to compile string node (depth = 7)
  if (strlit4959 == NULL) {
    strlit4959 = alloc_String("Receiver: ");
    gc_root(strlit4959);
  }
// compiled string node returning strlit4959 (depth = 7)
  int op_slot_left_4949 = gc_frame_newslot(strlit4959);
  params[0] = call4957;
  partcv[0] = 1;
  Object opresult4960 = callmethod(strlit4959, "++(1)", 1, partcv, params);
// compiled op node returning opresult4960 (depth = 6)
  int op_slot_left_4946 = gc_frame_newslot(opresult4960);
  params[0] = strlit4947;
  partcv[0] = 1;
  Object opresult4961 = callmethod(opresult4960, "++(1)", 1, partcv, params);
// compiled op node returning opresult4961 (depth = 5)
  int op_slot_right_4945 = gc_frame_newslot(opresult4961);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4963 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4963 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4965 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4965 (depth = 5)
  int op_slot_left_4945 = gc_frame_newslot(opresult4965);
  params[0] = opresult4961;
  partcv[0] = 1;
  Object opresult4966 = callmethod(opresult4965, "++(1)", 1, partcv, params);
// compiled op node returning opresult4966 (depth = 4)
  *var_s = opresult4966;
  if (opresult4966 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4970 == NULL) {
    strlit4970 = alloc_String("""\x0a""");
    gc_root(strlit4970);
  }
// compiled string node returning strlit4970 (depth = 6)
  int op_slot_right_4969 = gc_frame_newslot(strlit4970);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4973 = gc_frame_new();
// call case 4: self request
  Object call4974 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4973);
// compiled member node returning call4974 (depth = 7)
  int op_slot_right_4972 = gc_frame_newslot(call4974);
// starting to compile string node (depth = 7)
  if (strlit4976 == NULL) {
    strlit4976 = alloc_String("Method Name: ");
    gc_root(strlit4976);
  }
// compiled string node returning strlit4976 (depth = 7)
  int op_slot_left_4972 = gc_frame_newslot(strlit4976);
  params[0] = call4974;
  partcv[0] = 1;
  Object opresult4977 = callmethod(strlit4976, "++(1)", 1, partcv, params);
// compiled op node returning opresult4977 (depth = 6)
  int op_slot_left_4969 = gc_frame_newslot(opresult4977);
  params[0] = strlit4970;
  partcv[0] = 1;
  Object opresult4978 = callmethod(opresult4977, "++(1)", 1, partcv, params);
// compiled op node returning opresult4978 (depth = 5)
  int op_slot_right_4968 = gc_frame_newslot(opresult4978);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_4980 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_4980 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4982 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4982 (depth = 5)
  int op_slot_left_4968 = gc_frame_newslot(opresult4982);
  params[0] = opresult4978;
  partcv[0] = 1;
  Object opresult4983 = callmethod(opresult4982, "++(1)", 1, partcv, params);
// compiled op node returning opresult4983 (depth = 4)
  *var_s = opresult4983;
  if (opresult4983 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4987 = gc_frame_new();
// call case 4: self request
  Object call4988 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4987);
// compiled member node returning call4988 (depth = 5)
  int op_slot_right_4986 = gc_frame_newslot(call4988);
// starting to compile identifier node (depth = 5)
  Object bool4990 = alloc_Boolean(0);
// compiled identifier node returning bool4990 (depth = 5)
  int op_slot_left_4986 = gc_frame_newslot(bool4990);
  params[0] = call4988;
  partcv[0] = 1;
  Object opresult4991 = callmethod(bool4990, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4991 (depth = 4)
  Object if4985 = done;
  if (istrue(opresult4991)) {
// Begin line 1159
  setline(1159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4993 == NULL) {
    strlit4993 = alloc_String("  Generics:""\x0a""");
    gc_root(strlit4993);
  }
// compiled string node returning strlit4993 (depth = 6)
  int op_slot_right_4992 = gc_frame_newslot(strlit4993);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_4995 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_4995 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult4997 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult4997 (depth = 6)
  int op_slot_left_4992 = gc_frame_newslot(opresult4997);
  params[0] = strlit4993;
  partcv[0] = 1;
  Object opresult4998 = callmethod(opresult4997, "++(1)", 1, partcv, params);
// compiled op node returning opresult4998 (depth = 5)
  *var_s = opresult4998;
  if (opresult4998 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5000 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5001 = gc_frame_new();
// call case 4: self request
  Object call5002 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5001);
// compiled member node returning call5002 (depth = 5)
  gc_frame_newslot(call5002);
// starting to compile block node (depth = 5)
  Object block5003 = alloc_Block(NULL, NULL, "ast", 1160);
  gc_frame_newslot(block5003);
// method "_apply(_)"
  block_savedest(block5003);
  Object closure5004 = createclosure(4, "_apply(1)");
  setclosureframe(closure5004, stackframe);
  addtoclosure(closure5004, var_depth);
  addtoclosure(closure5004, var_spc);
  addtoclosure(closure5004, var_s);
  addtoclosure(closure5004, selfslot);
  struct UserObject *uo5004 = (struct UserObject*)block5003;
  uo5004->data[0] = (Object)closure5004;
  Method *meth_meth_ast__apply_40_1_41_5004 = addmethod2pos(block5003, "_apply(1)", &meth_ast__apply_40_1_41_5004, 0);
  int argcv_meth_ast__apply_40_1_41_5004[] = {1};
  meth_meth_ast__apply_40_1_41_5004->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5004);
  meth_meth_ast__apply_40_1_41_5004->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5004->definitionLine = 2947;
// compiled block node returning block5003 (depth = 5)
  gc_frame_newslot(block5003);
// call case 5: prelude request
  params[0] = call5002;
  params[1] = block5003;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5027 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5000);
// compiled call node returning call5027 (depth = 4)
    gc_frame_newslot(call5027);
    if4985 = call5027;
  } else {
  }
// compiled if node returning if4985 (depth = 3)
// Begin line 1164
  setline(1164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5029 == NULL) {
    strlit5029 = alloc_String("Arguments:");
    gc_root(strlit5029);
  }
// compiled string node returning strlit5029 (depth = 5)
  int op_slot_right_5028 = gc_frame_newslot(strlit5029);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5031 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5031 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5033 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5033 (depth = 5)
  int op_slot_left_5028 = gc_frame_newslot(opresult5033);
  params[0] = strlit5029;
  partcv[0] = 1;
  Object opresult5034 = callmethod(opresult5033, "++(1)", 1, partcv, params);
// compiled op node returning opresult5034 (depth = 4)
  *var_s = opresult5034;
  if (opresult5034 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5036 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5037 = gc_frame_new();
// call case 4: self request
  Object call5038 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5037);
// compiled member node returning call5038 (depth = 4)
  gc_frame_newslot(call5038);
// starting to compile block node (depth = 4)
  Object block5039 = alloc_Block(NULL, NULL, "ast", 1165);
  gc_frame_newslot(block5039);
// method "_apply(_)"
  block_savedest(block5039);
  Object closure5040 = createclosure(4, "_apply(1)");
  setclosureframe(closure5040, stackframe);
  addtoclosure(closure5040, var_spc);
  addtoclosure(closure5040, var_s);
  addtoclosure(closure5040, var_depth);
  addtoclosure(closure5040, selfslot);
  struct UserObject *uo5040 = (struct UserObject*)block5039;
  uo5040->data[0] = (Object)closure5040;
  Method *meth_meth_ast__apply_40_1_41_5040 = addmethod2pos(block5039, "_apply(1)", &meth_ast__apply_40_1_41_5040, 0);
  int argcv_meth_ast__apply_40_1_41_5040[] = {1};
  meth_meth_ast__apply_40_1_41_5040->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5040);
  meth_meth_ast__apply_40_1_41_5040->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5040->definitionLine = 2947;
// compiled block node returning block5039 (depth = 4)
  gc_frame_newslot(block5039);
// call case 5: prelude request
  params[0] = call5038;
  params[1] = block5039;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5083 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5036);
// compiled call node returning call5083 (depth = 3)
// Begin line 1171
  setline(1171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_5134(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5136 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5138 = alloc_Float64(1);
// compiled num node returning num5138 (depth = 9)
  int op_slot_right_5137 = gc_frame_newslot(num5138);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5137 = gc_frame_newslot(*var_depth);
  params[0] = num5138;
  partcv[0] = 1;
  Object sum5140 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5140 (depth = 8)
  gc_frame_newslot(sum5140);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  params[0] = sum5140;
  partcv[0] = 1;
  Object call5141 = callmethodflags(*var_part, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5136);
// compiled call node returning call5141 (depth = 7)
  int op_slot_right_5135 = gc_frame_newslot(call5141);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5135 = gc_frame_newslot(*var_s);
  params[0] = call5141;
  partcv[0] = 1;
  Object opresult5143 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5143 (depth = 6)
  *var_s = opresult5143;
  if (opresult5143 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply5147(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5149 == NULL) {
    strlit5149 = alloc_String(" ");
    gc_root(strlit5149);
  }
// compiled string node returning strlit5149 (depth = 7)
  int op_slot_right_5148 = gc_frame_newslot(strlit5149);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5148 = gc_frame_newslot(*var_s);
  params[0] = strlit5149;
  partcv[0] = 1;
  Object opresult5151 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5151 (depth = 6)
  *var_s = opresult5151;
  if (opresult5151 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_5084(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5085 == NULL) {
    strlit5085 = alloc_String("");
    gc_root(strlit5085);
  }
// compiled string node returning strlit5085 (depth = 4)
  *var_s = strlit5085;
  if (strlit5085 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5087 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5088 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5089 = gc_frame_new();
// call case 4: self request
  Object call5090 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5089);
// compiled member node returning call5090 (depth = 6)
  Object call5091 = callmethodflags(call5090, "isImplicit", 0, partcv, params, 0);
  gc_frame_end(callframe5088);
// compiled member node returning call5091 (depth = 5)
  Object call5092 = callmethodflags(call5091, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5087);
// compiled member node returning call5092 (depth = 4)
  Object if5086 = done;
  if (istrue(call5092)) {
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5094 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5095 = gc_frame_new();
// call case 4: self request
  Object call5096 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5095);
// compiled member node returning call5096 (depth = 6)
  Object call5097 = callmethodflags(call5096, "isSimple", 0, partcv, params, 0);
  gc_frame_end(callframe5094);
// compiled member node returning call5097 (depth = 5)
  Object if5093 = done;
  if (istrue(call5097)) {
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5099 == NULL) {
    strlit5099 = alloc_String(".");
    gc_root(strlit5099);
  }
// compiled string node returning strlit5099 (depth = 7)
  int op_slot_right_5098 = gc_frame_newslot(strlit5099);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5102 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5104 = alloc_Float64(1);
// compiled num node returning num5104 (depth = 10)
  int op_slot_right_5103 = gc_frame_newslot(num5104);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5103 = gc_frame_newslot(*var_depth);
  params[0] = num5104;
  partcv[0] = 1;
  Object sum5106 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5106 (depth = 9)
  gc_frame_newslot(sum5106);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5107 = gc_frame_new();
// call case 4: self request
  Object call5108 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5107);
// compiled member node returning call5108 (depth = 9)
  params[0] = sum5106;
  partcv[0] = 1;
  Object call5109 = callmethodflags(call5108, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5102);
// compiled call node returning call5109 (depth = 8)
  int op_slot_right_5101 = gc_frame_newslot(call5109);
// starting to compile string node (depth = 8)
  if (strlit5111 == NULL) {
    strlit5111 = alloc_String("");
    gc_root(strlit5111);
  }
// compiled string node returning strlit5111 (depth = 8)
  int op_slot_left_5101 = gc_frame_newslot(strlit5111);
  params[0] = call5109;
  partcv[0] = 1;
  Object opresult5112 = callmethod(strlit5111, "++(1)", 1, partcv, params);
// compiled op node returning opresult5112 (depth = 7)
  int op_slot_left_5098 = gc_frame_newslot(opresult5112);
  params[0] = strlit5099;
  partcv[0] = 1;
  Object opresult5113 = callmethod(opresult5112, "++(1)", 1, partcv, params);
// compiled op node returning opresult5113 (depth = 6)
  *var_s = opresult5113;
  if (opresult5113 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5093 = done;
  } else {
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5116 == NULL) {
    strlit5116 = alloc_String(").");
    gc_root(strlit5116);
  }
// compiled string node returning strlit5116 (depth = 7)
  int op_slot_right_5115 = gc_frame_newslot(strlit5116);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5119 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num5121 = alloc_Float64(1);
// compiled num node returning num5121 (depth = 10)
  int op_slot_right_5120 = gc_frame_newslot(num5121);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_5120 = gc_frame_newslot(*var_depth);
  params[0] = num5121;
  partcv[0] = 1;
  Object sum5123 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5123 (depth = 9)
  gc_frame_newslot(sum5123);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5124 = gc_frame_new();
// call case 4: self request
  Object call5125 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5124);
// compiled member node returning call5125 (depth = 9)
  params[0] = sum5123;
  partcv[0] = 1;
  Object call5126 = callmethodflags(call5125, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5119);
// compiled call node returning call5126 (depth = 8)
  int op_slot_right_5118 = gc_frame_newslot(call5126);
// starting to compile string node (depth = 8)
  if (strlit5128 == NULL) {
    strlit5128 = alloc_String("(");
    gc_root(strlit5128);
  }
// compiled string node returning strlit5128 (depth = 8)
  int op_slot_left_5118 = gc_frame_newslot(strlit5128);
  params[0] = call5126;
  partcv[0] = 1;
  Object opresult5129 = callmethod(strlit5128, "++(1)", 1, partcv, params);
// compiled op node returning opresult5129 (depth = 7)
  int op_slot_left_5115 = gc_frame_newslot(opresult5129);
  params[0] = strlit5116;
  partcv[0] = 1;
  Object opresult5130 = callmethod(opresult5129, "++(1)", 1, partcv, params);
// compiled op node returning opresult5130 (depth = 6)
  *var_s = opresult5130;
  if (opresult5130 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5093 = done;
  }
// compiled if node returning if5093 (depth = 4)
    gc_frame_newslot(if5093);
    if5086 = if5093;
  } else {
  }
// compiled if node returning if5086 (depth = 3)
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5132 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5133 = alloc_Block(NULL, NULL, "ast", 1182);
  gc_frame_newslot(block5133);
// method "_apply(_)"
  block_savedest(block5133);
  Object closure5134 = createclosure(3, "_apply(1)");
  setclosureframe(closure5134, stackframe);
  addtoclosure(closure5134, var_depth);
  addtoclosure(closure5134, var_s);
  addtoclosure(closure5134, selfslot);
  struct UserObject *uo5134 = (struct UserObject*)block5133;
  uo5134->data[0] = (Object)closure5134;
  Method *meth_meth_ast__apply_40_1_41_5134 = addmethod2pos(block5133, "_apply(1)", &meth_ast__apply_40_1_41_5134, 0);
  int argcv_meth_ast__apply_40_1_41_5134[] = {1};
  meth_meth_ast__apply_40_1_41_5134->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5134);
  meth_meth_ast__apply_40_1_41_5134->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5134->definitionLine = 2947;
// compiled block node returning block5133 (depth = 4)
  gc_frame_newslot(block5133);
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block5146 = alloc_Block(NULL, NULL, "ast", 1183);
  gc_frame_newslot(block5146);
// method "_apply"
  block_savedest(block5146);
  Object closure5147 = createclosure(2, "_apply");
  setclosureframe(closure5147, stackframe);
  addtoclosure(closure5147, var_s);
  addtoclosure(closure5147, selfslot);
  struct UserObject *uo5147 = (struct UserObject*)block5146;
  uo5147->data[0] = (Object)closure5147;
  Method *meth_meth_ast__apply5147 = addmethod2pos(block5146, "_apply", &meth_ast__apply5147, 0);
  int argcv_meth_ast__apply5147[] = {0};
  meth_meth_ast__apply5147->type = alloc_MethodType(1, argcv_meth_ast__apply5147);
  meth_meth_ast__apply5147->definitionModule = modulename;
  meth_meth_ast__apply5147->definitionLine = 2947;
// compiled block node returning block5146 (depth = 4)
  gc_frame_newslot(block5146);
// call case 6: other requests
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5154 = gc_frame_new();
// call case 4: self request
  Object call5155 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5154);
// compiled member node returning call5155 (depth = 4)
  params[0] = block5133;
  params[1] = block5146;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5156 = callmethodflags(call5155, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5132);
// compiled call node returning call5156 (depth = 3)
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asIdentifier5157(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1188
  setline(1188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5160 = gc_frame_new();
// call case 4: self request
  Object call5161 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5160);
// compiled member node returning call5161 (depth = 5)
  int op_slot_right_5159 = gc_frame_newslot(call5161);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_fakeSymbolTable (depth = 5)
  int op_slot_left_5159 = gc_frame_newslot(*var_fakeSymbolTable);
  params[0] = call5161;
  partcv[0] = 1;
  Object opresult5163 = callmethod(*var_fakeSymbolTable, "==(1)", 1, partcv, params);
// compiled op node returning opresult5163 (depth = 4)
  Object if5158 = done;
  if (istrue(opresult5163)) {
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5164 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5166 == NULL) {
    strlit5166 = alloc_String(" when scope was fake");
    gc_root(strlit5166);
  }
// compiled string node returning strlit5166 (depth = 6)
  int op_slot_right_5165 = gc_frame_newslot(strlit5166);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5169 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num5170 = alloc_Float64(0);
// compiled num node returning num5170 (depth = 8)
  gc_frame_newslot(num5170);
// call case 4: self request
  params[0] = num5170;
  partcv[0] = 1;
  Object call5171 = callmethodflags(self, "pretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5169);
// compiled call node returning call5171 (depth = 7)
  int op_slot_right_5168 = gc_frame_newslot(call5171);
// starting to compile string node (depth = 7)
  if (strlit5173 == NULL) {
    strlit5173 = alloc_String("asIdentifier requested on ");
    gc_root(strlit5173);
  }
// compiled string node returning strlit5173 (depth = 7)
  int op_slot_left_5168 = gc_frame_newslot(strlit5173);
  params[0] = call5171;
  partcv[0] = 1;
  Object opresult5174 = callmethod(strlit5173, "++(1)", 1, partcv, params);
// compiled op node returning opresult5174 (depth = 6)
  int op_slot_left_5165 = gc_frame_newslot(opresult5174);
  params[0] = strlit5166;
  partcv[0] = 1;
  Object opresult5175 = callmethod(opresult5174, "++(1)", 1, partcv, params);
// compiled op node returning opresult5175 (depth = 5)
  gc_frame_newslot(opresult5175);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5176 = gc_frame_new();
// call case 5: prelude request
  Object call5177 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5176);
// compiled member node returning call5177 (depth = 5)
  params[0] = opresult5175;
  partcv[0] = 1;
  Object call5178 = callmethodflags(call5177, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5164);
// compiled call node returning call5178 (depth = 4)
    gc_frame_newslot(call5178);
    if5158 = call5178;
  } else {
  }
// compiled if node returning if5158 (depth = 3)
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5179 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5180 = gc_frame_new();
// call case 4: self request
  Object call5181 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5180);
// compiled member node returning call5181 (depth = 5)
  gc_frame_newslot(call5181);
// starting to compile identifier node (depth = 5)
  Object bool5182 = alloc_Boolean(0);
// compiled identifier node returning bool5182 (depth = 5)
  gc_frame_newslot(bool5182);
// starting to compile member node (depth = 5)
  int callframe5183 = gc_frame_new();
// call case 4: self request
  Object call5184 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5183);
// compiled member node returning call5184 (depth = 5)
  gc_frame_newslot(call5184);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call5181;
  params[1] = bool5182;
  params[2] = call5184;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5185 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5179);
// compiled call node returning call5185 (depth = 4)
  *var_resultNode = call5185;
  if (call5185 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5186 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool5187 = alloc_Boolean(1);
// compiled identifier node returning bool5187 (depth = 4)
  gc_frame_newslot(bool5187);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = bool5187;
  partcv[0] = 1;
  Object call5188 = callmethodflags(*var_resultNode, "inRequest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5186);
// compiled call node returning call5188 (depth = 3)
// Begin line 1193
  setline(1193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5189 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5190 = gc_frame_new();
// call case 4: self request
  Object call5191 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5190);
// compiled member node returning call5191 (depth = 4)
  gc_frame_newslot(call5191);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call5191;
  partcv[0] = 1;
  Object call5192 = callmethodflags(*var_resultNode, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5189);
// compiled call node returning call5192 (depth = 3)
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5193 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5194 = gc_frame_new();
// call case 4: self request
  Object call5195 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5194);
// compiled member node returning call5195 (depth = 4)
  gc_frame_newslot(call5195);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call5195;
  partcv[0] = 1;
  Object call5196 = callmethodflags(*var_resultNode, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5193);
// compiled call node returning call5196 (depth = 3)
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  return *var_resultNode;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_asString5197(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5199 == NULL) {
    strlit5199 = alloc_String("");
    gc_root(strlit5199);
  }
// compiled string node returning strlit5199 (depth = 4)
  int op_slot_right_5198 = gc_frame_newslot(strlit5199);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5202 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num5203 = alloc_Float64(0);
// compiled num node returning num5203 (depth = 6)
  gc_frame_newslot(num5203);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5204 = gc_frame_new();
// call case 4: self request
  Object call5205 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5204);
// compiled member node returning call5205 (depth = 6)
  params[0] = num5203;
  partcv[0] = 1;
  Object call5206 = callmethodflags(call5205, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5202);
// compiled call node returning call5206 (depth = 5)
  int op_slot_right_5201 = gc_frame_newslot(call5206);
// starting to compile string node (depth = 5)
  if (strlit5208 == NULL) {
    strlit5208 = alloc_String("call ");
    gc_root(strlit5208);
  }
// compiled string node returning strlit5208 (depth = 5)
  int op_slot_left_5201 = gc_frame_newslot(strlit5208);
  params[0] = call5206;
  partcv[0] = 1;
  Object opresult5209 = callmethod(strlit5208, "++(1)", 1, partcv, params);
// compiled op node returning opresult5209 (depth = 4)
  int op_slot_left_5198 = gc_frame_newslot(opresult5209);
  params[0] = strlit5199;
  partcv[0] = 1;
  Object opresult5210 = callmethod(opresult5209, "++(1)", 1, partcv, params);
// compiled op node returning opresult5210 (depth = 3)
  gc_frame_end(frame);
  return opresult5210;
}
Object meth_ast_shallowCopy5211(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5212 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5213 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5214 = gc_frame_new();
// call case 4: self request
  Object call5215 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5214);
// compiled member node returning call5215 (depth = 5)
  gc_frame_newslot(call5215);
// starting to compile member node (depth = 5)
  int callframe5216 = gc_frame_new();
// call case 4: self request
  Object call5217 = callmethodflags(self, "with", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5216);
// compiled member node returning call5217 (depth = 5)
  gc_frame_newslot(call5217);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_callNode (depth = 5)
  params[0] = call5215;
  params[1] = call5217;
  partcv[0] = 2;
  Object call5218 = callmethodflags(*var_callNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5213);
// compiled call node returning call5218 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5219 = callmethodflags(call5218, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5212);
// compiled call node returning call5219 (depth = 3)
  gc_frame_end(frame);
  return call5219;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_5220(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5221 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call5222 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe5221);
// compiled call node returning call5222 (depth = 3)
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5223 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5224 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5225 = callmethodflags(*var_other, "isPattern", 0, partcv, params, 0);
  gc_frame_end(callframe5224);
// compiled member node returning call5225 (depth = 4)
  gc_frame_newslot(call5225);
// call case 4: self request
  params[0] = call5225;
  partcv[0] = 1;
  Object call5226 = callmethodflags(self, "isPattern:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5223);
// compiled call node returning call5226 (depth = 3)
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5227 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5228 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5229 = callmethodflags(*var_other, "isSelfRequest", 0, partcv, params, 0);
  gc_frame_end(callframe5228);
// compiled member node returning call5229 (depth = 4)
  gc_frame_newslot(call5229);
// call case 4: self request
  params[0] = call5229;
  partcv[0] = 1;
  Object call5230 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5227);
// compiled call node returning call5230 (depth = 3)
// Begin line 1205
  setline(1205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName5231(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5232 == NULL) {
    strlit5232 = alloc_String("request");
    gc_root(strlit5232);
  }
// compiled string node returning strlit5232 (depth = 3)
  gc_frame_end(frame);
  return strlit5232;
}
Object meth_ast_new_40_2_41_4716(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_callNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_receiver_39_ = &(stackframe->slots[0]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4717 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4717 = alloc_userobj2(28,24, objclass4717);
  gc_frame_newslot(obj4717);
if (objclass4717 == NULL) {
  glfree(obj4717->class->name);
  obj4717->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4717, self, 0);
  addmethodreal(obj4717,"outer", &reader_ast_outer_4718);
  Object oldself4717 = self;
  struct StackFrameObject *oldstackframe4717 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4717);
  gc_frame_newslot((Object)stackframe);
  self = obj4717;
  Object *oldselfslot4717 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4717 = (*(struct UserObject *)self).data[0], lowerouter4717 = thisouter4717;
  if (inheritingObject4717) {
    struct UserObject *inho4717 = (struct UserObject *)inheritingObject4717;
    while (inho4717->super != GraceDefaultObject) inho4717 = (struct UserObject *)inho4717->super;
    inho4717->super = obj4717;
    self = inheritingObject4717;
    *selfslot = self;
    lowerouter4717 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4717;
  }
if (objclass4717 == NULL) {
  Method *reader4719 = addmethodrealflags(obj4717, "kind",&reader_ast_kind_4719, MFLAG_DEF);
  reader4719->definitionModule = modulename;
  reader4719->definitionLine = 1073;
}
adddatum2(obj4717, alloc_Undefined(), 1);
if (objclass4717 == NULL) {
  Method *reader4720 = addmethodrealflags(obj4717, "with", &reader_ast_with_4720, 0);
  Method *writer4720 = addmethodrealflags(obj4717, "with:=(1)", &writer_ast_with_4720, 0);
  reader4720->definitionModule = modulename;
  writer4720->definitionModule = modulename;
  reader4720->definitionLine = 1074;
  writer4720->definitionLine = 1074;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 2);
if (objclass4717 == NULL) {
  Method *reader4721 = addmethodrealflags(obj4717, "generics", &reader_ast_generics_4721, 0);
  Method *writer4721 = addmethodrealflags(obj4717, "generics:=(1)", &writer_ast_generics_4721, 0);
  reader4721->definitionModule = modulename;
  writer4721->definitionModule = modulename;
  reader4721->definitionLine = 1075;
  writer4721->definitionLine = 1075;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 3);
if (objclass4717 == NULL) {
  Method *reader4722 = addmethodrealflags(obj4717, "isPattern", &reader_ast_isPattern_4722, 0);
  Method *writer4722 = addmethodrealflags(obj4717, "isPattern:=(1)", &writer_ast_isPattern_4722, 0);
  reader4722->definitionModule = modulename;
  writer4722->definitionModule = modulename;
  reader4722->definitionLine = 1076;
  writer4722->definitionLine = 1076;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 4);
if (objclass4717 == NULL) {
  Method *reader4723 = addmethodrealflags(obj4717, "receiver", &reader_ast_receiver_4723, 0);
  Method *writer4723 = addmethodrealflags(obj4717, "receiver:=(1)", &writer_ast_receiver_4723, 0);
  reader4723->definitionModule = modulename;
  writer4723->definitionModule = modulename;
  reader4723->definitionLine = 1077;
  writer4723->definitionLine = 1077;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 5);
if (objclass4717 == NULL) {
  Method *reader4724 = addmethodrealflags(obj4717, "isSelfRequest", &reader_ast_isSelfRequest_4724, 0);
  Method *writer4724 = addmethodrealflags(obj4717, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_4724, 0);
  reader4724->definitionModule = modulename;
  writer4724->definitionModule = modulename;
  reader4724->definitionLine = 1078;
  writer4724->definitionLine = 1078;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 6);
// method "onSelf"
  struct UserObject *uo4725 = (struct UserObject*)obj4717;
  uo4725->data[7] = emptyclosure;
  Method *meth_meth_ast_onSelf4725 = addmethod2pos(obj4717, "onSelf", &meth_ast_onSelf4725, 7);
  int argcv_meth_ast_onSelf4725[] = {0};
  meth_meth_ast_onSelf4725->type = alloc_MethodType(1, argcv_meth_ast_onSelf4725);
  meth_meth_ast_onSelf4725->definitionModule = modulename;
  meth_meth_ast_onSelf4725->definitionLine = 1080;
// method "nameString"
  struct UserObject *uo4729 = (struct UserObject*)obj4717;
  uo4729->data[8] = emptyclosure;
  Method *meth_meth_ast_nameString4729 = addmethod2pos(obj4717, "nameString", &meth_ast_nameString4729, 8);
  int argcv_meth_ast_nameString4729[] = {0};
  meth_meth_ast_nameString4729->type = alloc_MethodType(1, argcv_meth_ast_nameString4729);
  meth_meth_ast_nameString4729->definitionModule = modulename;
  meth_meth_ast_nameString4729->definitionLine = 1086;
// method "canonicalName"
  struct UserObject *uo4743 = (struct UserObject*)obj4717;
  uo4743->data[9] = emptyclosure;
  Method *meth_meth_ast_canonicalName4743 = addmethod2pos(obj4717, "canonicalName", &meth_ast_canonicalName4743, 9);
  int argcv_meth_ast_canonicalName4743[] = {0};
  meth_meth_ast_canonicalName4743->type = alloc_MethodType(1, argcv_meth_ast_canonicalName4743);
  meth_meth_ast_canonicalName4743->definitionModule = modulename;
  meth_meth_ast_canonicalName4743->definitionLine = 1091;
// method "isCall"
  struct UserObject *uo4757 = (struct UserObject*)obj4717;
  uo4757->data[10] = emptyclosure;
  Method *meth_meth_ast_isCall4757 = addmethod2pos(obj4717, "isCall", &meth_ast_isCall4757, 10);
  int argcv_meth_ast_isCall4757[] = {0};
  meth_meth_ast_isCall4757->type = alloc_MethodType(1, argcv_meth_ast_isCall4757);
  meth_meth_ast_isCall4757->definitionModule = modulename;
  meth_meth_ast_isCall4757->definitionLine = 1097;
// method "returnsObject"
  struct UserObject *uo4759 = (struct UserObject*)obj4717;
  uo4759->data[11] = emptyclosure;
  Method *meth_meth_ast_returnsObject4759 = addmethod2pos(obj4717, "returnsObject", &meth_ast_returnsObject4759, 11);
  int argcv_meth_ast_returnsObject4759[] = {0};
  meth_meth_ast_returnsObject4759->type = alloc_MethodType(1, argcv_meth_ast_returnsObject4759);
  meth_meth_ast_returnsObject4759->definitionModule = modulename;
  meth_meth_ast_returnsObject4759->definitionLine = 1098;
// method "returnedObjectScope"
  struct UserObject *uo4805 = (struct UserObject*)obj4717;
  uo4805->data[12] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope4805 = addmethod2pos(obj4717, "returnedObjectScope", &meth_ast_returnedObjectScope4805, 12);
  int argcv_meth_ast_returnedObjectScope4805[] = {0};
  meth_meth_ast_returnedObjectScope4805->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope4805);
  meth_meth_ast_returnedObjectScope4805->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope4805->definitionLine = 1107;
// method "arguments"
  struct UserObject *uo4808 = (struct UserObject*)obj4717;
  uo4808->data[13] = emptyclosure;
  Method *meth_meth_ast_arguments4808 = addmethod2pos(obj4717, "arguments", &meth_ast_arguments4808, 13);
  int argcv_meth_ast_arguments4808[] = {0};
  meth_meth_ast_arguments4808->type = alloc_MethodType(1, argcv_meth_ast_arguments4808);
  meth_meth_ast_arguments4808->definitionModule = modulename;
  meth_meth_ast_arguments4808->definitionLine = 1111;
// method "argumentsDo(_)"
  struct UserObject *uo4826 = (struct UserObject*)obj4717;
  uo4826->data[14] = emptyclosure;
  Method *meth_meth_ast_argumentsDo_40_1_41_4826 = addmethod2pos(obj4717, "argumentsDo(1)", &meth_ast_argumentsDo_40_1_41_4826, 14);
  int argcv_meth_ast_argumentsDo_40_1_41_4826[] = {1};
  meth_meth_ast_argumentsDo_40_1_41_4826->type = alloc_MethodType(1, argcv_meth_ast_argumentsDo_40_1_41_4826);
  meth_meth_ast_argumentsDo_40_1_41_4826->definitionModule = modulename;
  meth_meth_ast_argumentsDo_40_1_41_4826->definitionLine = 1119;
// method "accept(_)from(_)"
  struct UserObject *uo4843 = (struct UserObject*)obj4717;
  uo4843->data[15] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_4843 = addmethod2pos(obj4717, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_4843, 15);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_4843[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_4843->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_4843);
  meth_meth_ast_accept_40_1_41_from_40_1_41_4843->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_4843->definitionLine = 1125;
// method "map(_)ancestors(_)"
  struct UserObject *uo4885 = (struct UserObject*)obj4717;
  uo4885->data[16] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_4885 = addmethod2pos(obj4717, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_4885, 16);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4885[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4885->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4885);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4885->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4885->definitionLine = 1141;
// method "pretty(_)"
  struct UserObject *uo4918 = (struct UserObject*)obj4717;
  uo4918->data[17] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_4918 = addmethod2pos(obj4717, "pretty(1)", &meth_ast_pretty_40_1_41_4918, 17);
  int argcv_meth_ast_pretty_40_1_41_4918[] = {1};
  meth_meth_ast_pretty_40_1_41_4918->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_4918);
  meth_meth_ast_pretty_40_1_41_4918->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_4918->definitionLine = 1149;
// method "toGrace(_)"
  struct UserObject *uo5084 = (struct UserObject*)obj4717;
  uo5084->data[18] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_5084 = addmethod2pos(obj4717, "toGrace(1)", &meth_ast_toGrace_40_1_41_5084, 18);
  int argcv_meth_ast_toGrace_40_1_41_5084[] = {1};
  meth_meth_ast_toGrace_40_1_41_5084->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_5084);
meth_meth_ast_toGrace_40_1_41_5084->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_5084->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_5084->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_5084->definitionLine = 1173;
// method "asIdentifier"
  block_savedest(obj4717);
  Object closure5157 = createclosure(2, "asIdentifier");
  setclosureframe(closure5157, stackframe);
  addtoclosure(closure5157, var_fakeSymbolTable);
  addtoclosure(closure5157, var_identifierNode);
  struct UserObject *uo5157 = (struct UserObject*)obj4717;
  uo5157->data[19] = (Object)closure5157;
  Method *meth_meth_ast_asIdentifier5157 = addmethod2pos(obj4717, "asIdentifier", &meth_ast_asIdentifier5157, 19);
  int argcv_meth_ast_asIdentifier5157[] = {0};
  meth_meth_ast_asIdentifier5157->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier5157);
  meth_meth_ast_asIdentifier5157->definitionModule = modulename;
  meth_meth_ast_asIdentifier5157->definitionLine = 1186;
// method "asString"
  struct UserObject *uo5197 = (struct UserObject*)obj4717;
  uo5197->data[20] = emptyclosure;
  Method *meth_meth_ast_asString5197 = addmethod2pos(obj4717, "asString", &meth_ast_asString5197, 20);
  int argcv_meth_ast_asString5197[] = {0};
  meth_meth_ast_asString5197->type = alloc_MethodType(1, argcv_meth_ast_asString5197);
  meth_meth_ast_asString5197->definitionModule = modulename;
  meth_meth_ast_asString5197->definitionLine = 1197;
// method "shallowCopy"
  block_savedest(obj4717);
  Object closure5211 = createclosure(1, "shallowCopy");
  setclosureframe(closure5211, stackframe);
  addtoclosure(closure5211, var_callNode);
  struct UserObject *uo5211 = (struct UserObject*)obj4717;
  uo5211->data[21] = (Object)closure5211;
  Method *meth_meth_ast_shallowCopy5211 = addmethod2pos(obj4717, "shallowCopy", &meth_ast_shallowCopy5211, 21);
  int argcv_meth_ast_shallowCopy5211[] = {0};
  meth_meth_ast_shallowCopy5211->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5211);
  meth_meth_ast_shallowCopy5211->definitionModule = modulename;
  meth_meth_ast_shallowCopy5211->definitionLine = 1198;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo5220 = (struct UserObject*)obj4717;
  uo5220->data[22] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5220 = addmethod2pos(obj4717, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_5220, 22);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5220[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5220->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5220);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5220->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5220->definitionLine = 1201;
// method "statementName"
  struct UserObject *uo5231 = (struct UserObject*)obj4717;
  uo5231->data[23] = emptyclosure;
  Method *meth_meth_ast_statementName5231 = addmethod2pos(obj4717, "statementName", &meth_ast_statementName5231, 23);
  int argcv_meth_ast_statementName5231[] = {0};
  meth_meth_ast_statementName5231->type = alloc_MethodType(1, argcv_meth_ast_statementName5231);
  meth_meth_ast_statementName5231->definitionModule = modulename;
  meth_meth_ast_statementName5231->definitionLine = 1207;
  sourceObject = obj4717;
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5233 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5234 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5235 = gc_frame_new();
// call case 3: self.outer request
  Object call5236 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5235);
// compiled member node returning call5236 (depth = 5)
  Object call5237 = callmethodflags(call5236, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5234);
// compiled member node returning call5237 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5238 = callmethodflags(call5237, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5233);
// compiled call node returning call5238 (depth = 3)
  struct UserObject *obj4717_uo = (struct UserObject *)obj4717;
  obj4717_uo->super = call5238;
  sourceObject = obj4717;
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5239 == NULL) {
    strlit5239 = alloc_String("call");
    gc_root(strlit5239);
  }
// compiled string node returning strlit5239 (depth = 3)
  adddatum2(obj4717, strlit5239, 1);
  sourceObject = obj4717;
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_parts (depth = 3)
  adddatum2(obj4717, *var_parts, 2);
  sourceObject = obj4717;
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5240 = alloc_Boolean(0);
// compiled identifier node returning bool5240 (depth = 3)
  adddatum2(obj4717, bool5240, 3);
  sourceObject = obj4717;
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5241 = alloc_Boolean(0);
// compiled identifier node returning bool5241 (depth = 3)
  adddatum2(obj4717, bool5241, 4);
  sourceObject = obj4717;
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj4717, *var_receiver_39_, 5);
  sourceObject = obj4717;
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5242 = alloc_Boolean(0);
// compiled identifier node returning bool5242 (depth = 3)
  adddatum2(obj4717, bool5242, 6);
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  objclass4717 = obj4717->class;
  objclass4717->definitionModule = modulename;
  objclass4717->definitionLine = 1067;
  (*(struct UserObject *)self).data[0] = lowerouter4717;
  self = oldself4717;
  selfslot = oldselfslot4717;
  stackframe = oldstackframe4717;
  gc_frame_end(frame);
  return obj4717;
}
Object meth_ast_new_40_2_41_4716_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  Object *var_callNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_receiver_39_ = &(stackframe->slots[0]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  Object *var_parts = &(stackframe->slots[1]);
  *var_parts = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject4717 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4717 = alloc_userobj2(28,24, objclass4717);
  gc_frame_newslot(obj4717);
if (objclass4717 == NULL) {
  glfree(obj4717->class->name);
  obj4717->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4717, self, 0);
  addmethodreal(obj4717,"outer", &reader_ast_outer_4718);
  Object oldself4717 = self;
  struct StackFrameObject *oldstackframe4717 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4717);
  gc_frame_newslot((Object)stackframe);
  self = obj4717;
  Object *oldselfslot4717 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4717 = (*(struct UserObject *)self).data[0], lowerouter4717 = thisouter4717;
  if (inheritingObject4717) {
    struct UserObject *inho4717 = (struct UserObject *)inheritingObject4717;
    while (inho4717->super != GraceDefaultObject) inho4717 = (struct UserObject *)inho4717->super;
    inho4717->super = obj4717;
    self = inheritingObject4717;
    *selfslot = self;
    lowerouter4717 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4717;
  }
if (objclass4717 == NULL) {
  Method *reader4719 = addmethodrealflags(obj4717, "kind",&reader_ast_kind_4719, MFLAG_DEF);
  reader4719->definitionModule = modulename;
  reader4719->definitionLine = 1073;
}
adddatum2(obj4717, alloc_Undefined(), 1);
if (objclass4717 == NULL) {
  Method *reader4720 = addmethodrealflags(obj4717, "with", &reader_ast_with_4720, 0);
  Method *writer4720 = addmethodrealflags(obj4717, "with:=(1)", &writer_ast_with_4720, 0);
  reader4720->definitionModule = modulename;
  writer4720->definitionModule = modulename;
  reader4720->definitionLine = 1074;
  writer4720->definitionLine = 1074;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 2);
if (objclass4717 == NULL) {
  Method *reader4721 = addmethodrealflags(obj4717, "generics", &reader_ast_generics_4721, 0);
  Method *writer4721 = addmethodrealflags(obj4717, "generics:=(1)", &writer_ast_generics_4721, 0);
  reader4721->definitionModule = modulename;
  writer4721->definitionModule = modulename;
  reader4721->definitionLine = 1075;
  writer4721->definitionLine = 1075;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 3);
if (objclass4717 == NULL) {
  Method *reader4722 = addmethodrealflags(obj4717, "isPattern", &reader_ast_isPattern_4722, 0);
  Method *writer4722 = addmethodrealflags(obj4717, "isPattern:=(1)", &writer_ast_isPattern_4722, 0);
  reader4722->definitionModule = modulename;
  writer4722->definitionModule = modulename;
  reader4722->definitionLine = 1076;
  writer4722->definitionLine = 1076;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 4);
if (objclass4717 == NULL) {
  Method *reader4723 = addmethodrealflags(obj4717, "receiver", &reader_ast_receiver_4723, 0);
  Method *writer4723 = addmethodrealflags(obj4717, "receiver:=(1)", &writer_ast_receiver_4723, 0);
  reader4723->definitionModule = modulename;
  writer4723->definitionModule = modulename;
  reader4723->definitionLine = 1077;
  writer4723->definitionLine = 1077;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 5);
if (objclass4717 == NULL) {
  Method *reader4724 = addmethodrealflags(obj4717, "isSelfRequest", &reader_ast_isSelfRequest_4724, 0);
  Method *writer4724 = addmethodrealflags(obj4717, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_4724, 0);
  reader4724->definitionModule = modulename;
  writer4724->definitionModule = modulename;
  reader4724->definitionLine = 1078;
  writer4724->definitionLine = 1078;
}
obj4717->flags |= OFLAG_MUTABLE;
adddatum2(obj4717, alloc_Undefined(), 6);
// method "onSelf"
  struct UserObject *uo4725 = (struct UserObject*)obj4717;
  uo4725->data[7] = emptyclosure;
  Method *meth_meth_ast_onSelf4725 = addmethod2pos(obj4717, "onSelf", &meth_ast_onSelf4725, 7);
  int argcv_meth_ast_onSelf4725[] = {0};
  meth_meth_ast_onSelf4725->type = alloc_MethodType(1, argcv_meth_ast_onSelf4725);
  meth_meth_ast_onSelf4725->definitionModule = modulename;
  meth_meth_ast_onSelf4725->definitionLine = 1080;
// method "nameString"
  struct UserObject *uo4729 = (struct UserObject*)obj4717;
  uo4729->data[8] = emptyclosure;
  Method *meth_meth_ast_nameString4729 = addmethod2pos(obj4717, "nameString", &meth_ast_nameString4729, 8);
  int argcv_meth_ast_nameString4729[] = {0};
  meth_meth_ast_nameString4729->type = alloc_MethodType(1, argcv_meth_ast_nameString4729);
  meth_meth_ast_nameString4729->definitionModule = modulename;
  meth_meth_ast_nameString4729->definitionLine = 1086;
// method "canonicalName"
  struct UserObject *uo4743 = (struct UserObject*)obj4717;
  uo4743->data[9] = emptyclosure;
  Method *meth_meth_ast_canonicalName4743 = addmethod2pos(obj4717, "canonicalName", &meth_ast_canonicalName4743, 9);
  int argcv_meth_ast_canonicalName4743[] = {0};
  meth_meth_ast_canonicalName4743->type = alloc_MethodType(1, argcv_meth_ast_canonicalName4743);
  meth_meth_ast_canonicalName4743->definitionModule = modulename;
  meth_meth_ast_canonicalName4743->definitionLine = 1091;
// method "isCall"
  struct UserObject *uo4757 = (struct UserObject*)obj4717;
  uo4757->data[10] = emptyclosure;
  Method *meth_meth_ast_isCall4757 = addmethod2pos(obj4717, "isCall", &meth_ast_isCall4757, 10);
  int argcv_meth_ast_isCall4757[] = {0};
  meth_meth_ast_isCall4757->type = alloc_MethodType(1, argcv_meth_ast_isCall4757);
  meth_meth_ast_isCall4757->definitionModule = modulename;
  meth_meth_ast_isCall4757->definitionLine = 1097;
// method "returnsObject"
  struct UserObject *uo4759 = (struct UserObject*)obj4717;
  uo4759->data[11] = emptyclosure;
  Method *meth_meth_ast_returnsObject4759 = addmethod2pos(obj4717, "returnsObject", &meth_ast_returnsObject4759, 11);
  int argcv_meth_ast_returnsObject4759[] = {0};
  meth_meth_ast_returnsObject4759->type = alloc_MethodType(1, argcv_meth_ast_returnsObject4759);
  meth_meth_ast_returnsObject4759->definitionModule = modulename;
  meth_meth_ast_returnsObject4759->definitionLine = 1098;
// method "returnedObjectScope"
  struct UserObject *uo4805 = (struct UserObject*)obj4717;
  uo4805->data[12] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope4805 = addmethod2pos(obj4717, "returnedObjectScope", &meth_ast_returnedObjectScope4805, 12);
  int argcv_meth_ast_returnedObjectScope4805[] = {0};
  meth_meth_ast_returnedObjectScope4805->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope4805);
  meth_meth_ast_returnedObjectScope4805->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope4805->definitionLine = 1107;
// method "arguments"
  struct UserObject *uo4808 = (struct UserObject*)obj4717;
  uo4808->data[13] = emptyclosure;
  Method *meth_meth_ast_arguments4808 = addmethod2pos(obj4717, "arguments", &meth_ast_arguments4808, 13);
  int argcv_meth_ast_arguments4808[] = {0};
  meth_meth_ast_arguments4808->type = alloc_MethodType(1, argcv_meth_ast_arguments4808);
  meth_meth_ast_arguments4808->definitionModule = modulename;
  meth_meth_ast_arguments4808->definitionLine = 1111;
// method "argumentsDo(_)"
  struct UserObject *uo4826 = (struct UserObject*)obj4717;
  uo4826->data[14] = emptyclosure;
  Method *meth_meth_ast_argumentsDo_40_1_41_4826 = addmethod2pos(obj4717, "argumentsDo(1)", &meth_ast_argumentsDo_40_1_41_4826, 14);
  int argcv_meth_ast_argumentsDo_40_1_41_4826[] = {1};
  meth_meth_ast_argumentsDo_40_1_41_4826->type = alloc_MethodType(1, argcv_meth_ast_argumentsDo_40_1_41_4826);
  meth_meth_ast_argumentsDo_40_1_41_4826->definitionModule = modulename;
  meth_meth_ast_argumentsDo_40_1_41_4826->definitionLine = 1119;
// method "accept(_)from(_)"
  struct UserObject *uo4843 = (struct UserObject*)obj4717;
  uo4843->data[15] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_4843 = addmethod2pos(obj4717, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_4843, 15);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_4843[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_4843->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_4843);
  meth_meth_ast_accept_40_1_41_from_40_1_41_4843->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_4843->definitionLine = 1125;
// method "map(_)ancestors(_)"
  struct UserObject *uo4885 = (struct UserObject*)obj4717;
  uo4885->data[16] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_4885 = addmethod2pos(obj4717, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_4885, 16);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4885[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4885->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_4885);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4885->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_4885->definitionLine = 1141;
// method "pretty(_)"
  struct UserObject *uo4918 = (struct UserObject*)obj4717;
  uo4918->data[17] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_4918 = addmethod2pos(obj4717, "pretty(1)", &meth_ast_pretty_40_1_41_4918, 17);
  int argcv_meth_ast_pretty_40_1_41_4918[] = {1};
  meth_meth_ast_pretty_40_1_41_4918->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_4918);
  meth_meth_ast_pretty_40_1_41_4918->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_4918->definitionLine = 1149;
// method "toGrace(_)"
  struct UserObject *uo5084 = (struct UserObject*)obj4717;
  uo5084->data[18] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_5084 = addmethod2pos(obj4717, "toGrace(1)", &meth_ast_toGrace_40_1_41_5084, 18);
  int argcv_meth_ast_toGrace_40_1_41_5084[] = {1};
  meth_meth_ast_toGrace_40_1_41_5084->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_5084);
meth_meth_ast_toGrace_40_1_41_5084->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_5084->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_5084->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_5084->definitionLine = 1173;
// method "asIdentifier"
  block_savedest(obj4717);
  Object closure5157 = createclosure(2, "asIdentifier");
  setclosureframe(closure5157, stackframe);
  addtoclosure(closure5157, var_fakeSymbolTable);
  addtoclosure(closure5157, var_identifierNode);
  struct UserObject *uo5157 = (struct UserObject*)obj4717;
  uo5157->data[19] = (Object)closure5157;
  Method *meth_meth_ast_asIdentifier5157 = addmethod2pos(obj4717, "asIdentifier", &meth_ast_asIdentifier5157, 19);
  int argcv_meth_ast_asIdentifier5157[] = {0};
  meth_meth_ast_asIdentifier5157->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier5157);
  meth_meth_ast_asIdentifier5157->definitionModule = modulename;
  meth_meth_ast_asIdentifier5157->definitionLine = 1186;
// method "asString"
  struct UserObject *uo5197 = (struct UserObject*)obj4717;
  uo5197->data[20] = emptyclosure;
  Method *meth_meth_ast_asString5197 = addmethod2pos(obj4717, "asString", &meth_ast_asString5197, 20);
  int argcv_meth_ast_asString5197[] = {0};
  meth_meth_ast_asString5197->type = alloc_MethodType(1, argcv_meth_ast_asString5197);
  meth_meth_ast_asString5197->definitionModule = modulename;
  meth_meth_ast_asString5197->definitionLine = 1197;
// method "shallowCopy"
  block_savedest(obj4717);
  Object closure5211 = createclosure(1, "shallowCopy");
  setclosureframe(closure5211, stackframe);
  addtoclosure(closure5211, var_callNode);
  struct UserObject *uo5211 = (struct UserObject*)obj4717;
  uo5211->data[21] = (Object)closure5211;
  Method *meth_meth_ast_shallowCopy5211 = addmethod2pos(obj4717, "shallowCopy", &meth_ast_shallowCopy5211, 21);
  int argcv_meth_ast_shallowCopy5211[] = {0};
  meth_meth_ast_shallowCopy5211->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5211);
  meth_meth_ast_shallowCopy5211->definitionModule = modulename;
  meth_meth_ast_shallowCopy5211->definitionLine = 1198;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo5220 = (struct UserObject*)obj4717;
  uo5220->data[22] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5220 = addmethod2pos(obj4717, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_5220, 22);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5220[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5220->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5220);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5220->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5220->definitionLine = 1201;
// method "statementName"
  struct UserObject *uo5231 = (struct UserObject*)obj4717;
  uo5231->data[23] = emptyclosure;
  Method *meth_meth_ast_statementName5231 = addmethod2pos(obj4717, "statementName", &meth_ast_statementName5231, 23);
  int argcv_meth_ast_statementName5231[] = {0};
  meth_meth_ast_statementName5231->type = alloc_MethodType(1, argcv_meth_ast_statementName5231);
  meth_meth_ast_statementName5231->definitionModule = modulename;
  meth_meth_ast_statementName5231->definitionLine = 1207;
  sourceObject = obj4717;
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5233 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5234 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5235 = gc_frame_new();
// call case 3: self.outer request
  Object call5236 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5235);
// compiled member node returning call5236 (depth = 5)
  Object call5237 = callmethodflags(call5236, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5234);
// compiled member node returning call5237 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5238 = callmethodflags(call5237, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5233);
// compiled call node returning call5238 (depth = 3)
  struct UserObject *obj4717_uo = (struct UserObject *)obj4717;
  obj4717_uo->super = call5238;
  sourceObject = obj4717;
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5239 == NULL) {
    strlit5239 = alloc_String("call");
    gc_root(strlit5239);
  }
// compiled string node returning strlit5239 (depth = 3)
  adddatum2(obj4717, strlit5239, 1);
  sourceObject = obj4717;
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_parts (depth = 3)
  adddatum2(obj4717, *var_parts, 2);
  sourceObject = obj4717;
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5240 = alloc_Boolean(0);
// compiled identifier node returning bool5240 (depth = 3)
  adddatum2(obj4717, bool5240, 3);
  sourceObject = obj4717;
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5241 = alloc_Boolean(0);
// compiled identifier node returning bool5241 (depth = 3)
  adddatum2(obj4717, bool5241, 4);
  sourceObject = obj4717;
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj4717, *var_receiver_39_, 5);
  sourceObject = obj4717;
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5242 = alloc_Boolean(0);
// compiled identifier node returning bool5242 (depth = 3)
  adddatum2(obj4717, bool5242, 6);
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  sourceObject = obj4717;
  objclass4717 = obj4717->class;
  objclass4717->definitionModule = modulename;
  objclass4717->definitionLine = 1067;
  (*(struct UserObject *)self).data[0] = lowerouter4717;
  self = oldself4717;
  selfslot = oldselfslot4717;
  stackframe = oldstackframe4717;
  gc_frame_end(frame);
  return obj4717;
}
Object meth_ast_callNode5244(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_callNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_callNode (depth = 3)
  gc_frame_end(frame);
  return *var_callNode;
}
Object meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5247(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1212
  setline(1212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5248 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// call case 4: self request
  params[0] = *var_b;
  partcv[0] = 1;
  Object call5249 = callmethodflags(self, "body(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5248);
// compiled call node returning call5249 (depth = 4)
  *var_result = call5249;
  if (call5249 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5250 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5251 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5250);
// compiled call node returning call5251 (depth = 3)
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5252 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call5253 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5252);
// compiled call node returning call5253 (depth = 3)
// Begin line 1215
  setline(1215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_body_40_1_41_named_40_1_41_5254(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5255 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// call case 4: self request
  params[0] = *var_b;
  partcv[0] = 1;
  Object call5256 = callmethodflags(self, "body(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5255);
// compiled call node returning call5256 (depth = 4)
  *var_result = call5256;
  if (call5256 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5257 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5258 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5257);
// compiled call node returning call5258 (depth = 3)
// Begin line 1220
  setline(1220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_isModule5265(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isModule");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5266 = alloc_Boolean(1);
// compiled identifier node returning bool5266 (depth = 3)
  gc_frame_end(frame);
  return bool5266;
}
Object meth_ast_returnsObject5267(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5268 = alloc_Boolean(0);
// compiled identifier node returning bool5268 (depth = 3)
  gc_frame_end(frame);
  return bool5268;
}
Object meth_ast__apply_40_1_41_5272(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1234
  setline(1234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5274 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call5275 = callmethodflags(*var_o, "isExternal", 0, partcv, params, 0);
  gc_frame_end(callframe5274);
// compiled member node returning call5275 (depth = 6)
  Object if5273 = done;
  if (istrue(call5275)) {
// starting to compile call node (depth = 6)
  int callframe5276 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5277 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5276);
// compiled call node returning call5277 (depth = 6)
    gc_frame_newslot(call5277);
    if5273 = call5277;
  } else {
  }
// compiled if node returning if5273 (depth = 5)
  gc_frame_end(frame);
  return if5273;
}
Object meth_ast_externalsDo_40_1_41_5269(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "externalsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method externalsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for externalsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part externalsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5270 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5271 = alloc_Block(NULL, NULL, "ast", 1233);
  gc_frame_newslot(block5271);
// method "_apply(_)"
  block_savedest(block5271);
  Object closure5272 = createclosure(2, "_apply(1)");
  setclosureframe(closure5272, stackframe);
  addtoclosure(closure5272, var_action);
  addtoclosure(closure5272, selfslot);
  struct UserObject *uo5272 = (struct UserObject*)block5271;
  uo5272->data[0] = (Object)closure5272;
  Method *meth_meth_ast__apply_40_1_41_5272 = addmethod2pos(block5271, "_apply(1)", &meth_ast__apply_40_1_41_5272, 0);
  int argcv_meth_ast__apply_40_1_41_5272[] = {1};
  meth_meth_ast__apply_40_1_41_5272->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5272);
  meth_meth_ast__apply_40_1_41_5272->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5272->definitionLine = 2947;
// compiled block node returning block5271 (depth = 4)
  gc_frame_newslot(block5271);
// call case 6: other requests
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5279 = gc_frame_new();
// call case 4: self request
  Object call5280 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5279);
// compiled member node returning call5280 (depth = 4)
  params[0] = block5271;
  partcv[0] = 1;
  Object call5281 = callmethodflags(call5280, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5270);
// compiled call node returning call5281 (depth = 3)
  gc_frame_end(frame);
  return call5281;
}
Object meth_ast__apply_40_1_41_5303(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5304 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5305 = callmethodflags(*var_x, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5304);
// compiled call node returning call5305 (depth = 6)
  gc_frame_end(frame);
  return call5305;
}
Object meth_ast_accept_40_1_41_from_40_1_41_5282(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1238
  setline(1238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5284 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5285 = callmethodflags(*var_visitor, "visitModule(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5284);
// compiled call node returning call5285 (depth = 4)
  Object if5283 = done;
  if (istrue(call5285)) {
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5286 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call5287 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5286);
// compiled call node returning call5287 (depth = 5)
  *var_newChain = call5287;
  if (call5287 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1240
  setline(1240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5290 = gc_frame_new();
// call case 4: self request
  Object call5291 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5290);
// compiled member node returning call5291 (depth = 6)
  int op_slot_right_5289 = gc_frame_newslot(call5291);
// starting to compile identifier node (depth = 6)
  Object bool5293 = alloc_Boolean(0);
// compiled identifier node returning bool5293 (depth = 6)
  int op_slot_left_5289 = gc_frame_newslot(bool5293);
  params[0] = call5291;
  partcv[0] = 1;
  Object opresult5294 = callmethod(bool5293, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5294 (depth = 5)
  Object if5288 = done;
  if (istrue(opresult5294)) {
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5295 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5296 = gc_frame_new();
// call case 4: self request
  Object call5297 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5296);
// compiled member node returning call5297 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5298 = callmethodflags(call5297, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5295);
// compiled call node returning call5298 (depth = 5)
    gc_frame_newslot(call5298);
    if5288 = call5298;
  } else {
  }
// compiled if node returning if5288 (depth = 4)
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5299 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5300 = gc_frame_new();
// call case 4: self request
  Object call5301 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5300);
// compiled member node returning call5301 (depth = 5)
  gc_frame_newslot(call5301);
// starting to compile block node (depth = 5)
  Object block5302 = alloc_Block(NULL, NULL, "ast", 1243);
  gc_frame_newslot(block5302);
// method "_apply(_)"
  block_savedest(block5302);
  Object closure5303 = createclosure(3, "_apply(1)");
  setclosureframe(closure5303, stackframe);
  addtoclosure(closure5303, var_visitor);
  addtoclosure(closure5303, var_newChain);
  addtoclosure(closure5303, selfslot);
  struct UserObject *uo5303 = (struct UserObject*)block5302;
  uo5303->data[0] = (Object)closure5303;
  Method *meth_meth_ast__apply_40_1_41_5303 = addmethod2pos(block5302, "_apply(1)", &meth_ast__apply_40_1_41_5303, 0);
  int argcv_meth_ast__apply_40_1_41_5303[] = {1};
  meth_meth_ast__apply_40_1_41_5303->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5303);
  meth_meth_ast__apply_40_1_41_5303->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5303->definitionLine = 2947;
// compiled block node returning block5302 (depth = 5)
  gc_frame_newslot(block5302);
// call case 5: prelude request
  params[0] = call5301;
  params[1] = block5302;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5307 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5299);
// compiled call node returning call5307 (depth = 4)
    gc_frame_newslot(call5307);
    if5283 = call5307;
  } else {
  }
// compiled if node returning if5283 (depth = 3)
  gc_frame_end(frame);
  return if5283;
}
Object meth_ast_shallowCopy5308(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_moduleNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5309 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5310 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_moduleNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call5311 = callmethodflags(*var_moduleNode, "body(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5310);
// compiled call node returning call5311 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5312 = callmethodflags(call5311, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5309);
// compiled call node returning call5312 (depth = 3)
  gc_frame_end(frame);
  return call5312;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_5313(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5314 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call5315 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe5314);
// compiled call node returning call5315 (depth = 3)
// Begin line 1253
  setline(1253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5316 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5317 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5318 = callmethodflags(*var_other, "imports", 0, partcv, params, 0);
  gc_frame_end(callframe5317);
// compiled member node returning call5318 (depth = 4)
  gc_frame_newslot(call5318);
// call case 4: self request
  params[0] = call5318;
  partcv[0] = 1;
  Object call5319 = callmethodflags(self, "imports:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5316);
// compiled call node returning call5319 (depth = 3)
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_body_40_1_41_5259(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)");
  Object params[3];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_moduleNode = getfromclosure(closure, 1);
  Object *var_objectNode = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for body(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5260 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5260 = alloc_userobj2(12,12, objclass5260);
  gc_frame_newslot(obj5260);
if (objclass5260 == NULL) {
  glfree(obj5260->class->name);
  obj5260->class->name = "body(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5260, self, 0);
  addmethodreal(obj5260,"outer", &reader_ast_outer_5261);
  Object oldself5260 = self;
  struct StackFrameObject *oldstackframe5260 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5260);
  gc_frame_newslot((Object)stackframe);
  self = obj5260;
  Object *oldselfslot5260 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5260 = (*(struct UserObject *)self).data[0], lowerouter5260 = thisouter5260;
  if (inheritingObject5260) {
    struct UserObject *inho5260 = (struct UserObject *)inheritingObject5260;
    while (inho5260->super != GraceDefaultObject) inho5260 = (struct UserObject *)inho5260->super;
    inho5260->super = obj5260;
    self = inheritingObject5260;
    *selfslot = self;
    lowerouter5260 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5260;
  }
if (objclass5260 == NULL) {
  Method *reader5262 = addmethodrealflags(obj5260, "kind",&reader_ast_kind_5262, MFLAG_DEF);
  reader5262->definitionModule = modulename;
  reader5262->definitionLine = 1224;
}
adddatum2(obj5260, alloc_Undefined(), 1);
if (objclass5260 == NULL) {
  Method *reader5263 = addmethodrealflags(obj5260, "sourceLines",&reader_ast_sourceLines_5263, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5263->definitionModule = modulename;
  reader5263->definitionLine = 1225;
}
adddatum2(obj5260, alloc_Undefined(), 2);
if (objclass5260 == NULL) {
  Method *reader5264 = addmethodrealflags(obj5260, "imports", &reader_ast_imports_5264, 0);
  Method *writer5264 = addmethodrealflags(obj5260, "imports:=(1)", &writer_ast_imports_5264, 0);
  reader5264->definitionModule = modulename;
  writer5264->definitionModule = modulename;
  reader5264->definitionLine = 1228;
  writer5264->definitionLine = 1228;
}
obj5260->flags |= OFLAG_MUTABLE;
adddatum2(obj5260, alloc_Undefined(), 3);
// method "isModule"
  struct UserObject *uo5265 = (struct UserObject*)obj5260;
  uo5265->data[4] = emptyclosure;
  Method *meth_meth_ast_isModule5265 = addmethod2pos(obj5260, "isModule", &meth_ast_isModule5265, 4);
  int argcv_meth_ast_isModule5265[] = {0};
  meth_meth_ast_isModule5265->type = alloc_MethodType(1, argcv_meth_ast_isModule5265);
  meth_meth_ast_isModule5265->definitionModule = modulename;
  meth_meth_ast_isModule5265->definitionLine = 1230;
// method "returnsObject"
  struct UserObject *uo5267 = (struct UserObject*)obj5260;
  uo5267->data[5] = emptyclosure;
  Method *meth_meth_ast_returnsObject5267 = addmethod2pos(obj5260, "returnsObject", &meth_ast_returnsObject5267, 5);
  int argcv_meth_ast_returnsObject5267[] = {0};
  meth_meth_ast_returnsObject5267->type = alloc_MethodType(1, argcv_meth_ast_returnsObject5267);
  meth_meth_ast_returnsObject5267->definitionModule = modulename;
  meth_meth_ast_returnsObject5267->definitionLine = 1231;
// method "externalsDo(_)"
  struct UserObject *uo5269 = (struct UserObject*)obj5260;
  uo5269->data[6] = emptyclosure;
  Method *meth_meth_ast_externalsDo_40_1_41_5269 = addmethod2pos(obj5260, "externalsDo(1)", &meth_ast_externalsDo_40_1_41_5269, 6);
  int argcv_meth_ast_externalsDo_40_1_41_5269[] = {1};
  meth_meth_ast_externalsDo_40_1_41_5269->type = alloc_MethodType(1, argcv_meth_ast_externalsDo_40_1_41_5269);
  meth_meth_ast_externalsDo_40_1_41_5269->definitionModule = modulename;
  meth_meth_ast_externalsDo_40_1_41_5269->definitionLine = 1232;
// method "accept(_)from(_)"
  struct UserObject *uo5282 = (struct UserObject*)obj5260;
  uo5282->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5282 = addmethod2pos(obj5260, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5282, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5282[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5282->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5282);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5282->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5282->definitionLine = 1237;
// method "shallowCopy"
  block_savedest(obj5260);
  Object closure5308 = createclosure(2, "shallowCopy");
  setclosureframe(closure5308, stackframe);
  addtoclosure(closure5308, var_emptySeq);
  addtoclosure(closure5308, var_moduleNode);
  struct UserObject *uo5308 = (struct UserObject*)obj5260;
  uo5308->data[8] = (Object)closure5308;
  Method *meth_meth_ast_shallowCopy5308 = addmethod2pos(obj5260, "shallowCopy", &meth_ast_shallowCopy5308, 8);
  int argcv_meth_ast_shallowCopy5308[] = {0};
  meth_meth_ast_shallowCopy5308->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5308);
  meth_meth_ast_shallowCopy5308->definitionModule = modulename;
  meth_meth_ast_shallowCopy5308->definitionLine = 1248;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo5313 = (struct UserObject*)obj5260;
  uo5313->data[9] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5313 = addmethod2pos(obj5260, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_5313, 9);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5313[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5313->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5313);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5313->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5313->definitionLine = 1251;
  sourceObject = obj5260;
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5320 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
  Object bool5321 = alloc_Boolean(0);
// compiled identifier node returning bool5321 (depth = 4)
  gc_frame_newslot(bool5321);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objectNode (depth = 4)
  params[0] = *var_b;
  params[1] = bool5321;
  params[2] = self;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5322 = callmethodflags(*var_objectNode, "new(2)$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5320);
// compiled call node returning call5322 (depth = 3)
  struct UserObject *obj5260_uo = (struct UserObject *)obj5260;
  obj5260_uo->super = call5322;
  sourceObject = obj5260;
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5323 == NULL) {
    strlit5323 = alloc_String("module");
    gc_root(strlit5323);
  }
// compiled string node returning strlit5323 (depth = 3)
  adddatum2(obj5260, strlit5323, 1);
  sourceObject = obj5260;
// Begin line 1225
  setline(1225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5324 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call5325 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5324);
// compiled member node returning call5325 (depth = 3)
  adddatum2(obj5260, call5325, 2);
  sourceObject = obj5260;
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5326 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5327 = alloc_Float64(0);
// compiled num node returning num5327 (depth = 4)
  gc_frame_newslot(num5327);
// call case 4: self request
  params[0] = num5327;
  partcv[0] = 1;
  Object call5328 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5326);
// compiled call node returning call5328 (depth = 3)
  sourceObject = obj5260;
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5329 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5330 = alloc_Float64(0);
// compiled num node returning num5330 (depth = 4)
  gc_frame_newslot(num5330);
// call case 4: self request
  params[0] = num5330;
  partcv[0] = 1;
  Object call5331 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5329);
// compiled call node returning call5331 (depth = 3)
  sourceObject = obj5260;
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5332 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5332 (depth = 3)
  adddatum2(obj5260, array5332, 3);
  sourceObject = obj5260;
  sourceObject = obj5260;
  sourceObject = obj5260;
  sourceObject = obj5260;
  sourceObject = obj5260;
  sourceObject = obj5260;
  objclass5260 = obj5260->class;
  objclass5260->definitionModule = modulename;
  objclass5260->definitionLine = 1222;
  (*(struct UserObject *)self).data[0] = lowerouter5260;
  self = oldself5260;
  selfslot = oldselfslot5260;
  stackframe = oldstackframe5260;
  gc_frame_end(frame);
  return obj5260;
}
Object meth_ast_body_40_1_41_5259_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method body(_)");
  Object params[3];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_moduleNode = getfromclosure(closure, 1);
  Object *var_objectNode = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for body(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5260 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5260 = alloc_userobj2(12,12, objclass5260);
  gc_frame_newslot(obj5260);
if (objclass5260 == NULL) {
  glfree(obj5260->class->name);
  obj5260->class->name = "body(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5260, self, 0);
  addmethodreal(obj5260,"outer", &reader_ast_outer_5261);
  Object oldself5260 = self;
  struct StackFrameObject *oldstackframe5260 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5260);
  gc_frame_newslot((Object)stackframe);
  self = obj5260;
  Object *oldselfslot5260 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5260 = (*(struct UserObject *)self).data[0], lowerouter5260 = thisouter5260;
  if (inheritingObject5260) {
    struct UserObject *inho5260 = (struct UserObject *)inheritingObject5260;
    while (inho5260->super != GraceDefaultObject) inho5260 = (struct UserObject *)inho5260->super;
    inho5260->super = obj5260;
    self = inheritingObject5260;
    *selfslot = self;
    lowerouter5260 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5260;
  }
if (objclass5260 == NULL) {
  Method *reader5262 = addmethodrealflags(obj5260, "kind",&reader_ast_kind_5262, MFLAG_DEF);
  reader5262->definitionModule = modulename;
  reader5262->definitionLine = 1224;
}
adddatum2(obj5260, alloc_Undefined(), 1);
if (objclass5260 == NULL) {
  Method *reader5263 = addmethodrealflags(obj5260, "sourceLines",&reader_ast_sourceLines_5263, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader5263->definitionModule = modulename;
  reader5263->definitionLine = 1225;
}
adddatum2(obj5260, alloc_Undefined(), 2);
if (objclass5260 == NULL) {
  Method *reader5264 = addmethodrealflags(obj5260, "imports", &reader_ast_imports_5264, 0);
  Method *writer5264 = addmethodrealflags(obj5260, "imports:=(1)", &writer_ast_imports_5264, 0);
  reader5264->definitionModule = modulename;
  writer5264->definitionModule = modulename;
  reader5264->definitionLine = 1228;
  writer5264->definitionLine = 1228;
}
obj5260->flags |= OFLAG_MUTABLE;
adddatum2(obj5260, alloc_Undefined(), 3);
// method "isModule"
  struct UserObject *uo5265 = (struct UserObject*)obj5260;
  uo5265->data[4] = emptyclosure;
  Method *meth_meth_ast_isModule5265 = addmethod2pos(obj5260, "isModule", &meth_ast_isModule5265, 4);
  int argcv_meth_ast_isModule5265[] = {0};
  meth_meth_ast_isModule5265->type = alloc_MethodType(1, argcv_meth_ast_isModule5265);
  meth_meth_ast_isModule5265->definitionModule = modulename;
  meth_meth_ast_isModule5265->definitionLine = 1230;
// method "returnsObject"
  struct UserObject *uo5267 = (struct UserObject*)obj5260;
  uo5267->data[5] = emptyclosure;
  Method *meth_meth_ast_returnsObject5267 = addmethod2pos(obj5260, "returnsObject", &meth_ast_returnsObject5267, 5);
  int argcv_meth_ast_returnsObject5267[] = {0};
  meth_meth_ast_returnsObject5267->type = alloc_MethodType(1, argcv_meth_ast_returnsObject5267);
  meth_meth_ast_returnsObject5267->definitionModule = modulename;
  meth_meth_ast_returnsObject5267->definitionLine = 1231;
// method "externalsDo(_)"
  struct UserObject *uo5269 = (struct UserObject*)obj5260;
  uo5269->data[6] = emptyclosure;
  Method *meth_meth_ast_externalsDo_40_1_41_5269 = addmethod2pos(obj5260, "externalsDo(1)", &meth_ast_externalsDo_40_1_41_5269, 6);
  int argcv_meth_ast_externalsDo_40_1_41_5269[] = {1};
  meth_meth_ast_externalsDo_40_1_41_5269->type = alloc_MethodType(1, argcv_meth_ast_externalsDo_40_1_41_5269);
  meth_meth_ast_externalsDo_40_1_41_5269->definitionModule = modulename;
  meth_meth_ast_externalsDo_40_1_41_5269->definitionLine = 1232;
// method "accept(_)from(_)"
  struct UserObject *uo5282 = (struct UserObject*)obj5260;
  uo5282->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5282 = addmethod2pos(obj5260, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5282, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5282[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5282->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5282);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5282->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5282->definitionLine = 1237;
// method "shallowCopy"
  block_savedest(obj5260);
  Object closure5308 = createclosure(2, "shallowCopy");
  setclosureframe(closure5308, stackframe);
  addtoclosure(closure5308, var_emptySeq);
  addtoclosure(closure5308, var_moduleNode);
  struct UserObject *uo5308 = (struct UserObject*)obj5260;
  uo5308->data[8] = (Object)closure5308;
  Method *meth_meth_ast_shallowCopy5308 = addmethod2pos(obj5260, "shallowCopy", &meth_ast_shallowCopy5308, 8);
  int argcv_meth_ast_shallowCopy5308[] = {0};
  meth_meth_ast_shallowCopy5308->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5308);
  meth_meth_ast_shallowCopy5308->definitionModule = modulename;
  meth_meth_ast_shallowCopy5308->definitionLine = 1248;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo5313 = (struct UserObject*)obj5260;
  uo5313->data[9] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5313 = addmethod2pos(obj5260, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_5313, 9);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5313[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5313->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5313);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5313->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5313->definitionLine = 1251;
  sourceObject = obj5260;
// Begin line 1223
  setline(1223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5320 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
  Object bool5321 = alloc_Boolean(0);
// compiled identifier node returning bool5321 (depth = 4)
  gc_frame_newslot(bool5321);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objectNode (depth = 4)
  params[0] = *var_b;
  params[1] = bool5321;
  params[2] = self;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5322 = callmethodflags(*var_objectNode, "new(2)$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5320);
// compiled call node returning call5322 (depth = 3)
  struct UserObject *obj5260_uo = (struct UserObject *)obj5260;
  obj5260_uo->super = call5322;
  sourceObject = obj5260;
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5323 == NULL) {
    strlit5323 = alloc_String("module");
    gc_root(strlit5323);
  }
// compiled string node returning strlit5323 (depth = 3)
  adddatum2(obj5260, strlit5323, 1);
  sourceObject = obj5260;
// Begin line 1225
  setline(1225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5324 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call5325 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5324);
// compiled member node returning call5325 (depth = 3)
  adddatum2(obj5260, call5325, 2);
  sourceObject = obj5260;
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5326 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5327 = alloc_Float64(0);
// compiled num node returning num5327 (depth = 4)
  gc_frame_newslot(num5327);
// call case 4: self request
  params[0] = num5327;
  partcv[0] = 1;
  Object call5328 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5326);
// compiled call node returning call5328 (depth = 3)
  sourceObject = obj5260;
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5329 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num5330 = alloc_Float64(0);
// compiled num node returning num5330 (depth = 4)
  gc_frame_newslot(num5330);
// call case 4: self request
  params[0] = num5330;
  partcv[0] = 1;
  Object call5331 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5329);
// compiled call node returning call5331 (depth = 3)
  sourceObject = obj5260;
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5332 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5332 (depth = 3)
  adddatum2(obj5260, array5332, 3);
  sourceObject = obj5260;
  sourceObject = obj5260;
  sourceObject = obj5260;
  sourceObject = obj5260;
  sourceObject = obj5260;
  sourceObject = obj5260;
  objclass5260 = obj5260->class;
  objclass5260->definitionModule = modulename;
  objclass5260->definitionLine = 1222;
  (*(struct UserObject *)self).data[0] = lowerouter5260;
  self = oldself5260;
  selfslot = oldselfslot5260;
  stackframe = oldstackframe5260;
  gc_frame_end(frame);
  return obj5260;
}
Object meth_ast_moduleNode5334(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "moduleNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_moduleNode (depth = 3)
  gc_frame_end(frame);
  return *var_moduleNode;
}
Object meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5337(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body(1)named(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5338 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_b (depth = 5)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 5)
  Object bool5339 = alloc_Boolean(0);
// compiled identifier node returning bool5339 (depth = 5)
  gc_frame_newslot(bool5339);
// call case 4: self request
  params[0] = *var_b;
  params[1] = bool5339;
  partcv[0] = 2;
  Object call5340 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5338);
// compiled call node returning call5340 (depth = 4)
  *var_result = call5340;
  if (call5340 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5341 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5342 = callmethodflags(*var_result, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5341);
// compiled call node returning call5342 (depth = 3)
// Begin line 1262
  setline(1262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5343 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call5344 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5343);
// compiled call node returning call5344 (depth = 3)
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_body_40_1_41_named_40_1_41_5345(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "body(1)named(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method body(_)named(_)");
  Object params[3];
  int partcv[3];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for body(_)named(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part body(_)");
  Object *var_n = &(stackframe->slots[1]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part named(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5346 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_b (depth = 4)
  gc_frame_newslot(*var_b);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_fakeSymbolTable (depth = 4)
  gc_frame_newslot(*var_fakeSymbolTable);
// call case 4: self request
  params[0] = *var_b;
  params[1] = *var_n;
  params[2] = *var_fakeSymbolTable;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5347 = callmethodflags(self, "body(1)named(1)scope(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5346);
// compiled call node returning call5347 (depth = 3)
  gc_frame_end(frame);
  return call5347;
}
Object meth_ast_description5360(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "description");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1281
  setline(1281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5362 = gc_frame_new();
// call case 4: self request
  Object call5363 = callmethodflags(self, "isTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5362);
// compiled member node returning call5363 (depth = 4)
  Object if5361 = done;
  if (istrue(call5363)) {
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5365 == NULL) {
    strlit5365 = alloc_String(" (trait)");
    gc_root(strlit5365);
  }
// compiled string node returning strlit5365 (depth = 5)
  int op_slot_right_5364 = gc_frame_newslot(strlit5365);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5368 = gc_frame_new();
// call case 4: self request
  Object call5369 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5368);
// compiled member node returning call5369 (depth = 6)
  int op_slot_right_5367 = gc_frame_newslot(call5369);
// starting to compile string node (depth = 6)
  if (strlit5371 == NULL) {
    strlit5371 = alloc_String("");
    gc_root(strlit5371);
  }
// compiled string node returning strlit5371 (depth = 6)
  int op_slot_left_5367 = gc_frame_newslot(strlit5371);
  params[0] = call5369;
  partcv[0] = 1;
  Object opresult5372 = callmethod(strlit5371, "++(1)", 1, partcv, params);
// compiled op node returning opresult5372 (depth = 5)
  int op_slot_left_5364 = gc_frame_newslot(opresult5372);
  params[0] = strlit5365;
  partcv[0] = 1;
  Object opresult5373 = callmethod(opresult5372, "++(1)", 1, partcv, params);
// compiled op node returning opresult5373 (depth = 4)
    gc_frame_newslot(opresult5373);
    if5361 = opresult5373;
  } else {
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1283
  setline(1283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5375 = gc_frame_new();
// call case 4: self request
  Object call5376 = callmethodflags(self, "inClass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5375);
// compiled member node returning call5376 (depth = 5)
  Object if5374 = done;
  if (istrue(call5376)) {
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5378 == NULL) {
    strlit5378 = alloc_String(" (class)");
    gc_root(strlit5378);
  }
// compiled string node returning strlit5378 (depth = 6)
  int op_slot_right_5377 = gc_frame_newslot(strlit5378);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5381 = gc_frame_new();
// call case 4: self request
  Object call5382 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5381);
// compiled member node returning call5382 (depth = 7)
  int op_slot_right_5380 = gc_frame_newslot(call5382);
// starting to compile string node (depth = 7)
  if (strlit5384 == NULL) {
    strlit5384 = alloc_String("");
    gc_root(strlit5384);
  }
// compiled string node returning strlit5384 (depth = 7)
  int op_slot_left_5380 = gc_frame_newslot(strlit5384);
  params[0] = call5382;
  partcv[0] = 1;
  Object opresult5385 = callmethod(strlit5384, "++(1)", 1, partcv, params);
// compiled op node returning opresult5385 (depth = 6)
  int op_slot_left_5377 = gc_frame_newslot(opresult5385);
  params[0] = strlit5378;
  partcv[0] = 1;
  Object opresult5386 = callmethod(opresult5385, "++(1)", 1, partcv, params);
// compiled op node returning opresult5386 (depth = 5)
    gc_frame_newslot(opresult5386);
    if5374 = opresult5386;
  } else {
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5387 = gc_frame_new();
// call case 4: self request
  Object call5388 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5387);
// compiled member node returning call5388 (depth = 5)
    gc_frame_newslot(call5388);
    if5374 = call5388;
  }
// compiled if node returning if5374 (depth = 4)
    gc_frame_newslot(if5374);
    if5361 = if5374;
  }
// compiled if node returning if5361 (depth = 3)
  gc_frame_end(frame);
  return if5361;
}
Object meth_ast__apply_40_1_41_5404(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5406 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5407 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  Object call5408 = callmethodflags(*var_each, "isLegalInTrait", 0, partcv, params, 0);
  gc_frame_end(callframe5407);
// compiled member node returning call5408 (depth = 7)
  Object call5409 = callmethodflags(call5408, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5406);
// compiled member node returning call5409 (depth = 6)
  Object if5405 = done;
  if (istrue(call5409)) {
// starting to compile return node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool5410 = alloc_Boolean(0);
// compiled identifier node returning bool5410 (depth = 7)
  block_return(realself, bool5410);
// compiled return node returning undefined (depth = 6)
    gc_frame_newslot(undefined);
    if5405 = undefined;
  } else {
  }
// compiled if node returning if5405 (depth = 5)
  gc_frame_end(frame);
  return if5405;
}
Object meth_ast_isTrait5389(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5391 = gc_frame_new();
// call case 4: self request
  Object call5392 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5391);
// compiled member node returning call5392 (depth = 4)
  Object if5390 = done;
  if (istrue(call5392)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5393 = alloc_Boolean(1);
// compiled identifier node returning bool5393 (depth = 5)
  return bool5393;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5390 = undefined;
  } else {
  }
// compiled if node returning if5390 (depth = 3)
// Begin line 1293
  setline(1293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5396 = gc_frame_new();
// call case 4: self request
  Object call5397 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5396);
// compiled member node returning call5397 (depth = 5)
  int op_slot_right_5395 = gc_frame_newslot(call5397);
// starting to compile identifier node (depth = 5)
  Object bool5399 = alloc_Boolean(0);
// compiled identifier node returning bool5399 (depth = 5)
  int op_slot_left_5395 = gc_frame_newslot(bool5399);
  params[0] = call5397;
  partcv[0] = 1;
  Object opresult5400 = callmethod(bool5399, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5400 (depth = 4)
  Object if5394 = done;
  if (istrue(opresult5400)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool5401 = alloc_Boolean(0);
// compiled identifier node returning bool5401 (depth = 5)
  return bool5401;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5394 = undefined;
  } else {
  }
// compiled if node returning if5394 (depth = 3)
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5402 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5403 = alloc_Block(NULL, NULL, "ast", 1294);
  gc_frame_newslot(block5403);
// method "_apply(_)"
  block_savedest(block5403);
  Object closure5404 = createclosure(1, "_apply(1)");
  setclosureframe(closure5404, stackframe);
  addtoclosure(closure5404, selfslot);
  struct UserObject *uo5404 = (struct UserObject*)block5403;
  uo5404->data[0] = (Object)closure5404;
  Method *meth_meth_ast__apply_40_1_41_5404 = addmethod2pos(block5403, "_apply(1)", &meth_ast__apply_40_1_41_5404, 0);
  int argcv_meth_ast__apply_40_1_41_5404[] = {1};
  meth_meth_ast__apply_40_1_41_5404->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5404);
  meth_meth_ast__apply_40_1_41_5404->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5404->definitionLine = 2947;
// compiled block node returning block5403 (depth = 4)
  gc_frame_newslot(block5403);
// call case 6: other requests
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5412 = gc_frame_new();
// call case 4: self request
  Object call5413 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5412);
// compiled member node returning call5413 (depth = 4)
  params[0] = block5403;
  partcv[0] = 1;
  Object call5414 = callmethodflags(call5413, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5402);
// compiled call node returning call5414 (depth = 3)
// Begin line 1297
  setline(1297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool5415 = alloc_Boolean(1);
// compiled identifier node returning bool5415 (depth = 4)
  return bool5415;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast__apply_40_1_41_5430(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5433 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call5434 = callmethodflags(*var_node, "isMethod", 0, partcv, params, 0);
  gc_frame_end(callframe5433);
// compiled member node returning call5434 (depth = 8)
  int op_slot_right_5432 = gc_frame_newslot(call5434);
// starting to compile member node (depth = 8)
  int callframe5436 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call5437 = callmethodflags(*var_node, "isFieldDec", 0, partcv, params, 0);
  gc_frame_end(callframe5436);
// compiled member node returning call5437 (depth = 8)
  int op_slot_left_5432 = gc_frame_newslot(call5437);
  params[0] = call5434;
  partcv[0] = 1;
  Object opresult5438 = callmethod(call5437, "||(1)", 1, partcv, params);
// compiled op node returning opresult5438 (depth = 7)
  Object if5431 = done;
  if (istrue(opresult5438)) {
// Begin line 1307
  setline(1307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5439 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe5440 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_node (depth = 9)
  Object call5441 = callmethodflags(*var_node, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe5440);
// compiled member node returning call5441 (depth = 8)
  gc_frame_newslot(call5441);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5442 = gc_frame_new();
// call case 4: self request
  Object call5443 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5442);
// compiled member node returning call5443 (depth = 8)
  params[0] = call5441;
  partcv[0] = 1;
  Object call5444 = callmethodflags(call5443, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5439);
// compiled call node returning call5444 (depth = 7)
    gc_frame_newslot(call5444);
    if5431 = call5444;
  } else {
  }
// compiled if node returning if5431 (depth = 6)
  gc_frame_end(frame);
  return if5431;
}
Object meth_ast_localNames5416(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "localNames");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5419 = gc_frame_new();
// call case 4: self request
  Object call5420 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5419);
// compiled member node returning call5420 (depth = 5)
  int op_slot_right_5418 = gc_frame_newslot(call5420);
// starting to compile identifier node (depth = 5)
  Object bool5422 = alloc_Boolean(0);
// compiled identifier node returning bool5422 (depth = 5)
  int op_slot_left_5418 = gc_frame_newslot(bool5422);
  params[0] = call5420;
  partcv[0] = 1;
  Object opresult5423 = callmethod(bool5422, "==(1)", 1, partcv, params);
// compiled op node returning opresult5423 (depth = 4)
  Object if5417 = done;
  if (istrue(opresult5423)) {
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5424 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5425 = gc_frame_new();
// call case 5: prelude request
  Object call5426 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5425);
// compiled member node returning call5426 (depth = 5)
  gc_frame_newslot(call5426);
// call case 4: self request
  params[0] = call5426;
  partcv[0] = 1;
  Object call5427 = callmethodflags(self, "myLocalNames:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5424);
// compiled call node returning call5427 (depth = 4)
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5428 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5429 = alloc_Block(NULL, NULL, "ast", 1305);
  gc_frame_newslot(block5429);
// method "_apply(_)"
  block_savedest(block5429);
  Object closure5430 = createclosure(1, "_apply(1)");
  setclosureframe(closure5430, stackframe);
  addtoclosure(closure5430, selfslot);
  struct UserObject *uo5430 = (struct UserObject*)block5429;
  uo5430->data[0] = (Object)closure5430;
  Method *meth_meth_ast__apply_40_1_41_5430 = addmethod2pos(block5429, "_apply(1)", &meth_ast__apply_40_1_41_5430, 0);
  int argcv_meth_ast__apply_40_1_41_5430[] = {1};
  meth_meth_ast__apply_40_1_41_5430->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5430);
  meth_meth_ast__apply_40_1_41_5430->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5430->definitionLine = 2947;
// compiled block node returning block5429 (depth = 5)
  gc_frame_newslot(block5429);
// call case 6: other requests
// Begin line 1305
  setline(1305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5446 = gc_frame_new();
// call case 4: self request
  Object call5447 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5446);
// compiled member node returning call5447 (depth = 5)
  params[0] = block5429;
  partcv[0] = 1;
  Object call5448 = callmethodflags(call5447, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5428);
// compiled call node returning call5448 (depth = 4)
    gc_frame_newslot(call5448);
    if5417 = call5448;
  } else {
  }
// compiled if node returning if5417 (depth = 3)
// Begin line 1311
  setline(1311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5449 = gc_frame_new();
// call case 4: self request
  Object call5450 = callmethodflags(self, "myLocalNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5449);
// compiled member node returning call5450 (depth = 3)
  gc_frame_end(frame);
  return call5450;
}
Object meth_ast__apply_40_1_41_5465(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe5466 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_action (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call5467 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5466);
// compiled call node returning call5467 (depth = 5)
  gc_frame_end(frame);
  return call5467;
}
Object meth_ast_parentsDo_40_1_41_5451(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parentsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5454 = gc_frame_new();
// call case 4: self request
  Object call5455 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5454);
// compiled member node returning call5455 (depth = 5)
  int op_slot_right_5453 = gc_frame_newslot(call5455);
// starting to compile identifier node (depth = 5)
  Object bool5457 = alloc_Boolean(0);
// compiled identifier node returning bool5457 (depth = 5)
  int op_slot_left_5453 = gc_frame_newslot(bool5457);
  params[0] = call5455;
  partcv[0] = 1;
  Object opresult5458 = callmethod(bool5457, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5458 (depth = 4)
  Object if5452 = done;
  if (istrue(opresult5458)) {
// starting to compile call node (depth = 4)
  int callframe5459 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5460 = gc_frame_new();
// call case 4: self request
  Object call5461 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5460);
// compiled member node returning call5461 (depth = 5)
  gc_frame_newslot(call5461);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_action (depth = 5)
  params[0] = call5461;
  partcv[0] = 1;
  Object call5462 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5459);
// compiled call node returning call5462 (depth = 4)
    gc_frame_newslot(call5462);
    if5452 = call5462;
  } else {
  }
// compiled if node returning if5452 (depth = 3)
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5463 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5464 = alloc_Block(NULL, NULL, "ast", 1318);
  gc_frame_newslot(block5464);
// method "_apply(_)"
  block_savedest(block5464);
  Object closure5465 = createclosure(2, "_apply(1)");
  setclosureframe(closure5465, stackframe);
  addtoclosure(closure5465, var_action);
  addtoclosure(closure5465, selfslot);
  struct UserObject *uo5465 = (struct UserObject*)block5464;
  uo5465->data[0] = (Object)closure5465;
  Method *meth_meth_ast__apply_40_1_41_5465 = addmethod2pos(block5464, "_apply(1)", &meth_ast__apply_40_1_41_5465, 0);
  int argcv_meth_ast__apply_40_1_41_5465[] = {1};
  meth_meth_ast__apply_40_1_41_5465->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5465);
  meth_meth_ast__apply_40_1_41_5465->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5465->definitionLine = 2947;
// compiled block node returning block5464 (depth = 4)
  gc_frame_newslot(block5464);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5469 = gc_frame_new();
// call case 4: self request
  Object call5470 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5469);
// compiled member node returning call5470 (depth = 4)
  params[0] = block5464;
  partcv[0] = 1;
  Object call5471 = callmethodflags(call5470, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5463);
// compiled call node returning call5471 (depth = 3)
  gc_frame_end(frame);
  return call5471;
}
Object meth_ast__apply_40_1_41_5475(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1325
  setline(1325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5477 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call5478 = callmethodflags(*var_o, "isMethod", 0, partcv, params, 0);
  gc_frame_end(callframe5477);
// compiled member node returning call5478 (depth = 6)
  Object if5476 = done;
  if (istrue(call5478)) {
// starting to compile call node (depth = 6)
  int callframe5479 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5480 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5479);
// compiled call node returning call5480 (depth = 6)
    gc_frame_newslot(call5480);
    if5476 = call5480;
  } else {
  }
// compiled if node returning if5476 (depth = 5)
  gc_frame_end(frame);
  return if5476;
}
Object meth_ast_methodsDo_40_1_41_5472(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "methodsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method methodsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for methodsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part methodsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5473 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5474 = alloc_Block(NULL, NULL, "ast", 1324);
  gc_frame_newslot(block5474);
// method "_apply(_)"
  block_savedest(block5474);
  Object closure5475 = createclosure(2, "_apply(1)");
  setclosureframe(closure5475, stackframe);
  addtoclosure(closure5475, var_action);
  addtoclosure(closure5475, selfslot);
  struct UserObject *uo5475 = (struct UserObject*)block5474;
  uo5475->data[0] = (Object)closure5475;
  Method *meth_meth_ast__apply_40_1_41_5475 = addmethod2pos(block5474, "_apply(1)", &meth_ast__apply_40_1_41_5475, 0);
  int argcv_meth_ast__apply_40_1_41_5475[] = {1};
  meth_meth_ast__apply_40_1_41_5475->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5475);
  meth_meth_ast__apply_40_1_41_5475->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5475->definitionLine = 2947;
// compiled block node returning block5474 (depth = 4)
  gc_frame_newslot(block5474);
// call case 6: other requests
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5482 = gc_frame_new();
// call case 4: self request
  Object call5483 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5482);
// compiled member node returning call5483 (depth = 4)
  params[0] = block5474;
  partcv[0] = 1;
  Object call5484 = callmethodflags(call5483, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5473);
// compiled call node returning call5484 (depth = 3)
  gc_frame_end(frame);
  return call5484;
}
Object meth_ast__apply_40_1_41_5488(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_action = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5490 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  Object call5491 = callmethodflags(*var_o, "isExecutable", 0, partcv, params, 0);
  gc_frame_end(callframe5490);
// compiled member node returning call5491 (depth = 6)
  Object if5489 = done;
  if (istrue(call5491)) {
// starting to compile call node (depth = 6)
  int callframe5492 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5493 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5492);
// compiled call node returning call5493 (depth = 6)
    gc_frame_newslot(call5493);
    if5489 = call5493;
  } else {
  }
// compiled if node returning if5489 (depth = 5)
  gc_frame_end(frame);
  return if5489;
}
Object meth_ast_executableComponentsDo_40_1_41_5485(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "executableComponentsDo(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method executableComponentsDo(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for executableComponentsDo(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part executableComponentsDo(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5486 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5487 = alloc_Block(NULL, NULL, "ast", 1332);
  gc_frame_newslot(block5487);
// method "_apply(_)"
  block_savedest(block5487);
  Object closure5488 = createclosure(2, "_apply(1)");
  setclosureframe(closure5488, stackframe);
  addtoclosure(closure5488, var_action);
  addtoclosure(closure5488, selfslot);
  struct UserObject *uo5488 = (struct UserObject*)block5487;
  uo5488->data[0] = (Object)closure5488;
  Method *meth_meth_ast__apply_40_1_41_5488 = addmethod2pos(block5487, "_apply(1)", &meth_ast__apply_40_1_41_5488, 0);
  int argcv_meth_ast__apply_40_1_41_5488[] = {1};
  meth_meth_ast__apply_40_1_41_5488->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5488);
  meth_meth_ast__apply_40_1_41_5488->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5488->definitionLine = 2947;
// compiled block node returning block5487 (depth = 4)
  gc_frame_newslot(block5487);
// call case 6: other requests
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5495 = gc_frame_new();
// call case 4: self request
  Object call5496 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5495);
// compiled member node returning call5496 (depth = 4)
  params[0] = block5487;
  partcv[0] = 1;
  Object call5497 = callmethodflags(call5496, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5486);
// compiled call node returning call5497 (depth = 3)
  gc_frame_end(frame);
  return call5497;
}
Object meth_ast_scope_58__61__40_1_41_5498(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "scope:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method scope:=(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for scope:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_st = &(stackframe->slots[0]);
  *var_st = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5499 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  gc_frame_newslot(*var_st);
// call case 4: self request
  params[0] = *var_st;
  partcv[0] = 1;
  Object call5500 = callmethodflags(self, "symbolTable:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5499);
// compiled call node returning call5500 (depth = 3)
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5501 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_st (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5502 = callmethodflags(*var_st, "node:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5501);
// compiled call node returning call5502 (depth = 3)
  gc_frame_end(frame);
  return call5502;
}
Object meth_ast_body5503(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "body");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5504 = gc_frame_new();
// call case 4: self request
  Object call5505 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5504);
// compiled member node returning call5505 (depth = 3)
  gc_frame_end(frame);
  return call5505;
}
Object meth_ast_returnsObject5506(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5507 = alloc_Boolean(1);
// compiled identifier node returning bool5507 (depth = 3)
  gc_frame_end(frame);
  return bool5507;
}
Object meth_ast_returnedObjectScope5508(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5509 = gc_frame_new();
// call case 4: self request
  Object call5510 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5509);
// compiled member node returning call5510 (depth = 3)
  gc_frame_end(frame);
  return call5510;
}
Object meth_ast_canInherit5511(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canInherit");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5512 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5513 = gc_frame_new();
// call case 4: self request
  Object call5514 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5513);
// compiled member node returning call5514 (depth = 4)
  Object call5515 = callmethodflags(call5514, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5512);
// compiled member node returning call5515 (depth = 3)
  gc_frame_end(frame);
  return call5515;
}
Object meth_ast_canUse5516(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canUse");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1347
  setline(1347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5517 = alloc_Boolean(1);
// compiled identifier node returning bool5517 (depth = 3)
  gc_frame_end(frame);
  return bool5517;
}
Object meth_ast_isObject5518(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5519 = alloc_Boolean(1);
// compiled identifier node returning bool5519 (depth = 3)
  gc_frame_end(frame);
  return bool5519;
}
Object meth_ast__apply_40_1_41_5539(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe5540 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_t (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5541 = callmethodflags(*var_t, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5540);
// compiled call node returning call5541 (depth = 6)
  gc_frame_end(frame);
  return call5541;
}
Object meth_ast__apply_40_1_41_5548(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe5549 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_x (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5550 = callmethodflags(*var_x, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5549);
// compiled call node returning call5550 (depth = 6)
  gc_frame_end(frame);
  return call5550;
}
Object meth_ast_accept_40_1_41_from_40_1_41_5520(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5522 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5523 = callmethodflags(*var_visitor, "visitObject(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5522);
// compiled call node returning call5523 (depth = 4)
  Object if5521 = done;
  if (istrue(call5523)) {
// Begin line 1351
  setline(1351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5524 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call5525 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5524);
// compiled call node returning call5525 (depth = 5)
  *var_newChain = call5525;
  if (call5525 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5528 = gc_frame_new();
// call case 4: self request
  Object call5529 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5528);
// compiled member node returning call5529 (depth = 6)
  int op_slot_right_5527 = gc_frame_newslot(call5529);
// starting to compile identifier node (depth = 6)
  Object bool5531 = alloc_Boolean(0);
// compiled identifier node returning bool5531 (depth = 6)
  int op_slot_left_5527 = gc_frame_newslot(bool5531);
  params[0] = call5529;
  partcv[0] = 1;
  Object opresult5532 = callmethod(bool5531, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5532 (depth = 5)
  Object if5526 = done;
  if (istrue(opresult5532)) {
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5533 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5534 = gc_frame_new();
// call case 4: self request
  Object call5535 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5534);
// compiled member node returning call5535 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5536 = callmethodflags(call5535, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5533);
// compiled call node returning call5536 (depth = 5)
    gc_frame_newslot(call5536);
    if5526 = call5536;
  } else {
  }
// compiled if node returning if5526 (depth = 4)
// Begin line 1355
  setline(1355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5537 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5538 = alloc_Block(NULL, NULL, "ast", 1355);
  gc_frame_newslot(block5538);
// method "_apply(_)"
  block_savedest(block5538);
  Object closure5539 = createclosure(3, "_apply(1)");
  setclosureframe(closure5539, stackframe);
  addtoclosure(closure5539, var_visitor);
  addtoclosure(closure5539, var_newChain);
  addtoclosure(closure5539, selfslot);
  struct UserObject *uo5539 = (struct UserObject*)block5538;
  uo5539->data[0] = (Object)closure5539;
  Method *meth_meth_ast__apply_40_1_41_5539 = addmethod2pos(block5538, "_apply(1)", &meth_ast__apply_40_1_41_5539, 0);
  int argcv_meth_ast__apply_40_1_41_5539[] = {1};
  meth_meth_ast__apply_40_1_41_5539->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5539);
  meth_meth_ast__apply_40_1_41_5539->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5539->definitionLine = 2947;
// compiled block node returning block5538 (depth = 5)
  gc_frame_newslot(block5538);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5543 = gc_frame_new();
// call case 4: self request
  Object call5544 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5543);
// compiled member node returning call5544 (depth = 5)
  params[0] = block5538;
  partcv[0] = 1;
  Object call5545 = callmethodflags(call5544, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5537);
// compiled call node returning call5545 (depth = 4)
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5546 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5547 = alloc_Block(NULL, NULL, "ast", 1356);
  gc_frame_newslot(block5547);
// method "_apply(_)"
  block_savedest(block5547);
  Object closure5548 = createclosure(3, "_apply(1)");
  setclosureframe(closure5548, stackframe);
  addtoclosure(closure5548, var_visitor);
  addtoclosure(closure5548, var_newChain);
  addtoclosure(closure5548, selfslot);
  struct UserObject *uo5548 = (struct UserObject*)block5547;
  uo5548->data[0] = (Object)closure5548;
  Method *meth_meth_ast__apply_40_1_41_5548 = addmethod2pos(block5547, "_apply(1)", &meth_ast__apply_40_1_41_5548, 0);
  int argcv_meth_ast__apply_40_1_41_5548[] = {1};
  meth_meth_ast__apply_40_1_41_5548->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5548);
  meth_meth_ast__apply_40_1_41_5548->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5548->definitionLine = 2947;
// compiled block node returning block5547 (depth = 5)
  gc_frame_newslot(block5547);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5552 = gc_frame_new();
// call case 4: self request
  Object call5553 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5552);
// compiled member node returning call5553 (depth = 5)
  params[0] = block5547;
  partcv[0] = 1;
  Object call5554 = callmethodflags(call5553, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5546);
// compiled call node returning call5554 (depth = 4)
    gc_frame_newslot(call5554);
    if5521 = call5554;
  } else {
  }
// compiled if node returning if5521 (depth = 3)
  gc_frame_end(frame);
  return if5521;
}
Object meth_ast_nameString5555(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5558 == NULL) {
    strlit5558 = alloc_String("object");
    gc_root(strlit5558);
  }
// compiled string node returning strlit5558 (depth = 5)
  int op_slot_right_5557 = gc_frame_newslot(strlit5558);
// starting to compile member node (depth = 5)
  int callframe5560 = gc_frame_new();
// call case 4: self request
  Object call5561 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5560);
// compiled member node returning call5561 (depth = 5)
  int op_slot_left_5557 = gc_frame_newslot(call5561);
  params[0] = strlit5558;
  partcv[0] = 1;
  Object opresult5562 = callmethod(call5561, "==(1)", 1, partcv, params);
// compiled op node returning opresult5562 (depth = 4)
  Object if5556 = done;
  if (istrue(opresult5562)) {
// Begin line 1361
  setline(1361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5564 == NULL) {
    strlit5564 = alloc_String("");
    gc_root(strlit5564);
  }
// compiled string node returning strlit5564 (depth = 5)
  int op_slot_right_5563 = gc_frame_newslot(strlit5564);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5567 = gc_frame_new();
// call case 4: self request
  Object call5568 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5567);
// compiled member node returning call5568 (depth = 6)
  int op_slot_right_5566 = gc_frame_newslot(call5568);
// starting to compile string node (depth = 6)
  if (strlit5570 == NULL) {
    strlit5570 = alloc_String("object_on_line_");
    gc_root(strlit5570);
  }
// compiled string node returning strlit5570 (depth = 6)
  int op_slot_left_5566 = gc_frame_newslot(strlit5570);
  params[0] = call5568;
  partcv[0] = 1;
  Object opresult5571 = callmethod(strlit5570, "++(1)", 1, partcv, params);
// compiled op node returning opresult5571 (depth = 5)
  int op_slot_left_5563 = gc_frame_newslot(opresult5571);
  params[0] = strlit5564;
  partcv[0] = 1;
  Object opresult5572 = callmethod(opresult5571, "++(1)", 1, partcv, params);
// compiled op node returning opresult5572 (depth = 4)
    gc_frame_newslot(opresult5572);
    if5556 = opresult5572;
  } else {
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5573 = gc_frame_new();
// call case 4: self request
  Object call5574 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5573);
// compiled member node returning call5574 (depth = 4)
    gc_frame_newslot(call5574);
    if5556 = call5574;
  }
// compiled if node returning if5556 (depth = 3)
  gc_frame_end(frame);
  return if5556;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_5575(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5576 = gc_frame_new();
// call case 4: self request
  Object call5577 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5576);
// compiled member node returning call5577 (depth = 4)
  *var_n = call5577;
  if (call5577 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5578 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5579 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5578);
// compiled call node returning call5579 (depth = 4)
  *var_newChain = call5579;
  if (call5579 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1369
  setline(1369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5580 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5581 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5582 = gc_frame_new();
// call case 4: self request
  Object call5583 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5582);
// compiled member node returning call5583 (depth = 5)
  gc_frame_newslot(call5583);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5584 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5585 = gc_frame_new();
// call case 3: self.outer request
  Object call5586 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5585);
// compiled member node returning call5586 (depth = 6)
  Object call5587 = callmethodflags(call5586, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5584);
// compiled member node returning call5587 (depth = 5)
  params[0] = call5583;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5588 = callmethodflags(call5587, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5581);
// compiled call node returning call5588 (depth = 4)
  gc_frame_newslot(call5588);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5588;
  partcv[0] = 1;
  Object call5589 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5580);
// compiled call node returning call5589 (depth = 3)
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5590 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5591 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5592 = gc_frame_new();
// call case 4: self request
  Object call5593 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5592);
// compiled member node returning call5593 (depth = 5)
  gc_frame_newslot(call5593);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5594 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5595 = gc_frame_new();
// call case 3: self.outer request
  Object call5596 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5595);
// compiled member node returning call5596 (depth = 6)
  Object call5597 = callmethodflags(call5596, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5594);
// compiled member node returning call5597 (depth = 5)
  params[0] = call5593;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5598 = callmethodflags(call5597, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5591);
// compiled call node returning call5598 (depth = 4)
  gc_frame_newslot(call5598);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5598;
  partcv[0] = 1;
  Object call5599 = callmethodflags(*var_n, "superclass:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5590);
// compiled call node returning call5599 (depth = 3)
// Begin line 1371
  setline(1371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5600 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5601 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5602 = gc_frame_new();
// call case 4: self request
  Object call5603 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5602);
// compiled member node returning call5603 (depth = 5)
  gc_frame_newslot(call5603);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5604 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5605 = gc_frame_new();
// call case 3: self.outer request
  Object call5606 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5605);
// compiled member node returning call5606 (depth = 6)
  Object call5607 = callmethodflags(call5606, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5604);
// compiled member node returning call5607 (depth = 5)
  params[0] = call5603;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5608 = callmethodflags(call5607, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5601);
// compiled call node returning call5608 (depth = 4)
  gc_frame_newslot(call5608);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5608;
  partcv[0] = 1;
  Object call5609 = callmethodflags(*var_n, "usedTraits:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5600);
// compiled call node returning call5609 (depth = 3)
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5610 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call5611 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5610);
// compiled call node returning call5611 (depth = 3)
  gc_frame_end(frame);
  return call5611;
}
Object meth_ast__apply_40_1_41_5620(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5622 == NULL) {
    strlit5622 = alloc_String("  ");
    gc_root(strlit5622);
  }
// compiled string node returning strlit5622 (depth = 7)
  int op_slot_right_5621 = gc_frame_newslot(strlit5622);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_5621 = gc_frame_newslot(*var_spc);
  params[0] = strlit5622;
  partcv[0] = 1;
  Object opresult5624 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult5624 (depth = 6)
  *var_spc = opresult5624;
  if (opresult5624 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5706(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1389
  setline(1389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5708 == NULL) {
    strlit5708 = alloc_String("");
    gc_root(strlit5708);
  }
// compiled string node returning strlit5708 (depth = 8)
  int op_slot_right_5707 = gc_frame_newslot(strlit5708);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe5711 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num5713 = alloc_Float64(1);
// compiled num node returning num5713 (depth = 11)
  int op_slot_right_5712 = gc_frame_newslot(num5713);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_5712 = gc_frame_newslot(*var_depth);
  params[0] = num5713;
  partcv[0] = 1;
  Object sum5715 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5715 (depth = 10)
  gc_frame_newslot(sum5715);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  params[0] = sum5715;
  partcv[0] = 1;
  Object call5716 = callmethodflags(*var_t, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5711);
// compiled call node returning call5716 (depth = 9)
  int op_slot_right_5710 = gc_frame_newslot(call5716);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5719 == NULL) {
    strlit5719 = alloc_String("  ");
    gc_root(strlit5719);
  }
// compiled string node returning strlit5719 (depth = 10)
  int op_slot_right_5718 = gc_frame_newslot(strlit5719);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_spc (depth = 11)
  int op_slot_right_5721 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit5724 == NULL) {
    strlit5724 = alloc_String("""\x0a""");
    gc_root(strlit5724);
  }
// compiled string node returning strlit5724 (depth = 12)
  int op_slot_right_5723 = gc_frame_newslot(strlit5724);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_5726 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit5728 == NULL) {
    strlit5728 = alloc_String("");
    gc_root(strlit5728);
  }
// compiled string node returning strlit5728 (depth = 13)
  int op_slot_left_5726 = gc_frame_newslot(strlit5728);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5729 = callmethod(strlit5728, "++(1)", 1, partcv, params);
// compiled op node returning opresult5729 (depth = 12)
  int op_slot_left_5723 = gc_frame_newslot(opresult5729);
  params[0] = strlit5724;
  partcv[0] = 1;
  Object opresult5730 = callmethod(opresult5729, "++(1)", 1, partcv, params);
// compiled op node returning opresult5730 (depth = 11)
  int op_slot_left_5721 = gc_frame_newslot(opresult5730);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5731 = callmethod(opresult5730, "++(1)", 1, partcv, params);
// compiled op node returning opresult5731 (depth = 10)
  int op_slot_left_5718 = gc_frame_newslot(opresult5731);
  params[0] = strlit5719;
  partcv[0] = 1;
  Object opresult5732 = callmethod(opresult5731, "++(1)", 1, partcv, params);
// compiled op node returning opresult5732 (depth = 9)
  int op_slot_left_5710 = gc_frame_newslot(opresult5732);
  params[0] = call5716;
  partcv[0] = 1;
  Object opresult5733 = callmethod(opresult5732, "++(1)", 1, partcv, params);
// compiled op node returning opresult5733 (depth = 8)
  int op_slot_left_5707 = gc_frame_newslot(opresult5733);
  params[0] = strlit5708;
  partcv[0] = 1;
  Object opresult5734 = callmethod(opresult5733, "++(1)", 1, partcv, params);
// compiled op node returning opresult5734 (depth = 7)
  *var_s = opresult5734;
  if (opresult5734 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5742(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5744 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5746 = alloc_Float64(1);
// compiled num node returning num5746 (depth = 9)
  int op_slot_right_5745 = gc_frame_newslot(num5746);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5745 = gc_frame_newslot(*var_depth);
  params[0] = num5746;
  partcv[0] = 1;
  Object sum5748 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5748 (depth = 8)
  gc_frame_newslot(sum5748);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_x (depth = 8)
  params[0] = sum5748;
  partcv[0] = 1;
  Object call5749 = callmethodflags(*var_x, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5744);
// compiled call node returning call5749 (depth = 7)
  int op_slot_right_5743 = gc_frame_newslot(call5749);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5751 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5754 == NULL) {
    strlit5754 = alloc_String("""\x0a""");
    gc_root(strlit5754);
  }
// compiled string node returning strlit5754 (depth = 9)
  int op_slot_right_5753 = gc_frame_newslot(strlit5754);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5753 = gc_frame_newslot(*var_s);
  params[0] = strlit5754;
  partcv[0] = 1;
  Object opresult5756 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5756 (depth = 8)
  int op_slot_left_5751 = gc_frame_newslot(opresult5756);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5757 = callmethod(opresult5756, "++(1)", 1, partcv, params);
// compiled op node returning opresult5757 (depth = 7)
  int op_slot_left_5743 = gc_frame_newslot(opresult5757);
  params[0] = call5749;
  partcv[0] = 1;
  Object opresult5758 = callmethod(opresult5757, "++(1)", 1, partcv, params);
// compiled op node returning opresult5758 (depth = 6)
  *var_s = opresult5758;
  if (opresult5758 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_5612(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth_39_ = &(stackframe->slots[0]);
  *var_depth_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_depth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "depth");
  Object *var_spc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "spc");
  Object *var_s = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s");
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth_39_ (depth = 4)
  *var_depth = *var_depth_39_;
  if (*var_depth_39_ == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5613 == NULL) {
    strlit5613 = alloc_String("");
    gc_root(strlit5613);
  }
// compiled string node returning strlit5613 (depth = 4)
  *var_spc = strlit5613;
  if (strlit5613 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5614 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_5615 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num5617 = alloc_Float64(0);
// compiled num node returning num5617 (depth = 5)
  int op_slot_left_5615 = gc_frame_newslot(num5617);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5618 = callmethod(num5617, "..(1)", 1, partcv, params);
// compiled op node returning opresult5618 (depth = 4)
  gc_frame_newslot(opresult5618);
// starting to compile block node (depth = 4)
  Object block5619 = alloc_Block(NULL, NULL, "ast", 1377);
  gc_frame_newslot(block5619);
// method "_apply(_)"
  block_savedest(block5619);
  Object closure5620 = createclosure(2, "_apply(1)");
  setclosureframe(closure5620, stackframe);
  addtoclosure(closure5620, var_spc);
  addtoclosure(closure5620, selfslot);
  struct UserObject *uo5620 = (struct UserObject*)block5619;
  uo5620->data[0] = (Object)closure5620;
  Method *meth_meth_ast__apply_40_1_41_5620 = addmethod2pos(block5619, "_apply(1)", &meth_ast__apply_40_1_41_5620, 0);
  int argcv_meth_ast__apply_40_1_41_5620[] = {1};
  meth_meth_ast__apply_40_1_41_5620->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5620);
  meth_meth_ast__apply_40_1_41_5620->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5620->definitionLine = 2947;
// compiled block node returning block5619 (depth = 4)
  gc_frame_newslot(block5619);
// call case 5: prelude request
  params[0] = opresult5618;
  params[1] = block5619;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5627 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5614);
// compiled call node returning call5627 (depth = 3)
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5628 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call5629 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe5628);
// compiled call node returning call5629 (depth = 4)
  *var_s = call5629;
  if (call5629 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1381
  setline(1381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5631 == NULL) {
    strlit5631 = alloc_String("");
    gc_root(strlit5631);
  }
// compiled string node returning strlit5631 (depth = 5)
  int op_slot_right_5630 = gc_frame_newslot(strlit5631);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5634 = gc_frame_new();
// call case 4: self request
  Object call5635 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5634);
// compiled member node returning call5635 (depth = 6)
  int op_slot_right_5633 = gc_frame_newslot(call5635);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5638 == NULL) {
    strlit5638 = alloc_String("Name: ");
    gc_root(strlit5638);
  }
// compiled string node returning strlit5638 (depth = 7)
  int op_slot_right_5637 = gc_frame_newslot(strlit5638);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5640 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5643 == NULL) {
    strlit5643 = alloc_String("""\x0a""");
    gc_root(strlit5643);
  }
// compiled string node returning strlit5643 (depth = 9)
  int op_slot_right_5642 = gc_frame_newslot(strlit5643);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_5645 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit5647 == NULL) {
    strlit5647 = alloc_String("");
    gc_root(strlit5647);
  }
// compiled string node returning strlit5647 (depth = 10)
  int op_slot_left_5645 = gc_frame_newslot(strlit5647);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult5648 = callmethod(strlit5647, "++(1)", 1, partcv, params);
// compiled op node returning opresult5648 (depth = 9)
  int op_slot_left_5642 = gc_frame_newslot(opresult5648);
  params[0] = strlit5643;
  partcv[0] = 1;
  Object opresult5649 = callmethod(opresult5648, "++(1)", 1, partcv, params);
// compiled op node returning opresult5649 (depth = 8)
  int op_slot_left_5640 = gc_frame_newslot(opresult5649);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5650 = callmethod(opresult5649, "++(1)", 1, partcv, params);
// compiled op node returning opresult5650 (depth = 7)
  int op_slot_left_5637 = gc_frame_newslot(opresult5650);
  params[0] = strlit5638;
  partcv[0] = 1;
  Object opresult5651 = callmethod(opresult5650, "++(1)", 1, partcv, params);
// compiled op node returning opresult5651 (depth = 6)
  int op_slot_left_5633 = gc_frame_newslot(opresult5651);
  params[0] = call5635;
  partcv[0] = 1;
  Object opresult5652 = callmethod(opresult5651, "++(1)", 1, partcv, params);
// compiled op node returning opresult5652 (depth = 5)
  int op_slot_left_5630 = gc_frame_newslot(opresult5652);
  params[0] = strlit5631;
  partcv[0] = 1;
  Object opresult5653 = callmethod(opresult5652, "++(1)", 1, partcv, params);
// compiled op node returning opresult5653 (depth = 4)
  *var_s = opresult5653;
  if (opresult5653 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5657 = gc_frame_new();
// call case 4: self request
  Object call5658 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5657);
// compiled member node returning call5658 (depth = 5)
  int op_slot_right_5656 = gc_frame_newslot(call5658);
// starting to compile identifier node (depth = 5)
  Object bool5660 = alloc_Boolean(0);
// compiled identifier node returning bool5660 (depth = 5)
  int op_slot_left_5656 = gc_frame_newslot(bool5660);
  params[0] = call5658;
  partcv[0] = 1;
  Object opresult5661 = callmethod(bool5660, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5661 (depth = 4)
  Object if5655 = done;
  if (istrue(opresult5661)) {
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// Begin line 1384
  setline(1384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5663 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num5665 = alloc_Float64(1);
// compiled num node returning num5665 (depth = 8)
  int op_slot_right_5664 = gc_frame_newslot(num5665);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_5664 = gc_frame_newslot(*var_depth);
  params[0] = num5665;
  partcv[0] = 1;
  Object sum5667 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5667 (depth = 7)
  gc_frame_newslot(sum5667);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5668 = gc_frame_new();
// call case 4: self request
  Object call5669 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5668);
// compiled member node returning call5669 (depth = 7)
  params[0] = sum5667;
  partcv[0] = 1;
  Object call5670 = callmethodflags(call5669, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5663);
// compiled call node returning call5670 (depth = 6)
  int op_slot_right_5662 = gc_frame_newslot(call5670);
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5673 == NULL) {
    strlit5673 = alloc_String("Superclass: ");
    gc_root(strlit5673);
  }
// compiled string node returning strlit5673 (depth = 7)
  int op_slot_right_5672 = gc_frame_newslot(strlit5673);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_5675 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5678 == NULL) {
    strlit5678 = alloc_String("""\x0a""");
    gc_root(strlit5678);
  }
// compiled string node returning strlit5678 (depth = 9)
  int op_slot_right_5677 = gc_frame_newslot(strlit5678);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_5677 = gc_frame_newslot(*var_s);
  params[0] = strlit5678;
  partcv[0] = 1;
  Object opresult5680 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5680 (depth = 8)
  int op_slot_left_5675 = gc_frame_newslot(opresult5680);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5681 = callmethod(opresult5680, "++(1)", 1, partcv, params);
// compiled op node returning opresult5681 (depth = 7)
  int op_slot_left_5672 = gc_frame_newslot(opresult5681);
  params[0] = strlit5673;
  partcv[0] = 1;
  Object opresult5682 = callmethod(opresult5681, "++(1)", 1, partcv, params);
// compiled op node returning opresult5682 (depth = 6)
  int op_slot_left_5662 = gc_frame_newslot(opresult5682);
  params[0] = call5670;
  partcv[0] = 1;
  Object opresult5683 = callmethod(opresult5682, "++(1)", 1, partcv, params);
// compiled op node returning opresult5683 (depth = 5)
  *var_s = opresult5683;
  if (opresult5683 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5655 = done;
  } else {
  }
// compiled if node returning if5655 (depth = 3)
// Begin line 1386
  setline(1386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5686 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5687 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5688 = gc_frame_new();
// call case 4: self request
  Object call5689 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5688);
// compiled member node returning call5689 (depth = 6)
  Object call5690 = callmethodflags(call5689, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe5687);
// compiled member node returning call5690 (depth = 5)
  Object call5691 = callmethodflags(call5690, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5686);
// compiled member node returning call5691 (depth = 4)
  Object if5685 = done;
  if (istrue(call5691)) {
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5693 == NULL) {
    strlit5693 = alloc_String("Traits:");
    gc_root(strlit5693);
  }
// compiled string node returning strlit5693 (depth = 6)
  int op_slot_right_5692 = gc_frame_newslot(strlit5693);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_5695 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5698 == NULL) {
    strlit5698 = alloc_String("""\x0a""");
    gc_root(strlit5698);
  }
// compiled string node returning strlit5698 (depth = 8)
  int op_slot_right_5697 = gc_frame_newslot(strlit5698);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_5697 = gc_frame_newslot(*var_s);
  params[0] = strlit5698;
  partcv[0] = 1;
  Object opresult5700 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5700 (depth = 7)
  int op_slot_left_5695 = gc_frame_newslot(opresult5700);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5701 = callmethod(opresult5700, "++(1)", 1, partcv, params);
// compiled op node returning opresult5701 (depth = 6)
  int op_slot_left_5692 = gc_frame_newslot(opresult5701);
  params[0] = strlit5693;
  partcv[0] = 1;
  Object opresult5702 = callmethod(opresult5701, "++(1)", 1, partcv, params);
// compiled op node returning opresult5702 (depth = 5)
  *var_s = opresult5702;
  if (opresult5702 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5704 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5705 = alloc_Block(NULL, NULL, "ast", 1388);
  gc_frame_newslot(block5705);
// method "_apply(_)"
  block_savedest(block5705);
  Object closure5706 = createclosure(4, "_apply(1)");
  setclosureframe(closure5706, stackframe);
  addtoclosure(closure5706, var_depth);
  addtoclosure(closure5706, var_spc);
  addtoclosure(closure5706, var_s);
  addtoclosure(closure5706, selfslot);
  struct UserObject *uo5706 = (struct UserObject*)block5705;
  uo5706->data[0] = (Object)closure5706;
  Method *meth_meth_ast__apply_40_1_41_5706 = addmethod2pos(block5705, "_apply(1)", &meth_ast__apply_40_1_41_5706, 0);
  int argcv_meth_ast__apply_40_1_41_5706[] = {1};
  meth_meth_ast__apply_40_1_41_5706->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5706);
  meth_meth_ast__apply_40_1_41_5706->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5706->definitionLine = 2947;
// compiled block node returning block5705 (depth = 5)
  gc_frame_newslot(block5705);
// call case 6: other requests
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5737 = gc_frame_new();
// call case 4: self request
  Object call5738 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5737);
// compiled member node returning call5738 (depth = 5)
  params[0] = block5705;
  partcv[0] = 1;
  Object call5739 = callmethodflags(call5738, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5704);
// compiled call node returning call5739 (depth = 4)
    gc_frame_newslot(call5739);
    if5685 = call5739;
  } else {
  }
// compiled if node returning if5685 (depth = 3)
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5740 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5741 = alloc_Block(NULL, NULL, "ast", 1392);
  gc_frame_newslot(block5741);
// method "_apply(_)"
  block_savedest(block5741);
  Object closure5742 = createclosure(4, "_apply(1)");
  setclosureframe(closure5742, stackframe);
  addtoclosure(closure5742, var_depth);
  addtoclosure(closure5742, var_spc);
  addtoclosure(closure5742, var_s);
  addtoclosure(closure5742, selfslot);
  struct UserObject *uo5742 = (struct UserObject*)block5741;
  uo5742->data[0] = (Object)closure5742;
  Method *meth_meth_ast__apply_40_1_41_5742 = addmethod2pos(block5741, "_apply(1)", &meth_ast__apply_40_1_41_5742, 0);
  int argcv_meth_ast__apply_40_1_41_5742[] = {1};
  meth_meth_ast__apply_40_1_41_5742->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5742);
  meth_meth_ast__apply_40_1_41_5742->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5742->definitionLine = 2947;
// compiled block node returning block5741 (depth = 4)
  gc_frame_newslot(block5741);
// call case 6: other requests
// Begin line 1392
  setline(1392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5761 = gc_frame_new();
// call case 4: self request
  Object call5762 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5761);
// compiled member node returning call5762 (depth = 4)
  params[0] = block5741;
  partcv[0] = 1;
  Object call5763 = callmethodflags(call5762, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5740);
// compiled call node returning call5763 (depth = 3)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_5776(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1400
  setline(1400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5778 == NULL) {
    strlit5778 = alloc_String("    ");
    gc_root(strlit5778);
  }
// compiled string node returning strlit5778 (depth = 7)
  int op_slot_right_5777 = gc_frame_newslot(strlit5778);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_5777 = gc_frame_newslot(*var_spc);
  params[0] = strlit5778;
  partcv[0] = 1;
  Object opresult5780 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult5780 (depth = 6)
  *var_spc = opresult5780;
  if (opresult5780 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5826(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5828 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5830 = alloc_Float64(1);
// compiled num node returning num5830 (depth = 9)
  int op_slot_right_5829 = gc_frame_newslot(num5830);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5829 = gc_frame_newslot(*var_depth);
  params[0] = num5830;
  partcv[0] = 1;
  Object sum5832 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5832 (depth = 8)
  gc_frame_newslot(sum5832);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  params[0] = sum5832;
  partcv[0] = 1;
  Object call5833 = callmethodflags(*var_t, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5828);
// compiled call node returning call5833 (depth = 7)
  int op_slot_right_5827 = gc_frame_newslot(call5833);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5836 == NULL) {
    strlit5836 = alloc_String("""\x0a""");
    gc_root(strlit5836);
  }
// compiled string node returning strlit5836 (depth = 8)
  int op_slot_right_5835 = gc_frame_newslot(strlit5836);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_5835 = gc_frame_newslot(*var_s);
  params[0] = strlit5836;
  partcv[0] = 1;
  Object opresult5838 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5838 (depth = 7)
  int op_slot_left_5827 = gc_frame_newslot(opresult5838);
  params[0] = call5833;
  partcv[0] = 1;
  Object opresult5839 = callmethod(opresult5838, "++(1)", 1, partcv, params);
// compiled op node returning opresult5839 (depth = 6)
  *var_s = opresult5839;
  if (opresult5839 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_5847(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_x = &(stackframe->slots[0]);
  *var_x = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5849 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5851 = alloc_Float64(1);
// compiled num node returning num5851 (depth = 9)
  int op_slot_right_5850 = gc_frame_newslot(num5851);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_5850 = gc_frame_newslot(*var_depth);
  params[0] = num5851;
  partcv[0] = 1;
  Object sum5853 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5853 (depth = 8)
  gc_frame_newslot(sum5853);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_x (depth = 8)
  params[0] = sum5853;
  partcv[0] = 1;
  Object call5854 = callmethodflags(*var_x, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5849);
// compiled call node returning call5854 (depth = 7)
  int op_slot_right_5848 = gc_frame_newslot(call5854);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5857 == NULL) {
    strlit5857 = alloc_String("    ");
    gc_root(strlit5857);
  }
// compiled string node returning strlit5857 (depth = 8)
  int op_slot_right_5856 = gc_frame_newslot(strlit5857);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_5859 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5862 == NULL) {
    strlit5862 = alloc_String("""\x0a""");
    gc_root(strlit5862);
  }
// compiled string node returning strlit5862 (depth = 10)
  int op_slot_right_5861 = gc_frame_newslot(strlit5862);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_left_5861 = gc_frame_newslot(*var_s);
  params[0] = strlit5862;
  partcv[0] = 1;
  Object opresult5864 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5864 (depth = 9)
  int op_slot_left_5859 = gc_frame_newslot(opresult5864);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5865 = callmethod(opresult5864, "++(1)", 1, partcv, params);
// compiled op node returning opresult5865 (depth = 8)
  int op_slot_left_5856 = gc_frame_newslot(opresult5865);
  params[0] = strlit5857;
  partcv[0] = 1;
  Object opresult5866 = callmethod(opresult5865, "++(1)", 1, partcv, params);
// compiled op node returning opresult5866 (depth = 7)
  int op_slot_left_5848 = gc_frame_newslot(opresult5866);
  params[0] = call5854;
  partcv[0] = 1;
  Object opresult5867 = callmethod(opresult5866, "++(1)", 1, partcv, params);
// compiled op node returning opresult5867 (depth = 6)
  *var_s = opresult5867;
  if (opresult5867 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_5764(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5765 == NULL) {
    strlit5765 = alloc_String("");
    gc_root(strlit5765);
  }
// compiled string node returning strlit5765 (depth = 4)
  *var_spc = strlit5765;
  if (strlit5765 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5766 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num5769 = alloc_Float64(1);
// compiled num node returning num5769 (depth = 6)
  int op_slot_right_5768 = gc_frame_newslot(num5769);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_5768 = gc_frame_newslot(*var_depth);
  params[0] = num5769;
  partcv[0] = 1;
  Object diff5771 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff5771 (depth = 5)
  int op_slot_right_5767 = gc_frame_newslot(diff5771);
// starting to compile num node (depth = 5)
  Object num5773 = alloc_Float64(0);
// compiled num node returning num5773 (depth = 5)
  int op_slot_left_5767 = gc_frame_newslot(num5773);
  params[0] = diff5771;
  partcv[0] = 1;
  Object opresult5774 = callmethod(num5773, "..(1)", 1, partcv, params);
// compiled op node returning opresult5774 (depth = 4)
  gc_frame_newslot(opresult5774);
// starting to compile block node (depth = 4)
  Object block5775 = alloc_Block(NULL, NULL, "ast", 1399);
  gc_frame_newslot(block5775);
// method "_apply(_)"
  block_savedest(block5775);
  Object closure5776 = createclosure(2, "_apply(1)");
  setclosureframe(closure5776, stackframe);
  addtoclosure(closure5776, var_spc);
  addtoclosure(closure5776, selfslot);
  struct UserObject *uo5776 = (struct UserObject*)block5775;
  uo5776->data[0] = (Object)closure5776;
  Method *meth_meth_ast__apply_40_1_41_5776 = addmethod2pos(block5775, "_apply(1)", &meth_ast__apply_40_1_41_5776, 0);
  int argcv_meth_ast__apply_40_1_41_5776[] = {1};
  meth_meth_ast__apply_40_1_41_5776->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5776);
  meth_meth_ast__apply_40_1_41_5776->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5776->definitionLine = 2947;
// compiled block node returning block5775 (depth = 4)
  gc_frame_newslot(block5775);
// call case 5: prelude request
  params[0] = opresult5774;
  params[1] = block5775;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5783 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5766);
// compiled call node returning call5783 (depth = 3)
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5784 == NULL) {
    strlit5784 = alloc_String("object {");
    gc_root(strlit5784);
  }
// compiled string node returning strlit5784 (depth = 4)
  *var_s = strlit5784;
  if (strlit5784 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5786 = gc_frame_new();
// call case 4: self request
  Object call5787 = callmethodflags(self, "inTrait", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5786);
// compiled member node returning call5787 (depth = 4)
  Object if5785 = done;
  if (istrue(call5787)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5789 == NULL) {
    strlit5789 = alloc_String("   // trait");
    gc_root(strlit5789);
  }
// compiled string node returning strlit5789 (depth = 6)
  int op_slot_right_5788 = gc_frame_newslot(strlit5789);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5788 = gc_frame_newslot(*var_s);
  params[0] = strlit5789;
  partcv[0] = 1;
  Object opresult5791 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5791 (depth = 5)
  *var_s = opresult5791;
  if (opresult5791 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5785 = done;
  } else {
  }
// compiled if node returning if5785 (depth = 3)
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5794 = gc_frame_new();
// call case 4: self request
  Object call5795 = callmethodflags(self, "inClass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5794);
// compiled member node returning call5795 (depth = 4)
  Object if5793 = done;
  if (istrue(call5795)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5797 == NULL) {
    strlit5797 = alloc_String("   // class");
    gc_root(strlit5797);
  }
// compiled string node returning strlit5797 (depth = 6)
  int op_slot_right_5796 = gc_frame_newslot(strlit5797);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_5796 = gc_frame_newslot(*var_s);
  params[0] = strlit5797;
  partcv[0] = 1;
  Object opresult5799 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5799 (depth = 5)
  *var_s = opresult5799;
  if (opresult5799 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5793 = done;
  } else {
  }
// compiled if node returning if5793 (depth = 3)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5803 = gc_frame_new();
// call case 4: self request
  Object call5804 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5803);
// compiled member node returning call5804 (depth = 5)
  int op_slot_right_5802 = gc_frame_newslot(call5804);
// starting to compile identifier node (depth = 5)
  Object bool5806 = alloc_Boolean(0);
// compiled identifier node returning bool5806 (depth = 5)
  int op_slot_left_5802 = gc_frame_newslot(bool5806);
  params[0] = call5804;
  partcv[0] = 1;
  Object opresult5807 = callmethod(bool5806, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5807 (depth = 4)
  Object if5801 = done;
  if (istrue(opresult5807)) {
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5809 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num5811 = alloc_Float64(1);
// compiled num node returning num5811 (depth = 8)
  int op_slot_right_5810 = gc_frame_newslot(num5811);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_5810 = gc_frame_newslot(*var_depth);
  params[0] = num5811;
  partcv[0] = 1;
  Object sum5813 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum5813 (depth = 7)
  gc_frame_newslot(sum5813);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5814 = gc_frame_new();
// call case 4: self request
  Object call5815 = callmethodflags(self, "superclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5814);
// compiled member node returning call5815 (depth = 7)
  params[0] = sum5813;
  partcv[0] = 1;
  Object call5816 = callmethodflags(call5815, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5809);
// compiled call node returning call5816 (depth = 6)
  int op_slot_right_5808 = gc_frame_newslot(call5816);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5819 == NULL) {
    strlit5819 = alloc_String("""\x0a""");
    gc_root(strlit5819);
  }
// compiled string node returning strlit5819 (depth = 7)
  int op_slot_right_5818 = gc_frame_newslot(strlit5819);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5818 = gc_frame_newslot(*var_s);
  params[0] = strlit5819;
  partcv[0] = 1;
  Object opresult5821 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5821 (depth = 6)
  int op_slot_left_5808 = gc_frame_newslot(opresult5821);
  params[0] = call5816;
  partcv[0] = 1;
  Object opresult5822 = callmethod(opresult5821, "++(1)", 1, partcv, params);
// compiled op node returning opresult5822 (depth = 5)
  *var_s = opresult5822;
  if (opresult5822 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5801 = done;
  } else {
  }
// compiled if node returning if5801 (depth = 3)
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5824 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5825 = alloc_Block(NULL, NULL, "ast", 1408);
  gc_frame_newslot(block5825);
// method "_apply(_)"
  block_savedest(block5825);
  Object closure5826 = createclosure(3, "_apply(1)");
  setclosureframe(closure5826, stackframe);
  addtoclosure(closure5826, var_depth);
  addtoclosure(closure5826, var_s);
  addtoclosure(closure5826, selfslot);
  struct UserObject *uo5826 = (struct UserObject*)block5825;
  uo5826->data[0] = (Object)closure5826;
  Method *meth_meth_ast__apply_40_1_41_5826 = addmethod2pos(block5825, "_apply(1)", &meth_ast__apply_40_1_41_5826, 0);
  int argcv_meth_ast__apply_40_1_41_5826[] = {1};
  meth_meth_ast__apply_40_1_41_5826->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5826);
  meth_meth_ast__apply_40_1_41_5826->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5826->definitionLine = 2947;
// compiled block node returning block5825 (depth = 4)
  gc_frame_newslot(block5825);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5842 = gc_frame_new();
// call case 4: self request
  Object call5843 = callmethodflags(self, "usedTraits", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5842);
// compiled member node returning call5843 (depth = 4)
  params[0] = block5825;
  partcv[0] = 1;
  Object call5844 = callmethodflags(call5843, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5824);
// compiled call node returning call5844 (depth = 3)
// Begin line 1409
  setline(1409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5845 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block5846 = alloc_Block(NULL, NULL, "ast", 1409);
  gc_frame_newslot(block5846);
// method "_apply(_)"
  block_savedest(block5846);
  Object closure5847 = createclosure(4, "_apply(1)");
  setclosureframe(closure5847, stackframe);
  addtoclosure(closure5847, var_depth);
  addtoclosure(closure5847, var_spc);
  addtoclosure(closure5847, var_s);
  addtoclosure(closure5847, selfslot);
  struct UserObject *uo5847 = (struct UserObject*)block5846;
  uo5847->data[0] = (Object)closure5847;
  Method *meth_meth_ast__apply_40_1_41_5847 = addmethod2pos(block5846, "_apply(1)", &meth_ast__apply_40_1_41_5847, 0);
  int argcv_meth_ast__apply_40_1_41_5847[] = {1};
  meth_meth_ast__apply_40_1_41_5847->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5847);
  meth_meth_ast__apply_40_1_41_5847->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5847->definitionLine = 2947;
// compiled block node returning block5846 (depth = 4)
  gc_frame_newslot(block5846);
// call case 6: other requests
// Begin line 1409
  setline(1409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5870 = gc_frame_new();
// call case 4: self request
  Object call5871 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5870);
// compiled member node returning call5871 (depth = 4)
  params[0] = block5846;
  partcv[0] = 1;
  Object call5872 = callmethodflags(call5871, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5845);
// compiled call node returning call5872 (depth = 3)
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5874 == NULL) {
    strlit5874 = alloc_String("}");
    gc_root(strlit5874);
  }
// compiled string node returning strlit5874 (depth = 5)
  int op_slot_right_5873 = gc_frame_newslot(strlit5874);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_5876 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5879 == NULL) {
    strlit5879 = alloc_String("""\x0a""");
    gc_root(strlit5879);
  }
// compiled string node returning strlit5879 (depth = 7)
  int op_slot_right_5878 = gc_frame_newslot(strlit5879);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_5878 = gc_frame_newslot(*var_s);
  params[0] = strlit5879;
  partcv[0] = 1;
  Object opresult5881 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult5881 (depth = 6)
  int op_slot_left_5876 = gc_frame_newslot(opresult5881);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult5882 = callmethod(opresult5881, "++(1)", 1, partcv, params);
// compiled op node returning opresult5882 (depth = 5)
  int op_slot_left_5873 = gc_frame_newslot(opresult5882);
  params[0] = strlit5874;
  partcv[0] = 1;
  Object opresult5883 = callmethod(opresult5882, "++(1)", 1, partcv, params);
// compiled op node returning opresult5883 (depth = 4)
  *var_s = opresult5883;
  if (opresult5883 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy5885(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1416
  setline(1416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5886 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe5887 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// starting to compile identifier node (depth = 5)
  Object bool5888 = alloc_Boolean(0);
// compiled identifier node returning bool5888 (depth = 5)
  gc_frame_newslot(bool5888);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_objectNode (depth = 5)
  params[0] = *var_emptySeq;
  params[1] = bool5888;
  partcv[0] = 2;
  Object call5889 = callmethodflags(*var_objectNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5887);
// compiled call node returning call5889 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call5890 = callmethodflags(call5889, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5886);
// compiled call node returning call5890 (depth = 3)
  gc_frame_end(frame);
  return call5890;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_5891(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5892 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call5893 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe5892);
// compiled call node returning call5893 (depth = 3)
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5894 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5895 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5896 = callmethodflags(*var_other, "name", 0, partcv, params, 0);
  gc_frame_end(callframe5895);
// compiled member node returning call5896 (depth = 4)
  gc_frame_newslot(call5896);
// call case 4: self request
  params[0] = call5896;
  partcv[0] = 1;
  Object call5897 = callmethodflags(self, "name:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5894);
// compiled call node returning call5897 (depth = 3)
// Begin line 1421
  setline(1421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5898 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5899 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5900 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe5899);
// compiled member node returning call5900 (depth = 4)
  gc_frame_newslot(call5900);
// call case 4: self request
  params[0] = call5900;
  partcv[0] = 1;
  Object call5901 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5898);
// compiled call node returning call5901 (depth = 3)
// Begin line 1422
  setline(1422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5902 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5903 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5904 = callmethodflags(*var_other, "superclass", 0, partcv, params, 0);
  gc_frame_end(callframe5903);
// compiled member node returning call5904 (depth = 4)
  gc_frame_newslot(call5904);
// call case 4: self request
  params[0] = call5904;
  partcv[0] = 1;
  Object call5905 = callmethodflags(self, "superclass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5902);
// compiled call node returning call5905 (depth = 3)
// Begin line 1423
  setline(1423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5906 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5907 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5908 = callmethodflags(*var_other, "usedTraits", 0, partcv, params, 0);
  gc_frame_end(callframe5907);
// compiled member node returning call5908 (depth = 4)
  gc_frame_newslot(call5908);
// call case 4: self request
  params[0] = call5908;
  partcv[0] = 1;
  Object call5909 = callmethodflags(self, "usedTraits:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5906);
// compiled call node returning call5909 (depth = 3)
// Begin line 1424
  setline(1424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5910 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5911 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5912 = callmethodflags(*var_other, "inClass", 0, partcv, params, 0);
  gc_frame_end(callframe5911);
// compiled member node returning call5912 (depth = 4)
  gc_frame_newslot(call5912);
// call case 4: self request
  params[0] = call5912;
  partcv[0] = 1;
  Object call5913 = callmethodflags(self, "inClass:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5910);
// compiled call node returning call5913 (depth = 3)
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5914 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5915 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5916 = callmethodflags(*var_other, "inTrait", 0, partcv, params, 0);
  gc_frame_end(callframe5915);
// compiled member node returning call5916 (depth = 4)
  gc_frame_newslot(call5916);
// call case 4: self request
  params[0] = call5916;
  partcv[0] = 1;
  Object call5917 = callmethodflags(self, "inTrait:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5914);
// compiled call node returning call5917 (depth = 3)
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5918 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5919 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call5920 = callmethodflags(*var_other, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe5919);
// compiled member node returning call5920 (depth = 4)
  gc_frame_newslot(call5920);
// call case 4: self request
  params[0] = call5920;
  partcv[0] = 1;
  Object call5921 = callmethodflags(self, "annotations:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5918);
// compiled call node returning call5921 (depth = 3)
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_asString5922(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5924 == NULL) {
    strlit5924 = alloc_String("");
    gc_root(strlit5924);
  }
// compiled string node returning strlit5924 (depth = 4)
  int op_slot_right_5923 = gc_frame_newslot(strlit5924);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5927 = gc_frame_new();
// call case 4: self request
  Object call5928 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5927);
// compiled member node returning call5928 (depth = 5)
  int op_slot_right_5926 = gc_frame_newslot(call5928);
// starting to compile string node (depth = 5)
  if (strlit5930 == NULL) {
    strlit5930 = alloc_String("object ");
    gc_root(strlit5930);
  }
// compiled string node returning strlit5930 (depth = 5)
  int op_slot_left_5926 = gc_frame_newslot(strlit5930);
  params[0] = call5928;
  partcv[0] = 1;
  Object opresult5931 = callmethod(strlit5930, "++(1)", 1, partcv, params);
// compiled op node returning opresult5931 (depth = 4)
  int op_slot_left_5923 = gc_frame_newslot(opresult5931);
  params[0] = strlit5924;
  partcv[0] = 1;
  Object opresult5932 = callmethod(opresult5931, "++(1)", 1, partcv, params);
// compiled op node returning opresult5932 (depth = 3)
  gc_frame_end(frame);
  return opresult5932;
}
Object meth_ast_new_40_2_41_5348(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5349 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5349 = alloc_userobj2(38,31, objclass5349);
  gc_frame_newslot(obj5349);
if (objclass5349 == NULL) {
  glfree(obj5349->class->name);
  obj5349->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5349, self, 0);
  addmethodreal(obj5349,"outer", &reader_ast_outer_5350);
  Object oldself5349 = self;
  struct StackFrameObject *oldstackframe5349 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5349);
  gc_frame_newslot((Object)stackframe);
  self = obj5349;
  Object *oldselfslot5349 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5349 = (*(struct UserObject *)self).data[0], lowerouter5349 = thisouter5349;
  if (inheritingObject5349) {
    struct UserObject *inho5349 = (struct UserObject *)inheritingObject5349;
    while (inho5349->super != GraceDefaultObject) inho5349 = (struct UserObject *)inho5349->super;
    inho5349->super = obj5349;
    self = inheritingObject5349;
    *selfslot = self;
    lowerouter5349 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5349;
  }
if (objclass5349 == NULL) {
  Method *reader5351 = addmethodrealflags(obj5349, "kind",&reader_ast_kind_5351, MFLAG_DEF);
  reader5351->definitionModule = modulename;
  reader5351->definitionLine = 1270;
}
adddatum2(obj5349, alloc_Undefined(), 1);
if (objclass5349 == NULL) {
  Method *reader5352 = addmethodrealflags(obj5349, "value", &reader_ast_value_5352, 0);
  Method *writer5352 = addmethodrealflags(obj5349, "value:=(1)", &writer_ast_value_5352, 0);
  reader5352->definitionModule = modulename;
  writer5352->definitionModule = modulename;
  reader5352->definitionLine = 1271;
  writer5352->definitionLine = 1271;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 2);
if (objclass5349 == NULL) {
  Method *reader5353 = addmethodrealflags(obj5349, "superclass", &reader_ast_superclass_5353, 0);
  Method *writer5353 = addmethodrealflags(obj5349, "superclass:=(1)", &writer_ast_superclass_5353, 0);
  reader5353->definitionModule = modulename;
  writer5353->definitionModule = modulename;
  reader5353->definitionLine = 1272;
  writer5353->definitionLine = 1272;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 3);
if (objclass5349 == NULL) {
  Method *reader5354 = addmethodrealflags(obj5349, "usedTraits", &reader_ast_usedTraits_5354, 0);
  Method *writer5354 = addmethodrealflags(obj5349, "usedTraits:=(1)", &writer_ast_usedTraits_5354, 0);
  reader5354->definitionModule = modulename;
  writer5354->definitionModule = modulename;
  reader5354->definitionLine = 1273;
  writer5354->definitionLine = 1273;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 4);
if (objclass5349 == NULL) {
  Method *reader5355 = addmethodrealflags(obj5349, "name", &reader_ast_name_5355, 0);
  Method *writer5355 = addmethodrealflags(obj5349, "name:=(1)", &writer_ast_name_5355, 0);
  reader5355->definitionModule = modulename;
  writer5355->definitionModule = modulename;
  reader5355->definitionLine = 1274;
  writer5355->definitionLine = 1274;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 5);
if (objclass5349 == NULL) {
  Method *reader5356 = addmethodrealflags(obj5349, "inClass", &reader_ast_inClass_5356, 0);
  Method *writer5356 = addmethodrealflags(obj5349, "inClass:=(1)", &writer_ast_inClass_5356, 0);
  reader5356->definitionModule = modulename;
  writer5356->definitionModule = modulename;
  reader5356->definitionLine = 1275;
  writer5356->definitionLine = 1275;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 6);
if (objclass5349 == NULL) {
  Method *reader5357 = addmethodrealflags(obj5349, "inTrait", &reader_ast_inTrait_5357, 0);
  Method *writer5357 = addmethodrealflags(obj5349, "inTrait:=(1)", &writer_ast_inTrait_5357, 0);
  reader5357->definitionModule = modulename;
  writer5357->definitionModule = modulename;
  reader5357->definitionLine = 1276;
  writer5357->definitionLine = 1276;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 7);
if (objclass5349 == NULL) {
  Method *reader5358 = addmethodrealflags(obj5349, "myLocalNames", &reader_ast_myLocalNames_5358, MFLAG_CONFIDENTIAL);
  Method *writer5358 = addmethodrealflags(obj5349, "myLocalNames:=(1)", &writer_ast_myLocalNames_5358, MFLAG_CONFIDENTIAL);
  reader5358->definitionModule = modulename;
  writer5358->definitionModule = modulename;
  reader5358->definitionLine = 1277;
  writer5358->definitionLine = 1277;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 8);
if (objclass5349 == NULL) {
  Method *reader5359 = addmethodrealflags(obj5349, "annotations", &reader_ast_annotations_5359, 0);
  Method *writer5359 = addmethodrealflags(obj5349, "annotations:=(1)", &writer_ast_annotations_5359, 0);
  reader5359->definitionModule = modulename;
  writer5359->definitionModule = modulename;
  reader5359->definitionLine = 1278;
  writer5359->definitionLine = 1278;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 9);
// method "description"
  struct UserObject *uo5360 = (struct UserObject*)obj5349;
  uo5360->data[10] = emptyclosure;
  Method *meth_meth_ast_description5360 = addmethod2pos(obj5349, "description", &meth_ast_description5360, 10);
  int argcv_meth_ast_description5360[] = {0};
  meth_meth_ast_description5360->type = alloc_MethodType(1, argcv_meth_ast_description5360);
  meth_meth_ast_description5360->definitionModule = modulename;
  meth_meth_ast_description5360->definitionLine = 1280;
// method "isTrait"
  struct UserObject *uo5389 = (struct UserObject*)obj5349;
  uo5389->data[11] = emptyclosure;
  Method *meth_meth_ast_isTrait5389 = addmethod2pos(obj5349, "isTrait", &meth_ast_isTrait5389, 11);
  int argcv_meth_ast_isTrait5389[] = {0};
  meth_meth_ast_isTrait5389->type = alloc_MethodType(1, argcv_meth_ast_isTrait5389);
  meth_meth_ast_isTrait5389->definitionModule = modulename;
  meth_meth_ast_isTrait5389->definitionLine = 1289;
// method "localNames"
  struct UserObject *uo5416 = (struct UserObject*)obj5349;
  uo5416->data[12] = emptyclosure;
  Method *meth_meth_ast_localNames5416 = addmethod2pos(obj5349, "localNames", &meth_ast_localNames5416, 12);
  int argcv_meth_ast_localNames5416[] = {0};
  meth_meth_ast_localNames5416->type = alloc_MethodType(1, argcv_meth_ast_localNames5416);
  meth_meth_ast_localNames5416->definitionModule = modulename;
  meth_meth_ast_localNames5416->definitionLine = 1300;
// method "parentsDo(_)"
  struct UserObject *uo5451 = (struct UserObject*)obj5349;
  uo5451->data[13] = emptyclosure;
  Method *meth_meth_ast_parentsDo_40_1_41_5451 = addmethod2pos(obj5349, "parentsDo(1)", &meth_ast_parentsDo_40_1_41_5451, 13);
  int argcv_meth_ast_parentsDo_40_1_41_5451[] = {1};
  meth_meth_ast_parentsDo_40_1_41_5451->type = alloc_MethodType(1, argcv_meth_ast_parentsDo_40_1_41_5451);
  meth_meth_ast_parentsDo_40_1_41_5451->definitionModule = modulename;
  meth_meth_ast_parentsDo_40_1_41_5451->definitionLine = 1314;
// method "methodsDo(_)"
  struct UserObject *uo5472 = (struct UserObject*)obj5349;
  uo5472->data[14] = emptyclosure;
  Method *meth_meth_ast_methodsDo_40_1_41_5472 = addmethod2pos(obj5349, "methodsDo(1)", &meth_ast_methodsDo_40_1_41_5472, 14);
  int argcv_meth_ast_methodsDo_40_1_41_5472[] = {1};
  meth_meth_ast_methodsDo_40_1_41_5472->type = alloc_MethodType(1, argcv_meth_ast_methodsDo_40_1_41_5472);
  meth_meth_ast_methodsDo_40_1_41_5472->definitionModule = modulename;
  meth_meth_ast_methodsDo_40_1_41_5472->definitionLine = 1321;
// method "executableComponentsDo(_)"
  struct UserObject *uo5485 = (struct UserObject*)obj5349;
  uo5485->data[15] = emptyclosure;
  Method *meth_meth_ast_executableComponentsDo_40_1_41_5485 = addmethod2pos(obj5349, "executableComponentsDo(1)", &meth_ast_executableComponentsDo_40_1_41_5485, 15);
  int argcv_meth_ast_executableComponentsDo_40_1_41_5485[] = {1};
  meth_meth_ast_executableComponentsDo_40_1_41_5485->type = alloc_MethodType(1, argcv_meth_ast_executableComponentsDo_40_1_41_5485);
  meth_meth_ast_executableComponentsDo_40_1_41_5485->definitionModule = modulename;
  meth_meth_ast_executableComponentsDo_40_1_41_5485->definitionLine = 1329;
// method "scope:=(_)"
  struct UserObject *uo5498 = (struct UserObject*)obj5349;
  uo5498->data[16] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_5498 = addmethod2pos(obj5349, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_5498, 16);
  int argcv_meth_ast_scope_58__61__40_1_41_5498[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_5498->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_5498);
  meth_meth_ast_scope_58__61__40_1_41_5498->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_5498->definitionLine = 1337;
// method "body"
  struct UserObject *uo5503 = (struct UserObject*)obj5349;
  uo5503->data[17] = emptyclosure;
  Method *meth_meth_ast_body5503 = addmethod2pos(obj5349, "body", &meth_ast_body5503, 17);
  int argcv_meth_ast_body5503[] = {0};
  meth_meth_ast_body5503->type = alloc_MethodType(1, argcv_meth_ast_body5503);
  meth_meth_ast_body5503->definitionModule = modulename;
  meth_meth_ast_body5503->definitionLine = 1343;
// method "returnsObject"
  struct UserObject *uo5506 = (struct UserObject*)obj5349;
  uo5506->data[18] = emptyclosure;
  Method *meth_meth_ast_returnsObject5506 = addmethod2pos(obj5349, "returnsObject", &meth_ast_returnsObject5506, 18);
  int argcv_meth_ast_returnsObject5506[] = {0};
  meth_meth_ast_returnsObject5506->type = alloc_MethodType(1, argcv_meth_ast_returnsObject5506);
  meth_meth_ast_returnsObject5506->definitionModule = modulename;
  meth_meth_ast_returnsObject5506->definitionLine = 1344;
// method "returnedObjectScope"
  struct UserObject *uo5508 = (struct UserObject*)obj5349;
  uo5508->data[19] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope5508 = addmethod2pos(obj5349, "returnedObjectScope", &meth_ast_returnedObjectScope5508, 19);
  int argcv_meth_ast_returnedObjectScope5508[] = {0};
  meth_meth_ast_returnedObjectScope5508->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope5508);
  meth_meth_ast_returnedObjectScope5508->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope5508->definitionLine = 1345;
// method "canInherit"
  struct UserObject *uo5511 = (struct UserObject*)obj5349;
  uo5511->data[20] = emptyclosure;
  Method *meth_meth_ast_canInherit5511 = addmethod2pos(obj5349, "canInherit", &meth_ast_canInherit5511, 20);
  int argcv_meth_ast_canInherit5511[] = {0};
  meth_meth_ast_canInherit5511->type = alloc_MethodType(1, argcv_meth_ast_canInherit5511);
  meth_meth_ast_canInherit5511->definitionModule = modulename;
  meth_meth_ast_canInherit5511->definitionLine = 1346;
// method "canUse"
  struct UserObject *uo5516 = (struct UserObject*)obj5349;
  uo5516->data[21] = emptyclosure;
  Method *meth_meth_ast_canUse5516 = addmethod2pos(obj5349, "canUse", &meth_ast_canUse5516, 21);
  int argcv_meth_ast_canUse5516[] = {0};
  meth_meth_ast_canUse5516->type = alloc_MethodType(1, argcv_meth_ast_canUse5516);
  meth_meth_ast_canUse5516->definitionModule = modulename;
  meth_meth_ast_canUse5516->definitionLine = 1347;
// method "isObject"
  struct UserObject *uo5518 = (struct UserObject*)obj5349;
  uo5518->data[22] = emptyclosure;
  Method *meth_meth_ast_isObject5518 = addmethod2pos(obj5349, "isObject", &meth_ast_isObject5518, 22);
  int argcv_meth_ast_isObject5518[] = {0};
  meth_meth_ast_isObject5518->type = alloc_MethodType(1, argcv_meth_ast_isObject5518);
  meth_meth_ast_isObject5518->definitionModule = modulename;
  meth_meth_ast_isObject5518->definitionLine = 1348;
// method "accept(_)from(_)"
  struct UserObject *uo5520 = (struct UserObject*)obj5349;
  uo5520->data[23] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5520 = addmethod2pos(obj5349, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5520, 23);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5520[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5520->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5520);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5520->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5520->definitionLine = 1349;
// method "nameString"
  struct UserObject *uo5555 = (struct UserObject*)obj5349;
  uo5555->data[24] = emptyclosure;
  Method *meth_meth_ast_nameString5555 = addmethod2pos(obj5349, "nameString", &meth_ast_nameString5555, 24);
  int argcv_meth_ast_nameString5555[] = {0};
  meth_meth_ast_nameString5555->type = alloc_MethodType(1, argcv_meth_ast_nameString5555);
  meth_meth_ast_nameString5555->definitionModule = modulename;
  meth_meth_ast_nameString5555->definitionLine = 1359;
// method "map(_)ancestors(_)"
  struct UserObject *uo5575 = (struct UserObject*)obj5349;
  uo5575->data[25] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_5575 = addmethod2pos(obj5349, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_5575, 25);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5575[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5575->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5575);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5575->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5575->definitionLine = 1366;
// method "pretty(_)"
  struct UserObject *uo5612 = (struct UserObject*)obj5349;
  uo5612->data[26] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_5612 = addmethod2pos(obj5349, "pretty(1)", &meth_ast_pretty_40_1_41_5612, 26);
  int argcv_meth_ast_pretty_40_1_41_5612[] = {1};
  meth_meth_ast_pretty_40_1_41_5612->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_5612);
  meth_meth_ast_pretty_40_1_41_5612->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_5612->definitionLine = 1374;
// method "toGrace(_)"
  struct UserObject *uo5764 = (struct UserObject*)obj5349;
  uo5764->data[27] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_5764 = addmethod2pos(obj5349, "toGrace(1)", &meth_ast_toGrace_40_1_41_5764, 27);
  int argcv_meth_ast_toGrace_40_1_41_5764[] = {1};
  meth_meth_ast_toGrace_40_1_41_5764->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_5764);
meth_meth_ast_toGrace_40_1_41_5764->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_5764->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_5764->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_5764->definitionLine = 1397;
// method "shallowCopy"
  block_savedest(obj5349);
  Object closure5885 = createclosure(2, "shallowCopy");
  setclosureframe(closure5885, stackframe);
  addtoclosure(closure5885, var_emptySeq);
  addtoclosure(closure5885, var_objectNode);
  struct UserObject *uo5885 = (struct UserObject*)obj5349;
  uo5885->data[28] = (Object)closure5885;
  Method *meth_meth_ast_shallowCopy5885 = addmethod2pos(obj5349, "shallowCopy", &meth_ast_shallowCopy5885, 28);
  int argcv_meth_ast_shallowCopy5885[] = {0};
  meth_meth_ast_shallowCopy5885->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5885);
  meth_meth_ast_shallowCopy5885->definitionModule = modulename;
  meth_meth_ast_shallowCopy5885->definitionLine = 1415;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo5891 = (struct UserObject*)obj5349;
  uo5891->data[29] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5891 = addmethod2pos(obj5349, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_5891, 29);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5891[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5891->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5891);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5891->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5891->definitionLine = 1418;
// method "asString"
  struct UserObject *uo5922 = (struct UserObject*)obj5349;
  uo5922->data[30] = emptyclosure;
  Method *meth_meth_ast_asString5922 = addmethod2pos(obj5349, "asString", &meth_ast_asString5922, 30);
  int argcv_meth_ast_asString5922[] = {0};
  meth_meth_ast_asString5922->type = alloc_MethodType(1, argcv_meth_ast_asString5922);
  meth_meth_ast_asString5922->definitionModule = modulename;
  meth_meth_ast_asString5922->definitionLine = 1429;
  sourceObject = obj5349;
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5933 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5934 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5935 = gc_frame_new();
// call case 3: self.outer request
  Object call5936 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5935);
// compiled member node returning call5936 (depth = 5)
  Object call5937 = callmethodflags(call5936, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5934);
// compiled member node returning call5937 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5938 = callmethodflags(call5937, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5933);
// compiled call node returning call5938 (depth = 3)
  struct UserObject *obj5349_uo = (struct UserObject *)obj5349;
  obj5349_uo->super = call5938;
  sourceObject = obj5349;
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5939 == NULL) {
    strlit5939 = alloc_String("object");
    gc_root(strlit5939);
  }
// compiled string node returning strlit5939 (depth = 3)
  adddatum2(obj5349, strlit5939, 1);
  sourceObject = obj5349;
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  adddatum2(obj5349, *var_b, 2);
  sourceObject = obj5349;
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_superclass_39_ (depth = 3)
  adddatum2(obj5349, *var_superclass_39_, 3);
  sourceObject = obj5349;
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5940 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5940 (depth = 3)
  adddatum2(obj5349, array5940, 4);
  sourceObject = obj5349;
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5941 == NULL) {
    strlit5941 = alloc_String("object");
    gc_root(strlit5941);
  }
// compiled string node returning strlit5941 (depth = 3)
  adddatum2(obj5349, strlit5941, 5);
  sourceObject = obj5349;
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5942 = alloc_Boolean(0);
// compiled identifier node returning bool5942 (depth = 3)
  adddatum2(obj5349, bool5942, 6);
  sourceObject = obj5349;
// Begin line 1276
  setline(1276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5943 = alloc_Boolean(0);
// compiled identifier node returning bool5943 (depth = 3)
  adddatum2(obj5349, bool5943, 7);
  sourceObject = obj5349;
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5944 = alloc_Boolean(0);
// compiled identifier node returning bool5944 (depth = 3)
  adddatum2(obj5349, bool5944, 8);
  sourceObject = obj5349;
// Begin line 1278
  setline(1278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5945 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5945 (depth = 3)
  adddatum2(obj5349, array5945, 9);
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  objclass5349 = obj5349->class;
  objclass5349->definitionModule = modulename;
  objclass5349->definitionLine = 1268;
  (*(struct UserObject *)self).data[0] = lowerouter5349;
  self = oldself5349;
  selfslot = oldselfslot5349;
  stackframe = oldstackframe5349;
  gc_frame_end(frame);
  return obj5349;
}
Object meth_ast_new_40_2_41_5348_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_objectNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_b = &(stackframe->slots[0]);
  *var_b = args[curarg];
  curarg++;
  Object *var_superclass_39_ = &(stackframe->slots[1]);
  *var_superclass_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5349 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5349 = alloc_userobj2(38,31, objclass5349);
  gc_frame_newslot(obj5349);
if (objclass5349 == NULL) {
  glfree(obj5349->class->name);
  obj5349->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5349, self, 0);
  addmethodreal(obj5349,"outer", &reader_ast_outer_5350);
  Object oldself5349 = self;
  struct StackFrameObject *oldstackframe5349 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5349);
  gc_frame_newslot((Object)stackframe);
  self = obj5349;
  Object *oldselfslot5349 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5349 = (*(struct UserObject *)self).data[0], lowerouter5349 = thisouter5349;
  if (inheritingObject5349) {
    struct UserObject *inho5349 = (struct UserObject *)inheritingObject5349;
    while (inho5349->super != GraceDefaultObject) inho5349 = (struct UserObject *)inho5349->super;
    inho5349->super = obj5349;
    self = inheritingObject5349;
    *selfslot = self;
    lowerouter5349 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5349;
  }
if (objclass5349 == NULL) {
  Method *reader5351 = addmethodrealflags(obj5349, "kind",&reader_ast_kind_5351, MFLAG_DEF);
  reader5351->definitionModule = modulename;
  reader5351->definitionLine = 1270;
}
adddatum2(obj5349, alloc_Undefined(), 1);
if (objclass5349 == NULL) {
  Method *reader5352 = addmethodrealflags(obj5349, "value", &reader_ast_value_5352, 0);
  Method *writer5352 = addmethodrealflags(obj5349, "value:=(1)", &writer_ast_value_5352, 0);
  reader5352->definitionModule = modulename;
  writer5352->definitionModule = modulename;
  reader5352->definitionLine = 1271;
  writer5352->definitionLine = 1271;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 2);
if (objclass5349 == NULL) {
  Method *reader5353 = addmethodrealflags(obj5349, "superclass", &reader_ast_superclass_5353, 0);
  Method *writer5353 = addmethodrealflags(obj5349, "superclass:=(1)", &writer_ast_superclass_5353, 0);
  reader5353->definitionModule = modulename;
  writer5353->definitionModule = modulename;
  reader5353->definitionLine = 1272;
  writer5353->definitionLine = 1272;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 3);
if (objclass5349 == NULL) {
  Method *reader5354 = addmethodrealflags(obj5349, "usedTraits", &reader_ast_usedTraits_5354, 0);
  Method *writer5354 = addmethodrealflags(obj5349, "usedTraits:=(1)", &writer_ast_usedTraits_5354, 0);
  reader5354->definitionModule = modulename;
  writer5354->definitionModule = modulename;
  reader5354->definitionLine = 1273;
  writer5354->definitionLine = 1273;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 4);
if (objclass5349 == NULL) {
  Method *reader5355 = addmethodrealflags(obj5349, "name", &reader_ast_name_5355, 0);
  Method *writer5355 = addmethodrealflags(obj5349, "name:=(1)", &writer_ast_name_5355, 0);
  reader5355->definitionModule = modulename;
  writer5355->definitionModule = modulename;
  reader5355->definitionLine = 1274;
  writer5355->definitionLine = 1274;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 5);
if (objclass5349 == NULL) {
  Method *reader5356 = addmethodrealflags(obj5349, "inClass", &reader_ast_inClass_5356, 0);
  Method *writer5356 = addmethodrealflags(obj5349, "inClass:=(1)", &writer_ast_inClass_5356, 0);
  reader5356->definitionModule = modulename;
  writer5356->definitionModule = modulename;
  reader5356->definitionLine = 1275;
  writer5356->definitionLine = 1275;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 6);
if (objclass5349 == NULL) {
  Method *reader5357 = addmethodrealflags(obj5349, "inTrait", &reader_ast_inTrait_5357, 0);
  Method *writer5357 = addmethodrealflags(obj5349, "inTrait:=(1)", &writer_ast_inTrait_5357, 0);
  reader5357->definitionModule = modulename;
  writer5357->definitionModule = modulename;
  reader5357->definitionLine = 1276;
  writer5357->definitionLine = 1276;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 7);
if (objclass5349 == NULL) {
  Method *reader5358 = addmethodrealflags(obj5349, "myLocalNames", &reader_ast_myLocalNames_5358, MFLAG_CONFIDENTIAL);
  Method *writer5358 = addmethodrealflags(obj5349, "myLocalNames:=(1)", &writer_ast_myLocalNames_5358, MFLAG_CONFIDENTIAL);
  reader5358->definitionModule = modulename;
  writer5358->definitionModule = modulename;
  reader5358->definitionLine = 1277;
  writer5358->definitionLine = 1277;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 8);
if (objclass5349 == NULL) {
  Method *reader5359 = addmethodrealflags(obj5349, "annotations", &reader_ast_annotations_5359, 0);
  Method *writer5359 = addmethodrealflags(obj5349, "annotations:=(1)", &writer_ast_annotations_5359, 0);
  reader5359->definitionModule = modulename;
  writer5359->definitionModule = modulename;
  reader5359->definitionLine = 1278;
  writer5359->definitionLine = 1278;
}
obj5349->flags |= OFLAG_MUTABLE;
adddatum2(obj5349, alloc_Undefined(), 9);
// method "description"
  struct UserObject *uo5360 = (struct UserObject*)obj5349;
  uo5360->data[10] = emptyclosure;
  Method *meth_meth_ast_description5360 = addmethod2pos(obj5349, "description", &meth_ast_description5360, 10);
  int argcv_meth_ast_description5360[] = {0};
  meth_meth_ast_description5360->type = alloc_MethodType(1, argcv_meth_ast_description5360);
  meth_meth_ast_description5360->definitionModule = modulename;
  meth_meth_ast_description5360->definitionLine = 1280;
// method "isTrait"
  struct UserObject *uo5389 = (struct UserObject*)obj5349;
  uo5389->data[11] = emptyclosure;
  Method *meth_meth_ast_isTrait5389 = addmethod2pos(obj5349, "isTrait", &meth_ast_isTrait5389, 11);
  int argcv_meth_ast_isTrait5389[] = {0};
  meth_meth_ast_isTrait5389->type = alloc_MethodType(1, argcv_meth_ast_isTrait5389);
  meth_meth_ast_isTrait5389->definitionModule = modulename;
  meth_meth_ast_isTrait5389->definitionLine = 1289;
// method "localNames"
  struct UserObject *uo5416 = (struct UserObject*)obj5349;
  uo5416->data[12] = emptyclosure;
  Method *meth_meth_ast_localNames5416 = addmethod2pos(obj5349, "localNames", &meth_ast_localNames5416, 12);
  int argcv_meth_ast_localNames5416[] = {0};
  meth_meth_ast_localNames5416->type = alloc_MethodType(1, argcv_meth_ast_localNames5416);
  meth_meth_ast_localNames5416->definitionModule = modulename;
  meth_meth_ast_localNames5416->definitionLine = 1300;
// method "parentsDo(_)"
  struct UserObject *uo5451 = (struct UserObject*)obj5349;
  uo5451->data[13] = emptyclosure;
  Method *meth_meth_ast_parentsDo_40_1_41_5451 = addmethod2pos(obj5349, "parentsDo(1)", &meth_ast_parentsDo_40_1_41_5451, 13);
  int argcv_meth_ast_parentsDo_40_1_41_5451[] = {1};
  meth_meth_ast_parentsDo_40_1_41_5451->type = alloc_MethodType(1, argcv_meth_ast_parentsDo_40_1_41_5451);
  meth_meth_ast_parentsDo_40_1_41_5451->definitionModule = modulename;
  meth_meth_ast_parentsDo_40_1_41_5451->definitionLine = 1314;
// method "methodsDo(_)"
  struct UserObject *uo5472 = (struct UserObject*)obj5349;
  uo5472->data[14] = emptyclosure;
  Method *meth_meth_ast_methodsDo_40_1_41_5472 = addmethod2pos(obj5349, "methodsDo(1)", &meth_ast_methodsDo_40_1_41_5472, 14);
  int argcv_meth_ast_methodsDo_40_1_41_5472[] = {1};
  meth_meth_ast_methodsDo_40_1_41_5472->type = alloc_MethodType(1, argcv_meth_ast_methodsDo_40_1_41_5472);
  meth_meth_ast_methodsDo_40_1_41_5472->definitionModule = modulename;
  meth_meth_ast_methodsDo_40_1_41_5472->definitionLine = 1321;
// method "executableComponentsDo(_)"
  struct UserObject *uo5485 = (struct UserObject*)obj5349;
  uo5485->data[15] = emptyclosure;
  Method *meth_meth_ast_executableComponentsDo_40_1_41_5485 = addmethod2pos(obj5349, "executableComponentsDo(1)", &meth_ast_executableComponentsDo_40_1_41_5485, 15);
  int argcv_meth_ast_executableComponentsDo_40_1_41_5485[] = {1};
  meth_meth_ast_executableComponentsDo_40_1_41_5485->type = alloc_MethodType(1, argcv_meth_ast_executableComponentsDo_40_1_41_5485);
  meth_meth_ast_executableComponentsDo_40_1_41_5485->definitionModule = modulename;
  meth_meth_ast_executableComponentsDo_40_1_41_5485->definitionLine = 1329;
// method "scope:=(_)"
  struct UserObject *uo5498 = (struct UserObject*)obj5349;
  uo5498->data[16] = emptyclosure;
  Method *meth_meth_ast_scope_58__61__40_1_41_5498 = addmethod2pos(obj5349, "scope:=(1)", &meth_ast_scope_58__61__40_1_41_5498, 16);
  int argcv_meth_ast_scope_58__61__40_1_41_5498[] = {1};
  meth_meth_ast_scope_58__61__40_1_41_5498->type = alloc_MethodType(1, argcv_meth_ast_scope_58__61__40_1_41_5498);
  meth_meth_ast_scope_58__61__40_1_41_5498->definitionModule = modulename;
  meth_meth_ast_scope_58__61__40_1_41_5498->definitionLine = 1337;
// method "body"
  struct UserObject *uo5503 = (struct UserObject*)obj5349;
  uo5503->data[17] = emptyclosure;
  Method *meth_meth_ast_body5503 = addmethod2pos(obj5349, "body", &meth_ast_body5503, 17);
  int argcv_meth_ast_body5503[] = {0};
  meth_meth_ast_body5503->type = alloc_MethodType(1, argcv_meth_ast_body5503);
  meth_meth_ast_body5503->definitionModule = modulename;
  meth_meth_ast_body5503->definitionLine = 1343;
// method "returnsObject"
  struct UserObject *uo5506 = (struct UserObject*)obj5349;
  uo5506->data[18] = emptyclosure;
  Method *meth_meth_ast_returnsObject5506 = addmethod2pos(obj5349, "returnsObject", &meth_ast_returnsObject5506, 18);
  int argcv_meth_ast_returnsObject5506[] = {0};
  meth_meth_ast_returnsObject5506->type = alloc_MethodType(1, argcv_meth_ast_returnsObject5506);
  meth_meth_ast_returnsObject5506->definitionModule = modulename;
  meth_meth_ast_returnsObject5506->definitionLine = 1344;
// method "returnedObjectScope"
  struct UserObject *uo5508 = (struct UserObject*)obj5349;
  uo5508->data[19] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope5508 = addmethod2pos(obj5349, "returnedObjectScope", &meth_ast_returnedObjectScope5508, 19);
  int argcv_meth_ast_returnedObjectScope5508[] = {0};
  meth_meth_ast_returnedObjectScope5508->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope5508);
  meth_meth_ast_returnedObjectScope5508->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope5508->definitionLine = 1345;
// method "canInherit"
  struct UserObject *uo5511 = (struct UserObject*)obj5349;
  uo5511->data[20] = emptyclosure;
  Method *meth_meth_ast_canInherit5511 = addmethod2pos(obj5349, "canInherit", &meth_ast_canInherit5511, 20);
  int argcv_meth_ast_canInherit5511[] = {0};
  meth_meth_ast_canInherit5511->type = alloc_MethodType(1, argcv_meth_ast_canInherit5511);
  meth_meth_ast_canInherit5511->definitionModule = modulename;
  meth_meth_ast_canInherit5511->definitionLine = 1346;
// method "canUse"
  struct UserObject *uo5516 = (struct UserObject*)obj5349;
  uo5516->data[21] = emptyclosure;
  Method *meth_meth_ast_canUse5516 = addmethod2pos(obj5349, "canUse", &meth_ast_canUse5516, 21);
  int argcv_meth_ast_canUse5516[] = {0};
  meth_meth_ast_canUse5516->type = alloc_MethodType(1, argcv_meth_ast_canUse5516);
  meth_meth_ast_canUse5516->definitionModule = modulename;
  meth_meth_ast_canUse5516->definitionLine = 1347;
// method "isObject"
  struct UserObject *uo5518 = (struct UserObject*)obj5349;
  uo5518->data[22] = emptyclosure;
  Method *meth_meth_ast_isObject5518 = addmethod2pos(obj5349, "isObject", &meth_ast_isObject5518, 22);
  int argcv_meth_ast_isObject5518[] = {0};
  meth_meth_ast_isObject5518->type = alloc_MethodType(1, argcv_meth_ast_isObject5518);
  meth_meth_ast_isObject5518->definitionModule = modulename;
  meth_meth_ast_isObject5518->definitionLine = 1348;
// method "accept(_)from(_)"
  struct UserObject *uo5520 = (struct UserObject*)obj5349;
  uo5520->data[23] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5520 = addmethod2pos(obj5349, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5520, 23);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5520[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5520->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5520);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5520->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5520->definitionLine = 1349;
// method "nameString"
  struct UserObject *uo5555 = (struct UserObject*)obj5349;
  uo5555->data[24] = emptyclosure;
  Method *meth_meth_ast_nameString5555 = addmethod2pos(obj5349, "nameString", &meth_ast_nameString5555, 24);
  int argcv_meth_ast_nameString5555[] = {0};
  meth_meth_ast_nameString5555->type = alloc_MethodType(1, argcv_meth_ast_nameString5555);
  meth_meth_ast_nameString5555->definitionModule = modulename;
  meth_meth_ast_nameString5555->definitionLine = 1359;
// method "map(_)ancestors(_)"
  struct UserObject *uo5575 = (struct UserObject*)obj5349;
  uo5575->data[25] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_5575 = addmethod2pos(obj5349, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_5575, 25);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5575[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5575->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5575);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5575->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5575->definitionLine = 1366;
// method "pretty(_)"
  struct UserObject *uo5612 = (struct UserObject*)obj5349;
  uo5612->data[26] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_5612 = addmethod2pos(obj5349, "pretty(1)", &meth_ast_pretty_40_1_41_5612, 26);
  int argcv_meth_ast_pretty_40_1_41_5612[] = {1};
  meth_meth_ast_pretty_40_1_41_5612->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_5612);
  meth_meth_ast_pretty_40_1_41_5612->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_5612->definitionLine = 1374;
// method "toGrace(_)"
  struct UserObject *uo5764 = (struct UserObject*)obj5349;
  uo5764->data[27] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_5764 = addmethod2pos(obj5349, "toGrace(1)", &meth_ast_toGrace_40_1_41_5764, 27);
  int argcv_meth_ast_toGrace_40_1_41_5764[] = {1};
  meth_meth_ast_toGrace_40_1_41_5764->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_5764);
meth_meth_ast_toGrace_40_1_41_5764->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_5764->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_5764->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_5764->definitionLine = 1397;
// method "shallowCopy"
  block_savedest(obj5349);
  Object closure5885 = createclosure(2, "shallowCopy");
  setclosureframe(closure5885, stackframe);
  addtoclosure(closure5885, var_emptySeq);
  addtoclosure(closure5885, var_objectNode);
  struct UserObject *uo5885 = (struct UserObject*)obj5349;
  uo5885->data[28] = (Object)closure5885;
  Method *meth_meth_ast_shallowCopy5885 = addmethod2pos(obj5349, "shallowCopy", &meth_ast_shallowCopy5885, 28);
  int argcv_meth_ast_shallowCopy5885[] = {0};
  meth_meth_ast_shallowCopy5885->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy5885);
  meth_meth_ast_shallowCopy5885->definitionModule = modulename;
  meth_meth_ast_shallowCopy5885->definitionLine = 1415;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo5891 = (struct UserObject*)obj5349;
  uo5891->data[29] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5891 = addmethod2pos(obj5349, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_5891, 29);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5891[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5891->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_5891);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5891->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_5891->definitionLine = 1418;
// method "asString"
  struct UserObject *uo5922 = (struct UserObject*)obj5349;
  uo5922->data[30] = emptyclosure;
  Method *meth_meth_ast_asString5922 = addmethod2pos(obj5349, "asString", &meth_ast_asString5922, 30);
  int argcv_meth_ast_asString5922[] = {0};
  meth_meth_ast_asString5922->type = alloc_MethodType(1, argcv_meth_ast_asString5922);
  meth_meth_ast_asString5922->definitionModule = modulename;
  meth_meth_ast_asString5922->definitionLine = 1429;
  sourceObject = obj5349;
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5933 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5934 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5935 = gc_frame_new();
// call case 3: self.outer request
  Object call5936 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5935);
// compiled member node returning call5936 (depth = 5)
  Object call5937 = callmethodflags(call5936, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5934);
// compiled member node returning call5937 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call5938 = callmethodflags(call5937, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5933);
// compiled call node returning call5938 (depth = 3)
  struct UserObject *obj5349_uo = (struct UserObject *)obj5349;
  obj5349_uo->super = call5938;
  sourceObject = obj5349;
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5939 == NULL) {
    strlit5939 = alloc_String("object");
    gc_root(strlit5939);
  }
// compiled string node returning strlit5939 (depth = 3)
  adddatum2(obj5349, strlit5939, 1);
  sourceObject = obj5349;
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_b (depth = 3)
  adddatum2(obj5349, *var_b, 2);
  sourceObject = obj5349;
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_superclass_39_ (depth = 3)
  adddatum2(obj5349, *var_superclass_39_, 3);
  sourceObject = obj5349;
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5940 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5940 (depth = 3)
  adddatum2(obj5349, array5940, 4);
  sourceObject = obj5349;
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit5941 == NULL) {
    strlit5941 = alloc_String("object");
    gc_root(strlit5941);
  }
// compiled string node returning strlit5941 (depth = 3)
  adddatum2(obj5349, strlit5941, 5);
  sourceObject = obj5349;
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5942 = alloc_Boolean(0);
// compiled identifier node returning bool5942 (depth = 3)
  adddatum2(obj5349, bool5942, 6);
  sourceObject = obj5349;
// Begin line 1276
  setline(1276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5943 = alloc_Boolean(0);
// compiled identifier node returning bool5943 (depth = 3)
  adddatum2(obj5349, bool5943, 7);
  sourceObject = obj5349;
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool5944 = alloc_Boolean(0);
// compiled identifier node returning bool5944 (depth = 3)
  adddatum2(obj5349, bool5944, 8);
  sourceObject = obj5349;
// Begin line 1278
  setline(1278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array5945 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5945 (depth = 3)
  adddatum2(obj5349, array5945, 9);
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  sourceObject = obj5349;
  objclass5349 = obj5349->class;
  objclass5349->definitionModule = modulename;
  objclass5349->definitionLine = 1268;
  (*(struct UserObject *)self).data[0] = lowerouter5349;
  self = oldself5349;
  selfslot = oldselfslot5349;
  stackframe = oldstackframe5349;
  gc_frame_end(frame);
  return obj5349;
}
Object meth_ast_objectNode5947(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "objectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_objectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_objectNode (depth = 3)
  gc_frame_end(frame);
  return *var_objectNode;
}
Object meth_ast__apply_40_1_41_5965(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1443
  setline(1443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5966 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ax (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5967 = callmethodflags(*var_ax, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5966);
// compiled call node returning call5967 (depth = 6)
  gc_frame_end(frame);
  return call5967;
}
Object meth_ast_accept_40_1_41_from_40_1_41_5955(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5957 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5958 = callmethodflags(*var_visitor, "visitArray(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5957);
// compiled call node returning call5958 (depth = 4)
  Object if5956 = done;
  if (istrue(call5958)) {
// Begin line 1441
  setline(1441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5959 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call5960 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5959);
// compiled call node returning call5960 (depth = 5)
  *var_newChain = call5960;
  if (call5960 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5961 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5962 = gc_frame_new();
// call case 4: self request
  Object call5963 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5962);
// compiled member node returning call5963 (depth = 5)
  gc_frame_newslot(call5963);
// starting to compile block node (depth = 5)
  Object block5964 = alloc_Block(NULL, NULL, "ast", 1442);
  gc_frame_newslot(block5964);
// method "_apply(_)"
  block_savedest(block5964);
  Object closure5965 = createclosure(3, "_apply(1)");
  setclosureframe(closure5965, stackframe);
  addtoclosure(closure5965, var_visitor);
  addtoclosure(closure5965, var_newChain);
  addtoclosure(closure5965, selfslot);
  struct UserObject *uo5965 = (struct UserObject*)block5964;
  uo5965->data[0] = (Object)closure5965;
  Method *meth_meth_ast__apply_40_1_41_5965 = addmethod2pos(block5964, "_apply(1)", &meth_ast__apply_40_1_41_5965, 0);
  int argcv_meth_ast__apply_40_1_41_5965[] = {1};
  meth_meth_ast__apply_40_1_41_5965->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5965);
  meth_meth_ast__apply_40_1_41_5965->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5965->definitionLine = 2947;
// compiled block node returning block5964 (depth = 5)
  gc_frame_newslot(block5964);
// call case 5: prelude request
  params[0] = call5963;
  params[1] = block5964;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5969 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5961);
// compiled call node returning call5969 (depth = 4)
    gc_frame_newslot(call5969);
    if5956 = call5969;
  } else {
  }
// compiled if node returning if5956 (depth = 3)
  gc_frame_end(frame);
  return if5956;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_5970(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5971 = gc_frame_new();
// call case 4: self request
  Object call5972 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5971);
// compiled member node returning call5972 (depth = 4)
  *var_n = call5972;
  if (call5972 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5973 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call5974 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5973);
// compiled call node returning call5974 (depth = 4)
  *var_newChain = call5974;
  if (call5974 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5975 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe5976 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5977 = gc_frame_new();
// call case 4: self request
  Object call5978 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5977);
// compiled member node returning call5978 (depth = 5)
  gc_frame_newslot(call5978);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5979 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5980 = gc_frame_new();
// call case 3: self.outer request
  Object call5981 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe5980);
// compiled member node returning call5981 (depth = 6)
  Object call5982 = callmethodflags(call5981, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe5979);
// compiled member node returning call5982 (depth = 5)
  params[0] = call5978;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call5983 = callmethodflags(call5982, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5976);
// compiled call node returning call5983 (depth = 4)
  gc_frame_newslot(call5983);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call5983;
  partcv[0] = 1;
  Object call5984 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5975);
// compiled call node returning call5984 (depth = 3)
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5985 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call5986 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5985);
// compiled call node returning call5986 (depth = 3)
  gc_frame_end(frame);
  return call5986;
}
Object meth_ast__apply_40_1_41_5995(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ai = &(stackframe->slots[0]);
  *var_ai = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5997 == NULL) {
    strlit5997 = alloc_String("  ");
    gc_root(strlit5997);
  }
// compiled string node returning strlit5997 (depth = 7)
  int op_slot_right_5996 = gc_frame_newslot(strlit5997);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_5996 = gc_frame_newslot(*var_spc);
  params[0] = strlit5997;
  partcv[0] = 1;
  Object opresult5999 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult5999 (depth = 6)
  *var_spc = opresult5999;
  if (opresult5999 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_6009(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ax = &(stackframe->slots[0]);
  *var_ax = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6011 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6013 = alloc_Float64(1);
// compiled num node returning num6013 (depth = 9)
  int op_slot_right_6012 = gc_frame_newslot(num6013);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6012 = gc_frame_newslot(*var_depth);
  params[0] = num6013;
  partcv[0] = 1;
  Object sum6015 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6015 (depth = 8)
  gc_frame_newslot(sum6015);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ax (depth = 8)
  params[0] = sum6015;
  partcv[0] = 1;
  Object call6016 = callmethodflags(*var_ax, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6011);
// compiled call node returning call6016 (depth = 7)
  int op_slot_right_6010 = gc_frame_newslot(call6016);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_6018 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6021 == NULL) {
    strlit6021 = alloc_String("""\x0a""");
    gc_root(strlit6021);
  }
// compiled string node returning strlit6021 (depth = 9)
  int op_slot_right_6020 = gc_frame_newslot(strlit6021);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_6020 = gc_frame_newslot(*var_s);
  params[0] = strlit6021;
  partcv[0] = 1;
  Object opresult6023 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6023 (depth = 8)
  int op_slot_left_6018 = gc_frame_newslot(opresult6023);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6024 = callmethod(opresult6023, "++(1)", 1, partcv, params);
// compiled op node returning opresult6024 (depth = 7)
  int op_slot_left_6010 = gc_frame_newslot(opresult6024);
  params[0] = call6016;
  partcv[0] = 1;
  Object opresult6025 = callmethod(opresult6024, "++(1)", 1, partcv, params);
// compiled op node returning opresult6025 (depth = 6)
  *var_s = opresult6025;
  if (opresult6025 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_5987(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5988 == NULL) {
    strlit5988 = alloc_String("");
    gc_root(strlit5988);
  }
// compiled string node returning strlit5988 (depth = 4)
  *var_spc = strlit5988;
  if (strlit5988 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1455
  setline(1455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5989 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_5990 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num5992 = alloc_Float64(0);
// compiled num node returning num5992 (depth = 5)
  int op_slot_left_5990 = gc_frame_newslot(num5992);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult5993 = callmethod(num5992, "..(1)", 1, partcv, params);
// compiled op node returning opresult5993 (depth = 4)
  gc_frame_newslot(opresult5993);
// starting to compile block node (depth = 4)
  Object block5994 = alloc_Block(NULL, NULL, "ast", 1455);
  gc_frame_newslot(block5994);
// method "_apply(_)"
  block_savedest(block5994);
  Object closure5995 = createclosure(2, "_apply(1)");
  setclosureframe(closure5995, stackframe);
  addtoclosure(closure5995, var_spc);
  addtoclosure(closure5995, selfslot);
  struct UserObject *uo5995 = (struct UserObject*)block5994;
  uo5995->data[0] = (Object)closure5995;
  Method *meth_meth_ast__apply_40_1_41_5995 = addmethod2pos(block5994, "_apply(1)", &meth_ast__apply_40_1_41_5995, 0);
  int argcv_meth_ast__apply_40_1_41_5995[] = {1};
  meth_meth_ast__apply_40_1_41_5995->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_5995);
  meth_meth_ast__apply_40_1_41_5995->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_5995->definitionLine = 2947;
// compiled block node returning block5994 (depth = 4)
  gc_frame_newslot(block5994);
// call case 5: prelude request
  params[0] = opresult5993;
  params[1] = block5994;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6002 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5989);
// compiled call node returning call6002 (depth = 3)
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6003 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6004 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6003);
// compiled call node returning call6004 (depth = 4)
  *var_s = call6004;
  if (call6004 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6005 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6006 = gc_frame_new();
// call case 4: self request
  Object call6007 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6006);
// compiled member node returning call6007 (depth = 4)
  gc_frame_newslot(call6007);
// starting to compile block node (depth = 4)
  Object block6008 = alloc_Block(NULL, NULL, "ast", 1459);
  gc_frame_newslot(block6008);
// method "_apply(_)"
  block_savedest(block6008);
  Object closure6009 = createclosure(4, "_apply(1)");
  setclosureframe(closure6009, stackframe);
  addtoclosure(closure6009, var_depth);
  addtoclosure(closure6009, var_spc);
  addtoclosure(closure6009, var_s);
  addtoclosure(closure6009, selfslot);
  struct UserObject *uo6009 = (struct UserObject*)block6008;
  uo6009->data[0] = (Object)closure6009;
  Method *meth_meth_ast__apply_40_1_41_6009 = addmethod2pos(block6008, "_apply(1)", &meth_ast__apply_40_1_41_6009, 0);
  int argcv_meth_ast__apply_40_1_41_6009[] = {1};
  meth_meth_ast__apply_40_1_41_6009->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6009);
  meth_meth_ast__apply_40_1_41_6009->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6009->definitionLine = 2947;
// compiled block node returning block6008 (depth = 4)
  gc_frame_newslot(block6008);
// call case 5: prelude request
  params[0] = call6007;
  params[1] = block6008;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6028 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6005);
// compiled call node returning call6028 (depth = 3)
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_6037(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1467
  setline(1467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6039 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6040 = alloc_Float64(0);
// compiled num node returning num6040 (depth = 8)
  gc_frame_newslot(num6040);
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe6041 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe6042 = gc_frame_new();
// call case 4: self request
  Object call6043 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6042);
// compiled member node returning call6043 (depth = 9)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call6044 = callmethodflags(call6043, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6041);
// compiled call node returning call6044 (depth = 8)
  params[0] = num6040;
  partcv[0] = 1;
  Object call6045 = callmethodflags(call6044, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6039);
// compiled call node returning call6045 (depth = 7)
  int op_slot_right_6038 = gc_frame_newslot(call6045);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6038 = gc_frame_newslot(*var_s);
  params[0] = call6045;
  partcv[0] = 1;
  Object opresult6047 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6047 (depth = 6)
  *var_s = opresult6047;
  if (opresult6047 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1468
  setline(1468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6051 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6052 = gc_frame_new();
// call case 4: self request
  Object call6053 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6052);
// compiled member node returning call6053 (depth = 8)
  Object call6054 = callmethodflags(call6053, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6051);
// compiled member node returning call6054 (depth = 7)
  int op_slot_right_6050 = gc_frame_newslot(call6054);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_i (depth = 7)
  int op_slot_left_6050 = gc_frame_newslot(*var_i);
  params[0] = call6054;
  partcv[0] = 1;
  Object opresult6056 = callmethod(*var_i, "<(1)", 1, partcv, params);
// compiled op node returning opresult6056 (depth = 6)
  Object if6049 = done;
  if (istrue(opresult6056)) {
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6058 == NULL) {
    strlit6058 = alloc_String(", ");
    gc_root(strlit6058);
  }
// compiled string node returning strlit6058 (depth = 8)
  int op_slot_right_6057 = gc_frame_newslot(strlit6058);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6057 = gc_frame_newslot(*var_s);
  params[0] = strlit6058;
  partcv[0] = 1;
  Object opresult6060 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6060 (depth = 7)
  *var_s = opresult6060;
  if (opresult6060 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if6049 = done;
  } else {
  }
// compiled if node returning if6049 (depth = 5)
  gc_frame_end(frame);
  return if6049;
}
Object meth_ast_toGrace_40_1_41_6029(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1465
  setline(1465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6030 == NULL) {
    strlit6030 = alloc_String("[");
    gc_root(strlit6030);
  }
// compiled string node returning strlit6030 (depth = 4)
  *var_s = strlit6030;
  if (strlit6030 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1466
  setline(1466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6031 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6032 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6033 = gc_frame_new();
// call case 4: self request
  Object call6034 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6033);
// compiled member node returning call6034 (depth = 5)
  Object call6035 = callmethodflags(call6034, "indices", 0, partcv, params, 0);
  gc_frame_end(callframe6032);
// compiled member node returning call6035 (depth = 4)
  gc_frame_newslot(call6035);
// starting to compile block node (depth = 4)
  Object block6036 = alloc_Block(NULL, NULL, "ast", 1466);
  gc_frame_newslot(block6036);
// method "_apply(_)"
  block_savedest(block6036);
  Object closure6037 = createclosure(2, "_apply(1)");
  setclosureframe(closure6037, stackframe);
  addtoclosure(closure6037, var_s);
  addtoclosure(closure6037, selfslot);
  struct UserObject *uo6037 = (struct UserObject*)block6036;
  uo6037->data[0] = (Object)closure6037;
  Method *meth_meth_ast__apply_40_1_41_6037 = addmethod2pos(block6036, "_apply(1)", &meth_ast__apply_40_1_41_6037, 0);
  int argcv_meth_ast__apply_40_1_41_6037[] = {1};
  meth_meth_ast__apply_40_1_41_6037->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6037);
  meth_meth_ast__apply_40_1_41_6037->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6037->definitionLine = 2947;
// compiled block node returning block6036 (depth = 4)
  gc_frame_newslot(block6036);
// call case 5: prelude request
  params[0] = call6035;
  params[1] = block6036;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6063 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6031);
// compiled call node returning call6063 (depth = 3)
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6065 == NULL) {
    strlit6065 = alloc_String("]");
    gc_root(strlit6065);
  }
// compiled string node returning strlit6065 (depth = 5)
  int op_slot_right_6064 = gc_frame_newslot(strlit6065);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_6064 = gc_frame_newslot(*var_s);
  params[0] = strlit6065;
  partcv[0] = 1;
  Object opresult6067 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6067 (depth = 4)
  *var_s = opresult6067;
  if (opresult6067 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1473
  setline(1473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy6069(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1476
  setline(1476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6070 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6071 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_arrayNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call6072 = callmethodflags(*var_arrayNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6071);
// compiled call node returning call6072 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6073 = callmethodflags(call6072, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6070);
// compiled call node returning call6073 (depth = 3)
  gc_frame_end(frame);
  return call6073;
}
Object meth_ast_new_40_1_41_5950(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5951 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5951 = alloc_userobj2(8,8, objclass5951);
  gc_frame_newslot(obj5951);
if (objclass5951 == NULL) {
  glfree(obj5951->class->name);
  obj5951->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5951, self, 0);
  addmethodreal(obj5951,"outer", &reader_ast_outer_5952);
  Object oldself5951 = self;
  struct StackFrameObject *oldstackframe5951 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5951);
  gc_frame_newslot((Object)stackframe);
  self = obj5951;
  Object *oldselfslot5951 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5951 = (*(struct UserObject *)self).data[0], lowerouter5951 = thisouter5951;
  if (inheritingObject5951) {
    struct UserObject *inho5951 = (struct UserObject *)inheritingObject5951;
    while (inho5951->super != GraceDefaultObject) inho5951 = (struct UserObject *)inho5951->super;
    inho5951->super = obj5951;
    self = inheritingObject5951;
    *selfslot = self;
    lowerouter5951 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5951;
  }
if (objclass5951 == NULL) {
  Method *reader5953 = addmethodrealflags(obj5951, "kind",&reader_ast_kind_5953, MFLAG_DEF);
  reader5953->definitionModule = modulename;
  reader5953->definitionLine = 1437;
}
adddatum2(obj5951, alloc_Undefined(), 1);
if (objclass5951 == NULL) {
  Method *reader5954 = addmethodrealflags(obj5951, "value", &reader_ast_value_5954, 0);
  Method *writer5954 = addmethodrealflags(obj5951, "value:=(1)", &writer_ast_value_5954, 0);
  reader5954->definitionModule = modulename;
  writer5954->definitionModule = modulename;
  reader5954->definitionLine = 1438;
  writer5954->definitionLine = 1438;
}
obj5951->flags |= OFLAG_MUTABLE;
adddatum2(obj5951, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo5955 = (struct UserObject*)obj5951;
  uo5955->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5955 = addmethod2pos(obj5951, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5955, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5955[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5955->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5955);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5955->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5955->definitionLine = 1439;
// method "map(_)ancestors(_)"
  struct UserObject *uo5970 = (struct UserObject*)obj5951;
  uo5970->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_5970 = addmethod2pos(obj5951, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_5970, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5970[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5970->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5970);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5970->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5970->definitionLine = 1447;
// method "pretty(_)"
  struct UserObject *uo5987 = (struct UserObject*)obj5951;
  uo5987->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_5987 = addmethod2pos(obj5951, "pretty(1)", &meth_ast_pretty_40_1_41_5987, 5);
  int argcv_meth_ast_pretty_40_1_41_5987[] = {1};
  meth_meth_ast_pretty_40_1_41_5987->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_5987);
  meth_meth_ast_pretty_40_1_41_5987->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_5987->definitionLine = 1453;
// method "toGrace(_)"
  struct UserObject *uo6029 = (struct UserObject*)obj5951;
  uo6029->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6029 = addmethod2pos(obj5951, "toGrace(1)", &meth_ast_toGrace_40_1_41_6029, 6);
  int argcv_meth_ast_toGrace_40_1_41_6029[] = {1};
  meth_meth_ast_toGrace_40_1_41_6029->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6029);
meth_meth_ast_toGrace_40_1_41_6029->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6029->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6029->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6029->definitionLine = 1464;
// method "shallowCopy"
  block_savedest(obj5951);
  Object closure6069 = createclosure(2, "shallowCopy");
  setclosureframe(closure6069, stackframe);
  addtoclosure(closure6069, var_emptySeq);
  addtoclosure(closure6069, var_arrayNode);
  struct UserObject *uo6069 = (struct UserObject*)obj5951;
  uo6069->data[7] = (Object)closure6069;
  Method *meth_meth_ast_shallowCopy6069 = addmethod2pos(obj5951, "shallowCopy", &meth_ast_shallowCopy6069, 7);
  int argcv_meth_ast_shallowCopy6069[] = {0};
  meth_meth_ast_shallowCopy6069->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6069);
  meth_meth_ast_shallowCopy6069->definitionModule = modulename;
  meth_meth_ast_shallowCopy6069->definitionLine = 1475;
  sourceObject = obj5951;
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6074 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6075 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6076 = gc_frame_new();
// call case 3: self.outer request
  Object call6077 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6076);
// compiled member node returning call6077 (depth = 5)
  Object call6078 = callmethodflags(call6077, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6075);
// compiled member node returning call6078 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6079 = callmethodflags(call6078, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6074);
// compiled call node returning call6079 (depth = 3)
  struct UserObject *obj5951_uo = (struct UserObject *)obj5951;
  obj5951_uo->super = call6079;
  sourceObject = obj5951;
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6080 == NULL) {
    strlit6080 = alloc_String("array");
    gc_root(strlit6080);
  }
// compiled string node returning strlit6080 (depth = 3)
  adddatum2(obj5951, strlit6080, 1);
  sourceObject = obj5951;
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  adddatum2(obj5951, *var_values, 2);
  sourceObject = obj5951;
  sourceObject = obj5951;
  sourceObject = obj5951;
  sourceObject = obj5951;
  sourceObject = obj5951;
  objclass5951 = obj5951->class;
  objclass5951->definitionModule = modulename;
  objclass5951->definitionLine = 1435;
  (*(struct UserObject *)self).data[0] = lowerouter5951;
  self = oldself5951;
  selfslot = oldselfslot5951;
  stackframe = oldstackframe5951;
  gc_frame_end(frame);
  return obj5951;
}
Object meth_ast_new_40_1_41_5950_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_arrayNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_values = &(stackframe->slots[0]);
  *var_values = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject5951 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5951 = alloc_userobj2(8,8, objclass5951);
  gc_frame_newslot(obj5951);
if (objclass5951 == NULL) {
  glfree(obj5951->class->name);
  obj5951->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5951, self, 0);
  addmethodreal(obj5951,"outer", &reader_ast_outer_5952);
  Object oldself5951 = self;
  struct StackFrameObject *oldstackframe5951 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5951);
  gc_frame_newslot((Object)stackframe);
  self = obj5951;
  Object *oldselfslot5951 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5951 = (*(struct UserObject *)self).data[0], lowerouter5951 = thisouter5951;
  if (inheritingObject5951) {
    struct UserObject *inho5951 = (struct UserObject *)inheritingObject5951;
    while (inho5951->super != GraceDefaultObject) inho5951 = (struct UserObject *)inho5951->super;
    inho5951->super = obj5951;
    self = inheritingObject5951;
    *selfslot = self;
    lowerouter5951 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5951;
  }
if (objclass5951 == NULL) {
  Method *reader5953 = addmethodrealflags(obj5951, "kind",&reader_ast_kind_5953, MFLAG_DEF);
  reader5953->definitionModule = modulename;
  reader5953->definitionLine = 1437;
}
adddatum2(obj5951, alloc_Undefined(), 1);
if (objclass5951 == NULL) {
  Method *reader5954 = addmethodrealflags(obj5951, "value", &reader_ast_value_5954, 0);
  Method *writer5954 = addmethodrealflags(obj5951, "value:=(1)", &writer_ast_value_5954, 0);
  reader5954->definitionModule = modulename;
  writer5954->definitionModule = modulename;
  reader5954->definitionLine = 1438;
  writer5954->definitionLine = 1438;
}
obj5951->flags |= OFLAG_MUTABLE;
adddatum2(obj5951, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo5955 = (struct UserObject*)obj5951;
  uo5955->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_5955 = addmethod2pos(obj5951, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_5955, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_5955[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_5955->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_5955);
  meth_meth_ast_accept_40_1_41_from_40_1_41_5955->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_5955->definitionLine = 1439;
// method "map(_)ancestors(_)"
  struct UserObject *uo5970 = (struct UserObject*)obj5951;
  uo5970->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_5970 = addmethod2pos(obj5951, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_5970, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5970[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5970->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_5970);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5970->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_5970->definitionLine = 1447;
// method "pretty(_)"
  struct UserObject *uo5987 = (struct UserObject*)obj5951;
  uo5987->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_5987 = addmethod2pos(obj5951, "pretty(1)", &meth_ast_pretty_40_1_41_5987, 5);
  int argcv_meth_ast_pretty_40_1_41_5987[] = {1};
  meth_meth_ast_pretty_40_1_41_5987->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_5987);
  meth_meth_ast_pretty_40_1_41_5987->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_5987->definitionLine = 1453;
// method "toGrace(_)"
  struct UserObject *uo6029 = (struct UserObject*)obj5951;
  uo6029->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6029 = addmethod2pos(obj5951, "toGrace(1)", &meth_ast_toGrace_40_1_41_6029, 6);
  int argcv_meth_ast_toGrace_40_1_41_6029[] = {1};
  meth_meth_ast_toGrace_40_1_41_6029->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6029);
meth_meth_ast_toGrace_40_1_41_6029->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6029->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6029->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6029->definitionLine = 1464;
// method "shallowCopy"
  block_savedest(obj5951);
  Object closure6069 = createclosure(2, "shallowCopy");
  setclosureframe(closure6069, stackframe);
  addtoclosure(closure6069, var_emptySeq);
  addtoclosure(closure6069, var_arrayNode);
  struct UserObject *uo6069 = (struct UserObject*)obj5951;
  uo6069->data[7] = (Object)closure6069;
  Method *meth_meth_ast_shallowCopy6069 = addmethod2pos(obj5951, "shallowCopy", &meth_ast_shallowCopy6069, 7);
  int argcv_meth_ast_shallowCopy6069[] = {0};
  meth_meth_ast_shallowCopy6069->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6069);
  meth_meth_ast_shallowCopy6069->definitionModule = modulename;
  meth_meth_ast_shallowCopy6069->definitionLine = 1475;
  sourceObject = obj5951;
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6074 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6075 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6076 = gc_frame_new();
// call case 3: self.outer request
  Object call6077 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6076);
// compiled member node returning call6077 (depth = 5)
  Object call6078 = callmethodflags(call6077, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6075);
// compiled member node returning call6078 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6079 = callmethodflags(call6078, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6074);
// compiled call node returning call6079 (depth = 3)
  struct UserObject *obj5951_uo = (struct UserObject *)obj5951;
  obj5951_uo->super = call6079;
  sourceObject = obj5951;
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6080 == NULL) {
    strlit6080 = alloc_String("array");
    gc_root(strlit6080);
  }
// compiled string node returning strlit6080 (depth = 3)
  adddatum2(obj5951, strlit6080, 1);
  sourceObject = obj5951;
// Begin line 1438
  setline(1438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  adddatum2(obj5951, *var_values, 2);
  sourceObject = obj5951;
  sourceObject = obj5951;
  sourceObject = obj5951;
  sourceObject = obj5951;
  sourceObject = obj5951;
  objclass5951 = obj5951->class;
  objclass5951->definitionModule = modulename;
  objclass5951->definitionLine = 1435;
  (*(struct UserObject *)self).data[0] = lowerouter5951;
  self = oldself5951;
  selfslot = oldselfslot5951;
  stackframe = oldstackframe5951;
  gc_frame_end(frame);
  return obj5951;
}
Object meth_ast_arrayNode6082(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "arrayNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_arrayNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arrayNode (depth = 3)
  gc_frame_end(frame);
  return *var_arrayNode;
}
Object meth_ast_new_40_2_41_scope_40_1_41_6085(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver = &(stackframe->slots[1]);
  *var_receiver = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1483
  setline(1483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6086 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_request (depth = 5)
  gc_frame_newslot(*var_request);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_receiver (depth = 5)
  gc_frame_newslot(*var_receiver);
// call case 4: self request
  params[0] = *var_request;
  params[1] = *var_receiver;
  partcv[0] = 2;
  Object call6087 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6086);
// compiled call node returning call6087 (depth = 4)
  *var_result = call6087;
  if (call6087 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6088 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call6089 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6088);
// compiled call node returning call6089 (depth = 3)
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_onSelf6098(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "onSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6099 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool6100 = alloc_Boolean(1);
// compiled identifier node returning bool6100 (depth = 4)
  gc_frame_newslot(bool6100);
// call case 4: self request
  params[0] = bool6100;
  partcv[0] = 1;
  Object call6101 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6099);
// compiled call node returning call6101 (depth = 3)
// Begin line 1498
  setline(1498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_nameString6102(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1500
  setline(1500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6103 = gc_frame_new();
// call case 4: self request
  Object call6104 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6103);
// compiled member node returning call6104 (depth = 3)
  gc_frame_end(frame);
  return call6104;
}
Object meth_ast_canonicalName6105(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1501
  setline(1501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6106 = gc_frame_new();
// call case 4: self request
  Object call6107 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6106);
// compiled member node returning call6107 (depth = 3)
  gc_frame_end(frame);
  return call6107;
}
Object meth_ast_isMember6108(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1502
  setline(1502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6109 = alloc_Boolean(1);
// compiled identifier node returning bool6109 (depth = 3)
  gc_frame_end(frame);
  return bool6109;
}
Object meth_ast_isCall6110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1503
  setline(1503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6111 = alloc_Boolean(1);
// compiled identifier node returning bool6111 (depth = 3)
  gc_frame_end(frame);
  return bool6111;
}
Object meth_ast_with6112(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "with");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1505
  setline(1505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_arguments6113(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "arguments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1506
  setline(1506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  gc_frame_end(frame);
  return *var_emptySeq;
}
Object meth_ast_argumentsDo6114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "argumentsDo");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_6130(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe6131 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_visitor (depth = 8)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newChain (depth = 8)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6132 = callmethodflags(*var_each, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6131);
// compiled call node returning call6132 (depth = 7)
  gc_frame_end(frame);
  return call6132;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6115(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1509
  setline(1509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6117 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6118 = callmethodflags(*var_visitor, "visitMember(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6117);
// compiled call node returning call6118 (depth = 4)
  Object if6116 = done;
  if (istrue(call6118)) {
// Begin line 1510
  setline(1510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6119 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6120 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6119);
// compiled call node returning call6120 (depth = 5)
  *var_newChain = call6120;
  if (call6120 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1511
  setline(1511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6123 = gc_frame_new();
// call case 4: self request
  Object call6124 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6123);
// compiled member node returning call6124 (depth = 6)
  int op_slot_right_6122 = gc_frame_newslot(call6124);
// starting to compile identifier node (depth = 6)
  Object bool6126 = alloc_Boolean(0);
// compiled identifier node returning bool6126 (depth = 6)
  int op_slot_left_6122 = gc_frame_newslot(bool6126);
  params[0] = call6124;
  partcv[0] = 1;
  Object opresult6127 = callmethod(bool6126, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6127 (depth = 5)
  Object if6121 = done;
  if (istrue(opresult6127)) {
// Begin line 1512
  setline(1512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6128 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block6129 = alloc_Block(NULL, NULL, "ast", 1512);
  gc_frame_newslot(block6129);
// method "_apply(_)"
  block_savedest(block6129);
  Object closure6130 = createclosure(3, "_apply(1)");
  setclosureframe(closure6130, stackframe);
  addtoclosure(closure6130, var_visitor);
  addtoclosure(closure6130, var_newChain);
  addtoclosure(closure6130, selfslot);
  struct UserObject *uo6130 = (struct UserObject*)block6129;
  uo6130->data[0] = (Object)closure6130;
  Method *meth_meth_ast__apply_40_1_41_6130 = addmethod2pos(block6129, "_apply(1)", &meth_ast__apply_40_1_41_6130, 0);
  int argcv_meth_ast__apply_40_1_41_6130[] = {1};
  meth_meth_ast__apply_40_1_41_6130->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6130);
  meth_meth_ast__apply_40_1_41_6130->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6130->definitionLine = 2947;
// compiled block node returning block6129 (depth = 6)
  gc_frame_newslot(block6129);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6134 = gc_frame_new();
// call case 4: self request
  Object call6135 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6134);
// compiled member node returning call6135 (depth = 6)
  params[0] = block6129;
  partcv[0] = 1;
  Object call6136 = callmethodflags(call6135, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6128);
// compiled call node returning call6136 (depth = 5)
    gc_frame_newslot(call6136);
    if6121 = call6136;
  } else {
  }
// compiled if node returning if6121 (depth = 4)
// Begin line 1514
  setline(1514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6137 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6138 = gc_frame_new();
// call case 4: self request
  Object call6139 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6138);
// compiled member node returning call6139 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6140 = callmethodflags(call6139, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6137);
// compiled call node returning call6140 (depth = 4)
    gc_frame_newslot(call6140);
    if6116 = call6140;
  } else {
  }
// compiled if node returning if6116 (depth = 3)
  gc_frame_end(frame);
  return if6116;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_6141(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1518
  setline(1518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6142 = gc_frame_new();
// call case 4: self request
  Object call6143 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6142);
// compiled member node returning call6143 (depth = 4)
  *var_n = call6143;
  if (call6143 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1519
  setline(1519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6144 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6145 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6144);
// compiled call node returning call6145 (depth = 4)
  *var_newChain = call6145;
  if (call6145 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1520
  setline(1520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6146 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6147 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6148 = gc_frame_new();
// call case 4: self request
  Object call6149 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6148);
// compiled member node returning call6149 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6150 = callmethodflags(call6149, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6147);
// compiled call node returning call6150 (depth = 4)
  gc_frame_newslot(call6150);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6150;
  partcv[0] = 1;
  Object call6151 = callmethodflags(*var_n, "receiver:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6146);
// compiled call node returning call6151 (depth = 3)
// Begin line 1521
  setline(1521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6152 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6153 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6154 = gc_frame_new();
// call case 4: self request
  Object call6155 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6154);
// compiled member node returning call6155 (depth = 5)
  gc_frame_newslot(call6155);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6156 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6157 = gc_frame_new();
// call case 3: self.outer request
  Object call6158 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6157);
// compiled member node returning call6158 (depth = 6)
  Object call6159 = callmethodflags(call6158, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6156);
// compiled member node returning call6159 (depth = 5)
  params[0] = call6155;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6160 = callmethodflags(call6159, "maybeListMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6153);
// compiled call node returning call6160 (depth = 4)
  gc_frame_newslot(call6160);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6160;
  partcv[0] = 1;
  Object call6161 = callmethodflags(*var_n, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6152);
// compiled call node returning call6161 (depth = 3)
// Begin line 1522
  setline(1522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6162 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6163 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6162);
// compiled call node returning call6163 (depth = 3)
  gc_frame_end(frame);
  return call6163;
}
Object meth_ast__apply_40_1_41_6172(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6174 == NULL) {
    strlit6174 = alloc_String("  ");
    gc_root(strlit6174);
  }
// compiled string node returning strlit6174 (depth = 7)
  int op_slot_right_6173 = gc_frame_newslot(strlit6174);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_6173 = gc_frame_newslot(*var_spc);
  params[0] = strlit6174;
  partcv[0] = 1;
  Object opresult6176 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult6176 (depth = 6)
  *var_spc = opresult6176;
  if (opresult6176 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_6239(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1536
  setline(1536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6241 = gc_frame_new();
// starting to compile num node (depth = 9)
  Object num6242 = alloc_Float64(0);
// compiled num node returning num6242 (depth = 9)
  gc_frame_newslot(num6242);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_g (depth = 9)
  params[0] = num6242;
  partcv[0] = 1;
  Object call6243 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6241);
// compiled call node returning call6243 (depth = 8)
  int op_slot_right_6240 = gc_frame_newslot(call6243);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6246 == NULL) {
    strlit6246 = alloc_String("    ");
    gc_root(strlit6246);
  }
// compiled string node returning strlit6246 (depth = 9)
  int op_slot_right_6245 = gc_frame_newslot(strlit6246);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_6248 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit6251 == NULL) {
    strlit6251 = alloc_String("""\x0a""");
    gc_root(strlit6251);
  }
// compiled string node returning strlit6251 (depth = 11)
  int op_slot_right_6250 = gc_frame_newslot(strlit6251);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_6250 = gc_frame_newslot(*var_s);
  params[0] = strlit6251;
  partcv[0] = 1;
  Object opresult6253 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6253 (depth = 10)
  int op_slot_left_6248 = gc_frame_newslot(opresult6253);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6254 = callmethod(opresult6253, "++(1)", 1, partcv, params);
// compiled op node returning opresult6254 (depth = 9)
  int op_slot_left_6245 = gc_frame_newslot(opresult6254);
  params[0] = strlit6246;
  partcv[0] = 1;
  Object opresult6255 = callmethod(opresult6254, "++(1)", 1, partcv, params);
// compiled op node returning opresult6255 (depth = 8)
  int op_slot_left_6240 = gc_frame_newslot(opresult6255);
  params[0] = call6243;
  partcv[0] = 1;
  Object opresult6256 = callmethod(opresult6255, "++(1)", 1, partcv, params);
// compiled op node returning opresult6256 (depth = 7)
  *var_s = opresult6256;
  if (opresult6256 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_6164(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1525
  setline(1525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6165 == NULL) {
    strlit6165 = alloc_String("");
    gc_root(strlit6165);
  }
// compiled string node returning strlit6165 (depth = 4)
  *var_spc = strlit6165;
  if (strlit6165 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6166 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_6167 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num6169 = alloc_Float64(0);
// compiled num node returning num6169 (depth = 5)
  int op_slot_left_6167 = gc_frame_newslot(num6169);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6170 = callmethod(num6169, "..(1)", 1, partcv, params);
// compiled op node returning opresult6170 (depth = 4)
  gc_frame_newslot(opresult6170);
// starting to compile block node (depth = 4)
  Object block6171 = alloc_Block(NULL, NULL, "ast", 1526);
  gc_frame_newslot(block6171);
// method "_apply(_)"
  block_savedest(block6171);
  Object closure6172 = createclosure(2, "_apply(1)");
  setclosureframe(closure6172, stackframe);
  addtoclosure(closure6172, var_spc);
  addtoclosure(closure6172, selfslot);
  struct UserObject *uo6172 = (struct UserObject*)block6171;
  uo6172->data[0] = (Object)closure6172;
  Method *meth_meth_ast__apply_40_1_41_6172 = addmethod2pos(block6171, "_apply(1)", &meth_ast__apply_40_1_41_6172, 0);
  int argcv_meth_ast__apply_40_1_41_6172[] = {1};
  meth_meth_ast__apply_40_1_41_6172->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6172);
  meth_meth_ast__apply_40_1_41_6172->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6172->definitionLine = 2947;
// compiled block node returning block6171 (depth = 4)
  gc_frame_newslot(block6171);
// call case 5: prelude request
  params[0] = opresult6170;
  params[1] = block6171;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6179 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6166);
// compiled call node returning call6179 (depth = 3)
// Begin line 1529
  setline(1529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6180 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6181 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6180);
// compiled call node returning call6181 (depth = 4)
  *var_s = call6181;
  if (call6181 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1530
  setline(1530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6184 = gc_frame_new();
// call case 4: self request
  Object call6185 = callmethodflags(self, "isSelfRequest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6184);
// compiled member node returning call6185 (depth = 6)
  Object if6183 = done;
struct StackFrameObject *iftmpstackframe6183 = stackframe;
  if (istrue(call6185)) {
stackframe = alloc_StackFrame(0, iftmpstackframe6183);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit6186 == NULL) {
    strlit6186 = alloc_String(" on self ");
    gc_root(strlit6186);
  }
// compiled string node returning strlit6186 (depth = 6)
    gc_frame_newslot(strlit6186);
    if6183 = strlit6186;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe6183);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit6187 == NULL) {
    strlit6187 = alloc_String(" ");
    gc_root(strlit6187);
  }
// compiled string node returning strlit6187 (depth = 6)
    gc_frame_newslot(strlit6187);
    if6183 = strlit6187;
  }
stackframe = iftmpstackframe6183;
// compiled if node returning if6183 (depth = 5)
  int op_slot_right_6182 = gc_frame_newslot(if6183);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_6182 = gc_frame_newslot(*var_s);
  params[0] = if6183;
  partcv[0] = 1;
  Object opresult6189 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6189 (depth = 4)
  *var_s = opresult6189;
  if (opresult6189 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1531
  setline(1531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6192 == NULL) {
    strlit6192 = alloc_String("""\xe2""""\x80""""\xba""""\x0a""");
    gc_root(strlit6192);
  }
// compiled string node returning strlit6192 (depth = 5)
  int op_slot_right_6191 = gc_frame_newslot(strlit6192);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6195 = gc_frame_new();
// call case 4: self request
  Object call6196 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6195);
// compiled member node returning call6196 (depth = 6)
  int op_slot_right_6194 = gc_frame_newslot(call6196);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6199 == NULL) {
    strlit6199 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit6199);
  }
// compiled string node returning strlit6199 (depth = 7)
  int op_slot_right_6198 = gc_frame_newslot(strlit6199);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6198 = gc_frame_newslot(*var_s);
  params[0] = strlit6199;
  partcv[0] = 1;
  Object opresult6201 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6201 (depth = 6)
  int op_slot_left_6194 = gc_frame_newslot(opresult6201);
  params[0] = call6196;
  partcv[0] = 1;
  Object opresult6202 = callmethod(opresult6201, "++(1)", 1, partcv, params);
// compiled op node returning opresult6202 (depth = 5)
  int op_slot_left_6191 = gc_frame_newslot(opresult6202);
  params[0] = strlit6192;
  partcv[0] = 1;
  Object opresult6203 = callmethod(opresult6202, "++(1)", 1, partcv, params);
// compiled op node returning opresult6203 (depth = 4)
  *var_s = opresult6203;
  if (opresult6203 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1532
  setline(1532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6206 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6207 = gc_frame_new();
// call case 4: self request
  Object call6208 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6207);
// compiled member node returning call6208 (depth = 6)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6209 = callmethodflags(call6208, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6206);
// compiled call node returning call6209 (depth = 5)
  int op_slot_right_6205 = gc_frame_newslot(call6209);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_6211 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6211 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6213 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6213 (depth = 5)
  int op_slot_left_6205 = gc_frame_newslot(opresult6213);
  params[0] = call6209;
  partcv[0] = 1;
  Object opresult6214 = callmethod(opresult6213, "++(1)", 1, partcv, params);
// compiled op node returning opresult6214 (depth = 4)
  *var_s = opresult6214;
  if (opresult6214 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6218 = gc_frame_new();
// call case 4: self request
  Object call6219 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6218);
// compiled member node returning call6219 (depth = 5)
  int op_slot_right_6217 = gc_frame_newslot(call6219);
// starting to compile identifier node (depth = 5)
  Object bool6221 = alloc_Boolean(0);
// compiled identifier node returning bool6221 (depth = 5)
  int op_slot_left_6217 = gc_frame_newslot(bool6221);
  params[0] = call6219;
  partcv[0] = 1;
  Object opresult6222 = callmethod(bool6221, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6222 (depth = 4)
  Object if6216 = done;
  if (istrue(opresult6222)) {
// Begin line 1534
  setline(1534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6224 == NULL) {
    strlit6224 = alloc_String("  Generics:");
    gc_root(strlit6224);
  }
// compiled string node returning strlit6224 (depth = 6)
  int op_slot_right_6223 = gc_frame_newslot(strlit6224);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_6226 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6229 == NULL) {
    strlit6229 = alloc_String("""\x0a""");
    gc_root(strlit6229);
  }
// compiled string node returning strlit6229 (depth = 8)
  int op_slot_right_6228 = gc_frame_newslot(strlit6229);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6228 = gc_frame_newslot(*var_s);
  params[0] = strlit6229;
  partcv[0] = 1;
  Object opresult6231 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6231 (depth = 7)
  int op_slot_left_6226 = gc_frame_newslot(opresult6231);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6232 = callmethod(opresult6231, "++(1)", 1, partcv, params);
// compiled op node returning opresult6232 (depth = 6)
  int op_slot_left_6223 = gc_frame_newslot(opresult6232);
  params[0] = strlit6224;
  partcv[0] = 1;
  Object opresult6233 = callmethod(opresult6232, "++(1)", 1, partcv, params);
// compiled op node returning opresult6233 (depth = 5)
  *var_s = opresult6233;
  if (opresult6233 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1535
  setline(1535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6235 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6236 = gc_frame_new();
// call case 4: self request
  Object call6237 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6236);
// compiled member node returning call6237 (depth = 5)
  gc_frame_newslot(call6237);
// starting to compile block node (depth = 5)
  Object block6238 = alloc_Block(NULL, NULL, "ast", 1535);
  gc_frame_newslot(block6238);
// method "_apply(_)"
  block_savedest(block6238);
  Object closure6239 = createclosure(3, "_apply(1)");
  setclosureframe(closure6239, stackframe);
  addtoclosure(closure6239, var_spc);
  addtoclosure(closure6239, var_s);
  addtoclosure(closure6239, selfslot);
  struct UserObject *uo6239 = (struct UserObject*)block6238;
  uo6239->data[0] = (Object)closure6239;
  Method *meth_meth_ast__apply_40_1_41_6239 = addmethod2pos(block6238, "_apply(1)", &meth_ast__apply_40_1_41_6239, 0);
  int argcv_meth_ast__apply_40_1_41_6239[] = {1};
  meth_meth_ast__apply_40_1_41_6239->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6239);
  meth_meth_ast__apply_40_1_41_6239->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6239->definitionLine = 2947;
// compiled block node returning block6238 (depth = 5)
  gc_frame_newslot(block6238);
// call case 5: prelude request
  params[0] = call6237;
  params[1] = block6238;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6259 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6235);
// compiled call node returning call6259 (depth = 4)
    gc_frame_newslot(call6259);
    if6216 = call6259;
  } else {
  }
// compiled if node returning if6216 (depth = 3)
// Begin line 1539
  setline(1539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_6336(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1552
  setline(1552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6338 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num6340 = alloc_Float64(1);
// compiled num node returning num6340 (depth = 10)
  int op_slot_right_6339 = gc_frame_newslot(num6340);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_6339 = gc_frame_newslot(*var_depth);
  params[0] = num6340;
  partcv[0] = 1;
  Object sum6342 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6342 (depth = 9)
  gc_frame_newslot(sum6342);
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe6343 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe6344 = gc_frame_new();
// call case 4: self request
  Object call6345 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6344);
// compiled member node returning call6345 (depth = 10)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call6346 = callmethodflags(call6345, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6343);
// compiled call node returning call6346 (depth = 9)
  params[0] = sum6342;
  partcv[0] = 1;
  Object call6347 = callmethodflags(call6346, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6338);
// compiled call node returning call6347 (depth = 8)
  int op_slot_right_6337 = gc_frame_newslot(call6347);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6337 = gc_frame_newslot(*var_s);
  params[0] = call6347;
  partcv[0] = 1;
  Object opresult6349 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6349 (depth = 7)
  *var_s = opresult6349;
  if (opresult6349 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_6260(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1542
  setline(1542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6261 == NULL) {
    strlit6261 = alloc_String("");
    gc_root(strlit6261);
  }
// compiled string node returning strlit6261 (depth = 4)
  *var_s = strlit6261;
  if (strlit6261 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6264 == NULL) {
    strlit6264 = alloc_String("prefix");
    gc_root(strlit6264);
  }
// compiled string node returning strlit6264 (depth = 5)
  int op_slot_right_6263 = gc_frame_newslot(strlit6264);
// starting to compile call node (depth = 5)
  int callframe6266 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num6267 = alloc_Float64(1);
// compiled num node returning num6267 (depth = 6)
  gc_frame_newslot(num6267);
// starting to compile num node (depth = 6)
  Object num6268 = alloc_Float64(6);
// compiled num node returning num6268 (depth = 6)
  gc_frame_newslot(num6268);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6269 = gc_frame_new();
// call case 4: self request
  Object call6270 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6269);
// compiled member node returning call6270 (depth = 6)
  params[0] = num6267;
  params[1] = num6268;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6271 = callmethodflags(call6270, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6266);
// compiled call node returning call6271 (depth = 5)
  int op_slot_left_6263 = gc_frame_newslot(call6271);
  params[0] = strlit6264;
  partcv[0] = 1;
  Object opresult6272 = callmethod(call6271, "==(1)", 1, partcv, params);
// compiled op node returning opresult6272 (depth = 4)
  Object if6262 = done;
  if (istrue(opresult6272)) {
// Begin line 1544
  setline(1544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6273 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num6274 = alloc_Float64(7);
// compiled num node returning num6274 (depth = 6)
  gc_frame_newslot(num6274);
// starting to compile member node (depth = 6)
  int callframe6275 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6276 = gc_frame_new();
// call case 4: self request
  Object call6277 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6276);
// compiled member node returning call6277 (depth = 7)
  Object call6278 = callmethodflags(call6277, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6275);
// compiled member node returning call6278 (depth = 6)
  gc_frame_newslot(call6278);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6279 = gc_frame_new();
// call case 4: self request
  Object call6280 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6279);
// compiled member node returning call6280 (depth = 6)
  params[0] = num6274;
  params[1] = call6278;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6281 = callmethodflags(call6280, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6273);
// compiled call node returning call6281 (depth = 5)
  *var_s = call6281;
  if (call6281 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6284 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num6285 = alloc_Float64(0);
// compiled num node returning num6285 (depth = 7)
  gc_frame_newslot(num6285);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6286 = gc_frame_new();
// call case 4: self request
  Object call6287 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6286);
// compiled member node returning call6287 (depth = 7)
  params[0] = num6285;
  partcv[0] = 1;
  Object call6288 = callmethodflags(call6287, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6284);
// compiled call node returning call6288 (depth = 6)
  int op_slot_right_6283 = gc_frame_newslot(call6288);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6291 == NULL) {
    strlit6291 = alloc_String(" ");
    gc_root(strlit6291);
  }
// compiled string node returning strlit6291 (depth = 7)
  int op_slot_right_6290 = gc_frame_newslot(strlit6291);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6290 = gc_frame_newslot(*var_s);
  params[0] = strlit6291;
  partcv[0] = 1;
  Object opresult6293 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6293 (depth = 6)
  int op_slot_left_6283 = gc_frame_newslot(opresult6293);
  params[0] = call6288;
  partcv[0] = 1;
  Object opresult6294 = callmethod(opresult6293, "++(1)", 1, partcv, params);
// compiled op node returning opresult6294 (depth = 5)
  *var_s = opresult6294;
  if (opresult6294 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6262 = done;
  } else {
// Begin line 1547
  setline(1547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6297 = gc_frame_new();
// call case 4: self request
  Object call6298 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6297);
// compiled member node returning call6298 (depth = 6)
  int op_slot_right_6296 = gc_frame_newslot(call6298);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6301 == NULL) {
    strlit6301 = alloc_String(".");
    gc_root(strlit6301);
  }
// compiled string node returning strlit6301 (depth = 7)
  int op_slot_right_6300 = gc_frame_newslot(strlit6301);
// starting to compile call node (depth = 7)
  int callframe6303 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6304 = gc_frame_new();
// call case 4: self request
  Object call6305 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6304);
// compiled member node returning call6305 (depth = 8)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6306 = callmethodflags(call6305, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6303);
// compiled call node returning call6306 (depth = 7)
  int op_slot_left_6300 = gc_frame_newslot(call6306);
  params[0] = strlit6301;
  partcv[0] = 1;
  Object opresult6307 = callmethod(call6306, "++(1)", 1, partcv, params);
// compiled op node returning opresult6307 (depth = 6)
  int op_slot_left_6296 = gc_frame_newslot(opresult6307);
  params[0] = call6298;
  partcv[0] = 1;
  Object opresult6308 = callmethod(opresult6307, "++(1)", 1, partcv, params);
// compiled op node returning opresult6308 (depth = 5)
  *var_s = opresult6308;
  if (opresult6308 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6262 = done;
  }
// compiled if node returning if6262 (depth = 3)
// Begin line 1549
  setline(1549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6312 = gc_frame_new();
// call case 4: self request
  Object call6313 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6312);
// compiled member node returning call6313 (depth = 5)
  int op_slot_right_6311 = gc_frame_newslot(call6313);
// starting to compile identifier node (depth = 5)
  Object bool6315 = alloc_Boolean(0);
// compiled identifier node returning bool6315 (depth = 5)
  int op_slot_left_6311 = gc_frame_newslot(bool6315);
  params[0] = call6313;
  partcv[0] = 1;
  Object opresult6316 = callmethod(bool6315, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6316 (depth = 4)
  Object if6310 = done;
  if (istrue(opresult6316)) {
// Begin line 1550
  setline(1550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6318 == NULL) {
    strlit6318 = alloc_String("<");
    gc_root(strlit6318);
  }
// compiled string node returning strlit6318 (depth = 6)
  int op_slot_right_6317 = gc_frame_newslot(strlit6318);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6317 = gc_frame_newslot(*var_s);
  params[0] = strlit6318;
  partcv[0] = 1;
  Object opresult6320 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6320 (depth = 5)
  *var_s = opresult6320;
  if (opresult6320 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1551
  setline(1551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6322 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num6325 = alloc_Float64(1);
// compiled num node returning num6325 (depth = 7)
  int op_slot_right_6324 = gc_frame_newslot(num6325);
// starting to compile member node (depth = 7)
  int callframe6327 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6328 = gc_frame_new();
// call case 4: self request
  Object call6329 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6328);
// compiled member node returning call6329 (depth = 8)
  Object call6330 = callmethodflags(call6329, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6327);
// compiled member node returning call6330 (depth = 7)
  int op_slot_left_6324 = gc_frame_newslot(call6330);
  params[0] = num6325;
  partcv[0] = 1;
  Object diff6331 = callmethod(call6330, "-(1)", 1, partcv, params);
// compiled op node returning diff6331 (depth = 6)
  int op_slot_right_6323 = gc_frame_newslot(diff6331);
// starting to compile num node (depth = 6)
  Object num6333 = alloc_Float64(1);
// compiled num node returning num6333 (depth = 6)
  int op_slot_left_6323 = gc_frame_newslot(num6333);
  params[0] = diff6331;
  partcv[0] = 1;
  Object opresult6334 = callmethod(num6333, "..(1)", 1, partcv, params);
// compiled op node returning opresult6334 (depth = 5)
  gc_frame_newslot(opresult6334);
// starting to compile block node (depth = 5)
  Object block6335 = alloc_Block(NULL, NULL, "ast", 1551);
  gc_frame_newslot(block6335);
// method "_apply(_)"
  block_savedest(block6335);
  Object closure6336 = createclosure(3, "_apply(1)");
  setclosureframe(closure6336, stackframe);
  addtoclosure(closure6336, var_depth);
  addtoclosure(closure6336, var_s);
  addtoclosure(closure6336, selfslot);
  struct UserObject *uo6336 = (struct UserObject*)block6335;
  uo6336->data[0] = (Object)closure6336;
  Method *meth_meth_ast__apply_40_1_41_6336 = addmethod2pos(block6335, "_apply(1)", &meth_ast__apply_40_1_41_6336, 0);
  int argcv_meth_ast__apply_40_1_41_6336[] = {1};
  meth_meth_ast__apply_40_1_41_6336->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6336);
  meth_meth_ast__apply_40_1_41_6336->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6336->definitionLine = 2947;
// compiled block node returning block6335 (depth = 5)
  gc_frame_newslot(block6335);
// call case 5: prelude request
  params[0] = opresult6334;
  params[1] = block6335;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6352 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6322);
// compiled call node returning call6352 (depth = 4)
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6354 == NULL) {
    strlit6354 = alloc_String(">");
    gc_root(strlit6354);
  }
// compiled string node returning strlit6354 (depth = 6)
  int op_slot_right_6353 = gc_frame_newslot(strlit6354);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6357 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6359 = alloc_Float64(1);
// compiled num node returning num6359 (depth = 9)
  int op_slot_right_6358 = gc_frame_newslot(num6359);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6358 = gc_frame_newslot(*var_depth);
  params[0] = num6359;
  partcv[0] = 1;
  Object sum6361 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6361 (depth = 8)
  gc_frame_newslot(sum6361);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6362 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe6363 = gc_frame_new();
// call case 4: self request
  Object call6364 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6363);
// compiled member node returning call6364 (depth = 9)
  Object call6365 = callmethodflags(call6364, "last", 0, partcv, params, 0);
  gc_frame_end(callframe6362);
// compiled member node returning call6365 (depth = 8)
  params[0] = sum6361;
  partcv[0] = 1;
  Object call6366 = callmethodflags(call6365, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6357);
// compiled call node returning call6366 (depth = 7)
  int op_slot_right_6356 = gc_frame_newslot(call6366);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6356 = gc_frame_newslot(*var_s);
  params[0] = call6366;
  partcv[0] = 1;
  Object opresult6368 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6368 (depth = 6)
  int op_slot_left_6353 = gc_frame_newslot(opresult6368);
  params[0] = strlit6354;
  partcv[0] = 1;
  Object opresult6369 = callmethod(opresult6368, "++(1)", 1, partcv, params);
// compiled op node returning opresult6369 (depth = 5)
  *var_s = opresult6369;
  if (opresult6369 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6310 = done;
  } else {
  }
// compiled if node returning if6310 (depth = 3)
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString6371(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6373 == NULL) {
    strlit6373 = alloc_String("");
    gc_root(strlit6373);
  }
// compiled string node returning strlit6373 (depth = 4)
  int op_slot_right_6372 = gc_frame_newslot(strlit6373);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6376 = gc_frame_new();
// call case 4: self request
  Object call6377 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6376);
// compiled member node returning call6377 (depth = 5)
  int op_slot_right_6375 = gc_frame_newslot(call6377);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6380 == NULL) {
    strlit6380 = alloc_String(".");
    gc_root(strlit6380);
  }
// compiled string node returning strlit6380 (depth = 6)
  int op_slot_right_6379 = gc_frame_newslot(strlit6380);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6383 = gc_frame_new();
// call case 4: self request
  Object call6384 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6383);
// compiled member node returning call6384 (depth = 7)
  int op_slot_right_6382 = gc_frame_newslot(call6384);
// starting to compile string node (depth = 7)
  if (strlit6386 == NULL) {
    strlit6386 = alloc_String("");
    gc_root(strlit6386);
  }
// compiled string node returning strlit6386 (depth = 7)
  int op_slot_left_6382 = gc_frame_newslot(strlit6386);
  params[0] = call6384;
  partcv[0] = 1;
  Object opresult6387 = callmethod(strlit6386, "++(1)", 1, partcv, params);
// compiled op node returning opresult6387 (depth = 6)
  int op_slot_left_6379 = gc_frame_newslot(opresult6387);
  params[0] = strlit6380;
  partcv[0] = 1;
  Object opresult6388 = callmethod(opresult6387, "++(1)", 1, partcv, params);
// compiled op node returning opresult6388 (depth = 5)
  int op_slot_left_6375 = gc_frame_newslot(opresult6388);
  params[0] = call6377;
  partcv[0] = 1;
  Object opresult6389 = callmethod(opresult6388, "++(1)", 1, partcv, params);
// compiled op node returning opresult6389 (depth = 4)
  int op_slot_left_6372 = gc_frame_newslot(opresult6389);
  params[0] = strlit6373;
  partcv[0] = 1;
  Object opresult6390 = callmethod(opresult6389, "++(1)", 1, partcv, params);
// compiled op node returning opresult6390 (depth = 3)
  gc_frame_end(frame);
  return opresult6390;
}
Object meth_ast_asIdentifier6391(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_fakeSymbolTable = getfromclosure(closure, 0);
  Object *var_identifierNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6394 = gc_frame_new();
// call case 4: self request
  Object call6395 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6394);
// compiled member node returning call6395 (depth = 5)
  int op_slot_right_6393 = gc_frame_newslot(call6395);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_fakeSymbolTable (depth = 5)
  int op_slot_left_6393 = gc_frame_newslot(*var_fakeSymbolTable);
  params[0] = call6395;
  partcv[0] = 1;
  Object opresult6397 = callmethod(*var_fakeSymbolTable, "==(1)", 1, partcv, params);
// compiled op node returning opresult6397 (depth = 4)
  Object if6392 = done;
  if (istrue(opresult6397)) {
// Begin line 1562
  setline(1562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6398 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6400 == NULL) {
    strlit6400 = alloc_String(" when scope was fake");
    gc_root(strlit6400);
  }
// compiled string node returning strlit6400 (depth = 6)
  int op_slot_right_6399 = gc_frame_newslot(strlit6400);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6403 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6404 = alloc_Float64(0);
// compiled num node returning num6404 (depth = 8)
  gc_frame_newslot(num6404);
// call case 4: self request
  params[0] = num6404;
  partcv[0] = 1;
  Object call6405 = callmethodflags(self, "pretty(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6403);
// compiled call node returning call6405 (depth = 7)
  int op_slot_right_6402 = gc_frame_newslot(call6405);
// starting to compile string node (depth = 7)
  if (strlit6407 == NULL) {
    strlit6407 = alloc_String("asIdentifier requested on ");
    gc_root(strlit6407);
  }
// compiled string node returning strlit6407 (depth = 7)
  int op_slot_left_6402 = gc_frame_newslot(strlit6407);
  params[0] = call6405;
  partcv[0] = 1;
  Object opresult6408 = callmethod(strlit6407, "++(1)", 1, partcv, params);
// compiled op node returning opresult6408 (depth = 6)
  int op_slot_left_6399 = gc_frame_newslot(opresult6408);
  params[0] = strlit6400;
  partcv[0] = 1;
  Object opresult6409 = callmethod(opresult6408, "++(1)", 1, partcv, params);
// compiled op node returning opresult6409 (depth = 5)
  gc_frame_newslot(opresult6409);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6410 = gc_frame_new();
// call case 5: prelude request
  Object call6411 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6410);
// compiled member node returning call6411 (depth = 5)
  params[0] = opresult6409;
  partcv[0] = 1;
  Object call6412 = callmethodflags(call6411, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6398);
// compiled call node returning call6412 (depth = 4)
    gc_frame_newslot(call6412);
    if6392 = call6412;
  } else {
  }
// compiled if node returning if6392 (depth = 3)
// Begin line 1564
  setline(1564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6413 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6414 = gc_frame_new();
// call case 4: self request
  Object call6415 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6414);
// compiled member node returning call6415 (depth = 5)
  gc_frame_newslot(call6415);
// starting to compile identifier node (depth = 5)
  Object bool6416 = alloc_Boolean(0);
// compiled identifier node returning bool6416 (depth = 5)
  gc_frame_newslot(bool6416);
// starting to compile member node (depth = 5)
  int callframe6417 = gc_frame_new();
// call case 4: self request
  Object call6418 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6417);
// compiled member node returning call6418 (depth = 5)
  gc_frame_newslot(call6418);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call6415;
  params[1] = bool6416;
  params[2] = call6418;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6419 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6413);
// compiled call node returning call6419 (depth = 4)
  *var_resultNode = call6419;
  if (call6419 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1565
  setline(1565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6420 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool6421 = alloc_Boolean(1);
// compiled identifier node returning bool6421 (depth = 4)
  gc_frame_newslot(bool6421);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = bool6421;
  partcv[0] = 1;
  Object call6422 = callmethodflags(*var_resultNode, "inRequest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6420);
// compiled call node returning call6422 (depth = 3)
// Begin line 1566
  setline(1566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6423 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6424 = gc_frame_new();
// call case 4: self request
  Object call6425 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6424);
// compiled member node returning call6425 (depth = 4)
  gc_frame_newslot(call6425);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call6425;
  partcv[0] = 1;
  Object call6426 = callmethodflags(*var_resultNode, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6423);
// compiled call node returning call6426 (depth = 3)
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6427 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6428 = gc_frame_new();
// call case 4: self request
  Object call6429 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6428);
// compiled member node returning call6429 (depth = 4)
  gc_frame_newslot(call6429);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call6429;
  partcv[0] = 1;
  Object call6430 = callmethodflags(*var_resultNode, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6427);
// compiled call node returning call6430 (depth = 3)
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  return *var_resultNode;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_shallowCopy6431(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6432 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6433 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6434 = gc_frame_new();
// call case 4: self request
  Object call6435 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6434);
// compiled member node returning call6435 (depth = 5)
  gc_frame_newslot(call6435);
// starting to compile member node (depth = 5)
  int callframe6436 = gc_frame_new();
// call case 4: self request
  Object call6437 = callmethodflags(self, "receiver", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6436);
// compiled member node returning call6437 (depth = 5)
  gc_frame_newslot(call6437);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_memberNode (depth = 5)
  params[0] = call6435;
  params[1] = call6437;
  partcv[0] = 2;
  Object call6438 = callmethodflags(*var_memberNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6433);
// compiled call node returning call6438 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6439 = callmethodflags(call6438, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6432);
// compiled call node returning call6439 (depth = 3)
  gc_frame_end(frame);
  return call6439;
}
Object meth_ast_statementName6440(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6441 == NULL) {
    strlit6441 = alloc_String("expression");
    gc_root(strlit6441);
  }
// compiled string node returning strlit6441 (depth = 3)
  gc_frame_end(frame);
  return strlit6441;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_6442(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1575
  setline(1575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6443 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call6444 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6443);
// compiled call node returning call6444 (depth = 3)
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6445 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6446 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6447 = callmethodflags(*var_other, "generics", 0, partcv, params, 0);
  gc_frame_end(callframe6446);
// compiled member node returning call6447 (depth = 4)
  gc_frame_newslot(call6447);
// call case 4: self request
  params[0] = call6447;
  partcv[0] = 1;
  Object call6448 = callmethodflags(self, "generics:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6445);
// compiled call node returning call6448 (depth = 3)
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6449 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6450 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call6451 = callmethodflags(*var_other, "isSelfRequest", 0, partcv, params, 0);
  gc_frame_end(callframe6450);
// compiled member node returning call6451 (depth = 4)
  gc_frame_newslot(call6451);
// call case 4: self request
  params[0] = call6451;
  partcv[0] = 1;
  Object call6452 = callmethodflags(self, "isSelfRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6449);
// compiled call node returning call6452 (depth = 3)
// Begin line 1578
  setline(1578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_2_41_6090(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  Object *var_memberNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver_39_ = &(stackframe->slots[1]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6091 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6091 = alloc_userobj2(26,23, objclass6091);
  gc_frame_newslot(obj6091);
if (objclass6091 == NULL) {
  glfree(obj6091->class->name);
  obj6091->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6091, self, 0);
  addmethodreal(obj6091,"outer", &reader_ast_outer_6092);
  Object oldself6091 = self;
  struct StackFrameObject *oldstackframe6091 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6091);
  gc_frame_newslot((Object)stackframe);
  self = obj6091;
  Object *oldselfslot6091 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6091 = (*(struct UserObject *)self).data[0], lowerouter6091 = thisouter6091;
  if (inheritingObject6091) {
    struct UserObject *inho6091 = (struct UserObject *)inheritingObject6091;
    while (inho6091->super != GraceDefaultObject) inho6091 = (struct UserObject *)inho6091->super;
    inho6091->super = obj6091;
    self = inheritingObject6091;
    *selfslot = self;
    lowerouter6091 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6091;
  }
if (objclass6091 == NULL) {
  Method *reader6093 = addmethodrealflags(obj6091, "kind",&reader_ast_kind_6093, MFLAG_DEF);
  reader6093->definitionModule = modulename;
  reader6093->definitionLine = 1490;
}
adddatum2(obj6091, alloc_Undefined(), 1);
if (objclass6091 == NULL) {
  Method *reader6094 = addmethodrealflags(obj6091, "value", &reader_ast_value_6094, 0);
  Method *writer6094 = addmethodrealflags(obj6091, "value:=(1)", &writer_ast_value_6094, 0);
  reader6094->definitionModule = modulename;
  writer6094->definitionModule = modulename;
  reader6094->definitionLine = 1491;
  writer6094->definitionLine = 1491;
}
obj6091->flags |= OFLAG_MUTABLE;
adddatum2(obj6091, alloc_Undefined(), 2);
if (objclass6091 == NULL) {
  Method *reader6095 = addmethodrealflags(obj6091, "receiver", &reader_ast_receiver_6095, 0);
  Method *writer6095 = addmethodrealflags(obj6091, "receiver:=(1)", &writer_ast_receiver_6095, 0);
  reader6095->definitionModule = modulename;
  writer6095->definitionModule = modulename;
  reader6095->definitionLine = 1492;
  writer6095->definitionLine = 1492;
}
obj6091->flags |= OFLAG_MUTABLE;
adddatum2(obj6091, alloc_Undefined(), 3);
if (objclass6091 == NULL) {
  Method *reader6096 = addmethodrealflags(obj6091, "generics", &reader_ast_generics_6096, 0);
  Method *writer6096 = addmethodrealflags(obj6091, "generics:=(1)", &writer_ast_generics_6096, 0);
  reader6096->definitionModule = modulename;
  writer6096->definitionModule = modulename;
  reader6096->definitionLine = 1493;
  writer6096->definitionLine = 1493;
}
obj6091->flags |= OFLAG_MUTABLE;
adddatum2(obj6091, alloc_Undefined(), 4);
if (objclass6091 == NULL) {
  Method *reader6097 = addmethodrealflags(obj6091, "isSelfRequest", &reader_ast_isSelfRequest_6097, 0);
  Method *writer6097 = addmethodrealflags(obj6091, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_6097, 0);
  reader6097->definitionModule = modulename;
  writer6097->definitionModule = modulename;
  reader6097->definitionLine = 1494;
  writer6097->definitionLine = 1494;
}
obj6091->flags |= OFLAG_MUTABLE;
adddatum2(obj6091, alloc_Undefined(), 5);
// method "onSelf"
  struct UserObject *uo6098 = (struct UserObject*)obj6091;
  uo6098->data[6] = emptyclosure;
  Method *meth_meth_ast_onSelf6098 = addmethod2pos(obj6091, "onSelf", &meth_ast_onSelf6098, 6);
  int argcv_meth_ast_onSelf6098[] = {0};
  meth_meth_ast_onSelf6098->type = alloc_MethodType(1, argcv_meth_ast_onSelf6098);
  meth_meth_ast_onSelf6098->definitionModule = modulename;
  meth_meth_ast_onSelf6098->definitionLine = 1496;
// method "nameString"
  struct UserObject *uo6102 = (struct UserObject*)obj6091;
  uo6102->data[7] = emptyclosure;
  Method *meth_meth_ast_nameString6102 = addmethod2pos(obj6091, "nameString", &meth_ast_nameString6102, 7);
  int argcv_meth_ast_nameString6102[] = {0};
  meth_meth_ast_nameString6102->type = alloc_MethodType(1, argcv_meth_ast_nameString6102);
  meth_meth_ast_nameString6102->definitionModule = modulename;
  meth_meth_ast_nameString6102->definitionLine = 1500;
// method "canonicalName"
  struct UserObject *uo6105 = (struct UserObject*)obj6091;
  uo6105->data[8] = emptyclosure;
  Method *meth_meth_ast_canonicalName6105 = addmethod2pos(obj6091, "canonicalName", &meth_ast_canonicalName6105, 8);
  int argcv_meth_ast_canonicalName6105[] = {0};
  meth_meth_ast_canonicalName6105->type = alloc_MethodType(1, argcv_meth_ast_canonicalName6105);
  meth_meth_ast_canonicalName6105->definitionModule = modulename;
  meth_meth_ast_canonicalName6105->definitionLine = 1501;
// method "isMember"
  struct UserObject *uo6108 = (struct UserObject*)obj6091;
  uo6108->data[9] = emptyclosure;
  Method *meth_meth_ast_isMember6108 = addmethod2pos(obj6091, "isMember", &meth_ast_isMember6108, 9);
  int argcv_meth_ast_isMember6108[] = {0};
  meth_meth_ast_isMember6108->type = alloc_MethodType(1, argcv_meth_ast_isMember6108);
  meth_meth_ast_isMember6108->definitionModule = modulename;
  meth_meth_ast_isMember6108->definitionLine = 1502;
// method "isCall"
  struct UserObject *uo6110 = (struct UserObject*)obj6091;
  uo6110->data[10] = emptyclosure;
  Method *meth_meth_ast_isCall6110 = addmethod2pos(obj6091, "isCall", &meth_ast_isCall6110, 10);
  int argcv_meth_ast_isCall6110[] = {0};
  meth_meth_ast_isCall6110->type = alloc_MethodType(1, argcv_meth_ast_isCall6110);
  meth_meth_ast_isCall6110->definitionModule = modulename;
  meth_meth_ast_isCall6110->definitionLine = 1503;
// method "with"
  block_savedest(obj6091);
  Object closure6112 = createclosure(1, "with");
  setclosureframe(closure6112, stackframe);
  addtoclosure(closure6112, var_emptySeq);
  struct UserObject *uo6112 = (struct UserObject*)obj6091;
  uo6112->data[11] = (Object)closure6112;
  Method *meth_meth_ast_with6112 = addmethod2pos(obj6091, "with", &meth_ast_with6112, 11);
  int argcv_meth_ast_with6112[] = {0};
  meth_meth_ast_with6112->type = alloc_MethodType(1, argcv_meth_ast_with6112);
  meth_meth_ast_with6112->definitionModule = modulename;
  meth_meth_ast_with6112->definitionLine = 1505;
// method "arguments"
  block_savedest(obj6091);
  Object closure6113 = createclosure(1, "arguments");
  setclosureframe(closure6113, stackframe);
  addtoclosure(closure6113, var_emptySeq);
  struct UserObject *uo6113 = (struct UserObject*)obj6091;
  uo6113->data[12] = (Object)closure6113;
  Method *meth_meth_ast_arguments6113 = addmethod2pos(obj6091, "arguments", &meth_ast_arguments6113, 12);
  int argcv_meth_ast_arguments6113[] = {0};
  meth_meth_ast_arguments6113->type = alloc_MethodType(1, argcv_meth_ast_arguments6113);
  meth_meth_ast_arguments6113->definitionModule = modulename;
  meth_meth_ast_arguments6113->definitionLine = 1506;
// method "argumentsDo"
  struct UserObject *uo6114 = (struct UserObject*)obj6091;
  uo6114->data[13] = emptyclosure;
  Method *meth_meth_ast_argumentsDo6114 = addmethod2pos(obj6091, "argumentsDo", &meth_ast_argumentsDo6114, 13);
  int argcv_meth_ast_argumentsDo6114[] = {0};
  meth_meth_ast_argumentsDo6114->type = alloc_MethodType(1, argcv_meth_ast_argumentsDo6114);
  meth_meth_ast_argumentsDo6114->definitionModule = modulename;
  meth_meth_ast_argumentsDo6114->definitionLine = 1507;
// method "accept(_)from(_)"
  struct UserObject *uo6115 = (struct UserObject*)obj6091;
  uo6115->data[14] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6115 = addmethod2pos(obj6091, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6115, 14);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6115[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6115->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6115);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6115->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6115->definitionLine = 1508;
// method "map(_)ancestors(_)"
  struct UserObject *uo6141 = (struct UserObject*)obj6091;
  uo6141->data[15] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6141 = addmethod2pos(obj6091, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6141, 15);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6141[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6141->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6141);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6141->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6141->definitionLine = 1517;
// method "pretty(_)"
  struct UserObject *uo6164 = (struct UserObject*)obj6091;
  uo6164->data[16] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6164 = addmethod2pos(obj6091, "pretty(1)", &meth_ast_pretty_40_1_41_6164, 16);
  int argcv_meth_ast_pretty_40_1_41_6164[] = {1};
  meth_meth_ast_pretty_40_1_41_6164->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6164);
  meth_meth_ast_pretty_40_1_41_6164->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6164->definitionLine = 1524;
// method "toGrace(_)"
  struct UserObject *uo6260 = (struct UserObject*)obj6091;
  uo6260->data[17] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6260 = addmethod2pos(obj6091, "toGrace(1)", &meth_ast_toGrace_40_1_41_6260, 17);
  int argcv_meth_ast_toGrace_40_1_41_6260[] = {1};
  meth_meth_ast_toGrace_40_1_41_6260->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6260);
meth_meth_ast_toGrace_40_1_41_6260->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6260->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6260->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6260->definitionLine = 1541;
// method "asString"
  struct UserObject *uo6371 = (struct UserObject*)obj6091;
  uo6371->data[18] = emptyclosure;
  Method *meth_meth_ast_asString6371 = addmethod2pos(obj6091, "asString", &meth_ast_asString6371, 18);
  int argcv_meth_ast_asString6371[] = {0};
  meth_meth_ast_asString6371->type = alloc_MethodType(1, argcv_meth_ast_asString6371);
  meth_meth_ast_asString6371->definitionModule = modulename;
  meth_meth_ast_asString6371->definitionLine = 1558;
// method "asIdentifier"
  block_savedest(obj6091);
  Object closure6391 = createclosure(2, "asIdentifier");
  setclosureframe(closure6391, stackframe);
  addtoclosure(closure6391, var_fakeSymbolTable);
  addtoclosure(closure6391, var_identifierNode);
  struct UserObject *uo6391 = (struct UserObject*)obj6091;
  uo6391->data[19] = (Object)closure6391;
  Method *meth_meth_ast_asIdentifier6391 = addmethod2pos(obj6091, "asIdentifier", &meth_ast_asIdentifier6391, 19);
  int argcv_meth_ast_asIdentifier6391[] = {0};
  meth_meth_ast_asIdentifier6391->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier6391);
  meth_meth_ast_asIdentifier6391->definitionModule = modulename;
  meth_meth_ast_asIdentifier6391->definitionLine = 1559;
// method "shallowCopy"
  block_savedest(obj6091);
  Object closure6431 = createclosure(1, "shallowCopy");
  setclosureframe(closure6431, stackframe);
  addtoclosure(closure6431, var_memberNode);
  struct UserObject *uo6431 = (struct UserObject*)obj6091;
  uo6431->data[20] = (Object)closure6431;
  Method *meth_meth_ast_shallowCopy6431 = addmethod2pos(obj6091, "shallowCopy", &meth_ast_shallowCopy6431, 20);
  int argcv_meth_ast_shallowCopy6431[] = {0};
  meth_meth_ast_shallowCopy6431->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6431);
  meth_meth_ast_shallowCopy6431->definitionModule = modulename;
  meth_meth_ast_shallowCopy6431->definitionLine = 1570;
// method "statementName"
  struct UserObject *uo6440 = (struct UserObject*)obj6091;
  uo6440->data[21] = emptyclosure;
  Method *meth_meth_ast_statementName6440 = addmethod2pos(obj6091, "statementName", &meth_ast_statementName6440, 21);
  int argcv_meth_ast_statementName6440[] = {0};
  meth_meth_ast_statementName6440->type = alloc_MethodType(1, argcv_meth_ast_statementName6440);
  meth_meth_ast_statementName6440->definitionModule = modulename;
  meth_meth_ast_statementName6440->definitionLine = 1573;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo6442 = (struct UserObject*)obj6091;
  uo6442->data[22] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_6442 = addmethod2pos(obj6091, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_6442, 22);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_6442[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_6442->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_6442);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_6442->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_6442->definitionLine = 1574;
  sourceObject = obj6091;
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6453 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6454 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6455 = gc_frame_new();
// call case 3: self.outer request
  Object call6456 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6455);
// compiled member node returning call6456 (depth = 5)
  Object call6457 = callmethodflags(call6456, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6454);
// compiled member node returning call6457 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6458 = callmethodflags(call6457, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6453);
// compiled call node returning call6458 (depth = 3)
  struct UserObject *obj6091_uo = (struct UserObject *)obj6091;
  obj6091_uo->super = call6458;
  sourceObject = obj6091;
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6459 == NULL) {
    strlit6459 = alloc_String("member");
    gc_root(strlit6459);
  }
// compiled string node returning strlit6459 (depth = 3)
  adddatum2(obj6091, strlit6459, 1);
  sourceObject = obj6091;
// Begin line 1491
  setline(1491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_request (depth = 3)
  adddatum2(obj6091, *var_request, 2);
  sourceObject = obj6091;
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj6091, *var_receiver_39_, 3);
  sourceObject = obj6091;
// Begin line 1493
  setline(1493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6460 = alloc_Boolean(0);
// compiled identifier node returning bool6460 (depth = 3)
  adddatum2(obj6091, bool6460, 4);
  sourceObject = obj6091;
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6461 = alloc_Boolean(0);
// compiled identifier node returning bool6461 (depth = 3)
  adddatum2(obj6091, bool6461, 5);
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  objclass6091 = obj6091->class;
  objclass6091->definitionModule = modulename;
  objclass6091->definitionLine = 1487;
  (*(struct UserObject *)self).data[0] = lowerouter6091;
  self = oldself6091;
  selfslot = oldselfslot6091;
  stackframe = oldstackframe6091;
  gc_frame_end(frame);
  return obj6091;
}
Object meth_ast_new_40_2_41_6090_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_fakeSymbolTable = getfromclosure(closure, 1);
  Object *var_identifierNode = getfromclosure(closure, 2);
  Object *var_memberNode = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_request = &(stackframe->slots[0]);
  *var_request = args[curarg];
  curarg++;
  Object *var_receiver_39_ = &(stackframe->slots[1]);
  *var_receiver_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6091 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6091 = alloc_userobj2(26,23, objclass6091);
  gc_frame_newslot(obj6091);
if (objclass6091 == NULL) {
  glfree(obj6091->class->name);
  obj6091->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6091, self, 0);
  addmethodreal(obj6091,"outer", &reader_ast_outer_6092);
  Object oldself6091 = self;
  struct StackFrameObject *oldstackframe6091 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6091);
  gc_frame_newslot((Object)stackframe);
  self = obj6091;
  Object *oldselfslot6091 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6091 = (*(struct UserObject *)self).data[0], lowerouter6091 = thisouter6091;
  if (inheritingObject6091) {
    struct UserObject *inho6091 = (struct UserObject *)inheritingObject6091;
    while (inho6091->super != GraceDefaultObject) inho6091 = (struct UserObject *)inho6091->super;
    inho6091->super = obj6091;
    self = inheritingObject6091;
    *selfslot = self;
    lowerouter6091 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6091;
  }
if (objclass6091 == NULL) {
  Method *reader6093 = addmethodrealflags(obj6091, "kind",&reader_ast_kind_6093, MFLAG_DEF);
  reader6093->definitionModule = modulename;
  reader6093->definitionLine = 1490;
}
adddatum2(obj6091, alloc_Undefined(), 1);
if (objclass6091 == NULL) {
  Method *reader6094 = addmethodrealflags(obj6091, "value", &reader_ast_value_6094, 0);
  Method *writer6094 = addmethodrealflags(obj6091, "value:=(1)", &writer_ast_value_6094, 0);
  reader6094->definitionModule = modulename;
  writer6094->definitionModule = modulename;
  reader6094->definitionLine = 1491;
  writer6094->definitionLine = 1491;
}
obj6091->flags |= OFLAG_MUTABLE;
adddatum2(obj6091, alloc_Undefined(), 2);
if (objclass6091 == NULL) {
  Method *reader6095 = addmethodrealflags(obj6091, "receiver", &reader_ast_receiver_6095, 0);
  Method *writer6095 = addmethodrealflags(obj6091, "receiver:=(1)", &writer_ast_receiver_6095, 0);
  reader6095->definitionModule = modulename;
  writer6095->definitionModule = modulename;
  reader6095->definitionLine = 1492;
  writer6095->definitionLine = 1492;
}
obj6091->flags |= OFLAG_MUTABLE;
adddatum2(obj6091, alloc_Undefined(), 3);
if (objclass6091 == NULL) {
  Method *reader6096 = addmethodrealflags(obj6091, "generics", &reader_ast_generics_6096, 0);
  Method *writer6096 = addmethodrealflags(obj6091, "generics:=(1)", &writer_ast_generics_6096, 0);
  reader6096->definitionModule = modulename;
  writer6096->definitionModule = modulename;
  reader6096->definitionLine = 1493;
  writer6096->definitionLine = 1493;
}
obj6091->flags |= OFLAG_MUTABLE;
adddatum2(obj6091, alloc_Undefined(), 4);
if (objclass6091 == NULL) {
  Method *reader6097 = addmethodrealflags(obj6091, "isSelfRequest", &reader_ast_isSelfRequest_6097, 0);
  Method *writer6097 = addmethodrealflags(obj6091, "isSelfRequest:=(1)", &writer_ast_isSelfRequest_6097, 0);
  reader6097->definitionModule = modulename;
  writer6097->definitionModule = modulename;
  reader6097->definitionLine = 1494;
  writer6097->definitionLine = 1494;
}
obj6091->flags |= OFLAG_MUTABLE;
adddatum2(obj6091, alloc_Undefined(), 5);
// method "onSelf"
  struct UserObject *uo6098 = (struct UserObject*)obj6091;
  uo6098->data[6] = emptyclosure;
  Method *meth_meth_ast_onSelf6098 = addmethod2pos(obj6091, "onSelf", &meth_ast_onSelf6098, 6);
  int argcv_meth_ast_onSelf6098[] = {0};
  meth_meth_ast_onSelf6098->type = alloc_MethodType(1, argcv_meth_ast_onSelf6098);
  meth_meth_ast_onSelf6098->definitionModule = modulename;
  meth_meth_ast_onSelf6098->definitionLine = 1496;
// method "nameString"
  struct UserObject *uo6102 = (struct UserObject*)obj6091;
  uo6102->data[7] = emptyclosure;
  Method *meth_meth_ast_nameString6102 = addmethod2pos(obj6091, "nameString", &meth_ast_nameString6102, 7);
  int argcv_meth_ast_nameString6102[] = {0};
  meth_meth_ast_nameString6102->type = alloc_MethodType(1, argcv_meth_ast_nameString6102);
  meth_meth_ast_nameString6102->definitionModule = modulename;
  meth_meth_ast_nameString6102->definitionLine = 1500;
// method "canonicalName"
  struct UserObject *uo6105 = (struct UserObject*)obj6091;
  uo6105->data[8] = emptyclosure;
  Method *meth_meth_ast_canonicalName6105 = addmethod2pos(obj6091, "canonicalName", &meth_ast_canonicalName6105, 8);
  int argcv_meth_ast_canonicalName6105[] = {0};
  meth_meth_ast_canonicalName6105->type = alloc_MethodType(1, argcv_meth_ast_canonicalName6105);
  meth_meth_ast_canonicalName6105->definitionModule = modulename;
  meth_meth_ast_canonicalName6105->definitionLine = 1501;
// method "isMember"
  struct UserObject *uo6108 = (struct UserObject*)obj6091;
  uo6108->data[9] = emptyclosure;
  Method *meth_meth_ast_isMember6108 = addmethod2pos(obj6091, "isMember", &meth_ast_isMember6108, 9);
  int argcv_meth_ast_isMember6108[] = {0};
  meth_meth_ast_isMember6108->type = alloc_MethodType(1, argcv_meth_ast_isMember6108);
  meth_meth_ast_isMember6108->definitionModule = modulename;
  meth_meth_ast_isMember6108->definitionLine = 1502;
// method "isCall"
  struct UserObject *uo6110 = (struct UserObject*)obj6091;
  uo6110->data[10] = emptyclosure;
  Method *meth_meth_ast_isCall6110 = addmethod2pos(obj6091, "isCall", &meth_ast_isCall6110, 10);
  int argcv_meth_ast_isCall6110[] = {0};
  meth_meth_ast_isCall6110->type = alloc_MethodType(1, argcv_meth_ast_isCall6110);
  meth_meth_ast_isCall6110->definitionModule = modulename;
  meth_meth_ast_isCall6110->definitionLine = 1503;
// method "with"
  block_savedest(obj6091);
  Object closure6112 = createclosure(1, "with");
  setclosureframe(closure6112, stackframe);
  addtoclosure(closure6112, var_emptySeq);
  struct UserObject *uo6112 = (struct UserObject*)obj6091;
  uo6112->data[11] = (Object)closure6112;
  Method *meth_meth_ast_with6112 = addmethod2pos(obj6091, "with", &meth_ast_with6112, 11);
  int argcv_meth_ast_with6112[] = {0};
  meth_meth_ast_with6112->type = alloc_MethodType(1, argcv_meth_ast_with6112);
  meth_meth_ast_with6112->definitionModule = modulename;
  meth_meth_ast_with6112->definitionLine = 1505;
// method "arguments"
  block_savedest(obj6091);
  Object closure6113 = createclosure(1, "arguments");
  setclosureframe(closure6113, stackframe);
  addtoclosure(closure6113, var_emptySeq);
  struct UserObject *uo6113 = (struct UserObject*)obj6091;
  uo6113->data[12] = (Object)closure6113;
  Method *meth_meth_ast_arguments6113 = addmethod2pos(obj6091, "arguments", &meth_ast_arguments6113, 12);
  int argcv_meth_ast_arguments6113[] = {0};
  meth_meth_ast_arguments6113->type = alloc_MethodType(1, argcv_meth_ast_arguments6113);
  meth_meth_ast_arguments6113->definitionModule = modulename;
  meth_meth_ast_arguments6113->definitionLine = 1506;
// method "argumentsDo"
  struct UserObject *uo6114 = (struct UserObject*)obj6091;
  uo6114->data[13] = emptyclosure;
  Method *meth_meth_ast_argumentsDo6114 = addmethod2pos(obj6091, "argumentsDo", &meth_ast_argumentsDo6114, 13);
  int argcv_meth_ast_argumentsDo6114[] = {0};
  meth_meth_ast_argumentsDo6114->type = alloc_MethodType(1, argcv_meth_ast_argumentsDo6114);
  meth_meth_ast_argumentsDo6114->definitionModule = modulename;
  meth_meth_ast_argumentsDo6114->definitionLine = 1507;
// method "accept(_)from(_)"
  struct UserObject *uo6115 = (struct UserObject*)obj6091;
  uo6115->data[14] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6115 = addmethod2pos(obj6091, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6115, 14);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6115[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6115->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6115);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6115->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6115->definitionLine = 1508;
// method "map(_)ancestors(_)"
  struct UserObject *uo6141 = (struct UserObject*)obj6091;
  uo6141->data[15] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6141 = addmethod2pos(obj6091, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6141, 15);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6141[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6141->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6141);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6141->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6141->definitionLine = 1517;
// method "pretty(_)"
  struct UserObject *uo6164 = (struct UserObject*)obj6091;
  uo6164->data[16] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6164 = addmethod2pos(obj6091, "pretty(1)", &meth_ast_pretty_40_1_41_6164, 16);
  int argcv_meth_ast_pretty_40_1_41_6164[] = {1};
  meth_meth_ast_pretty_40_1_41_6164->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6164);
  meth_meth_ast_pretty_40_1_41_6164->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6164->definitionLine = 1524;
// method "toGrace(_)"
  struct UserObject *uo6260 = (struct UserObject*)obj6091;
  uo6260->data[17] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6260 = addmethod2pos(obj6091, "toGrace(1)", &meth_ast_toGrace_40_1_41_6260, 17);
  int argcv_meth_ast_toGrace_40_1_41_6260[] = {1};
  meth_meth_ast_toGrace_40_1_41_6260->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6260);
meth_meth_ast_toGrace_40_1_41_6260->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6260->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6260->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6260->definitionLine = 1541;
// method "asString"
  struct UserObject *uo6371 = (struct UserObject*)obj6091;
  uo6371->data[18] = emptyclosure;
  Method *meth_meth_ast_asString6371 = addmethod2pos(obj6091, "asString", &meth_ast_asString6371, 18);
  int argcv_meth_ast_asString6371[] = {0};
  meth_meth_ast_asString6371->type = alloc_MethodType(1, argcv_meth_ast_asString6371);
  meth_meth_ast_asString6371->definitionModule = modulename;
  meth_meth_ast_asString6371->definitionLine = 1558;
// method "asIdentifier"
  block_savedest(obj6091);
  Object closure6391 = createclosure(2, "asIdentifier");
  setclosureframe(closure6391, stackframe);
  addtoclosure(closure6391, var_fakeSymbolTable);
  addtoclosure(closure6391, var_identifierNode);
  struct UserObject *uo6391 = (struct UserObject*)obj6091;
  uo6391->data[19] = (Object)closure6391;
  Method *meth_meth_ast_asIdentifier6391 = addmethod2pos(obj6091, "asIdentifier", &meth_ast_asIdentifier6391, 19);
  int argcv_meth_ast_asIdentifier6391[] = {0};
  meth_meth_ast_asIdentifier6391->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier6391);
  meth_meth_ast_asIdentifier6391->definitionModule = modulename;
  meth_meth_ast_asIdentifier6391->definitionLine = 1559;
// method "shallowCopy"
  block_savedest(obj6091);
  Object closure6431 = createclosure(1, "shallowCopy");
  setclosureframe(closure6431, stackframe);
  addtoclosure(closure6431, var_memberNode);
  struct UserObject *uo6431 = (struct UserObject*)obj6091;
  uo6431->data[20] = (Object)closure6431;
  Method *meth_meth_ast_shallowCopy6431 = addmethod2pos(obj6091, "shallowCopy", &meth_ast_shallowCopy6431, 20);
  int argcv_meth_ast_shallowCopy6431[] = {0};
  meth_meth_ast_shallowCopy6431->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6431);
  meth_meth_ast_shallowCopy6431->definitionModule = modulename;
  meth_meth_ast_shallowCopy6431->definitionLine = 1570;
// method "statementName"
  struct UserObject *uo6440 = (struct UserObject*)obj6091;
  uo6440->data[21] = emptyclosure;
  Method *meth_meth_ast_statementName6440 = addmethod2pos(obj6091, "statementName", &meth_ast_statementName6440, 21);
  int argcv_meth_ast_statementName6440[] = {0};
  meth_meth_ast_statementName6440->type = alloc_MethodType(1, argcv_meth_ast_statementName6440);
  meth_meth_ast_statementName6440->definitionModule = modulename;
  meth_meth_ast_statementName6440->definitionLine = 1573;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo6442 = (struct UserObject*)obj6091;
  uo6442->data[22] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_6442 = addmethod2pos(obj6091, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_6442, 22);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_6442[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_6442->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_6442);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_6442->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_6442->definitionLine = 1574;
  sourceObject = obj6091;
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6453 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6454 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6455 = gc_frame_new();
// call case 3: self.outer request
  Object call6456 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6455);
// compiled member node returning call6456 (depth = 5)
  Object call6457 = callmethodflags(call6456, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6454);
// compiled member node returning call6457 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6458 = callmethodflags(call6457, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6453);
// compiled call node returning call6458 (depth = 3)
  struct UserObject *obj6091_uo = (struct UserObject *)obj6091;
  obj6091_uo->super = call6458;
  sourceObject = obj6091;
// Begin line 1490
  setline(1490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6459 == NULL) {
    strlit6459 = alloc_String("member");
    gc_root(strlit6459);
  }
// compiled string node returning strlit6459 (depth = 3)
  adddatum2(obj6091, strlit6459, 1);
  sourceObject = obj6091;
// Begin line 1491
  setline(1491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_request (depth = 3)
  adddatum2(obj6091, *var_request, 2);
  sourceObject = obj6091;
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_receiver_39_ (depth = 3)
  adddatum2(obj6091, *var_receiver_39_, 3);
  sourceObject = obj6091;
// Begin line 1493
  setline(1493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6460 = alloc_Boolean(0);
// compiled identifier node returning bool6460 (depth = 3)
  adddatum2(obj6091, bool6460, 4);
  sourceObject = obj6091;
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6461 = alloc_Boolean(0);
// compiled identifier node returning bool6461 (depth = 3)
  adddatum2(obj6091, bool6461, 5);
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  sourceObject = obj6091;
  objclass6091 = obj6091->class;
  objclass6091->definitionModule = modulename;
  objclass6091->definitionLine = 1487;
  (*(struct UserObject *)self).data[0] = lowerouter6091;
  self = oldself6091;
  selfslot = oldselfslot6091;
  stackframe = oldstackframe6091;
  gc_frame_end(frame);
  return obj6091;
}
Object meth_ast_memberNode6463(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "memberNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_memberNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_memberNode (depth = 3)
  gc_frame_end(frame);
  return *var_memberNode;
}
Object meth_ast_nameString6472(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1591
  setline(1591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6473 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6474 = gc_frame_new();
// call case 4: self request
  Object call6475 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6474);
// compiled member node returning call6475 (depth = 4)
  Object call6476 = callmethodflags(call6475, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe6473);
// compiled member node returning call6476 (depth = 3)
  gc_frame_end(frame);
  return call6476;
}
Object meth_ast_asString6477(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1592
  setline(1592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6478 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num6479 = alloc_Float64(0);
// compiled num node returning num6479 (depth = 4)
  gc_frame_newslot(num6479);
// call case 4: self request
  params[0] = num6479;
  partcv[0] = 1;
  Object call6480 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6478);
// compiled call node returning call6480 (depth = 3)
  gc_frame_end(frame);
  return call6480;
}
Object meth_ast__apply_40_1_41_6495(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1598
  setline(1598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6496 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6497 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6496);
// compiled call node returning call6497 (depth = 6)
  gc_frame_end(frame);
  return call6497;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6481(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6483 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6484 = callmethodflags(*var_visitor, "visitGeneric(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6483);
// compiled call node returning call6484 (depth = 4)
  Object if6482 = done;
  if (istrue(call6484)) {
// Begin line 1595
  setline(1595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6485 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6486 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6485);
// compiled call node returning call6486 (depth = 5)
  *var_newChain = call6486;
  if (call6486 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1596
  setline(1596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6487 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6488 = gc_frame_new();
// call case 4: self request
  Object call6489 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6488);
// compiled member node returning call6489 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6490 = callmethodflags(call6489, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6487);
// compiled call node returning call6490 (depth = 4)
// Begin line 1597
  setline(1597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6491 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6492 = gc_frame_new();
// call case 4: self request
  Object call6493 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6492);
// compiled member node returning call6493 (depth = 5)
  gc_frame_newslot(call6493);
// starting to compile block node (depth = 5)
  Object block6494 = alloc_Block(NULL, NULL, "ast", 1597);
  gc_frame_newslot(block6494);
// method "_apply(_)"
  block_savedest(block6494);
  Object closure6495 = createclosure(3, "_apply(1)");
  setclosureframe(closure6495, stackframe);
  addtoclosure(closure6495, var_visitor);
  addtoclosure(closure6495, var_newChain);
  addtoclosure(closure6495, selfslot);
  struct UserObject *uo6495 = (struct UserObject*)block6494;
  uo6495->data[0] = (Object)closure6495;
  Method *meth_meth_ast__apply_40_1_41_6495 = addmethod2pos(block6494, "_apply(1)", &meth_ast__apply_40_1_41_6495, 0);
  int argcv_meth_ast__apply_40_1_41_6495[] = {1};
  meth_meth_ast__apply_40_1_41_6495->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6495);
  meth_meth_ast__apply_40_1_41_6495->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6495->definitionLine = 2947;
// compiled block node returning block6494 (depth = 5)
  gc_frame_newslot(block6494);
// call case 5: prelude request
  params[0] = call6493;
  params[1] = block6494;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6499 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6491);
// compiled call node returning call6499 (depth = 4)
    gc_frame_newslot(call6499);
    if6482 = call6499;
  } else {
  }
// compiled if node returning if6482 (depth = 3)
  gc_frame_end(frame);
  return if6482;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_6500(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6501 = gc_frame_new();
// call case 4: self request
  Object call6502 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6501);
// compiled member node returning call6502 (depth = 4)
  *var_n = call6502;
  if (call6502 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6503 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6504 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6503);
// compiled call node returning call6504 (depth = 4)
  *var_newChain = call6504;
  if (call6504 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6505 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6506 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6507 = gc_frame_new();
// call case 4: self request
  Object call6508 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6507);
// compiled member node returning call6508 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6509 = callmethodflags(call6508, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6506);
// compiled call node returning call6509 (depth = 4)
  gc_frame_newslot(call6509);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6509;
  partcv[0] = 1;
  Object call6510 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6505);
// compiled call node returning call6510 (depth = 3)
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6511 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6512 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6513 = gc_frame_new();
// call case 4: self request
  Object call6514 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6513);
// compiled member node returning call6514 (depth = 5)
  gc_frame_newslot(call6514);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6515 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6516 = gc_frame_new();
// call case 3: self.outer request
  Object call6517 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6516);
// compiled member node returning call6517 (depth = 6)
  Object call6518 = callmethodflags(call6517, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6515);
// compiled member node returning call6518 (depth = 5)
  params[0] = call6514;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6519 = callmethodflags(call6518, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6512);
// compiled call node returning call6519 (depth = 4)
  gc_frame_newslot(call6519);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6519;
  partcv[0] = 1;
  Object call6520 = callmethodflags(*var_n, "args:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6511);
// compiled call node returning call6520 (depth = 3)
// Begin line 1607
  setline(1607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6521 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6522 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6521);
// compiled call node returning call6522 (depth = 3)
  gc_frame_end(frame);
  return call6522;
}
Object meth_ast__apply_40_1_41_6547(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6549 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6551 = alloc_Float64(2);
// compiled num node returning num6551 (depth = 9)
  int op_slot_right_6550 = gc_frame_newslot(num6551);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6550 = gc_frame_newslot(*var_depth);
  params[0] = num6551;
  partcv[0] = 1;
  Object sum6553 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6553 (depth = 8)
  gc_frame_newslot(sum6553);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum6553;
  partcv[0] = 1;
  Object call6554 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6549);
// compiled call node returning call6554 (depth = 7)
  int op_slot_right_6548 = gc_frame_newslot(call6554);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6548 = gc_frame_newslot(*var_s);
  params[0] = call6554;
  partcv[0] = 1;
  Object opresult6556 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6556 (depth = 6)
  *var_s = opresult6556;
  if (opresult6556 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6560(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6562 == NULL) {
    strlit6562 = alloc_String(", ");
    gc_root(strlit6562);
  }
// compiled string node returning strlit6562 (depth = 7)
  int op_slot_right_6561 = gc_frame_newslot(strlit6562);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6561 = gc_frame_newslot(*var_s);
  params[0] = strlit6562;
  partcv[0] = 1;
  Object opresult6564 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6564 (depth = 6)
  *var_s = opresult6564;
  if (opresult6564 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_6523(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6525 == NULL) {
    strlit6525 = alloc_String(")<");
    gc_root(strlit6525);
  }
// compiled string node returning strlit6525 (depth = 5)
  int op_slot_right_6524 = gc_frame_newslot(strlit6525);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6528 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6529 = gc_frame_new();
// call case 4: self request
  Object call6530 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6529);
// compiled member node returning call6530 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6531 = callmethodflags(call6530, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6528);
// compiled call node returning call6531 (depth = 6)
  int op_slot_right_6527 = gc_frame_newslot(call6531);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6534 == NULL) {
    strlit6534 = alloc_String("(");
    gc_root(strlit6534);
  }
// compiled string node returning strlit6534 (depth = 7)
  int op_slot_right_6533 = gc_frame_newslot(strlit6534);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6537 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6538 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6537);
// compiled call node returning call6538 (depth = 8)
  int op_slot_right_6536 = gc_frame_newslot(call6538);
// starting to compile string node (depth = 8)
  if (strlit6540 == NULL) {
    strlit6540 = alloc_String("");
    gc_root(strlit6540);
  }
// compiled string node returning strlit6540 (depth = 8)
  int op_slot_left_6536 = gc_frame_newslot(strlit6540);
  params[0] = call6538;
  partcv[0] = 1;
  Object opresult6541 = callmethod(strlit6540, "++(1)", 1, partcv, params);
// compiled op node returning opresult6541 (depth = 7)
  int op_slot_left_6533 = gc_frame_newslot(opresult6541);
  params[0] = strlit6534;
  partcv[0] = 1;
  Object opresult6542 = callmethod(opresult6541, "++(1)", 1, partcv, params);
// compiled op node returning opresult6542 (depth = 6)
  int op_slot_left_6527 = gc_frame_newslot(opresult6542);
  params[0] = call6531;
  partcv[0] = 1;
  Object opresult6543 = callmethod(opresult6542, "++(1)", 1, partcv, params);
// compiled op node returning opresult6543 (depth = 5)
  int op_slot_left_6524 = gc_frame_newslot(opresult6543);
  params[0] = strlit6525;
  partcv[0] = 1;
  Object opresult6544 = callmethod(opresult6543, "++(1)", 1, partcv, params);
// compiled op node returning opresult6544 (depth = 4)
  *var_s = opresult6544;
  if (opresult6544 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6545 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6546 = alloc_Block(NULL, NULL, "ast", 1611);
  gc_frame_newslot(block6546);
// method "_apply(_)"
  block_savedest(block6546);
  Object closure6547 = createclosure(3, "_apply(1)");
  setclosureframe(closure6547, stackframe);
  addtoclosure(closure6547, var_depth);
  addtoclosure(closure6547, var_s);
  addtoclosure(closure6547, selfslot);
  struct UserObject *uo6547 = (struct UserObject*)block6546;
  uo6547->data[0] = (Object)closure6547;
  Method *meth_meth_ast__apply_40_1_41_6547 = addmethod2pos(block6546, "_apply(1)", &meth_ast__apply_40_1_41_6547, 0);
  int argcv_meth_ast__apply_40_1_41_6547[] = {1};
  meth_meth_ast__apply_40_1_41_6547->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6547);
  meth_meth_ast__apply_40_1_41_6547->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6547->definitionLine = 2947;
// compiled block node returning block6546 (depth = 4)
  gc_frame_newslot(block6546);
// Begin line 1612
  setline(1612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6559 = alloc_Block(NULL, NULL, "ast", 1612);
  gc_frame_newslot(block6559);
// method "_apply"
  block_savedest(block6559);
  Object closure6560 = createclosure(2, "_apply");
  setclosureframe(closure6560, stackframe);
  addtoclosure(closure6560, var_s);
  addtoclosure(closure6560, selfslot);
  struct UserObject *uo6560 = (struct UserObject*)block6559;
  uo6560->data[0] = (Object)closure6560;
  Method *meth_meth_ast__apply6560 = addmethod2pos(block6559, "_apply", &meth_ast__apply6560, 0);
  int argcv_meth_ast__apply6560[] = {0};
  meth_meth_ast__apply6560->type = alloc_MethodType(1, argcv_meth_ast__apply6560);
  meth_meth_ast__apply6560->definitionModule = modulename;
  meth_meth_ast__apply6560->definitionLine = 2947;
// compiled block node returning block6559 (depth = 4)
  gc_frame_newslot(block6559);
// call case 6: other requests
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6567 = gc_frame_new();
// call case 4: self request
  Object call6568 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6567);
// compiled member node returning call6568 (depth = 4)
  params[0] = block6546;
  params[1] = block6559;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6569 = callmethodflags(call6568, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6545);
// compiled call node returning call6569 (depth = 3)
// Begin line 1613
  setline(1613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6571 == NULL) {
    strlit6571 = alloc_String(">");
    gc_root(strlit6571);
  }
// compiled string node returning strlit6571 (depth = 4)
  int op_slot_right_6570 = gc_frame_newslot(strlit6571);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_6570 = gc_frame_newslot(*var_s);
  params[0] = strlit6571;
  partcv[0] = 1;
  Object opresult6573 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6573 (depth = 3)
  gc_frame_end(frame);
  return opresult6573;
}
Object meth_ast__apply_40_1_41_6583(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6585 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num6586 = alloc_Float64(0);
// compiled num node returning num6586 (depth = 8)
  gc_frame_newslot(num6586);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = num6586;
  partcv[0] = 1;
  Object call6587 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6585);
// compiled call node returning call6587 (depth = 7)
  int op_slot_right_6584 = gc_frame_newslot(call6587);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6584 = gc_frame_newslot(*var_s);
  params[0] = call6587;
  partcv[0] = 1;
  Object opresult6589 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6589 (depth = 6)
  *var_s = opresult6589;
  if (opresult6589 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6593(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6595 == NULL) {
    strlit6595 = alloc_String(", ");
    gc_root(strlit6595);
  }
// compiled string node returning strlit6595 (depth = 7)
  int op_slot_right_6594 = gc_frame_newslot(strlit6595);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6594 = gc_frame_newslot(*var_s);
  params[0] = strlit6595;
  partcv[0] = 1;
  Object opresult6597 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6597 (depth = 6)
  *var_s = opresult6597;
  if (opresult6597 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_6574(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6576 == NULL) {
    strlit6576 = alloc_String("<");
    gc_root(strlit6576);
  }
// compiled string node returning strlit6576 (depth = 5)
  int op_slot_right_6575 = gc_frame_newslot(strlit6576);
// starting to compile member node (depth = 5)
  int callframe6578 = gc_frame_new();
// call case 4: self request
  Object call6579 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6578);
// compiled member node returning call6579 (depth = 5)
  int op_slot_left_6575 = gc_frame_newslot(call6579);
  params[0] = strlit6576;
  partcv[0] = 1;
  Object opresult6580 = callmethod(call6579, "++(1)", 1, partcv, params);
// compiled op node returning opresult6580 (depth = 4)
  *var_s = opresult6580;
  if (opresult6580 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6581 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6582 = alloc_Block(NULL, NULL, "ast", 1617);
  gc_frame_newslot(block6582);
// method "_apply(_)"
  block_savedest(block6582);
  Object closure6583 = createclosure(2, "_apply(1)");
  setclosureframe(closure6583, stackframe);
  addtoclosure(closure6583, var_s);
  addtoclosure(closure6583, selfslot);
  struct UserObject *uo6583 = (struct UserObject*)block6582;
  uo6583->data[0] = (Object)closure6583;
  Method *meth_meth_ast__apply_40_1_41_6583 = addmethod2pos(block6582, "_apply(1)", &meth_ast__apply_40_1_41_6583, 0);
  int argcv_meth_ast__apply_40_1_41_6583[] = {1};
  meth_meth_ast__apply_40_1_41_6583->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6583);
  meth_meth_ast__apply_40_1_41_6583->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6583->definitionLine = 2947;
// compiled block node returning block6582 (depth = 4)
  gc_frame_newslot(block6582);
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6592 = alloc_Block(NULL, NULL, "ast", 1618);
  gc_frame_newslot(block6592);
// method "_apply"
  block_savedest(block6592);
  Object closure6593 = createclosure(2, "_apply");
  setclosureframe(closure6593, stackframe);
  addtoclosure(closure6593, var_s);
  addtoclosure(closure6593, selfslot);
  struct UserObject *uo6593 = (struct UserObject*)block6592;
  uo6593->data[0] = (Object)closure6593;
  Method *meth_meth_ast__apply6593 = addmethod2pos(block6592, "_apply", &meth_ast__apply6593, 0);
  int argcv_meth_ast__apply6593[] = {0};
  meth_meth_ast__apply6593->type = alloc_MethodType(1, argcv_meth_ast__apply6593);
  meth_meth_ast__apply6593->definitionModule = modulename;
  meth_meth_ast__apply6593->definitionLine = 2947;
// compiled block node returning block6592 (depth = 4)
  gc_frame_newslot(block6592);
// call case 6: other requests
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6600 = gc_frame_new();
// call case 4: self request
  Object call6601 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6600);
// compiled member node returning call6601 (depth = 4)
  params[0] = block6582;
  params[1] = block6592;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6602 = callmethodflags(call6601, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6581);
// compiled call node returning call6602 (depth = 3)
// Begin line 1619
  setline(1619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6604 == NULL) {
    strlit6604 = alloc_String(">");
    gc_root(strlit6604);
  }
// compiled string node returning strlit6604 (depth = 4)
  int op_slot_right_6603 = gc_frame_newslot(strlit6604);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_6603 = gc_frame_newslot(*var_s);
  params[0] = strlit6604;
  partcv[0] = 1;
  Object opresult6606 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6606 (depth = 3)
  gc_frame_end(frame);
  return opresult6606;
}
Object meth_ast_shallowCopy6607(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6608 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6609 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6610 = gc_frame_new();
// call case 4: self request
  Object call6611 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6610);
// compiled member node returning call6611 (depth = 5)
  gc_frame_newslot(call6611);
// starting to compile member node (depth = 5)
  int callframe6612 = gc_frame_new();
// call case 4: self request
  Object call6613 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6612);
// compiled member node returning call6613 (depth = 5)
  gc_frame_newslot(call6613);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_genericNode (depth = 5)
  params[0] = call6611;
  params[1] = call6613;
  partcv[0] = 2;
  Object call6614 = callmethodflags(*var_genericNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6609);
// compiled call node returning call6614 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6615 = callmethodflags(call6614, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6608);
// compiled call node returning call6615 (depth = 3)
  gc_frame_end(frame);
  return call6615;
}
Object meth_ast_new_40_2_41_6466(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_arguments = &(stackframe->slots[1]);
  *var_arguments = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6467 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6467 = alloc_userobj2(12,11, objclass6467);
  gc_frame_newslot(obj6467);
if (objclass6467 == NULL) {
  glfree(obj6467->class->name);
  obj6467->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6467, self, 0);
  addmethodreal(obj6467,"outer", &reader_ast_outer_6468);
  Object oldself6467 = self;
  struct StackFrameObject *oldstackframe6467 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6467);
  gc_frame_newslot((Object)stackframe);
  self = obj6467;
  Object *oldselfslot6467 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6467 = (*(struct UserObject *)self).data[0], lowerouter6467 = thisouter6467;
  if (inheritingObject6467) {
    struct UserObject *inho6467 = (struct UserObject *)inheritingObject6467;
    while (inho6467->super != GraceDefaultObject) inho6467 = (struct UserObject *)inho6467->super;
    inho6467->super = obj6467;
    self = inheritingObject6467;
    *selfslot = self;
    lowerouter6467 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6467;
  }
if (objclass6467 == NULL) {
  Method *reader6469 = addmethodrealflags(obj6467, "kind",&reader_ast_kind_6469, MFLAG_DEF);
  reader6469->definitionModule = modulename;
  reader6469->definitionLine = 1586;
}
adddatum2(obj6467, alloc_Undefined(), 1);
if (objclass6467 == NULL) {
  Method *reader6470 = addmethodrealflags(obj6467, "value", &reader_ast_value_6470, 0);
  Method *writer6470 = addmethodrealflags(obj6467, "value:=(1)", &writer_ast_value_6470, 0);
  reader6470->definitionModule = modulename;
  writer6470->definitionModule = modulename;
  reader6470->definitionLine = 1587;
  writer6470->definitionLine = 1587;
}
obj6467->flags |= OFLAG_MUTABLE;
adddatum2(obj6467, alloc_Undefined(), 2);
if (objclass6467 == NULL) {
  Method *reader6471 = addmethodrealflags(obj6467, "args", &reader_ast_args_6471, 0);
  Method *writer6471 = addmethodrealflags(obj6467, "args:=(1)", &writer_ast_args_6471, 0);
  reader6471->definitionModule = modulename;
  writer6471->definitionModule = modulename;
  reader6471->definitionLine = 1590;
  writer6471->definitionLine = 1590;
}
obj6467->flags |= OFLAG_MUTABLE;
adddatum2(obj6467, alloc_Undefined(), 3);
// method "nameString"
  struct UserObject *uo6472 = (struct UserObject*)obj6467;
  uo6472->data[4] = emptyclosure;
  Method *meth_meth_ast_nameString6472 = addmethod2pos(obj6467, "nameString", &meth_ast_nameString6472, 4);
  int argcv_meth_ast_nameString6472[] = {0};
  meth_meth_ast_nameString6472->type = alloc_MethodType(1, argcv_meth_ast_nameString6472);
  meth_meth_ast_nameString6472->definitionModule = modulename;
  meth_meth_ast_nameString6472->definitionLine = 1591;
// method "asString"
  struct UserObject *uo6477 = (struct UserObject*)obj6467;
  uo6477->data[5] = emptyclosure;
  Method *meth_meth_ast_asString6477 = addmethod2pos(obj6467, "asString", &meth_ast_asString6477, 5);
  int argcv_meth_ast_asString6477[] = {0};
  meth_meth_ast_asString6477->type = alloc_MethodType(1, argcv_meth_ast_asString6477);
  meth_meth_ast_asString6477->definitionModule = modulename;
  meth_meth_ast_asString6477->definitionLine = 1592;
// method "accept(_)from(_)"
  struct UserObject *uo6481 = (struct UserObject*)obj6467;
  uo6481->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6481 = addmethod2pos(obj6467, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6481, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6481[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6481->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6481);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6481->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6481->definitionLine = 1593;
// method "map(_)ancestors(_)"
  struct UserObject *uo6500 = (struct UserObject*)obj6467;
  uo6500->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6500 = addmethod2pos(obj6467, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6500, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6500[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6500->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6500);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6500->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6500->definitionLine = 1602;
// method "pretty(_)"
  struct UserObject *uo6523 = (struct UserObject*)obj6467;
  uo6523->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6523 = addmethod2pos(obj6467, "pretty(1)", &meth_ast_pretty_40_1_41_6523, 8);
  int argcv_meth_ast_pretty_40_1_41_6523[] = {1};
  meth_meth_ast_pretty_40_1_41_6523->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6523);
  meth_meth_ast_pretty_40_1_41_6523->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6523->definitionLine = 1609;
// method "toGrace(_)"
  struct UserObject *uo6574 = (struct UserObject*)obj6467;
  uo6574->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6574 = addmethod2pos(obj6467, "toGrace(1)", &meth_ast_toGrace_40_1_41_6574, 9);
  int argcv_meth_ast_toGrace_40_1_41_6574[] = {1};
  meth_meth_ast_toGrace_40_1_41_6574->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6574);
meth_meth_ast_toGrace_40_1_41_6574->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6574->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6574->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6574->definitionLine = 1615;
// method "shallowCopy"
  block_savedest(obj6467);
  Object closure6607 = createclosure(1, "shallowCopy");
  setclosureframe(closure6607, stackframe);
  addtoclosure(closure6607, var_genericNode);
  struct UserObject *uo6607 = (struct UserObject*)obj6467;
  uo6607->data[10] = (Object)closure6607;
  Method *meth_meth_ast_shallowCopy6607 = addmethod2pos(obj6467, "shallowCopy", &meth_ast_shallowCopy6607, 10);
  int argcv_meth_ast_shallowCopy6607[] = {0};
  meth_meth_ast_shallowCopy6607->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6607);
  meth_meth_ast_shallowCopy6607->definitionModule = modulename;
  meth_meth_ast_shallowCopy6607->definitionLine = 1621;
  sourceObject = obj6467;
// Begin line 1585
  setline(1585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6616 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6617 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6618 = gc_frame_new();
// call case 3: self.outer request
  Object call6619 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6618);
// compiled member node returning call6619 (depth = 5)
  Object call6620 = callmethodflags(call6619, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6617);
// compiled member node returning call6620 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6621 = callmethodflags(call6620, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6616);
// compiled call node returning call6621 (depth = 3)
  struct UserObject *obj6467_uo = (struct UserObject *)obj6467;
  obj6467_uo->super = call6621;
  sourceObject = obj6467;
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6622 == NULL) {
    strlit6622 = alloc_String("generic");
    gc_root(strlit6622);
  }
// compiled string node returning strlit6622 (depth = 3)
  adddatum2(obj6467, strlit6622, 1);
  sourceObject = obj6467;
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  adddatum2(obj6467, *var_base, 2);
  sourceObject = obj6467;
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arguments (depth = 3)
  adddatum2(obj6467, *var_arguments, 3);
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  objclass6467 = obj6467->class;
  objclass6467->definitionModule = modulename;
  objclass6467->definitionLine = 1583;
  (*(struct UserObject *)self).data[0] = lowerouter6467;
  self = oldself6467;
  selfslot = oldselfslot6467;
  stackframe = oldstackframe6467;
  gc_frame_end(frame);
  return obj6467;
}
Object meth_ast_new_40_2_41_6466_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_base = &(stackframe->slots[0]);
  *var_base = args[curarg];
  curarg++;
  Object *var_arguments = &(stackframe->slots[1]);
  *var_arguments = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6467 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6467 = alloc_userobj2(12,11, objclass6467);
  gc_frame_newslot(obj6467);
if (objclass6467 == NULL) {
  glfree(obj6467->class->name);
  obj6467->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6467, self, 0);
  addmethodreal(obj6467,"outer", &reader_ast_outer_6468);
  Object oldself6467 = self;
  struct StackFrameObject *oldstackframe6467 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6467);
  gc_frame_newslot((Object)stackframe);
  self = obj6467;
  Object *oldselfslot6467 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6467 = (*(struct UserObject *)self).data[0], lowerouter6467 = thisouter6467;
  if (inheritingObject6467) {
    struct UserObject *inho6467 = (struct UserObject *)inheritingObject6467;
    while (inho6467->super != GraceDefaultObject) inho6467 = (struct UserObject *)inho6467->super;
    inho6467->super = obj6467;
    self = inheritingObject6467;
    *selfslot = self;
    lowerouter6467 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6467;
  }
if (objclass6467 == NULL) {
  Method *reader6469 = addmethodrealflags(obj6467, "kind",&reader_ast_kind_6469, MFLAG_DEF);
  reader6469->definitionModule = modulename;
  reader6469->definitionLine = 1586;
}
adddatum2(obj6467, alloc_Undefined(), 1);
if (objclass6467 == NULL) {
  Method *reader6470 = addmethodrealflags(obj6467, "value", &reader_ast_value_6470, 0);
  Method *writer6470 = addmethodrealflags(obj6467, "value:=(1)", &writer_ast_value_6470, 0);
  reader6470->definitionModule = modulename;
  writer6470->definitionModule = modulename;
  reader6470->definitionLine = 1587;
  writer6470->definitionLine = 1587;
}
obj6467->flags |= OFLAG_MUTABLE;
adddatum2(obj6467, alloc_Undefined(), 2);
if (objclass6467 == NULL) {
  Method *reader6471 = addmethodrealflags(obj6467, "args", &reader_ast_args_6471, 0);
  Method *writer6471 = addmethodrealflags(obj6467, "args:=(1)", &writer_ast_args_6471, 0);
  reader6471->definitionModule = modulename;
  writer6471->definitionModule = modulename;
  reader6471->definitionLine = 1590;
  writer6471->definitionLine = 1590;
}
obj6467->flags |= OFLAG_MUTABLE;
adddatum2(obj6467, alloc_Undefined(), 3);
// method "nameString"
  struct UserObject *uo6472 = (struct UserObject*)obj6467;
  uo6472->data[4] = emptyclosure;
  Method *meth_meth_ast_nameString6472 = addmethod2pos(obj6467, "nameString", &meth_ast_nameString6472, 4);
  int argcv_meth_ast_nameString6472[] = {0};
  meth_meth_ast_nameString6472->type = alloc_MethodType(1, argcv_meth_ast_nameString6472);
  meth_meth_ast_nameString6472->definitionModule = modulename;
  meth_meth_ast_nameString6472->definitionLine = 1591;
// method "asString"
  struct UserObject *uo6477 = (struct UserObject*)obj6467;
  uo6477->data[5] = emptyclosure;
  Method *meth_meth_ast_asString6477 = addmethod2pos(obj6467, "asString", &meth_ast_asString6477, 5);
  int argcv_meth_ast_asString6477[] = {0};
  meth_meth_ast_asString6477->type = alloc_MethodType(1, argcv_meth_ast_asString6477);
  meth_meth_ast_asString6477->definitionModule = modulename;
  meth_meth_ast_asString6477->definitionLine = 1592;
// method "accept(_)from(_)"
  struct UserObject *uo6481 = (struct UserObject*)obj6467;
  uo6481->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6481 = addmethod2pos(obj6467, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6481, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6481[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6481->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6481);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6481->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6481->definitionLine = 1593;
// method "map(_)ancestors(_)"
  struct UserObject *uo6500 = (struct UserObject*)obj6467;
  uo6500->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6500 = addmethod2pos(obj6467, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6500, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6500[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6500->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6500);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6500->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6500->definitionLine = 1602;
// method "pretty(_)"
  struct UserObject *uo6523 = (struct UserObject*)obj6467;
  uo6523->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6523 = addmethod2pos(obj6467, "pretty(1)", &meth_ast_pretty_40_1_41_6523, 8);
  int argcv_meth_ast_pretty_40_1_41_6523[] = {1};
  meth_meth_ast_pretty_40_1_41_6523->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6523);
  meth_meth_ast_pretty_40_1_41_6523->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6523->definitionLine = 1609;
// method "toGrace(_)"
  struct UserObject *uo6574 = (struct UserObject*)obj6467;
  uo6574->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6574 = addmethod2pos(obj6467, "toGrace(1)", &meth_ast_toGrace_40_1_41_6574, 9);
  int argcv_meth_ast_toGrace_40_1_41_6574[] = {1};
  meth_meth_ast_toGrace_40_1_41_6574->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6574);
meth_meth_ast_toGrace_40_1_41_6574->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6574->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6574->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6574->definitionLine = 1615;
// method "shallowCopy"
  block_savedest(obj6467);
  Object closure6607 = createclosure(1, "shallowCopy");
  setclosureframe(closure6607, stackframe);
  addtoclosure(closure6607, var_genericNode);
  struct UserObject *uo6607 = (struct UserObject*)obj6467;
  uo6607->data[10] = (Object)closure6607;
  Method *meth_meth_ast_shallowCopy6607 = addmethod2pos(obj6467, "shallowCopy", &meth_ast_shallowCopy6607, 10);
  int argcv_meth_ast_shallowCopy6607[] = {0};
  meth_meth_ast_shallowCopy6607->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6607);
  meth_meth_ast_shallowCopy6607->definitionModule = modulename;
  meth_meth_ast_shallowCopy6607->definitionLine = 1621;
  sourceObject = obj6467;
// Begin line 1585
  setline(1585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6616 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6617 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6618 = gc_frame_new();
// call case 3: self.outer request
  Object call6619 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6618);
// compiled member node returning call6619 (depth = 5)
  Object call6620 = callmethodflags(call6619, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6617);
// compiled member node returning call6620 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6621 = callmethodflags(call6620, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6616);
// compiled call node returning call6621 (depth = 3)
  struct UserObject *obj6467_uo = (struct UserObject *)obj6467;
  obj6467_uo->super = call6621;
  sourceObject = obj6467;
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6622 == NULL) {
    strlit6622 = alloc_String("generic");
    gc_root(strlit6622);
  }
// compiled string node returning strlit6622 (depth = 3)
  adddatum2(obj6467, strlit6622, 1);
  sourceObject = obj6467;
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  adddatum2(obj6467, *var_base, 2);
  sourceObject = obj6467;
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_arguments (depth = 3)
  adddatum2(obj6467, *var_arguments, 3);
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  sourceObject = obj6467;
  objclass6467 = obj6467->class;
  objclass6467->definitionModule = modulename;
  objclass6467->definitionLine = 1583;
  (*(struct UserObject *)self).data[0] = lowerouter6467;
  self = oldself6467;
  selfslot = oldselfslot6467;
  stackframe = oldstackframe6467;
  gc_frame_end(frame);
  return obj6467;
}
Object meth_ast_genericNode6624(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "genericNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_genericNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_genericNode (depth = 3)
  gc_frame_end(frame);
  return *var_genericNode;
}
Object meth_ast_asString6632(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1632
  setline(1632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6633 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num6634 = alloc_Float64(0);
// compiled num node returning num6634 (depth = 4)
  gc_frame_newslot(num6634);
// call case 4: self request
  params[0] = num6634;
  partcv[0] = 1;
  Object call6635 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6633);
// compiled call node returning call6635 (depth = 3)
  gc_frame_end(frame);
  return call6635;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_6636(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1633
  setline(1633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6637 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call6638 = callmethodflags(*var_k, "typeparam", 0, partcv, params, 0);
  gc_frame_end(callframe6637);
// compiled member node returning call6638 (depth = 3)
  gc_frame_end(frame);
  return call6638;
}
Object meth_ast__apply_40_1_41_6647(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6648 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6649 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6648);
// compiled call node returning call6649 (depth = 6)
  gc_frame_end(frame);
  return call6649;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6639(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1636
  setline(1636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6641 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6642 = callmethodflags(*var_visitor, "visitTypeParameters(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6641);
// compiled call node returning call6642 (depth = 4)
  Object if6640 = done;
  if (istrue(call6642)) {
// Begin line 1637
  setline(1637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6643 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6644 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6643);
// compiled call node returning call6644 (depth = 5)
  *var_newChain = call6644;
  if (call6644 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1638
  setline(1638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6645 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6646 = alloc_Block(NULL, NULL, "ast", 1638);
  gc_frame_newslot(block6646);
// method "_apply(_)"
  block_savedest(block6646);
  Object closure6647 = createclosure(3, "_apply(1)");
  setclosureframe(closure6647, stackframe);
  addtoclosure(closure6647, var_visitor);
  addtoclosure(closure6647, var_newChain);
  addtoclosure(closure6647, selfslot);
  struct UserObject *uo6647 = (struct UserObject*)block6646;
  uo6647->data[0] = (Object)closure6647;
  Method *meth_meth_ast__apply_40_1_41_6647 = addmethod2pos(block6646, "_apply(1)", &meth_ast__apply_40_1_41_6647, 0);
  int argcv_meth_ast__apply_40_1_41_6647[] = {1};
  meth_meth_ast__apply_40_1_41_6647->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6647);
  meth_meth_ast__apply_40_1_41_6647->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6647->definitionLine = 2947;
// compiled block node returning block6646 (depth = 5)
  gc_frame_newslot(block6646);
// call case 6: other requests
// Begin line 1638
  setline(1638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6651 = gc_frame_new();
// call case 4: self request
  Object call6652 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6651);
// compiled member node returning call6652 (depth = 5)
  params[0] = block6646;
  partcv[0] = 1;
  Object call6653 = callmethodflags(call6652, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6645);
// compiled call node returning call6653 (depth = 4)
    gc_frame_newslot(call6653);
    if6640 = call6653;
  } else {
  }
// compiled if node returning if6640 (depth = 3)
  gc_frame_end(frame);
  return if6640;
}
Object meth_ast_do_40_1_41_6654(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1644
  setline(1644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6655 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  gc_frame_newslot(*var_blk);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6656 = gc_frame_new();
// call case 4: self request
  Object call6657 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6656);
// compiled member node returning call6657 (depth = 4)
  params[0] = *var_blk;
  partcv[0] = 1;
  Object call6658 = callmethodflags(call6657, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6655);
// compiled call node returning call6658 (depth = 3)
  gc_frame_end(frame);
  return call6658;
}
Object meth_ast_size6659(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6660 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6661 = gc_frame_new();
// call case 4: self request
  Object call6662 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6661);
// compiled member node returning call6662 (depth = 4)
  Object call6663 = callmethodflags(call6662, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6660);
// compiled member node returning call6663 (depth = 3)
  gc_frame_end(frame);
  return call6663;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_6664(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6665 = gc_frame_new();
// call case 4: self request
  Object call6666 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6665);
// compiled member node returning call6666 (depth = 4)
  *var_n = call6666;
  if (call6666 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6667 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6668 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6667);
// compiled call node returning call6668 (depth = 4)
  *var_newChain = call6668;
  if (call6668 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6669 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6670 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6671 = gc_frame_new();
// call case 4: self request
  Object call6672 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6671);
// compiled member node returning call6672 (depth = 5)
  gc_frame_newslot(call6672);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6673 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6674 = gc_frame_new();
// call case 3: self.outer request
  Object call6675 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6674);
// compiled member node returning call6675 (depth = 6)
  Object call6676 = callmethodflags(call6675, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6673);
// compiled member node returning call6676 (depth = 5)
  params[0] = call6672;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6677 = callmethodflags(call6676, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6670);
// compiled call node returning call6677 (depth = 4)
  gc_frame_newslot(call6677);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6677;
  partcv[0] = 1;
  Object call6678 = callmethodflags(*var_n, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6669);
// compiled call node returning call6678 (depth = 3)
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6679 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6680 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6679);
// compiled call node returning call6680 (depth = 3)
  gc_frame_end(frame);
  return call6680;
}
Object meth_ast__apply_40_1_41_6689(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1656
  setline(1656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6691 == NULL) {
    strlit6691 = alloc_String("  ");
    gc_root(strlit6691);
  }
// compiled string node returning strlit6691 (depth = 7)
  int op_slot_right_6690 = gc_frame_newslot(strlit6691);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_6690 = gc_frame_newslot(*var_spc);
  params[0] = strlit6691;
  partcv[0] = 1;
  Object opresult6693 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult6693 (depth = 6)
  *var_spc = opresult6693;
  if (opresult6693 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_6708(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe6710 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num6712 = alloc_Float64(2);
// compiled num node returning num6712 (depth = 9)
  int op_slot_right_6711 = gc_frame_newslot(num6712);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_6711 = gc_frame_newslot(*var_depth);
  params[0] = num6712;
  partcv[0] = 1;
  Object sum6714 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6714 (depth = 8)
  gc_frame_newslot(sum6714);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum6714;
  partcv[0] = 1;
  Object call6715 = callmethodflags(*var_each, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6710);
// compiled call node returning call6715 (depth = 7)
  int op_slot_right_6709 = gc_frame_newslot(call6715);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6709 = gc_frame_newslot(*var_s);
  params[0] = call6715;
  partcv[0] = 1;
  Object opresult6717 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6717 (depth = 6)
  *var_s = opresult6717;
  if (opresult6717 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6721(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6723 == NULL) {
    strlit6723 = alloc_String(", ");
    gc_root(strlit6723);
  }
// compiled string node returning strlit6723 (depth = 7)
  int op_slot_right_6722 = gc_frame_newslot(strlit6723);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6722 = gc_frame_newslot(*var_s);
  params[0] = strlit6723;
  partcv[0] = 1;
  Object opresult6725 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6725 (depth = 6)
  *var_s = opresult6725;
  if (opresult6725 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_6681(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1654
  setline(1654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6682 == NULL) {
    strlit6682 = alloc_String("");
    gc_root(strlit6682);
  }
// compiled string node returning strlit6682 (depth = 4)
  *var_spc = strlit6682;
  if (strlit6682 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1655
  setline(1655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6683 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_6684 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num6686 = alloc_Float64(0);
// compiled num node returning num6686 (depth = 5)
  int op_slot_left_6684 = gc_frame_newslot(num6686);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6687 = callmethod(num6686, "..(1)", 1, partcv, params);
// compiled op node returning opresult6687 (depth = 4)
  gc_frame_newslot(opresult6687);
// starting to compile block node (depth = 4)
  Object block6688 = alloc_Block(NULL, NULL, "ast", 1655);
  gc_frame_newslot(block6688);
// method "_apply(_)"
  block_savedest(block6688);
  Object closure6689 = createclosure(2, "_apply(1)");
  setclosureframe(closure6689, stackframe);
  addtoclosure(closure6689, var_spc);
  addtoclosure(closure6689, selfslot);
  struct UserObject *uo6689 = (struct UserObject*)block6688;
  uo6689->data[0] = (Object)closure6689;
  Method *meth_meth_ast__apply_40_1_41_6689 = addmethod2pos(block6688, "_apply(1)", &meth_ast__apply_40_1_41_6689, 0);
  int argcv_meth_ast__apply_40_1_41_6689[] = {1};
  meth_meth_ast__apply_40_1_41_6689->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6689);
  meth_meth_ast__apply_40_1_41_6689->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6689->definitionLine = 2947;
// compiled block node returning block6688 (depth = 4)
  gc_frame_newslot(block6688);
// call case 5: prelude request
  params[0] = opresult6687;
  params[1] = block6688;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6696 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6683);
// compiled call node returning call6696 (depth = 3)
// Begin line 1658
  setline(1658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6698 == NULL) {
    strlit6698 = alloc_String("<");
    gc_root(strlit6698);
  }
// compiled string node returning strlit6698 (depth = 5)
  int op_slot_right_6697 = gc_frame_newslot(strlit6698);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6701 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6702 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6701);
// compiled call node returning call6702 (depth = 6)
  int op_slot_right_6700 = gc_frame_newslot(call6702);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_6700 = gc_frame_newslot(*var_spc);
  params[0] = call6702;
  partcv[0] = 1;
  Object opresult6704 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult6704 (depth = 5)
  int op_slot_left_6697 = gc_frame_newslot(opresult6704);
  params[0] = strlit6698;
  partcv[0] = 1;
  Object opresult6705 = callmethod(opresult6704, "++(1)", 1, partcv, params);
// compiled op node returning opresult6705 (depth = 4)
  *var_s = opresult6705;
  if (opresult6705 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6706 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6707 = alloc_Block(NULL, NULL, "ast", 1659);
  gc_frame_newslot(block6707);
// method "_apply(_)"
  block_savedest(block6707);
  Object closure6708 = createclosure(3, "_apply(1)");
  setclosureframe(closure6708, stackframe);
  addtoclosure(closure6708, var_depth);
  addtoclosure(closure6708, var_s);
  addtoclosure(closure6708, selfslot);
  struct UserObject *uo6708 = (struct UserObject*)block6707;
  uo6708->data[0] = (Object)closure6708;
  Method *meth_meth_ast__apply_40_1_41_6708 = addmethod2pos(block6707, "_apply(1)", &meth_ast__apply_40_1_41_6708, 0);
  int argcv_meth_ast__apply_40_1_41_6708[] = {1};
  meth_meth_ast__apply_40_1_41_6708->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6708);
  meth_meth_ast__apply_40_1_41_6708->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6708->definitionLine = 2947;
// compiled block node returning block6707 (depth = 4)
  gc_frame_newslot(block6707);
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6720 = alloc_Block(NULL, NULL, "ast", 1660);
  gc_frame_newslot(block6720);
// method "_apply"
  block_savedest(block6720);
  Object closure6721 = createclosure(2, "_apply");
  setclosureframe(closure6721, stackframe);
  addtoclosure(closure6721, var_s);
  addtoclosure(closure6721, selfslot);
  struct UserObject *uo6721 = (struct UserObject*)block6720;
  uo6721->data[0] = (Object)closure6721;
  Method *meth_meth_ast__apply6721 = addmethod2pos(block6720, "_apply", &meth_ast__apply6721, 0);
  int argcv_meth_ast__apply6721[] = {0};
  meth_meth_ast__apply6721->type = alloc_MethodType(1, argcv_meth_ast__apply6721);
  meth_meth_ast__apply6721->definitionModule = modulename;
  meth_meth_ast__apply6721->definitionLine = 2947;
// compiled block node returning block6720 (depth = 4)
  gc_frame_newslot(block6720);
// call case 6: other requests
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6728 = gc_frame_new();
// call case 4: self request
  Object call6729 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6728);
// compiled member node returning call6729 (depth = 4)
  params[0] = block6707;
  params[1] = block6720;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6730 = callmethodflags(call6729, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6706);
// compiled call node returning call6730 (depth = 3)
// Begin line 1661
  setline(1661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6732 == NULL) {
    strlit6732 = alloc_String(">");
    gc_root(strlit6732);
  }
// compiled string node returning strlit6732 (depth = 4)
  int op_slot_right_6731 = gc_frame_newslot(strlit6732);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_6731 = gc_frame_newslot(*var_s);
  params[0] = strlit6732;
  partcv[0] = 1;
  Object opresult6734 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6734 (depth = 3)
  gc_frame_end(frame);
  return opresult6734;
}
Object meth_ast__apply_40_1_41_6739(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6741 == NULL) {
    strlit6741 = alloc_String("");
    gc_root(strlit6741);
  }
// compiled string node returning strlit6741 (depth = 7)
  int op_slot_right_6740 = gc_frame_newslot(strlit6741);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6744 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6745 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6744);
// compiled call node returning call6745 (depth = 8)
  int op_slot_right_6743 = gc_frame_newslot(call6745);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6748 == NULL) {
    strlit6748 = alloc_String("");
    gc_root(strlit6748);
  }
// compiled string node returning strlit6748 (depth = 9)
  int op_slot_right_6747 = gc_frame_newslot(strlit6748);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_6750 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit6752 == NULL) {
    strlit6752 = alloc_String("");
    gc_root(strlit6752);
  }
// compiled string node returning strlit6752 (depth = 10)
  int op_slot_left_6750 = gc_frame_newslot(strlit6752);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult6753 = callmethod(strlit6752, "++(1)", 1, partcv, params);
// compiled op node returning opresult6753 (depth = 9)
  int op_slot_left_6747 = gc_frame_newslot(opresult6753);
  params[0] = strlit6748;
  partcv[0] = 1;
  Object opresult6754 = callmethod(opresult6753, "++(1)", 1, partcv, params);
// compiled op node returning opresult6754 (depth = 8)
  int op_slot_left_6743 = gc_frame_newslot(opresult6754);
  params[0] = call6745;
  partcv[0] = 1;
  Object opresult6755 = callmethod(opresult6754, "++(1)", 1, partcv, params);
// compiled op node returning opresult6755 (depth = 7)
  int op_slot_left_6740 = gc_frame_newslot(opresult6755);
  params[0] = strlit6741;
  partcv[0] = 1;
  Object opresult6756 = callmethod(opresult6755, "++(1)", 1, partcv, params);
// compiled op node returning opresult6756 (depth = 6)
  *var_s = opresult6756;
  if (opresult6756 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply6760(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6762 == NULL) {
    strlit6762 = alloc_String(", ");
    gc_root(strlit6762);
  }
// compiled string node returning strlit6762 (depth = 7)
  int op_slot_right_6761 = gc_frame_newslot(strlit6762);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6761 = gc_frame_newslot(*var_s);
  params[0] = strlit6762;
  partcv[0] = 1;
  Object opresult6764 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6764 (depth = 6)
  *var_s = opresult6764;
  if (opresult6764 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_6735(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1664
  setline(1664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6736 == NULL) {
    strlit6736 = alloc_String("<");
    gc_root(strlit6736);
  }
// compiled string node returning strlit6736 (depth = 4)
  *var_s = strlit6736;
  if (strlit6736 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1665
  setline(1665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6737 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block6738 = alloc_Block(NULL, NULL, "ast", 1665);
  gc_frame_newslot(block6738);
// method "_apply(_)"
  block_savedest(block6738);
  Object closure6739 = createclosure(3, "_apply(1)");
  setclosureframe(closure6739, stackframe);
  addtoclosure(closure6739, var_depth);
  addtoclosure(closure6739, var_s);
  addtoclosure(closure6739, selfslot);
  struct UserObject *uo6739 = (struct UserObject*)block6738;
  uo6739->data[0] = (Object)closure6739;
  Method *meth_meth_ast__apply_40_1_41_6739 = addmethod2pos(block6738, "_apply(1)", &meth_ast__apply_40_1_41_6739, 0);
  int argcv_meth_ast__apply_40_1_41_6739[] = {1};
  meth_meth_ast__apply_40_1_41_6739->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6739);
  meth_meth_ast__apply_40_1_41_6739->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6739->definitionLine = 2947;
// compiled block node returning block6738 (depth = 4)
  gc_frame_newslot(block6738);
// Begin line 1666
  setline(1666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block6759 = alloc_Block(NULL, NULL, "ast", 1666);
  gc_frame_newslot(block6759);
// method "_apply"
  block_savedest(block6759);
  Object closure6760 = createclosure(2, "_apply");
  setclosureframe(closure6760, stackframe);
  addtoclosure(closure6760, var_s);
  addtoclosure(closure6760, selfslot);
  struct UserObject *uo6760 = (struct UserObject*)block6759;
  uo6760->data[0] = (Object)closure6760;
  Method *meth_meth_ast__apply6760 = addmethod2pos(block6759, "_apply", &meth_ast__apply6760, 0);
  int argcv_meth_ast__apply6760[] = {0};
  meth_meth_ast__apply6760->type = alloc_MethodType(1, argcv_meth_ast__apply6760);
  meth_meth_ast__apply6760->definitionModule = modulename;
  meth_meth_ast__apply6760->definitionLine = 2947;
// compiled block node returning block6759 (depth = 4)
  gc_frame_newslot(block6759);
// call case 6: other requests
// Begin line 1665
  setline(1665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6767 = gc_frame_new();
// call case 4: self request
  Object call6768 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6767);
// compiled member node returning call6768 (depth = 4)
  params[0] = block6738;
  params[1] = block6759;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6769 = callmethodflags(call6768, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6737);
// compiled call node returning call6769 (depth = 3)
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6771 == NULL) {
    strlit6771 = alloc_String(">");
    gc_root(strlit6771);
  }
// compiled string node returning strlit6771 (depth = 4)
  int op_slot_right_6770 = gc_frame_newslot(strlit6771);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  int op_slot_left_6770 = gc_frame_newslot(*var_s);
  params[0] = strlit6771;
  partcv[0] = 1;
  Object opresult6773 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6773 (depth = 3)
  gc_frame_end(frame);
  return opresult6773;
}
Object meth_ast_shallowCopy6774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_emptySeq = getfromclosure(closure, 0);
  Object *var_typeParametersNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1670
  setline(1670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6775 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe6776 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_emptySeq (depth = 5)
  gc_frame_newslot(*var_emptySeq);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeParametersNode (depth = 5)
  params[0] = *var_emptySeq;
  partcv[0] = 1;
  Object call6777 = callmethodflags(*var_typeParametersNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6776);
// compiled call node returning call6777 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6778 = callmethodflags(call6777, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6775);
// compiled call node returning call6778 (depth = 3)
  gc_frame_end(frame);
  return call6778;
}
Object meth_ast_new_40_1_41_6627(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeParametersNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6628 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6628 = alloc_userobj2(12,12, objclass6628);
  gc_frame_newslot(obj6628);
if (objclass6628 == NULL) {
  glfree(obj6628->class->name);
  obj6628->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6628, self, 0);
  addmethodreal(obj6628,"outer", &reader_ast_outer_6629);
  Object oldself6628 = self;
  struct StackFrameObject *oldstackframe6628 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6628);
  gc_frame_newslot((Object)stackframe);
  self = obj6628;
  Object *oldselfslot6628 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6628 = (*(struct UserObject *)self).data[0], lowerouter6628 = thisouter6628;
  if (inheritingObject6628) {
    struct UserObject *inho6628 = (struct UserObject *)inheritingObject6628;
    while (inho6628->super != GraceDefaultObject) inho6628 = (struct UserObject *)inho6628->super;
    inho6628->super = obj6628;
    self = inheritingObject6628;
    *selfslot = self;
    lowerouter6628 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6628;
  }
if (objclass6628 == NULL) {
  Method *reader6630 = addmethodrealflags(obj6628, "kind",&reader_ast_kind_6630, MFLAG_DEF);
  reader6630->definitionModule = modulename;
  reader6630->definitionLine = 1630;
}
adddatum2(obj6628, alloc_Undefined(), 1);
if (objclass6628 == NULL) {
  Method *reader6631 = addmethodrealflags(obj6628, "params", &reader_ast_params_6631, 0);
  Method *writer6631 = addmethodrealflags(obj6628, "params:=(1)", &writer_ast_params_6631, 0);
  reader6631->definitionModule = modulename;
  writer6631->definitionModule = modulename;
  reader6631->definitionLine = 1631;
  writer6631->definitionLine = 1631;
}
obj6628->flags |= OFLAG_MUTABLE;
adddatum2(obj6628, alloc_Undefined(), 2);
// method "asString"
  struct UserObject *uo6632 = (struct UserObject*)obj6628;
  uo6632->data[3] = emptyclosure;
  Method *meth_meth_ast_asString6632 = addmethod2pos(obj6628, "asString", &meth_ast_asString6632, 3);
  int argcv_meth_ast_asString6632[] = {0};
  meth_meth_ast_asString6632->type = alloc_MethodType(1, argcv_meth_ast_asString6632);
  meth_meth_ast_asString6632->definitionModule = modulename;
  meth_meth_ast_asString6632->definitionLine = 1632;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj6628);
  Object closure6636 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure6636, stackframe);
  addtoclosure(closure6636, var_k);
  struct UserObject *uo6636 = (struct UserObject*)obj6628;
  uo6636->data[4] = (Object)closure6636;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_6636 = addmethod2pos(obj6628, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_6636, 4);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_6636[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6636->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_6636);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6636->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6636->definitionLine = 1633;
// method "accept(_)from(_)"
  struct UserObject *uo6639 = (struct UserObject*)obj6628;
  uo6639->data[5] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6639 = addmethod2pos(obj6628, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6639, 5);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6639[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6639->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6639);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6639->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6639->definitionLine = 1635;
// method "do(_)"
  struct UserObject *uo6654 = (struct UserObject*)obj6628;
  uo6654->data[6] = emptyclosure;
  Method *meth_meth_ast_do_40_1_41_6654 = addmethod2pos(obj6628, "do(1)", &meth_ast_do_40_1_41_6654, 6);
  int argcv_meth_ast_do_40_1_41_6654[] = {1};
  meth_meth_ast_do_40_1_41_6654->type = alloc_MethodType(1, argcv_meth_ast_do_40_1_41_6654);
  meth_meth_ast_do_40_1_41_6654->definitionModule = modulename;
  meth_meth_ast_do_40_1_41_6654->definitionLine = 1643;
// method "size"
  struct UserObject *uo6659 = (struct UserObject*)obj6628;
  uo6659->data[7] = emptyclosure;
  Method *meth_meth_ast_size6659 = addmethod2pos(obj6628, "size", &meth_ast_size6659, 7);
  int argcv_meth_ast_size6659[] = {0};
  meth_meth_ast_size6659->type = alloc_MethodType(1, argcv_meth_ast_size6659);
  meth_meth_ast_size6659->definitionModule = modulename;
  meth_meth_ast_size6659->definitionLine = 1646;
// method "map(_)ancestors(_)"
  struct UserObject *uo6664 = (struct UserObject*)obj6628;
  uo6664->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6664 = addmethod2pos(obj6628, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6664, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6664[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6664->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6664);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6664->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6664->definitionLine = 1647;
// method "pretty(_)"
  struct UserObject *uo6681 = (struct UserObject*)obj6628;
  uo6681->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6681 = addmethod2pos(obj6628, "pretty(1)", &meth_ast_pretty_40_1_41_6681, 9);
  int argcv_meth_ast_pretty_40_1_41_6681[] = {1};
  meth_meth_ast_pretty_40_1_41_6681->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6681);
  meth_meth_ast_pretty_40_1_41_6681->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6681->definitionLine = 1653;
// method "toGrace(_)"
  struct UserObject *uo6735 = (struct UserObject*)obj6628;
  uo6735->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6735 = addmethod2pos(obj6628, "toGrace(1)", &meth_ast_toGrace_40_1_41_6735, 10);
  int argcv_meth_ast_toGrace_40_1_41_6735[] = {1};
  meth_meth_ast_toGrace_40_1_41_6735->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6735);
meth_meth_ast_toGrace_40_1_41_6735->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6735->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6735->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6735->definitionLine = 1663;
// method "shallowCopy"
  block_savedest(obj6628);
  Object closure6774 = createclosure(2, "shallowCopy");
  setclosureframe(closure6774, stackframe);
  addtoclosure(closure6774, var_emptySeq);
  addtoclosure(closure6774, var_typeParametersNode);
  struct UserObject *uo6774 = (struct UserObject*)obj6628;
  uo6774->data[11] = (Object)closure6774;
  Method *meth_meth_ast_shallowCopy6774 = addmethod2pos(obj6628, "shallowCopy", &meth_ast_shallowCopy6774, 11);
  int argcv_meth_ast_shallowCopy6774[] = {0};
  meth_meth_ast_shallowCopy6774->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6774);
  meth_meth_ast_shallowCopy6774->definitionModule = modulename;
  meth_meth_ast_shallowCopy6774->definitionLine = 1669;
  sourceObject = obj6628;
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6779 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6780 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6781 = gc_frame_new();
// call case 3: self.outer request
  Object call6782 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6781);
// compiled member node returning call6782 (depth = 5)
  Object call6783 = callmethodflags(call6782, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6780);
// compiled member node returning call6783 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6784 = callmethodflags(call6783, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6779);
// compiled call node returning call6784 (depth = 3)
  struct UserObject *obj6628_uo = (struct UserObject *)obj6628;
  obj6628_uo->super = call6784;
  sourceObject = obj6628;
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6785 == NULL) {
    strlit6785 = alloc_String("typeparams");
    gc_root(strlit6785);
  }
// compiled string node returning strlit6785 (depth = 3)
  adddatum2(obj6628, strlit6785, 1);
  sourceObject = obj6628;
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj6628, *var_params_39_, 2);
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  objclass6628 = obj6628->class;
  objclass6628->definitionModule = modulename;
  objclass6628->definitionLine = 1628;
  (*(struct UserObject *)self).data[0] = lowerouter6628;
  self = oldself6628;
  selfslot = oldselfslot6628;
  stackframe = oldstackframe6628;
  gc_frame_end(frame);
  return obj6628;
}
Object meth_ast_new_40_1_41_6627_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  Object *var_typeParametersNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_params_39_ = &(stackframe->slots[0]);
  *var_params_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6628 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6628 = alloc_userobj2(12,12, objclass6628);
  gc_frame_newslot(obj6628);
if (objclass6628 == NULL) {
  glfree(obj6628->class->name);
  obj6628->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6628, self, 0);
  addmethodreal(obj6628,"outer", &reader_ast_outer_6629);
  Object oldself6628 = self;
  struct StackFrameObject *oldstackframe6628 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6628);
  gc_frame_newslot((Object)stackframe);
  self = obj6628;
  Object *oldselfslot6628 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6628 = (*(struct UserObject *)self).data[0], lowerouter6628 = thisouter6628;
  if (inheritingObject6628) {
    struct UserObject *inho6628 = (struct UserObject *)inheritingObject6628;
    while (inho6628->super != GraceDefaultObject) inho6628 = (struct UserObject *)inho6628->super;
    inho6628->super = obj6628;
    self = inheritingObject6628;
    *selfslot = self;
    lowerouter6628 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6628;
  }
if (objclass6628 == NULL) {
  Method *reader6630 = addmethodrealflags(obj6628, "kind",&reader_ast_kind_6630, MFLAG_DEF);
  reader6630->definitionModule = modulename;
  reader6630->definitionLine = 1630;
}
adddatum2(obj6628, alloc_Undefined(), 1);
if (objclass6628 == NULL) {
  Method *reader6631 = addmethodrealflags(obj6628, "params", &reader_ast_params_6631, 0);
  Method *writer6631 = addmethodrealflags(obj6628, "params:=(1)", &writer_ast_params_6631, 0);
  reader6631->definitionModule = modulename;
  writer6631->definitionModule = modulename;
  reader6631->definitionLine = 1631;
  writer6631->definitionLine = 1631;
}
obj6628->flags |= OFLAG_MUTABLE;
adddatum2(obj6628, alloc_Undefined(), 2);
// method "asString"
  struct UserObject *uo6632 = (struct UserObject*)obj6628;
  uo6632->data[3] = emptyclosure;
  Method *meth_meth_ast_asString6632 = addmethod2pos(obj6628, "asString", &meth_ast_asString6632, 3);
  int argcv_meth_ast_asString6632[] = {0};
  meth_meth_ast_asString6632->type = alloc_MethodType(1, argcv_meth_ast_asString6632);
  meth_meth_ast_asString6632->definitionModule = modulename;
  meth_meth_ast_asString6632->definitionLine = 1632;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj6628);
  Object closure6636 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure6636, stackframe);
  addtoclosure(closure6636, var_k);
  struct UserObject *uo6636 = (struct UserObject*)obj6628;
  uo6636->data[4] = (Object)closure6636;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_6636 = addmethod2pos(obj6628, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_6636, 4);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_6636[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6636->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_6636);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6636->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6636->definitionLine = 1633;
// method "accept(_)from(_)"
  struct UserObject *uo6639 = (struct UserObject*)obj6628;
  uo6639->data[5] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6639 = addmethod2pos(obj6628, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6639, 5);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6639[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6639->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6639);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6639->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6639->definitionLine = 1635;
// method "do(_)"
  struct UserObject *uo6654 = (struct UserObject*)obj6628;
  uo6654->data[6] = emptyclosure;
  Method *meth_meth_ast_do_40_1_41_6654 = addmethod2pos(obj6628, "do(1)", &meth_ast_do_40_1_41_6654, 6);
  int argcv_meth_ast_do_40_1_41_6654[] = {1};
  meth_meth_ast_do_40_1_41_6654->type = alloc_MethodType(1, argcv_meth_ast_do_40_1_41_6654);
  meth_meth_ast_do_40_1_41_6654->definitionModule = modulename;
  meth_meth_ast_do_40_1_41_6654->definitionLine = 1643;
// method "size"
  struct UserObject *uo6659 = (struct UserObject*)obj6628;
  uo6659->data[7] = emptyclosure;
  Method *meth_meth_ast_size6659 = addmethod2pos(obj6628, "size", &meth_ast_size6659, 7);
  int argcv_meth_ast_size6659[] = {0};
  meth_meth_ast_size6659->type = alloc_MethodType(1, argcv_meth_ast_size6659);
  meth_meth_ast_size6659->definitionModule = modulename;
  meth_meth_ast_size6659->definitionLine = 1646;
// method "map(_)ancestors(_)"
  struct UserObject *uo6664 = (struct UserObject*)obj6628;
  uo6664->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6664 = addmethod2pos(obj6628, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6664, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6664[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6664->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6664);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6664->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6664->definitionLine = 1647;
// method "pretty(_)"
  struct UserObject *uo6681 = (struct UserObject*)obj6628;
  uo6681->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6681 = addmethod2pos(obj6628, "pretty(1)", &meth_ast_pretty_40_1_41_6681, 9);
  int argcv_meth_ast_pretty_40_1_41_6681[] = {1};
  meth_meth_ast_pretty_40_1_41_6681->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6681);
  meth_meth_ast_pretty_40_1_41_6681->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6681->definitionLine = 1653;
// method "toGrace(_)"
  struct UserObject *uo6735 = (struct UserObject*)obj6628;
  uo6735->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_6735 = addmethod2pos(obj6628, "toGrace(1)", &meth_ast_toGrace_40_1_41_6735, 10);
  int argcv_meth_ast_toGrace_40_1_41_6735[] = {1};
  meth_meth_ast_toGrace_40_1_41_6735->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_6735);
meth_meth_ast_toGrace_40_1_41_6735->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_6735->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_6735->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_6735->definitionLine = 1663;
// method "shallowCopy"
  block_savedest(obj6628);
  Object closure6774 = createclosure(2, "shallowCopy");
  setclosureframe(closure6774, stackframe);
  addtoclosure(closure6774, var_emptySeq);
  addtoclosure(closure6774, var_typeParametersNode);
  struct UserObject *uo6774 = (struct UserObject*)obj6628;
  uo6774->data[11] = (Object)closure6774;
  Method *meth_meth_ast_shallowCopy6774 = addmethod2pos(obj6628, "shallowCopy", &meth_ast_shallowCopy6774, 11);
  int argcv_meth_ast_shallowCopy6774[] = {0};
  meth_meth_ast_shallowCopy6774->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy6774);
  meth_meth_ast_shallowCopy6774->definitionModule = modulename;
  meth_meth_ast_shallowCopy6774->definitionLine = 1669;
  sourceObject = obj6628;
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6779 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6780 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6781 = gc_frame_new();
// call case 3: self.outer request
  Object call6782 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6781);
// compiled member node returning call6782 (depth = 5)
  Object call6783 = callmethodflags(call6782, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6780);
// compiled member node returning call6783 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call6784 = callmethodflags(call6783, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6779);
// compiled call node returning call6784 (depth = 3)
  struct UserObject *obj6628_uo = (struct UserObject *)obj6628;
  obj6628_uo->super = call6784;
  sourceObject = obj6628;
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit6785 == NULL) {
    strlit6785 = alloc_String("typeparams");
    gc_root(strlit6785);
  }
// compiled string node returning strlit6785 (depth = 3)
  adddatum2(obj6628, strlit6785, 1);
  sourceObject = obj6628;
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_params_39_ (depth = 3)
  adddatum2(obj6628, *var_params_39_, 2);
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  sourceObject = obj6628;
  objclass6628 = obj6628->class;
  objclass6628->definitionModule = modulename;
  objclass6628->definitionLine = 1628;
  (*(struct UserObject *)self).data[0] = lowerouter6628;
  self = oldself6628;
  selfslot = oldselfslot6628;
  stackframe = oldstackframe6628;
  gc_frame_end(frame);
  return obj6628;
}
Object meth_ast_typeParametersNode6787(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeParametersNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeParametersNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeParametersNode (depth = 3)
  gc_frame_end(frame);
  return *var_typeParametersNode;
}
Object meth_ast_new_40_2_41_scope_40_1_41_6790(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(2)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)scope(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype = &(stackframe->slots[1]);
  *var_dtype = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 1677
  setline(1677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6791 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 4: self request
  params[0] = *var_name;
  params[1] = *var_dtype;
  partcv[0] = 2;
  Object call6792 = callmethodflags(self, "new(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6791);
// compiled call node returning call6792 (depth = 4)
  *var_result = call6792;
  if (call6792 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1678
  setline(1678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6793 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call6794 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6793);
// compiled call node returning call6794 (depth = 3)
// Begin line 1679
  setline(1679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_nameString6807(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6808 = gc_frame_new();
// call case 4: self request
  Object call6809 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6808);
// compiled member node returning call6809 (depth = 3)
  gc_frame_end(frame);
  return call6809;
}
Object meth_ast_canonicalName6810(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6811 = gc_frame_new();
// call case 4: self request
  Object call6812 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6811);
// compiled member node returning call6812 (depth = 3)
  gc_frame_end(frame);
  return call6812;
}
Object meth_ast_quoted6813(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "quoted");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6814 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6815 = gc_frame_new();
// call case 4: self request
  Object call6816 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6815);
// compiled member node returning call6816 (depth = 4)
  Object call6817 = callmethodflags(call6816, "quoted", 0, partcv, params, 0);
  gc_frame_end(callframe6814);
// compiled member node returning call6817 (depth = 3)
  gc_frame_end(frame);
  return call6817;
}
Object meth_ast_isIdentifier6818(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool6819 = alloc_Boolean(1);
// compiled identifier node returning bool6819 (depth = 3)
  gc_frame_end(frame);
  return bool6819;
}
Object meth_ast_isSelf6820(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSelf");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1699
  setline(1699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6822 = gc_frame_new();
// call case 4: self request
  Object call6823 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6822);
// compiled member node returning call6823 (depth = 4)
  int op_slot_right_6821 = gc_frame_newslot(call6823);
// starting to compile string node (depth = 4)
  if (strlit6825 == NULL) {
    strlit6825 = alloc_String("self");
    gc_root(strlit6825);
  }
// compiled string node returning strlit6825 (depth = 4)
  int op_slot_left_6821 = gc_frame_newslot(strlit6825);
  params[0] = call6823;
  partcv[0] = 1;
  Object opresult6826 = callmethod(strlit6825, "==(1)", 1, partcv, params);
// compiled op node returning opresult6826 (depth = 3)
  gc_frame_end(frame);
  return opresult6826;
}
Object meth_ast_isSuper6827(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSuper");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1700
  setline(1700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6829 = gc_frame_new();
// call case 4: self request
  Object call6830 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6829);
// compiled member node returning call6830 (depth = 4)
  int op_slot_right_6828 = gc_frame_newslot(call6830);
// starting to compile string node (depth = 4)
  if (strlit6832 == NULL) {
    strlit6832 = alloc_String("super");
    gc_root(strlit6832);
  }
// compiled string node returning strlit6832 (depth = 4)
  int op_slot_left_6828 = gc_frame_newslot(strlit6832);
  params[0] = call6830;
  partcv[0] = 1;
  Object opresult6833 = callmethod(strlit6832, "==(1)", 1, partcv, params);
// compiled op node returning opresult6833 (depth = 3)
  gc_frame_end(frame);
  return opresult6833;
}
Object meth_ast_isPrelude6834(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPrelude");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6836 = gc_frame_new();
// call case 4: self request
  Object call6837 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6836);
// compiled member node returning call6837 (depth = 4)
  int op_slot_right_6835 = gc_frame_newslot(call6837);
// starting to compile string node (depth = 4)
  if (strlit6839 == NULL) {
    strlit6839 = alloc_String("prelude");
    gc_root(strlit6839);
  }
// compiled string node returning strlit6839 (depth = 4)
  int op_slot_left_6835 = gc_frame_newslot(strlit6839);
  params[0] = call6837;
  partcv[0] = 1;
  Object opresult6840 = callmethod(strlit6839, "==(1)", 1, partcv, params);
// compiled op node returning opresult6840 (depth = 3)
  gc_frame_end(frame);
  return opresult6840;
}
Object meth_ast_isOuter6841(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isOuter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6843 = gc_frame_new();
// call case 4: self request
  Object call6844 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6843);
// compiled member node returning call6844 (depth = 4)
  int op_slot_right_6842 = gc_frame_newslot(call6844);
// starting to compile string node (depth = 4)
  if (strlit6846 == NULL) {
    strlit6846 = alloc_String("outer");
    gc_root(strlit6846);
  }
// compiled string node returning strlit6846 (depth = 4)
  int op_slot_left_6842 = gc_frame_newslot(strlit6846);
  params[0] = call6844;
  partcv[0] = 1;
  Object opresult6847 = callmethod(strlit6846, "==(1)", 1, partcv, params);
// compiled op node returning opresult6847 (depth = 3)
  gc_frame_end(frame);
  return opresult6847;
}
Object meth_ast_isAppliedOccurenceOfIdentifier6848(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isAppliedOccurenceOfIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6850 = gc_frame_new();
// call case 4: self request
  Object call6851 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6850);
// compiled member node returning call6851 (depth = 4)
  Object if6849 = done;
  if (istrue(call6851)) {
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool6852 = alloc_Boolean(0);
// compiled identifier node returning bool6852 (depth = 4)
    gc_frame_newslot(bool6852);
    if6849 = bool6852;
  } else {
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6853 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6854 = gc_frame_new();
// call case 4: self request
  Object call6855 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6854);
// compiled member node returning call6855 (depth = 5)
  Object call6856 = callmethodflags(call6855, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6853);
// compiled member node returning call6856 (depth = 4)
    gc_frame_newslot(call6856);
    if6849 = call6856;
  }
// compiled if node returning if6849 (depth = 3)
  gc_frame_end(frame);
  return if6849;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_6857(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1712
  setline(1712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6858 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6859 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call6860 = callmethodflags(*var_as, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe6859);
// compiled member node returning call6860 (depth = 4)
  params[0] = *var_as;
  partcv[0] = 1;
  Object call6861 = callmethodflags(call6860, "declarationKindWithAncestors(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6858);
// compiled call node returning call6861 (depth = 3)
  gc_frame_end(frame);
  return call6861;
}
Object meth_ast_inTypePositionWithAncestors_40_1_41_6862(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inTypePositionWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method inTypePositionWithAncestors(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for inTypePositionWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part inTypePositionWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call6865 = callmethodflags(*var_as, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe6864);
// compiled member node returning call6865 (depth = 4)
  Object if6863 = done;
  if (istrue(call6865)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool6866 = alloc_Boolean(0);
// compiled identifier node returning bool6866 (depth = 5)
  return bool6866;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if6863 = undefined;
  } else {
  }
// compiled if node returning if6863 (depth = 3)
// Begin line 1719
  setline(1719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6867 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6868 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  Object call6869 = callmethodflags(*var_as, "parent", 0, partcv, params, 0);
  gc_frame_end(callframe6868);
// compiled member node returning call6869 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call6870 = callmethodflags(call6869, "usesAsType(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6867);
// compiled call node returning call6870 (depth = 3)
  gc_frame_end(frame);
  return call6870;
}
Object meth_ast_usesAsType_40_1_41_6871(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1722
  setline(1722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6873 = gc_frame_new();
// call case 4: self request
  Object call6874 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6873);
// compiled member node returning call6874 (depth = 4)
  int op_slot_right_6872 = gc_frame_newslot(call6874);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_6872 = gc_frame_newslot(*var_aNode);
  params[0] = call6874;
  partcv[0] = 1;
  Object opresult6876 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult6876 (depth = 3)
  gc_frame_end(frame);
  return opresult6876;
}
Object meth_ast_accept_40_1_41_from_40_1_41_6877(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6879 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6880 = callmethodflags(*var_visitor, "visitIdentifier(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6879);
// compiled call node returning call6880 (depth = 4)
  Object if6878 = done;
  if (istrue(call6880)) {
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6881 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call6882 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6881);
// compiled call node returning call6882 (depth = 5)
  *var_newChain = call6882;
  if (call6882 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1727
  setline(1727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6885 = gc_frame_new();
// call case 4: self request
  Object call6886 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6885);
// compiled member node returning call6886 (depth = 6)
  int op_slot_right_6884 = gc_frame_newslot(call6886);
// starting to compile identifier node (depth = 6)
  Object bool6888 = alloc_Boolean(0);
// compiled identifier node returning bool6888 (depth = 6)
  int op_slot_left_6884 = gc_frame_newslot(bool6888);
  params[0] = call6886;
  partcv[0] = 1;
  Object opresult6889 = callmethod(bool6888, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6889 (depth = 5)
  Object if6883 = done;
  if (istrue(opresult6889)) {
// Begin line 1728
  setline(1728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6890 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6891 = gc_frame_new();
// call case 4: self request
  Object call6892 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6891);
// compiled member node returning call6892 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6893 = callmethodflags(call6892, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6890);
// compiled call node returning call6893 (depth = 5)
    gc_frame_newslot(call6893);
    if6883 = call6893;
  } else {
  }
// compiled if node returning if6883 (depth = 4)
    gc_frame_newslot(if6883);
    if6878 = if6883;
  } else {
  }
// compiled if node returning if6878 (depth = 3)
  gc_frame_end(frame);
  return if6878;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_6894(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6895 = gc_frame_new();
// call case 4: self request
  Object call6896 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6895);
// compiled member node returning call6896 (depth = 4)
  *var_n = call6896;
  if (call6896 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6897 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call6898 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6897);
// compiled call node returning call6898 (depth = 4)
  *var_newChain = call6898;
  if (call6898 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1735
  setline(1735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6899 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe6900 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6901 = gc_frame_new();
// call case 4: self request
  Object call6902 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6901);
// compiled member node returning call6902 (depth = 5)
  gc_frame_newslot(call6902);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6903 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6904 = gc_frame_new();
// call case 3: self.outer request
  Object call6905 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe6904);
// compiled member node returning call6905 (depth = 6)
  Object call6906 = callmethodflags(call6905, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe6903);
// compiled member node returning call6906 (depth = 5)
  params[0] = call6902;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call6907 = callmethodflags(call6906, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6900);
// compiled call node returning call6907 (depth = 4)
  gc_frame_newslot(call6907);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call6907;
  partcv[0] = 1;
  Object call6908 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6899);
// compiled call node returning call6908 (depth = 3)
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6909 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call6910 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6909);
// compiled call node returning call6910 (depth = 3)
  gc_frame_end(frame);
  return call6910;
}
Object meth_ast__apply_40_1_41_6919(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1741
  setline(1741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6921 == NULL) {
    strlit6921 = alloc_String("  ");
    gc_root(strlit6921);
  }
// compiled string node returning strlit6921 (depth = 7)
  int op_slot_right_6920 = gc_frame_newslot(strlit6921);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_6920 = gc_frame_newslot(*var_spc);
  params[0] = strlit6921;
  partcv[0] = 1;
  Object opresult6923 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult6923 (depth = 6)
  *var_spc = opresult6923;
  if (opresult6923 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_7022(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_g = &(stackframe->slots[0]);
  *var_g = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7024 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num7026 = alloc_Float64(2);
// compiled num node returning num7026 (depth = 10)
  int op_slot_right_7025 = gc_frame_newslot(num7026);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_7025 = gc_frame_newslot(*var_depth);
  params[0] = num7026;
  partcv[0] = 1;
  Object sum7028 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7028 (depth = 9)
  gc_frame_newslot(sum7028);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_g (depth = 9)
  params[0] = sum7028;
  partcv[0] = 1;
  Object call7029 = callmethodflags(*var_g, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7024);
// compiled call node returning call7029 (depth = 8)
  int op_slot_right_7023 = gc_frame_newslot(call7029);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7032 == NULL) {
    strlit7032 = alloc_String("  ");
    gc_root(strlit7032);
  }
// compiled string node returning strlit7032 (depth = 9)
  int op_slot_right_7031 = gc_frame_newslot(strlit7032);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_7034 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit7037 == NULL) {
    strlit7037 = alloc_String("""\x0a""");
    gc_root(strlit7037);
  }
// compiled string node returning strlit7037 (depth = 11)
  int op_slot_right_7036 = gc_frame_newslot(strlit7037);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_left_7036 = gc_frame_newslot(*var_s);
  params[0] = strlit7037;
  partcv[0] = 1;
  Object opresult7039 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7039 (depth = 10)
  int op_slot_left_7034 = gc_frame_newslot(opresult7039);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7040 = callmethod(opresult7039, "++(1)", 1, partcv, params);
// compiled op node returning opresult7040 (depth = 9)
  int op_slot_left_7031 = gc_frame_newslot(opresult7040);
  params[0] = strlit7032;
  partcv[0] = 1;
  Object opresult7041 = callmethod(opresult7040, "++(1)", 1, partcv, params);
// compiled op node returning opresult7041 (depth = 8)
  int op_slot_left_7023 = gc_frame_newslot(opresult7041);
  params[0] = call7029;
  partcv[0] = 1;
  Object opresult7042 = callmethod(opresult7041, "++(1)", 1, partcv, params);
// compiled op node returning opresult7042 (depth = 7)
  *var_s = opresult7042;
  if (opresult7042 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_6911(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1739
  setline(1739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6912 == NULL) {
    strlit6912 = alloc_String("");
    gc_root(strlit6912);
  }
// compiled string node returning strlit6912 (depth = 4)
  *var_spc = strlit6912;
  if (strlit6912 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1740
  setline(1740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6913 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_6914 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num6916 = alloc_Float64(0);
// compiled num node returning num6916 (depth = 5)
  int op_slot_left_6914 = gc_frame_newslot(num6916);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult6917 = callmethod(num6916, "..(1)", 1, partcv, params);
// compiled op node returning opresult6917 (depth = 4)
  gc_frame_newslot(opresult6917);
// starting to compile block node (depth = 4)
  Object block6918 = alloc_Block(NULL, NULL, "ast", 1740);
  gc_frame_newslot(block6918);
// method "_apply(_)"
  block_savedest(block6918);
  Object closure6919 = createclosure(2, "_apply(1)");
  setclosureframe(closure6919, stackframe);
  addtoclosure(closure6919, var_spc);
  addtoclosure(closure6919, selfslot);
  struct UserObject *uo6919 = (struct UserObject*)block6918;
  uo6919->data[0] = (Object)closure6919;
  Method *meth_meth_ast__apply_40_1_41_6919 = addmethod2pos(block6918, "_apply(1)", &meth_ast__apply_40_1_41_6919, 0);
  int argcv_meth_ast__apply_40_1_41_6919[] = {1};
  meth_meth_ast__apply_40_1_41_6919->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_6919);
  meth_meth_ast__apply_40_1_41_6919->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_6919->definitionLine = 2947;
// compiled block node returning block6918 (depth = 4)
  gc_frame_newslot(block6918);
// call case 5: prelude request
  params[0] = opresult6917;
  params[1] = block6918;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6926 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6913);
// compiled call node returning call6926 (depth = 3)
// Begin line 1743
  setline(1743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6927 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call6928 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe6927);
// compiled call node returning call6928 (depth = 4)
  *var_s = call6928;
  if (call6928 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6930 = gc_frame_new();
// call case 4: self request
  Object call6931 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6930);
// compiled member node returning call6931 (depth = 4)
  Object if6929 = done;
  if (istrue(call6931)) {
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6933 == NULL) {
    strlit6933 = alloc_String(" Wildcard");
    gc_root(strlit6933);
  }
// compiled string node returning strlit6933 (depth = 6)
  int op_slot_right_6932 = gc_frame_newslot(strlit6933);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6932 = gc_frame_newslot(*var_s);
  params[0] = strlit6933;
  partcv[0] = 1;
  Object opresult6935 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6935 (depth = 5)
  *var_s = opresult6935;
  if (opresult6935 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6929 = done;
  } else {
// Begin line 1748
  setline(1748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6938 = gc_frame_new();
// call case 4: self request
  Object call6939 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6938);
// compiled member node returning call6939 (depth = 5)
  Object if6937 = done;
  if (istrue(call6939)) {
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6942 == NULL) {
    strlit6942 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit6942);
  }
// compiled string node returning strlit6942 (depth = 8)
  int op_slot_right_6941 = gc_frame_newslot(strlit6942);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6945 = gc_frame_new();
// call case 4: self request
  Object call6946 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6945);
// compiled member node returning call6946 (depth = 9)
  int op_slot_right_6944 = gc_frame_newslot(call6946);
// starting to compile string node (depth = 9)
  if (strlit6948 == NULL) {
    strlit6948 = alloc_String("Binding""\xe2""""\x80""""\xb9""");
    gc_root(strlit6948);
  }
// compiled string node returning strlit6948 (depth = 9)
  int op_slot_left_6944 = gc_frame_newslot(strlit6948);
  params[0] = call6946;
  partcv[0] = 1;
  Object opresult6949 = callmethod(strlit6948, "++(1)", 1, partcv, params);
// compiled op node returning opresult6949 (depth = 8)
  int op_slot_left_6941 = gc_frame_newslot(opresult6949);
  params[0] = strlit6942;
  partcv[0] = 1;
  Object opresult6950 = callmethod(opresult6949, "++(1)", 1, partcv, params);
// compiled op node returning opresult6950 (depth = 7)
  int op_slot_right_6940 = gc_frame_newslot(opresult6950);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6940 = gc_frame_newslot(*var_s);
  params[0] = opresult6950;
  partcv[0] = 1;
  Object opresult6952 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6952 (depth = 6)
  *var_s = opresult6952;
  if (opresult6952 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6937 = done;
  } else {
// Begin line 1749
  setline(1749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6956 == NULL) {
    strlit6956 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit6956);
  }
// compiled string node returning strlit6956 (depth = 8)
  int op_slot_right_6955 = gc_frame_newslot(strlit6956);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6959 = gc_frame_new();
// call case 4: self request
  Object call6960 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6959);
// compiled member node returning call6960 (depth = 9)
  int op_slot_right_6958 = gc_frame_newslot(call6960);
// starting to compile string node (depth = 9)
  if (strlit6962 == NULL) {
    strlit6962 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit6962);
  }
// compiled string node returning strlit6962 (depth = 9)
  int op_slot_left_6958 = gc_frame_newslot(strlit6962);
  params[0] = call6960;
  partcv[0] = 1;
  Object opresult6963 = callmethod(strlit6962, "++(1)", 1, partcv, params);
// compiled op node returning opresult6963 (depth = 8)
  int op_slot_left_6955 = gc_frame_newslot(opresult6963);
  params[0] = strlit6956;
  partcv[0] = 1;
  Object opresult6964 = callmethod(opresult6963, "++(1)", 1, partcv, params);
// compiled op node returning opresult6964 (depth = 7)
  int op_slot_right_6954 = gc_frame_newslot(opresult6964);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_6954 = gc_frame_newslot(*var_s);
  params[0] = opresult6964;
  partcv[0] = 1;
  Object opresult6966 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6966 (depth = 6)
  *var_s = opresult6966;
  if (opresult6966 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if6937 = done;
  }
// compiled if node returning if6937 (depth = 4)
    gc_frame_newslot(if6937);
    if6929 = if6937;
  }
// compiled if node returning if6929 (depth = 3)
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6970 = gc_frame_new();
// call case 4: self request
  Object call6971 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6970);
// compiled member node returning call6971 (depth = 5)
  int op_slot_right_6969 = gc_frame_newslot(call6971);
// starting to compile identifier node (depth = 5)
  Object bool6973 = alloc_Boolean(0);
// compiled identifier node returning bool6973 (depth = 5)
  int op_slot_left_6969 = gc_frame_newslot(bool6973);
  params[0] = call6971;
  partcv[0] = 1;
  Object opresult6974 = callmethod(bool6973, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6974 (depth = 4)
  Object if6968 = done;
  if (istrue(opresult6974)) {
// Begin line 1752
  setline(1752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6976 == NULL) {
    strlit6976 = alloc_String("  Type: ");
    gc_root(strlit6976);
  }
// compiled string node returning strlit6976 (depth = 6)
  int op_slot_right_6975 = gc_frame_newslot(strlit6976);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_6978 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6981 == NULL) {
    strlit6981 = alloc_String("""\x0a""");
    gc_root(strlit6981);
  }
// compiled string node returning strlit6981 (depth = 8)
  int op_slot_right_6980 = gc_frame_newslot(strlit6981);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_6980 = gc_frame_newslot(*var_s);
  params[0] = strlit6981;
  partcv[0] = 1;
  Object opresult6983 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6983 (depth = 7)
  int op_slot_left_6978 = gc_frame_newslot(opresult6983);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult6984 = callmethod(opresult6983, "++(1)", 1, partcv, params);
// compiled op node returning opresult6984 (depth = 6)
  int op_slot_left_6975 = gc_frame_newslot(opresult6984);
  params[0] = strlit6976;
  partcv[0] = 1;
  Object opresult6985 = callmethod(opresult6984, "++(1)", 1, partcv, params);
// compiled op node returning opresult6985 (depth = 5)
  *var_s = opresult6985;
  if (opresult6985 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6988 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num6990 = alloc_Float64(2);
// compiled num node returning num6990 (depth = 8)
  int op_slot_right_6989 = gc_frame_newslot(num6990);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_6989 = gc_frame_newslot(*var_depth);
  params[0] = num6990;
  partcv[0] = 1;
  Object sum6992 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum6992 (depth = 7)
  gc_frame_newslot(sum6992);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6993 = gc_frame_new();
// call case 4: self request
  Object call6994 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6993);
// compiled member node returning call6994 (depth = 7)
  params[0] = sum6992;
  partcv[0] = 1;
  Object call6995 = callmethodflags(call6994, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6988);
// compiled call node returning call6995 (depth = 6)
  int op_slot_right_6987 = gc_frame_newslot(call6995);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_6987 = gc_frame_newslot(*var_s);
  params[0] = call6995;
  partcv[0] = 1;
  Object opresult6997 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult6997 (depth = 5)
  *var_s = opresult6997;
  if (opresult6997 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6968 = done;
  } else {
  }
// compiled if node returning if6968 (depth = 3)
// Begin line 1755
  setline(1755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7001 = gc_frame_new();
// call case 4: self request
  Object call7002 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7001);
// compiled member node returning call7002 (depth = 5)
  int op_slot_right_7000 = gc_frame_newslot(call7002);
// starting to compile identifier node (depth = 5)
  Object bool7004 = alloc_Boolean(0);
// compiled identifier node returning bool7004 (depth = 5)
  int op_slot_left_7000 = gc_frame_newslot(bool7004);
  params[0] = call7002;
  partcv[0] = 1;
  Object opresult7005 = callmethod(bool7004, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7005 (depth = 4)
  Object if6999 = done;
  if (istrue(opresult7005)) {
// Begin line 1756
  setline(1756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7007 == NULL) {
    strlit7007 = alloc_String("Generics:");
    gc_root(strlit7007);
  }
// compiled string node returning strlit7007 (depth = 6)
  int op_slot_right_7006 = gc_frame_newslot(strlit7007);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_7009 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7012 == NULL) {
    strlit7012 = alloc_String("""\x0a""");
    gc_root(strlit7012);
  }
// compiled string node returning strlit7012 (depth = 8)
  int op_slot_right_7011 = gc_frame_newslot(strlit7012);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7011 = gc_frame_newslot(*var_s);
  params[0] = strlit7012;
  partcv[0] = 1;
  Object opresult7014 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7014 (depth = 7)
  int op_slot_left_7009 = gc_frame_newslot(opresult7014);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7015 = callmethod(opresult7014, "++(1)", 1, partcv, params);
// compiled op node returning opresult7015 (depth = 6)
  int op_slot_left_7006 = gc_frame_newslot(opresult7015);
  params[0] = strlit7007;
  partcv[0] = 1;
  Object opresult7016 = callmethod(opresult7015, "++(1)", 1, partcv, params);
// compiled op node returning opresult7016 (depth = 5)
  *var_s = opresult7016;
  if (opresult7016 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1757
  setline(1757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7018 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7019 = gc_frame_new();
// call case 4: self request
  Object call7020 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7019);
// compiled member node returning call7020 (depth = 5)
  gc_frame_newslot(call7020);
// starting to compile block node (depth = 5)
  Object block7021 = alloc_Block(NULL, NULL, "ast", 1757);
  gc_frame_newslot(block7021);
// method "_apply(_)"
  block_savedest(block7021);
  Object closure7022 = createclosure(4, "_apply(1)");
  setclosureframe(closure7022, stackframe);
  addtoclosure(closure7022, var_depth);
  addtoclosure(closure7022, var_spc);
  addtoclosure(closure7022, var_s);
  addtoclosure(closure7022, selfslot);
  struct UserObject *uo7022 = (struct UserObject*)block7021;
  uo7022->data[0] = (Object)closure7022;
  Method *meth_meth_ast__apply_40_1_41_7022 = addmethod2pos(block7021, "_apply(1)", &meth_ast__apply_40_1_41_7022, 0);
  int argcv_meth_ast__apply_40_1_41_7022[] = {1};
  meth_meth_ast__apply_40_1_41_7022->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7022);
  meth_meth_ast__apply_40_1_41_7022->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7022->definitionLine = 2947;
// compiled block node returning block7021 (depth = 5)
  gc_frame_newslot(block7021);
// call case 5: prelude request
  params[0] = call7020;
  params[1] = block7021;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7045 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7018);
// compiled call node returning call7045 (depth = 4)
    gc_frame_newslot(call7045);
    if6999 = call7045;
  } else {
  }
// compiled if node returning if6999 (depth = 3)
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_7104(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ix = &(stackframe->slots[0]);
  *var_ix = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7106 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num7108 = alloc_Float64(1);
// compiled num node returning num7108 (depth = 10)
  int op_slot_right_7107 = gc_frame_newslot(num7108);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_7107 = gc_frame_newslot(*var_depth);
  params[0] = num7108;
  partcv[0] = 1;
  Object sum7110 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7110 (depth = 9)
  gc_frame_newslot(sum7110);
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe7111 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ix (depth = 10)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe7112 = gc_frame_new();
// call case 4: self request
  Object call7113 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7112);
// compiled member node returning call7113 (depth = 10)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call7114 = callmethodflags(call7113, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7111);
// compiled call node returning call7114 (depth = 9)
  params[0] = sum7110;
  partcv[0] = 1;
  Object call7115 = callmethodflags(call7114, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7106);
// compiled call node returning call7115 (depth = 8)
  int op_slot_right_7105 = gc_frame_newslot(call7115);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7105 = gc_frame_newslot(*var_s);
  params[0] = call7115;
  partcv[0] = 1;
  Object opresult7117 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7117 (depth = 7)
  *var_s = opresult7117;
  if (opresult7117 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_7046(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1764
  setline(1764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_s = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7048 = gc_frame_new();
// call case 4: self request
  Object call7049 = callmethodflags(self, "wildcard", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7048);
// compiled member node returning call7049 (depth = 4)
  Object if7047 = done;
  if (istrue(call7049)) {
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7050 == NULL) {
    strlit7050 = alloc_String("_");
    gc_root(strlit7050);
  }
// compiled string node returning strlit7050 (depth = 5)
  *var_s = strlit7050;
  if (strlit7050 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7047 = done;
  } else {
// Begin line 1768
  setline(1768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7052 = gc_frame_new();
// call case 4: self request
  Object call7053 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7052);
// compiled member node returning call7053 (depth = 5)
  *var_s = call7053;
  if (call7053 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7047 = done;
  }
// compiled if node returning if7047 (depth = 3)
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7057 = gc_frame_new();
// call case 4: self request
  Object call7058 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7057);
// compiled member node returning call7058 (depth = 5)
  int op_slot_right_7056 = gc_frame_newslot(call7058);
// starting to compile identifier node (depth = 5)
  Object bool7060 = alloc_Boolean(0);
// compiled identifier node returning bool7060 (depth = 5)
  int op_slot_left_7056 = gc_frame_newslot(bool7060);
  params[0] = call7058;
  partcv[0] = 1;
  Object opresult7061 = callmethod(bool7060, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7061 (depth = 4)
  Object if7055 = done;
  if (istrue(opresult7061)) {
// Begin line 1771
  setline(1771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7063 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num7065 = alloc_Float64(1);
// compiled num node returning num7065 (depth = 8)
  int op_slot_right_7064 = gc_frame_newslot(num7065);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_7064 = gc_frame_newslot(*var_depth);
  params[0] = num7065;
  partcv[0] = 1;
  Object sum7067 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7067 (depth = 7)
  gc_frame_newslot(sum7067);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7068 = gc_frame_new();
// call case 4: self request
  Object call7069 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7068);
// compiled member node returning call7069 (depth = 7)
  params[0] = sum7067;
  partcv[0] = 1;
  Object call7070 = callmethodflags(call7069, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7063);
// compiled call node returning call7070 (depth = 6)
  int op_slot_right_7062 = gc_frame_newslot(call7070);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7073 == NULL) {
    strlit7073 = alloc_String(" : ");
    gc_root(strlit7073);
  }
// compiled string node returning strlit7073 (depth = 7)
  int op_slot_right_7072 = gc_frame_newslot(strlit7073);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7072 = gc_frame_newslot(*var_s);
  params[0] = strlit7073;
  partcv[0] = 1;
  Object opresult7075 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7075 (depth = 6)
  int op_slot_left_7062 = gc_frame_newslot(opresult7075);
  params[0] = call7070;
  partcv[0] = 1;
  Object opresult7076 = callmethod(opresult7075, "++(1)", 1, partcv, params);
// compiled op node returning opresult7076 (depth = 5)
  *var_s = opresult7076;
  if (opresult7076 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7055 = done;
  } else {
  }
// compiled if node returning if7055 (depth = 3)
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7080 = gc_frame_new();
// call case 4: self request
  Object call7081 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7080);
// compiled member node returning call7081 (depth = 5)
  int op_slot_right_7079 = gc_frame_newslot(call7081);
// starting to compile identifier node (depth = 5)
  Object bool7083 = alloc_Boolean(0);
// compiled identifier node returning bool7083 (depth = 5)
  int op_slot_left_7079 = gc_frame_newslot(bool7083);
  params[0] = call7081;
  partcv[0] = 1;
  Object opresult7084 = callmethod(bool7083, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7084 (depth = 4)
  Object if7078 = done;
  if (istrue(opresult7084)) {
// Begin line 1774
  setline(1774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7086 == NULL) {
    strlit7086 = alloc_String("<");
    gc_root(strlit7086);
  }
// compiled string node returning strlit7086 (depth = 6)
  int op_slot_right_7085 = gc_frame_newslot(strlit7086);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7085 = gc_frame_newslot(*var_s);
  params[0] = strlit7086;
  partcv[0] = 1;
  Object opresult7088 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7088 (depth = 5)
  *var_s = opresult7088;
  if (opresult7088 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1775
  setline(1775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7090 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7093 = alloc_Float64(1);
// compiled num node returning num7093 (depth = 7)
  int op_slot_right_7092 = gc_frame_newslot(num7093);
// starting to compile member node (depth = 7)
  int callframe7095 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7096 = gc_frame_new();
// call case 4: self request
  Object call7097 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7096);
// compiled member node returning call7097 (depth = 8)
  Object call7098 = callmethodflags(call7097, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7095);
// compiled member node returning call7098 (depth = 7)
  int op_slot_left_7092 = gc_frame_newslot(call7098);
  params[0] = num7093;
  partcv[0] = 1;
  Object diff7099 = callmethod(call7098, "-(1)", 1, partcv, params);
// compiled op node returning diff7099 (depth = 6)
  int op_slot_right_7091 = gc_frame_newslot(diff7099);
// starting to compile num node (depth = 6)
  Object num7101 = alloc_Float64(1);
// compiled num node returning num7101 (depth = 6)
  int op_slot_left_7091 = gc_frame_newslot(num7101);
  params[0] = diff7099;
  partcv[0] = 1;
  Object opresult7102 = callmethod(num7101, "..(1)", 1, partcv, params);
// compiled op node returning opresult7102 (depth = 5)
  gc_frame_newslot(opresult7102);
// starting to compile block node (depth = 5)
  Object block7103 = alloc_Block(NULL, NULL, "ast", 1775);
  gc_frame_newslot(block7103);
// method "_apply(_)"
  block_savedest(block7103);
  Object closure7104 = createclosure(3, "_apply(1)");
  setclosureframe(closure7104, stackframe);
  addtoclosure(closure7104, var_depth);
  addtoclosure(closure7104, var_s);
  addtoclosure(closure7104, selfslot);
  struct UserObject *uo7104 = (struct UserObject*)block7103;
  uo7104->data[0] = (Object)closure7104;
  Method *meth_meth_ast__apply_40_1_41_7104 = addmethod2pos(block7103, "_apply(1)", &meth_ast__apply_40_1_41_7104, 0);
  int argcv_meth_ast__apply_40_1_41_7104[] = {1};
  meth_meth_ast__apply_40_1_41_7104->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7104);
  meth_meth_ast__apply_40_1_41_7104->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7104->definitionLine = 2947;
// compiled block node returning block7103 (depth = 5)
  gc_frame_newslot(block7103);
// call case 5: prelude request
  params[0] = opresult7102;
  params[1] = block7103;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7120 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7090);
// compiled call node returning call7120 (depth = 4)
// Begin line 1778
  setline(1778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7122 == NULL) {
    strlit7122 = alloc_String(">");
    gc_root(strlit7122);
  }
// compiled string node returning strlit7122 (depth = 6)
  int op_slot_right_7121 = gc_frame_newslot(strlit7122);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7125 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num7127 = alloc_Float64(1);
// compiled num node returning num7127 (depth = 9)
  int op_slot_right_7126 = gc_frame_newslot(num7127);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_7126 = gc_frame_newslot(*var_depth);
  params[0] = num7127;
  partcv[0] = 1;
  Object sum7129 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7129 (depth = 8)
  gc_frame_newslot(sum7129);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7130 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe7131 = gc_frame_new();
// call case 4: self request
  Object call7132 = callmethodflags(self, "generics", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7131);
// compiled member node returning call7132 (depth = 9)
  Object call7133 = callmethodflags(call7132, "last", 0, partcv, params, 0);
  gc_frame_end(callframe7130);
// compiled member node returning call7133 (depth = 8)
  params[0] = sum7129;
  partcv[0] = 1;
  Object call7134 = callmethodflags(call7133, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7125);
// compiled call node returning call7134 (depth = 7)
  int op_slot_right_7124 = gc_frame_newslot(call7134);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_7124 = gc_frame_newslot(*var_s);
  params[0] = call7134;
  partcv[0] = 1;
  Object opresult7136 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7136 (depth = 6)
  int op_slot_left_7121 = gc_frame_newslot(opresult7136);
  params[0] = strlit7122;
  partcv[0] = 1;
  Object opresult7137 = callmethod(opresult7136, "++(1)", 1, partcv, params);
// compiled op node returning opresult7137 (depth = 5)
  *var_s = opresult7137;
  if (opresult7137 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7078 = done;
  } else {
  }
// compiled if node returning if7078 (depth = 3)
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString7139(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1784
  setline(1784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7141 = gc_frame_new();
// call case 4: self request
  Object call7142 = callmethodflags(self, "isBindingOccurrence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7141);
// compiled member node returning call7142 (depth = 4)
  Object if7140 = done;
  if (istrue(call7142)) {
// Begin line 1785
  setline(1785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7144 == NULL) {
    strlit7144 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7144);
  }
// compiled string node returning strlit7144 (depth = 5)
  int op_slot_right_7143 = gc_frame_newslot(strlit7144);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7147 = gc_frame_new();
// call case 4: self request
  Object call7148 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7147);
// compiled member node returning call7148 (depth = 6)
  int op_slot_right_7146 = gc_frame_newslot(call7148);
// starting to compile string node (depth = 6)
  if (strlit7150 == NULL) {
    strlit7150 = alloc_String("identifierBinding""\xe2""""\x80""""\xb9""");
    gc_root(strlit7150);
  }
// compiled string node returning strlit7150 (depth = 6)
  int op_slot_left_7146 = gc_frame_newslot(strlit7150);
  params[0] = call7148;
  partcv[0] = 1;
  Object opresult7151 = callmethod(strlit7150, "++(1)", 1, partcv, params);
// compiled op node returning opresult7151 (depth = 5)
  int op_slot_left_7143 = gc_frame_newslot(opresult7151);
  params[0] = strlit7144;
  partcv[0] = 1;
  Object opresult7152 = callmethod(opresult7151, "++(1)", 1, partcv, params);
// compiled op node returning opresult7152 (depth = 4)
    gc_frame_newslot(opresult7152);
    if7140 = opresult7152;
  } else {
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7154 == NULL) {
    strlit7154 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7154);
  }
// compiled string node returning strlit7154 (depth = 5)
  int op_slot_right_7153 = gc_frame_newslot(strlit7154);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7157 = gc_frame_new();
// call case 4: self request
  Object call7158 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7157);
// compiled member node returning call7158 (depth = 6)
  int op_slot_right_7156 = gc_frame_newslot(call7158);
// starting to compile string node (depth = 6)
  if (strlit7160 == NULL) {
    strlit7160 = alloc_String("identifier""\xe2""""\x80""""\xb9""");
    gc_root(strlit7160);
  }
// compiled string node returning strlit7160 (depth = 6)
  int op_slot_left_7156 = gc_frame_newslot(strlit7160);
  params[0] = call7158;
  partcv[0] = 1;
  Object opresult7161 = callmethod(strlit7160, "++(1)", 1, partcv, params);
// compiled op node returning opresult7161 (depth = 5)
  int op_slot_left_7153 = gc_frame_newslot(opresult7161);
  params[0] = strlit7154;
  partcv[0] = 1;
  Object opresult7162 = callmethod(opresult7161, "++(1)", 1, partcv, params);
// compiled op node returning opresult7162 (depth = 4)
    gc_frame_newslot(opresult7162);
    if7140 = opresult7162;
  }
// compiled if node returning if7140 (depth = 3)
  gc_frame_end(frame);
  return if7140;
}
Object meth_ast_shallowCopy7163(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7164 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7165 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7166 = gc_frame_new();
// call case 4: self request
  Object call7167 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7166);
// compiled member node returning call7167 (depth = 5)
  gc_frame_newslot(call7167);
// starting to compile identifier node (depth = 5)
  Object bool7168 = alloc_Boolean(0);
// compiled identifier node returning bool7168 (depth = 5)
  gc_frame_newslot(bool7168);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call7167;
  params[1] = bool7168;
  partcv[0] = 2;
  Object call7169 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7165);
// compiled call node returning call7169 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7170 = callmethodflags(call7169, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7164);
// compiled call node returning call7170 (depth = 3)
  gc_frame_end(frame);
  return call7170;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_7171(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7172 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call7173 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7172);
// compiled call node returning call7173 (depth = 3)
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7174 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7175 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7176 = callmethodflags(*var_other, "wildcard", 0, partcv, params, 0);
  gc_frame_end(callframe7175);
// compiled member node returning call7176 (depth = 4)
  gc_frame_newslot(call7176);
// call case 4: self request
  params[0] = call7176;
  partcv[0] = 1;
  Object call7177 = callmethodflags(self, "wildcard:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7174);
// compiled call node returning call7177 (depth = 3)
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7178 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7179 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7180 = callmethodflags(*var_other, "isBindingOccurrence", 0, partcv, params, 0);
  gc_frame_end(callframe7179);
// compiled member node returning call7180 (depth = 4)
  gc_frame_newslot(call7180);
// call case 4: self request
  params[0] = call7180;
  partcv[0] = 1;
  Object call7181 = callmethodflags(self, "isBindingOccurrence:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7178);
// compiled call node returning call7181 (depth = 3)
// Begin line 1797
  setline(1797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7182 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7183 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7184 = callmethodflags(*var_other, "isDeclaredByParent", 0, partcv, params, 0);
  gc_frame_end(callframe7183);
// compiled member node returning call7184 (depth = 4)
  gc_frame_newslot(call7184);
// call case 4: self request
  params[0] = call7184;
  partcv[0] = 1;
  Object call7185 = callmethodflags(self, "isDeclaredByParent:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7182);
// compiled call node returning call7185 (depth = 3)
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7186 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7187 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7188 = callmethodflags(*var_other, "isAssigned", 0, partcv, params, 0);
  gc_frame_end(callframe7187);
// compiled member node returning call7188 (depth = 4)
  gc_frame_newslot(call7188);
// call case 4: self request
  params[0] = call7188;
  partcv[0] = 1;
  Object call7189 = callmethodflags(self, "isAssigned:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7186);
// compiled call node returning call7189 (depth = 3)
// Begin line 1799
  setline(1799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7190 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7191 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call7192 = callmethodflags(*var_other, "inRequest", 0, partcv, params, 0);
  gc_frame_end(callframe7191);
// compiled member node returning call7192 (depth = 4)
  gc_frame_newslot(call7192);
// call case 4: self request
  params[0] = call7192;
  partcv[0] = 1;
  Object call7193 = callmethodflags(self, "inRequest:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7190);
// compiled call node returning call7193 (depth = 3)
// Begin line 1800
  setline(1800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName7194(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7195 == NULL) {
    strlit7195 = alloc_String("expression");
    gc_root(strlit7195);
  }
// compiled string node returning strlit7195 (depth = 3)
  gc_frame_end(frame);
  return strlit7195;
}
Object meth_ast_new_40_2_41_6795(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6796 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6796 = alloc_userobj2(37,30, objclass6796);
  gc_frame_newslot(obj6796);
if (objclass6796 == NULL) {
  glfree(obj6796->class->name);
  obj6796->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6796, self, 0);
  addmethodreal(obj6796,"outer", &reader_ast_outer_6797);
  Object oldself6796 = self;
  struct StackFrameObject *oldstackframe6796 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6796);
  gc_frame_newslot((Object)stackframe);
  self = obj6796;
  Object *oldselfslot6796 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6796 = (*(struct UserObject *)self).data[0], lowerouter6796 = thisouter6796;
  if (inheritingObject6796) {
    struct UserObject *inho6796 = (struct UserObject *)inheritingObject6796;
    while (inho6796->super != GraceDefaultObject) inho6796 = (struct UserObject *)inho6796->super;
    inho6796->super = obj6796;
    self = inheritingObject6796;
    *selfslot = self;
    lowerouter6796 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6796;
  }
if (objclass6796 == NULL) {
  Method *reader6798 = addmethodrealflags(obj6796, "kind",&reader_ast_kind_6798, MFLAG_DEF);
  reader6798->definitionModule = modulename;
  reader6798->definitionLine = 1684;
}
adddatum2(obj6796, alloc_Undefined(), 1);
if (objclass6796 == NULL) {
  Method *reader6799 = addmethodrealflags(obj6796, "value", &reader_ast_value_6799, 0);
  Method *writer6799 = addmethodrealflags(obj6796, "value:=(1)", &writer_ast_value_6799, 0);
  reader6799->definitionModule = modulename;
  writer6799->definitionModule = modulename;
  reader6799->definitionLine = 1685;
  writer6799->definitionLine = 1685;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 2);
if (objclass6796 == NULL) {
  Method *reader6800 = addmethodrealflags(obj6796, "wildcard", &reader_ast_wildcard_6800, 0);
  Method *writer6800 = addmethodrealflags(obj6796, "wildcard:=(1)", &writer_ast_wildcard_6800, 0);
  reader6800->definitionModule = modulename;
  writer6800->definitionModule = modulename;
  reader6800->definitionLine = 1686;
  writer6800->definitionLine = 1686;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 3);
if (objclass6796 == NULL) {
  Method *reader6801 = addmethodrealflags(obj6796, "dtype", &reader_ast_dtype_6801, 0);
  Method *writer6801 = addmethodrealflags(obj6796, "dtype:=(1)", &writer_ast_dtype_6801, 0);
  reader6801->definitionModule = modulename;
  writer6801->definitionModule = modulename;
  reader6801->definitionLine = 1687;
  writer6801->definitionLine = 1687;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 4);
if (objclass6796 == NULL) {
  Method *reader6802 = addmethodrealflags(obj6796, "isBindingOccurrence", &reader_ast_isBindingOccurrence_6802, 0);
  Method *writer6802 = addmethodrealflags(obj6796, "isBindingOccurrence:=(1)", &writer_ast_isBindingOccurrence_6802, 0);
  reader6802->definitionModule = modulename;
  writer6802->definitionModule = modulename;
  reader6802->definitionLine = 1688;
  writer6802->definitionLine = 1688;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 5);
if (objclass6796 == NULL) {
  Method *reader6803 = addmethodrealflags(obj6796, "isAssigned", &reader_ast_isAssigned_6803, 0);
  Method *writer6803 = addmethodrealflags(obj6796, "isAssigned:=(1)", &writer_ast_isAssigned_6803, 0);
  reader6803->definitionModule = modulename;
  writer6803->definitionModule = modulename;
  reader6803->definitionLine = 1689;
  writer6803->definitionLine = 1689;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 6);
if (objclass6796 == NULL) {
  Method *reader6804 = addmethodrealflags(obj6796, "inRequest", &reader_ast_inRequest_6804, 0);
  Method *writer6804 = addmethodrealflags(obj6796, "inRequest:=(1)", &writer_ast_inRequest_6804, 0);
  reader6804->definitionModule = modulename;
  writer6804->definitionModule = modulename;
  reader6804->definitionLine = 1690;
  writer6804->definitionLine = 1690;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 7);
if (objclass6796 == NULL) {
  Method *reader6805 = addmethodrealflags(obj6796, "generics", &reader_ast_generics_6805, 0);
  Method *writer6805 = addmethodrealflags(obj6796, "generics:=(1)", &writer_ast_generics_6805, 0);
  reader6805->definitionModule = modulename;
  writer6805->definitionModule = modulename;
  reader6805->definitionLine = 1691;
  writer6805->definitionLine = 1691;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 8);
if (objclass6796 == NULL) {
  Method *reader6806 = addmethodrealflags(obj6796, "isDeclaredByParent", &reader_ast_isDeclaredByParent_6806, 0);
  Method *writer6806 = addmethodrealflags(obj6796, "isDeclaredByParent:=(1)", &writer_ast_isDeclaredByParent_6806, 0);
  reader6806->definitionModule = modulename;
  writer6806->definitionModule = modulename;
  reader6806->definitionLine = 1692;
  writer6806->definitionLine = 1692;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 9);
// method "nameString"
  struct UserObject *uo6807 = (struct UserObject*)obj6796;
  uo6807->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString6807 = addmethod2pos(obj6796, "nameString", &meth_ast_nameString6807, 10);
  int argcv_meth_ast_nameString6807[] = {0};
  meth_meth_ast_nameString6807->type = alloc_MethodType(1, argcv_meth_ast_nameString6807);
  meth_meth_ast_nameString6807->definitionModule = modulename;
  meth_meth_ast_nameString6807->definitionLine = 1694;
// method "canonicalName"
  struct UserObject *uo6810 = (struct UserObject*)obj6796;
  uo6810->data[11] = emptyclosure;
  Method *meth_meth_ast_canonicalName6810 = addmethod2pos(obj6796, "canonicalName", &meth_ast_canonicalName6810, 11);
  int argcv_meth_ast_canonicalName6810[] = {0};
  meth_meth_ast_canonicalName6810->type = alloc_MethodType(1, argcv_meth_ast_canonicalName6810);
  meth_meth_ast_canonicalName6810->definitionModule = modulename;
  meth_meth_ast_canonicalName6810->definitionLine = 1695;
// method "quoted"
  struct UserObject *uo6813 = (struct UserObject*)obj6796;
  uo6813->data[12] = emptyclosure;
  Method *meth_meth_ast_quoted6813 = addmethod2pos(obj6796, "quoted", &meth_ast_quoted6813, 12);
  int argcv_meth_ast_quoted6813[] = {0};
  meth_meth_ast_quoted6813->type = alloc_MethodType(1, argcv_meth_ast_quoted6813);
  meth_meth_ast_quoted6813->definitionModule = modulename;
  meth_meth_ast_quoted6813->definitionLine = 1696;
// method "isIdentifier"
  struct UserObject *uo6818 = (struct UserObject*)obj6796;
  uo6818->data[13] = emptyclosure;
  Method *meth_meth_ast_isIdentifier6818 = addmethod2pos(obj6796, "isIdentifier", &meth_ast_isIdentifier6818, 13);
  int argcv_meth_ast_isIdentifier6818[] = {0};
  meth_meth_ast_isIdentifier6818->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier6818);
  meth_meth_ast_isIdentifier6818->definitionModule = modulename;
  meth_meth_ast_isIdentifier6818->definitionLine = 1697;
// method "isSelf"
  struct UserObject *uo6820 = (struct UserObject*)obj6796;
  uo6820->data[14] = emptyclosure;
  Method *meth_meth_ast_isSelf6820 = addmethod2pos(obj6796, "isSelf", &meth_ast_isSelf6820, 14);
  int argcv_meth_ast_isSelf6820[] = {0};
  meth_meth_ast_isSelf6820->type = alloc_MethodType(1, argcv_meth_ast_isSelf6820);
  meth_meth_ast_isSelf6820->definitionModule = modulename;
  meth_meth_ast_isSelf6820->definitionLine = 1699;
// method "isSuper"
  struct UserObject *uo6827 = (struct UserObject*)obj6796;
  uo6827->data[15] = emptyclosure;
  Method *meth_meth_ast_isSuper6827 = addmethod2pos(obj6796, "isSuper", &meth_ast_isSuper6827, 15);
  int argcv_meth_ast_isSuper6827[] = {0};
  meth_meth_ast_isSuper6827->type = alloc_MethodType(1, argcv_meth_ast_isSuper6827);
  meth_meth_ast_isSuper6827->definitionModule = modulename;
  meth_meth_ast_isSuper6827->definitionLine = 1700;
// method "isPrelude"
  struct UserObject *uo6834 = (struct UserObject*)obj6796;
  uo6834->data[16] = emptyclosure;
  Method *meth_meth_ast_isPrelude6834 = addmethod2pos(obj6796, "isPrelude", &meth_ast_isPrelude6834, 16);
  int argcv_meth_ast_isPrelude6834[] = {0};
  meth_meth_ast_isPrelude6834->type = alloc_MethodType(1, argcv_meth_ast_isPrelude6834);
  meth_meth_ast_isPrelude6834->definitionModule = modulename;
  meth_meth_ast_isPrelude6834->definitionLine = 1701;
// method "isOuter"
  struct UserObject *uo6841 = (struct UserObject*)obj6796;
  uo6841->data[17] = emptyclosure;
  Method *meth_meth_ast_isOuter6841 = addmethod2pos(obj6796, "isOuter", &meth_ast_isOuter6841, 17);
  int argcv_meth_ast_isOuter6841[] = {0};
  meth_meth_ast_isOuter6841->type = alloc_MethodType(1, argcv_meth_ast_isOuter6841);
  meth_meth_ast_isOuter6841->definitionModule = modulename;
  meth_meth_ast_isOuter6841->definitionLine = 1702;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo6848 = (struct UserObject*)obj6796;
  uo6848->data[18] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier6848 = addmethod2pos(obj6796, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier6848, 18);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier6848[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier6848->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier6848);
  meth_meth_ast_isAppliedOccurenceOfIdentifier6848->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier6848->definitionLine = 1704;
// method "declarationKindWithAncestors(_)"
  struct UserObject *uo6857 = (struct UserObject*)obj6796;
  uo6857->data[19] = emptyclosure;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_6857 = addmethod2pos(obj6796, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_6857, 19);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_6857[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6857->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_6857);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6857->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6857->definitionLine = 1711;
// method "inTypePositionWithAncestors(_)"
  struct UserObject *uo6862 = (struct UserObject*)obj6796;
  uo6862->data[20] = emptyclosure;
  Method *meth_meth_ast_inTypePositionWithAncestors_40_1_41_6862 = addmethod2pos(obj6796, "inTypePositionWithAncestors(1)", &meth_ast_inTypePositionWithAncestors_40_1_41_6862, 20);
  int argcv_meth_ast_inTypePositionWithAncestors_40_1_41_6862[] = {1};
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6862->type = alloc_MethodType(1, argcv_meth_ast_inTypePositionWithAncestors_40_1_41_6862);
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6862->definitionModule = modulename;
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6862->definitionLine = 1714;
// method "usesAsType(_)"
  struct UserObject *uo6871 = (struct UserObject*)obj6796;
  uo6871->data[21] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_6871 = addmethod2pos(obj6796, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_6871, 21);
  int argcv_meth_ast_usesAsType_40_1_41_6871[] = {1};
  meth_meth_ast_usesAsType_40_1_41_6871->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_6871);
  meth_meth_ast_usesAsType_40_1_41_6871->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_6871->definitionLine = 1721;
// method "accept(_)from(_)"
  struct UserObject *uo6877 = (struct UserObject*)obj6796;
  uo6877->data[22] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6877 = addmethod2pos(obj6796, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6877, 22);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6877[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6877->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6877);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6877->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6877->definitionLine = 1724;
// method "map(_)ancestors(_)"
  struct UserObject *uo6894 = (struct UserObject*)obj6796;
  uo6894->data[23] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6894 = addmethod2pos(obj6796, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6894, 23);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6894[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6894->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6894);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6894->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6894->definitionLine = 1732;
// method "pretty(_)"
  struct UserObject *uo6911 = (struct UserObject*)obj6796;
  uo6911->data[24] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6911 = addmethod2pos(obj6796, "pretty(1)", &meth_ast_pretty_40_1_41_6911, 24);
  int argcv_meth_ast_pretty_40_1_41_6911[] = {1};
  meth_meth_ast_pretty_40_1_41_6911->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6911);
  meth_meth_ast_pretty_40_1_41_6911->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6911->definitionLine = 1738;
// method "toGrace(_)"
  struct UserObject *uo7046 = (struct UserObject*)obj6796;
  uo7046->data[25] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7046 = addmethod2pos(obj6796, "toGrace(1)", &meth_ast_toGrace_40_1_41_7046, 25);
  int argcv_meth_ast_toGrace_40_1_41_7046[] = {1};
  meth_meth_ast_toGrace_40_1_41_7046->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7046);
meth_meth_ast_toGrace_40_1_41_7046->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7046->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7046->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7046->definitionLine = 1763;
// method "asString"
  struct UserObject *uo7139 = (struct UserObject*)obj6796;
  uo7139->data[26] = emptyclosure;
  Method *meth_meth_ast_asString7139 = addmethod2pos(obj6796, "asString", &meth_ast_asString7139, 26);
  int argcv_meth_ast_asString7139[] = {0};
  meth_meth_ast_asString7139->type = alloc_MethodType(1, argcv_meth_ast_asString7139);
  meth_meth_ast_asString7139->definitionModule = modulename;
  meth_meth_ast_asString7139->definitionLine = 1783;
// method "shallowCopy"
  block_savedest(obj6796);
  Object closure7163 = createclosure(1, "shallowCopy");
  setclosureframe(closure7163, stackframe);
  addtoclosure(closure7163, var_identifierNode);
  struct UserObject *uo7163 = (struct UserObject*)obj6796;
  uo7163->data[27] = (Object)closure7163;
  Method *meth_meth_ast_shallowCopy7163 = addmethod2pos(obj6796, "shallowCopy", &meth_ast_shallowCopy7163, 27);
  int argcv_meth_ast_shallowCopy7163[] = {0};
  meth_meth_ast_shallowCopy7163->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7163);
  meth_meth_ast_shallowCopy7163->definitionModule = modulename;
  meth_meth_ast_shallowCopy7163->definitionLine = 1790;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo7171 = (struct UserObject*)obj6796;
  uo7171->data[28] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_7171 = addmethod2pos(obj6796, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_7171, 28);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_7171[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_7171->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_7171);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_7171->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_7171->definitionLine = 1793;
// method "statementName"
  struct UserObject *uo7194 = (struct UserObject*)obj6796;
  uo7194->data[29] = emptyclosure;
  Method *meth_meth_ast_statementName7194 = addmethod2pos(obj6796, "statementName", &meth_ast_statementName7194, 29);
  int argcv_meth_ast_statementName7194[] = {0};
  meth_meth_ast_statementName7194->type = alloc_MethodType(1, argcv_meth_ast_statementName7194);
  meth_meth_ast_statementName7194->definitionModule = modulename;
  meth_meth_ast_statementName7194->definitionLine = 1802;
  sourceObject = obj6796;
// Begin line 1683
  setline(1683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7196 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7197 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7198 = gc_frame_new();
// call case 3: self.outer request
  Object call7199 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7198);
// compiled member node returning call7199 (depth = 5)
  Object call7200 = callmethodflags(call7199, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7197);
// compiled member node returning call7200 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7201 = callmethodflags(call7200, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7196);
// compiled call node returning call7201 (depth = 3)
  struct UserObject *obj6796_uo = (struct UserObject *)obj6796;
  obj6796_uo->super = call7201;
  sourceObject = obj6796;
// Begin line 1684
  setline(1684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7202 == NULL) {
    strlit7202 = alloc_String("identifier");
    gc_root(strlit7202);
  }
// compiled string node returning strlit7202 (depth = 3)
  adddatum2(obj6796, strlit7202, 1);
  sourceObject = obj6796;
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name (depth = 3)
  adddatum2(obj6796, *var_name, 2);
  sourceObject = obj6796;
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7203 = alloc_Boolean(0);
// compiled identifier node returning bool7203 (depth = 3)
  adddatum2(obj6796, bool7203, 3);
  sourceObject = obj6796;
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj6796, *var_dtype_39_, 4);
  sourceObject = obj6796;
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7204 = alloc_Boolean(0);
// compiled identifier node returning bool7204 (depth = 3)
  adddatum2(obj6796, bool7204, 5);
  sourceObject = obj6796;
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7205 = alloc_Boolean(0);
// compiled identifier node returning bool7205 (depth = 3)
  adddatum2(obj6796, bool7205, 6);
  sourceObject = obj6796;
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7206 = alloc_Boolean(0);
// compiled identifier node returning bool7206 (depth = 3)
  adddatum2(obj6796, bool7206, 7);
  sourceObject = obj6796;
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7207 = alloc_Boolean(0);
// compiled identifier node returning bool7207 (depth = 3)
  adddatum2(obj6796, bool7207, 8);
  sourceObject = obj6796;
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7208 = alloc_Boolean(0);
// compiled identifier node returning bool7208 (depth = 3)
  adddatum2(obj6796, bool7208, 9);
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  objclass6796 = obj6796->class;
  objclass6796->definitionModule = modulename;
  objclass6796->definitionLine = 1682;
  (*(struct UserObject *)self).data[0] = lowerouter6796;
  self = oldself6796;
  selfslot = oldselfslot6796;
  stackframe = oldstackframe6796;
  gc_frame_end(frame);
  return obj6796;
}
Object meth_ast_new_40_2_41_6795_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[1]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject6796 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6796 = alloc_userobj2(37,30, objclass6796);
  gc_frame_newslot(obj6796);
if (objclass6796 == NULL) {
  glfree(obj6796->class->name);
  obj6796->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6796, self, 0);
  addmethodreal(obj6796,"outer", &reader_ast_outer_6797);
  Object oldself6796 = self;
  struct StackFrameObject *oldstackframe6796 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6796);
  gc_frame_newslot((Object)stackframe);
  self = obj6796;
  Object *oldselfslot6796 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6796 = (*(struct UserObject *)self).data[0], lowerouter6796 = thisouter6796;
  if (inheritingObject6796) {
    struct UserObject *inho6796 = (struct UserObject *)inheritingObject6796;
    while (inho6796->super != GraceDefaultObject) inho6796 = (struct UserObject *)inho6796->super;
    inho6796->super = obj6796;
    self = inheritingObject6796;
    *selfslot = self;
    lowerouter6796 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6796;
  }
if (objclass6796 == NULL) {
  Method *reader6798 = addmethodrealflags(obj6796, "kind",&reader_ast_kind_6798, MFLAG_DEF);
  reader6798->definitionModule = modulename;
  reader6798->definitionLine = 1684;
}
adddatum2(obj6796, alloc_Undefined(), 1);
if (objclass6796 == NULL) {
  Method *reader6799 = addmethodrealflags(obj6796, "value", &reader_ast_value_6799, 0);
  Method *writer6799 = addmethodrealflags(obj6796, "value:=(1)", &writer_ast_value_6799, 0);
  reader6799->definitionModule = modulename;
  writer6799->definitionModule = modulename;
  reader6799->definitionLine = 1685;
  writer6799->definitionLine = 1685;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 2);
if (objclass6796 == NULL) {
  Method *reader6800 = addmethodrealflags(obj6796, "wildcard", &reader_ast_wildcard_6800, 0);
  Method *writer6800 = addmethodrealflags(obj6796, "wildcard:=(1)", &writer_ast_wildcard_6800, 0);
  reader6800->definitionModule = modulename;
  writer6800->definitionModule = modulename;
  reader6800->definitionLine = 1686;
  writer6800->definitionLine = 1686;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 3);
if (objclass6796 == NULL) {
  Method *reader6801 = addmethodrealflags(obj6796, "dtype", &reader_ast_dtype_6801, 0);
  Method *writer6801 = addmethodrealflags(obj6796, "dtype:=(1)", &writer_ast_dtype_6801, 0);
  reader6801->definitionModule = modulename;
  writer6801->definitionModule = modulename;
  reader6801->definitionLine = 1687;
  writer6801->definitionLine = 1687;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 4);
if (objclass6796 == NULL) {
  Method *reader6802 = addmethodrealflags(obj6796, "isBindingOccurrence", &reader_ast_isBindingOccurrence_6802, 0);
  Method *writer6802 = addmethodrealflags(obj6796, "isBindingOccurrence:=(1)", &writer_ast_isBindingOccurrence_6802, 0);
  reader6802->definitionModule = modulename;
  writer6802->definitionModule = modulename;
  reader6802->definitionLine = 1688;
  writer6802->definitionLine = 1688;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 5);
if (objclass6796 == NULL) {
  Method *reader6803 = addmethodrealflags(obj6796, "isAssigned", &reader_ast_isAssigned_6803, 0);
  Method *writer6803 = addmethodrealflags(obj6796, "isAssigned:=(1)", &writer_ast_isAssigned_6803, 0);
  reader6803->definitionModule = modulename;
  writer6803->definitionModule = modulename;
  reader6803->definitionLine = 1689;
  writer6803->definitionLine = 1689;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 6);
if (objclass6796 == NULL) {
  Method *reader6804 = addmethodrealflags(obj6796, "inRequest", &reader_ast_inRequest_6804, 0);
  Method *writer6804 = addmethodrealflags(obj6796, "inRequest:=(1)", &writer_ast_inRequest_6804, 0);
  reader6804->definitionModule = modulename;
  writer6804->definitionModule = modulename;
  reader6804->definitionLine = 1690;
  writer6804->definitionLine = 1690;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 7);
if (objclass6796 == NULL) {
  Method *reader6805 = addmethodrealflags(obj6796, "generics", &reader_ast_generics_6805, 0);
  Method *writer6805 = addmethodrealflags(obj6796, "generics:=(1)", &writer_ast_generics_6805, 0);
  reader6805->definitionModule = modulename;
  writer6805->definitionModule = modulename;
  reader6805->definitionLine = 1691;
  writer6805->definitionLine = 1691;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 8);
if (objclass6796 == NULL) {
  Method *reader6806 = addmethodrealflags(obj6796, "isDeclaredByParent", &reader_ast_isDeclaredByParent_6806, 0);
  Method *writer6806 = addmethodrealflags(obj6796, "isDeclaredByParent:=(1)", &writer_ast_isDeclaredByParent_6806, 0);
  reader6806->definitionModule = modulename;
  writer6806->definitionModule = modulename;
  reader6806->definitionLine = 1692;
  writer6806->definitionLine = 1692;
}
obj6796->flags |= OFLAG_MUTABLE;
adddatum2(obj6796, alloc_Undefined(), 9);
// method "nameString"
  struct UserObject *uo6807 = (struct UserObject*)obj6796;
  uo6807->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString6807 = addmethod2pos(obj6796, "nameString", &meth_ast_nameString6807, 10);
  int argcv_meth_ast_nameString6807[] = {0};
  meth_meth_ast_nameString6807->type = alloc_MethodType(1, argcv_meth_ast_nameString6807);
  meth_meth_ast_nameString6807->definitionModule = modulename;
  meth_meth_ast_nameString6807->definitionLine = 1694;
// method "canonicalName"
  struct UserObject *uo6810 = (struct UserObject*)obj6796;
  uo6810->data[11] = emptyclosure;
  Method *meth_meth_ast_canonicalName6810 = addmethod2pos(obj6796, "canonicalName", &meth_ast_canonicalName6810, 11);
  int argcv_meth_ast_canonicalName6810[] = {0};
  meth_meth_ast_canonicalName6810->type = alloc_MethodType(1, argcv_meth_ast_canonicalName6810);
  meth_meth_ast_canonicalName6810->definitionModule = modulename;
  meth_meth_ast_canonicalName6810->definitionLine = 1695;
// method "quoted"
  struct UserObject *uo6813 = (struct UserObject*)obj6796;
  uo6813->data[12] = emptyclosure;
  Method *meth_meth_ast_quoted6813 = addmethod2pos(obj6796, "quoted", &meth_ast_quoted6813, 12);
  int argcv_meth_ast_quoted6813[] = {0};
  meth_meth_ast_quoted6813->type = alloc_MethodType(1, argcv_meth_ast_quoted6813);
  meth_meth_ast_quoted6813->definitionModule = modulename;
  meth_meth_ast_quoted6813->definitionLine = 1696;
// method "isIdentifier"
  struct UserObject *uo6818 = (struct UserObject*)obj6796;
  uo6818->data[13] = emptyclosure;
  Method *meth_meth_ast_isIdentifier6818 = addmethod2pos(obj6796, "isIdentifier", &meth_ast_isIdentifier6818, 13);
  int argcv_meth_ast_isIdentifier6818[] = {0};
  meth_meth_ast_isIdentifier6818->type = alloc_MethodType(1, argcv_meth_ast_isIdentifier6818);
  meth_meth_ast_isIdentifier6818->definitionModule = modulename;
  meth_meth_ast_isIdentifier6818->definitionLine = 1697;
// method "isSelf"
  struct UserObject *uo6820 = (struct UserObject*)obj6796;
  uo6820->data[14] = emptyclosure;
  Method *meth_meth_ast_isSelf6820 = addmethod2pos(obj6796, "isSelf", &meth_ast_isSelf6820, 14);
  int argcv_meth_ast_isSelf6820[] = {0};
  meth_meth_ast_isSelf6820->type = alloc_MethodType(1, argcv_meth_ast_isSelf6820);
  meth_meth_ast_isSelf6820->definitionModule = modulename;
  meth_meth_ast_isSelf6820->definitionLine = 1699;
// method "isSuper"
  struct UserObject *uo6827 = (struct UserObject*)obj6796;
  uo6827->data[15] = emptyclosure;
  Method *meth_meth_ast_isSuper6827 = addmethod2pos(obj6796, "isSuper", &meth_ast_isSuper6827, 15);
  int argcv_meth_ast_isSuper6827[] = {0};
  meth_meth_ast_isSuper6827->type = alloc_MethodType(1, argcv_meth_ast_isSuper6827);
  meth_meth_ast_isSuper6827->definitionModule = modulename;
  meth_meth_ast_isSuper6827->definitionLine = 1700;
// method "isPrelude"
  struct UserObject *uo6834 = (struct UserObject*)obj6796;
  uo6834->data[16] = emptyclosure;
  Method *meth_meth_ast_isPrelude6834 = addmethod2pos(obj6796, "isPrelude", &meth_ast_isPrelude6834, 16);
  int argcv_meth_ast_isPrelude6834[] = {0};
  meth_meth_ast_isPrelude6834->type = alloc_MethodType(1, argcv_meth_ast_isPrelude6834);
  meth_meth_ast_isPrelude6834->definitionModule = modulename;
  meth_meth_ast_isPrelude6834->definitionLine = 1701;
// method "isOuter"
  struct UserObject *uo6841 = (struct UserObject*)obj6796;
  uo6841->data[17] = emptyclosure;
  Method *meth_meth_ast_isOuter6841 = addmethod2pos(obj6796, "isOuter", &meth_ast_isOuter6841, 17);
  int argcv_meth_ast_isOuter6841[] = {0};
  meth_meth_ast_isOuter6841->type = alloc_MethodType(1, argcv_meth_ast_isOuter6841);
  meth_meth_ast_isOuter6841->definitionModule = modulename;
  meth_meth_ast_isOuter6841->definitionLine = 1702;
// method "isAppliedOccurenceOfIdentifier"
  struct UserObject *uo6848 = (struct UserObject*)obj6796;
  uo6848->data[18] = emptyclosure;
  Method *meth_meth_ast_isAppliedOccurenceOfIdentifier6848 = addmethod2pos(obj6796, "isAppliedOccurenceOfIdentifier", &meth_ast_isAppliedOccurenceOfIdentifier6848, 18);
  int argcv_meth_ast_isAppliedOccurenceOfIdentifier6848[] = {0};
  meth_meth_ast_isAppliedOccurenceOfIdentifier6848->type = alloc_MethodType(1, argcv_meth_ast_isAppliedOccurenceOfIdentifier6848);
  meth_meth_ast_isAppliedOccurenceOfIdentifier6848->definitionModule = modulename;
  meth_meth_ast_isAppliedOccurenceOfIdentifier6848->definitionLine = 1704;
// method "declarationKindWithAncestors(_)"
  struct UserObject *uo6857 = (struct UserObject*)obj6796;
  uo6857->data[19] = emptyclosure;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_6857 = addmethod2pos(obj6796, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_6857, 19);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_6857[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6857->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_6857);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6857->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_6857->definitionLine = 1711;
// method "inTypePositionWithAncestors(_)"
  struct UserObject *uo6862 = (struct UserObject*)obj6796;
  uo6862->data[20] = emptyclosure;
  Method *meth_meth_ast_inTypePositionWithAncestors_40_1_41_6862 = addmethod2pos(obj6796, "inTypePositionWithAncestors(1)", &meth_ast_inTypePositionWithAncestors_40_1_41_6862, 20);
  int argcv_meth_ast_inTypePositionWithAncestors_40_1_41_6862[] = {1};
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6862->type = alloc_MethodType(1, argcv_meth_ast_inTypePositionWithAncestors_40_1_41_6862);
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6862->definitionModule = modulename;
  meth_meth_ast_inTypePositionWithAncestors_40_1_41_6862->definitionLine = 1714;
// method "usesAsType(_)"
  struct UserObject *uo6871 = (struct UserObject*)obj6796;
  uo6871->data[21] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_6871 = addmethod2pos(obj6796, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_6871, 21);
  int argcv_meth_ast_usesAsType_40_1_41_6871[] = {1};
  meth_meth_ast_usesAsType_40_1_41_6871->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_6871);
  meth_meth_ast_usesAsType_40_1_41_6871->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_6871->definitionLine = 1721;
// method "accept(_)from(_)"
  struct UserObject *uo6877 = (struct UserObject*)obj6796;
  uo6877->data[22] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_6877 = addmethod2pos(obj6796, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_6877, 22);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_6877[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_6877->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_6877);
  meth_meth_ast_accept_40_1_41_from_40_1_41_6877->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_6877->definitionLine = 1724;
// method "map(_)ancestors(_)"
  struct UserObject *uo6894 = (struct UserObject*)obj6796;
  uo6894->data[23] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_6894 = addmethod2pos(obj6796, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_6894, 23);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6894[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6894->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_6894);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6894->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_6894->definitionLine = 1732;
// method "pretty(_)"
  struct UserObject *uo6911 = (struct UserObject*)obj6796;
  uo6911->data[24] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_6911 = addmethod2pos(obj6796, "pretty(1)", &meth_ast_pretty_40_1_41_6911, 24);
  int argcv_meth_ast_pretty_40_1_41_6911[] = {1};
  meth_meth_ast_pretty_40_1_41_6911->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_6911);
  meth_meth_ast_pretty_40_1_41_6911->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_6911->definitionLine = 1738;
// method "toGrace(_)"
  struct UserObject *uo7046 = (struct UserObject*)obj6796;
  uo7046->data[25] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7046 = addmethod2pos(obj6796, "toGrace(1)", &meth_ast_toGrace_40_1_41_7046, 25);
  int argcv_meth_ast_toGrace_40_1_41_7046[] = {1};
  meth_meth_ast_toGrace_40_1_41_7046->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7046);
meth_meth_ast_toGrace_40_1_41_7046->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7046->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7046->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7046->definitionLine = 1763;
// method "asString"
  struct UserObject *uo7139 = (struct UserObject*)obj6796;
  uo7139->data[26] = emptyclosure;
  Method *meth_meth_ast_asString7139 = addmethod2pos(obj6796, "asString", &meth_ast_asString7139, 26);
  int argcv_meth_ast_asString7139[] = {0};
  meth_meth_ast_asString7139->type = alloc_MethodType(1, argcv_meth_ast_asString7139);
  meth_meth_ast_asString7139->definitionModule = modulename;
  meth_meth_ast_asString7139->definitionLine = 1783;
// method "shallowCopy"
  block_savedest(obj6796);
  Object closure7163 = createclosure(1, "shallowCopy");
  setclosureframe(closure7163, stackframe);
  addtoclosure(closure7163, var_identifierNode);
  struct UserObject *uo7163 = (struct UserObject*)obj6796;
  uo7163->data[27] = (Object)closure7163;
  Method *meth_meth_ast_shallowCopy7163 = addmethod2pos(obj6796, "shallowCopy", &meth_ast_shallowCopy7163, 27);
  int argcv_meth_ast_shallowCopy7163[] = {0};
  meth_meth_ast_shallowCopy7163->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7163);
  meth_meth_ast_shallowCopy7163->definitionModule = modulename;
  meth_meth_ast_shallowCopy7163->definitionLine = 1790;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo7171 = (struct UserObject*)obj6796;
  uo7171->data[28] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_7171 = addmethod2pos(obj6796, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_7171, 28);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_7171[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_7171->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_7171);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_7171->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_7171->definitionLine = 1793;
// method "statementName"
  struct UserObject *uo7194 = (struct UserObject*)obj6796;
  uo7194->data[29] = emptyclosure;
  Method *meth_meth_ast_statementName7194 = addmethod2pos(obj6796, "statementName", &meth_ast_statementName7194, 29);
  int argcv_meth_ast_statementName7194[] = {0};
  meth_meth_ast_statementName7194->type = alloc_MethodType(1, argcv_meth_ast_statementName7194);
  meth_meth_ast_statementName7194->definitionModule = modulename;
  meth_meth_ast_statementName7194->definitionLine = 1802;
  sourceObject = obj6796;
// Begin line 1683
  setline(1683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7196 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7197 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7198 = gc_frame_new();
// call case 3: self.outer request
  Object call7199 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7198);
// compiled member node returning call7199 (depth = 5)
  Object call7200 = callmethodflags(call7199, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7197);
// compiled member node returning call7200 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7201 = callmethodflags(call7200, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7196);
// compiled call node returning call7201 (depth = 3)
  struct UserObject *obj6796_uo = (struct UserObject *)obj6796;
  obj6796_uo->super = call7201;
  sourceObject = obj6796;
// Begin line 1684
  setline(1684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7202 == NULL) {
    strlit7202 = alloc_String("identifier");
    gc_root(strlit7202);
  }
// compiled string node returning strlit7202 (depth = 3)
  adddatum2(obj6796, strlit7202, 1);
  sourceObject = obj6796;
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name (depth = 3)
  adddatum2(obj6796, *var_name, 2);
  sourceObject = obj6796;
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7203 = alloc_Boolean(0);
// compiled identifier node returning bool7203 (depth = 3)
  adddatum2(obj6796, bool7203, 3);
  sourceObject = obj6796;
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj6796, *var_dtype_39_, 4);
  sourceObject = obj6796;
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7204 = alloc_Boolean(0);
// compiled identifier node returning bool7204 (depth = 3)
  adddatum2(obj6796, bool7204, 5);
  sourceObject = obj6796;
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7205 = alloc_Boolean(0);
// compiled identifier node returning bool7205 (depth = 3)
  adddatum2(obj6796, bool7205, 6);
  sourceObject = obj6796;
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7206 = alloc_Boolean(0);
// compiled identifier node returning bool7206 (depth = 3)
  adddatum2(obj6796, bool7206, 7);
  sourceObject = obj6796;
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7207 = alloc_Boolean(0);
// compiled identifier node returning bool7207 (depth = 3)
  adddatum2(obj6796, bool7207, 8);
  sourceObject = obj6796;
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7208 = alloc_Boolean(0);
// compiled identifier node returning bool7208 (depth = 3)
  adddatum2(obj6796, bool7208, 9);
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  sourceObject = obj6796;
  objclass6796 = obj6796->class;
  objclass6796->definitionModule = modulename;
  objclass6796->definitionLine = 1682;
  (*(struct UserObject *)self).data[0] = lowerouter6796;
  self = oldself6796;
  selfslot = oldselfslot6796;
  stackframe = oldstackframe6796;
  gc_frame_end(frame);
  return obj6796;
}
Object meth_ast_identifierNode7210(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifierNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  gc_frame_end(frame);
  return *var_identifierNode;
}
Object meth_ast_typeType7215(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_typeType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeType (depth = 3)
  gc_frame_end(frame);
  return *var_typeType;
}
Object meth_ast_unknownType7219(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "unknownType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_unknownType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_unknownType (depth = 3)
  gc_frame_end(frame);
  return *var_unknownType;
}
Object meth_ast_new_40_1_41_scope_40_1_41_7222(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 1811
  setline(1811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7223 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_v (depth = 5)
  gc_frame_newslot(*var_v);
// call case 4: self request
  params[0] = *var_v;
  partcv[0] = 1;
  Object call7224 = callmethodflags(self, "new(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7223);
// compiled call node returning call7224 (depth = 4)
  *var_result = call7224;
  if (call7224 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1812
  setline(1812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7225 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call7226 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7225);
// compiled call node returning call7226 (depth = 3)
// Begin line 1813
  setline(1813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7232(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7233 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7234 = callmethodflags(*var_visitor, "visitString(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7233);
// compiled call node returning call7234 (depth = 3)
  gc_frame_end(frame);
  return call7234;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7235(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1824
  setline(1824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7236 = gc_frame_new();
// call case 4: self request
  Object call7237 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7236);
// compiled member node returning call7237 (depth = 4)
  *var_n = call7237;
  if (call7237 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7238 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7239 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7238);
// compiled call node returning call7239 (depth = 4)
  *var_newChain = call7239;
  if (call7239 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7240 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7241 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7240);
// compiled call node returning call7241 (depth = 3)
  gc_frame_end(frame);
  return call7241;
}
Object meth_ast_pretty_40_1_41_7242(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1829
  setline(1829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7244 == NULL) {
    strlit7244 = alloc_String(")");
    gc_root(strlit7244);
  }
// compiled string node returning strlit7244 (depth = 4)
  int op_slot_right_7243 = gc_frame_newslot(strlit7244);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7247 = gc_frame_new();
// call case 4: self request
  Object call7248 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7247);
// compiled member node returning call7248 (depth = 5)
  int op_slot_right_7246 = gc_frame_newslot(call7248);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7251 == NULL) {
    strlit7251 = alloc_String("(");
    gc_root(strlit7251);
  }
// compiled string node returning strlit7251 (depth = 6)
  int op_slot_right_7250 = gc_frame_newslot(strlit7251);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7254 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7255 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7254);
// compiled call node returning call7255 (depth = 7)
  int op_slot_right_7253 = gc_frame_newslot(call7255);
// starting to compile string node (depth = 7)
  if (strlit7257 == NULL) {
    strlit7257 = alloc_String("");
    gc_root(strlit7257);
  }
// compiled string node returning strlit7257 (depth = 7)
  int op_slot_left_7253 = gc_frame_newslot(strlit7257);
  params[0] = call7255;
  partcv[0] = 1;
  Object opresult7258 = callmethod(strlit7257, "++(1)", 1, partcv, params);
// compiled op node returning opresult7258 (depth = 6)
  int op_slot_left_7250 = gc_frame_newslot(opresult7258);
  params[0] = strlit7251;
  partcv[0] = 1;
  Object opresult7259 = callmethod(opresult7258, "++(1)", 1, partcv, params);
// compiled op node returning opresult7259 (depth = 5)
  int op_slot_left_7246 = gc_frame_newslot(opresult7259);
  params[0] = call7248;
  partcv[0] = 1;
  Object opresult7260 = callmethod(opresult7259, "++(1)", 1, partcv, params);
// compiled op node returning opresult7260 (depth = 4)
  int op_slot_left_7243 = gc_frame_newslot(opresult7260);
  params[0] = strlit7244;
  partcv[0] = 1;
  Object opresult7261 = callmethod(opresult7260, "++(1)", 1, partcv, params);
// compiled op node returning opresult7261 (depth = 3)
  gc_frame_end(frame);
  return opresult7261;
}
Object meth_ast_toGrace_40_1_41_7262(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_q = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "q");
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7263 == NULL) {
    strlit7263 = alloc_String("""\x22""");
    gc_root(strlit7263);
  }
// compiled string node returning strlit7263 (depth = 4)
  *var_q = strlit7263;
  if (strlit7263 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1833
  setline(1833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_q (depth = 4)
  int op_slot_right_7264 = gc_frame_newslot(*var_q);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7267 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7268 = gc_frame_new();
// call case 4: self request
  Object call7269 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7268);
// compiled member node returning call7269 (depth = 6)
  Object call7270 = callmethodflags(call7269, "quoted", 0, partcv, params, 0);
  gc_frame_end(callframe7267);
// compiled member node returning call7270 (depth = 5)
  int op_slot_right_7266 = gc_frame_newslot(call7270);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_q (depth = 5)
  int op_slot_left_7266 = gc_frame_newslot(*var_q);
  params[0] = call7270;
  partcv[0] = 1;
  Object opresult7272 = callmethod(*var_q, "++(1)", 1, partcv, params);
// compiled op node returning opresult7272 (depth = 4)
  int op_slot_left_7264 = gc_frame_newslot(opresult7272);
  params[0] = *var_q;
  partcv[0] = 1;
  Object opresult7273 = callmethod(opresult7272, "++(1)", 1, partcv, params);
// compiled op node returning opresult7273 (depth = 3)
  gc_frame_end(frame);
  return opresult7273;
}
Object meth_ast_asString7274(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7276 == NULL) {
    strlit7276 = alloc_String("");
    gc_root(strlit7276);
  }
// compiled string node returning strlit7276 (depth = 4)
  int op_slot_right_7275 = gc_frame_newslot(strlit7276);
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7279 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num7280 = alloc_Float64(0);
// compiled num node returning num7280 (depth = 6)
  gc_frame_newslot(num7280);
// call case 4: self request
  params[0] = num7280;
  partcv[0] = 1;
  Object call7281 = callmethodflags(self, "toGrace(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7279);
// compiled call node returning call7281 (depth = 5)
  int op_slot_right_7278 = gc_frame_newslot(call7281);
// starting to compile string node (depth = 5)
  if (strlit7283 == NULL) {
    strlit7283 = alloc_String("string ");
    gc_root(strlit7283);
  }
// compiled string node returning strlit7283 (depth = 5)
  int op_slot_left_7278 = gc_frame_newslot(strlit7283);
  params[0] = call7281;
  partcv[0] = 1;
  Object opresult7284 = callmethod(strlit7283, "++(1)", 1, partcv, params);
// compiled op node returning opresult7284 (depth = 4)
  int op_slot_left_7275 = gc_frame_newslot(opresult7284);
  params[0] = strlit7276;
  partcv[0] = 1;
  Object opresult7285 = callmethod(opresult7284, "++(1)", 1, partcv, params);
// compiled op node returning opresult7285 (depth = 3)
  gc_frame_end(frame);
  return opresult7285;
}
Object meth_ast_shallowCopy7286(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1837
  setline(1837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7287 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7288 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7289 = gc_frame_new();
// call case 4: self request
  Object call7290 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7289);
// compiled member node returning call7290 (depth = 5)
  gc_frame_newslot(call7290);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_stringNode (depth = 5)
  params[0] = call7290;
  partcv[0] = 1;
  Object call7291 = callmethodflags(*var_stringNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7288);
// compiled call node returning call7291 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7292 = callmethodflags(call7291, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7287);
// compiled call node returning call7292 (depth = 3)
  gc_frame_end(frame);
  return call7292;
}
Object meth_ast_statementName7293(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1839
  setline(1839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7294 == NULL) {
    strlit7294 = alloc_String("expression");
    gc_root(strlit7294);
  }
// compiled string node returning strlit7294 (depth = 3)
  gc_frame_end(frame);
  return strlit7294;
}
Object meth_ast_isDelimited7295(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7296 = alloc_Boolean(1);
// compiled identifier node returning bool7296 (depth = 3)
  gc_frame_end(frame);
  return bool7296;
}
Object meth_ast_new_40_1_41_7227(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7228 = alloc_userobj2(11,11, objclass7228);
  gc_frame_newslot(obj7228);
if (objclass7228 == NULL) {
  glfree(obj7228->class->name);
  obj7228->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7228, self, 0);
  addmethodreal(obj7228,"outer", &reader_ast_outer_7229);
  Object oldself7228 = self;
  struct StackFrameObject *oldstackframe7228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7228);
  gc_frame_newslot((Object)stackframe);
  self = obj7228;
  Object *oldselfslot7228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7228 = (*(struct UserObject *)self).data[0], lowerouter7228 = thisouter7228;
  if (inheritingObject7228) {
    struct UserObject *inho7228 = (struct UserObject *)inheritingObject7228;
    while (inho7228->super != GraceDefaultObject) inho7228 = (struct UserObject *)inho7228->super;
    inho7228->super = obj7228;
    self = inheritingObject7228;
    *selfslot = self;
    lowerouter7228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7228;
  }
if (objclass7228 == NULL) {
  Method *reader7230 = addmethodrealflags(obj7228, "kind",&reader_ast_kind_7230, MFLAG_DEF);
  reader7230->definitionModule = modulename;
  reader7230->definitionLine = 1818;
}
adddatum2(obj7228, alloc_Undefined(), 1);
if (objclass7228 == NULL) {
  Method *reader7231 = addmethodrealflags(obj7228, "value", &reader_ast_value_7231, 0);
  Method *writer7231 = addmethodrealflags(obj7228, "value:=(1)", &writer_ast_value_7231, 0);
  reader7231->definitionModule = modulename;
  writer7231->definitionModule = modulename;
  reader7231->definitionLine = 1819;
  writer7231->definitionLine = 1819;
}
obj7228->flags |= OFLAG_MUTABLE;
adddatum2(obj7228, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7232 = (struct UserObject*)obj7228;
  uo7232->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7232 = addmethod2pos(obj7228, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7232, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7232[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7232->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7232);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7232->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7232->definitionLine = 1820;
// method "map(_)ancestors(_)"
  struct UserObject *uo7235 = (struct UserObject*)obj7228;
  uo7235->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7235 = addmethod2pos(obj7228, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7235, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7235[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7235->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7235);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7235->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7235->definitionLine = 1823;
// method "pretty(_)"
  struct UserObject *uo7242 = (struct UserObject*)obj7228;
  uo7242->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7242 = addmethod2pos(obj7228, "pretty(1)", &meth_ast_pretty_40_1_41_7242, 5);
  int argcv_meth_ast_pretty_40_1_41_7242[] = {1};
  meth_meth_ast_pretty_40_1_41_7242->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7242);
  meth_meth_ast_pretty_40_1_41_7242->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7242->definitionLine = 1828;
// method "toGrace(_)"
  struct UserObject *uo7262 = (struct UserObject*)obj7228;
  uo7262->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7262 = addmethod2pos(obj7228, "toGrace(1)", &meth_ast_toGrace_40_1_41_7262, 6);
  int argcv_meth_ast_toGrace_40_1_41_7262[] = {1};
  meth_meth_ast_toGrace_40_1_41_7262->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7262);
meth_meth_ast_toGrace_40_1_41_7262->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7262->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7262->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7262->definitionLine = 1831;
// method "asString"
  struct UserObject *uo7274 = (struct UserObject*)obj7228;
  uo7274->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7274 = addmethod2pos(obj7228, "asString", &meth_ast_asString7274, 7);
  int argcv_meth_ast_asString7274[] = {0};
  meth_meth_ast_asString7274->type = alloc_MethodType(1, argcv_meth_ast_asString7274);
  meth_meth_ast_asString7274->definitionModule = modulename;
  meth_meth_ast_asString7274->definitionLine = 1835;
// method "shallowCopy"
  block_savedest(obj7228);
  Object closure7286 = createclosure(1, "shallowCopy");
  setclosureframe(closure7286, stackframe);
  addtoclosure(closure7286, var_stringNode);
  struct UserObject *uo7286 = (struct UserObject*)obj7228;
  uo7286->data[8] = (Object)closure7286;
  Method *meth_meth_ast_shallowCopy7286 = addmethod2pos(obj7228, "shallowCopy", &meth_ast_shallowCopy7286, 8);
  int argcv_meth_ast_shallowCopy7286[] = {0};
  meth_meth_ast_shallowCopy7286->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7286);
  meth_meth_ast_shallowCopy7286->definitionModule = modulename;
  meth_meth_ast_shallowCopy7286->definitionLine = 1836;
// method "statementName"
  struct UserObject *uo7293 = (struct UserObject*)obj7228;
  uo7293->data[9] = emptyclosure;
  Method *meth_meth_ast_statementName7293 = addmethod2pos(obj7228, "statementName", &meth_ast_statementName7293, 9);
  int argcv_meth_ast_statementName7293[] = {0};
  meth_meth_ast_statementName7293->type = alloc_MethodType(1, argcv_meth_ast_statementName7293);
  meth_meth_ast_statementName7293->definitionModule = modulename;
  meth_meth_ast_statementName7293->definitionLine = 1839;
// method "isDelimited"
  struct UserObject *uo7295 = (struct UserObject*)obj7228;
  uo7295->data[10] = emptyclosure;
  Method *meth_meth_ast_isDelimited7295 = addmethod2pos(obj7228, "isDelimited", &meth_ast_isDelimited7295, 10);
  int argcv_meth_ast_isDelimited7295[] = {0};
  meth_meth_ast_isDelimited7295->type = alloc_MethodType(1, argcv_meth_ast_isDelimited7295);
  meth_meth_ast_isDelimited7295->definitionModule = modulename;
  meth_meth_ast_isDelimited7295->definitionLine = 1840;
  sourceObject = obj7228;
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7297 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7298 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7299 = gc_frame_new();
// call case 3: self.outer request
  Object call7300 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7299);
// compiled member node returning call7300 (depth = 5)
  Object call7301 = callmethodflags(call7300, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7298);
// compiled member node returning call7301 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7302 = callmethodflags(call7301, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7297);
// compiled call node returning call7302 (depth = 3)
  struct UserObject *obj7228_uo = (struct UserObject *)obj7228;
  obj7228_uo->super = call7302;
  sourceObject = obj7228;
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7303 == NULL) {
    strlit7303 = alloc_String("string");
    gc_root(strlit7303);
  }
// compiled string node returning strlit7303 (depth = 3)
  adddatum2(obj7228, strlit7303, 1);
  sourceObject = obj7228;
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  adddatum2(obj7228, *var_v, 2);
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  objclass7228 = obj7228->class;
  objclass7228->definitionModule = modulename;
  objclass7228->definitionLine = 1816;
  (*(struct UserObject *)self).data[0] = lowerouter7228;
  self = oldself7228;
  selfslot = oldselfslot7228;
  stackframe = oldstackframe7228;
  gc_frame_end(frame);
  return obj7228;
}
Object meth_ast_new_40_1_41_7227_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7228 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7228 = alloc_userobj2(11,11, objclass7228);
  gc_frame_newslot(obj7228);
if (objclass7228 == NULL) {
  glfree(obj7228->class->name);
  obj7228->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7228, self, 0);
  addmethodreal(obj7228,"outer", &reader_ast_outer_7229);
  Object oldself7228 = self;
  struct StackFrameObject *oldstackframe7228 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7228);
  gc_frame_newslot((Object)stackframe);
  self = obj7228;
  Object *oldselfslot7228 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7228 = (*(struct UserObject *)self).data[0], lowerouter7228 = thisouter7228;
  if (inheritingObject7228) {
    struct UserObject *inho7228 = (struct UserObject *)inheritingObject7228;
    while (inho7228->super != GraceDefaultObject) inho7228 = (struct UserObject *)inho7228->super;
    inho7228->super = obj7228;
    self = inheritingObject7228;
    *selfslot = self;
    lowerouter7228 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7228;
  }
if (objclass7228 == NULL) {
  Method *reader7230 = addmethodrealflags(obj7228, "kind",&reader_ast_kind_7230, MFLAG_DEF);
  reader7230->definitionModule = modulename;
  reader7230->definitionLine = 1818;
}
adddatum2(obj7228, alloc_Undefined(), 1);
if (objclass7228 == NULL) {
  Method *reader7231 = addmethodrealflags(obj7228, "value", &reader_ast_value_7231, 0);
  Method *writer7231 = addmethodrealflags(obj7228, "value:=(1)", &writer_ast_value_7231, 0);
  reader7231->definitionModule = modulename;
  writer7231->definitionModule = modulename;
  reader7231->definitionLine = 1819;
  writer7231->definitionLine = 1819;
}
obj7228->flags |= OFLAG_MUTABLE;
adddatum2(obj7228, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7232 = (struct UserObject*)obj7228;
  uo7232->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7232 = addmethod2pos(obj7228, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7232, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7232[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7232->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7232);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7232->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7232->definitionLine = 1820;
// method "map(_)ancestors(_)"
  struct UserObject *uo7235 = (struct UserObject*)obj7228;
  uo7235->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7235 = addmethod2pos(obj7228, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7235, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7235[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7235->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7235);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7235->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7235->definitionLine = 1823;
// method "pretty(_)"
  struct UserObject *uo7242 = (struct UserObject*)obj7228;
  uo7242->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7242 = addmethod2pos(obj7228, "pretty(1)", &meth_ast_pretty_40_1_41_7242, 5);
  int argcv_meth_ast_pretty_40_1_41_7242[] = {1};
  meth_meth_ast_pretty_40_1_41_7242->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7242);
  meth_meth_ast_pretty_40_1_41_7242->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7242->definitionLine = 1828;
// method "toGrace(_)"
  struct UserObject *uo7262 = (struct UserObject*)obj7228;
  uo7262->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7262 = addmethod2pos(obj7228, "toGrace(1)", &meth_ast_toGrace_40_1_41_7262, 6);
  int argcv_meth_ast_toGrace_40_1_41_7262[] = {1};
  meth_meth_ast_toGrace_40_1_41_7262->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7262);
meth_meth_ast_toGrace_40_1_41_7262->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7262->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7262->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7262->definitionLine = 1831;
// method "asString"
  struct UserObject *uo7274 = (struct UserObject*)obj7228;
  uo7274->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7274 = addmethod2pos(obj7228, "asString", &meth_ast_asString7274, 7);
  int argcv_meth_ast_asString7274[] = {0};
  meth_meth_ast_asString7274->type = alloc_MethodType(1, argcv_meth_ast_asString7274);
  meth_meth_ast_asString7274->definitionModule = modulename;
  meth_meth_ast_asString7274->definitionLine = 1835;
// method "shallowCopy"
  block_savedest(obj7228);
  Object closure7286 = createclosure(1, "shallowCopy");
  setclosureframe(closure7286, stackframe);
  addtoclosure(closure7286, var_stringNode);
  struct UserObject *uo7286 = (struct UserObject*)obj7228;
  uo7286->data[8] = (Object)closure7286;
  Method *meth_meth_ast_shallowCopy7286 = addmethod2pos(obj7228, "shallowCopy", &meth_ast_shallowCopy7286, 8);
  int argcv_meth_ast_shallowCopy7286[] = {0};
  meth_meth_ast_shallowCopy7286->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7286);
  meth_meth_ast_shallowCopy7286->definitionModule = modulename;
  meth_meth_ast_shallowCopy7286->definitionLine = 1836;
// method "statementName"
  struct UserObject *uo7293 = (struct UserObject*)obj7228;
  uo7293->data[9] = emptyclosure;
  Method *meth_meth_ast_statementName7293 = addmethod2pos(obj7228, "statementName", &meth_ast_statementName7293, 9);
  int argcv_meth_ast_statementName7293[] = {0};
  meth_meth_ast_statementName7293->type = alloc_MethodType(1, argcv_meth_ast_statementName7293);
  meth_meth_ast_statementName7293->definitionModule = modulename;
  meth_meth_ast_statementName7293->definitionLine = 1839;
// method "isDelimited"
  struct UserObject *uo7295 = (struct UserObject*)obj7228;
  uo7295->data[10] = emptyclosure;
  Method *meth_meth_ast_isDelimited7295 = addmethod2pos(obj7228, "isDelimited", &meth_ast_isDelimited7295, 10);
  int argcv_meth_ast_isDelimited7295[] = {0};
  meth_meth_ast_isDelimited7295->type = alloc_MethodType(1, argcv_meth_ast_isDelimited7295);
  meth_meth_ast_isDelimited7295->definitionModule = modulename;
  meth_meth_ast_isDelimited7295->definitionLine = 1840;
  sourceObject = obj7228;
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7297 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7298 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7299 = gc_frame_new();
// call case 3: self.outer request
  Object call7300 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7299);
// compiled member node returning call7300 (depth = 5)
  Object call7301 = callmethodflags(call7300, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7298);
// compiled member node returning call7301 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7302 = callmethodflags(call7301, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7297);
// compiled call node returning call7302 (depth = 3)
  struct UserObject *obj7228_uo = (struct UserObject *)obj7228;
  obj7228_uo->super = call7302;
  sourceObject = obj7228;
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7303 == NULL) {
    strlit7303 = alloc_String("string");
    gc_root(strlit7303);
  }
// compiled string node returning strlit7303 (depth = 3)
  adddatum2(obj7228, strlit7303, 1);
  sourceObject = obj7228;
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  adddatum2(obj7228, *var_v, 2);
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  sourceObject = obj7228;
  objclass7228 = obj7228->class;
  objclass7228->definitionModule = modulename;
  objclass7228->definitionLine = 1816;
  (*(struct UserObject *)self).data[0] = lowerouter7228;
  self = oldself7228;
  selfslot = oldselfslot7228;
  stackframe = oldstackframe7228;
  gc_frame_end(frame);
  return obj7228;
}
Object meth_ast_stringNode7305(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "stringNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_stringNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_stringNode (depth = 3)
  gc_frame_end(frame);
  return *var_stringNode;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7313(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1849
  setline(1849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7314 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7315 = callmethodflags(*var_visitor, "visitNum(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7314);
// compiled call node returning call7315 (depth = 3)
  gc_frame_end(frame);
  return call7315;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7316(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7317 = gc_frame_new();
// call case 4: self request
  Object call7318 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7317);
// compiled member node returning call7318 (depth = 4)
  *var_n = call7318;
  if (call7318 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1853
  setline(1853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7319 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7320 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7319);
// compiled call node returning call7320 (depth = 4)
  *var_newChain = call7320;
  if (call7320 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1854
  setline(1854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7321 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7322 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7321);
// compiled call node returning call7322 (depth = 3)
  gc_frame_end(frame);
  return call7322;
}
Object meth_ast_pretty_40_1_41_7323(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7325 == NULL) {
    strlit7325 = alloc_String(")");
    gc_root(strlit7325);
  }
// compiled string node returning strlit7325 (depth = 4)
  int op_slot_right_7324 = gc_frame_newslot(strlit7325);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7328 = gc_frame_new();
// call case 4: self request
  Object call7329 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7328);
// compiled member node returning call7329 (depth = 5)
  int op_slot_right_7327 = gc_frame_newslot(call7329);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7332 == NULL) {
    strlit7332 = alloc_String("(");
    gc_root(strlit7332);
  }
// compiled string node returning strlit7332 (depth = 6)
  int op_slot_right_7331 = gc_frame_newslot(strlit7332);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7335 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7336 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7335);
// compiled call node returning call7336 (depth = 7)
  int op_slot_right_7334 = gc_frame_newslot(call7336);
// starting to compile string node (depth = 7)
  if (strlit7338 == NULL) {
    strlit7338 = alloc_String("");
    gc_root(strlit7338);
  }
// compiled string node returning strlit7338 (depth = 7)
  int op_slot_left_7334 = gc_frame_newslot(strlit7338);
  params[0] = call7336;
  partcv[0] = 1;
  Object opresult7339 = callmethod(strlit7338, "++(1)", 1, partcv, params);
// compiled op node returning opresult7339 (depth = 6)
  int op_slot_left_7331 = gc_frame_newslot(opresult7339);
  params[0] = strlit7332;
  partcv[0] = 1;
  Object opresult7340 = callmethod(opresult7339, "++(1)", 1, partcv, params);
// compiled op node returning opresult7340 (depth = 5)
  int op_slot_left_7327 = gc_frame_newslot(opresult7340);
  params[0] = call7329;
  partcv[0] = 1;
  Object opresult7341 = callmethod(opresult7340, "++(1)", 1, partcv, params);
// compiled op node returning opresult7341 (depth = 4)
  int op_slot_left_7324 = gc_frame_newslot(opresult7341);
  params[0] = strlit7325;
  partcv[0] = 1;
  Object opresult7342 = callmethod(opresult7341, "++(1)", 1, partcv, params);
// compiled op node returning opresult7342 (depth = 3)
  gc_frame_end(frame);
  return opresult7342;
}
Object meth_ast_toGrace_40_1_41_7343(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7344 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7345 = gc_frame_new();
// call case 4: self request
  Object call7346 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7345);
// compiled member node returning call7346 (depth = 4)
  Object call7347 = callmethodflags(call7346, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe7344);
// compiled member node returning call7347 (depth = 3)
  gc_frame_end(frame);
  return call7347;
}
Object meth_ast_asString7348(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7350 == NULL) {
    strlit7350 = alloc_String("");
    gc_root(strlit7350);
  }
// compiled string node returning strlit7350 (depth = 4)
  int op_slot_right_7349 = gc_frame_newslot(strlit7350);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7353 = gc_frame_new();
// call case 4: self request
  Object call7354 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7353);
// compiled member node returning call7354 (depth = 5)
  int op_slot_right_7352 = gc_frame_newslot(call7354);
// starting to compile string node (depth = 5)
  if (strlit7356 == NULL) {
    strlit7356 = alloc_String("num ");
    gc_root(strlit7356);
  }
// compiled string node returning strlit7356 (depth = 5)
  int op_slot_left_7352 = gc_frame_newslot(strlit7356);
  params[0] = call7354;
  partcv[0] = 1;
  Object opresult7357 = callmethod(strlit7356, "++(1)", 1, partcv, params);
// compiled op node returning opresult7357 (depth = 4)
  int op_slot_left_7349 = gc_frame_newslot(opresult7357);
  params[0] = strlit7350;
  partcv[0] = 1;
  Object opresult7358 = callmethod(opresult7357, "++(1)", 1, partcv, params);
// compiled op node returning opresult7358 (depth = 3)
  gc_frame_end(frame);
  return opresult7358;
}
Object meth_ast_shallowCopy7359(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7360 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7361 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7362 = gc_frame_new();
// call case 4: self request
  Object call7363 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7362);
// compiled member node returning call7363 (depth = 5)
  gc_frame_newslot(call7363);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_numNode (depth = 5)
  params[0] = call7363;
  partcv[0] = 1;
  Object call7364 = callmethodflags(*var_numNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7361);
// compiled call node returning call7364 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7365 = callmethodflags(call7364, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7360);
// compiled call node returning call7365 (depth = 3)
  gc_frame_end(frame);
  return call7365;
}
Object meth_ast_statementName7366(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7367 == NULL) {
    strlit7367 = alloc_String("expression");
    gc_root(strlit7367);
  }
// compiled string node returning strlit7367 (depth = 3)
  gc_frame_end(frame);
  return strlit7367;
}
Object meth_ast_isDelimited7368(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDelimited");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1867
  setline(1867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7369 = alloc_Boolean(1);
// compiled identifier node returning bool7369 (depth = 3)
  gc_frame_end(frame);
  return bool7369;
}
Object meth_ast_new_40_1_41_7308(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7309 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7309 = alloc_userobj2(11,11, objclass7309);
  gc_frame_newslot(obj7309);
if (objclass7309 == NULL) {
  glfree(obj7309->class->name);
  obj7309->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7309, self, 0);
  addmethodreal(obj7309,"outer", &reader_ast_outer_7310);
  Object oldself7309 = self;
  struct StackFrameObject *oldstackframe7309 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7309);
  gc_frame_newslot((Object)stackframe);
  self = obj7309;
  Object *oldselfslot7309 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7309 = (*(struct UserObject *)self).data[0], lowerouter7309 = thisouter7309;
  if (inheritingObject7309) {
    struct UserObject *inho7309 = (struct UserObject *)inheritingObject7309;
    while (inho7309->super != GraceDefaultObject) inho7309 = (struct UserObject *)inho7309->super;
    inho7309->super = obj7309;
    self = inheritingObject7309;
    *selfslot = self;
    lowerouter7309 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7309;
  }
if (objclass7309 == NULL) {
  Method *reader7311 = addmethodrealflags(obj7309, "kind",&reader_ast_kind_7311, MFLAG_DEF);
  reader7311->definitionModule = modulename;
  reader7311->definitionLine = 1846;
}
adddatum2(obj7309, alloc_Undefined(), 1);
if (objclass7309 == NULL) {
  Method *reader7312 = addmethodrealflags(obj7309, "value", &reader_ast_value_7312, 0);
  Method *writer7312 = addmethodrealflags(obj7309, "value:=(1)", &writer_ast_value_7312, 0);
  reader7312->definitionModule = modulename;
  writer7312->definitionModule = modulename;
  reader7312->definitionLine = 1847;
  writer7312->definitionLine = 1847;
}
obj7309->flags |= OFLAG_MUTABLE;
adddatum2(obj7309, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7313 = (struct UserObject*)obj7309;
  uo7313->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7313 = addmethod2pos(obj7309, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7313, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7313[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7313->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7313);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7313->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7313->definitionLine = 1848;
// method "map(_)ancestors(_)"
  struct UserObject *uo7316 = (struct UserObject*)obj7309;
  uo7316->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7316 = addmethod2pos(obj7309, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7316, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7316[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7316->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7316);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7316->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7316->definitionLine = 1851;
// method "pretty(_)"
  struct UserObject *uo7323 = (struct UserObject*)obj7309;
  uo7323->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7323 = addmethod2pos(obj7309, "pretty(1)", &meth_ast_pretty_40_1_41_7323, 5);
  int argcv_meth_ast_pretty_40_1_41_7323[] = {1};
  meth_meth_ast_pretty_40_1_41_7323->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7323);
  meth_meth_ast_pretty_40_1_41_7323->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7323->definitionLine = 1856;
// method "toGrace(_)"
  struct UserObject *uo7343 = (struct UserObject*)obj7309;
  uo7343->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7343 = addmethod2pos(obj7309, "toGrace(1)", &meth_ast_toGrace_40_1_41_7343, 6);
  int argcv_meth_ast_toGrace_40_1_41_7343[] = {1};
  meth_meth_ast_toGrace_40_1_41_7343->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7343);
meth_meth_ast_toGrace_40_1_41_7343->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7343->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7343->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7343->definitionLine = 1859;
// method "asString"
  struct UserObject *uo7348 = (struct UserObject*)obj7309;
  uo7348->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7348 = addmethod2pos(obj7309, "asString", &meth_ast_asString7348, 7);
  int argcv_meth_ast_asString7348[] = {0};
  meth_meth_ast_asString7348->type = alloc_MethodType(1, argcv_meth_ast_asString7348);
  meth_meth_ast_asString7348->definitionModule = modulename;
  meth_meth_ast_asString7348->definitionLine = 1862;
// method "shallowCopy"
  block_savedest(obj7309);
  Object closure7359 = createclosure(1, "shallowCopy");
  setclosureframe(closure7359, stackframe);
  addtoclosure(closure7359, var_numNode);
  struct UserObject *uo7359 = (struct UserObject*)obj7309;
  uo7359->data[8] = (Object)closure7359;
  Method *meth_meth_ast_shallowCopy7359 = addmethod2pos(obj7309, "shallowCopy", &meth_ast_shallowCopy7359, 8);
  int argcv_meth_ast_shallowCopy7359[] = {0};
  meth_meth_ast_shallowCopy7359->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7359);
  meth_meth_ast_shallowCopy7359->definitionModule = modulename;
  meth_meth_ast_shallowCopy7359->definitionLine = 1863;
// method "statementName"
  struct UserObject *uo7366 = (struct UserObject*)obj7309;
  uo7366->data[9] = emptyclosure;
  Method *meth_meth_ast_statementName7366 = addmethod2pos(obj7309, "statementName", &meth_ast_statementName7366, 9);
  int argcv_meth_ast_statementName7366[] = {0};
  meth_meth_ast_statementName7366->type = alloc_MethodType(1, argcv_meth_ast_statementName7366);
  meth_meth_ast_statementName7366->definitionModule = modulename;
  meth_meth_ast_statementName7366->definitionLine = 1866;
// method "isDelimited"
  struct UserObject *uo7368 = (struct UserObject*)obj7309;
  uo7368->data[10] = emptyclosure;
  Method *meth_meth_ast_isDelimited7368 = addmethod2pos(obj7309, "isDelimited", &meth_ast_isDelimited7368, 10);
  int argcv_meth_ast_isDelimited7368[] = {0};
  meth_meth_ast_isDelimited7368->type = alloc_MethodType(1, argcv_meth_ast_isDelimited7368);
  meth_meth_ast_isDelimited7368->definitionModule = modulename;
  meth_meth_ast_isDelimited7368->definitionLine = 1867;
  sourceObject = obj7309;
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7370 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7371 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7372 = gc_frame_new();
// call case 3: self.outer request
  Object call7373 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7372);
// compiled member node returning call7373 (depth = 5)
  Object call7374 = callmethodflags(call7373, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7371);
// compiled member node returning call7374 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7375 = callmethodflags(call7374, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7370);
// compiled call node returning call7375 (depth = 3)
  struct UserObject *obj7309_uo = (struct UserObject *)obj7309;
  obj7309_uo->super = call7375;
  sourceObject = obj7309;
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7376 == NULL) {
    strlit7376 = alloc_String("num");
    gc_root(strlit7376);
  }
// compiled string node returning strlit7376 (depth = 3)
  adddatum2(obj7309, strlit7376, 1);
  sourceObject = obj7309;
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7309, *var_val, 2);
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  objclass7309 = obj7309->class;
  objclass7309->definitionModule = modulename;
  objclass7309->definitionLine = 1844;
  (*(struct UserObject *)self).data[0] = lowerouter7309;
  self = oldself7309;
  selfslot = oldselfslot7309;
  stackframe = oldstackframe7309;
  gc_frame_end(frame);
  return obj7309;
}
Object meth_ast_new_40_1_41_7308_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val = &(stackframe->slots[0]);
  *var_val = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7309 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7309 = alloc_userobj2(11,11, objclass7309);
  gc_frame_newslot(obj7309);
if (objclass7309 == NULL) {
  glfree(obj7309->class->name);
  obj7309->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7309, self, 0);
  addmethodreal(obj7309,"outer", &reader_ast_outer_7310);
  Object oldself7309 = self;
  struct StackFrameObject *oldstackframe7309 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7309);
  gc_frame_newslot((Object)stackframe);
  self = obj7309;
  Object *oldselfslot7309 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7309 = (*(struct UserObject *)self).data[0], lowerouter7309 = thisouter7309;
  if (inheritingObject7309) {
    struct UserObject *inho7309 = (struct UserObject *)inheritingObject7309;
    while (inho7309->super != GraceDefaultObject) inho7309 = (struct UserObject *)inho7309->super;
    inho7309->super = obj7309;
    self = inheritingObject7309;
    *selfslot = self;
    lowerouter7309 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7309;
  }
if (objclass7309 == NULL) {
  Method *reader7311 = addmethodrealflags(obj7309, "kind",&reader_ast_kind_7311, MFLAG_DEF);
  reader7311->definitionModule = modulename;
  reader7311->definitionLine = 1846;
}
adddatum2(obj7309, alloc_Undefined(), 1);
if (objclass7309 == NULL) {
  Method *reader7312 = addmethodrealflags(obj7309, "value", &reader_ast_value_7312, 0);
  Method *writer7312 = addmethodrealflags(obj7309, "value:=(1)", &writer_ast_value_7312, 0);
  reader7312->definitionModule = modulename;
  writer7312->definitionModule = modulename;
  reader7312->definitionLine = 1847;
  writer7312->definitionLine = 1847;
}
obj7309->flags |= OFLAG_MUTABLE;
adddatum2(obj7309, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo7313 = (struct UserObject*)obj7309;
  uo7313->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7313 = addmethod2pos(obj7309, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7313, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7313[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7313->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7313);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7313->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7313->definitionLine = 1848;
// method "map(_)ancestors(_)"
  struct UserObject *uo7316 = (struct UserObject*)obj7309;
  uo7316->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7316 = addmethod2pos(obj7309, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7316, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7316[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7316->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7316);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7316->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7316->definitionLine = 1851;
// method "pretty(_)"
  struct UserObject *uo7323 = (struct UserObject*)obj7309;
  uo7323->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7323 = addmethod2pos(obj7309, "pretty(1)", &meth_ast_pretty_40_1_41_7323, 5);
  int argcv_meth_ast_pretty_40_1_41_7323[] = {1};
  meth_meth_ast_pretty_40_1_41_7323->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7323);
  meth_meth_ast_pretty_40_1_41_7323->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7323->definitionLine = 1856;
// method "toGrace(_)"
  struct UserObject *uo7343 = (struct UserObject*)obj7309;
  uo7343->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7343 = addmethod2pos(obj7309, "toGrace(1)", &meth_ast_toGrace_40_1_41_7343, 6);
  int argcv_meth_ast_toGrace_40_1_41_7343[] = {1};
  meth_meth_ast_toGrace_40_1_41_7343->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7343);
meth_meth_ast_toGrace_40_1_41_7343->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7343->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7343->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7343->definitionLine = 1859;
// method "asString"
  struct UserObject *uo7348 = (struct UserObject*)obj7309;
  uo7348->data[7] = emptyclosure;
  Method *meth_meth_ast_asString7348 = addmethod2pos(obj7309, "asString", &meth_ast_asString7348, 7);
  int argcv_meth_ast_asString7348[] = {0};
  meth_meth_ast_asString7348->type = alloc_MethodType(1, argcv_meth_ast_asString7348);
  meth_meth_ast_asString7348->definitionModule = modulename;
  meth_meth_ast_asString7348->definitionLine = 1862;
// method "shallowCopy"
  block_savedest(obj7309);
  Object closure7359 = createclosure(1, "shallowCopy");
  setclosureframe(closure7359, stackframe);
  addtoclosure(closure7359, var_numNode);
  struct UserObject *uo7359 = (struct UserObject*)obj7309;
  uo7359->data[8] = (Object)closure7359;
  Method *meth_meth_ast_shallowCopy7359 = addmethod2pos(obj7309, "shallowCopy", &meth_ast_shallowCopy7359, 8);
  int argcv_meth_ast_shallowCopy7359[] = {0};
  meth_meth_ast_shallowCopy7359->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7359);
  meth_meth_ast_shallowCopy7359->definitionModule = modulename;
  meth_meth_ast_shallowCopy7359->definitionLine = 1863;
// method "statementName"
  struct UserObject *uo7366 = (struct UserObject*)obj7309;
  uo7366->data[9] = emptyclosure;
  Method *meth_meth_ast_statementName7366 = addmethod2pos(obj7309, "statementName", &meth_ast_statementName7366, 9);
  int argcv_meth_ast_statementName7366[] = {0};
  meth_meth_ast_statementName7366->type = alloc_MethodType(1, argcv_meth_ast_statementName7366);
  meth_meth_ast_statementName7366->definitionModule = modulename;
  meth_meth_ast_statementName7366->definitionLine = 1866;
// method "isDelimited"
  struct UserObject *uo7368 = (struct UserObject*)obj7309;
  uo7368->data[10] = emptyclosure;
  Method *meth_meth_ast_isDelimited7368 = addmethod2pos(obj7309, "isDelimited", &meth_ast_isDelimited7368, 10);
  int argcv_meth_ast_isDelimited7368[] = {0};
  meth_meth_ast_isDelimited7368->type = alloc_MethodType(1, argcv_meth_ast_isDelimited7368);
  meth_meth_ast_isDelimited7368->definitionModule = modulename;
  meth_meth_ast_isDelimited7368->definitionLine = 1867;
  sourceObject = obj7309;
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7370 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7371 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7372 = gc_frame_new();
// call case 3: self.outer request
  Object call7373 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7372);
// compiled member node returning call7373 (depth = 5)
  Object call7374 = callmethodflags(call7373, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7371);
// compiled member node returning call7374 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7375 = callmethodflags(call7374, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7370);
// compiled call node returning call7375 (depth = 3)
  struct UserObject *obj7309_uo = (struct UserObject *)obj7309;
  obj7309_uo->super = call7375;
  sourceObject = obj7309;
// Begin line 1846
  setline(1846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7376 == NULL) {
    strlit7376 = alloc_String("num");
    gc_root(strlit7376);
  }
// compiled string node returning strlit7376 (depth = 3)
  adddatum2(obj7309, strlit7376, 1);
  sourceObject = obj7309;
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7309, *var_val, 2);
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  sourceObject = obj7309;
  objclass7309 = obj7309->class;
  objclass7309->definitionModule = modulename;
  objclass7309->definitionLine = 1844;
  (*(struct UserObject *)self).data[0] = lowerouter7309;
  self = oldself7309;
  selfslot = oldselfslot7309;
  stackframe = oldstackframe7309;
  gc_frame_end(frame);
  return obj7309;
}
Object meth_ast_numNode7378(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 38, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "numNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_numNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_numNode (depth = 3)
  gc_frame_end(frame);
  return *var_numNode;
}
Object meth_ast_isSimple7388(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isSimple");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1877
  setline(1877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7389 = alloc_Boolean(0);
// compiled identifier node returning bool7389 (depth = 3)
  gc_frame_end(frame);
  return bool7389;
}
Object meth_ast_nameString7390(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1878
  setline(1878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7392 == NULL) {
    strlit7392 = alloc_String("(1)");
    gc_root(strlit7392);
  }
// compiled string node returning strlit7392 (depth = 4)
  int op_slot_right_7391 = gc_frame_newslot(strlit7392);
// starting to compile member node (depth = 4)
  int callframe7394 = gc_frame_new();
// call case 4: self request
  Object call7395 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7394);
// compiled member node returning call7395 (depth = 4)
  int op_slot_left_7391 = gc_frame_newslot(call7395);
  params[0] = strlit7392;
  partcv[0] = 1;
  Object opresult7396 = callmethod(call7395, "++(1)", 1, partcv, params);
// compiled op node returning opresult7396 (depth = 3)
  gc_frame_end(frame);
  return opresult7396;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7397(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7399 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7400 = callmethodflags(*var_visitor, "visitOp(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7399);
// compiled call node returning call7400 (depth = 4)
  Object if7398 = done;
  if (istrue(call7400)) {
// Begin line 1881
  setline(1881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7401 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7402 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7401);
// compiled call node returning call7402 (depth = 5)
  *var_newChain = call7402;
  if (call7402 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1882
  setline(1882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7403 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7404 = gc_frame_new();
// call case 4: self request
  Object call7405 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7404);
// compiled member node returning call7405 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7406 = callmethodflags(call7405, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7403);
// compiled call node returning call7406 (depth = 4)
// Begin line 1883
  setline(1883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7407 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7408 = gc_frame_new();
// call case 4: self request
  Object call7409 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7408);
// compiled member node returning call7409 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7410 = callmethodflags(call7409, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7407);
// compiled call node returning call7410 (depth = 4)
    gc_frame_newslot(call7410);
    if7398 = call7410;
  } else {
  }
// compiled if node returning if7398 (depth = 3)
  gc_frame_end(frame);
  return if7398;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7411(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7412 = gc_frame_new();
// call case 4: self request
  Object call7413 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7412);
// compiled member node returning call7413 (depth = 4)
  *var_n = call7413;
  if (call7413 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7414 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7415 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7414);
// compiled call node returning call7415 (depth = 4)
  *var_newChain = call7415;
  if (call7415 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7416 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7417 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7418 = gc_frame_new();
// call case 4: self request
  Object call7419 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7418);
// compiled member node returning call7419 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7420 = callmethodflags(call7419, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7417);
// compiled call node returning call7420 (depth = 4)
  gc_frame_newslot(call7420);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7420;
  partcv[0] = 1;
  Object call7421 = callmethodflags(*var_n, "left:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7416);
// compiled call node returning call7421 (depth = 3)
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7422 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7423 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7424 = gc_frame_new();
// call case 4: self request
  Object call7425 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7424);
// compiled member node returning call7425 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7426 = callmethodflags(call7425, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7423);
// compiled call node returning call7426 (depth = 4)
  gc_frame_newslot(call7426);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7426;
  partcv[0] = 1;
  Object call7427 = callmethodflags(*var_n, "right:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7422);
// compiled call node returning call7427 (depth = 3)
// Begin line 1891
  setline(1891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7428 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7429 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7428);
// compiled call node returning call7429 (depth = 3)
  gc_frame_end(frame);
  return call7429;
}
Object meth_ast__apply_40_1_41_7438(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7440 == NULL) {
    strlit7440 = alloc_String("  ");
    gc_root(strlit7440);
  }
// compiled string node returning strlit7440 (depth = 7)
  int op_slot_right_7439 = gc_frame_newslot(strlit7440);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_7439 = gc_frame_newslot(*var_spc);
  params[0] = strlit7440;
  partcv[0] = 1;
  Object opresult7442 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7442 (depth = 6)
  *var_spc = opresult7442;
  if (opresult7442 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_7430(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1894
  setline(1894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7431 == NULL) {
    strlit7431 = alloc_String("");
    gc_root(strlit7431);
  }
// compiled string node returning strlit7431 (depth = 4)
  *var_spc = strlit7431;
  if (strlit7431 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7432 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_7433 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num7435 = alloc_Float64(0);
// compiled num node returning num7435 (depth = 5)
  int op_slot_left_7433 = gc_frame_newslot(num7435);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7436 = callmethod(num7435, "..(1)", 1, partcv, params);
// compiled op node returning opresult7436 (depth = 4)
  gc_frame_newslot(opresult7436);
// starting to compile block node (depth = 4)
  Object block7437 = alloc_Block(NULL, NULL, "ast", 1895);
  gc_frame_newslot(block7437);
// method "_apply(_)"
  block_savedest(block7437);
  Object closure7438 = createclosure(2, "_apply(1)");
  setclosureframe(closure7438, stackframe);
  addtoclosure(closure7438, var_spc);
  addtoclosure(closure7438, selfslot);
  struct UserObject *uo7438 = (struct UserObject*)block7437;
  uo7438->data[0] = (Object)closure7438;
  Method *meth_meth_ast__apply_40_1_41_7438 = addmethod2pos(block7437, "_apply(1)", &meth_ast__apply_40_1_41_7438, 0);
  int argcv_meth_ast__apply_40_1_41_7438[] = {1};
  meth_meth_ast__apply_40_1_41_7438->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7438);
  meth_meth_ast__apply_40_1_41_7438->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7438->definitionLine = 2947;
// compiled block node returning block7437 (depth = 4)
  gc_frame_newslot(block7437);
// call case 5: prelude request
  params[0] = opresult7436;
  params[1] = block7437;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7445 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7432);
// compiled call node returning call7445 (depth = 3)
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7447 == NULL) {
    strlit7447 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit7447);
  }
// compiled string node returning strlit7447 (depth = 5)
  int op_slot_right_7446 = gc_frame_newslot(strlit7447);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7450 = gc_frame_new();
// call case 4: self request
  Object call7451 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7450);
// compiled member node returning call7451 (depth = 6)
  int op_slot_right_7449 = gc_frame_newslot(call7451);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7454 == NULL) {
    strlit7454 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit7454);
  }
// compiled string node returning strlit7454 (depth = 7)
  int op_slot_right_7453 = gc_frame_newslot(strlit7454);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe7457 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7458 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7457);
// compiled call node returning call7458 (depth = 8)
  int op_slot_right_7456 = gc_frame_newslot(call7458);
// starting to compile string node (depth = 8)
  if (strlit7460 == NULL) {
    strlit7460 = alloc_String("");
    gc_root(strlit7460);
  }
// compiled string node returning strlit7460 (depth = 8)
  int op_slot_left_7456 = gc_frame_newslot(strlit7460);
  params[0] = call7458;
  partcv[0] = 1;
  Object opresult7461 = callmethod(strlit7460, "++(1)", 1, partcv, params);
// compiled op node returning opresult7461 (depth = 7)
  int op_slot_left_7453 = gc_frame_newslot(opresult7461);
  params[0] = strlit7454;
  partcv[0] = 1;
  Object opresult7462 = callmethod(opresult7461, "++(1)", 1, partcv, params);
// compiled op node returning opresult7462 (depth = 6)
  int op_slot_left_7449 = gc_frame_newslot(opresult7462);
  params[0] = call7451;
  partcv[0] = 1;
  Object opresult7463 = callmethod(opresult7462, "++(1)", 1, partcv, params);
// compiled op node returning opresult7463 (depth = 5)
  int op_slot_left_7446 = gc_frame_newslot(opresult7463);
  params[0] = strlit7447;
  partcv[0] = 1;
  Object opresult7464 = callmethod(opresult7463, "++(1)", 1, partcv, params);
// compiled op node returning opresult7464 (depth = 4)
  *var_s = opresult7464;
  if (opresult7464 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7466 == NULL) {
    strlit7466 = alloc_String("""\x0a""");
    gc_root(strlit7466);
  }
// compiled string node returning strlit7466 (depth = 5)
  int op_slot_right_7465 = gc_frame_newslot(strlit7466);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_7465 = gc_frame_newslot(*var_s);
  params[0] = strlit7466;
  partcv[0] = 1;
  Object opresult7468 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7468 (depth = 4)
  *var_s = opresult7468;
  if (opresult7468 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7471 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7473 = alloc_Float64(1);
// compiled num node returning num7473 (depth = 7)
  int op_slot_right_7472 = gc_frame_newslot(num7473);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7472 = gc_frame_newslot(*var_depth);
  params[0] = num7473;
  partcv[0] = 1;
  Object sum7475 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7475 (depth = 6)
  gc_frame_newslot(sum7475);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7476 = gc_frame_new();
// call case 4: self request
  Object call7477 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7476);
// compiled member node returning call7477 (depth = 6)
  params[0] = sum7475;
  partcv[0] = 1;
  Object call7478 = callmethodflags(call7477, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7471);
// compiled call node returning call7478 (depth = 5)
  int op_slot_right_7470 = gc_frame_newslot(call7478);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_7480 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7480 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7482 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7482 (depth = 5)
  int op_slot_left_7470 = gc_frame_newslot(opresult7482);
  params[0] = call7478;
  partcv[0] = 1;
  Object opresult7483 = callmethod(opresult7482, "++(1)", 1, partcv, params);
// compiled op node returning opresult7483 (depth = 4)
  *var_s = opresult7483;
  if (opresult7483 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1901
  setline(1901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7486 == NULL) {
    strlit7486 = alloc_String("""\x0a""");
    gc_root(strlit7486);
  }
// compiled string node returning strlit7486 (depth = 5)
  int op_slot_right_7485 = gc_frame_newslot(strlit7486);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_7485 = gc_frame_newslot(*var_s);
  params[0] = strlit7486;
  partcv[0] = 1;
  Object opresult7488 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7488 (depth = 4)
  *var_s = opresult7488;
  if (opresult7488 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7491 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7493 = alloc_Float64(1);
// compiled num node returning num7493 (depth = 7)
  int op_slot_right_7492 = gc_frame_newslot(num7493);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7492 = gc_frame_newslot(*var_depth);
  params[0] = num7493;
  partcv[0] = 1;
  Object sum7495 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7495 (depth = 6)
  gc_frame_newslot(sum7495);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7496 = gc_frame_new();
// call case 4: self request
  Object call7497 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7496);
// compiled member node returning call7497 (depth = 6)
  params[0] = sum7495;
  partcv[0] = 1;
  Object call7498 = callmethodflags(call7497, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7491);
// compiled call node returning call7498 (depth = 5)
  int op_slot_right_7490 = gc_frame_newslot(call7498);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_7500 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7500 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7502 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7502 (depth = 5)
  int op_slot_left_7490 = gc_frame_newslot(opresult7502);
  params[0] = call7498;
  partcv[0] = 1;
  Object opresult7503 = callmethod(opresult7502, "++(1)", 1, partcv, params);
// compiled op node returning opresult7503 (depth = 4)
  *var_s = opresult7503;
  if (opresult7503 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply7510(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7512 = gc_frame_new();
// call case 4: self request
  Object call7513 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7512);
// compiled member node returning call7513 (depth = 7)
  int op_slot_right_7511 = gc_frame_newslot(call7513);
// starting to compile member node (depth = 7)
  int callframe7515 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7516 = gc_frame_new();
// call case 4: self request
  Object call7517 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7516);
// compiled member node returning call7517 (depth = 8)
  Object call7518 = callmethodflags(call7517, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7515);
// compiled member node returning call7518 (depth = 7)
  int op_slot_left_7511 = gc_frame_newslot(call7518);
  params[0] = call7513;
  partcv[0] = 1;
  Object opresult7519 = callmethod(call7518, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7519 (depth = 6)
  gc_frame_end(frame);
  return opresult7519;
}
Object meth_ast__apply7581(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7583 = gc_frame_new();
// call case 4: self request
  Object call7584 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7583);
// compiled member node returning call7584 (depth = 7)
  int op_slot_right_7582 = gc_frame_newslot(call7584);
// starting to compile member node (depth = 7)
  int callframe7586 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7587 = gc_frame_new();
// call case 4: self request
  Object call7588 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7587);
// compiled member node returning call7588 (depth = 8)
  Object call7589 = callmethodflags(call7588, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7586);
// compiled member node returning call7589 (depth = 7)
  int op_slot_left_7582 = gc_frame_newslot(call7589);
  params[0] = call7584;
  partcv[0] = 1;
  Object opresult7590 = callmethod(call7589, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7590 (depth = 6)
  gc_frame_end(frame);
  return opresult7590;
}
Object meth_ast_toGrace_40_1_41_7505(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7506 == NULL) {
    strlit7506 = alloc_String("");
    gc_root(strlit7506);
  }
// compiled string node returning strlit7506 (depth = 4)
  *var_s = strlit7506;
  if (strlit7506 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1907
  setline(1907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block7509 = alloc_Block(NULL, NULL, "ast", 1907);
  gc_frame_newslot(block7509);
// method "_apply"
  block_savedest(block7509);
  Object closure7510 = createclosure(1, "_apply");
  setclosureframe(closure7510, stackframe);
  addtoclosure(closure7510, selfslot);
  struct UserObject *uo7510 = (struct UserObject*)block7509;
  uo7510->data[0] = (Object)closure7510;
  Method *meth_meth_ast__apply7510 = addmethod2pos(block7509, "_apply", &meth_ast__apply7510, 0);
  int argcv_meth_ast__apply7510[] = {0};
  meth_meth_ast__apply7510->type = alloc_MethodType(1, argcv_meth_ast__apply7510);
  meth_meth_ast__apply7510->definitionModule = modulename;
  meth_meth_ast__apply7510->definitionLine = 2947;
// compiled block node returning block7509 (depth = 5)
  int op_slot_right_7508 = gc_frame_newslot(block7509);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7523 == NULL) {
    strlit7523 = alloc_String("op");
    gc_root(strlit7523);
  }
// compiled string node returning strlit7523 (depth = 6)
  int op_slot_right_7522 = gc_frame_newslot(strlit7523);
// starting to compile member node (depth = 6)
  int callframe7525 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7526 = gc_frame_new();
// call case 4: self request
  Object call7527 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7526);
// compiled member node returning call7527 (depth = 7)
  Object call7528 = callmethodflags(call7527, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7525);
// compiled member node returning call7528 (depth = 6)
  int op_slot_left_7522 = gc_frame_newslot(call7528);
  params[0] = strlit7523;
  partcv[0] = 1;
  Object opresult7529 = callmethod(call7528, "==(1)", 1, partcv, params);
// compiled op node returning opresult7529 (depth = 5)
  int op_slot_left_7508 = gc_frame_newslot(opresult7529);
  params[0] = block7509;
  partcv[0] = 1;
  Object opresult7530 = callmethod(opresult7529, "&&(1)", 1, partcv, params);
// compiled op node returning opresult7530 (depth = 4)
  Object if7507 = done;
  if (istrue(opresult7530)) {
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7532 == NULL) {
    strlit7532 = alloc_String(")");
    gc_root(strlit7532);
  }
// compiled string node returning strlit7532 (depth = 6)
  int op_slot_right_7531 = gc_frame_newslot(strlit7532);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7535 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num7536 = alloc_Float64(0);
// compiled num node returning num7536 (depth = 8)
  gc_frame_newslot(num7536);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7537 = gc_frame_new();
// call case 4: self request
  Object call7538 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7537);
// compiled member node returning call7538 (depth = 8)
  params[0] = num7536;
  partcv[0] = 1;
  Object call7539 = callmethodflags(call7538, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7535);
// compiled call node returning call7539 (depth = 7)
  int op_slot_right_7534 = gc_frame_newslot(call7539);
// starting to compile string node (depth = 7)
  if (strlit7541 == NULL) {
    strlit7541 = alloc_String("(");
    gc_root(strlit7541);
  }
// compiled string node returning strlit7541 (depth = 7)
  int op_slot_left_7534 = gc_frame_newslot(strlit7541);
  params[0] = call7539;
  partcv[0] = 1;
  Object opresult7542 = callmethod(strlit7541, "++(1)", 1, partcv, params);
// compiled op node returning opresult7542 (depth = 6)
  int op_slot_left_7531 = gc_frame_newslot(opresult7542);
  params[0] = strlit7532;
  partcv[0] = 1;
  Object opresult7543 = callmethod(opresult7542, "++(1)", 1, partcv, params);
// compiled op node returning opresult7543 (depth = 5)
  *var_s = opresult7543;
  if (opresult7543 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7507 = done;
  } else {
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7545 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num7546 = alloc_Float64(0);
// compiled num node returning num7546 (depth = 6)
  gc_frame_newslot(num7546);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7547 = gc_frame_new();
// call case 4: self request
  Object call7548 = callmethodflags(self, "left", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7547);
// compiled member node returning call7548 (depth = 6)
  params[0] = num7546;
  partcv[0] = 1;
  Object call7549 = callmethodflags(call7548, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7545);
// compiled call node returning call7549 (depth = 5)
  *var_s = call7549;
  if (call7549 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7507 = done;
  }
// compiled if node returning if7507 (depth = 3)
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7553 == NULL) {
    strlit7553 = alloc_String("..");
    gc_root(strlit7553);
  }
// compiled string node returning strlit7553 (depth = 5)
  int op_slot_right_7552 = gc_frame_newslot(strlit7553);
// starting to compile member node (depth = 5)
  int callframe7555 = gc_frame_new();
// call case 4: self request
  Object call7556 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7555);
// compiled member node returning call7556 (depth = 5)
  int op_slot_left_7552 = gc_frame_newslot(call7556);
  params[0] = strlit7553;
  partcv[0] = 1;
  Object opresult7557 = callmethod(call7556, "==(1)", 1, partcv, params);
// compiled op node returning opresult7557 (depth = 4)
  Object if7551 = done;
  if (istrue(opresult7557)) {
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7559 = gc_frame_new();
// call case 4: self request
  Object call7560 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7559);
// compiled member node returning call7560 (depth = 6)
  int op_slot_right_7558 = gc_frame_newslot(call7560);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7558 = gc_frame_newslot(*var_s);
  params[0] = call7560;
  partcv[0] = 1;
  Object opresult7562 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7562 (depth = 5)
  *var_s = opresult7562;
  if (opresult7562 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7551 = done;
  } else {
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7565 == NULL) {
    strlit7565 = alloc_String(" ");
    gc_root(strlit7565);
  }
// compiled string node returning strlit7565 (depth = 6)
  int op_slot_right_7564 = gc_frame_newslot(strlit7565);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7568 = gc_frame_new();
// call case 4: self request
  Object call7569 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7568);
// compiled member node returning call7569 (depth = 7)
  int op_slot_right_7567 = gc_frame_newslot(call7569);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7572 == NULL) {
    strlit7572 = alloc_String(" ");
    gc_root(strlit7572);
  }
// compiled string node returning strlit7572 (depth = 8)
  int op_slot_right_7571 = gc_frame_newslot(strlit7572);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7571 = gc_frame_newslot(*var_s);
  params[0] = strlit7572;
  partcv[0] = 1;
  Object opresult7574 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7574 (depth = 7)
  int op_slot_left_7567 = gc_frame_newslot(opresult7574);
  params[0] = call7569;
  partcv[0] = 1;
  Object opresult7575 = callmethod(opresult7574, "++(1)", 1, partcv, params);
// compiled op node returning opresult7575 (depth = 6)
  int op_slot_left_7564 = gc_frame_newslot(opresult7575);
  params[0] = strlit7565;
  partcv[0] = 1;
  Object opresult7576 = callmethod(opresult7575, "++(1)", 1, partcv, params);
// compiled op node returning opresult7576 (depth = 5)
  *var_s = opresult7576;
  if (opresult7576 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7551 = done;
  }
// compiled if node returning if7551 (depth = 3)
// Begin line 1917
  setline(1917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block7580 = alloc_Block(NULL, NULL, "ast", 1917);
  gc_frame_newslot(block7580);
// method "_apply"
  block_savedest(block7580);
  Object closure7581 = createclosure(1, "_apply");
  setclosureframe(closure7581, stackframe);
  addtoclosure(closure7581, selfslot);
  struct UserObject *uo7581 = (struct UserObject*)block7580;
  uo7581->data[0] = (Object)closure7581;
  Method *meth_meth_ast__apply7581 = addmethod2pos(block7580, "_apply", &meth_ast__apply7581, 0);
  int argcv_meth_ast__apply7581[] = {0};
  meth_meth_ast__apply7581->type = alloc_MethodType(1, argcv_meth_ast__apply7581);
  meth_meth_ast__apply7581->definitionModule = modulename;
  meth_meth_ast__apply7581->definitionLine = 2947;
// compiled block node returning block7580 (depth = 5)
  int op_slot_right_7579 = gc_frame_newslot(block7580);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7594 == NULL) {
    strlit7594 = alloc_String("op");
    gc_root(strlit7594);
  }
// compiled string node returning strlit7594 (depth = 6)
  int op_slot_right_7593 = gc_frame_newslot(strlit7594);
// starting to compile member node (depth = 6)
  int callframe7596 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7597 = gc_frame_new();
// call case 4: self request
  Object call7598 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7597);
// compiled member node returning call7598 (depth = 7)
  Object call7599 = callmethodflags(call7598, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7596);
// compiled member node returning call7599 (depth = 6)
  int op_slot_left_7593 = gc_frame_newslot(call7599);
  params[0] = strlit7594;
  partcv[0] = 1;
  Object opresult7600 = callmethod(call7599, "==(1)", 1, partcv, params);
// compiled op node returning opresult7600 (depth = 5)
  int op_slot_left_7579 = gc_frame_newslot(opresult7600);
  params[0] = block7580;
  partcv[0] = 1;
  Object opresult7601 = callmethod(opresult7600, "&&(1)", 1, partcv, params);
// compiled op node returning opresult7601 (depth = 4)
  Object if7578 = done;
  if (istrue(opresult7601)) {
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7603 == NULL) {
    strlit7603 = alloc_String(")");
    gc_root(strlit7603);
  }
// compiled string node returning strlit7603 (depth = 6)
  int op_slot_right_7602 = gc_frame_newslot(strlit7603);
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe7606 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num7607 = alloc_Float64(0);
// compiled num node returning num7607 (depth = 8)
  gc_frame_newslot(num7607);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe7608 = gc_frame_new();
// call case 4: self request
  Object call7609 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7608);
// compiled member node returning call7609 (depth = 8)
  params[0] = num7607;
  partcv[0] = 1;
  Object call7610 = callmethodflags(call7609, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7606);
// compiled call node returning call7610 (depth = 7)
  int op_slot_right_7605 = gc_frame_newslot(call7610);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit7613 == NULL) {
    strlit7613 = alloc_String("(");
    gc_root(strlit7613);
  }
// compiled string node returning strlit7613 (depth = 8)
  int op_slot_right_7612 = gc_frame_newslot(strlit7613);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_7612 = gc_frame_newslot(*var_s);
  params[0] = strlit7613;
  partcv[0] = 1;
  Object opresult7615 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7615 (depth = 7)
  int op_slot_left_7605 = gc_frame_newslot(opresult7615);
  params[0] = call7610;
  partcv[0] = 1;
  Object opresult7616 = callmethod(opresult7615, "++(1)", 1, partcv, params);
// compiled op node returning opresult7616 (depth = 6)
  int op_slot_left_7602 = gc_frame_newslot(opresult7616);
  params[0] = strlit7603;
  partcv[0] = 1;
  Object opresult7617 = callmethod(opresult7616, "++(1)", 1, partcv, params);
// compiled op node returning opresult7617 (depth = 5)
  *var_s = opresult7617;
  if (opresult7617 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7578 = done;
  } else {
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe7620 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num7621 = alloc_Float64(0);
// compiled num node returning num7621 (depth = 7)
  gc_frame_newslot(num7621);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7622 = gc_frame_new();
// call case 4: self request
  Object call7623 = callmethodflags(self, "right", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7622);
// compiled member node returning call7623 (depth = 7)
  params[0] = num7621;
  partcv[0] = 1;
  Object call7624 = callmethodflags(call7623, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7620);
// compiled call node returning call7624 (depth = 6)
  int op_slot_right_7619 = gc_frame_newslot(call7624);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7619 = gc_frame_newslot(*var_s);
  params[0] = call7624;
  partcv[0] = 1;
  Object opresult7626 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7626 (depth = 5)
  *var_s = opresult7626;
  if (opresult7626 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if7578 = done;
  }
// compiled if node returning if7578 (depth = 3)
// Begin line 1922
  setline(1922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asIdentifier7628(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asIdentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_resultNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "resultNode");
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7629 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7630 = gc_frame_new();
// call case 4: self request
  Object call7631 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7630);
// compiled member node returning call7631 (depth = 5)
  gc_frame_newslot(call7631);
// starting to compile identifier node (depth = 5)
  Object bool7632 = alloc_Boolean(0);
// compiled identifier node returning bool7632 (depth = 5)
  gc_frame_newslot(bool7632);
// starting to compile member node (depth = 5)
  int callframe7633 = gc_frame_new();
// call case 4: self request
  Object call7634 = callmethodflags(self, "scope", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7633);
// compiled member node returning call7634 (depth = 5)
  gc_frame_newslot(call7634);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_identifierNode (depth = 5)
  params[0] = call7631;
  params[1] = bool7632;
  params[2] = call7634;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7635 = callmethodflags(*var_identifierNode, "new(2)scope(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7629);
// compiled call node returning call7635 (depth = 4)
  *var_resultNode = call7635;
  if (call7635 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7636 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7637 = alloc_Boolean(1);
// compiled identifier node returning bool7637 (depth = 4)
  gc_frame_newslot(bool7637);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = bool7637;
  partcv[0] = 1;
  Object call7638 = callmethodflags(*var_resultNode, "inRequest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7636);
// compiled call node returning call7638 (depth = 3)
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7639 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7640 = gc_frame_new();
// call case 4: self request
  Object call7641 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7640);
// compiled member node returning call7641 (depth = 4)
  gc_frame_newslot(call7641);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call7641;
  partcv[0] = 1;
  Object call7642 = callmethodflags(*var_resultNode, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7639);
// compiled call node returning call7642 (depth = 3)
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7643 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7644 = gc_frame_new();
// call case 4: self request
  Object call7645 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7644);
// compiled member node returning call7645 (depth = 4)
  gc_frame_newslot(call7645);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  params[0] = call7645;
  partcv[0] = 1;
  Object call7646 = callmethodflags(*var_resultNode, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7643);
// compiled call node returning call7646 (depth = 3)
// Begin line 1930
  setline(1930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_resultNode (depth = 4)
  return *var_resultNode;
// compiled return node returning undefined (depth = 3)
  gc_frame_end(frame);
  return undefined;
}
Object meth_ast_shallowCopy7647(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_opNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7648 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7649 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7650 = gc_frame_new();
// call case 4: self request
  Object call7651 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7650);
// compiled member node returning call7651 (depth = 5)
  gc_frame_newslot(call7651);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_opNode (depth = 5)
  params[0] = call7651;
  params[1] = *var_nullNode;
  params[2] = *var_nullNode;
  partcv[0] = 3;
  Object call7652 = callmethodflags(*var_opNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe7649);
// compiled call node returning call7652 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7653 = callmethodflags(call7652, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7648);
// compiled call node returning call7653 (depth = 3)
  gc_frame_end(frame);
  return call7653;
}
Object meth_ast_new_40_3_41_7381(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_opNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7382 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7382 = alloc_userobj2(14,13, objclass7382);
  gc_frame_newslot(obj7382);
if (objclass7382 == NULL) {
  glfree(obj7382->class->name);
  obj7382->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7382, self, 0);
  addmethodreal(obj7382,"outer", &reader_ast_outer_7383);
  Object oldself7382 = self;
  struct StackFrameObject *oldstackframe7382 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7382);
  gc_frame_newslot((Object)stackframe);
  self = obj7382;
  Object *oldselfslot7382 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7382 = (*(struct UserObject *)self).data[0], lowerouter7382 = thisouter7382;
  if (inheritingObject7382) {
    struct UserObject *inho7382 = (struct UserObject *)inheritingObject7382;
    while (inho7382->super != GraceDefaultObject) inho7382 = (struct UserObject *)inho7382->super;
    inho7382->super = obj7382;
    self = inheritingObject7382;
    *selfslot = self;
    lowerouter7382 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7382;
  }
if (objclass7382 == NULL) {
  Method *reader7384 = addmethodrealflags(obj7382, "kind",&reader_ast_kind_7384, MFLAG_DEF);
  reader7384->definitionModule = modulename;
  reader7384->definitionLine = 1873;
}
adddatum2(obj7382, alloc_Undefined(), 1);
if (objclass7382 == NULL) {
  Method *reader7385 = addmethodrealflags(obj7382, "value",&reader_ast_value_7385, MFLAG_DEF);
  reader7385->definitionModule = modulename;
  reader7385->definitionLine = 1874;
}
adddatum2(obj7382, alloc_Undefined(), 2);
if (objclass7382 == NULL) {
  Method *reader7386 = addmethodrealflags(obj7382, "left", &reader_ast_left_7386, 0);
  Method *writer7386 = addmethodrealflags(obj7382, "left:=(1)", &writer_ast_left_7386, 0);
  reader7386->definitionModule = modulename;
  writer7386->definitionModule = modulename;
  reader7386->definitionLine = 1875;
  writer7386->definitionLine = 1875;
}
obj7382->flags |= OFLAG_MUTABLE;
adddatum2(obj7382, alloc_Undefined(), 3);
if (objclass7382 == NULL) {
  Method *reader7387 = addmethodrealflags(obj7382, "right", &reader_ast_right_7387, 0);
  Method *writer7387 = addmethodrealflags(obj7382, "right:=(1)", &writer_ast_right_7387, 0);
  reader7387->definitionModule = modulename;
  writer7387->definitionModule = modulename;
  reader7387->definitionLine = 1876;
  writer7387->definitionLine = 1876;
}
obj7382->flags |= OFLAG_MUTABLE;
adddatum2(obj7382, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo7388 = (struct UserObject*)obj7382;
  uo7388->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple7388 = addmethod2pos(obj7382, "isSimple", &meth_ast_isSimple7388, 5);
  int argcv_meth_ast_isSimple7388[] = {0};
  meth_meth_ast_isSimple7388->type = alloc_MethodType(1, argcv_meth_ast_isSimple7388);
  meth_meth_ast_isSimple7388->definitionModule = modulename;
  meth_meth_ast_isSimple7388->definitionLine = 1877;
// method "nameString"
  struct UserObject *uo7390 = (struct UserObject*)obj7382;
  uo7390->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString7390 = addmethod2pos(obj7382, "nameString", &meth_ast_nameString7390, 6);
  int argcv_meth_ast_nameString7390[] = {0};
  meth_meth_ast_nameString7390->type = alloc_MethodType(1, argcv_meth_ast_nameString7390);
  meth_meth_ast_nameString7390->definitionModule = modulename;
  meth_meth_ast_nameString7390->definitionLine = 1878;
// method "accept(_)from(_)"
  struct UserObject *uo7397 = (struct UserObject*)obj7382;
  uo7397->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7397 = addmethod2pos(obj7382, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7397, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7397[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7397->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7397);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7397->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7397->definitionLine = 1879;
// method "map(_)ancestors(_)"
  struct UserObject *uo7411 = (struct UserObject*)obj7382;
  uo7411->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7411 = addmethod2pos(obj7382, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7411, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7411[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7411->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7411);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7411->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7411->definitionLine = 1886;
// method "pretty(_)"
  struct UserObject *uo7430 = (struct UserObject*)obj7382;
  uo7430->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7430 = addmethod2pos(obj7382, "pretty(1)", &meth_ast_pretty_40_1_41_7430, 9);
  int argcv_meth_ast_pretty_40_1_41_7430[] = {1};
  meth_meth_ast_pretty_40_1_41_7430->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7430);
  meth_meth_ast_pretty_40_1_41_7430->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7430->definitionLine = 1893;
// method "toGrace(_)"
  struct UserObject *uo7505 = (struct UserObject*)obj7382;
  uo7505->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7505 = addmethod2pos(obj7382, "toGrace(1)", &meth_ast_toGrace_40_1_41_7505, 10);
  int argcv_meth_ast_toGrace_40_1_41_7505[] = {1};
  meth_meth_ast_toGrace_40_1_41_7505->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7505);
meth_meth_ast_toGrace_40_1_41_7505->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7505->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7505->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7505->definitionLine = 1905;
// method "asIdentifier"
  block_savedest(obj7382);
  Object closure7628 = createclosure(1, "asIdentifier");
  setclosureframe(closure7628, stackframe);
  addtoclosure(closure7628, var_identifierNode);
  struct UserObject *uo7628 = (struct UserObject*)obj7382;
  uo7628->data[11] = (Object)closure7628;
  Method *meth_meth_ast_asIdentifier7628 = addmethod2pos(obj7382, "asIdentifier", &meth_ast_asIdentifier7628, 11);
  int argcv_meth_ast_asIdentifier7628[] = {0};
  meth_meth_ast_asIdentifier7628->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier7628);
  meth_meth_ast_asIdentifier7628->definitionModule = modulename;
  meth_meth_ast_asIdentifier7628->definitionLine = 1924;
// method "shallowCopy"
  block_savedest(obj7382);
  Object closure7647 = createclosure(2, "shallowCopy");
  setclosureframe(closure7647, stackframe);
  addtoclosure(closure7647, var_nullNode);
  addtoclosure(closure7647, var_opNode);
  struct UserObject *uo7647 = (struct UserObject*)obj7382;
  uo7647->data[12] = (Object)closure7647;
  Method *meth_meth_ast_shallowCopy7647 = addmethod2pos(obj7382, "shallowCopy", &meth_ast_shallowCopy7647, 12);
  int argcv_meth_ast_shallowCopy7647[] = {0};
  meth_meth_ast_shallowCopy7647->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7647);
  meth_meth_ast_shallowCopy7647->definitionModule = modulename;
  meth_meth_ast_shallowCopy7647->definitionLine = 1932;
  sourceObject = obj7382;
// Begin line 1872
  setline(1872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7654 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7655 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7656 = gc_frame_new();
// call case 3: self.outer request
  Object call7657 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7656);
// compiled member node returning call7657 (depth = 5)
  Object call7658 = callmethodflags(call7657, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7655);
// compiled member node returning call7658 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7659 = callmethodflags(call7658, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7654);
// compiled call node returning call7659 (depth = 3)
  struct UserObject *obj7382_uo = (struct UserObject *)obj7382;
  obj7382_uo->super = call7659;
  sourceObject = obj7382;
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7660 == NULL) {
    strlit7660 = alloc_String("op");
    gc_root(strlit7660);
  }
// compiled string node returning strlit7660 (depth = 3)
  adddatum2(obj7382, strlit7660, 1);
  sourceObject = obj7382;
// Begin line 1874
  setline(1874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_op (depth = 3)
  adddatum2(obj7382, *var_op, 2);
  sourceObject = obj7382;
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  adddatum2(obj7382, *var_l, 3);
  sourceObject = obj7382;
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_r (depth = 3)
  adddatum2(obj7382, *var_r, 4);
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  objclass7382 = obj7382->class;
  objclass7382->definitionModule = modulename;
  objclass7382->definitionLine = 1871;
  (*(struct UserObject *)self).data[0] = lowerouter7382;
  self = oldself7382;
  selfslot = oldselfslot7382;
  stackframe = oldstackframe7382;
  gc_frame_end(frame);
  return obj7382;
}
Object meth_ast_new_40_3_41_7381_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_identifierNode = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_opNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_op = &(stackframe->slots[0]);
  *var_op = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_r = &(stackframe->slots[2]);
  *var_r = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7382 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7382 = alloc_userobj2(14,13, objclass7382);
  gc_frame_newslot(obj7382);
if (objclass7382 == NULL) {
  glfree(obj7382->class->name);
  obj7382->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7382, self, 0);
  addmethodreal(obj7382,"outer", &reader_ast_outer_7383);
  Object oldself7382 = self;
  struct StackFrameObject *oldstackframe7382 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7382);
  gc_frame_newslot((Object)stackframe);
  self = obj7382;
  Object *oldselfslot7382 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7382 = (*(struct UserObject *)self).data[0], lowerouter7382 = thisouter7382;
  if (inheritingObject7382) {
    struct UserObject *inho7382 = (struct UserObject *)inheritingObject7382;
    while (inho7382->super != GraceDefaultObject) inho7382 = (struct UserObject *)inho7382->super;
    inho7382->super = obj7382;
    self = inheritingObject7382;
    *selfslot = self;
    lowerouter7382 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7382;
  }
if (objclass7382 == NULL) {
  Method *reader7384 = addmethodrealflags(obj7382, "kind",&reader_ast_kind_7384, MFLAG_DEF);
  reader7384->definitionModule = modulename;
  reader7384->definitionLine = 1873;
}
adddatum2(obj7382, alloc_Undefined(), 1);
if (objclass7382 == NULL) {
  Method *reader7385 = addmethodrealflags(obj7382, "value",&reader_ast_value_7385, MFLAG_DEF);
  reader7385->definitionModule = modulename;
  reader7385->definitionLine = 1874;
}
adddatum2(obj7382, alloc_Undefined(), 2);
if (objclass7382 == NULL) {
  Method *reader7386 = addmethodrealflags(obj7382, "left", &reader_ast_left_7386, 0);
  Method *writer7386 = addmethodrealflags(obj7382, "left:=(1)", &writer_ast_left_7386, 0);
  reader7386->definitionModule = modulename;
  writer7386->definitionModule = modulename;
  reader7386->definitionLine = 1875;
  writer7386->definitionLine = 1875;
}
obj7382->flags |= OFLAG_MUTABLE;
adddatum2(obj7382, alloc_Undefined(), 3);
if (objclass7382 == NULL) {
  Method *reader7387 = addmethodrealflags(obj7382, "right", &reader_ast_right_7387, 0);
  Method *writer7387 = addmethodrealflags(obj7382, "right:=(1)", &writer_ast_right_7387, 0);
  reader7387->definitionModule = modulename;
  writer7387->definitionModule = modulename;
  reader7387->definitionLine = 1876;
  writer7387->definitionLine = 1876;
}
obj7382->flags |= OFLAG_MUTABLE;
adddatum2(obj7382, alloc_Undefined(), 4);
// method "isSimple"
  struct UserObject *uo7388 = (struct UserObject*)obj7382;
  uo7388->data[5] = emptyclosure;
  Method *meth_meth_ast_isSimple7388 = addmethod2pos(obj7382, "isSimple", &meth_ast_isSimple7388, 5);
  int argcv_meth_ast_isSimple7388[] = {0};
  meth_meth_ast_isSimple7388->type = alloc_MethodType(1, argcv_meth_ast_isSimple7388);
  meth_meth_ast_isSimple7388->definitionModule = modulename;
  meth_meth_ast_isSimple7388->definitionLine = 1877;
// method "nameString"
  struct UserObject *uo7390 = (struct UserObject*)obj7382;
  uo7390->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString7390 = addmethod2pos(obj7382, "nameString", &meth_ast_nameString7390, 6);
  int argcv_meth_ast_nameString7390[] = {0};
  meth_meth_ast_nameString7390->type = alloc_MethodType(1, argcv_meth_ast_nameString7390);
  meth_meth_ast_nameString7390->definitionModule = modulename;
  meth_meth_ast_nameString7390->definitionLine = 1878;
// method "accept(_)from(_)"
  struct UserObject *uo7397 = (struct UserObject*)obj7382;
  uo7397->data[7] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7397 = addmethod2pos(obj7382, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7397, 7);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7397[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7397->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7397);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7397->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7397->definitionLine = 1879;
// method "map(_)ancestors(_)"
  struct UserObject *uo7411 = (struct UserObject*)obj7382;
  uo7411->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7411 = addmethod2pos(obj7382, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7411, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7411[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7411->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7411);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7411->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7411->definitionLine = 1886;
// method "pretty(_)"
  struct UserObject *uo7430 = (struct UserObject*)obj7382;
  uo7430->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7430 = addmethod2pos(obj7382, "pretty(1)", &meth_ast_pretty_40_1_41_7430, 9);
  int argcv_meth_ast_pretty_40_1_41_7430[] = {1};
  meth_meth_ast_pretty_40_1_41_7430->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7430);
  meth_meth_ast_pretty_40_1_41_7430->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7430->definitionLine = 1893;
// method "toGrace(_)"
  struct UserObject *uo7505 = (struct UserObject*)obj7382;
  uo7505->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7505 = addmethod2pos(obj7382, "toGrace(1)", &meth_ast_toGrace_40_1_41_7505, 10);
  int argcv_meth_ast_toGrace_40_1_41_7505[] = {1};
  meth_meth_ast_toGrace_40_1_41_7505->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7505);
meth_meth_ast_toGrace_40_1_41_7505->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7505->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7505->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7505->definitionLine = 1905;
// method "asIdentifier"
  block_savedest(obj7382);
  Object closure7628 = createclosure(1, "asIdentifier");
  setclosureframe(closure7628, stackframe);
  addtoclosure(closure7628, var_identifierNode);
  struct UserObject *uo7628 = (struct UserObject*)obj7382;
  uo7628->data[11] = (Object)closure7628;
  Method *meth_meth_ast_asIdentifier7628 = addmethod2pos(obj7382, "asIdentifier", &meth_ast_asIdentifier7628, 11);
  int argcv_meth_ast_asIdentifier7628[] = {0};
  meth_meth_ast_asIdentifier7628->type = alloc_MethodType(1, argcv_meth_ast_asIdentifier7628);
  meth_meth_ast_asIdentifier7628->definitionModule = modulename;
  meth_meth_ast_asIdentifier7628->definitionLine = 1924;
// method "shallowCopy"
  block_savedest(obj7382);
  Object closure7647 = createclosure(2, "shallowCopy");
  setclosureframe(closure7647, stackframe);
  addtoclosure(closure7647, var_nullNode);
  addtoclosure(closure7647, var_opNode);
  struct UserObject *uo7647 = (struct UserObject*)obj7382;
  uo7647->data[12] = (Object)closure7647;
  Method *meth_meth_ast_shallowCopy7647 = addmethod2pos(obj7382, "shallowCopy", &meth_ast_shallowCopy7647, 12);
  int argcv_meth_ast_shallowCopy7647[] = {0};
  meth_meth_ast_shallowCopy7647->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7647);
  meth_meth_ast_shallowCopy7647->definitionModule = modulename;
  meth_meth_ast_shallowCopy7647->definitionLine = 1932;
  sourceObject = obj7382;
// Begin line 1872
  setline(1872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7654 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7655 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7656 = gc_frame_new();
// call case 3: self.outer request
  Object call7657 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7656);
// compiled member node returning call7657 (depth = 5)
  Object call7658 = callmethodflags(call7657, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7655);
// compiled member node returning call7658 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7659 = callmethodflags(call7658, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7654);
// compiled call node returning call7659 (depth = 3)
  struct UserObject *obj7382_uo = (struct UserObject *)obj7382;
  obj7382_uo->super = call7659;
  sourceObject = obj7382;
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7660 == NULL) {
    strlit7660 = alloc_String("op");
    gc_root(strlit7660);
  }
// compiled string node returning strlit7660 (depth = 3)
  adddatum2(obj7382, strlit7660, 1);
  sourceObject = obj7382;
// Begin line 1874
  setline(1874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_op (depth = 3)
  adddatum2(obj7382, *var_op, 2);
  sourceObject = obj7382;
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_l (depth = 3)
  adddatum2(obj7382, *var_l, 3);
  sourceObject = obj7382;
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_r (depth = 3)
  adddatum2(obj7382, *var_r, 4);
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  sourceObject = obj7382;
  objclass7382 = obj7382->class;
  objclass7382->definitionModule = modulename;
  objclass7382->definitionLine = 1871;
  (*(struct UserObject *)self).data[0] = lowerouter7382;
  self = oldself7382;
  selfslot = oldselfslot7382;
  stackframe = oldstackframe7382;
  gc_frame_end(frame);
  return obj7382;
}
Object meth_ast_opNode7662(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 39, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "opNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_opNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_opNode (depth = 3)
  gc_frame_end(frame);
  return *var_opNode;
}
Object meth_ast_isBind7671(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isBind");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7672 = alloc_Boolean(1);
// compiled identifier node returning bool7672 (depth = 3)
  gc_frame_end(frame);
  return bool7672;
}
Object meth_ast_asString7673(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7675 == NULL) {
    strlit7675 = alloc_String("");
    gc_root(strlit7675);
  }
// compiled string node returning strlit7675 (depth = 4)
  int op_slot_right_7674 = gc_frame_newslot(strlit7675);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7678 = gc_frame_new();
// call case 4: self request
  Object call7679 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7678);
// compiled member node returning call7679 (depth = 5)
  int op_slot_right_7677 = gc_frame_newslot(call7679);
// starting to compile string node (depth = 5)
  if (strlit7681 == NULL) {
    strlit7681 = alloc_String("bind ");
    gc_root(strlit7681);
  }
// compiled string node returning strlit7681 (depth = 5)
  int op_slot_left_7677 = gc_frame_newslot(strlit7681);
  params[0] = call7679;
  partcv[0] = 1;
  Object opresult7682 = callmethod(strlit7681, "++(1)", 1, partcv, params);
// compiled op node returning opresult7682 (depth = 4)
  int op_slot_left_7674 = gc_frame_newslot(opresult7682);
  params[0] = strlit7675;
  partcv[0] = 1;
  Object opresult7683 = callmethod(opresult7682, "++(1)", 1, partcv, params);
// compiled op node returning opresult7683 (depth = 3)
  gc_frame_end(frame);
  return opresult7683;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7684(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 1948
  setline(1948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7686 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7687 = callmethodflags(*var_visitor, "visitBind(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7686);
// compiled call node returning call7687 (depth = 4)
  Object if7685 = done;
  if (istrue(call7687)) {
// Begin line 1949
  setline(1949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7688 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7689 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7688);
// compiled call node returning call7689 (depth = 5)
  *var_newChain = call7689;
  if (call7689 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7690 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7691 = gc_frame_new();
// call case 4: self request
  Object call7692 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7691);
// compiled member node returning call7692 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7693 = callmethodflags(call7692, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7690);
// compiled call node returning call7693 (depth = 4)
// Begin line 1951
  setline(1951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7694 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7695 = gc_frame_new();
// call case 4: self request
  Object call7696 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7695);
// compiled member node returning call7696 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7697 = callmethodflags(call7696, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7694);
// compiled call node returning call7697 (depth = 4)
    gc_frame_newslot(call7697);
    if7685 = call7697;
  } else {
  }
// compiled if node returning if7685 (depth = 3)
  gc_frame_end(frame);
  return if7685;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7698(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 1955
  setline(1955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7699 = gc_frame_new();
// call case 4: self request
  Object call7700 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7699);
// compiled member node returning call7700 (depth = 4)
  *var_n = call7700;
  if (call7700 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1956
  setline(1956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7701 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7702 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7701);
// compiled call node returning call7702 (depth = 4)
  *var_newChain = call7702;
  if (call7702 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7703 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7704 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7705 = gc_frame_new();
// call case 4: self request
  Object call7706 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7705);
// compiled member node returning call7706 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7707 = callmethodflags(call7706, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7704);
// compiled call node returning call7707 (depth = 4)
  gc_frame_newslot(call7707);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7707;
  partcv[0] = 1;
  Object call7708 = callmethodflags(*var_n, "dest:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7703);
// compiled call node returning call7708 (depth = 3)
// Begin line 1958
  setline(1958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7709 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7710 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7711 = gc_frame_new();
// call case 4: self request
  Object call7712 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7711);
// compiled member node returning call7712 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7713 = callmethodflags(call7712, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7710);
// compiled call node returning call7713 (depth = 4)
  gc_frame_newslot(call7713);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7713;
  partcv[0] = 1;
  Object call7714 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7709);
// compiled call node returning call7714 (depth = 3)
// Begin line 1959
  setline(1959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7715 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7716 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7715);
// compiled call node returning call7716 (depth = 3)
  gc_frame_end(frame);
  return call7716;
}
Object meth_ast__apply_40_1_41_7725(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1964
  setline(1964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7727 == NULL) {
    strlit7727 = alloc_String("  ");
    gc_root(strlit7727);
  }
// compiled string node returning strlit7727 (depth = 7)
  int op_slot_right_7726 = gc_frame_newslot(strlit7727);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_7726 = gc_frame_newslot(*var_spc);
  params[0] = strlit7727;
  partcv[0] = 1;
  Object opresult7729 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7729 (depth = 6)
  *var_spc = opresult7729;
  if (opresult7729 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_7717(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7718 == NULL) {
    strlit7718 = alloc_String("");
    gc_root(strlit7718);
  }
// compiled string node returning strlit7718 (depth = 4)
  *var_spc = strlit7718;
  if (strlit7718 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1963
  setline(1963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7719 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_7720 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num7722 = alloc_Float64(0);
// compiled num node returning num7722 (depth = 5)
  int op_slot_left_7720 = gc_frame_newslot(num7722);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7723 = callmethod(num7722, "..(1)", 1, partcv, params);
// compiled op node returning opresult7723 (depth = 4)
  gc_frame_newslot(opresult7723);
// starting to compile block node (depth = 4)
  Object block7724 = alloc_Block(NULL, NULL, "ast", 1963);
  gc_frame_newslot(block7724);
// method "_apply(_)"
  block_savedest(block7724);
  Object closure7725 = createclosure(2, "_apply(1)");
  setclosureframe(closure7725, stackframe);
  addtoclosure(closure7725, var_spc);
  addtoclosure(closure7725, selfslot);
  struct UserObject *uo7725 = (struct UserObject*)block7724;
  uo7725->data[0] = (Object)closure7725;
  Method *meth_meth_ast__apply_40_1_41_7725 = addmethod2pos(block7724, "_apply(1)", &meth_ast__apply_40_1_41_7725, 0);
  int argcv_meth_ast__apply_40_1_41_7725[] = {1};
  meth_meth_ast__apply_40_1_41_7725->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7725);
  meth_meth_ast__apply_40_1_41_7725->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7725->definitionLine = 2947;
// compiled block node returning block7724 (depth = 4)
  gc_frame_newslot(block7724);
// call case 5: prelude request
  params[0] = opresult7723;
  params[1] = block7724;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7732 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7719);
// compiled call node returning call7732 (depth = 3)
// Begin line 1966
  setline(1966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7734 == NULL) {
    strlit7734 = alloc_String("""\x0a""");
    gc_root(strlit7734);
  }
// compiled string node returning strlit7734 (depth = 5)
  int op_slot_right_7733 = gc_frame_newslot(strlit7734);
// starting to compile call node (depth = 5)
  int callframe7736 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call7737 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe7736);
// compiled call node returning call7737 (depth = 5)
  int op_slot_left_7733 = gc_frame_newslot(call7737);
  params[0] = strlit7734;
  partcv[0] = 1;
  Object opresult7738 = callmethod(call7737, "++(1)", 1, partcv, params);
// compiled op node returning opresult7738 (depth = 4)
  *var_s = opresult7738;
  if (opresult7738 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7740 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7742 = alloc_Float64(1);
// compiled num node returning num7742 (depth = 7)
  int op_slot_right_7741 = gc_frame_newslot(num7742);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7741 = gc_frame_newslot(*var_depth);
  params[0] = num7742;
  partcv[0] = 1;
  Object sum7744 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7744 (depth = 6)
  gc_frame_newslot(sum7744);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7745 = gc_frame_new();
// call case 4: self request
  Object call7746 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7745);
// compiled member node returning call7746 (depth = 6)
  params[0] = sum7744;
  partcv[0] = 1;
  Object call7747 = callmethodflags(call7746, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7740);
// compiled call node returning call7747 (depth = 5)
  int op_slot_right_7739 = gc_frame_newslot(call7747);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_7749 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7749 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7751 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7751 (depth = 5)
  int op_slot_left_7739 = gc_frame_newslot(opresult7751);
  params[0] = call7747;
  partcv[0] = 1;
  Object opresult7752 = callmethod(opresult7751, "++(1)", 1, partcv, params);
// compiled op node returning opresult7752 (depth = 4)
  *var_s = opresult7752;
  if (opresult7752 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1968
  setline(1968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7755 == NULL) {
    strlit7755 = alloc_String("""\x0a""");
    gc_root(strlit7755);
  }
// compiled string node returning strlit7755 (depth = 5)
  int op_slot_right_7754 = gc_frame_newslot(strlit7755);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_7754 = gc_frame_newslot(*var_s);
  params[0] = strlit7755;
  partcv[0] = 1;
  Object opresult7757 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7757 (depth = 4)
  *var_s = opresult7757;
  if (opresult7757 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1969
  setline(1969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7760 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7762 = alloc_Float64(1);
// compiled num node returning num7762 (depth = 7)
  int op_slot_right_7761 = gc_frame_newslot(num7762);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7761 = gc_frame_newslot(*var_depth);
  params[0] = num7762;
  partcv[0] = 1;
  Object sum7764 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7764 (depth = 6)
  gc_frame_newslot(sum7764);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7765 = gc_frame_new();
// call case 4: self request
  Object call7766 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7765);
// compiled member node returning call7766 (depth = 6)
  params[0] = sum7764;
  partcv[0] = 1;
  Object call7767 = callmethodflags(call7766, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7760);
// compiled call node returning call7767 (depth = 5)
  int op_slot_right_7759 = gc_frame_newslot(call7767);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_7769 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7769 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult7771 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7771 (depth = 5)
  int op_slot_left_7759 = gc_frame_newslot(opresult7771);
  params[0] = call7767;
  partcv[0] = 1;
  Object opresult7772 = callmethod(opresult7771, "++(1)", 1, partcv, params);
// compiled op node returning opresult7772 (depth = 4)
  *var_s = opresult7772;
  if (opresult7772 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_7786(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7788 == NULL) {
    strlit7788 = alloc_String("    ");
    gc_root(strlit7788);
  }
// compiled string node returning strlit7788 (depth = 7)
  int op_slot_right_7787 = gc_frame_newslot(strlit7788);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_7787 = gc_frame_newslot(*var_spc);
  params[0] = strlit7788;
  partcv[0] = 1;
  Object opresult7790 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7790 (depth = 6)
  *var_spc = opresult7790;
  if (opresult7790 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_7774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 1973
  setline(1973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7775 == NULL) {
    strlit7775 = alloc_String("");
    gc_root(strlit7775);
  }
// compiled string node returning strlit7775 (depth = 4)
  *var_spc = strlit7775;
  if (strlit7775 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1974
  setline(1974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7776 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7779 = alloc_Float64(1);
// compiled num node returning num7779 (depth = 6)
  int op_slot_right_7778 = gc_frame_newslot(num7779);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_7778 = gc_frame_newslot(*var_depth);
  params[0] = num7779;
  partcv[0] = 1;
  Object diff7781 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff7781 (depth = 5)
  int op_slot_right_7777 = gc_frame_newslot(diff7781);
// starting to compile num node (depth = 5)
  Object num7783 = alloc_Float64(0);
// compiled num node returning num7783 (depth = 5)
  int op_slot_left_7777 = gc_frame_newslot(num7783);
  params[0] = diff7781;
  partcv[0] = 1;
  Object opresult7784 = callmethod(num7783, "..(1)", 1, partcv, params);
// compiled op node returning opresult7784 (depth = 4)
  gc_frame_newslot(opresult7784);
// starting to compile block node (depth = 4)
  Object block7785 = alloc_Block(NULL, NULL, "ast", 1974);
  gc_frame_newslot(block7785);
// method "_apply(_)"
  block_savedest(block7785);
  Object closure7786 = createclosure(2, "_apply(1)");
  setclosureframe(closure7786, stackframe);
  addtoclosure(closure7786, var_spc);
  addtoclosure(closure7786, selfslot);
  struct UserObject *uo7786 = (struct UserObject*)block7785;
  uo7786->data[0] = (Object)closure7786;
  Method *meth_meth_ast__apply_40_1_41_7786 = addmethod2pos(block7785, "_apply(1)", &meth_ast__apply_40_1_41_7786, 0);
  int argcv_meth_ast__apply_40_1_41_7786[] = {1};
  meth_meth_ast__apply_40_1_41_7786->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7786);
  meth_meth_ast__apply_40_1_41_7786->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7786->definitionLine = 2947;
// compiled block node returning block7785 (depth = 4)
  gc_frame_newslot(block7785);
// call case 5: prelude request
  params[0] = opresult7784;
  params[1] = block7785;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7793 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7776);
// compiled call node returning call7793 (depth = 3)
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7794 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7796 = alloc_Float64(1);
// compiled num node returning num7796 (depth = 6)
  int op_slot_right_7795 = gc_frame_newslot(num7796);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_7795 = gc_frame_newslot(*var_depth);
  params[0] = num7796;
  partcv[0] = 1;
  Object sum7798 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7798 (depth = 5)
  gc_frame_newslot(sum7798);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7799 = gc_frame_new();
// call case 4: self request
  Object call7800 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7799);
// compiled member node returning call7800 (depth = 5)
  params[0] = sum7798;
  partcv[0] = 1;
  Object call7801 = callmethodflags(call7800, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7794);
// compiled call node returning call7801 (depth = 4)
  *var_s = call7801;
  if (call7801 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7803 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7805 = alloc_Float64(1);
// compiled num node returning num7805 (depth = 7)
  int op_slot_right_7804 = gc_frame_newslot(num7805);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_7804 = gc_frame_newslot(*var_depth);
  params[0] = num7805;
  partcv[0] = 1;
  Object sum7807 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum7807 (depth = 6)
  gc_frame_newslot(sum7807);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7808 = gc_frame_new();
// call case 4: self request
  Object call7809 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7808);
// compiled member node returning call7809 (depth = 6)
  params[0] = sum7807;
  partcv[0] = 1;
  Object call7810 = callmethodflags(call7809, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7803);
// compiled call node returning call7810 (depth = 5)
  int op_slot_right_7802 = gc_frame_newslot(call7810);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7813 == NULL) {
    strlit7813 = alloc_String(" := ");
    gc_root(strlit7813);
  }
// compiled string node returning strlit7813 (depth = 6)
  int op_slot_right_7812 = gc_frame_newslot(strlit7813);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_7812 = gc_frame_newslot(*var_s);
  params[0] = strlit7813;
  partcv[0] = 1;
  Object opresult7815 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult7815 (depth = 5)
  int op_slot_left_7802 = gc_frame_newslot(opresult7815);
  params[0] = call7810;
  partcv[0] = 1;
  Object opresult7816 = callmethod(opresult7815, "++(1)", 1, partcv, params);
// compiled op node returning opresult7816 (depth = 4)
  *var_s = opresult7816;
  if (opresult7816 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy7818(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7819 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7820 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7821 = gc_frame_new();
// call case 4: self request
  Object call7822 = callmethodflags(self, "dest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7821);
// compiled member node returning call7822 (depth = 5)
  gc_frame_newslot(call7822);
// starting to compile member node (depth = 5)
  int callframe7823 = gc_frame_new();
// call case 4: self request
  Object call7824 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7823);
// compiled member node returning call7824 (depth = 5)
  gc_frame_newslot(call7824);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_bindNode (depth = 5)
  params[0] = call7822;
  params[1] = call7824;
  partcv[0] = 2;
  Object call7825 = callmethodflags(*var_bindNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7820);
// compiled call node returning call7825 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call7826 = callmethodflags(call7825, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7819);
// compiled call node returning call7826 (depth = 3)
  gc_frame_end(frame);
  return call7826;
}
Object meth_ast_statementName7827(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7828 == NULL) {
    strlit7828 = alloc_String("assignment or assigment request");
    gc_root(strlit7828);
  }
// compiled string node returning strlit7828 (depth = 3)
  gc_frame_end(frame);
  return strlit7828;
}
Object meth_ast_new_40_2_41_7665(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7666 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7666 = alloc_userobj2(13,12, objclass7666);
  gc_frame_newslot(obj7666);
if (objclass7666 == NULL) {
  glfree(obj7666->class->name);
  obj7666->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7666, self, 0);
  addmethodreal(obj7666,"outer", &reader_ast_outer_7667);
  Object oldself7666 = self;
  struct StackFrameObject *oldstackframe7666 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7666);
  gc_frame_newslot((Object)stackframe);
  self = obj7666;
  Object *oldselfslot7666 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7666 = (*(struct UserObject *)self).data[0], lowerouter7666 = thisouter7666;
  if (inheritingObject7666) {
    struct UserObject *inho7666 = (struct UserObject *)inheritingObject7666;
    while (inho7666->super != GraceDefaultObject) inho7666 = (struct UserObject *)inho7666->super;
    inho7666->super = obj7666;
    self = inheritingObject7666;
    *selfslot = self;
    lowerouter7666 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7666;
  }
if (objclass7666 == NULL) {
  Method *reader7668 = addmethodrealflags(obj7666, "kind",&reader_ast_kind_7668, MFLAG_DEF);
  reader7668->definitionModule = modulename;
  reader7668->definitionLine = 1941;
}
adddatum2(obj7666, alloc_Undefined(), 1);
if (objclass7666 == NULL) {
  Method *reader7669 = addmethodrealflags(obj7666, "dest", &reader_ast_dest_7669, 0);
  Method *writer7669 = addmethodrealflags(obj7666, "dest:=(1)", &writer_ast_dest_7669, 0);
  reader7669->definitionModule = modulename;
  writer7669->definitionModule = modulename;
  reader7669->definitionLine = 1942;
  writer7669->definitionLine = 1942;
}
obj7666->flags |= OFLAG_MUTABLE;
adddatum2(obj7666, alloc_Undefined(), 2);
if (objclass7666 == NULL) {
  Method *reader7670 = addmethodrealflags(obj7666, "value", &reader_ast_value_7670, 0);
  Method *writer7670 = addmethodrealflags(obj7666, "value:=(1)", &writer_ast_value_7670, 0);
  reader7670->definitionModule = modulename;
  writer7670->definitionModule = modulename;
  reader7670->definitionLine = 1943;
  writer7670->definitionLine = 1943;
}
obj7666->flags |= OFLAG_MUTABLE;
adddatum2(obj7666, alloc_Undefined(), 3);
// method "isBind"
  struct UserObject *uo7671 = (struct UserObject*)obj7666;
  uo7671->data[4] = emptyclosure;
  Method *meth_meth_ast_isBind7671 = addmethod2pos(obj7666, "isBind", &meth_ast_isBind7671, 4);
  int argcv_meth_ast_isBind7671[] = {0};
  meth_meth_ast_isBind7671->type = alloc_MethodType(1, argcv_meth_ast_isBind7671);
  meth_meth_ast_isBind7671->definitionModule = modulename;
  meth_meth_ast_isBind7671->definitionLine = 1945;
// method "asString"
  struct UserObject *uo7673 = (struct UserObject*)obj7666;
  uo7673->data[5] = emptyclosure;
  Method *meth_meth_ast_asString7673 = addmethod2pos(obj7666, "asString", &meth_ast_asString7673, 5);
  int argcv_meth_ast_asString7673[] = {0};
  meth_meth_ast_asString7673->type = alloc_MethodType(1, argcv_meth_ast_asString7673);
  meth_meth_ast_asString7673->definitionModule = modulename;
  meth_meth_ast_asString7673->definitionLine = 1946;
// method "accept(_)from(_)"
  struct UserObject *uo7684 = (struct UserObject*)obj7666;
  uo7684->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7684 = addmethod2pos(obj7666, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7684, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7684[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7684->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7684);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7684->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7684->definitionLine = 1947;
// method "map(_)ancestors(_)"
  struct UserObject *uo7698 = (struct UserObject*)obj7666;
  uo7698->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7698 = addmethod2pos(obj7666, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7698, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7698[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7698->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7698);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7698->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7698->definitionLine = 1954;
// method "pretty(_)"
  struct UserObject *uo7717 = (struct UserObject*)obj7666;
  uo7717->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7717 = addmethod2pos(obj7666, "pretty(1)", &meth_ast_pretty_40_1_41_7717, 8);
  int argcv_meth_ast_pretty_40_1_41_7717[] = {1};
  meth_meth_ast_pretty_40_1_41_7717->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7717);
  meth_meth_ast_pretty_40_1_41_7717->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7717->definitionLine = 1961;
// method "toGrace(_)"
  struct UserObject *uo7774 = (struct UserObject*)obj7666;
  uo7774->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7774 = addmethod2pos(obj7666, "toGrace(1)", &meth_ast_toGrace_40_1_41_7774, 9);
  int argcv_meth_ast_toGrace_40_1_41_7774[] = {1};
  meth_meth_ast_toGrace_40_1_41_7774->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7774);
meth_meth_ast_toGrace_40_1_41_7774->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7774->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7774->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7774->definitionLine = 1972;
// method "shallowCopy"
  block_savedest(obj7666);
  Object closure7818 = createclosure(1, "shallowCopy");
  setclosureframe(closure7818, stackframe);
  addtoclosure(closure7818, var_bindNode);
  struct UserObject *uo7818 = (struct UserObject*)obj7666;
  uo7818->data[10] = (Object)closure7818;
  Method *meth_meth_ast_shallowCopy7818 = addmethod2pos(obj7666, "shallowCopy", &meth_ast_shallowCopy7818, 10);
  int argcv_meth_ast_shallowCopy7818[] = {0};
  meth_meth_ast_shallowCopy7818->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7818);
  meth_meth_ast_shallowCopy7818->definitionModule = modulename;
  meth_meth_ast_shallowCopy7818->definitionLine = 1981;
// method "statementName"
  struct UserObject *uo7827 = (struct UserObject*)obj7666;
  uo7827->data[11] = emptyclosure;
  Method *meth_meth_ast_statementName7827 = addmethod2pos(obj7666, "statementName", &meth_ast_statementName7827, 11);
  int argcv_meth_ast_statementName7827[] = {0};
  meth_meth_ast_statementName7827->type = alloc_MethodType(1, argcv_meth_ast_statementName7827);
  meth_meth_ast_statementName7827->definitionModule = modulename;
  meth_meth_ast_statementName7827->definitionLine = 1984;
  sourceObject = obj7666;
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7829 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7830 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7831 = gc_frame_new();
// call case 3: self.outer request
  Object call7832 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7831);
// compiled member node returning call7832 (depth = 5)
  Object call7833 = callmethodflags(call7832, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7830);
// compiled member node returning call7833 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7834 = callmethodflags(call7833, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7829);
// compiled call node returning call7834 (depth = 3)
  struct UserObject *obj7666_uo = (struct UserObject *)obj7666;
  obj7666_uo->super = call7834;
  sourceObject = obj7666;
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7835 == NULL) {
    strlit7835 = alloc_String("bind");
    gc_root(strlit7835);
  }
// compiled string node returning strlit7835 (depth = 3)
  adddatum2(obj7666, strlit7835, 1);
  sourceObject = obj7666;
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dest_39_ (depth = 3)
  adddatum2(obj7666, *var_dest_39_, 2);
  sourceObject = obj7666;
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj7666, *var_val_39_, 3);
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  objclass7666 = obj7666->class;
  objclass7666->definitionModule = modulename;
  objclass7666->definitionLine = 1938;
  (*(struct UserObject *)self).data[0] = lowerouter7666;
  self = oldself7666;
  selfslot = oldselfslot7666;
  stackframe = oldstackframe7666;
  gc_frame_end(frame);
  return obj7666;
}
Object meth_ast_new_40_2_41_7665_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_)");
  Object params[1];
  int partcv[2];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_dest_39_ = &(stackframe->slots[0]);
  *var_dest_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7666 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7666 = alloc_userobj2(13,12, objclass7666);
  gc_frame_newslot(obj7666);
if (objclass7666 == NULL) {
  glfree(obj7666->class->name);
  obj7666->class->name = "new(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7666, self, 0);
  addmethodreal(obj7666,"outer", &reader_ast_outer_7667);
  Object oldself7666 = self;
  struct StackFrameObject *oldstackframe7666 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7666);
  gc_frame_newslot((Object)stackframe);
  self = obj7666;
  Object *oldselfslot7666 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7666 = (*(struct UserObject *)self).data[0], lowerouter7666 = thisouter7666;
  if (inheritingObject7666) {
    struct UserObject *inho7666 = (struct UserObject *)inheritingObject7666;
    while (inho7666->super != GraceDefaultObject) inho7666 = (struct UserObject *)inho7666->super;
    inho7666->super = obj7666;
    self = inheritingObject7666;
    *selfslot = self;
    lowerouter7666 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7666;
  }
if (objclass7666 == NULL) {
  Method *reader7668 = addmethodrealflags(obj7666, "kind",&reader_ast_kind_7668, MFLAG_DEF);
  reader7668->definitionModule = modulename;
  reader7668->definitionLine = 1941;
}
adddatum2(obj7666, alloc_Undefined(), 1);
if (objclass7666 == NULL) {
  Method *reader7669 = addmethodrealflags(obj7666, "dest", &reader_ast_dest_7669, 0);
  Method *writer7669 = addmethodrealflags(obj7666, "dest:=(1)", &writer_ast_dest_7669, 0);
  reader7669->definitionModule = modulename;
  writer7669->definitionModule = modulename;
  reader7669->definitionLine = 1942;
  writer7669->definitionLine = 1942;
}
obj7666->flags |= OFLAG_MUTABLE;
adddatum2(obj7666, alloc_Undefined(), 2);
if (objclass7666 == NULL) {
  Method *reader7670 = addmethodrealflags(obj7666, "value", &reader_ast_value_7670, 0);
  Method *writer7670 = addmethodrealflags(obj7666, "value:=(1)", &writer_ast_value_7670, 0);
  reader7670->definitionModule = modulename;
  writer7670->definitionModule = modulename;
  reader7670->definitionLine = 1943;
  writer7670->definitionLine = 1943;
}
obj7666->flags |= OFLAG_MUTABLE;
adddatum2(obj7666, alloc_Undefined(), 3);
// method "isBind"
  struct UserObject *uo7671 = (struct UserObject*)obj7666;
  uo7671->data[4] = emptyclosure;
  Method *meth_meth_ast_isBind7671 = addmethod2pos(obj7666, "isBind", &meth_ast_isBind7671, 4);
  int argcv_meth_ast_isBind7671[] = {0};
  meth_meth_ast_isBind7671->type = alloc_MethodType(1, argcv_meth_ast_isBind7671);
  meth_meth_ast_isBind7671->definitionModule = modulename;
  meth_meth_ast_isBind7671->definitionLine = 1945;
// method "asString"
  struct UserObject *uo7673 = (struct UserObject*)obj7666;
  uo7673->data[5] = emptyclosure;
  Method *meth_meth_ast_asString7673 = addmethod2pos(obj7666, "asString", &meth_ast_asString7673, 5);
  int argcv_meth_ast_asString7673[] = {0};
  meth_meth_ast_asString7673->type = alloc_MethodType(1, argcv_meth_ast_asString7673);
  meth_meth_ast_asString7673->definitionModule = modulename;
  meth_meth_ast_asString7673->definitionLine = 1946;
// method "accept(_)from(_)"
  struct UserObject *uo7684 = (struct UserObject*)obj7666;
  uo7684->data[6] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7684 = addmethod2pos(obj7666, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7684, 6);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7684[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7684->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7684);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7684->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7684->definitionLine = 1947;
// method "map(_)ancestors(_)"
  struct UserObject *uo7698 = (struct UserObject*)obj7666;
  uo7698->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7698 = addmethod2pos(obj7666, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7698, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7698[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7698->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7698);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7698->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7698->definitionLine = 1954;
// method "pretty(_)"
  struct UserObject *uo7717 = (struct UserObject*)obj7666;
  uo7717->data[8] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7717 = addmethod2pos(obj7666, "pretty(1)", &meth_ast_pretty_40_1_41_7717, 8);
  int argcv_meth_ast_pretty_40_1_41_7717[] = {1};
  meth_meth_ast_pretty_40_1_41_7717->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7717);
  meth_meth_ast_pretty_40_1_41_7717->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7717->definitionLine = 1961;
// method "toGrace(_)"
  struct UserObject *uo7774 = (struct UserObject*)obj7666;
  uo7774->data[9] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_7774 = addmethod2pos(obj7666, "toGrace(1)", &meth_ast_toGrace_40_1_41_7774, 9);
  int argcv_meth_ast_toGrace_40_1_41_7774[] = {1};
  meth_meth_ast_toGrace_40_1_41_7774->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_7774);
meth_meth_ast_toGrace_40_1_41_7774->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_7774->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_7774->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_7774->definitionLine = 1972;
// method "shallowCopy"
  block_savedest(obj7666);
  Object closure7818 = createclosure(1, "shallowCopy");
  setclosureframe(closure7818, stackframe);
  addtoclosure(closure7818, var_bindNode);
  struct UserObject *uo7818 = (struct UserObject*)obj7666;
  uo7818->data[10] = (Object)closure7818;
  Method *meth_meth_ast_shallowCopy7818 = addmethod2pos(obj7666, "shallowCopy", &meth_ast_shallowCopy7818, 10);
  int argcv_meth_ast_shallowCopy7818[] = {0};
  meth_meth_ast_shallowCopy7818->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy7818);
  meth_meth_ast_shallowCopy7818->definitionModule = modulename;
  meth_meth_ast_shallowCopy7818->definitionLine = 1981;
// method "statementName"
  struct UserObject *uo7827 = (struct UserObject*)obj7666;
  uo7827->data[11] = emptyclosure;
  Method *meth_meth_ast_statementName7827 = addmethod2pos(obj7666, "statementName", &meth_ast_statementName7827, 11);
  int argcv_meth_ast_statementName7827[] = {0};
  meth_meth_ast_statementName7827->type = alloc_MethodType(1, argcv_meth_ast_statementName7827);
  meth_meth_ast_statementName7827->definitionModule = modulename;
  meth_meth_ast_statementName7827->definitionLine = 1984;
  sourceObject = obj7666;
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7829 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7830 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7831 = gc_frame_new();
// call case 3: self.outer request
  Object call7832 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7831);
// compiled member node returning call7832 (depth = 5)
  Object call7833 = callmethodflags(call7832, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7830);
// compiled member node returning call7833 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call7834 = callmethodflags(call7833, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7829);
// compiled call node returning call7834 (depth = 3)
  struct UserObject *obj7666_uo = (struct UserObject *)obj7666;
  obj7666_uo->super = call7834;
  sourceObject = obj7666;
// Begin line 1941
  setline(1941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit7835 == NULL) {
    strlit7835 = alloc_String("bind");
    gc_root(strlit7835);
  }
// compiled string node returning strlit7835 (depth = 3)
  adddatum2(obj7666, strlit7835, 1);
  sourceObject = obj7666;
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dest_39_ (depth = 3)
  adddatum2(obj7666, *var_dest_39_, 2);
  sourceObject = obj7666;
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj7666, *var_val_39_, 3);
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  sourceObject = obj7666;
  objclass7666 = obj7666->class;
  objclass7666->definitionModule = modulename;
  objclass7666->definitionLine = 1938;
  (*(struct UserObject *)self).data[0] = lowerouter7666;
  self = oldself7666;
  selfslot = oldselfslot7666;
  stackframe = oldstackframe7666;
  gc_frame_end(frame);
  return obj7666;
}
Object meth_ast_bindNode7837(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "bindNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_bindNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bindNode (depth = 3)
  gc_frame_end(frame);
  return *var_bindNode;
}
Object meth_ast_new_40_3_41_scope_40_1_41_7840(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(6, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(3)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)scope(_)");
  Object params[3];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *var_s = &(stackframe->slots[3]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[4]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "result");
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7841 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name_39_ (depth = 5)
  gc_frame_newslot(*var_name_39_);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype_39_ (depth = 5)
  gc_frame_newslot(*var_dtype_39_);
// call case 4: self request
  params[0] = *var_name_39_;
  params[1] = *var_val;
  params[2] = *var_dtype_39_;
  partcv[0] = 3;
  Object call7842 = callmethodflags(self, "new(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7841);
// compiled call node returning call7842 (depth = 4)
  *var_result = call7842;
  if (call7842 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7843 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call7844 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7843);
// compiled call node returning call7844 (depth = 3)
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_isPublic7855(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7858 = alloc_Float64(0);
// compiled num node returning num7858 (depth = 5)
  int op_slot_right_7857 = gc_frame_newslot(num7858);
// starting to compile member node (depth = 5)
  int callframe7860 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7861 = gc_frame_new();
// call case 4: self request
  Object call7862 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7861);
// compiled member node returning call7862 (depth = 6)
  Object call7863 = callmethodflags(call7862, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7860);
// compiled member node returning call7863 (depth = 5)
  int op_slot_left_7857 = gc_frame_newslot(call7863);
  params[0] = num7858;
  partcv[0] = 1;
  Object opresult7864 = callmethod(call7863, "==(1)", 1, partcv, params);
// compiled op node returning opresult7864 (depth = 4)
  Object if7856 = done;
  if (istrue(opresult7864)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool7865 = alloc_Boolean(0);
// compiled identifier node returning bool7865 (depth = 5)
  return bool7865;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if7856 = undefined;
  } else {
  }
// compiled if node returning if7856 (depth = 3)
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7867 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit7868 == NULL) {
    strlit7868 = alloc_String("public");
    gc_root(strlit7868);
  }
// compiled string node returning strlit7868 (depth = 5)
  gc_frame_newslot(strlit7868);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7869 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7870 = gc_frame_new();
// call case 3: self.outer request
  Object call7871 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7870);
// compiled member node returning call7871 (depth = 6)
  Object call7872 = callmethodflags(call7871, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7869);
// compiled member node returning call7872 (depth = 5)
  params[0] = self;
  params[1] = strlit7868;
  partcv[0] = 2;
  Object call7873 = callmethodflags(call7872, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7867);
// compiled call node returning call7873 (depth = 4)
  Object if7866 = done;
  if (istrue(call7873)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool7874 = alloc_Boolean(1);
// compiled identifier node returning bool7874 (depth = 5)
  return bool7874;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if7866 = undefined;
  } else {
  }
// compiled if node returning if7866 (depth = 3)
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7875 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit7876 == NULL) {
    strlit7876 = alloc_String("readable");
    gc_root(strlit7876);
  }
// compiled string node returning strlit7876 (depth = 4)
  gc_frame_newslot(strlit7876);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7877 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7878 = gc_frame_new();
// call case 3: self.outer request
  Object call7879 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7878);
// compiled member node returning call7879 (depth = 5)
  Object call7880 = callmethodflags(call7879, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7877);
// compiled member node returning call7880 (depth = 4)
  params[0] = self;
  params[1] = strlit7876;
  partcv[0] = 2;
  Object call7881 = callmethodflags(call7880, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7875);
// compiled call node returning call7881 (depth = 3)
  gc_frame_end(frame);
  return call7881;
}
Object meth_ast_isFieldDec7882(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7883 = alloc_Boolean(1);
// compiled identifier node returning bool7883 (depth = 3)
  gc_frame_end(frame);
  return bool7883;
}
Object meth_ast_isWritable7884(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool7885 = alloc_Boolean(0);
// compiled identifier node returning bool7885 (depth = 3)
  gc_frame_end(frame);
  return bool7885;
}
Object meth_ast_isReadable7886(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7887 = gc_frame_new();
// call case 4: self request
  Object call7888 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7887);
// compiled member node returning call7888 (depth = 3)
  gc_frame_end(frame);
  return call7888;
}
Object meth_ast_returnsObject7889(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnsObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2015
  setline(2015);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7890 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7891 = gc_frame_new();
// call case 4: self request
  Object call7892 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7891);
// compiled member node returning call7892 (depth = 4)
  Object call7893 = callmethodflags(call7892, "returnsObject", 0, partcv, params, 0);
  gc_frame_end(callframe7890);
// compiled member node returning call7893 (depth = 3)
  gc_frame_end(frame);
  return call7893;
}
Object meth_ast_returnedObjectScope7894(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "returnedObjectScope");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2019
  setline(2019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7895 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7896 = gc_frame_new();
// call case 4: self request
  Object call7897 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7896);
// compiled member node returning call7897 (depth = 4)
  Object call7898 = callmethodflags(call7897, "returnedObjectScope", 0, partcv, params, 0);
  gc_frame_end(callframe7895);
// compiled member node returning call7898 (depth = 3)
  gc_frame_end(frame);
  return call7898;
}
Object meth_ast_usesAsType_40_1_41_7899(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2022
  setline(2022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7901 = gc_frame_new();
// call case 4: self request
  Object call7902 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7901);
// compiled member node returning call7902 (depth = 4)
  int op_slot_right_7900 = gc_frame_newslot(call7902);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_7900 = gc_frame_newslot(*var_aNode);
  params[0] = call7902;
  partcv[0] = 1;
  Object opresult7904 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult7904 (depth = 3)
  gc_frame_end(frame);
  return opresult7904;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_7905(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7906 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call7907 = callmethodflags(*var_k, "defdec", 0, partcv, params, 0);
  gc_frame_end(callframe7906);
// compiled member node returning call7907 (depth = 3)
  gc_frame_end(frame);
  return call7907;
}
Object meth_ast__apply_40_1_41_7933(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7934 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7935 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7934);
// compiled call node returning call7935 (depth = 6)
  gc_frame_end(frame);
  return call7935;
}
Object meth_ast_accept_40_1_41_from_40_1_41_7908(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2027
  setline(2027);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7910 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7911 = callmethodflags(*var_visitor, "visitDefDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7910);
// compiled call node returning call7911 (depth = 4)
  Object if7909 = done;
  if (istrue(call7911)) {
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7912 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call7913 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7912);
// compiled call node returning call7913 (depth = 5)
  *var_newChain = call7913;
  if (call7913 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7914 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7915 = gc_frame_new();
// call case 4: self request
  Object call7916 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7915);
// compiled member node returning call7916 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7917 = callmethodflags(call7916, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7914);
// compiled call node returning call7917 (depth = 4)
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7920 = gc_frame_new();
// call case 4: self request
  Object call7921 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7920);
// compiled member node returning call7921 (depth = 6)
  int op_slot_right_7919 = gc_frame_newslot(call7921);
// starting to compile identifier node (depth = 6)
  Object bool7923 = alloc_Boolean(0);
// compiled identifier node returning bool7923 (depth = 6)
  int op_slot_left_7919 = gc_frame_newslot(bool7923);
  params[0] = call7921;
  partcv[0] = 1;
  Object opresult7924 = callmethod(bool7923, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7924 (depth = 5)
  Object if7918 = done;
  if (istrue(opresult7924)) {
// Begin line 2031
  setline(2031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7925 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7926 = gc_frame_new();
// call case 4: self request
  Object call7927 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7926);
// compiled member node returning call7927 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7928 = callmethodflags(call7927, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7925);
// compiled call node returning call7928 (depth = 5)
    gc_frame_newslot(call7928);
    if7918 = call7928;
  } else {
  }
// compiled if node returning if7918 (depth = 4)
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7929 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7930 = gc_frame_new();
// call case 4: self request
  Object call7931 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7930);
// compiled member node returning call7931 (depth = 5)
  gc_frame_newslot(call7931);
// starting to compile block node (depth = 5)
  Object block7932 = alloc_Block(NULL, NULL, "ast", 2033);
  gc_frame_newslot(block7932);
// method "_apply(_)"
  block_savedest(block7932);
  Object closure7933 = createclosure(3, "_apply(1)");
  setclosureframe(closure7933, stackframe);
  addtoclosure(closure7933, var_visitor);
  addtoclosure(closure7933, var_newChain);
  addtoclosure(closure7933, selfslot);
  struct UserObject *uo7933 = (struct UserObject*)block7932;
  uo7933->data[0] = (Object)closure7933;
  Method *meth_meth_ast__apply_40_1_41_7933 = addmethod2pos(block7932, "_apply(1)", &meth_ast__apply_40_1_41_7933, 0);
  int argcv_meth_ast__apply_40_1_41_7933[] = {1};
  meth_meth_ast__apply_40_1_41_7933->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7933);
  meth_meth_ast__apply_40_1_41_7933->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7933->definitionLine = 2947;
// compiled block node returning block7932 (depth = 5)
  gc_frame_newslot(block7932);
// call case 5: prelude request
  params[0] = call7931;
  params[1] = block7932;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7937 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7929);
// compiled call node returning call7937 (depth = 4)
// Begin line 2036
  setline(2036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7938 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7939 = gc_frame_new();
// call case 4: self request
  Object call7940 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7939);
// compiled member node returning call7940 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7941 = callmethodflags(call7940, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7938);
// compiled call node returning call7941 (depth = 4)
    gc_frame_newslot(call7941);
    if7909 = call7941;
  } else {
  }
// compiled if node returning if7909 (depth = 3)
  gc_frame_end(frame);
  return if7909;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_7942(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7943 = gc_frame_new();
// call case 4: self request
  Object call7944 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7943);
// compiled member node returning call7944 (depth = 4)
  *var_n = call7944;
  if (call7944 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7945 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call7946 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7945);
// compiled call node returning call7946 (depth = 4)
  *var_newChain = call7946;
  if (call7946 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7947 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7948 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7949 = gc_frame_new();
// call case 4: self request
  Object call7950 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7949);
// compiled member node returning call7950 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7951 = callmethodflags(call7950, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7948);
// compiled call node returning call7951 (depth = 4)
  gc_frame_newslot(call7951);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7951;
  partcv[0] = 1;
  Object call7952 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7947);
// compiled call node returning call7952 (depth = 3)
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7953 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7954 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7955 = gc_frame_new();
// call case 4: self request
  Object call7956 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7955);
// compiled member node returning call7956 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7957 = callmethodflags(call7956, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7954);
// compiled call node returning call7957 (depth = 4)
  gc_frame_newslot(call7957);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7957;
  partcv[0] = 1;
  Object call7958 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7953);
// compiled call node returning call7958 (depth = 3)
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7959 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7960 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7961 = gc_frame_new();
// call case 4: self request
  Object call7962 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7961);
// compiled member node returning call7962 (depth = 5)
  gc_frame_newslot(call7962);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7963 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7964 = gc_frame_new();
// call case 3: self.outer request
  Object call7965 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7964);
// compiled member node returning call7965 (depth = 6)
  Object call7966 = callmethodflags(call7965, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7963);
// compiled member node returning call7966 (depth = 5)
  params[0] = call7962;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7967 = callmethodflags(call7966, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7960);
// compiled call node returning call7967 (depth = 4)
  gc_frame_newslot(call7967);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7967;
  partcv[0] = 1;
  Object call7968 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7959);
// compiled call node returning call7968 (depth = 3)
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7969 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7970 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7971 = gc_frame_new();
// call case 4: self request
  Object call7972 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7971);
// compiled member node returning call7972 (depth = 5)
  gc_frame_newslot(call7972);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7973 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7974 = gc_frame_new();
// call case 3: self.outer request
  Object call7975 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe7974);
// compiled member node returning call7975 (depth = 6)
  Object call7976 = callmethodflags(call7975, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe7973);
// compiled member node returning call7976 (depth = 5)
  params[0] = call7972;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call7977 = callmethodflags(call7976, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7970);
// compiled call node returning call7977 (depth = 4)
  gc_frame_newslot(call7977);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call7977;
  partcv[0] = 1;
  Object call7978 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7969);
// compiled call node returning call7978 (depth = 3)
// Begin line 2046
  setline(2046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7979 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call7980 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7979);
// compiled call node returning call7980 (depth = 3)
  gc_frame_end(frame);
  return call7980;
}
Object meth_ast__apply_40_1_41_7989(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7991 == NULL) {
    strlit7991 = alloc_String("  ");
    gc_root(strlit7991);
  }
// compiled string node returning strlit7991 (depth = 7)
  int op_slot_right_7990 = gc_frame_newslot(strlit7991);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_7990 = gc_frame_newslot(*var_spc);
  params[0] = strlit7991;
  partcv[0] = 1;
  Object opresult7993 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult7993 (depth = 6)
  *var_spc = opresult7993;
  if (opresult7993 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_8095(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8097 == NULL) {
    strlit8097 = alloc_String("");
    gc_root(strlit8097);
  }
// compiled string node returning strlit8097 (depth = 8)
  int op_slot_right_8096 = gc_frame_newslot(strlit8097);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8100 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num8102 = alloc_Float64(2);
// compiled num node returning num8102 (depth = 11)
  int op_slot_right_8101 = gc_frame_newslot(num8102);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_depth (depth = 11)
  int op_slot_left_8101 = gc_frame_newslot(*var_depth);
  params[0] = num8102;
  partcv[0] = 1;
  Object sum8104 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8104 (depth = 10)
  gc_frame_newslot(sum8104);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ann (depth = 10)
  params[0] = sum8104;
  partcv[0] = 1;
  Object call8105 = callmethodflags(*var_ann, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8100);
// compiled call node returning call8105 (depth = 9)
  int op_slot_right_8099 = gc_frame_newslot(call8105);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit8108 == NULL) {
    strlit8108 = alloc_String(" ");
    gc_root(strlit8108);
  }
// compiled string node returning strlit8108 (depth = 10)
  int op_slot_right_8107 = gc_frame_newslot(strlit8108);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_s (depth = 11)
  int op_slot_right_8110 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 11)
  if (strlit8112 == NULL) {
    strlit8112 = alloc_String("");
    gc_root(strlit8112);
  }
// compiled string node returning strlit8112 (depth = 11)
  int op_slot_left_8110 = gc_frame_newslot(strlit8112);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult8113 = callmethod(strlit8112, "++(1)", 1, partcv, params);
// compiled op node returning opresult8113 (depth = 10)
  int op_slot_left_8107 = gc_frame_newslot(opresult8113);
  params[0] = strlit8108;
  partcv[0] = 1;
  Object opresult8114 = callmethod(opresult8113, "++(1)", 1, partcv, params);
// compiled op node returning opresult8114 (depth = 9)
  int op_slot_left_8099 = gc_frame_newslot(opresult8114);
  params[0] = call8105;
  partcv[0] = 1;
  Object opresult8115 = callmethod(opresult8114, "++(1)", 1, partcv, params);
// compiled op node returning opresult8115 (depth = 8)
  int op_slot_left_8096 = gc_frame_newslot(opresult8115);
  params[0] = strlit8097;
  partcv[0] = 1;
  Object opresult8116 = callmethod(opresult8115, "++(1)", 1, partcv, params);
// compiled op node returning opresult8116 (depth = 7)
  *var_s = opresult8116;
  if (opresult8116 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_7981(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7982 == NULL) {
    strlit7982 = alloc_String("");
    gc_root(strlit7982);
  }
// compiled string node returning strlit7982 (depth = 4)
  *var_spc = strlit7982;
  if (strlit7982 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2050
  setline(2050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7983 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_7984 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num7986 = alloc_Float64(0);
// compiled num node returning num7986 (depth = 5)
  int op_slot_left_7984 = gc_frame_newslot(num7986);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult7987 = callmethod(num7986, "..(1)", 1, partcv, params);
// compiled op node returning opresult7987 (depth = 4)
  gc_frame_newslot(opresult7987);
// starting to compile block node (depth = 4)
  Object block7988 = alloc_Block(NULL, NULL, "ast", 2050);
  gc_frame_newslot(block7988);
// method "_apply(_)"
  block_savedest(block7988);
  Object closure7989 = createclosure(2, "_apply(1)");
  setclosureframe(closure7989, stackframe);
  addtoclosure(closure7989, var_spc);
  addtoclosure(closure7989, selfslot);
  struct UserObject *uo7989 = (struct UserObject*)block7988;
  uo7989->data[0] = (Object)closure7989;
  Method *meth_meth_ast__apply_40_1_41_7989 = addmethod2pos(block7988, "_apply(1)", &meth_ast__apply_40_1_41_7989, 0);
  int argcv_meth_ast__apply_40_1_41_7989[] = {1};
  meth_meth_ast__apply_40_1_41_7989->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_7989);
  meth_meth_ast__apply_40_1_41_7989->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_7989->definitionLine = 2947;
// compiled block node returning block7988 (depth = 4)
  gc_frame_newslot(block7988);
// call case 5: prelude request
  params[0] = opresult7987;
  params[1] = block7988;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7996 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7983);
// compiled call node returning call7996 (depth = 3)
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7998 == NULL) {
    strlit7998 = alloc_String("""\x0a""");
    gc_root(strlit7998);
  }
// compiled string node returning strlit7998 (depth = 5)
  int op_slot_right_7997 = gc_frame_newslot(strlit7998);
// starting to compile call node (depth = 5)
  int callframe8000 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8001 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe8000);
// compiled call node returning call8001 (depth = 5)
  int op_slot_left_7997 = gc_frame_newslot(call8001);
  params[0] = strlit7998;
  partcv[0] = 1;
  Object opresult8002 = callmethod(call8001, "++(1)", 1, partcv, params);
// compiled op node returning opresult8002 (depth = 4)
  *var_s = opresult8002;
  if (opresult8002 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2054
  setline(2054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8004 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8005 = gc_frame_new();
// call case 4: self request
  Object call8006 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8005);
// compiled member node returning call8006 (depth = 6)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8007 = callmethodflags(call8006, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8004);
// compiled call node returning call8007 (depth = 5)
  int op_slot_right_8003 = gc_frame_newslot(call8007);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8009 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8009 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8011 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8011 (depth = 5)
  int op_slot_left_8003 = gc_frame_newslot(opresult8011);
  params[0] = call8007;
  partcv[0] = 1;
  Object opresult8012 = callmethod(opresult8011, "++(1)", 1, partcv, params);
// compiled op node returning opresult8012 (depth = 4)
  *var_s = opresult8012;
  if (opresult8012 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8016 = gc_frame_new();
// call case 4: self request
  Object call8017 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8016);
// compiled member node returning call8017 (depth = 5)
  int op_slot_right_8015 = gc_frame_newslot(call8017);
// starting to compile identifier node (depth = 5)
  Object bool8019 = alloc_Boolean(0);
// compiled identifier node returning bool8019 (depth = 5)
  int op_slot_left_8015 = gc_frame_newslot(bool8019);
  params[0] = call8017;
  partcv[0] = 1;
  Object opresult8020 = callmethod(bool8019, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8020 (depth = 4)
  Object if8014 = done;
  if (istrue(opresult8020)) {
// Begin line 2056
  setline(2056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8022 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8024 = alloc_Float64(2);
// compiled num node returning num8024 (depth = 8)
  int op_slot_right_8023 = gc_frame_newslot(num8024);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8023 = gc_frame_newslot(*var_depth);
  params[0] = num8024;
  partcv[0] = 1;
  Object sum8026 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8026 (depth = 7)
  gc_frame_newslot(sum8026);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8027 = gc_frame_new();
// call case 4: self request
  Object call8028 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8027);
// compiled member node returning call8028 (depth = 7)
  params[0] = sum8026;
  partcv[0] = 1;
  Object call8029 = callmethodflags(call8028, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8022);
// compiled call node returning call8029 (depth = 6)
  int op_slot_right_8021 = gc_frame_newslot(call8029);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8032 == NULL) {
    strlit8032 = alloc_String("Type: ");
    gc_root(strlit8032);
  }
// compiled string node returning strlit8032 (depth = 7)
  int op_slot_right_8031 = gc_frame_newslot(strlit8032);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8034 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8037 == NULL) {
    strlit8037 = alloc_String("""\x0a""");
    gc_root(strlit8037);
  }
// compiled string node returning strlit8037 (depth = 9)
  int op_slot_right_8036 = gc_frame_newslot(strlit8037);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_8036 = gc_frame_newslot(*var_s);
  params[0] = strlit8037;
  partcv[0] = 1;
  Object opresult8039 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8039 (depth = 8)
  int op_slot_left_8034 = gc_frame_newslot(opresult8039);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8040 = callmethod(opresult8039, "++(1)", 1, partcv, params);
// compiled op node returning opresult8040 (depth = 7)
  int op_slot_left_8031 = gc_frame_newslot(opresult8040);
  params[0] = strlit8032;
  partcv[0] = 1;
  Object opresult8041 = callmethod(opresult8040, "++(1)", 1, partcv, params);
// compiled op node returning opresult8041 (depth = 6)
  int op_slot_left_8021 = gc_frame_newslot(opresult8041);
  params[0] = call8029;
  partcv[0] = 1;
  Object opresult8042 = callmethod(opresult8041, "++(1)", 1, partcv, params);
// compiled op node returning opresult8042 (depth = 5)
  *var_s = opresult8042;
  if (opresult8042 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8014 = done;
  } else {
  }
// compiled if node returning if8014 (depth = 3)
// Begin line 2058
  setline(2058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8046 = gc_frame_new();
// call case 4: self request
  Object call8047 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8046);
// compiled member node returning call8047 (depth = 5)
  int op_slot_right_8045 = gc_frame_newslot(call8047);
// starting to compile identifier node (depth = 5)
  Object bool8049 = alloc_Boolean(0);
// compiled identifier node returning bool8049 (depth = 5)
  int op_slot_left_8045 = gc_frame_newslot(bool8049);
  params[0] = call8047;
  partcv[0] = 1;
  Object opresult8050 = callmethod(bool8049, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8050 (depth = 4)
  Object if8044 = done;
  if (istrue(opresult8050)) {
// Begin line 2059
  setline(2059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8052 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8054 = alloc_Float64(2);
// compiled num node returning num8054 (depth = 8)
  int op_slot_right_8053 = gc_frame_newslot(num8054);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8053 = gc_frame_newslot(*var_depth);
  params[0] = num8054;
  partcv[0] = 1;
  Object sum8056 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8056 (depth = 7)
  gc_frame_newslot(sum8056);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8057 = gc_frame_new();
// call case 4: self request
  Object call8058 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8057);
// compiled member node returning call8058 (depth = 7)
  params[0] = sum8056;
  partcv[0] = 1;
  Object call8059 = callmethodflags(call8058, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8052);
// compiled call node returning call8059 (depth = 6)
  int op_slot_right_8051 = gc_frame_newslot(call8059);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8062 == NULL) {
    strlit8062 = alloc_String("Value: ");
    gc_root(strlit8062);
  }
// compiled string node returning strlit8062 (depth = 7)
  int op_slot_right_8061 = gc_frame_newslot(strlit8062);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8064 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8067 == NULL) {
    strlit8067 = alloc_String("""\x0a""");
    gc_root(strlit8067);
  }
// compiled string node returning strlit8067 (depth = 9)
  int op_slot_right_8066 = gc_frame_newslot(strlit8067);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_left_8066 = gc_frame_newslot(*var_s);
  params[0] = strlit8067;
  partcv[0] = 1;
  Object opresult8069 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8069 (depth = 8)
  int op_slot_left_8064 = gc_frame_newslot(opresult8069);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8070 = callmethod(opresult8069, "++(1)", 1, partcv, params);
// compiled op node returning opresult8070 (depth = 7)
  int op_slot_left_8061 = gc_frame_newslot(opresult8070);
  params[0] = strlit8062;
  partcv[0] = 1;
  Object opresult8071 = callmethod(opresult8070, "++(1)", 1, partcv, params);
// compiled op node returning opresult8071 (depth = 6)
  int op_slot_left_8051 = gc_frame_newslot(opresult8071);
  params[0] = call8059;
  partcv[0] = 1;
  Object opresult8072 = callmethod(opresult8071, "++(1)", 1, partcv, params);
// compiled op node returning opresult8072 (depth = 5)
  *var_s = opresult8072;
  if (opresult8072 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8044 = done;
  } else {
  }
// compiled if node returning if8044 (depth = 3)
// Begin line 2061
  setline(2061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8075 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8076 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8077 = gc_frame_new();
// call case 4: self request
  Object call8078 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8077);
// compiled member node returning call8078 (depth = 6)
  Object call8079 = callmethodflags(call8078, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe8076);
// compiled member node returning call8079 (depth = 5)
  Object call8080 = callmethodflags(call8079, "not", 0, partcv, params, 0);
  gc_frame_end(callframe8075);
// compiled member node returning call8080 (depth = 4)
  Object if8074 = done;
  if (istrue(call8080)) {
// Begin line 2062
  setline(2062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8083 == NULL) {
    strlit8083 = alloc_String("Annotations:");
    gc_root(strlit8083);
  }
// compiled string node returning strlit8083 (depth = 7)
  int op_slot_right_8082 = gc_frame_newslot(strlit8083);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_right_8085 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 8)
  if (strlit8087 == NULL) {
    strlit8087 = alloc_String("""\x0a""");
    gc_root(strlit8087);
  }
// compiled string node returning strlit8087 (depth = 8)
  int op_slot_left_8085 = gc_frame_newslot(strlit8087);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8088 = callmethod(strlit8087, "++(1)", 1, partcv, params);
// compiled op node returning opresult8088 (depth = 7)
  int op_slot_left_8082 = gc_frame_newslot(opresult8088);
  params[0] = strlit8083;
  partcv[0] = 1;
  Object opresult8089 = callmethod(opresult8088, "++(1)", 1, partcv, params);
// compiled op node returning opresult8089 (depth = 6)
  int op_slot_right_8081 = gc_frame_newslot(opresult8089);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8081 = gc_frame_newslot(*var_s);
  params[0] = opresult8089;
  partcv[0] = 1;
  Object opresult8091 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8091 (depth = 5)
  *var_s = opresult8091;
  if (opresult8091 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8093 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block8094 = alloc_Block(NULL, NULL, "ast", 2063);
  gc_frame_newslot(block8094);
// method "_apply(_)"
  block_savedest(block8094);
  Object closure8095 = createclosure(3, "_apply(1)");
  setclosureframe(closure8095, stackframe);
  addtoclosure(closure8095, var_depth);
  addtoclosure(closure8095, var_s);
  addtoclosure(closure8095, selfslot);
  struct UserObject *uo8095 = (struct UserObject*)block8094;
  uo8095->data[0] = (Object)closure8095;
  Method *meth_meth_ast__apply_40_1_41_8095 = addmethod2pos(block8094, "_apply(1)", &meth_ast__apply_40_1_41_8095, 0);
  int argcv_meth_ast__apply_40_1_41_8095[] = {1};
  meth_meth_ast__apply_40_1_41_8095->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8095);
  meth_meth_ast__apply_40_1_41_8095->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8095->definitionLine = 2947;
// compiled block node returning block8094 (depth = 5)
  gc_frame_newslot(block8094);
// call case 6: other requests
// Begin line 2063
  setline(2063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8119 = gc_frame_new();
// call case 4: self request
  Object call8120 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8119);
// compiled member node returning call8120 (depth = 5)
  params[0] = block8094;
  partcv[0] = 1;
  Object call8121 = callmethodflags(call8120, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8093);
// compiled call node returning call8121 (depth = 4)
    gc_frame_newslot(call8121);
    if8074 = call8121;
  } else {
  }
// compiled if node returning if8074 (depth = 3)
// Begin line 2067
  setline(2067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8124 = gc_frame_new();
// call case 4: self request
  Object call8125 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8124);
// compiled member node returning call8125 (depth = 5)
  int op_slot_right_8123 = gc_frame_newslot(call8125);
// starting to compile identifier node (depth = 5)
  Object bool8127 = alloc_Boolean(0);
// compiled identifier node returning bool8127 (depth = 5)
  int op_slot_left_8123 = gc_frame_newslot(bool8127);
  params[0] = call8125;
  partcv[0] = 1;
  Object opresult8128 = callmethod(bool8127, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8128 (depth = 4)
  Object if8122 = done;
  if (istrue(opresult8128)) {
// Begin line 2068
  setline(2068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8130 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8132 = alloc_Float64(2);
// compiled num node returning num8132 (depth = 8)
  int op_slot_right_8131 = gc_frame_newslot(num8132);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8131 = gc_frame_newslot(*var_depth);
  params[0] = num8132;
  partcv[0] = 1;
  Object sum8134 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8134 (depth = 7)
  gc_frame_newslot(sum8134);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8135 = gc_frame_new();
// call case 4: self request
  Object call8136 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8135);
// compiled member node returning call8136 (depth = 7)
  params[0] = sum8134;
  partcv[0] = 1;
  Object call8137 = callmethodflags(call8136, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8130);
// compiled call node returning call8137 (depth = 6)
  int op_slot_right_8129 = gc_frame_newslot(call8137);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8129 = gc_frame_newslot(*var_s);
  params[0] = call8137;
  partcv[0] = 1;
  Object opresult8139 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8139 (depth = 5)
  *var_s = opresult8139;
  if (opresult8139 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8122 = done;
  } else {
  }
// compiled if node returning if8122 (depth = 3)
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_8153(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2075
  setline(2075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8155 == NULL) {
    strlit8155 = alloc_String("    ");
    gc_root(strlit8155);
  }
// compiled string node returning strlit8155 (depth = 7)
  int op_slot_right_8154 = gc_frame_newslot(strlit8155);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_8154 = gc_frame_newslot(*var_spc);
  params[0] = strlit8155;
  partcv[0] = 1;
  Object opresult8157 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult8157 (depth = 6)
  *var_spc = opresult8157;
  if (opresult8157 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8177(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2079
  setline(2079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8179 == NULL) {
    strlit8179 = alloc_String("Unknown");
    gc_root(strlit8179);
  }
// compiled string node returning strlit8179 (depth = 7)
  int op_slot_right_8178 = gc_frame_newslot(strlit8179);
// starting to compile member node (depth = 7)
  int callframe8181 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8182 = gc_frame_new();
// call case 4: self request
  Object call8183 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8182);
// compiled member node returning call8183 (depth = 8)
  Object call8184 = callmethodflags(call8183, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8181);
// compiled member node returning call8184 (depth = 7)
  int op_slot_left_8178 = gc_frame_newslot(call8184);
  params[0] = strlit8179;
  partcv[0] = 1;
  Object opresult8185 = callmethod(call8184, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8185 (depth = 6)
  gc_frame_end(frame);
  return opresult8185;
}
Object meth_ast__apply_40_2_41_8225(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2085
  setline(2085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8227 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num8228 = alloc_Float64(0);
// compiled num node returning num8228 (depth = 10)
  gc_frame_newslot(num8228);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num8228;
  partcv[0] = 1;
  Object call8229 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8227);
// compiled call node returning call8229 (depth = 9)
  int op_slot_right_8226 = gc_frame_newslot(call8229);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8233 == NULL) {
    strlit8233 = alloc_String("");
    gc_root(strlit8233);
  }
// compiled string node returning strlit8233 (depth = 11)
  int op_slot_right_8232 = gc_frame_newslot(strlit8233);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8232 = gc_frame_newslot(*var_a);
  params[0] = strlit8233;
  partcv[0] = 1;
  Object opresult8235 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8235 (depth = 10)
  Object if8231 = done;
struct StackFrameObject *iftmpstackframe8231 = stackframe;
  if (istrue(opresult8235)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8231);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8237 == NULL) {
    strlit8237 = alloc_String(", ");
    gc_root(strlit8237);
  }
// compiled string node returning strlit8237 (depth = 11)
  int op_slot_right_8236 = gc_frame_newslot(strlit8237);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8236 = gc_frame_newslot(*var_a);
  params[0] = strlit8237;
  partcv[0] = 1;
  Object opresult8239 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult8239 (depth = 10)
    gc_frame_newslot(opresult8239);
    if8231 = opresult8239;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8231);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 10)
  if (strlit8240 == NULL) {
    strlit8240 = alloc_String("");
    gc_root(strlit8240);
  }
// compiled string node returning strlit8240 (depth = 10)
    gc_frame_newslot(strlit8240);
    if8231 = strlit8240;
  }
stackframe = iftmpstackframe8231;
// compiled if node returning if8231 (depth = 9)
  int op_slot_left_8226 = gc_frame_newslot(if8231);
  params[0] = call8229;
  partcv[0] = 1;
  Object opresult8241 = callmethod(if8231, "++(1)", 1, partcv, params);
// compiled op node returning opresult8241 (depth = 8)
  gc_frame_end(frame);
  return opresult8241;
}
Object meth_ast_toGrace_40_1_41_8141(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8142 == NULL) {
    strlit8142 = alloc_String("");
    gc_root(strlit8142);
  }
// compiled string node returning strlit8142 (depth = 4)
  *var_spc = strlit8142;
  if (strlit8142 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8143 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8146 = alloc_Float64(1);
// compiled num node returning num8146 (depth = 6)
  int op_slot_right_8145 = gc_frame_newslot(num8146);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  int op_slot_left_8145 = gc_frame_newslot(*var_depth);
  params[0] = num8146;
  partcv[0] = 1;
  Object diff8148 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff8148 (depth = 5)
  int op_slot_right_8144 = gc_frame_newslot(diff8148);
// starting to compile num node (depth = 5)
  Object num8150 = alloc_Float64(0);
// compiled num node returning num8150 (depth = 5)
  int op_slot_left_8144 = gc_frame_newslot(num8150);
  params[0] = diff8148;
  partcv[0] = 1;
  Object opresult8151 = callmethod(num8150, "..(1)", 1, partcv, params);
// compiled op node returning opresult8151 (depth = 4)
  gc_frame_newslot(opresult8151);
// starting to compile block node (depth = 4)
  Object block8152 = alloc_Block(NULL, NULL, "ast", 2074);
  gc_frame_newslot(block8152);
// method "_apply(_)"
  block_savedest(block8152);
  Object closure8153 = createclosure(2, "_apply(1)");
  setclosureframe(closure8153, stackframe);
  addtoclosure(closure8153, var_spc);
  addtoclosure(closure8153, selfslot);
  struct UserObject *uo8153 = (struct UserObject*)block8152;
  uo8153->data[0] = (Object)closure8153;
  Method *meth_meth_ast__apply_40_1_41_8153 = addmethod2pos(block8152, "_apply(1)", &meth_ast__apply_40_1_41_8153, 0);
  int argcv_meth_ast__apply_40_1_41_8153[] = {1};
  meth_meth_ast__apply_40_1_41_8153->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8153);
  meth_meth_ast__apply_40_1_41_8153->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8153->definitionLine = 2947;
// compiled block node returning block8152 (depth = 4)
  gc_frame_newslot(block8152);
// call case 5: prelude request
  params[0] = opresult8151;
  params[1] = block8152;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8160 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8143);
// compiled call node returning call8160 (depth = 3)
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8162 == NULL) {
    strlit8162 = alloc_String("");
    gc_root(strlit8162);
  }
// compiled string node returning strlit8162 (depth = 5)
  int op_slot_right_8161 = gc_frame_newslot(strlit8162);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8165 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8166 = alloc_Float64(0);
// compiled num node returning num8166 (depth = 7)
  gc_frame_newslot(num8166);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8167 = gc_frame_new();
// call case 4: self request
  Object call8168 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8167);
// compiled member node returning call8168 (depth = 7)
  params[0] = num8166;
  partcv[0] = 1;
  Object call8169 = callmethodflags(call8168, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8165);
// compiled call node returning call8169 (depth = 6)
  int op_slot_right_8164 = gc_frame_newslot(call8169);
// starting to compile string node (depth = 6)
  if (strlit8171 == NULL) {
    strlit8171 = alloc_String("def ");
    gc_root(strlit8171);
  }
// compiled string node returning strlit8171 (depth = 6)
  int op_slot_left_8164 = gc_frame_newslot(strlit8171);
  params[0] = call8169;
  partcv[0] = 1;
  Object opresult8172 = callmethod(strlit8171, "++(1)", 1, partcv, params);
// compiled op node returning opresult8172 (depth = 5)
  int op_slot_left_8161 = gc_frame_newslot(opresult8172);
  params[0] = strlit8162;
  partcv[0] = 1;
  Object opresult8173 = callmethod(opresult8172, "++(1)", 1, partcv, params);
// compiled op node returning opresult8173 (depth = 4)
  *var_s = opresult8173;
  if (opresult8173 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block8176 = alloc_Block(NULL, NULL, "ast", 2078);
  gc_frame_newslot(block8176);
// method "_apply"
  block_savedest(block8176);
  Object closure8177 = createclosure(1, "_apply");
  setclosureframe(closure8177, stackframe);
  addtoclosure(closure8177, selfslot);
  struct UserObject *uo8177 = (struct UserObject*)block8176;
  uo8177->data[0] = (Object)closure8177;
  Method *meth_meth_ast__apply8177 = addmethod2pos(block8176, "_apply", &meth_ast__apply8177, 0);
  int argcv_meth_ast__apply8177[] = {0};
  meth_meth_ast__apply8177->type = alloc_MethodType(1, argcv_meth_ast__apply8177);
  meth_meth_ast__apply8177->definitionModule = modulename;
  meth_meth_ast__apply8177->definitionLine = 2947;
// compiled block node returning block8176 (depth = 5)
  int op_slot_right_8175 = gc_frame_newslot(block8176);
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8189 = gc_frame_new();
// call case 4: self request
  Object call8190 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8189);
// compiled member node returning call8190 (depth = 6)
  int op_slot_right_8188 = gc_frame_newslot(call8190);
// starting to compile identifier node (depth = 6)
  Object bool8192 = alloc_Boolean(0);
// compiled identifier node returning bool8192 (depth = 6)
  int op_slot_left_8188 = gc_frame_newslot(bool8192);
  params[0] = call8190;
  partcv[0] = 1;
  Object opresult8193 = callmethod(bool8192, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8193 (depth = 5)
  int op_slot_left_8175 = gc_frame_newslot(opresult8193);
  params[0] = block8176;
  partcv[0] = 1;
  Object opresult8194 = callmethod(opresult8193, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8194 (depth = 4)
  Object if8174 = done;
  if (istrue(opresult8194)) {
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8196 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8197 = alloc_Float64(0);
// compiled num node returning num8197 (depth = 7)
  gc_frame_newslot(num8197);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8198 = gc_frame_new();
// call case 4: self request
  Object call8199 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8198);
// compiled member node returning call8199 (depth = 7)
  params[0] = num8197;
  partcv[0] = 1;
  Object call8200 = callmethodflags(call8199, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8196);
// compiled call node returning call8200 (depth = 6)
  int op_slot_right_8195 = gc_frame_newslot(call8200);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8203 == NULL) {
    strlit8203 = alloc_String(" : ");
    gc_root(strlit8203);
  }
// compiled string node returning strlit8203 (depth = 7)
  int op_slot_right_8202 = gc_frame_newslot(strlit8203);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8202 = gc_frame_newslot(*var_s);
  params[0] = strlit8203;
  partcv[0] = 1;
  Object opresult8205 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8205 (depth = 6)
  int op_slot_left_8195 = gc_frame_newslot(opresult8205);
  params[0] = call8200;
  partcv[0] = 1;
  Object opresult8206 = callmethod(opresult8205, "++(1)", 1, partcv, params);
// compiled op node returning opresult8206 (depth = 5)
  *var_s = opresult8206;
  if (opresult8206 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8174 = done;
  } else {
  }
// compiled if node returning if8174 (depth = 3)
// Begin line 2082
  setline(2082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8210 = alloc_Float64(0);
// compiled num node returning num8210 (depth = 5)
  int op_slot_right_8209 = gc_frame_newslot(num8210);
// starting to compile member node (depth = 5)
  int callframe8212 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8213 = gc_frame_new();
// call case 4: self request
  Object call8214 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8213);
// compiled member node returning call8214 (depth = 6)
  Object call8215 = callmethodflags(call8214, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8212);
// compiled member node returning call8215 (depth = 5)
  int op_slot_left_8209 = gc_frame_newslot(call8215);
  params[0] = num8210;
  partcv[0] = 1;
  Object opresult8216 = callmethod(call8215, ">(1)", 1, partcv, params);
// compiled op node returning opresult8216 (depth = 4)
  Object if8208 = done;
  if (istrue(opresult8216)) {
// Begin line 2083
  setline(2083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8218 == NULL) {
    strlit8218 = alloc_String(" is ");
    gc_root(strlit8218);
  }
// compiled string node returning strlit8218 (depth = 6)
  int op_slot_right_8217 = gc_frame_newslot(strlit8218);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8217 = gc_frame_newslot(*var_s);
  params[0] = strlit8218;
  partcv[0] = 1;
  Object opresult8220 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8220 (depth = 5)
  *var_s = opresult8220;
  if (opresult8220 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8223 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block8224 = alloc_Block(NULL, NULL, "ast", 2084);
  gc_frame_newslot(block8224);
// method "_apply(_,_)"
  block_savedest(block8224);
  Object closure8225 = createclosure(1, "_apply(2)");
  setclosureframe(closure8225, stackframe);
  addtoclosure(closure8225, selfslot);
  struct UserObject *uo8225 = (struct UserObject*)block8224;
  uo8225->data[0] = (Object)closure8225;
  Method *meth_meth_ast__apply_40_2_41_8225 = addmethod2pos(block8224, "_apply(2)", &meth_ast__apply_40_2_41_8225, 0);
  int argcv_meth_ast__apply_40_2_41_8225[] = {2};
  meth_meth_ast__apply_40_2_41_8225->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_8225);
  meth_meth_ast__apply_40_2_41_8225->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_8225->definitionLine = 2947;
// compiled block node returning block8224 (depth = 7)
  gc_frame_newslot(block8224);
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8243 == NULL) {
    strlit8243 = alloc_String("");
    gc_root(strlit8243);
  }
// compiled string node returning strlit8243 (depth = 7)
  gc_frame_newslot(strlit8243);
// call case 6: other requests
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe8244 = gc_frame_new();
// call case 4: self request
  Object call8245 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8244);
// compiled member node returning call8245 (depth = 7)
  params[0] = block8224;
  params[1] = strlit8243;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8246 = callmethodflags(call8245, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8223);
// compiled call node returning call8246 (depth = 6)
  int op_slot_right_8222 = gc_frame_newslot(call8246);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8222 = gc_frame_newslot(*var_s);
  params[0] = call8246;
  partcv[0] = 1;
  Object opresult8248 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8248 (depth = 5)
  *var_s = opresult8248;
  if (opresult8248 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8208 = done;
  } else {
  }
// compiled if node returning if8208 (depth = 3)
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8252 = gc_frame_new();
// call case 4: self request
  Object call8253 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8252);
// compiled member node returning call8253 (depth = 5)
  int op_slot_right_8251 = gc_frame_newslot(call8253);
// starting to compile identifier node (depth = 5)
  Object bool8255 = alloc_Boolean(0);
// compiled identifier node returning bool8255 (depth = 5)
  int op_slot_left_8251 = gc_frame_newslot(bool8255);
  params[0] = call8253;
  partcv[0] = 1;
  Object opresult8256 = callmethod(bool8255, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8256 (depth = 4)
  Object if8250 = done;
  if (istrue(opresult8256)) {
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8258 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8259 = gc_frame_new();
// call case 4: self request
  Object call8260 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8259);
// compiled member node returning call8260 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8261 = callmethodflags(call8260, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8258);
// compiled call node returning call8261 (depth = 6)
  int op_slot_right_8257 = gc_frame_newslot(call8261);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8264 == NULL) {
    strlit8264 = alloc_String(" = ");
    gc_root(strlit8264);
  }
// compiled string node returning strlit8264 (depth = 7)
  int op_slot_right_8263 = gc_frame_newslot(strlit8264);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8263 = gc_frame_newslot(*var_s);
  params[0] = strlit8264;
  partcv[0] = 1;
  Object opresult8266 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8266 (depth = 6)
  int op_slot_left_8257 = gc_frame_newslot(opresult8266);
  params[0] = call8261;
  partcv[0] = 1;
  Object opresult8267 = callmethod(opresult8266, "++(1)", 1, partcv, params);
// compiled op node returning opresult8267 (depth = 5)
  *var_s = opresult8267;
  if (opresult8267 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8250 = done;
  } else {
  }
// compiled if node returning if8250 (depth = 3)
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy8269(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2094
  setline(2094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8270 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe8271 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8272 = gc_frame_new();
// call case 4: self request
  Object call8273 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8272);
// compiled member node returning call8273 (depth = 5)
  gc_frame_newslot(call8273);
// starting to compile member node (depth = 5)
  int callframe8274 = gc_frame_new();
// call case 4: self request
  Object call8275 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8274);
// compiled member node returning call8275 (depth = 5)
  gc_frame_newslot(call8275);
// starting to compile member node (depth = 5)
  int callframe8276 = gc_frame_new();
// call case 4: self request
  Object call8277 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8276);
// compiled member node returning call8277 (depth = 5)
  gc_frame_newslot(call8277);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_defDecNode (depth = 5)
  params[0] = call8273;
  params[1] = call8275;
  params[2] = call8277;
  partcv[0] = 3;
  Object call8278 = callmethodflags(*var_defDecNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe8271);
// compiled call node returning call8278 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call8279 = callmethodflags(call8278, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8270);
// compiled call node returning call8279 (depth = 3)
  gc_frame_end(frame);
  return call8279;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_8280(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8281 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call8282 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe8281);
// compiled call node returning call8282 (depth = 3)
// Begin line 2098
  setline(2098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8283 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8284 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call8285 = callmethodflags(*var_other, "startToken", 0, partcv, params, 0);
  gc_frame_end(callframe8284);
// compiled member node returning call8285 (depth = 4)
  gc_frame_newslot(call8285);
// call case 4: self request
  params[0] = call8285;
  partcv[0] = 1;
  Object call8286 = callmethodflags(self, "startToken:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8283);
// compiled call node returning call8286 (depth = 3)
// Begin line 2099
  setline(2099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName8287(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2101
  setline(2101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8288 == NULL) {
    strlit8288 = alloc_String("definition");
    gc_root(strlit8288);
  }
// compiled string node returning strlit8288 (depth = 3)
  gc_frame_end(frame);
  return strlit8288;
}
Object meth_ast_new_40_3_41_7845(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_defDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7846 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7846 = alloc_userobj2(27,23, objclass7846);
  gc_frame_newslot(obj7846);
if (objclass7846 == NULL) {
  glfree(obj7846->class->name);
  obj7846->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7846, self, 0);
  addmethodreal(obj7846,"outer", &reader_ast_outer_7847);
  Object oldself7846 = self;
  struct StackFrameObject *oldstackframe7846 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7846);
  gc_frame_newslot((Object)stackframe);
  self = obj7846;
  Object *oldselfslot7846 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7846 = (*(struct UserObject *)self).data[0], lowerouter7846 = thisouter7846;
  if (inheritingObject7846) {
    struct UserObject *inho7846 = (struct UserObject *)inheritingObject7846;
    while (inho7846->super != GraceDefaultObject) inho7846 = (struct UserObject *)inho7846->super;
    inho7846->super = obj7846;
    self = inheritingObject7846;
    *selfslot = self;
    lowerouter7846 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7846;
  }
if (objclass7846 == NULL) {
  Method *reader7848 = addmethodrealflags(obj7846, "kind",&reader_ast_kind_7848, MFLAG_DEF);
  reader7848->definitionModule = modulename;
  reader7848->definitionLine = 1996;
}
adddatum2(obj7846, alloc_Undefined(), 1);
if (objclass7846 == NULL) {
  Method *reader7849 = addmethodrealflags(obj7846, "name", &reader_ast_name_7849, 0);
  Method *writer7849 = addmethodrealflags(obj7846, "name:=(1)", &writer_ast_name_7849, 0);
  reader7849->definitionModule = modulename;
  writer7849->definitionModule = modulename;
  reader7849->definitionLine = 1997;
  writer7849->definitionLine = 1997;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 2);
if (objclass7846 == NULL) {
  Method *reader7850 = addmethodrealflags(obj7846, "value", &reader_ast_value_7850, 0);
  Method *writer7850 = addmethodrealflags(obj7846, "value:=(1)", &writer_ast_value_7850, 0);
  reader7850->definitionModule = modulename;
  writer7850->definitionModule = modulename;
  reader7850->definitionLine = 1998;
  writer7850->definitionLine = 1998;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 3);
if (objclass7846 == NULL) {
  Method *reader7851 = addmethodrealflags(obj7846, "dtype", &reader_ast_dtype_7851, 0);
  Method *writer7851 = addmethodrealflags(obj7846, "dtype:=(1)", &writer_ast_dtype_7851, 0);
  reader7851->definitionModule = modulename;
  writer7851->definitionModule = modulename;
  reader7851->definitionLine = 1999;
  writer7851->definitionLine = 1999;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 4);
if (objclass7846 == NULL) {
  Method *reader7852 = addmethodrealflags(obj7846, "nameString",&reader_ast_nameString_7852, MFLAG_DEF);
  reader7852->definitionModule = modulename;
  reader7852->definitionLine = 2000;
}
adddatum2(obj7846, alloc_Undefined(), 5);
if (objclass7846 == NULL) {
  Method *reader7853 = addmethodrealflags(obj7846, "annotations", &reader_ast_annotations_7853, 0);
  Method *writer7853 = addmethodrealflags(obj7846, "annotations:=(1)", &writer_ast_annotations_7853, 0);
  reader7853->definitionModule = modulename;
  writer7853->definitionModule = modulename;
  reader7853->definitionLine = 2001;
  writer7853->definitionLine = 2001;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 6);
if (objclass7846 == NULL) {
  Method *reader7854 = addmethodrealflags(obj7846, "startToken", &reader_ast_startToken_7854, 0);
  Method *writer7854 = addmethodrealflags(obj7846, "startToken:=(1)", &writer_ast_startToken_7854, 0);
  reader7854->definitionModule = modulename;
  writer7854->definitionModule = modulename;
  reader7854->definitionLine = 2002;
  writer7854->definitionLine = 2002;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 7);
// method "isPublic"
  struct UserObject *uo7855 = (struct UserObject*)obj7846;
  uo7855->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic7855 = addmethod2pos(obj7846, "isPublic", &meth_ast_isPublic7855, 8);
  int argcv_meth_ast_isPublic7855[] = {0};
  meth_meth_ast_isPublic7855->type = alloc_MethodType(1, argcv_meth_ast_isPublic7855);
  meth_meth_ast_isPublic7855->definitionModule = modulename;
  meth_meth_ast_isPublic7855->definitionLine = 2004;
// method "isFieldDec"
  struct UserObject *uo7882 = (struct UserObject*)obj7846;
  uo7882->data[9] = emptyclosure;
  Method *meth_meth_ast_isFieldDec7882 = addmethod2pos(obj7846, "isFieldDec", &meth_ast_isFieldDec7882, 9);
  int argcv_meth_ast_isFieldDec7882[] = {0};
  meth_meth_ast_isFieldDec7882->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec7882);
  meth_meth_ast_isFieldDec7882->definitionModule = modulename;
  meth_meth_ast_isFieldDec7882->definitionLine = 2010;
// method "isWritable"
  struct UserObject *uo7884 = (struct UserObject*)obj7846;
  uo7884->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable7884 = addmethod2pos(obj7846, "isWritable", &meth_ast_isWritable7884, 10);
  int argcv_meth_ast_isWritable7884[] = {0};
  meth_meth_ast_isWritable7884->type = alloc_MethodType(1, argcv_meth_ast_isWritable7884);
  meth_meth_ast_isWritable7884->definitionModule = modulename;
  meth_meth_ast_isWritable7884->definitionLine = 2011;
// method "isReadable"
  struct UserObject *uo7886 = (struct UserObject*)obj7846;
  uo7886->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable7886 = addmethod2pos(obj7846, "isReadable", &meth_ast_isReadable7886, 11);
  int argcv_meth_ast_isReadable7886[] = {0};
  meth_meth_ast_isReadable7886->type = alloc_MethodType(1, argcv_meth_ast_isReadable7886);
  meth_meth_ast_isReadable7886->definitionModule = modulename;
  meth_meth_ast_isReadable7886->definitionLine = 2012;
// method "returnsObject"
  struct UserObject *uo7889 = (struct UserObject*)obj7846;
  uo7889->data[12] = emptyclosure;
  Method *meth_meth_ast_returnsObject7889 = addmethod2pos(obj7846, "returnsObject", &meth_ast_returnsObject7889, 12);
  int argcv_meth_ast_returnsObject7889[] = {0};
  meth_meth_ast_returnsObject7889->type = alloc_MethodType(1, argcv_meth_ast_returnsObject7889);
  meth_meth_ast_returnsObject7889->definitionModule = modulename;
  meth_meth_ast_returnsObject7889->definitionLine = 2014;
// method "returnedObjectScope"
  struct UserObject *uo7894 = (struct UserObject*)obj7846;
  uo7894->data[13] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope7894 = addmethod2pos(obj7846, "returnedObjectScope", &meth_ast_returnedObjectScope7894, 13);
  int argcv_meth_ast_returnedObjectScope7894[] = {0};
  meth_meth_ast_returnedObjectScope7894->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope7894);
  meth_meth_ast_returnedObjectScope7894->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope7894->definitionLine = 2017;
// method "usesAsType(_)"
  struct UserObject *uo7899 = (struct UserObject*)obj7846;
  uo7899->data[14] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_7899 = addmethod2pos(obj7846, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_7899, 14);
  int argcv_meth_ast_usesAsType_40_1_41_7899[] = {1};
  meth_meth_ast_usesAsType_40_1_41_7899->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_7899);
  meth_meth_ast_usesAsType_40_1_41_7899->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_7899->definitionLine = 2021;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj7846);
  Object closure7905 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure7905, stackframe);
  addtoclosure(closure7905, var_k);
  struct UserObject *uo7905 = (struct UserObject*)obj7846;
  uo7905->data[15] = (Object)closure7905;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_7905 = addmethod2pos(obj7846, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_7905, 15);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_7905[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_7905->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_7905);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_7905->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_7905->definitionLine = 2024;
// method "accept(_)from(_)"
  struct UserObject *uo7908 = (struct UserObject*)obj7846;
  uo7908->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7908 = addmethod2pos(obj7846, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7908, 16);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7908[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7908->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7908);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7908->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7908->definitionLine = 2026;
// method "map(_)ancestors(_)"
  struct UserObject *uo7942 = (struct UserObject*)obj7846;
  uo7942->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7942 = addmethod2pos(obj7846, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7942, 17);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7942[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7942->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7942);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7942->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7942->definitionLine = 2039;
// method "pretty(_)"
  struct UserObject *uo7981 = (struct UserObject*)obj7846;
  uo7981->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7981 = addmethod2pos(obj7846, "pretty(1)", &meth_ast_pretty_40_1_41_7981, 18);
  int argcv_meth_ast_pretty_40_1_41_7981[] = {1};
  meth_meth_ast_pretty_40_1_41_7981->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7981);
  meth_meth_ast_pretty_40_1_41_7981->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7981->definitionLine = 2048;
// method "toGrace(_)"
  struct UserObject *uo8141 = (struct UserObject*)obj7846;
  uo8141->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_8141 = addmethod2pos(obj7846, "toGrace(1)", &meth_ast_toGrace_40_1_41_8141, 19);
  int argcv_meth_ast_toGrace_40_1_41_8141[] = {1};
  meth_meth_ast_toGrace_40_1_41_8141->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_8141);
meth_meth_ast_toGrace_40_1_41_8141->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_8141->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_8141->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_8141->definitionLine = 2072;
// method "shallowCopy"
  block_savedest(obj7846);
  Object closure8269 = createclosure(1, "shallowCopy");
  setclosureframe(closure8269, stackframe);
  addtoclosure(closure8269, var_defDecNode);
  struct UserObject *uo8269 = (struct UserObject*)obj7846;
  uo8269->data[20] = (Object)closure8269;
  Method *meth_meth_ast_shallowCopy8269 = addmethod2pos(obj7846, "shallowCopy", &meth_ast_shallowCopy8269, 20);
  int argcv_meth_ast_shallowCopy8269[] = {0};
  meth_meth_ast_shallowCopy8269->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy8269);
  meth_meth_ast_shallowCopy8269->definitionModule = modulename;
  meth_meth_ast_shallowCopy8269->definitionLine = 2093;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo8280 = (struct UserObject*)obj7846;
  uo8280->data[21] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_8280 = addmethod2pos(obj7846, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_8280, 21);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_8280[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_8280->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_8280);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_8280->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_8280->definitionLine = 2096;
// method "statementName"
  struct UserObject *uo8287 = (struct UserObject*)obj7846;
  uo8287->data[22] = emptyclosure;
  Method *meth_meth_ast_statementName8287 = addmethod2pos(obj7846, "statementName", &meth_ast_statementName8287, 22);
  int argcv_meth_ast_statementName8287[] = {0};
  meth_meth_ast_statementName8287->type = alloc_MethodType(1, argcv_meth_ast_statementName8287);
  meth_meth_ast_statementName8287->definitionModule = modulename;
  meth_meth_ast_statementName8287->definitionLine = 2101;
  sourceObject = obj7846;
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8289 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8290 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8291 = gc_frame_new();
// call case 3: self.outer request
  Object call8292 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8291);
// compiled member node returning call8292 (depth = 5)
  Object call8293 = callmethodflags(call8292, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8290);
// compiled member node returning call8293 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8294 = callmethodflags(call8293, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8289);
// compiled call node returning call8294 (depth = 3)
  struct UserObject *obj7846_uo = (struct UserObject *)obj7846;
  obj7846_uo->super = call8294;
  sourceObject = obj7846;
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8295 == NULL) {
    strlit8295 = alloc_String("defdec");
    gc_root(strlit8295);
  }
// compiled string node returning strlit8295 (depth = 3)
  adddatum2(obj7846, strlit8295, 1);
  sourceObject = obj7846;
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj7846, *var_name_39_, 2);
  sourceObject = obj7846;
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7846, *var_val, 3);
  sourceObject = obj7846;
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj7846, *var_dtype_39_, 4);
  sourceObject = obj7846;
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8296 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8297 = gc_frame_new();
// call case 4: self request
  Object call8298 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8297);
// compiled member node returning call8298 (depth = 4)
  Object call8299 = callmethodflags(call8298, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8296);
// compiled member node returning call8299 (depth = 3)
  adddatum2(obj7846, call8299, 5);
  sourceObject = obj7846;
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8300 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8300 (depth = 3)
  adddatum2(obj7846, array8300, 6);
  sourceObject = obj7846;
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8301 = alloc_Boolean(0);
// compiled identifier node returning bool8301 (depth = 3)
  adddatum2(obj7846, bool8301, 7);
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  objclass7846 = obj7846->class;
  objclass7846->definitionModule = modulename;
  objclass7846->definitionLine = 1994;
  (*(struct UserObject *)self).data[0] = lowerouter7846;
  self = oldself7846;
  selfslot = oldselfslot7846;
  stackframe = oldstackframe7846;
  gc_frame_end(frame);
  return obj7846;
}
Object meth_ast_new_40_3_41_7845_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_defDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val = &(stackframe->slots[1]);
  *var_val = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject7846 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7846 = alloc_userobj2(27,23, objclass7846);
  gc_frame_newslot(obj7846);
if (objclass7846 == NULL) {
  glfree(obj7846->class->name);
  obj7846->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7846, self, 0);
  addmethodreal(obj7846,"outer", &reader_ast_outer_7847);
  Object oldself7846 = self;
  struct StackFrameObject *oldstackframe7846 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7846);
  gc_frame_newslot((Object)stackframe);
  self = obj7846;
  Object *oldselfslot7846 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7846 = (*(struct UserObject *)self).data[0], lowerouter7846 = thisouter7846;
  if (inheritingObject7846) {
    struct UserObject *inho7846 = (struct UserObject *)inheritingObject7846;
    while (inho7846->super != GraceDefaultObject) inho7846 = (struct UserObject *)inho7846->super;
    inho7846->super = obj7846;
    self = inheritingObject7846;
    *selfslot = self;
    lowerouter7846 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7846;
  }
if (objclass7846 == NULL) {
  Method *reader7848 = addmethodrealflags(obj7846, "kind",&reader_ast_kind_7848, MFLAG_DEF);
  reader7848->definitionModule = modulename;
  reader7848->definitionLine = 1996;
}
adddatum2(obj7846, alloc_Undefined(), 1);
if (objclass7846 == NULL) {
  Method *reader7849 = addmethodrealflags(obj7846, "name", &reader_ast_name_7849, 0);
  Method *writer7849 = addmethodrealflags(obj7846, "name:=(1)", &writer_ast_name_7849, 0);
  reader7849->definitionModule = modulename;
  writer7849->definitionModule = modulename;
  reader7849->definitionLine = 1997;
  writer7849->definitionLine = 1997;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 2);
if (objclass7846 == NULL) {
  Method *reader7850 = addmethodrealflags(obj7846, "value", &reader_ast_value_7850, 0);
  Method *writer7850 = addmethodrealflags(obj7846, "value:=(1)", &writer_ast_value_7850, 0);
  reader7850->definitionModule = modulename;
  writer7850->definitionModule = modulename;
  reader7850->definitionLine = 1998;
  writer7850->definitionLine = 1998;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 3);
if (objclass7846 == NULL) {
  Method *reader7851 = addmethodrealflags(obj7846, "dtype", &reader_ast_dtype_7851, 0);
  Method *writer7851 = addmethodrealflags(obj7846, "dtype:=(1)", &writer_ast_dtype_7851, 0);
  reader7851->definitionModule = modulename;
  writer7851->definitionModule = modulename;
  reader7851->definitionLine = 1999;
  writer7851->definitionLine = 1999;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 4);
if (objclass7846 == NULL) {
  Method *reader7852 = addmethodrealflags(obj7846, "nameString",&reader_ast_nameString_7852, MFLAG_DEF);
  reader7852->definitionModule = modulename;
  reader7852->definitionLine = 2000;
}
adddatum2(obj7846, alloc_Undefined(), 5);
if (objclass7846 == NULL) {
  Method *reader7853 = addmethodrealflags(obj7846, "annotations", &reader_ast_annotations_7853, 0);
  Method *writer7853 = addmethodrealflags(obj7846, "annotations:=(1)", &writer_ast_annotations_7853, 0);
  reader7853->definitionModule = modulename;
  writer7853->definitionModule = modulename;
  reader7853->definitionLine = 2001;
  writer7853->definitionLine = 2001;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 6);
if (objclass7846 == NULL) {
  Method *reader7854 = addmethodrealflags(obj7846, "startToken", &reader_ast_startToken_7854, 0);
  Method *writer7854 = addmethodrealflags(obj7846, "startToken:=(1)", &writer_ast_startToken_7854, 0);
  reader7854->definitionModule = modulename;
  writer7854->definitionModule = modulename;
  reader7854->definitionLine = 2002;
  writer7854->definitionLine = 2002;
}
obj7846->flags |= OFLAG_MUTABLE;
adddatum2(obj7846, alloc_Undefined(), 7);
// method "isPublic"
  struct UserObject *uo7855 = (struct UserObject*)obj7846;
  uo7855->data[8] = emptyclosure;
  Method *meth_meth_ast_isPublic7855 = addmethod2pos(obj7846, "isPublic", &meth_ast_isPublic7855, 8);
  int argcv_meth_ast_isPublic7855[] = {0};
  meth_meth_ast_isPublic7855->type = alloc_MethodType(1, argcv_meth_ast_isPublic7855);
  meth_meth_ast_isPublic7855->definitionModule = modulename;
  meth_meth_ast_isPublic7855->definitionLine = 2004;
// method "isFieldDec"
  struct UserObject *uo7882 = (struct UserObject*)obj7846;
  uo7882->data[9] = emptyclosure;
  Method *meth_meth_ast_isFieldDec7882 = addmethod2pos(obj7846, "isFieldDec", &meth_ast_isFieldDec7882, 9);
  int argcv_meth_ast_isFieldDec7882[] = {0};
  meth_meth_ast_isFieldDec7882->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec7882);
  meth_meth_ast_isFieldDec7882->definitionModule = modulename;
  meth_meth_ast_isFieldDec7882->definitionLine = 2010;
// method "isWritable"
  struct UserObject *uo7884 = (struct UserObject*)obj7846;
  uo7884->data[10] = emptyclosure;
  Method *meth_meth_ast_isWritable7884 = addmethod2pos(obj7846, "isWritable", &meth_ast_isWritable7884, 10);
  int argcv_meth_ast_isWritable7884[] = {0};
  meth_meth_ast_isWritable7884->type = alloc_MethodType(1, argcv_meth_ast_isWritable7884);
  meth_meth_ast_isWritable7884->definitionModule = modulename;
  meth_meth_ast_isWritable7884->definitionLine = 2011;
// method "isReadable"
  struct UserObject *uo7886 = (struct UserObject*)obj7846;
  uo7886->data[11] = emptyclosure;
  Method *meth_meth_ast_isReadable7886 = addmethod2pos(obj7846, "isReadable", &meth_ast_isReadable7886, 11);
  int argcv_meth_ast_isReadable7886[] = {0};
  meth_meth_ast_isReadable7886->type = alloc_MethodType(1, argcv_meth_ast_isReadable7886);
  meth_meth_ast_isReadable7886->definitionModule = modulename;
  meth_meth_ast_isReadable7886->definitionLine = 2012;
// method "returnsObject"
  struct UserObject *uo7889 = (struct UserObject*)obj7846;
  uo7889->data[12] = emptyclosure;
  Method *meth_meth_ast_returnsObject7889 = addmethod2pos(obj7846, "returnsObject", &meth_ast_returnsObject7889, 12);
  int argcv_meth_ast_returnsObject7889[] = {0};
  meth_meth_ast_returnsObject7889->type = alloc_MethodType(1, argcv_meth_ast_returnsObject7889);
  meth_meth_ast_returnsObject7889->definitionModule = modulename;
  meth_meth_ast_returnsObject7889->definitionLine = 2014;
// method "returnedObjectScope"
  struct UserObject *uo7894 = (struct UserObject*)obj7846;
  uo7894->data[13] = emptyclosure;
  Method *meth_meth_ast_returnedObjectScope7894 = addmethod2pos(obj7846, "returnedObjectScope", &meth_ast_returnedObjectScope7894, 13);
  int argcv_meth_ast_returnedObjectScope7894[] = {0};
  meth_meth_ast_returnedObjectScope7894->type = alloc_MethodType(1, argcv_meth_ast_returnedObjectScope7894);
  meth_meth_ast_returnedObjectScope7894->definitionModule = modulename;
  meth_meth_ast_returnedObjectScope7894->definitionLine = 2017;
// method "usesAsType(_)"
  struct UserObject *uo7899 = (struct UserObject*)obj7846;
  uo7899->data[14] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_7899 = addmethod2pos(obj7846, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_7899, 14);
  int argcv_meth_ast_usesAsType_40_1_41_7899[] = {1};
  meth_meth_ast_usesAsType_40_1_41_7899->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_7899);
  meth_meth_ast_usesAsType_40_1_41_7899->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_7899->definitionLine = 2021;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj7846);
  Object closure7905 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure7905, stackframe);
  addtoclosure(closure7905, var_k);
  struct UserObject *uo7905 = (struct UserObject*)obj7846;
  uo7905->data[15] = (Object)closure7905;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_7905 = addmethod2pos(obj7846, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_7905, 15);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_7905[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_7905->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_7905);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_7905->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_7905->definitionLine = 2024;
// method "accept(_)from(_)"
  struct UserObject *uo7908 = (struct UserObject*)obj7846;
  uo7908->data[16] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_7908 = addmethod2pos(obj7846, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_7908, 16);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_7908[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_7908->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_7908);
  meth_meth_ast_accept_40_1_41_from_40_1_41_7908->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_7908->definitionLine = 2026;
// method "map(_)ancestors(_)"
  struct UserObject *uo7942 = (struct UserObject*)obj7846;
  uo7942->data[17] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_7942 = addmethod2pos(obj7846, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_7942, 17);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7942[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7942->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_7942);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7942->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_7942->definitionLine = 2039;
// method "pretty(_)"
  struct UserObject *uo7981 = (struct UserObject*)obj7846;
  uo7981->data[18] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_7981 = addmethod2pos(obj7846, "pretty(1)", &meth_ast_pretty_40_1_41_7981, 18);
  int argcv_meth_ast_pretty_40_1_41_7981[] = {1};
  meth_meth_ast_pretty_40_1_41_7981->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_7981);
  meth_meth_ast_pretty_40_1_41_7981->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_7981->definitionLine = 2048;
// method "toGrace(_)"
  struct UserObject *uo8141 = (struct UserObject*)obj7846;
  uo8141->data[19] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_8141 = addmethod2pos(obj7846, "toGrace(1)", &meth_ast_toGrace_40_1_41_8141, 19);
  int argcv_meth_ast_toGrace_40_1_41_8141[] = {1};
  meth_meth_ast_toGrace_40_1_41_8141->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_8141);
meth_meth_ast_toGrace_40_1_41_8141->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_8141->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_8141->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_8141->definitionLine = 2072;
// method "shallowCopy"
  block_savedest(obj7846);
  Object closure8269 = createclosure(1, "shallowCopy");
  setclosureframe(closure8269, stackframe);
  addtoclosure(closure8269, var_defDecNode);
  struct UserObject *uo8269 = (struct UserObject*)obj7846;
  uo8269->data[20] = (Object)closure8269;
  Method *meth_meth_ast_shallowCopy8269 = addmethod2pos(obj7846, "shallowCopy", &meth_ast_shallowCopy8269, 20);
  int argcv_meth_ast_shallowCopy8269[] = {0};
  meth_meth_ast_shallowCopy8269->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy8269);
  meth_meth_ast_shallowCopy8269->definitionModule = modulename;
  meth_meth_ast_shallowCopy8269->definitionLine = 2093;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo8280 = (struct UserObject*)obj7846;
  uo8280->data[21] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_8280 = addmethod2pos(obj7846, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_8280, 21);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_8280[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_8280->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_8280);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_8280->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_8280->definitionLine = 2096;
// method "statementName"
  struct UserObject *uo8287 = (struct UserObject*)obj7846;
  uo8287->data[22] = emptyclosure;
  Method *meth_meth_ast_statementName8287 = addmethod2pos(obj7846, "statementName", &meth_ast_statementName8287, 22);
  int argcv_meth_ast_statementName8287[] = {0};
  meth_meth_ast_statementName8287->type = alloc_MethodType(1, argcv_meth_ast_statementName8287);
  meth_meth_ast_statementName8287->definitionModule = modulename;
  meth_meth_ast_statementName8287->definitionLine = 2101;
  sourceObject = obj7846;
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8289 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8290 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8291 = gc_frame_new();
// call case 3: self.outer request
  Object call8292 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8291);
// compiled member node returning call8292 (depth = 5)
  Object call8293 = callmethodflags(call8292, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8290);
// compiled member node returning call8293 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8294 = callmethodflags(call8293, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8289);
// compiled call node returning call8294 (depth = 3)
  struct UserObject *obj7846_uo = (struct UserObject *)obj7846;
  obj7846_uo->super = call8294;
  sourceObject = obj7846;
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8295 == NULL) {
    strlit8295 = alloc_String("defdec");
    gc_root(strlit8295);
  }
// compiled string node returning strlit8295 (depth = 3)
  adddatum2(obj7846, strlit8295, 1);
  sourceObject = obj7846;
// Begin line 1997
  setline(1997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj7846, *var_name_39_, 2);
  sourceObject = obj7846;
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val (depth = 3)
  adddatum2(obj7846, *var_val, 3);
  sourceObject = obj7846;
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj7846, *var_dtype_39_, 4);
  sourceObject = obj7846;
// Begin line 2000
  setline(2000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8296 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8297 = gc_frame_new();
// call case 4: self request
  Object call8298 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8297);
// compiled member node returning call8298 (depth = 4)
  Object call8299 = callmethodflags(call8298, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8296);
// compiled member node returning call8299 (depth = 3)
  adddatum2(obj7846, call8299, 5);
  sourceObject = obj7846;
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8300 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8300 (depth = 3)
  adddatum2(obj7846, array8300, 6);
  sourceObject = obj7846;
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8301 = alloc_Boolean(0);
// compiled identifier node returning bool8301 (depth = 3)
  adddatum2(obj7846, bool8301, 7);
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  sourceObject = obj7846;
  objclass7846 = obj7846->class;
  objclass7846->definitionModule = modulename;
  objclass7846->definitionLine = 1994;
  (*(struct UserObject *)self).data[0] = lowerouter7846;
  self = oldself7846;
  selfslot = oldselfslot7846;
  stackframe = oldstackframe7846;
  gc_frame_end(frame);
  return obj7846;
}
Object meth_ast_defDecNode8303(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_defDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_defDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_defDecNode;
}
Object meth_ast_isPublic8315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8318 = alloc_Float64(0);
// compiled num node returning num8318 (depth = 5)
  int op_slot_right_8317 = gc_frame_newslot(num8318);
// starting to compile member node (depth = 5)
  int callframe8320 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8321 = gc_frame_new();
// call case 4: self request
  Object call8322 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8321);
// compiled member node returning call8322 (depth = 6)
  Object call8323 = callmethodflags(call8322, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8320);
// compiled member node returning call8323 (depth = 5)
  int op_slot_left_8317 = gc_frame_newslot(call8323);
  params[0] = num8318;
  partcv[0] = 1;
  Object opresult8324 = callmethod(call8323, "==(1)", 1, partcv, params);
// compiled op node returning opresult8324 (depth = 4)
  Object if8316 = done;
  if (istrue(opresult8324)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8325 = alloc_Boolean(0);
// compiled identifier node returning bool8325 (depth = 5)
  return bool8325;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8316 = undefined;
  } else {
  }
// compiled if node returning if8316 (depth = 3)
// Begin line 2117
  setline(2117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8327 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8328 == NULL) {
    strlit8328 = alloc_String("public");
    gc_root(strlit8328);
  }
// compiled string node returning strlit8328 (depth = 5)
  gc_frame_newslot(strlit8328);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8329 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8330 = gc_frame_new();
// call case 3: self.outer request
  Object call8331 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8330);
// compiled member node returning call8331 (depth = 6)
  Object call8332 = callmethodflags(call8331, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8329);
// compiled member node returning call8332 (depth = 5)
  params[0] = self;
  params[1] = strlit8328;
  partcv[0] = 2;
  Object call8333 = callmethodflags(call8332, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8327);
// compiled call node returning call8333 (depth = 4)
  Object if8326 = done;
  if (istrue(call8333)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8334 = alloc_Boolean(1);
// compiled identifier node returning bool8334 (depth = 5)
  return bool8334;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8326 = undefined;
  } else {
  }
// compiled if node returning if8326 (depth = 3)
// Begin line 2118
  setline(2118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8335 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit8336 == NULL) {
    strlit8336 = alloc_String("readable");
    gc_root(strlit8336);
  }
// compiled string node returning strlit8336 (depth = 4)
  gc_frame_newslot(strlit8336);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8337 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8338 = gc_frame_new();
// call case 3: self.outer request
  Object call8339 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8338);
// compiled member node returning call8339 (depth = 5)
  Object call8340 = callmethodflags(call8339, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8337);
// compiled member node returning call8340 (depth = 4)
  params[0] = self;
  params[1] = strlit8336;
  partcv[0] = 2;
  Object call8341 = callmethodflags(call8340, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8335);
// compiled call node returning call8341 (depth = 3)
  gc_frame_end(frame);
  return call8341;
}
Object meth_ast_isWritable8342(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2121
  setline(2121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8345 = alloc_Float64(0);
// compiled num node returning num8345 (depth = 5)
  int op_slot_right_8344 = gc_frame_newslot(num8345);
// starting to compile member node (depth = 5)
  int callframe8347 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8348 = gc_frame_new();
// call case 4: self request
  Object call8349 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8348);
// compiled member node returning call8349 (depth = 6)
  Object call8350 = callmethodflags(call8349, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8347);
// compiled member node returning call8350 (depth = 5)
  int op_slot_left_8344 = gc_frame_newslot(call8350);
  params[0] = num8345;
  partcv[0] = 1;
  Object opresult8351 = callmethod(call8350, "==(1)", 1, partcv, params);
// compiled op node returning opresult8351 (depth = 4)
  Object if8343 = done;
  if (istrue(opresult8351)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8352 = alloc_Boolean(0);
// compiled identifier node returning bool8352 (depth = 5)
  return bool8352;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8343 = undefined;
  } else {
  }
// compiled if node returning if8343 (depth = 3)
// Begin line 2122
  setline(2122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8354 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8355 == NULL) {
    strlit8355 = alloc_String("public");
    gc_root(strlit8355);
  }
// compiled string node returning strlit8355 (depth = 5)
  gc_frame_newslot(strlit8355);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8356 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8357 = gc_frame_new();
// call case 3: self.outer request
  Object call8358 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8357);
// compiled member node returning call8358 (depth = 6)
  Object call8359 = callmethodflags(call8358, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8356);
// compiled member node returning call8359 (depth = 5)
  params[0] = self;
  params[1] = strlit8355;
  partcv[0] = 2;
  Object call8360 = callmethodflags(call8359, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8354);
// compiled call node returning call8360 (depth = 4)
  Object if8353 = done;
  if (istrue(call8360)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8361 = alloc_Boolean(1);
// compiled identifier node returning bool8361 (depth = 5)
  return bool8361;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8353 = undefined;
  } else {
  }
// compiled if node returning if8353 (depth = 3)
// Begin line 2123
  setline(2123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8363 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8364 == NULL) {
    strlit8364 = alloc_String("writable");
    gc_root(strlit8364);
  }
// compiled string node returning strlit8364 (depth = 5)
  gc_frame_newslot(strlit8364);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8365 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8366 = gc_frame_new();
// call case 3: self.outer request
  Object call8367 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8366);
// compiled member node returning call8367 (depth = 6)
  Object call8368 = callmethodflags(call8367, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8365);
// compiled member node returning call8368 (depth = 5)
  params[0] = self;
  params[1] = strlit8364;
  partcv[0] = 2;
  Object call8369 = callmethodflags(call8368, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8363);
// compiled call node returning call8369 (depth = 4)
  Object if8362 = done;
  if (istrue(call8369)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8370 = alloc_Boolean(1);
// compiled identifier node returning bool8370 (depth = 5)
  return bool8370;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8362 = undefined;
  } else {
  }
// compiled if node returning if8362 (depth = 3)
// Begin line 2124
  setline(2124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8371 = alloc_Boolean(0);
// compiled identifier node returning bool8371 (depth = 3)
  gc_frame_end(frame);
  return bool8371;
}
Object meth_ast_isReadable8372(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2127
  setline(2127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8375 = alloc_Float64(0);
// compiled num node returning num8375 (depth = 5)
  int op_slot_right_8374 = gc_frame_newslot(num8375);
// starting to compile member node (depth = 5)
  int callframe8377 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8378 = gc_frame_new();
// call case 4: self request
  Object call8379 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8378);
// compiled member node returning call8379 (depth = 6)
  Object call8380 = callmethodflags(call8379, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8377);
// compiled member node returning call8380 (depth = 5)
  int op_slot_left_8374 = gc_frame_newslot(call8380);
  params[0] = num8375;
  partcv[0] = 1;
  Object opresult8381 = callmethod(call8380, "==(1)", 1, partcv, params);
// compiled op node returning opresult8381 (depth = 4)
  Object if8373 = done;
  if (istrue(opresult8381)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8382 = alloc_Boolean(0);
// compiled identifier node returning bool8382 (depth = 5)
  return bool8382;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8373 = undefined;
  } else {
  }
// compiled if node returning if8373 (depth = 3)
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8384 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8385 == NULL) {
    strlit8385 = alloc_String("public");
    gc_root(strlit8385);
  }
// compiled string node returning strlit8385 (depth = 5)
  gc_frame_newslot(strlit8385);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8386 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8387 = gc_frame_new();
// call case 3: self.outer request
  Object call8388 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8387);
// compiled member node returning call8388 (depth = 6)
  Object call8389 = callmethodflags(call8388, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8386);
// compiled member node returning call8389 (depth = 5)
  params[0] = self;
  params[1] = strlit8385;
  partcv[0] = 2;
  Object call8390 = callmethodflags(call8389, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8384);
// compiled call node returning call8390 (depth = 4)
  Object if8383 = done;
  if (istrue(call8390)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8391 = alloc_Boolean(1);
// compiled identifier node returning bool8391 (depth = 5)
  return bool8391;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8383 = undefined;
  } else {
  }
// compiled if node returning if8383 (depth = 3)
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8393 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8394 == NULL) {
    strlit8394 = alloc_String("readable");
    gc_root(strlit8394);
  }
// compiled string node returning strlit8394 (depth = 5)
  gc_frame_newslot(strlit8394);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8395 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8396 = gc_frame_new();
// call case 3: self.outer request
  Object call8397 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8396);
// compiled member node returning call8397 (depth = 6)
  Object call8398 = callmethodflags(call8397, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8395);
// compiled member node returning call8398 (depth = 5)
  params[0] = self;
  params[1] = strlit8394;
  partcv[0] = 2;
  Object call8399 = callmethodflags(call8398, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8393);
// compiled call node returning call8399 (depth = 4)
  Object if8392 = done;
  if (istrue(call8399)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8400 = alloc_Boolean(1);
// compiled identifier node returning bool8400 (depth = 5)
  return bool8400;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8392 = undefined;
  } else {
  }
// compiled if node returning if8392 (depth = 3)
// Begin line 2130
  setline(2130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8401 = alloc_Boolean(0);
// compiled identifier node returning bool8401 (depth = 3)
  gc_frame_end(frame);
  return bool8401;
}
Object meth_ast_isFieldDec8402(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isFieldDec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8403 = alloc_Boolean(1);
// compiled identifier node returning bool8403 (depth = 3)
  gc_frame_end(frame);
  return bool8403;
}
Object meth_ast_usesAsType_40_1_41_8404(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2135
  setline(2135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8406 = gc_frame_new();
// call case 4: self request
  Object call8407 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8406);
// compiled member node returning call8407 (depth = 4)
  int op_slot_right_8405 = gc_frame_newslot(call8407);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_8405 = gc_frame_newslot(*var_aNode);
  params[0] = call8407;
  partcv[0] = 1;
  Object opresult8409 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult8409 (depth = 3)
  gc_frame_end(frame);
  return opresult8409;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_8410(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2138
  setline(2138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8411 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call8412 = callmethodflags(*var_k, "vardec", 0, partcv, params, 0);
  gc_frame_end(callframe8411);
// compiled member node returning call8412 (depth = 3)
  gc_frame_end(frame);
  return call8412;
}
Object meth_ast__apply_40_1_41_8438(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2148
  setline(2148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8439 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8440 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8439);
// compiled call node returning call8440 (depth = 6)
  gc_frame_end(frame);
  return call8440;
}
Object meth_ast_accept_40_1_41_from_40_1_41_8413(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2141
  setline(2141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8415 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8416 = callmethodflags(*var_visitor, "visitVarDec(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8415);
// compiled call node returning call8416 (depth = 4)
  Object if8414 = done;
  if (istrue(call8416)) {
// Begin line 2142
  setline(2142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8417 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call8418 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8417);
// compiled call node returning call8418 (depth = 5)
  *var_newChain = call8418;
  if (call8418 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2143
  setline(2143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8419 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8420 = gc_frame_new();
// call case 4: self request
  Object call8421 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8420);
// compiled member node returning call8421 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8422 = callmethodflags(call8421, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8419);
// compiled call node returning call8422 (depth = 4)
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8425 = gc_frame_new();
// call case 4: self request
  Object call8426 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8425);
// compiled member node returning call8426 (depth = 6)
  int op_slot_right_8424 = gc_frame_newslot(call8426);
// starting to compile identifier node (depth = 6)
  Object bool8428 = alloc_Boolean(0);
// compiled identifier node returning bool8428 (depth = 6)
  int op_slot_left_8424 = gc_frame_newslot(bool8428);
  params[0] = call8426;
  partcv[0] = 1;
  Object opresult8429 = callmethod(bool8428, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8429 (depth = 5)
  Object if8423 = done;
  if (istrue(opresult8429)) {
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8430 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8431 = gc_frame_new();
// call case 4: self request
  Object call8432 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8431);
// compiled member node returning call8432 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8433 = callmethodflags(call8432, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8430);
// compiled call node returning call8433 (depth = 5)
    gc_frame_newslot(call8433);
    if8423 = call8433;
  } else {
  }
// compiled if node returning if8423 (depth = 4)
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8434 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8435 = gc_frame_new();
// call case 4: self request
  Object call8436 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8435);
// compiled member node returning call8436 (depth = 5)
  gc_frame_newslot(call8436);
// starting to compile block node (depth = 5)
  Object block8437 = alloc_Block(NULL, NULL, "ast", 2147);
  gc_frame_newslot(block8437);
// method "_apply(_)"
  block_savedest(block8437);
  Object closure8438 = createclosure(3, "_apply(1)");
  setclosureframe(closure8438, stackframe);
  addtoclosure(closure8438, var_visitor);
  addtoclosure(closure8438, var_newChain);
  addtoclosure(closure8438, selfslot);
  struct UserObject *uo8438 = (struct UserObject*)block8437;
  uo8438->data[0] = (Object)closure8438;
  Method *meth_meth_ast__apply_40_1_41_8438 = addmethod2pos(block8437, "_apply(1)", &meth_ast__apply_40_1_41_8438, 0);
  int argcv_meth_ast__apply_40_1_41_8438[] = {1};
  meth_meth_ast__apply_40_1_41_8438->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8438);
  meth_meth_ast__apply_40_1_41_8438->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8438->definitionLine = 2947;
// compiled block node returning block8437 (depth = 5)
  gc_frame_newslot(block8437);
// call case 5: prelude request
  params[0] = call8436;
  params[1] = block8437;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8442 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8434);
// compiled call node returning call8442 (depth = 4)
// Begin line 2150
  setline(2150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8445 = gc_frame_new();
// call case 4: self request
  Object call8446 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8445);
// compiled member node returning call8446 (depth = 6)
  int op_slot_right_8444 = gc_frame_newslot(call8446);
// starting to compile identifier node (depth = 6)
  Object bool8448 = alloc_Boolean(0);
// compiled identifier node returning bool8448 (depth = 6)
  int op_slot_left_8444 = gc_frame_newslot(bool8448);
  params[0] = call8446;
  partcv[0] = 1;
  Object opresult8449 = callmethod(bool8448, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8449 (depth = 5)
  Object if8443 = done;
  if (istrue(opresult8449)) {
// Begin line 2151
  setline(2151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8450 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8451 = gc_frame_new();
// call case 4: self request
  Object call8452 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8451);
// compiled member node returning call8452 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8453 = callmethodflags(call8452, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8450);
// compiled call node returning call8453 (depth = 5)
    gc_frame_newslot(call8453);
    if8443 = call8453;
  } else {
  }
// compiled if node returning if8443 (depth = 4)
    gc_frame_newslot(if8443);
    if8414 = if8443;
  } else {
  }
// compiled if node returning if8414 (depth = 3)
  gc_frame_end(frame);
  return if8414;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_8454(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2156
  setline(2156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8455 = gc_frame_new();
// call case 4: self request
  Object call8456 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8455);
// compiled member node returning call8456 (depth = 4)
  *var_n = call8456;
  if (call8456 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2157
  setline(2157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8457 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8458 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8457);
// compiled call node returning call8458 (depth = 4)
  *var_newChain = call8458;
  if (call8458 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2158
  setline(2158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8459 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8460 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8461 = gc_frame_new();
// call case 4: self request
  Object call8462 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8461);
// compiled member node returning call8462 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8463 = callmethodflags(call8462, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8460);
// compiled call node returning call8463 (depth = 4)
  gc_frame_newslot(call8463);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8463;
  partcv[0] = 1;
  Object call8464 = callmethodflags(*var_n, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8459);
// compiled call node returning call8464 (depth = 3)
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8465 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8466 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8467 = gc_frame_new();
// call case 4: self request
  Object call8468 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8467);
// compiled member node returning call8468 (depth = 5)
  gc_frame_newslot(call8468);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8469 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8470 = gc_frame_new();
// call case 3: self.outer request
  Object call8471 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8470);
// compiled member node returning call8471 (depth = 6)
  Object call8472 = callmethodflags(call8471, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8469);
// compiled member node returning call8472 (depth = 5)
  params[0] = call8468;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8473 = callmethodflags(call8472, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8466);
// compiled call node returning call8473 (depth = 4)
  gc_frame_newslot(call8473);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8473;
  partcv[0] = 1;
  Object call8474 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8465);
// compiled call node returning call8474 (depth = 3)
// Begin line 2160
  setline(2160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8475 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8476 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8477 = gc_frame_new();
// call case 4: self request
  Object call8478 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8477);
// compiled member node returning call8478 (depth = 5)
  gc_frame_newslot(call8478);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8479 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8480 = gc_frame_new();
// call case 3: self.outer request
  Object call8481 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8480);
// compiled member node returning call8481 (depth = 6)
  Object call8482 = callmethodflags(call8481, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8479);
// compiled member node returning call8482 (depth = 5)
  params[0] = call8478;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8483 = callmethodflags(call8482, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8476);
// compiled call node returning call8483 (depth = 4)
  gc_frame_newslot(call8483);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8483;
  partcv[0] = 1;
  Object call8484 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8475);
// compiled call node returning call8484 (depth = 3)
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8485 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8486 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8487 = gc_frame_new();
// call case 4: self request
  Object call8488 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8487);
// compiled member node returning call8488 (depth = 5)
  gc_frame_newslot(call8488);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8489 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8490 = gc_frame_new();
// call case 3: self.outer request
  Object call8491 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8490);
// compiled member node returning call8491 (depth = 6)
  Object call8492 = callmethodflags(call8491, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8489);
// compiled member node returning call8492 (depth = 5)
  params[0] = call8488;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8493 = callmethodflags(call8492, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8486);
// compiled call node returning call8493 (depth = 4)
  gc_frame_newslot(call8493);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8493;
  partcv[0] = 1;
  Object call8494 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8485);
// compiled call node returning call8494 (depth = 3)
// Begin line 2162
  setline(2162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8495 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call8496 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8495);
// compiled call node returning call8496 (depth = 3)
  gc_frame_end(frame);
  return call8496;
}
Object meth_ast__apply_40_1_41_8505(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8507 == NULL) {
    strlit8507 = alloc_String("  ");
    gc_root(strlit8507);
  }
// compiled string node returning strlit8507 (depth = 7)
  int op_slot_right_8506 = gc_frame_newslot(strlit8507);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_8506 = gc_frame_newslot(*var_spc);
  params[0] = strlit8507;
  partcv[0] = 1;
  Object opresult8509 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult8509 (depth = 6)
  *var_spc = opresult8509;
  if (opresult8509 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_8497(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8498 == NULL) {
    strlit8498 = alloc_String("");
    gc_root(strlit8498);
  }
// compiled string node returning strlit8498 (depth = 4)
  *var_spc = strlit8498;
  if (strlit8498 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2166
  setline(2166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8499 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_8500 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num8502 = alloc_Float64(0);
// compiled num node returning num8502 (depth = 5)
  int op_slot_left_8500 = gc_frame_newslot(num8502);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult8503 = callmethod(num8502, "..(1)", 1, partcv, params);
// compiled op node returning opresult8503 (depth = 4)
  gc_frame_newslot(opresult8503);
// starting to compile block node (depth = 4)
  Object block8504 = alloc_Block(NULL, NULL, "ast", 2166);
  gc_frame_newslot(block8504);
// method "_apply(_)"
  block_savedest(block8504);
  Object closure8505 = createclosure(2, "_apply(1)");
  setclosureframe(closure8505, stackframe);
  addtoclosure(closure8505, var_spc);
  addtoclosure(closure8505, selfslot);
  struct UserObject *uo8505 = (struct UserObject*)block8504;
  uo8505->data[0] = (Object)closure8505;
  Method *meth_meth_ast__apply_40_1_41_8505 = addmethod2pos(block8504, "_apply(1)", &meth_ast__apply_40_1_41_8505, 0);
  int argcv_meth_ast__apply_40_1_41_8505[] = {1};
  meth_meth_ast__apply_40_1_41_8505->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8505);
  meth_meth_ast__apply_40_1_41_8505->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8505->definitionLine = 2947;
// compiled block node returning block8504 (depth = 4)
  gc_frame_newslot(block8504);
// call case 5: prelude request
  params[0] = opresult8503;
  params[1] = block8504;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8512 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8499);
// compiled call node returning call8512 (depth = 3)
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8514 == NULL) {
    strlit8514 = alloc_String("""\x0a""");
    gc_root(strlit8514);
  }
// compiled string node returning strlit8514 (depth = 5)
  int op_slot_right_8513 = gc_frame_newslot(strlit8514);
// starting to compile call node (depth = 5)
  int callframe8516 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8517 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe8516);
// compiled call node returning call8517 (depth = 5)
  int op_slot_left_8513 = gc_frame_newslot(call8517);
  params[0] = strlit8514;
  partcv[0] = 1;
  Object opresult8518 = callmethod(call8517, "++(1)", 1, partcv, params);
// compiled op node returning opresult8518 (depth = 4)
  *var_s = opresult8518;
  if (opresult8518 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8520 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8522 = alloc_Float64(1);
// compiled num node returning num8522 (depth = 7)
  int op_slot_right_8521 = gc_frame_newslot(num8522);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_8521 = gc_frame_newslot(*var_depth);
  params[0] = num8522;
  partcv[0] = 1;
  Object sum8524 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8524 (depth = 6)
  gc_frame_newslot(sum8524);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8525 = gc_frame_new();
// call case 4: self request
  Object call8526 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8525);
// compiled member node returning call8526 (depth = 6)
  params[0] = sum8524;
  partcv[0] = 1;
  Object call8527 = callmethodflags(call8526, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8520);
// compiled call node returning call8527 (depth = 5)
  int op_slot_right_8519 = gc_frame_newslot(call8527);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_8529 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8529 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8531 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8531 (depth = 5)
  int op_slot_left_8519 = gc_frame_newslot(opresult8531);
  params[0] = call8527;
  partcv[0] = 1;
  Object opresult8532 = callmethod(opresult8531, "++(1)", 1, partcv, params);
// compiled op node returning opresult8532 (depth = 4)
  *var_s = opresult8532;
  if (opresult8532 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8536 = gc_frame_new();
// call case 4: self request
  Object call8537 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8536);
// compiled member node returning call8537 (depth = 5)
  int op_slot_right_8535 = gc_frame_newslot(call8537);
// starting to compile identifier node (depth = 5)
  Object bool8539 = alloc_Boolean(0);
// compiled identifier node returning bool8539 (depth = 5)
  int op_slot_left_8535 = gc_frame_newslot(bool8539);
  params[0] = call8537;
  partcv[0] = 1;
  Object opresult8540 = callmethod(bool8539, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8540 (depth = 4)
  Object if8534 = done;
  if (istrue(opresult8540)) {
// Begin line 2172
  setline(2172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8542 == NULL) {
    strlit8542 = alloc_String("Type: ");
    gc_root(strlit8542);
  }
// compiled string node returning strlit8542 (depth = 6)
  int op_slot_right_8541 = gc_frame_newslot(strlit8542);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_8544 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8547 == NULL) {
    strlit8547 = alloc_String("""\x0a""");
    gc_root(strlit8547);
  }
// compiled string node returning strlit8547 (depth = 8)
  int op_slot_right_8546 = gc_frame_newslot(strlit8547);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8546 = gc_frame_newslot(*var_s);
  params[0] = strlit8547;
  partcv[0] = 1;
  Object opresult8549 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8549 (depth = 7)
  int op_slot_left_8544 = gc_frame_newslot(opresult8549);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8550 = callmethod(opresult8549, "++(1)", 1, partcv, params);
// compiled op node returning opresult8550 (depth = 6)
  int op_slot_left_8541 = gc_frame_newslot(opresult8550);
  params[0] = strlit8542;
  partcv[0] = 1;
  Object opresult8551 = callmethod(opresult8550, "++(1)", 1, partcv, params);
// compiled op node returning opresult8551 (depth = 5)
  *var_s = opresult8551;
  if (opresult8551 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2173
  setline(2173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8554 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8556 = alloc_Float64(2);
// compiled num node returning num8556 (depth = 8)
  int op_slot_right_8555 = gc_frame_newslot(num8556);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8555 = gc_frame_newslot(*var_depth);
  params[0] = num8556;
  partcv[0] = 1;
  Object sum8558 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8558 (depth = 7)
  gc_frame_newslot(sum8558);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8559 = gc_frame_new();
// call case 4: self request
  Object call8560 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8559);
// compiled member node returning call8560 (depth = 7)
  params[0] = sum8558;
  partcv[0] = 1;
  Object call8561 = callmethodflags(call8560, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8554);
// compiled call node returning call8561 (depth = 6)
  int op_slot_right_8553 = gc_frame_newslot(call8561);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8553 = gc_frame_newslot(*var_s);
  params[0] = call8561;
  partcv[0] = 1;
  Object opresult8563 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8563 (depth = 5)
  *var_s = opresult8563;
  if (opresult8563 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8534 = done;
  } else {
  }
// compiled if node returning if8534 (depth = 3)
// Begin line 2175
  setline(2175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8567 = gc_frame_new();
// call case 4: self request
  Object call8568 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8567);
// compiled member node returning call8568 (depth = 5)
  int op_slot_right_8566 = gc_frame_newslot(call8568);
// starting to compile identifier node (depth = 5)
  Object bool8570 = alloc_Boolean(0);
// compiled identifier node returning bool8570 (depth = 5)
  int op_slot_left_8566 = gc_frame_newslot(bool8570);
  params[0] = call8568;
  partcv[0] = 1;
  Object opresult8571 = callmethod(bool8570, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8571 (depth = 4)
  Object if8565 = done;
  if (istrue(opresult8571)) {
// Begin line 2176
  setline(2176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8573 == NULL) {
    strlit8573 = alloc_String("Value: ");
    gc_root(strlit8573);
  }
// compiled string node returning strlit8573 (depth = 6)
  int op_slot_right_8572 = gc_frame_newslot(strlit8573);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_8575 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8578 == NULL) {
    strlit8578 = alloc_String("""\x0a""");
    gc_root(strlit8578);
  }
// compiled string node returning strlit8578 (depth = 8)
  int op_slot_right_8577 = gc_frame_newslot(strlit8578);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_8577 = gc_frame_newslot(*var_s);
  params[0] = strlit8578;
  partcv[0] = 1;
  Object opresult8580 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8580 (depth = 7)
  int op_slot_left_8575 = gc_frame_newslot(opresult8580);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8581 = callmethod(opresult8580, "++(1)", 1, partcv, params);
// compiled op node returning opresult8581 (depth = 6)
  int op_slot_left_8572 = gc_frame_newslot(opresult8581);
  params[0] = strlit8573;
  partcv[0] = 1;
  Object opresult8582 = callmethod(opresult8581, "++(1)", 1, partcv, params);
// compiled op node returning opresult8582 (depth = 5)
  *var_s = opresult8582;
  if (opresult8582 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8585 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8587 = alloc_Float64(2);
// compiled num node returning num8587 (depth = 8)
  int op_slot_right_8586 = gc_frame_newslot(num8587);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8586 = gc_frame_newslot(*var_depth);
  params[0] = num8587;
  partcv[0] = 1;
  Object sum8589 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8589 (depth = 7)
  gc_frame_newslot(sum8589);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8590 = gc_frame_new();
// call case 4: self request
  Object call8591 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8590);
// compiled member node returning call8591 (depth = 7)
  params[0] = sum8589;
  partcv[0] = 1;
  Object call8592 = callmethodflags(call8591, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8585);
// compiled call node returning call8592 (depth = 6)
  int op_slot_right_8584 = gc_frame_newslot(call8592);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8584 = gc_frame_newslot(*var_s);
  params[0] = call8592;
  partcv[0] = 1;
  Object opresult8594 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8594 (depth = 5)
  *var_s = opresult8594;
  if (opresult8594 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8565 = done;
  } else {
  }
// compiled if node returning if8565 (depth = 3)
// Begin line 2179
  setline(2179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8598 = gc_frame_new();
// call case 4: self request
  Object call8599 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8598);
// compiled member node returning call8599 (depth = 5)
  int op_slot_right_8597 = gc_frame_newslot(call8599);
// starting to compile identifier node (depth = 5)
  Object bool8601 = alloc_Boolean(0);
// compiled identifier node returning bool8601 (depth = 5)
  int op_slot_left_8597 = gc_frame_newslot(bool8601);
  params[0] = call8599;
  partcv[0] = 1;
  Object opresult8602 = callmethod(bool8601, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8602 (depth = 4)
  Object if8596 = done;
  if (istrue(opresult8602)) {
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8604 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8606 = alloc_Float64(2);
// compiled num node returning num8606 (depth = 8)
  int op_slot_right_8605 = gc_frame_newslot(num8606);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_depth (depth = 8)
  int op_slot_left_8605 = gc_frame_newslot(*var_depth);
  params[0] = num8606;
  partcv[0] = 1;
  Object sum8608 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum8608 (depth = 7)
  gc_frame_newslot(sum8608);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8609 = gc_frame_new();
// call case 4: self request
  Object call8610 = callmethodflags(self, "comments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8609);
// compiled member node returning call8610 (depth = 7)
  params[0] = sum8608;
  partcv[0] = 1;
  Object call8611 = callmethodflags(call8610, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8604);
// compiled call node returning call8611 (depth = 6)
  int op_slot_right_8603 = gc_frame_newslot(call8611);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8603 = gc_frame_newslot(*var_s);
  params[0] = call8611;
  partcv[0] = 1;
  Object opresult8613 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8613 (depth = 5)
  *var_s = opresult8613;
  if (opresult8613 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8596 = done;
  } else {
  }
// compiled if node returning if8596 (depth = 3)
// Begin line 2182
  setline(2182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply8619(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 2187
  setline(2187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8621 == NULL) {
    strlit8621 = alloc_String("    ");
    gc_root(strlit8621);
  }
// compiled string node returning strlit8621 (depth = 7)
  int op_slot_right_8620 = gc_frame_newslot(strlit8621);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_8620 = gc_frame_newslot(*var_spc);
  params[0] = strlit8621;
  partcv[0] = 1;
  Object opresult8623 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult8623 (depth = 6)
  *var_spc = opresult8623;
  if (opresult8623 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply8643(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8645 == NULL) {
    strlit8645 = alloc_String("Unknown");
    gc_root(strlit8645);
  }
// compiled string node returning strlit8645 (depth = 7)
  int op_slot_right_8644 = gc_frame_newslot(strlit8645);
// starting to compile member node (depth = 7)
  int callframe8647 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8648 = gc_frame_new();
// call case 4: self request
  Object call8649 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8648);
// compiled member node returning call8649 (depth = 8)
  Object call8650 = callmethodflags(call8649, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8647);
// compiled member node returning call8650 (depth = 7)
  int op_slot_left_8644 = gc_frame_newslot(call8650);
  params[0] = strlit8645;
  partcv[0] = 1;
  Object opresult8651 = callmethod(call8650, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8651 (depth = 6)
  gc_frame_end(frame);
  return opresult8651;
}
Object meth_ast__apply_40_2_41_8691(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_,_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2197
  setline(2197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe8693 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num8694 = alloc_Float64(0);
// compiled num node returning num8694 (depth = 10)
  gc_frame_newslot(num8694);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_b (depth = 10)
  params[0] = num8694;
  partcv[0] = 1;
  Object call8695 = callmethodflags(*var_b, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8693);
// compiled call node returning call8695 (depth = 9)
  int op_slot_right_8692 = gc_frame_newslot(call8695);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8699 == NULL) {
    strlit8699 = alloc_String("");
    gc_root(strlit8699);
  }
// compiled string node returning strlit8699 (depth = 11)
  int op_slot_right_8698 = gc_frame_newslot(strlit8699);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8698 = gc_frame_newslot(*var_a);
  params[0] = strlit8699;
  partcv[0] = 1;
  Object opresult8701 = callmethod(*var_a, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8701 (depth = 10)
  Object if8697 = done;
struct StackFrameObject *iftmpstackframe8697 = stackframe;
  if (istrue(opresult8701)) {
stackframe = alloc_StackFrame(0, iftmpstackframe8697);
gc_frame_newslot((Object)stackframe);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit8703 == NULL) {
    strlit8703 = alloc_String(", ");
    gc_root(strlit8703);
  }
// compiled string node returning strlit8703 (depth = 11)
  int op_slot_right_8702 = gc_frame_newslot(strlit8703);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  int op_slot_left_8702 = gc_frame_newslot(*var_a);
  params[0] = strlit8703;
  partcv[0] = 1;
  Object opresult8705 = callmethod(*var_a, "++(1)", 1, partcv, params);
// compiled op node returning opresult8705 (depth = 10)
    gc_frame_newslot(opresult8705);
    if8697 = opresult8705;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe8697);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 10)
  if (strlit8706 == NULL) {
    strlit8706 = alloc_String("");
    gc_root(strlit8706);
  }
// compiled string node returning strlit8706 (depth = 10)
    gc_frame_newslot(strlit8706);
    if8697 = strlit8706;
  }
stackframe = iftmpstackframe8697;
// compiled if node returning if8697 (depth = 9)
  int op_slot_left_8692 = gc_frame_newslot(if8697);
  params[0] = call8695;
  partcv[0] = 1;
  Object opresult8707 = callmethod(if8697, "++(1)", 1, partcv, params);
// compiled op node returning opresult8707 (depth = 8)
  gc_frame_end(frame);
  return opresult8707;
}
Object meth_ast_toGrace_40_1_41_8615(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2185
  setline(2185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8616 == NULL) {
    strlit8616 = alloc_String("");
    gc_root(strlit8616);
  }
// compiled string node returning strlit8616 (depth = 4)
  *var_spc = strlit8616;
  if (strlit8616 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2186
  setline(2186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8617 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block8618 = alloc_Block(NULL, NULL, "ast", 2186);
  gc_frame_newslot(block8618);
// method "_apply"
  block_savedest(block8618);
  Object closure8619 = createclosure(2, "_apply");
  setclosureframe(closure8619, stackframe);
  addtoclosure(closure8619, var_spc);
  addtoclosure(closure8619, selfslot);
  struct UserObject *uo8619 = (struct UserObject*)block8618;
  uo8619->data[0] = (Object)closure8619;
  Method *meth_meth_ast__apply8619 = addmethod2pos(block8618, "_apply", &meth_ast__apply8619, 0);
  int argcv_meth_ast__apply8619[] = {0};
  meth_meth_ast__apply8619->type = alloc_MethodType(1, argcv_meth_ast__apply8619);
  meth_meth_ast__apply8619->definitionModule = modulename;
  meth_meth_ast__apply8619->definitionLine = 2947;
// compiled block node returning block8618 (depth = 4)
  gc_frame_newslot(block8618);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block8618;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8626 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8617);
// compiled call node returning call8626 (depth = 3)
// Begin line 2189
  setline(2189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8628 == NULL) {
    strlit8628 = alloc_String("");
    gc_root(strlit8628);
  }
// compiled string node returning strlit8628 (depth = 5)
  int op_slot_right_8627 = gc_frame_newslot(strlit8628);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8631 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8632 = alloc_Float64(0);
// compiled num node returning num8632 (depth = 7)
  gc_frame_newslot(num8632);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8633 = gc_frame_new();
// call case 4: self request
  Object call8634 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8633);
// compiled member node returning call8634 (depth = 7)
  params[0] = num8632;
  partcv[0] = 1;
  Object call8635 = callmethodflags(call8634, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8631);
// compiled call node returning call8635 (depth = 6)
  int op_slot_right_8630 = gc_frame_newslot(call8635);
// starting to compile string node (depth = 6)
  if (strlit8637 == NULL) {
    strlit8637 = alloc_String("var ");
    gc_root(strlit8637);
  }
// compiled string node returning strlit8637 (depth = 6)
  int op_slot_left_8630 = gc_frame_newslot(strlit8637);
  params[0] = call8635;
  partcv[0] = 1;
  Object opresult8638 = callmethod(strlit8637, "++(1)", 1, partcv, params);
// compiled op node returning opresult8638 (depth = 5)
  int op_slot_left_8627 = gc_frame_newslot(opresult8638);
  params[0] = strlit8628;
  partcv[0] = 1;
  Object opresult8639 = callmethod(opresult8638, "++(1)", 1, partcv, params);
// compiled op node returning opresult8639 (depth = 4)
  *var_s = opresult8639;
  if (opresult8639 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2190
  setline(2190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block8642 = alloc_Block(NULL, NULL, "ast", 2190);
  gc_frame_newslot(block8642);
// method "_apply"
  block_savedest(block8642);
  Object closure8643 = createclosure(1, "_apply");
  setclosureframe(closure8643, stackframe);
  addtoclosure(closure8643, selfslot);
  struct UserObject *uo8643 = (struct UserObject*)block8642;
  uo8643->data[0] = (Object)closure8643;
  Method *meth_meth_ast__apply8643 = addmethod2pos(block8642, "_apply", &meth_ast__apply8643, 0);
  int argcv_meth_ast__apply8643[] = {0};
  meth_meth_ast__apply8643->type = alloc_MethodType(1, argcv_meth_ast__apply8643);
  meth_meth_ast__apply8643->definitionModule = modulename;
  meth_meth_ast__apply8643->definitionLine = 2947;
// compiled block node returning block8642 (depth = 5)
  int op_slot_right_8641 = gc_frame_newslot(block8642);
// Begin line 2190
  setline(2190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8655 = gc_frame_new();
// call case 4: self request
  Object call8656 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8655);
// compiled member node returning call8656 (depth = 6)
  int op_slot_right_8654 = gc_frame_newslot(call8656);
// starting to compile identifier node (depth = 6)
  Object bool8658 = alloc_Boolean(0);
// compiled identifier node returning bool8658 (depth = 6)
  int op_slot_left_8654 = gc_frame_newslot(bool8658);
  params[0] = call8656;
  partcv[0] = 1;
  Object opresult8659 = callmethod(bool8658, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8659 (depth = 5)
  int op_slot_left_8641 = gc_frame_newslot(opresult8659);
  params[0] = block8642;
  partcv[0] = 1;
  Object opresult8660 = callmethod(opresult8659, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8660 (depth = 4)
  Object if8640 = done;
  if (istrue(opresult8660)) {
// Begin line 2192
  setline(2192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8662 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num8663 = alloc_Float64(0);
// compiled num node returning num8663 (depth = 7)
  gc_frame_newslot(num8663);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8664 = gc_frame_new();
// call case 4: self request
  Object call8665 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8664);
// compiled member node returning call8665 (depth = 7)
  params[0] = num8663;
  partcv[0] = 1;
  Object call8666 = callmethodflags(call8665, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8662);
// compiled call node returning call8666 (depth = 6)
  int op_slot_right_8661 = gc_frame_newslot(call8666);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8669 == NULL) {
    strlit8669 = alloc_String(" : ");
    gc_root(strlit8669);
  }
// compiled string node returning strlit8669 (depth = 7)
  int op_slot_right_8668 = gc_frame_newslot(strlit8669);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8668 = gc_frame_newslot(*var_s);
  params[0] = strlit8669;
  partcv[0] = 1;
  Object opresult8671 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8671 (depth = 6)
  int op_slot_left_8661 = gc_frame_newslot(opresult8671);
  params[0] = call8666;
  partcv[0] = 1;
  Object opresult8672 = callmethod(opresult8671, "++(1)", 1, partcv, params);
// compiled op node returning opresult8672 (depth = 5)
  *var_s = opresult8672;
  if (opresult8672 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8640 = done;
  } else {
  }
// compiled if node returning if8640 (depth = 3)
// Begin line 2194
  setline(2194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8676 = alloc_Float64(0);
// compiled num node returning num8676 (depth = 5)
  int op_slot_right_8675 = gc_frame_newslot(num8676);
// starting to compile member node (depth = 5)
  int callframe8678 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8679 = gc_frame_new();
// call case 4: self request
  Object call8680 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8679);
// compiled member node returning call8680 (depth = 6)
  Object call8681 = callmethodflags(call8680, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8678);
// compiled member node returning call8681 (depth = 5)
  int op_slot_left_8675 = gc_frame_newslot(call8681);
  params[0] = num8676;
  partcv[0] = 1;
  Object opresult8682 = callmethod(call8681, ">(1)", 1, partcv, params);
// compiled op node returning opresult8682 (depth = 4)
  Object if8674 = done;
  if (istrue(opresult8682)) {
// Begin line 2195
  setline(2195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8684 == NULL) {
    strlit8684 = alloc_String(" is ");
    gc_root(strlit8684);
  }
// compiled string node returning strlit8684 (depth = 6)
  int op_slot_right_8683 = gc_frame_newslot(strlit8684);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8683 = gc_frame_newslot(*var_s);
  params[0] = strlit8684;
  partcv[0] = 1;
  Object opresult8686 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8686 (depth = 5)
  *var_s = opresult8686;
  if (opresult8686 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2196
  setline(2196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8689 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block8690 = alloc_Block(NULL, NULL, "ast", 2196);
  gc_frame_newslot(block8690);
// method "_apply(_,_)"
  block_savedest(block8690);
  Object closure8691 = createclosure(1, "_apply(2)");
  setclosureframe(closure8691, stackframe);
  addtoclosure(closure8691, selfslot);
  struct UserObject *uo8691 = (struct UserObject*)block8690;
  uo8691->data[0] = (Object)closure8691;
  Method *meth_meth_ast__apply_40_2_41_8691 = addmethod2pos(block8690, "_apply(2)", &meth_ast__apply_40_2_41_8691, 0);
  int argcv_meth_ast__apply_40_2_41_8691[] = {2};
  meth_meth_ast__apply_40_2_41_8691->type = alloc_MethodType(1, argcv_meth_ast__apply_40_2_41_8691);
  meth_meth_ast__apply_40_2_41_8691->definitionModule = modulename;
  meth_meth_ast__apply_40_2_41_8691->definitionLine = 2947;
// compiled block node returning block8690 (depth = 7)
  gc_frame_newslot(block8690);
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8709 == NULL) {
    strlit8709 = alloc_String("");
    gc_root(strlit8709);
  }
// compiled string node returning strlit8709 (depth = 7)
  gc_frame_newslot(strlit8709);
// call case 6: other requests
// Begin line 2196
  setline(2196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe8710 = gc_frame_new();
// call case 4: self request
  Object call8711 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8710);
// compiled member node returning call8711 (depth = 7)
  params[0] = block8690;
  params[1] = strlit8709;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8712 = callmethodflags(call8711, "fold(1)startingWith(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8689);
// compiled call node returning call8712 (depth = 6)
  int op_slot_right_8688 = gc_frame_newslot(call8712);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8688 = gc_frame_newslot(*var_s);
  params[0] = call8712;
  partcv[0] = 1;
  Object opresult8714 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8714 (depth = 5)
  *var_s = opresult8714;
  if (opresult8714 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8674 = done;
  } else {
  }
// compiled if node returning if8674 (depth = 3)
// Begin line 2200
  setline(2200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8718 = gc_frame_new();
// call case 4: self request
  Object call8719 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8718);
// compiled member node returning call8719 (depth = 5)
  int op_slot_right_8717 = gc_frame_newslot(call8719);
// starting to compile identifier node (depth = 5)
  Object bool8721 = alloc_Boolean(0);
// compiled identifier node returning bool8721 (depth = 5)
  int op_slot_left_8717 = gc_frame_newslot(bool8721);
  params[0] = call8719;
  partcv[0] = 1;
  Object opresult8722 = callmethod(bool8721, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8722 (depth = 4)
  Object if8716 = done;
  if (istrue(opresult8722)) {
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8724 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8725 = gc_frame_new();
// call case 4: self request
  Object call8726 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8725);
// compiled member node returning call8726 (depth = 7)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8727 = callmethodflags(call8726, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8724);
// compiled call node returning call8727 (depth = 6)
  int op_slot_right_8723 = gc_frame_newslot(call8727);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8730 == NULL) {
    strlit8730 = alloc_String(" := ");
    gc_root(strlit8730);
  }
// compiled string node returning strlit8730 (depth = 7)
  int op_slot_right_8729 = gc_frame_newslot(strlit8730);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_8729 = gc_frame_newslot(*var_s);
  params[0] = strlit8730;
  partcv[0] = 1;
  Object opresult8732 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8732 (depth = 6)
  int op_slot_left_8723 = gc_frame_newslot(opresult8732);
  params[0] = call8727;
  partcv[0] = 1;
  Object opresult8733 = callmethod(opresult8732, "++(1)", 1, partcv, params);
// compiled op node returning opresult8733 (depth = 5)
  *var_s = opresult8733;
  if (opresult8733 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8716 = done;
  } else {
  }
// compiled if node returning if8716 (depth = 3)
// Begin line 2203
  setline(2203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy8735(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8736 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe8737 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8738 = gc_frame_new();
// call case 4: self request
  Object call8739 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8738);
// compiled member node returning call8739 (depth = 5)
  gc_frame_newslot(call8739);
// starting to compile member node (depth = 5)
  int callframe8740 = gc_frame_new();
// call case 4: self request
  Object call8741 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8740);
// compiled member node returning call8741 (depth = 5)
  gc_frame_newslot(call8741);
// starting to compile member node (depth = 5)
  int callframe8742 = gc_frame_new();
// call case 4: self request
  Object call8743 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8742);
// compiled member node returning call8743 (depth = 5)
  gc_frame_newslot(call8743);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_varDecNode (depth = 5)
  params[0] = call8739;
  params[1] = call8741;
  params[2] = call8743;
  partcv[0] = 3;
  Object call8744 = callmethodflags(*var_varDecNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe8737);
// compiled call node returning call8744 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call8745 = callmethodflags(call8744, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8736);
// compiled call node returning call8745 (depth = 3)
  gc_frame_end(frame);
  return call8745;
}
Object meth_ast_statementName8746(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2208
  setline(2208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8747 == NULL) {
    strlit8747 = alloc_String("variable declaration");
    gc_root(strlit8747);
  }
// compiled string node returning strlit8747 (depth = 3)
  gc_frame_end(frame);
  return strlit8747;
}
Object meth_ast_new_40_3_41_8306(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_varDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8307 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8307 = alloc_userobj2(22,19, objclass8307);
  gc_frame_newslot(obj8307);
if (objclass8307 == NULL) {
  glfree(obj8307->class->name);
  obj8307->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8307, self, 0);
  addmethodreal(obj8307,"outer", &reader_ast_outer_8308);
  Object oldself8307 = self;
  struct StackFrameObject *oldstackframe8307 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8307);
  gc_frame_newslot((Object)stackframe);
  self = obj8307;
  Object *oldselfslot8307 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8307 = (*(struct UserObject *)self).data[0], lowerouter8307 = thisouter8307;
  if (inheritingObject8307) {
    struct UserObject *inho8307 = (struct UserObject *)inheritingObject8307;
    while (inho8307->super != GraceDefaultObject) inho8307 = (struct UserObject *)inho8307->super;
    inho8307->super = obj8307;
    self = inheritingObject8307;
    *selfslot = self;
    lowerouter8307 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8307;
  }
if (objclass8307 == NULL) {
  Method *reader8309 = addmethodrealflags(obj8307, "kind",&reader_ast_kind_8309, MFLAG_DEF);
  reader8309->definitionModule = modulename;
  reader8309->definitionLine = 2107;
}
adddatum2(obj8307, alloc_Undefined(), 1);
if (objclass8307 == NULL) {
  Method *reader8310 = addmethodrealflags(obj8307, "name", &reader_ast_name_8310, 0);
  Method *writer8310 = addmethodrealflags(obj8307, "name:=(1)", &writer_ast_name_8310, 0);
  reader8310->definitionModule = modulename;
  writer8310->definitionModule = modulename;
  reader8310->definitionLine = 2108;
  writer8310->definitionLine = 2108;
}
obj8307->flags |= OFLAG_MUTABLE;
adddatum2(obj8307, alloc_Undefined(), 2);
if (objclass8307 == NULL) {
  Method *reader8311 = addmethodrealflags(obj8307, "value", &reader_ast_value_8311, 0);
  Method *writer8311 = addmethodrealflags(obj8307, "value:=(1)", &writer_ast_value_8311, 0);
  reader8311->definitionModule = modulename;
  writer8311->definitionModule = modulename;
  reader8311->definitionLine = 2109;
  writer8311->definitionLine = 2109;
}
obj8307->flags |= OFLAG_MUTABLE;
adddatum2(obj8307, alloc_Undefined(), 3);
if (objclass8307 == NULL) {
  Method *reader8312 = addmethodrealflags(obj8307, "dtype", &reader_ast_dtype_8312, 0);
  Method *writer8312 = addmethodrealflags(obj8307, "dtype:=(1)", &writer_ast_dtype_8312, 0);
  reader8312->definitionModule = modulename;
  writer8312->definitionModule = modulename;
  reader8312->definitionLine = 2110;
  writer8312->definitionLine = 2110;
}
obj8307->flags |= OFLAG_MUTABLE;
adddatum2(obj8307, alloc_Undefined(), 4);
if (objclass8307 == NULL) {
  Method *reader8313 = addmethodrealflags(obj8307, "nameString",&reader_ast_nameString_8313, MFLAG_DEF);
  reader8313->definitionModule = modulename;
  reader8313->definitionLine = 2111;
}
adddatum2(obj8307, alloc_Undefined(), 5);
if (objclass8307 == NULL) {
  Method *reader8314 = addmethodrealflags(obj8307, "annotations", &reader_ast_annotations_8314, 0);
  Method *writer8314 = addmethodrealflags(obj8307, "annotations:=(1)", &writer_ast_annotations_8314, 0);
  reader8314->definitionModule = modulename;
  writer8314->definitionModule = modulename;
  reader8314->definitionLine = 2112;
  writer8314->definitionLine = 2112;
}
obj8307->flags |= OFLAG_MUTABLE;
adddatum2(obj8307, alloc_Undefined(), 6);
// method "isPublic"
  struct UserObject *uo8315 = (struct UserObject*)obj8307;
  uo8315->data[7] = emptyclosure;
  Method *meth_meth_ast_isPublic8315 = addmethod2pos(obj8307, "isPublic", &meth_ast_isPublic8315, 7);
  int argcv_meth_ast_isPublic8315[] = {0};
  meth_meth_ast_isPublic8315->type = alloc_MethodType(1, argcv_meth_ast_isPublic8315);
  meth_meth_ast_isPublic8315->definitionModule = modulename;
  meth_meth_ast_isPublic8315->definitionLine = 2114;
// method "isWritable"
  struct UserObject *uo8342 = (struct UserObject*)obj8307;
  uo8342->data[8] = emptyclosure;
  Method *meth_meth_ast_isWritable8342 = addmethod2pos(obj8307, "isWritable", &meth_ast_isWritable8342, 8);
  int argcv_meth_ast_isWritable8342[] = {0};
  meth_meth_ast_isWritable8342->type = alloc_MethodType(1, argcv_meth_ast_isWritable8342);
  meth_meth_ast_isWritable8342->definitionModule = modulename;
  meth_meth_ast_isWritable8342->definitionLine = 2120;
// method "isReadable"
  struct UserObject *uo8372 = (struct UserObject*)obj8307;
  uo8372->data[9] = emptyclosure;
  Method *meth_meth_ast_isReadable8372 = addmethod2pos(obj8307, "isReadable", &meth_ast_isReadable8372, 9);
  int argcv_meth_ast_isReadable8372[] = {0};
  meth_meth_ast_isReadable8372->type = alloc_MethodType(1, argcv_meth_ast_isReadable8372);
  meth_meth_ast_isReadable8372->definitionModule = modulename;
  meth_meth_ast_isReadable8372->definitionLine = 2126;
// method "isFieldDec"
  struct UserObject *uo8402 = (struct UserObject*)obj8307;
  uo8402->data[10] = emptyclosure;
  Method *meth_meth_ast_isFieldDec8402 = addmethod2pos(obj8307, "isFieldDec", &meth_ast_isFieldDec8402, 10);
  int argcv_meth_ast_isFieldDec8402[] = {0};
  meth_meth_ast_isFieldDec8402->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec8402);
  meth_meth_ast_isFieldDec8402->definitionModule = modulename;
  meth_meth_ast_isFieldDec8402->definitionLine = 2132;
// method "usesAsType(_)"
  struct UserObject *uo8404 = (struct UserObject*)obj8307;
  uo8404->data[11] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8404 = addmethod2pos(obj8307, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8404, 11);
  int argcv_meth_ast_usesAsType_40_1_41_8404[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8404->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8404);
  meth_meth_ast_usesAsType_40_1_41_8404->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8404->definitionLine = 2134;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8307);
  Object closure8410 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8410, stackframe);
  addtoclosure(closure8410, var_k);
  struct UserObject *uo8410 = (struct UserObject*)obj8307;
  uo8410->data[12] = (Object)closure8410;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8410 = addmethod2pos(obj8307, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8410, 12);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8410[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8410->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8410);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8410->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8410->definitionLine = 2138;
// method "accept(_)from(_)"
  struct UserObject *uo8413 = (struct UserObject*)obj8307;
  uo8413->data[13] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8413 = addmethod2pos(obj8307, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8413, 13);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8413[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8413->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8413);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8413->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8413->definitionLine = 2140;
// method "map(_)ancestors(_)"
  struct UserObject *uo8454 = (struct UserObject*)obj8307;
  uo8454->data[14] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_8454 = addmethod2pos(obj8307, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_8454, 14);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8454[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8454->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8454);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8454->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8454->definitionLine = 2155;
// method "pretty(_)"
  struct UserObject *uo8497 = (struct UserObject*)obj8307;
  uo8497->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_8497 = addmethod2pos(obj8307, "pretty(1)", &meth_ast_pretty_40_1_41_8497, 15);
  int argcv_meth_ast_pretty_40_1_41_8497[] = {1};
  meth_meth_ast_pretty_40_1_41_8497->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_8497);
  meth_meth_ast_pretty_40_1_41_8497->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_8497->definitionLine = 2164;
// method "toGrace(_)"
  struct UserObject *uo8615 = (struct UserObject*)obj8307;
  uo8615->data[16] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_8615 = addmethod2pos(obj8307, "toGrace(1)", &meth_ast_toGrace_40_1_41_8615, 16);
  int argcv_meth_ast_toGrace_40_1_41_8615[] = {1};
  meth_meth_ast_toGrace_40_1_41_8615->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_8615);
meth_meth_ast_toGrace_40_1_41_8615->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_8615->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_8615->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_8615->definitionLine = 2184;
// method "shallowCopy"
  block_savedest(obj8307);
  Object closure8735 = createclosure(1, "shallowCopy");
  setclosureframe(closure8735, stackframe);
  addtoclosure(closure8735, var_varDecNode);
  struct UserObject *uo8735 = (struct UserObject*)obj8307;
  uo8735->data[17] = (Object)closure8735;
  Method *meth_meth_ast_shallowCopy8735 = addmethod2pos(obj8307, "shallowCopy", &meth_ast_shallowCopy8735, 17);
  int argcv_meth_ast_shallowCopy8735[] = {0};
  meth_meth_ast_shallowCopy8735->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy8735);
  meth_meth_ast_shallowCopy8735->definitionModule = modulename;
  meth_meth_ast_shallowCopy8735->definitionLine = 2205;
// method "statementName"
  struct UserObject *uo8746 = (struct UserObject*)obj8307;
  uo8746->data[18] = emptyclosure;
  Method *meth_meth_ast_statementName8746 = addmethod2pos(obj8307, "statementName", &meth_ast_statementName8746, 18);
  int argcv_meth_ast_statementName8746[] = {0};
  meth_meth_ast_statementName8746->type = alloc_MethodType(1, argcv_meth_ast_statementName8746);
  meth_meth_ast_statementName8746->definitionModule = modulename;
  meth_meth_ast_statementName8746->definitionLine = 2208;
  sourceObject = obj8307;
// Begin line 2106
  setline(2106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8748 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8749 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8750 = gc_frame_new();
// call case 3: self.outer request
  Object call8751 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8750);
// compiled member node returning call8751 (depth = 5)
  Object call8752 = callmethodflags(call8751, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8749);
// compiled member node returning call8752 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8753 = callmethodflags(call8752, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8748);
// compiled call node returning call8753 (depth = 3)
  struct UserObject *obj8307_uo = (struct UserObject *)obj8307;
  obj8307_uo->super = call8753;
  sourceObject = obj8307;
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8754 == NULL) {
    strlit8754 = alloc_String("vardec");
    gc_root(strlit8754);
  }
// compiled string node returning strlit8754 (depth = 3)
  adddatum2(obj8307, strlit8754, 1);
  sourceObject = obj8307;
// Begin line 2108
  setline(2108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8307, *var_name_39_, 2);
  sourceObject = obj8307;
// Begin line 2109
  setline(2109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj8307, *var_val_39_, 3);
  sourceObject = obj8307;
// Begin line 2110
  setline(2110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8307, *var_dtype_39_, 4);
  sourceObject = obj8307;
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8755 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8756 = gc_frame_new();
// call case 4: self request
  Object call8757 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8756);
// compiled member node returning call8757 (depth = 4)
  Object call8758 = callmethodflags(call8757, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8755);
// compiled member node returning call8758 (depth = 3)
  adddatum2(obj8307, call8758, 5);
  sourceObject = obj8307;
// Begin line 2112
  setline(2112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8759 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8759 (depth = 3)
  adddatum2(obj8307, array8759, 6);
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  objclass8307 = obj8307->class;
  objclass8307->definitionModule = modulename;
  objclass8307->definitionLine = 2105;
  (*(struct UserObject *)self).data[0] = lowerouter8307;
  self = oldself8307;
  selfslot = oldselfslot8307;
  stackframe = oldstackframe8307;
  gc_frame_end(frame);
  return obj8307;
}
Object meth_ast_new_40_3_41_8306_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_varDecNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_name_39_ = &(stackframe->slots[0]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_val_39_ = &(stackframe->slots[1]);
  *var_val_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8307 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8307 = alloc_userobj2(22,19, objclass8307);
  gc_frame_newslot(obj8307);
if (objclass8307 == NULL) {
  glfree(obj8307->class->name);
  obj8307->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8307, self, 0);
  addmethodreal(obj8307,"outer", &reader_ast_outer_8308);
  Object oldself8307 = self;
  struct StackFrameObject *oldstackframe8307 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8307);
  gc_frame_newslot((Object)stackframe);
  self = obj8307;
  Object *oldselfslot8307 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8307 = (*(struct UserObject *)self).data[0], lowerouter8307 = thisouter8307;
  if (inheritingObject8307) {
    struct UserObject *inho8307 = (struct UserObject *)inheritingObject8307;
    while (inho8307->super != GraceDefaultObject) inho8307 = (struct UserObject *)inho8307->super;
    inho8307->super = obj8307;
    self = inheritingObject8307;
    *selfslot = self;
    lowerouter8307 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8307;
  }
if (objclass8307 == NULL) {
  Method *reader8309 = addmethodrealflags(obj8307, "kind",&reader_ast_kind_8309, MFLAG_DEF);
  reader8309->definitionModule = modulename;
  reader8309->definitionLine = 2107;
}
adddatum2(obj8307, alloc_Undefined(), 1);
if (objclass8307 == NULL) {
  Method *reader8310 = addmethodrealflags(obj8307, "name", &reader_ast_name_8310, 0);
  Method *writer8310 = addmethodrealflags(obj8307, "name:=(1)", &writer_ast_name_8310, 0);
  reader8310->definitionModule = modulename;
  writer8310->definitionModule = modulename;
  reader8310->definitionLine = 2108;
  writer8310->definitionLine = 2108;
}
obj8307->flags |= OFLAG_MUTABLE;
adddatum2(obj8307, alloc_Undefined(), 2);
if (objclass8307 == NULL) {
  Method *reader8311 = addmethodrealflags(obj8307, "value", &reader_ast_value_8311, 0);
  Method *writer8311 = addmethodrealflags(obj8307, "value:=(1)", &writer_ast_value_8311, 0);
  reader8311->definitionModule = modulename;
  writer8311->definitionModule = modulename;
  reader8311->definitionLine = 2109;
  writer8311->definitionLine = 2109;
}
obj8307->flags |= OFLAG_MUTABLE;
adddatum2(obj8307, alloc_Undefined(), 3);
if (objclass8307 == NULL) {
  Method *reader8312 = addmethodrealflags(obj8307, "dtype", &reader_ast_dtype_8312, 0);
  Method *writer8312 = addmethodrealflags(obj8307, "dtype:=(1)", &writer_ast_dtype_8312, 0);
  reader8312->definitionModule = modulename;
  writer8312->definitionModule = modulename;
  reader8312->definitionLine = 2110;
  writer8312->definitionLine = 2110;
}
obj8307->flags |= OFLAG_MUTABLE;
adddatum2(obj8307, alloc_Undefined(), 4);
if (objclass8307 == NULL) {
  Method *reader8313 = addmethodrealflags(obj8307, "nameString",&reader_ast_nameString_8313, MFLAG_DEF);
  reader8313->definitionModule = modulename;
  reader8313->definitionLine = 2111;
}
adddatum2(obj8307, alloc_Undefined(), 5);
if (objclass8307 == NULL) {
  Method *reader8314 = addmethodrealflags(obj8307, "annotations", &reader_ast_annotations_8314, 0);
  Method *writer8314 = addmethodrealflags(obj8307, "annotations:=(1)", &writer_ast_annotations_8314, 0);
  reader8314->definitionModule = modulename;
  writer8314->definitionModule = modulename;
  reader8314->definitionLine = 2112;
  writer8314->definitionLine = 2112;
}
obj8307->flags |= OFLAG_MUTABLE;
adddatum2(obj8307, alloc_Undefined(), 6);
// method "isPublic"
  struct UserObject *uo8315 = (struct UserObject*)obj8307;
  uo8315->data[7] = emptyclosure;
  Method *meth_meth_ast_isPublic8315 = addmethod2pos(obj8307, "isPublic", &meth_ast_isPublic8315, 7);
  int argcv_meth_ast_isPublic8315[] = {0};
  meth_meth_ast_isPublic8315->type = alloc_MethodType(1, argcv_meth_ast_isPublic8315);
  meth_meth_ast_isPublic8315->definitionModule = modulename;
  meth_meth_ast_isPublic8315->definitionLine = 2114;
// method "isWritable"
  struct UserObject *uo8342 = (struct UserObject*)obj8307;
  uo8342->data[8] = emptyclosure;
  Method *meth_meth_ast_isWritable8342 = addmethod2pos(obj8307, "isWritable", &meth_ast_isWritable8342, 8);
  int argcv_meth_ast_isWritable8342[] = {0};
  meth_meth_ast_isWritable8342->type = alloc_MethodType(1, argcv_meth_ast_isWritable8342);
  meth_meth_ast_isWritable8342->definitionModule = modulename;
  meth_meth_ast_isWritable8342->definitionLine = 2120;
// method "isReadable"
  struct UserObject *uo8372 = (struct UserObject*)obj8307;
  uo8372->data[9] = emptyclosure;
  Method *meth_meth_ast_isReadable8372 = addmethod2pos(obj8307, "isReadable", &meth_ast_isReadable8372, 9);
  int argcv_meth_ast_isReadable8372[] = {0};
  meth_meth_ast_isReadable8372->type = alloc_MethodType(1, argcv_meth_ast_isReadable8372);
  meth_meth_ast_isReadable8372->definitionModule = modulename;
  meth_meth_ast_isReadable8372->definitionLine = 2126;
// method "isFieldDec"
  struct UserObject *uo8402 = (struct UserObject*)obj8307;
  uo8402->data[10] = emptyclosure;
  Method *meth_meth_ast_isFieldDec8402 = addmethod2pos(obj8307, "isFieldDec", &meth_ast_isFieldDec8402, 10);
  int argcv_meth_ast_isFieldDec8402[] = {0};
  meth_meth_ast_isFieldDec8402->type = alloc_MethodType(1, argcv_meth_ast_isFieldDec8402);
  meth_meth_ast_isFieldDec8402->definitionModule = modulename;
  meth_meth_ast_isFieldDec8402->definitionLine = 2132;
// method "usesAsType(_)"
  struct UserObject *uo8404 = (struct UserObject*)obj8307;
  uo8404->data[11] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8404 = addmethod2pos(obj8307, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8404, 11);
  int argcv_meth_ast_usesAsType_40_1_41_8404[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8404->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8404);
  meth_meth_ast_usesAsType_40_1_41_8404->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8404->definitionLine = 2134;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8307);
  Object closure8410 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8410, stackframe);
  addtoclosure(closure8410, var_k);
  struct UserObject *uo8410 = (struct UserObject*)obj8307;
  uo8410->data[12] = (Object)closure8410;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8410 = addmethod2pos(obj8307, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8410, 12);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8410[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8410->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8410);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8410->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8410->definitionLine = 2138;
// method "accept(_)from(_)"
  struct UserObject *uo8413 = (struct UserObject*)obj8307;
  uo8413->data[13] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8413 = addmethod2pos(obj8307, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8413, 13);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8413[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8413->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8413);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8413->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8413->definitionLine = 2140;
// method "map(_)ancestors(_)"
  struct UserObject *uo8454 = (struct UserObject*)obj8307;
  uo8454->data[14] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_8454 = addmethod2pos(obj8307, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_8454, 14);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8454[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8454->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8454);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8454->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8454->definitionLine = 2155;
// method "pretty(_)"
  struct UserObject *uo8497 = (struct UserObject*)obj8307;
  uo8497->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_8497 = addmethod2pos(obj8307, "pretty(1)", &meth_ast_pretty_40_1_41_8497, 15);
  int argcv_meth_ast_pretty_40_1_41_8497[] = {1};
  meth_meth_ast_pretty_40_1_41_8497->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_8497);
  meth_meth_ast_pretty_40_1_41_8497->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_8497->definitionLine = 2164;
// method "toGrace(_)"
  struct UserObject *uo8615 = (struct UserObject*)obj8307;
  uo8615->data[16] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_8615 = addmethod2pos(obj8307, "toGrace(1)", &meth_ast_toGrace_40_1_41_8615, 16);
  int argcv_meth_ast_toGrace_40_1_41_8615[] = {1};
  meth_meth_ast_toGrace_40_1_41_8615->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_8615);
meth_meth_ast_toGrace_40_1_41_8615->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_8615->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_8615->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_8615->definitionLine = 2184;
// method "shallowCopy"
  block_savedest(obj8307);
  Object closure8735 = createclosure(1, "shallowCopy");
  setclosureframe(closure8735, stackframe);
  addtoclosure(closure8735, var_varDecNode);
  struct UserObject *uo8735 = (struct UserObject*)obj8307;
  uo8735->data[17] = (Object)closure8735;
  Method *meth_meth_ast_shallowCopy8735 = addmethod2pos(obj8307, "shallowCopy", &meth_ast_shallowCopy8735, 17);
  int argcv_meth_ast_shallowCopy8735[] = {0};
  meth_meth_ast_shallowCopy8735->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy8735);
  meth_meth_ast_shallowCopy8735->definitionModule = modulename;
  meth_meth_ast_shallowCopy8735->definitionLine = 2205;
// method "statementName"
  struct UserObject *uo8746 = (struct UserObject*)obj8307;
  uo8746->data[18] = emptyclosure;
  Method *meth_meth_ast_statementName8746 = addmethod2pos(obj8307, "statementName", &meth_ast_statementName8746, 18);
  int argcv_meth_ast_statementName8746[] = {0};
  meth_meth_ast_statementName8746->type = alloc_MethodType(1, argcv_meth_ast_statementName8746);
  meth_meth_ast_statementName8746->definitionModule = modulename;
  meth_meth_ast_statementName8746->definitionLine = 2208;
  sourceObject = obj8307;
// Begin line 2106
  setline(2106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8748 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8749 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8750 = gc_frame_new();
// call case 3: self.outer request
  Object call8751 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8750);
// compiled member node returning call8751 (depth = 5)
  Object call8752 = callmethodflags(call8751, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8749);
// compiled member node returning call8752 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call8753 = callmethodflags(call8752, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8748);
// compiled call node returning call8753 (depth = 3)
  struct UserObject *obj8307_uo = (struct UserObject *)obj8307;
  obj8307_uo->super = call8753;
  sourceObject = obj8307;
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit8754 == NULL) {
    strlit8754 = alloc_String("vardec");
    gc_root(strlit8754);
  }
// compiled string node returning strlit8754 (depth = 3)
  adddatum2(obj8307, strlit8754, 1);
  sourceObject = obj8307;
// Begin line 2108
  setline(2108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8307, *var_name_39_, 2);
  sourceObject = obj8307;
// Begin line 2109
  setline(2109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj8307, *var_val_39_, 3);
  sourceObject = obj8307;
// Begin line 2110
  setline(2110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8307, *var_dtype_39_, 4);
  sourceObject = obj8307;
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8755 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8756 = gc_frame_new();
// call case 4: self request
  Object call8757 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8756);
// compiled member node returning call8757 (depth = 4)
  Object call8758 = callmethodflags(call8757, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8755);
// compiled member node returning call8758 (depth = 3)
  adddatum2(obj8307, call8758, 5);
  sourceObject = obj8307;
// Begin line 2112
  setline(2112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array8759 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8759 (depth = 3)
  adddatum2(obj8307, array8759, 6);
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  sourceObject = obj8307;
  objclass8307 = obj8307->class;
  objclass8307->definitionModule = modulename;
  objclass8307->definitionLine = 2105;
  (*(struct UserObject *)self).data[0] = lowerouter8307;
  self = oldself8307;
  selfslot = oldselfslot8307;
  stackframe = oldstackframe8307;
  gc_frame_end(frame);
  return obj8307;
}
Object meth_ast_varDecNode8761(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "varDecNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_varDecNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_varDecNode (depth = 3)
  gc_frame_end(frame);
  return *var_varDecNode;
}
Object meth_ast_isImport8772(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isImport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2220
  setline(2220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8773 = alloc_Boolean(1);
// compiled identifier node returning bool8773 (depth = 3)
  gc_frame_end(frame);
  return bool8773;
}
Object meth_ast_isExternal8774(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2221
  setline(2221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8775 = alloc_Boolean(1);
// compiled identifier node returning bool8775 (depth = 3)
  gc_frame_end(frame);
  return bool8775;
}
Object meth_ast_isExecutable8776(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2222
  setline(2222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8777 = alloc_Boolean(0);
// compiled identifier node returning bool8777 (depth = 3)
  gc_frame_end(frame);
  return bool8777;
}
Object meth_ast_name8778(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "name");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2223
  setline(2223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8779 = gc_frame_new();
// call case 4: self request
  Object call8780 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8779);
// compiled member node returning call8780 (depth = 3)
  gc_frame_end(frame);
  return call8780;
}
Object meth_ast_nameString8781(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2224
  setline(2224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8782 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8783 = gc_frame_new();
// call case 4: self request
  Object call8784 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8783);
// compiled member node returning call8784 (depth = 4)
  Object call8785 = callmethodflags(call8784, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8782);
// compiled member node returning call8785 (depth = 3)
  gc_frame_end(frame);
  return call8785;
}
Object meth_ast_isPublic8786(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isPublic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2227
  setline(2227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8789 = alloc_Float64(0);
// compiled num node returning num8789 (depth = 5)
  int op_slot_right_8788 = gc_frame_newslot(num8789);
// starting to compile member node (depth = 5)
  int callframe8791 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8792 = gc_frame_new();
// call case 4: self request
  Object call8793 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8792);
// compiled member node returning call8793 (depth = 6)
  Object call8794 = callmethodflags(call8793, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8791);
// compiled member node returning call8794 (depth = 5)
  int op_slot_left_8788 = gc_frame_newslot(call8794);
  params[0] = num8789;
  partcv[0] = 1;
  Object opresult8795 = callmethod(call8794, "==(1)", 1, partcv, params);
// compiled op node returning opresult8795 (depth = 4)
  Object if8787 = done;
  if (istrue(opresult8795)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8796 = alloc_Boolean(0);
// compiled identifier node returning bool8796 (depth = 5)
  return bool8796;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8787 = undefined;
  } else {
  }
// compiled if node returning if8787 (depth = 3)
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8798 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile string node (depth = 5)
  if (strlit8799 == NULL) {
    strlit8799 = alloc_String("public");
    gc_root(strlit8799);
  }
// compiled string node returning strlit8799 (depth = 5)
  gc_frame_newslot(strlit8799);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8800 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8801 = gc_frame_new();
// call case 3: self.outer request
  Object call8802 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8801);
// compiled member node returning call8802 (depth = 6)
  Object call8803 = callmethodflags(call8802, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8800);
// compiled member node returning call8803 (depth = 5)
  params[0] = self;
  params[1] = strlit8799;
  partcv[0] = 2;
  Object call8804 = callmethodflags(call8803, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8798);
// compiled call node returning call8804 (depth = 4)
  Object if8797 = done;
  if (istrue(call8804)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8805 = alloc_Boolean(1);
// compiled identifier node returning bool8805 (depth = 5)
  return bool8805;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if8797 = undefined;
  } else {
  }
// compiled if node returning if8797 (depth = 3)
// Begin line 2229
  setline(2229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8806 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile string node (depth = 4)
  if (strlit8807 == NULL) {
    strlit8807 = alloc_String("readable");
    gc_root(strlit8807);
  }
// compiled string node returning strlit8807 (depth = 4)
  gc_frame_newslot(strlit8807);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8808 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8809 = gc_frame_new();
// call case 3: self.outer request
  Object call8810 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8809);
// compiled member node returning call8810 (depth = 5)
  Object call8811 = callmethodflags(call8810, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8808);
// compiled member node returning call8811 (depth = 4)
  params[0] = self;
  params[1] = strlit8807;
  partcv[0] = 2;
  Object call8812 = callmethodflags(call8811, "findAnnotation(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8806);
// compiled call node returning call8812 (depth = 3)
  gc_frame_end(frame);
  return call8812;
}
Object meth_ast__apply_40_1_41_8819(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_bnm = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2234
  setline(2234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8822 == NULL) {
    strlit8822 = alloc_String("/");
    gc_root(strlit8822);
  }
// compiled string node returning strlit8822 (depth = 7)
  int op_slot_right_8821 = gc_frame_newslot(strlit8822);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_8821 = gc_frame_newslot(*var_c);
  params[0] = strlit8822;
  partcv[0] = 1;
  Object opresult8824 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult8824 (depth = 6)
  Object if8820 = done;
  if (istrue(opresult8824)) {
// Begin line 2235
  setline(2235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8825 == NULL) {
    strlit8825 = alloc_String("");
    gc_root(strlit8825);
  }
// compiled string node returning strlit8825 (depth = 7)
  *var_bnm = strlit8825;
  if (strlit8825 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if8820 = done;
  } else {
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_8827 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_bnm (depth = 8)
  int op_slot_left_8827 = gc_frame_newslot(*var_bnm);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult8829 = callmethod(*var_bnm, "++(1)", 1, partcv, params);
// compiled op node returning opresult8829 (depth = 7)
  *var_bnm = opresult8829;
  if (opresult8829 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if8820 = done;
  }
// compiled if node returning if8820 (depth = 5)
  gc_frame_end(frame);
  return if8820;
}
Object meth_ast_moduleName8813(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "moduleName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_bnm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "bnm");
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8814 == NULL) {
    strlit8814 = alloc_String("");
    gc_root(strlit8814);
  }
// compiled string node returning strlit8814 (depth = 4)
  *var_bnm = strlit8814;
  if (strlit8814 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8815 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8816 = gc_frame_new();
// call case 4: self request
  Object call8817 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8816);
// compiled member node returning call8817 (depth = 4)
  gc_frame_newslot(call8817);
// starting to compile block node (depth = 4)
  Object block8818 = alloc_Block(NULL, NULL, "ast", 2233);
  gc_frame_newslot(block8818);
// method "_apply(_)"
  block_savedest(block8818);
  Object closure8819 = createclosure(2, "_apply(1)");
  setclosureframe(closure8819, stackframe);
  addtoclosure(closure8819, var_bnm);
  addtoclosure(closure8819, selfslot);
  struct UserObject *uo8819 = (struct UserObject*)block8818;
  uo8819->data[0] = (Object)closure8819;
  Method *meth_meth_ast__apply_40_1_41_8819 = addmethod2pos(block8818, "_apply(1)", &meth_ast__apply_40_1_41_8819, 0);
  int argcv_meth_ast__apply_40_1_41_8819[] = {1};
  meth_meth_ast__apply_40_1_41_8819->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8819);
  meth_meth_ast__apply_40_1_41_8819->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8819->definitionLine = 2947;
// compiled block node returning block8818 (depth = 4)
  gc_frame_newslot(block8818);
// call case 5: prelude request
  params[0] = call8817;
  params[1] = block8818;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8832 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8815);
// compiled call node returning call8832 (depth = 3)
// Begin line 2240
  setline(2240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bnm (depth = 3)
  gc_frame_end(frame);
  return *var_bnm;
}
Object meth_ast_isWritable8833(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isWritable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2242
  setline(2242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8834 = alloc_Boolean(0);
// compiled identifier node returning bool8834 (depth = 3)
  gc_frame_end(frame);
  return bool8834;
}
Object meth_ast_isReadable8835(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isReadable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2243
  setline(2243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8836 = gc_frame_new();
// call case 4: self request
  Object call8837 = callmethodflags(self, "isPublic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8836);
// compiled member node returning call8837 (depth = 3)
  gc_frame_end(frame);
  return call8837;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_8838(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8839 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call8840 = callmethodflags(*var_k, "defdec", 0, partcv, params, 0);
  gc_frame_end(callframe8839);
// compiled member node returning call8840 (depth = 3)
  gc_frame_end(frame);
  return call8840;
}
Object meth_ast_usesAsType_40_1_41_8841(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "usesAsType(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method usesAsType(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for usesAsType(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aNode = &(stackframe->slots[0]);
  *var_aNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part usesAsType(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2246
  setline(2246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8843 = gc_frame_new();
// call case 4: self request
  Object call8844 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8843);
// compiled member node returning call8844 (depth = 4)
  int op_slot_right_8842 = gc_frame_newslot(call8844);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_aNode (depth = 4)
  int op_slot_left_8842 = gc_frame_newslot(*var_aNode);
  params[0] = call8844;
  partcv[0] = 1;
  Object opresult8846 = callmethod(*var_aNode, "==(1)", 1, partcv, params);
// compiled op node returning opresult8846 (depth = 3)
  gc_frame_end(frame);
  return opresult8846;
}
Object meth_ast__apply_40_1_41_8857(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2252
  setline(2252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8858 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ann (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8859 = callmethodflags(*var_ann, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8858);
// compiled call node returning call8859 (depth = 6)
  gc_frame_end(frame);
  return call8859;
}
Object meth_ast_accept_40_1_41_from_40_1_41_8847(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8849 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8850 = callmethodflags(*var_visitor, "visitImport(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8849);
// compiled call node returning call8850 (depth = 4)
  Object if8848 = done;
  if (istrue(call8850)) {
// Begin line 2250
  setline(2250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8851 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call8852 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8851);
// compiled call node returning call8852 (depth = 5)
  *var_newChain = call8852;
  if (call8852 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2251
  setline(2251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8853 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8854 = gc_frame_new();
// call case 4: self request
  Object call8855 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8854);
// compiled member node returning call8855 (depth = 5)
  gc_frame_newslot(call8855);
// starting to compile block node (depth = 5)
  Object block8856 = alloc_Block(NULL, NULL, "ast", 2251);
  gc_frame_newslot(block8856);
// method "_apply(_)"
  block_savedest(block8856);
  Object closure8857 = createclosure(3, "_apply(1)");
  setclosureframe(closure8857, stackframe);
  addtoclosure(closure8857, var_visitor);
  addtoclosure(closure8857, var_newChain);
  addtoclosure(closure8857, selfslot);
  struct UserObject *uo8857 = (struct UserObject*)block8856;
  uo8857->data[0] = (Object)closure8857;
  Method *meth_meth_ast__apply_40_1_41_8857 = addmethod2pos(block8856, "_apply(1)", &meth_ast__apply_40_1_41_8857, 0);
  int argcv_meth_ast__apply_40_1_41_8857[] = {1};
  meth_meth_ast__apply_40_1_41_8857->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8857);
  meth_meth_ast__apply_40_1_41_8857->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8857->definitionLine = 2947;
// compiled block node returning block8856 (depth = 5)
  gc_frame_newslot(block8856);
// call case 5: prelude request
  params[0] = call8855;
  params[1] = block8856;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8861 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8853);
// compiled call node returning call8861 (depth = 4)
// Begin line 2254
  setline(2254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8862 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8863 = gc_frame_new();
// call case 4: self request
  Object call8864 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8863);
// compiled member node returning call8864 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8865 = callmethodflags(call8864, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8862);
// compiled call node returning call8865 (depth = 4)
// Begin line 2255
  setline(2255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8868 = gc_frame_new();
// call case 4: self request
  Object call8869 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8868);
// compiled member node returning call8869 (depth = 6)
  int op_slot_right_8867 = gc_frame_newslot(call8869);
// starting to compile identifier node (depth = 6)
  Object bool8871 = alloc_Boolean(0);
// compiled identifier node returning bool8871 (depth = 6)
  int op_slot_left_8867 = gc_frame_newslot(bool8871);
  params[0] = call8869;
  partcv[0] = 1;
  Object opresult8872 = callmethod(bool8871, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8872 (depth = 5)
  Object if8866 = done;
  if (istrue(opresult8872)) {
// Begin line 2256
  setline(2256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8873 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8874 = gc_frame_new();
// call case 4: self request
  Object call8875 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8874);
// compiled member node returning call8875 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8876 = callmethodflags(call8875, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8873);
// compiled call node returning call8876 (depth = 5)
    gc_frame_newslot(call8876);
    if8866 = call8876;
  } else {
  }
// compiled if node returning if8866 (depth = 4)
    gc_frame_newslot(if8866);
    if8848 = if8866;
  } else {
  }
// compiled if node returning if8848 (depth = 3)
  gc_frame_end(frame);
  return if8848;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_8877(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8878 = gc_frame_new();
// call case 4: self request
  Object call8879 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8878);
// compiled member node returning call8879 (depth = 4)
  *var_n = call8879;
  if (call8879 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8880 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call8881 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8880);
// compiled call node returning call8881 (depth = 4)
  *var_newChain = call8881;
  if (call8881 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8882 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8883 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8884 = gc_frame_new();
// call case 4: self request
  Object call8885 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8884);
// compiled member node returning call8885 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8886 = callmethodflags(call8885, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8883);
// compiled call node returning call8886 (depth = 4)
  gc_frame_newslot(call8886);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8886;
  partcv[0] = 1;
  Object call8887 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8882);
// compiled call node returning call8887 (depth = 3)
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8888 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8889 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8890 = gc_frame_new();
// call case 4: self request
  Object call8891 = callmethodflags(self, "dtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8890);
// compiled member node returning call8891 (depth = 5)
  gc_frame_newslot(call8891);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8892 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8893 = gc_frame_new();
// call case 3: self.outer request
  Object call8894 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8893);
// compiled member node returning call8894 (depth = 6)
  Object call8895 = callmethodflags(call8894, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8892);
// compiled member node returning call8895 (depth = 5)
  params[0] = call8891;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8896 = callmethodflags(call8895, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8889);
// compiled call node returning call8896 (depth = 4)
  gc_frame_newslot(call8896);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8896;
  partcv[0] = 1;
  Object call8897 = callmethodflags(*var_n, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8888);
// compiled call node returning call8897 (depth = 3)
// Begin line 2265
  setline(2265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8898 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8899 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe8900 = gc_frame_new();
// call case 4: self request
  Object call8901 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8900);
// compiled member node returning call8901 (depth = 5)
  gc_frame_newslot(call8901);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8902 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8903 = gc_frame_new();
// call case 3: self.outer request
  Object call8904 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe8903);
// compiled member node returning call8904 (depth = 6)
  Object call8905 = callmethodflags(call8904, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe8902);
// compiled member node returning call8905 (depth = 5)
  params[0] = call8901;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call8906 = callmethodflags(call8905, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8899);
// compiled call node returning call8906 (depth = 4)
  gc_frame_newslot(call8906);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call8906;
  partcv[0] = 1;
  Object call8907 = callmethodflags(*var_n, "annotations:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8898);
// compiled call node returning call8907 (depth = 3)
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8908 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call8909 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8908);
// compiled call node returning call8909 (depth = 3)
  gc_frame_end(frame);
  return call8909;
}
Object meth_ast__apply_40_1_41_8918(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8920 == NULL) {
    strlit8920 = alloc_String("  ");
    gc_root(strlit8920);
  }
// compiled string node returning strlit8920 (depth = 7)
  int op_slot_right_8919 = gc_frame_newslot(strlit8920);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_8919 = gc_frame_newslot(*var_spc);
  params[0] = strlit8920;
  partcv[0] = 1;
  Object opresult8922 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult8922 (depth = 6)
  *var_spc = opresult8922;
  if (opresult8922 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_8910(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2269
  setline(2269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8911 == NULL) {
    strlit8911 = alloc_String("");
    gc_root(strlit8911);
  }
// compiled string node returning strlit8911 (depth = 4)
  *var_spc = strlit8911;
  if (strlit8911 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2270
  setline(2270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8912 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_8913 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num8915 = alloc_Float64(0);
// compiled num node returning num8915 (depth = 5)
  int op_slot_left_8913 = gc_frame_newslot(num8915);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult8916 = callmethod(num8915, "..(1)", 1, partcv, params);
// compiled op node returning opresult8916 (depth = 4)
  gc_frame_newslot(opresult8916);
// starting to compile block node (depth = 4)
  Object block8917 = alloc_Block(NULL, NULL, "ast", 2270);
  gc_frame_newslot(block8917);
// method "_apply(_)"
  block_savedest(block8917);
  Object closure8918 = createclosure(2, "_apply(1)");
  setclosureframe(closure8918, stackframe);
  addtoclosure(closure8918, var_spc);
  addtoclosure(closure8918, selfslot);
  struct UserObject *uo8918 = (struct UserObject*)block8917;
  uo8918->data[0] = (Object)closure8918;
  Method *meth_meth_ast__apply_40_1_41_8918 = addmethod2pos(block8917, "_apply(1)", &meth_ast__apply_40_1_41_8918, 0);
  int argcv_meth_ast__apply_40_1_41_8918[] = {1};
  meth_meth_ast__apply_40_1_41_8918->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_8918);
  meth_meth_ast__apply_40_1_41_8918->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_8918->definitionLine = 2947;
// compiled block node returning block8917 (depth = 4)
  gc_frame_newslot(block8917);
// call case 5: prelude request
  params[0] = opresult8916;
  params[1] = block8917;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8925 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8912);
// compiled call node returning call8925 (depth = 3)
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8927 == NULL) {
    strlit8927 = alloc_String("""\x0a""");
    gc_root(strlit8927);
  }
// compiled string node returning strlit8927 (depth = 5)
  int op_slot_right_8926 = gc_frame_newslot(strlit8927);
// starting to compile call node (depth = 5)
  int callframe8929 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call8930 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe8929);
// compiled call node returning call8930 (depth = 5)
  int op_slot_left_8926 = gc_frame_newslot(call8930);
  params[0] = strlit8927;
  partcv[0] = 1;
  Object opresult8931 = callmethod(call8930, "++(1)", 1, partcv, params);
// compiled op node returning opresult8931 (depth = 4)
  *var_s = opresult8931;
  if (opresult8931 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2274
  setline(2274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8934 == NULL) {
    strlit8934 = alloc_String("""\x0a""");
    gc_root(strlit8934);
  }
// compiled string node returning strlit8934 (depth = 6)
  int op_slot_right_8933 = gc_frame_newslot(strlit8934);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8937 = gc_frame_new();
// call case 4: self request
  Object call8938 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8937);
// compiled member node returning call8938 (depth = 7)
  int op_slot_right_8936 = gc_frame_newslot(call8938);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8941 == NULL) {
    strlit8941 = alloc_String("Path: ");
    gc_root(strlit8941);
  }
// compiled string node returning strlit8941 (depth = 8)
  int op_slot_right_8940 = gc_frame_newslot(strlit8941);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_8943 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit8945 == NULL) {
    strlit8945 = alloc_String("");
    gc_root(strlit8945);
  }
// compiled string node returning strlit8945 (depth = 9)
  int op_slot_left_8943 = gc_frame_newslot(strlit8945);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8946 = callmethod(strlit8945, "++(1)", 1, partcv, params);
// compiled op node returning opresult8946 (depth = 8)
  int op_slot_left_8940 = gc_frame_newslot(opresult8946);
  params[0] = strlit8941;
  partcv[0] = 1;
  Object opresult8947 = callmethod(opresult8946, "++(1)", 1, partcv, params);
// compiled op node returning opresult8947 (depth = 7)
  int op_slot_left_8936 = gc_frame_newslot(opresult8947);
  params[0] = call8938;
  partcv[0] = 1;
  Object opresult8948 = callmethod(opresult8947, "++(1)", 1, partcv, params);
// compiled op node returning opresult8948 (depth = 6)
  int op_slot_left_8933 = gc_frame_newslot(opresult8948);
  params[0] = strlit8934;
  partcv[0] = 1;
  Object opresult8949 = callmethod(opresult8948, "++(1)", 1, partcv, params);
// compiled op node returning opresult8949 (depth = 5)
  int op_slot_right_8932 = gc_frame_newslot(opresult8949);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_8932 = gc_frame_newslot(*var_s);
  params[0] = opresult8949;
  partcv[0] = 1;
  Object opresult8951 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8951 (depth = 4)
  *var_s = opresult8951;
  if (opresult8951 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8955 == NULL) {
    strlit8955 = alloc_String("""\x0a""");
    gc_root(strlit8955);
  }
// compiled string node returning strlit8955 (depth = 6)
  int op_slot_right_8954 = gc_frame_newslot(strlit8955);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8958 = gc_frame_new();
// call case 4: self request
  Object call8959 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8958);
// compiled member node returning call8959 (depth = 7)
  int op_slot_right_8957 = gc_frame_newslot(call8959);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8962 == NULL) {
    strlit8962 = alloc_String("Identifier: ");
    gc_root(strlit8962);
  }
// compiled string node returning strlit8962 (depth = 8)
  int op_slot_right_8961 = gc_frame_newslot(strlit8962);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_8964 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit8966 == NULL) {
    strlit8966 = alloc_String("");
    gc_root(strlit8966);
  }
// compiled string node returning strlit8966 (depth = 9)
  int op_slot_left_8964 = gc_frame_newslot(strlit8966);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8967 = callmethod(strlit8966, "++(1)", 1, partcv, params);
// compiled op node returning opresult8967 (depth = 8)
  int op_slot_left_8961 = gc_frame_newslot(opresult8967);
  params[0] = strlit8962;
  partcv[0] = 1;
  Object opresult8968 = callmethod(opresult8967, "++(1)", 1, partcv, params);
// compiled op node returning opresult8968 (depth = 7)
  int op_slot_left_8957 = gc_frame_newslot(opresult8968);
  params[0] = call8959;
  partcv[0] = 1;
  Object opresult8969 = callmethod(opresult8968, "++(1)", 1, partcv, params);
// compiled op node returning opresult8969 (depth = 6)
  int op_slot_left_8954 = gc_frame_newslot(opresult8969);
  params[0] = strlit8955;
  partcv[0] = 1;
  Object opresult8970 = callmethod(opresult8969, "++(1)", 1, partcv, params);
// compiled op node returning opresult8970 (depth = 5)
  int op_slot_right_8953 = gc_frame_newslot(opresult8970);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_8953 = gc_frame_newslot(*var_s);
  params[0] = opresult8970;
  partcv[0] = 1;
  Object opresult8972 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult8972 (depth = 4)
  *var_s = opresult8972;
  if (opresult8972 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2276
  setline(2276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8976 = alloc_Float64(0);
// compiled num node returning num8976 (depth = 5)
  int op_slot_right_8975 = gc_frame_newslot(num8976);
// starting to compile member node (depth = 5)
  int callframe8978 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8979 = gc_frame_new();
// call case 4: self request
  Object call8980 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8979);
// compiled member node returning call8980 (depth = 6)
  Object call8981 = callmethodflags(call8980, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8978);
// compiled member node returning call8981 (depth = 5)
  int op_slot_left_8975 = gc_frame_newslot(call8981);
  params[0] = num8976;
  partcv[0] = 1;
  Object opresult8982 = callmethod(call8981, ">(1)", 1, partcv, params);
// compiled op node returning opresult8982 (depth = 4)
  Object if8974 = done;
  if (istrue(opresult8982)) {
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8985 == NULL) {
    strlit8985 = alloc_String("""\x0a""");
    gc_root(strlit8985);
  }
// compiled string node returning strlit8985 (depth = 7)
  int op_slot_right_8984 = gc_frame_newslot(strlit8985);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe8988 = gc_frame_new();
// call case 4: self request
  Object call8989 = callmethodflags(self, "annotations", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8988);
// compiled member node returning call8989 (depth = 8)
  int op_slot_right_8987 = gc_frame_newslot(call8989);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8992 == NULL) {
    strlit8992 = alloc_String("Anotations: ");
    gc_root(strlit8992);
  }
// compiled string node returning strlit8992 (depth = 9)
  int op_slot_right_8991 = gc_frame_newslot(strlit8992);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_8994 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit8996 == NULL) {
    strlit8996 = alloc_String("");
    gc_root(strlit8996);
  }
// compiled string node returning strlit8996 (depth = 10)
  int op_slot_left_8994 = gc_frame_newslot(strlit8996);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult8997 = callmethod(strlit8996, "++(1)", 1, partcv, params);
// compiled op node returning opresult8997 (depth = 9)
  int op_slot_left_8991 = gc_frame_newslot(opresult8997);
  params[0] = strlit8992;
  partcv[0] = 1;
  Object opresult8998 = callmethod(opresult8997, "++(1)", 1, partcv, params);
// compiled op node returning opresult8998 (depth = 8)
  int op_slot_left_8987 = gc_frame_newslot(opresult8998);
  params[0] = call8989;
  partcv[0] = 1;
  Object opresult8999 = callmethod(opresult8998, "++(1)", 1, partcv, params);
// compiled op node returning opresult8999 (depth = 7)
  int op_slot_left_8984 = gc_frame_newslot(opresult8999);
  params[0] = strlit8985;
  partcv[0] = 1;
  Object opresult9000 = callmethod(opresult8999, "++(1)", 1, partcv, params);
// compiled op node returning opresult9000 (depth = 6)
  int op_slot_right_8983 = gc_frame_newslot(opresult9000);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_8983 = gc_frame_newslot(*var_s);
  params[0] = opresult9000;
  partcv[0] = 1;
  Object opresult9002 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9002 (depth = 5)
  *var_s = opresult9002;
  if (opresult9002 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8974 = done;
  } else {
  }
// compiled if node returning if8974 (depth = 3)
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace_40_1_41_9004(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2282
  setline(2282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9006 == NULL) {
    strlit9006 = alloc_String("");
    gc_root(strlit9006);
  }
// compiled string node returning strlit9006 (depth = 4)
  int op_slot_right_9005 = gc_frame_newslot(strlit9006);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9009 = gc_frame_new();
// call case 4: self request
  Object call9010 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9009);
// compiled member node returning call9010 (depth = 5)
  int op_slot_right_9008 = gc_frame_newslot(call9010);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9013 == NULL) {
    strlit9013 = alloc_String("""\x22"" as ");
    gc_root(strlit9013);
  }
// compiled string node returning strlit9013 (depth = 6)
  int op_slot_right_9012 = gc_frame_newslot(strlit9013);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9016 = gc_frame_new();
// call case 4: self request
  Object call9017 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9016);
// compiled member node returning call9017 (depth = 7)
  int op_slot_right_9015 = gc_frame_newslot(call9017);
// starting to compile string node (depth = 7)
  if (strlit9019 == NULL) {
    strlit9019 = alloc_String("import ""\x22""");
    gc_root(strlit9019);
  }
// compiled string node returning strlit9019 (depth = 7)
  int op_slot_left_9015 = gc_frame_newslot(strlit9019);
  params[0] = call9017;
  partcv[0] = 1;
  Object opresult9020 = callmethod(strlit9019, "++(1)", 1, partcv, params);
// compiled op node returning opresult9020 (depth = 6)
  int op_slot_left_9012 = gc_frame_newslot(opresult9020);
  params[0] = strlit9013;
  partcv[0] = 1;
  Object opresult9021 = callmethod(opresult9020, "++(1)", 1, partcv, params);
// compiled op node returning opresult9021 (depth = 5)
  int op_slot_left_9008 = gc_frame_newslot(opresult9021);
  params[0] = call9010;
  partcv[0] = 1;
  Object opresult9022 = callmethod(opresult9021, "++(1)", 1, partcv, params);
// compiled op node returning opresult9022 (depth = 4)
  int op_slot_left_9005 = gc_frame_newslot(opresult9022);
  params[0] = strlit9006;
  partcv[0] = 1;
  Object opresult9023 = callmethod(opresult9022, "++(1)", 1, partcv, params);
// compiled op node returning opresult9023 (depth = 3)
  gc_frame_end(frame);
  return opresult9023;
}
Object meth_ast_shallowCopy9024(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_importNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2285
  setline(2285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9025 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9026 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9027 = gc_frame_new();
// call case 4: self request
  Object call9028 = callmethodflags(self, "path", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9027);
// compiled member node returning call9028 (depth = 5)
  gc_frame_newslot(call9028);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// starting to compile identifier node (depth = 5)
  Object bool9029 = alloc_Boolean(0);
// compiled identifier node returning bool9029 (depth = 5)
  gc_frame_newslot(bool9029);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_importNode (depth = 5)
  params[0] = call9028;
  params[1] = *var_nullNode;
  params[2] = bool9029;
  partcv[0] = 3;
  Object call9030 = callmethodflags(*var_importNode, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe9026);
// compiled call node returning call9030 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9031 = callmethodflags(call9030, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9025);
// compiled call node returning call9031 (depth = 3)
  gc_frame_end(frame);
  return call9031;
}
Object meth_ast_new_40_3_41_8764(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_importNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name_39_ = &(stackframe->slots[1]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8765 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8765 = alloc_userobj2(25,22, objclass8765);
  gc_frame_newslot(obj8765);
if (objclass8765 == NULL) {
  glfree(obj8765->class->name);
  obj8765->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8765, self, 0);
  addmethodreal(obj8765,"outer", &reader_ast_outer_8766);
  Object oldself8765 = self;
  struct StackFrameObject *oldstackframe8765 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8765);
  gc_frame_newslot((Object)stackframe);
  self = obj8765;
  Object *oldselfslot8765 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8765 = (*(struct UserObject *)self).data[0], lowerouter8765 = thisouter8765;
  if (inheritingObject8765) {
    struct UserObject *inho8765 = (struct UserObject *)inheritingObject8765;
    while (inho8765->super != GraceDefaultObject) inho8765 = (struct UserObject *)inho8765->super;
    inho8765->super = obj8765;
    self = inheritingObject8765;
    *selfslot = self;
    lowerouter8765 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8765;
  }
if (objclass8765 == NULL) {
  Method *reader8767 = addmethodrealflags(obj8765, "kind",&reader_ast_kind_8767, MFLAG_DEF);
  reader8767->definitionModule = modulename;
  reader8767->definitionLine = 2215;
}
adddatum2(obj8765, alloc_Undefined(), 1);
if (objclass8765 == NULL) {
  Method *reader8768 = addmethodrealflags(obj8765, "value", &reader_ast_value_8768, 0);
  Method *writer8768 = addmethodrealflags(obj8765, "value:=(1)", &writer_ast_value_8768, 0);
  reader8768->definitionModule = modulename;
  writer8768->definitionModule = modulename;
  reader8768->definitionLine = 2216;
  writer8768->definitionLine = 2216;
}
obj8765->flags |= OFLAG_MUTABLE;
adddatum2(obj8765, alloc_Undefined(), 2);
if (objclass8765 == NULL) {
  Method *reader8769 = addmethodrealflags(obj8765, "path", &reader_ast_path_8769, 0);
  Method *writer8769 = addmethodrealflags(obj8765, "path:=(1)", &writer_ast_path_8769, 0);
  reader8769->definitionModule = modulename;
  writer8769->definitionModule = modulename;
  reader8769->definitionLine = 2217;
  writer8769->definitionLine = 2217;
}
obj8765->flags |= OFLAG_MUTABLE;
adddatum2(obj8765, alloc_Undefined(), 3);
if (objclass8765 == NULL) {
  Method *reader8770 = addmethodrealflags(obj8765, "annotations", &reader_ast_annotations_8770, 0);
  Method *writer8770 = addmethodrealflags(obj8765, "annotations:=(1)", &writer_ast_annotations_8770, 0);
  reader8770->definitionModule = modulename;
  writer8770->definitionModule = modulename;
  reader8770->definitionLine = 2218;
  writer8770->definitionLine = 2218;
}
obj8765->flags |= OFLAG_MUTABLE;
adddatum2(obj8765, alloc_Undefined(), 4);
if (objclass8765 == NULL) {
  Method *reader8771 = addmethodrealflags(obj8765, "dtype", &reader_ast_dtype_8771, 0);
  Method *writer8771 = addmethodrealflags(obj8765, "dtype:=(1)", &writer_ast_dtype_8771, 0);
  reader8771->definitionModule = modulename;
  writer8771->definitionModule = modulename;
  reader8771->definitionLine = 2219;
  writer8771->definitionLine = 2219;
}
obj8765->flags |= OFLAG_MUTABLE;
adddatum2(obj8765, alloc_Undefined(), 5);
// method "isImport"
  struct UserObject *uo8772 = (struct UserObject*)obj8765;
  uo8772->data[6] = emptyclosure;
  Method *meth_meth_ast_isImport8772 = addmethod2pos(obj8765, "isImport", &meth_ast_isImport8772, 6);
  int argcv_meth_ast_isImport8772[] = {0};
  meth_meth_ast_isImport8772->type = alloc_MethodType(1, argcv_meth_ast_isImport8772);
  meth_meth_ast_isImport8772->definitionModule = modulename;
  meth_meth_ast_isImport8772->definitionLine = 2220;
// method "isExternal"
  struct UserObject *uo8774 = (struct UserObject*)obj8765;
  uo8774->data[7] = emptyclosure;
  Method *meth_meth_ast_isExternal8774 = addmethod2pos(obj8765, "isExternal", &meth_ast_isExternal8774, 7);
  int argcv_meth_ast_isExternal8774[] = {0};
  meth_meth_ast_isExternal8774->type = alloc_MethodType(1, argcv_meth_ast_isExternal8774);
  meth_meth_ast_isExternal8774->definitionModule = modulename;
  meth_meth_ast_isExternal8774->definitionLine = 2221;
// method "isExecutable"
  struct UserObject *uo8776 = (struct UserObject*)obj8765;
  uo8776->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable8776 = addmethod2pos(obj8765, "isExecutable", &meth_ast_isExecutable8776, 8);
  int argcv_meth_ast_isExecutable8776[] = {0};
  meth_meth_ast_isExecutable8776->type = alloc_MethodType(1, argcv_meth_ast_isExecutable8776);
  meth_meth_ast_isExecutable8776->definitionModule = modulename;
  meth_meth_ast_isExecutable8776->definitionLine = 2222;
// method "name"
  struct UserObject *uo8778 = (struct UserObject*)obj8765;
  uo8778->data[9] = emptyclosure;
  Method *meth_meth_ast_name8778 = addmethod2pos(obj8765, "name", &meth_ast_name8778, 9);
  int argcv_meth_ast_name8778[] = {0};
  meth_meth_ast_name8778->type = alloc_MethodType(1, argcv_meth_ast_name8778);
  meth_meth_ast_name8778->definitionModule = modulename;
  meth_meth_ast_name8778->definitionLine = 2223;
// method "nameString"
  struct UserObject *uo8781 = (struct UserObject*)obj8765;
  uo8781->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString8781 = addmethod2pos(obj8765, "nameString", &meth_ast_nameString8781, 10);
  int argcv_meth_ast_nameString8781[] = {0};
  meth_meth_ast_nameString8781->type = alloc_MethodType(1, argcv_meth_ast_nameString8781);
  meth_meth_ast_nameString8781->definitionModule = modulename;
  meth_meth_ast_nameString8781->definitionLine = 2224;
// method "isPublic"
  struct UserObject *uo8786 = (struct UserObject*)obj8765;
  uo8786->data[11] = emptyclosure;
  Method *meth_meth_ast_isPublic8786 = addmethod2pos(obj8765, "isPublic", &meth_ast_isPublic8786, 11);
  int argcv_meth_ast_isPublic8786[] = {0};
  meth_meth_ast_isPublic8786->type = alloc_MethodType(1, argcv_meth_ast_isPublic8786);
  meth_meth_ast_isPublic8786->definitionModule = modulename;
  meth_meth_ast_isPublic8786->definitionLine = 2225;
// method "moduleName"
  struct UserObject *uo8813 = (struct UserObject*)obj8765;
  uo8813->data[12] = emptyclosure;
  Method *meth_meth_ast_moduleName8813 = addmethod2pos(obj8765, "moduleName", &meth_ast_moduleName8813, 12);
  int argcv_meth_ast_moduleName8813[] = {0};
  meth_meth_ast_moduleName8813->type = alloc_MethodType(1, argcv_meth_ast_moduleName8813);
  meth_meth_ast_moduleName8813->definitionModule = modulename;
  meth_meth_ast_moduleName8813->definitionLine = 2231;
// method "isWritable"
  struct UserObject *uo8833 = (struct UserObject*)obj8765;
  uo8833->data[13] = emptyclosure;
  Method *meth_meth_ast_isWritable8833 = addmethod2pos(obj8765, "isWritable", &meth_ast_isWritable8833, 13);
  int argcv_meth_ast_isWritable8833[] = {0};
  meth_meth_ast_isWritable8833->type = alloc_MethodType(1, argcv_meth_ast_isWritable8833);
  meth_meth_ast_isWritable8833->definitionModule = modulename;
  meth_meth_ast_isWritable8833->definitionLine = 2242;
// method "isReadable"
  struct UserObject *uo8835 = (struct UserObject*)obj8765;
  uo8835->data[14] = emptyclosure;
  Method *meth_meth_ast_isReadable8835 = addmethod2pos(obj8765, "isReadable", &meth_ast_isReadable8835, 14);
  int argcv_meth_ast_isReadable8835[] = {0};
  meth_meth_ast_isReadable8835->type = alloc_MethodType(1, argcv_meth_ast_isReadable8835);
  meth_meth_ast_isReadable8835->definitionModule = modulename;
  meth_meth_ast_isReadable8835->definitionLine = 2243;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8765);
  Object closure8838 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8838, stackframe);
  addtoclosure(closure8838, var_k);
  struct UserObject *uo8838 = (struct UserObject*)obj8765;
  uo8838->data[15] = (Object)closure8838;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8838 = addmethod2pos(obj8765, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8838, 15);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8838[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8838->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8838);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8838->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8838->definitionLine = 2244;
// method "usesAsType(_)"
  struct UserObject *uo8841 = (struct UserObject*)obj8765;
  uo8841->data[16] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8841 = addmethod2pos(obj8765, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8841, 16);
  int argcv_meth_ast_usesAsType_40_1_41_8841[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8841->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8841);
  meth_meth_ast_usesAsType_40_1_41_8841->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8841->definitionLine = 2245;
// method "accept(_)from(_)"
  struct UserObject *uo8847 = (struct UserObject*)obj8765;
  uo8847->data[17] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8847 = addmethod2pos(obj8765, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8847, 17);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8847[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8847->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8847);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8847->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8847->definitionLine = 2248;
// method "map(_)ancestors(_)"
  struct UserObject *uo8877 = (struct UserObject*)obj8765;
  uo8877->data[18] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_8877 = addmethod2pos(obj8765, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_8877, 18);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8877[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8877->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8877);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8877->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8877->definitionLine = 2260;
// method "pretty(_)"
  struct UserObject *uo8910 = (struct UserObject*)obj8765;
  uo8910->data[19] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_8910 = addmethod2pos(obj8765, "pretty(1)", &meth_ast_pretty_40_1_41_8910, 19);
  int argcv_meth_ast_pretty_40_1_41_8910[] = {1};
  meth_meth_ast_pretty_40_1_41_8910->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_8910);
  meth_meth_ast_pretty_40_1_41_8910->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_8910->definitionLine = 2268;
// method "toGrace(_)"
  struct UserObject *uo9004 = (struct UserObject*)obj8765;
  uo9004->data[20] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9004 = addmethod2pos(obj8765, "toGrace(1)", &meth_ast_toGrace_40_1_41_9004, 20);
  int argcv_meth_ast_toGrace_40_1_41_9004[] = {1};
  meth_meth_ast_toGrace_40_1_41_9004->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9004);
meth_meth_ast_toGrace_40_1_41_9004->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9004->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9004->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9004->definitionLine = 2281;
// method "shallowCopy"
  block_savedest(obj8765);
  Object closure9024 = createclosure(2, "shallowCopy");
  setclosureframe(closure9024, stackframe);
  addtoclosure(closure9024, var_nullNode);
  addtoclosure(closure9024, var_importNode);
  struct UserObject *uo9024 = (struct UserObject*)obj8765;
  uo9024->data[21] = (Object)closure9024;
  Method *meth_meth_ast_shallowCopy9024 = addmethod2pos(obj8765, "shallowCopy", &meth_ast_shallowCopy9024, 21);
  int argcv_meth_ast_shallowCopy9024[] = {0};
  meth_meth_ast_shallowCopy9024->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9024);
  meth_meth_ast_shallowCopy9024->definitionModule = modulename;
  meth_meth_ast_shallowCopy9024->definitionLine = 2284;
  sourceObject = obj8765;
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9032 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9033 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9034 = gc_frame_new();
// call case 3: self.outer request
  Object call9035 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9034);
// compiled member node returning call9035 (depth = 5)
  Object call9036 = callmethodflags(call9035, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9033);
// compiled member node returning call9036 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9037 = callmethodflags(call9036, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9032);
// compiled call node returning call9037 (depth = 3)
  struct UserObject *obj8765_uo = (struct UserObject *)obj8765;
  obj8765_uo->super = call9037;
  sourceObject = obj8765;
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9038 == NULL) {
    strlit9038 = alloc_String("import");
    gc_root(strlit9038);
  }
// compiled string node returning strlit9038 (depth = 3)
  adddatum2(obj8765, strlit9038, 1);
  sourceObject = obj8765;
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8765, *var_name_39_, 2);
  sourceObject = obj8765;
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj8765, *var_path_39_, 3);
  sourceObject = obj8765;
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9039 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9039 (depth = 3)
  adddatum2(obj8765, array9039, 4);
  sourceObject = obj8765;
// Begin line 2219
  setline(2219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8765, *var_dtype_39_, 5);
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  objclass8765 = obj8765->class;
  objclass8765->definitionModule = modulename;
  objclass8765->definitionLine = 2213;
  (*(struct UserObject *)self).data[0] = lowerouter8765;
  self = oldself8765;
  selfslot = oldselfslot8765;
  stackframe = oldstackframe8765;
  gc_frame_end(frame);
  return obj8765;
}
Object meth_ast_new_40_3_41_8764_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(3)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments for method new(_,_,_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_importNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  Object *var_name_39_ = &(stackframe->slots[1]);
  *var_name_39_ = args[curarg];
  curarg++;
  Object *var_dtype_39_ = &(stackframe->slots[2]);
  *var_dtype_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part new(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject8765 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8765 = alloc_userobj2(25,22, objclass8765);
  gc_frame_newslot(obj8765);
if (objclass8765 == NULL) {
  glfree(obj8765->class->name);
  obj8765->class->name = "new(_,_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8765, self, 0);
  addmethodreal(obj8765,"outer", &reader_ast_outer_8766);
  Object oldself8765 = self;
  struct StackFrameObject *oldstackframe8765 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8765);
  gc_frame_newslot((Object)stackframe);
  self = obj8765;
  Object *oldselfslot8765 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8765 = (*(struct UserObject *)self).data[0], lowerouter8765 = thisouter8765;
  if (inheritingObject8765) {
    struct UserObject *inho8765 = (struct UserObject *)inheritingObject8765;
    while (inho8765->super != GraceDefaultObject) inho8765 = (struct UserObject *)inho8765->super;
    inho8765->super = obj8765;
    self = inheritingObject8765;
    *selfslot = self;
    lowerouter8765 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8765;
  }
if (objclass8765 == NULL) {
  Method *reader8767 = addmethodrealflags(obj8765, "kind",&reader_ast_kind_8767, MFLAG_DEF);
  reader8767->definitionModule = modulename;
  reader8767->definitionLine = 2215;
}
adddatum2(obj8765, alloc_Undefined(), 1);
if (objclass8765 == NULL) {
  Method *reader8768 = addmethodrealflags(obj8765, "value", &reader_ast_value_8768, 0);
  Method *writer8768 = addmethodrealflags(obj8765, "value:=(1)", &writer_ast_value_8768, 0);
  reader8768->definitionModule = modulename;
  writer8768->definitionModule = modulename;
  reader8768->definitionLine = 2216;
  writer8768->definitionLine = 2216;
}
obj8765->flags |= OFLAG_MUTABLE;
adddatum2(obj8765, alloc_Undefined(), 2);
if (objclass8765 == NULL) {
  Method *reader8769 = addmethodrealflags(obj8765, "path", &reader_ast_path_8769, 0);
  Method *writer8769 = addmethodrealflags(obj8765, "path:=(1)", &writer_ast_path_8769, 0);
  reader8769->definitionModule = modulename;
  writer8769->definitionModule = modulename;
  reader8769->definitionLine = 2217;
  writer8769->definitionLine = 2217;
}
obj8765->flags |= OFLAG_MUTABLE;
adddatum2(obj8765, alloc_Undefined(), 3);
if (objclass8765 == NULL) {
  Method *reader8770 = addmethodrealflags(obj8765, "annotations", &reader_ast_annotations_8770, 0);
  Method *writer8770 = addmethodrealflags(obj8765, "annotations:=(1)", &writer_ast_annotations_8770, 0);
  reader8770->definitionModule = modulename;
  writer8770->definitionModule = modulename;
  reader8770->definitionLine = 2218;
  writer8770->definitionLine = 2218;
}
obj8765->flags |= OFLAG_MUTABLE;
adddatum2(obj8765, alloc_Undefined(), 4);
if (objclass8765 == NULL) {
  Method *reader8771 = addmethodrealflags(obj8765, "dtype", &reader_ast_dtype_8771, 0);
  Method *writer8771 = addmethodrealflags(obj8765, "dtype:=(1)", &writer_ast_dtype_8771, 0);
  reader8771->definitionModule = modulename;
  writer8771->definitionModule = modulename;
  reader8771->definitionLine = 2219;
  writer8771->definitionLine = 2219;
}
obj8765->flags |= OFLAG_MUTABLE;
adddatum2(obj8765, alloc_Undefined(), 5);
// method "isImport"
  struct UserObject *uo8772 = (struct UserObject*)obj8765;
  uo8772->data[6] = emptyclosure;
  Method *meth_meth_ast_isImport8772 = addmethod2pos(obj8765, "isImport", &meth_ast_isImport8772, 6);
  int argcv_meth_ast_isImport8772[] = {0};
  meth_meth_ast_isImport8772->type = alloc_MethodType(1, argcv_meth_ast_isImport8772);
  meth_meth_ast_isImport8772->definitionModule = modulename;
  meth_meth_ast_isImport8772->definitionLine = 2220;
// method "isExternal"
  struct UserObject *uo8774 = (struct UserObject*)obj8765;
  uo8774->data[7] = emptyclosure;
  Method *meth_meth_ast_isExternal8774 = addmethod2pos(obj8765, "isExternal", &meth_ast_isExternal8774, 7);
  int argcv_meth_ast_isExternal8774[] = {0};
  meth_meth_ast_isExternal8774->type = alloc_MethodType(1, argcv_meth_ast_isExternal8774);
  meth_meth_ast_isExternal8774->definitionModule = modulename;
  meth_meth_ast_isExternal8774->definitionLine = 2221;
// method "isExecutable"
  struct UserObject *uo8776 = (struct UserObject*)obj8765;
  uo8776->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable8776 = addmethod2pos(obj8765, "isExecutable", &meth_ast_isExecutable8776, 8);
  int argcv_meth_ast_isExecutable8776[] = {0};
  meth_meth_ast_isExecutable8776->type = alloc_MethodType(1, argcv_meth_ast_isExecutable8776);
  meth_meth_ast_isExecutable8776->definitionModule = modulename;
  meth_meth_ast_isExecutable8776->definitionLine = 2222;
// method "name"
  struct UserObject *uo8778 = (struct UserObject*)obj8765;
  uo8778->data[9] = emptyclosure;
  Method *meth_meth_ast_name8778 = addmethod2pos(obj8765, "name", &meth_ast_name8778, 9);
  int argcv_meth_ast_name8778[] = {0};
  meth_meth_ast_name8778->type = alloc_MethodType(1, argcv_meth_ast_name8778);
  meth_meth_ast_name8778->definitionModule = modulename;
  meth_meth_ast_name8778->definitionLine = 2223;
// method "nameString"
  struct UserObject *uo8781 = (struct UserObject*)obj8765;
  uo8781->data[10] = emptyclosure;
  Method *meth_meth_ast_nameString8781 = addmethod2pos(obj8765, "nameString", &meth_ast_nameString8781, 10);
  int argcv_meth_ast_nameString8781[] = {0};
  meth_meth_ast_nameString8781->type = alloc_MethodType(1, argcv_meth_ast_nameString8781);
  meth_meth_ast_nameString8781->definitionModule = modulename;
  meth_meth_ast_nameString8781->definitionLine = 2224;
// method "isPublic"
  struct UserObject *uo8786 = (struct UserObject*)obj8765;
  uo8786->data[11] = emptyclosure;
  Method *meth_meth_ast_isPublic8786 = addmethod2pos(obj8765, "isPublic", &meth_ast_isPublic8786, 11);
  int argcv_meth_ast_isPublic8786[] = {0};
  meth_meth_ast_isPublic8786->type = alloc_MethodType(1, argcv_meth_ast_isPublic8786);
  meth_meth_ast_isPublic8786->definitionModule = modulename;
  meth_meth_ast_isPublic8786->definitionLine = 2225;
// method "moduleName"
  struct UserObject *uo8813 = (struct UserObject*)obj8765;
  uo8813->data[12] = emptyclosure;
  Method *meth_meth_ast_moduleName8813 = addmethod2pos(obj8765, "moduleName", &meth_ast_moduleName8813, 12);
  int argcv_meth_ast_moduleName8813[] = {0};
  meth_meth_ast_moduleName8813->type = alloc_MethodType(1, argcv_meth_ast_moduleName8813);
  meth_meth_ast_moduleName8813->definitionModule = modulename;
  meth_meth_ast_moduleName8813->definitionLine = 2231;
// method "isWritable"
  struct UserObject *uo8833 = (struct UserObject*)obj8765;
  uo8833->data[13] = emptyclosure;
  Method *meth_meth_ast_isWritable8833 = addmethod2pos(obj8765, "isWritable", &meth_ast_isWritable8833, 13);
  int argcv_meth_ast_isWritable8833[] = {0};
  meth_meth_ast_isWritable8833->type = alloc_MethodType(1, argcv_meth_ast_isWritable8833);
  meth_meth_ast_isWritable8833->definitionModule = modulename;
  meth_meth_ast_isWritable8833->definitionLine = 2242;
// method "isReadable"
  struct UserObject *uo8835 = (struct UserObject*)obj8765;
  uo8835->data[14] = emptyclosure;
  Method *meth_meth_ast_isReadable8835 = addmethod2pos(obj8765, "isReadable", &meth_ast_isReadable8835, 14);
  int argcv_meth_ast_isReadable8835[] = {0};
  meth_meth_ast_isReadable8835->type = alloc_MethodType(1, argcv_meth_ast_isReadable8835);
  meth_meth_ast_isReadable8835->definitionModule = modulename;
  meth_meth_ast_isReadable8835->definitionLine = 2243;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj8765);
  Object closure8838 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure8838, stackframe);
  addtoclosure(closure8838, var_k);
  struct UserObject *uo8838 = (struct UserObject*)obj8765;
  uo8838->data[15] = (Object)closure8838;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_8838 = addmethod2pos(obj8765, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_8838, 15);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_8838[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8838->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_8838);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8838->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_8838->definitionLine = 2244;
// method "usesAsType(_)"
  struct UserObject *uo8841 = (struct UserObject*)obj8765;
  uo8841->data[16] = emptyclosure;
  Method *meth_meth_ast_usesAsType_40_1_41_8841 = addmethod2pos(obj8765, "usesAsType(1)", &meth_ast_usesAsType_40_1_41_8841, 16);
  int argcv_meth_ast_usesAsType_40_1_41_8841[] = {1};
  meth_meth_ast_usesAsType_40_1_41_8841->type = alloc_MethodType(1, argcv_meth_ast_usesAsType_40_1_41_8841);
  meth_meth_ast_usesAsType_40_1_41_8841->definitionModule = modulename;
  meth_meth_ast_usesAsType_40_1_41_8841->definitionLine = 2245;
// method "accept(_)from(_)"
  struct UserObject *uo8847 = (struct UserObject*)obj8765;
  uo8847->data[17] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_8847 = addmethod2pos(obj8765, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_8847, 17);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_8847[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_8847->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_8847);
  meth_meth_ast_accept_40_1_41_from_40_1_41_8847->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_8847->definitionLine = 2248;
// method "map(_)ancestors(_)"
  struct UserObject *uo8877 = (struct UserObject*)obj8765;
  uo8877->data[18] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_8877 = addmethod2pos(obj8765, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_8877, 18);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8877[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8877->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_8877);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8877->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_8877->definitionLine = 2260;
// method "pretty(_)"
  struct UserObject *uo8910 = (struct UserObject*)obj8765;
  uo8910->data[19] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_8910 = addmethod2pos(obj8765, "pretty(1)", &meth_ast_pretty_40_1_41_8910, 19);
  int argcv_meth_ast_pretty_40_1_41_8910[] = {1};
  meth_meth_ast_pretty_40_1_41_8910->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_8910);
  meth_meth_ast_pretty_40_1_41_8910->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_8910->definitionLine = 2268;
// method "toGrace(_)"
  struct UserObject *uo9004 = (struct UserObject*)obj8765;
  uo9004->data[20] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9004 = addmethod2pos(obj8765, "toGrace(1)", &meth_ast_toGrace_40_1_41_9004, 20);
  int argcv_meth_ast_toGrace_40_1_41_9004[] = {1};
  meth_meth_ast_toGrace_40_1_41_9004->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9004);
meth_meth_ast_toGrace_40_1_41_9004->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9004->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9004->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9004->definitionLine = 2281;
// method "shallowCopy"
  block_savedest(obj8765);
  Object closure9024 = createclosure(2, "shallowCopy");
  setclosureframe(closure9024, stackframe);
  addtoclosure(closure9024, var_nullNode);
  addtoclosure(closure9024, var_importNode);
  struct UserObject *uo9024 = (struct UserObject*)obj8765;
  uo9024->data[21] = (Object)closure9024;
  Method *meth_meth_ast_shallowCopy9024 = addmethod2pos(obj8765, "shallowCopy", &meth_ast_shallowCopy9024, 21);
  int argcv_meth_ast_shallowCopy9024[] = {0};
  meth_meth_ast_shallowCopy9024->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9024);
  meth_meth_ast_shallowCopy9024->definitionModule = modulename;
  meth_meth_ast_shallowCopy9024->definitionLine = 2284;
  sourceObject = obj8765;
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9032 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9033 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9034 = gc_frame_new();
// call case 3: self.outer request
  Object call9035 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9034);
// compiled member node returning call9035 (depth = 5)
  Object call9036 = callmethodflags(call9035, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9033);
// compiled member node returning call9036 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9037 = callmethodflags(call9036, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9032);
// compiled call node returning call9037 (depth = 3)
  struct UserObject *obj8765_uo = (struct UserObject *)obj8765;
  obj8765_uo->super = call9037;
  sourceObject = obj8765;
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9038 == NULL) {
    strlit9038 = alloc_String("import");
    gc_root(strlit9038);
  }
// compiled string node returning strlit9038 (depth = 3)
  adddatum2(obj8765, strlit9038, 1);
  sourceObject = obj8765;
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_name_39_ (depth = 3)
  adddatum2(obj8765, *var_name_39_, 2);
  sourceObject = obj8765;
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj8765, *var_path_39_, 3);
  sourceObject = obj8765;
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9039 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9039 (depth = 3)
  adddatum2(obj8765, array9039, 4);
  sourceObject = obj8765;
// Begin line 2219
  setline(2219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dtype_39_ (depth = 3)
  adddatum2(obj8765, *var_dtype_39_, 5);
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  sourceObject = obj8765;
  objclass8765 = obj8765->class;
  objclass8765->definitionModule = modulename;
  objclass8765->definitionLine = 2213;
  (*(struct UserObject *)self).data[0] = lowerouter8765;
  self = oldself8765;
  selfslot = oldselfslot8765;
  stackframe = oldstackframe8765;
  gc_frame_end(frame);
  return obj8765;
}
Object meth_ast_importNode9041(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 43, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "importNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_importNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2212
  setline(2212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_importNode (depth = 3)
  gc_frame_end(frame);
  return *var_importNode;
}
Object meth_ast_isDialect9049(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isDialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2295
  setline(2295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9050 = alloc_Boolean(1);
// compiled identifier node returning bool9050 (depth = 3)
  gc_frame_end(frame);
  return bool9050;
}
Object meth_ast_isExternal9051(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExternal");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2296
  setline(2296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9052 = alloc_Boolean(1);
// compiled identifier node returning bool9052 (depth = 3)
  gc_frame_end(frame);
  return bool9052;
}
Object meth_ast_isExecutable9053(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2297
  setline(2297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9054 = alloc_Boolean(0);
// compiled identifier node returning bool9054 (depth = 3)
  gc_frame_end(frame);
  return bool9054;
}
Object meth_ast__apply_40_1_41_9061(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_bnm = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9064 == NULL) {
    strlit9064 = alloc_String("/");
    gc_root(strlit9064);
  }
// compiled string node returning strlit9064 (depth = 7)
  int op_slot_right_9063 = gc_frame_newslot(strlit9064);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_9063 = gc_frame_newslot(*var_c);
  params[0] = strlit9064;
  partcv[0] = 1;
  Object opresult9066 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult9066 (depth = 6)
  Object if9062 = done;
  if (istrue(opresult9066)) {
// Begin line 2302
  setline(2302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9067 == NULL) {
    strlit9067 = alloc_String("");
    gc_root(strlit9067);
  }
// compiled string node returning strlit9067 (depth = 7)
  *var_bnm = strlit9067;
  if (strlit9067 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9062 = done;
  } else {
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_9069 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_bnm (depth = 8)
  int op_slot_left_9069 = gc_frame_newslot(*var_bnm);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult9071 = callmethod(*var_bnm, "++(1)", 1, partcv, params);
// compiled op node returning opresult9071 (depth = 7)
  *var_bnm = opresult9071;
  if (opresult9071 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if9062 = done;
  }
// compiled if node returning if9062 (depth = 5)
  gc_frame_end(frame);
  return if9062;
}
Object meth_ast_moduleName9055(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "moduleName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_bnm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "bnm");
// Begin line 2299
  setline(2299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9056 == NULL) {
    strlit9056 = alloc_String("");
    gc_root(strlit9056);
  }
// compiled string node returning strlit9056 (depth = 4)
  *var_bnm = strlit9056;
  if (strlit9056 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9057 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9058 = gc_frame_new();
// call case 4: self request
  Object call9059 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9058);
// compiled member node returning call9059 (depth = 4)
  gc_frame_newslot(call9059);
// starting to compile block node (depth = 4)
  Object block9060 = alloc_Block(NULL, NULL, "ast", 2300);
  gc_frame_newslot(block9060);
// method "_apply(_)"
  block_savedest(block9060);
  Object closure9061 = createclosure(2, "_apply(1)");
  setclosureframe(closure9061, stackframe);
  addtoclosure(closure9061, var_bnm);
  addtoclosure(closure9061, selfslot);
  struct UserObject *uo9061 = (struct UserObject*)block9060;
  uo9061->data[0] = (Object)closure9061;
  Method *meth_meth_ast__apply_40_1_41_9061 = addmethod2pos(block9060, "_apply(1)", &meth_ast__apply_40_1_41_9061, 0);
  int argcv_meth_ast__apply_40_1_41_9061[] = {1};
  meth_meth_ast__apply_40_1_41_9061->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9061);
  meth_meth_ast__apply_40_1_41_9061->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9061->definitionLine = 2947;
// compiled block node returning block9060 (depth = 4)
  gc_frame_newslot(block9060);
// call case 5: prelude request
  params[0] = call9059;
  params[1] = block9060;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9074 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9057);
// compiled call node returning call9074 (depth = 3)
// Begin line 2307
  setline(2307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_bnm (depth = 3)
  gc_frame_end(frame);
  return *var_bnm;
}
Object meth_ast_path9075(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "path");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2310
  setline(2310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9076 = gc_frame_new();
// call case 4: self request
  Object call9077 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9076);
// compiled member node returning call9077 (depth = 3)
  gc_frame_end(frame);
  return call9077;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9078(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2313
  setline(2313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9079 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9080 = callmethodflags(*var_visitor, "visitDialect(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9079);
// compiled call node returning call9080 (depth = 3)
  gc_frame_end(frame);
  return call9080;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9081(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9082 = gc_frame_new();
// call case 4: self request
  Object call9083 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9082);
// compiled member node returning call9083 (depth = 4)
  *var_n = call9083;
  if (call9083 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2317
  setline(2317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9084 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9085 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9084);
// compiled call node returning call9085 (depth = 4)
  *var_newChain = call9085;
  if (call9085 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2318
  setline(2318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9086 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9087 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9086);
// compiled call node returning call9087 (depth = 3)
  gc_frame_end(frame);
  return call9087;
}
Object meth_ast__apply_40_1_41_9096(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9098 == NULL) {
    strlit9098 = alloc_String("  ");
    gc_root(strlit9098);
  }
// compiled string node returning strlit9098 (depth = 7)
  int op_slot_right_9097 = gc_frame_newslot(strlit9098);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9097 = gc_frame_newslot(*var_spc);
  params[0] = strlit9098;
  partcv[0] = 1;
  Object opresult9100 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9100 (depth = 6)
  *var_spc = opresult9100;
  if (opresult9100 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9088(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9089 == NULL) {
    strlit9089 = alloc_String("");
    gc_root(strlit9089);
  }
// compiled string node returning strlit9089 (depth = 4)
  *var_spc = strlit9089;
  if (strlit9089 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9090 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9091 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9093 = alloc_Float64(0);
// compiled num node returning num9093 (depth = 5)
  int op_slot_left_9091 = gc_frame_newslot(num9093);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9094 = callmethod(num9093, "..(1)", 1, partcv, params);
// compiled op node returning opresult9094 (depth = 4)
  gc_frame_newslot(opresult9094);
// starting to compile block node (depth = 4)
  Object block9095 = alloc_Block(NULL, NULL, "ast", 2322);
  gc_frame_newslot(block9095);
// method "_apply(_)"
  block_savedest(block9095);
  Object closure9096 = createclosure(2, "_apply(1)");
  setclosureframe(closure9096, stackframe);
  addtoclosure(closure9096, var_spc);
  addtoclosure(closure9096, selfslot);
  struct UserObject *uo9096 = (struct UserObject*)block9095;
  uo9096->data[0] = (Object)closure9096;
  Method *meth_meth_ast__apply_40_1_41_9096 = addmethod2pos(block9095, "_apply(1)", &meth_ast__apply_40_1_41_9096, 0);
  int argcv_meth_ast__apply_40_1_41_9096[] = {1};
  meth_meth_ast__apply_40_1_41_9096->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9096);
  meth_meth_ast__apply_40_1_41_9096->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9096->definitionLine = 2947;
// compiled block node returning block9095 (depth = 4)
  gc_frame_newslot(block9095);
// call case 5: prelude request
  params[0] = opresult9094;
  params[1] = block9095;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9103 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9090);
// compiled call node returning call9103 (depth = 3)
// Begin line 2325
  setline(2325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9105 == NULL) {
    strlit9105 = alloc_String("""\x0a""");
    gc_root(strlit9105);
  }
// compiled string node returning strlit9105 (depth = 5)
  int op_slot_right_9104 = gc_frame_newslot(strlit9105);
// starting to compile call node (depth = 5)
  int callframe9107 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9108 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9107);
// compiled call node returning call9108 (depth = 5)
  int op_slot_left_9104 = gc_frame_newslot(call9108);
  params[0] = strlit9105;
  partcv[0] = 1;
  Object opresult9109 = callmethod(call9108, "++(1)", 1, partcv, params);
// compiled op node returning opresult9109 (depth = 4)
  *var_s = opresult9109;
  if (opresult9109 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9112 == NULL) {
    strlit9112 = alloc_String("""\x0a""");
    gc_root(strlit9112);
  }
// compiled string node returning strlit9112 (depth = 6)
  int op_slot_right_9111 = gc_frame_newslot(strlit9112);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9115 = gc_frame_new();
// call case 4: self request
  Object call9116 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9115);
// compiled member node returning call9116 (depth = 7)
  int op_slot_right_9114 = gc_frame_newslot(call9116);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9119 == NULL) {
    strlit9119 = alloc_String("Path: ");
    gc_root(strlit9119);
  }
// compiled string node returning strlit9119 (depth = 8)
  int op_slot_right_9118 = gc_frame_newslot(strlit9119);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spc (depth = 9)
  int op_slot_right_9121 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 9)
  if (strlit9123 == NULL) {
    strlit9123 = alloc_String("");
    gc_root(strlit9123);
  }
// compiled string node returning strlit9123 (depth = 9)
  int op_slot_left_9121 = gc_frame_newslot(strlit9123);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9124 = callmethod(strlit9123, "++(1)", 1, partcv, params);
// compiled op node returning opresult9124 (depth = 8)
  int op_slot_left_9118 = gc_frame_newslot(opresult9124);
  params[0] = strlit9119;
  partcv[0] = 1;
  Object opresult9125 = callmethod(opresult9124, "++(1)", 1, partcv, params);
// compiled op node returning opresult9125 (depth = 7)
  int op_slot_left_9114 = gc_frame_newslot(opresult9125);
  params[0] = call9116;
  partcv[0] = 1;
  Object opresult9126 = callmethod(opresult9125, "++(1)", 1, partcv, params);
// compiled op node returning opresult9126 (depth = 6)
  int op_slot_left_9111 = gc_frame_newslot(opresult9126);
  params[0] = strlit9112;
  partcv[0] = 1;
  Object opresult9127 = callmethod(opresult9126, "++(1)", 1, partcv, params);
// compiled op node returning opresult9127 (depth = 5)
  int op_slot_right_9110 = gc_frame_newslot(opresult9127);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9110 = gc_frame_newslot(*var_s);
  params[0] = opresult9127;
  partcv[0] = 1;
  Object opresult9129 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9129 (depth = 4)
  *var_s = opresult9129;
  if (opresult9129 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace_40_1_41_9131(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9133 == NULL) {
    strlit9133 = alloc_String("""\x22""");
    gc_root(strlit9133);
  }
// compiled string node returning strlit9133 (depth = 4)
  int op_slot_right_9132 = gc_frame_newslot(strlit9133);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9136 = gc_frame_new();
// call case 4: self request
  Object call9137 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9136);
// compiled member node returning call9137 (depth = 5)
  int op_slot_right_9135 = gc_frame_newslot(call9137);
// starting to compile string node (depth = 5)
  if (strlit9139 == NULL) {
    strlit9139 = alloc_String("dialect ""\x22""");
    gc_root(strlit9139);
  }
// compiled string node returning strlit9139 (depth = 5)
  int op_slot_left_9135 = gc_frame_newslot(strlit9139);
  params[0] = call9137;
  partcv[0] = 1;
  Object opresult9140 = callmethod(strlit9139, "++(1)", 1, partcv, params);
// compiled op node returning opresult9140 (depth = 4)
  int op_slot_left_9132 = gc_frame_newslot(opresult9140);
  params[0] = strlit9133;
  partcv[0] = 1;
  Object opresult9141 = callmethod(opresult9140, "++(1)", 1, partcv, params);
// compiled op node returning opresult9141 (depth = 3)
  gc_frame_end(frame);
  return opresult9141;
}
Object meth_ast_shallowCopy9142(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2333
  setline(2333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9143 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9144 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9145 = gc_frame_new();
// call case 4: self request
  Object call9146 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9145);
// compiled member node returning call9146 (depth = 5)
  gc_frame_newslot(call9146);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dialectNode (depth = 5)
  params[0] = call9146;
  partcv[0] = 1;
  Object call9147 = callmethodflags(*var_dialectNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9144);
// compiled call node returning call9147 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9148 = callmethodflags(call9147, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9143);
// compiled call node returning call9148 (depth = 3)
  gc_frame_end(frame);
  return call9148;
}
Object meth_ast_new_40_1_41_9044(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9045 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9045 = alloc_userobj2(13,13, objclass9045);
  gc_frame_newslot(obj9045);
if (objclass9045 == NULL) {
  glfree(obj9045->class->name);
  obj9045->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9045, self, 0);
  addmethodreal(obj9045,"outer", &reader_ast_outer_9046);
  Object oldself9045 = self;
  struct StackFrameObject *oldstackframe9045 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9045);
  gc_frame_newslot((Object)stackframe);
  self = obj9045;
  Object *oldselfslot9045 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9045 = (*(struct UserObject *)self).data[0], lowerouter9045 = thisouter9045;
  if (inheritingObject9045) {
    struct UserObject *inho9045 = (struct UserObject *)inheritingObject9045;
    while (inho9045->super != GraceDefaultObject) inho9045 = (struct UserObject *)inho9045->super;
    inho9045->super = obj9045;
    self = inheritingObject9045;
    *selfslot = self;
    lowerouter9045 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9045;
  }
if (objclass9045 == NULL) {
  Method *reader9047 = addmethodrealflags(obj9045, "kind",&reader_ast_kind_9047, MFLAG_DEF);
  reader9047->definitionModule = modulename;
  reader9047->definitionLine = 2292;
}
adddatum2(obj9045, alloc_Undefined(), 1);
if (objclass9045 == NULL) {
  Method *reader9048 = addmethodrealflags(obj9045, "value", &reader_ast_value_9048, 0);
  Method *writer9048 = addmethodrealflags(obj9045, "value:=(1)", &writer_ast_value_9048, 0);
  reader9048->definitionModule = modulename;
  writer9048->definitionModule = modulename;
  reader9048->definitionLine = 2293;
  writer9048->definitionLine = 2293;
}
obj9045->flags |= OFLAG_MUTABLE;
adddatum2(obj9045, alloc_Undefined(), 2);
// method "isDialect"
  struct UserObject *uo9049 = (struct UserObject*)obj9045;
  uo9049->data[3] = emptyclosure;
  Method *meth_meth_ast_isDialect9049 = addmethod2pos(obj9045, "isDialect", &meth_ast_isDialect9049, 3);
  int argcv_meth_ast_isDialect9049[] = {0};
  meth_meth_ast_isDialect9049->type = alloc_MethodType(1, argcv_meth_ast_isDialect9049);
  meth_meth_ast_isDialect9049->definitionModule = modulename;
  meth_meth_ast_isDialect9049->definitionLine = 2295;
// method "isExternal"
  struct UserObject *uo9051 = (struct UserObject*)obj9045;
  uo9051->data[4] = emptyclosure;
  Method *meth_meth_ast_isExternal9051 = addmethod2pos(obj9045, "isExternal", &meth_ast_isExternal9051, 4);
  int argcv_meth_ast_isExternal9051[] = {0};
  meth_meth_ast_isExternal9051->type = alloc_MethodType(1, argcv_meth_ast_isExternal9051);
  meth_meth_ast_isExternal9051->definitionModule = modulename;
  meth_meth_ast_isExternal9051->definitionLine = 2296;
// method "isExecutable"
  struct UserObject *uo9053 = (struct UserObject*)obj9045;
  uo9053->data[5] = emptyclosure;
  Method *meth_meth_ast_isExecutable9053 = addmethod2pos(obj9045, "isExecutable", &meth_ast_isExecutable9053, 5);
  int argcv_meth_ast_isExecutable9053[] = {0};
  meth_meth_ast_isExecutable9053->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9053);
  meth_meth_ast_isExecutable9053->definitionModule = modulename;
  meth_meth_ast_isExecutable9053->definitionLine = 2297;
// method "moduleName"
  struct UserObject *uo9055 = (struct UserObject*)obj9045;
  uo9055->data[6] = emptyclosure;
  Method *meth_meth_ast_moduleName9055 = addmethod2pos(obj9045, "moduleName", &meth_ast_moduleName9055, 6);
  int argcv_meth_ast_moduleName9055[] = {0};
  meth_meth_ast_moduleName9055->type = alloc_MethodType(1, argcv_meth_ast_moduleName9055);
  meth_meth_ast_moduleName9055->definitionModule = modulename;
  meth_meth_ast_moduleName9055->definitionLine = 2298;
// method "path"
  struct UserObject *uo9075 = (struct UserObject*)obj9045;
  uo9075->data[7] = emptyclosure;
  Method *meth_meth_ast_path9075 = addmethod2pos(obj9045, "path", &meth_ast_path9075, 7);
  int argcv_meth_ast_path9075[] = {0};
  meth_meth_ast_path9075->type = alloc_MethodType(1, argcv_meth_ast_path9075);
  meth_meth_ast_path9075->definitionModule = modulename;
  meth_meth_ast_path9075->definitionLine = 2309;
// method "accept(_)from(_)"
  struct UserObject *uo9078 = (struct UserObject*)obj9045;
  uo9078->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9078 = addmethod2pos(obj9045, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9078, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9078[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9078->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9078);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9078->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9078->definitionLine = 2312;
// method "map(_)ancestors(_)"
  struct UserObject *uo9081 = (struct UserObject*)obj9045;
  uo9081->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9081 = addmethod2pos(obj9045, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9081, 9);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9081[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9081->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9081);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9081->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9081->definitionLine = 2315;
// method "pretty(_)"
  struct UserObject *uo9088 = (struct UserObject*)obj9045;
  uo9088->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9088 = addmethod2pos(obj9045, "pretty(1)", &meth_ast_pretty_40_1_41_9088, 10);
  int argcv_meth_ast_pretty_40_1_41_9088[] = {1};
  meth_meth_ast_pretty_40_1_41_9088->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9088);
  meth_meth_ast_pretty_40_1_41_9088->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9088->definitionLine = 2320;
// method "toGrace(_)"
  struct UserObject *uo9131 = (struct UserObject*)obj9045;
  uo9131->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9131 = addmethod2pos(obj9045, "toGrace(1)", &meth_ast_toGrace_40_1_41_9131, 11);
  int argcv_meth_ast_toGrace_40_1_41_9131[] = {1};
  meth_meth_ast_toGrace_40_1_41_9131->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9131);
meth_meth_ast_toGrace_40_1_41_9131->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9131->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9131->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9131->definitionLine = 2329;
// method "shallowCopy"
  block_savedest(obj9045);
  Object closure9142 = createclosure(1, "shallowCopy");
  setclosureframe(closure9142, stackframe);
  addtoclosure(closure9142, var_dialectNode);
  struct UserObject *uo9142 = (struct UserObject*)obj9045;
  uo9142->data[12] = (Object)closure9142;
  Method *meth_meth_ast_shallowCopy9142 = addmethod2pos(obj9045, "shallowCopy", &meth_ast_shallowCopy9142, 12);
  int argcv_meth_ast_shallowCopy9142[] = {0};
  meth_meth_ast_shallowCopy9142->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9142);
  meth_meth_ast_shallowCopy9142->definitionModule = modulename;
  meth_meth_ast_shallowCopy9142->definitionLine = 2332;
  sourceObject = obj9045;
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9149 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9150 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9151 = gc_frame_new();
// call case 3: self.outer request
  Object call9152 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9151);
// compiled member node returning call9152 (depth = 5)
  Object call9153 = callmethodflags(call9152, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9150);
// compiled member node returning call9153 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9154 = callmethodflags(call9153, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9149);
// compiled call node returning call9154 (depth = 3)
  struct UserObject *obj9045_uo = (struct UserObject *)obj9045;
  obj9045_uo->super = call9154;
  sourceObject = obj9045;
// Begin line 2292
  setline(2292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9155 == NULL) {
    strlit9155 = alloc_String("dialect");
    gc_root(strlit9155);
  }
// compiled string node returning strlit9155 (depth = 3)
  adddatum2(obj9045, strlit9155, 1);
  sourceObject = obj9045;
// Begin line 2293
  setline(2293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj9045, *var_path_39_, 2);
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  objclass9045 = obj9045->class;
  objclass9045->definitionModule = modulename;
  objclass9045->definitionLine = 2290;
  (*(struct UserObject *)self).data[0] = lowerouter9045;
  self = oldself9045;
  selfslot = oldselfslot9045;
  stackframe = oldstackframe9045;
  gc_frame_end(frame);
  return obj9045;
}
Object meth_ast_new_40_1_41_9044_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_path_39_ = &(stackframe->slots[0]);
  *var_path_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9045 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9045 = alloc_userobj2(13,13, objclass9045);
  gc_frame_newslot(obj9045);
if (objclass9045 == NULL) {
  glfree(obj9045->class->name);
  obj9045->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9045, self, 0);
  addmethodreal(obj9045,"outer", &reader_ast_outer_9046);
  Object oldself9045 = self;
  struct StackFrameObject *oldstackframe9045 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9045);
  gc_frame_newslot((Object)stackframe);
  self = obj9045;
  Object *oldselfslot9045 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9045 = (*(struct UserObject *)self).data[0], lowerouter9045 = thisouter9045;
  if (inheritingObject9045) {
    struct UserObject *inho9045 = (struct UserObject *)inheritingObject9045;
    while (inho9045->super != GraceDefaultObject) inho9045 = (struct UserObject *)inho9045->super;
    inho9045->super = obj9045;
    self = inheritingObject9045;
    *selfslot = self;
    lowerouter9045 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9045;
  }
if (objclass9045 == NULL) {
  Method *reader9047 = addmethodrealflags(obj9045, "kind",&reader_ast_kind_9047, MFLAG_DEF);
  reader9047->definitionModule = modulename;
  reader9047->definitionLine = 2292;
}
adddatum2(obj9045, alloc_Undefined(), 1);
if (objclass9045 == NULL) {
  Method *reader9048 = addmethodrealflags(obj9045, "value", &reader_ast_value_9048, 0);
  Method *writer9048 = addmethodrealflags(obj9045, "value:=(1)", &writer_ast_value_9048, 0);
  reader9048->definitionModule = modulename;
  writer9048->definitionModule = modulename;
  reader9048->definitionLine = 2293;
  writer9048->definitionLine = 2293;
}
obj9045->flags |= OFLAG_MUTABLE;
adddatum2(obj9045, alloc_Undefined(), 2);
// method "isDialect"
  struct UserObject *uo9049 = (struct UserObject*)obj9045;
  uo9049->data[3] = emptyclosure;
  Method *meth_meth_ast_isDialect9049 = addmethod2pos(obj9045, "isDialect", &meth_ast_isDialect9049, 3);
  int argcv_meth_ast_isDialect9049[] = {0};
  meth_meth_ast_isDialect9049->type = alloc_MethodType(1, argcv_meth_ast_isDialect9049);
  meth_meth_ast_isDialect9049->definitionModule = modulename;
  meth_meth_ast_isDialect9049->definitionLine = 2295;
// method "isExternal"
  struct UserObject *uo9051 = (struct UserObject*)obj9045;
  uo9051->data[4] = emptyclosure;
  Method *meth_meth_ast_isExternal9051 = addmethod2pos(obj9045, "isExternal", &meth_ast_isExternal9051, 4);
  int argcv_meth_ast_isExternal9051[] = {0};
  meth_meth_ast_isExternal9051->type = alloc_MethodType(1, argcv_meth_ast_isExternal9051);
  meth_meth_ast_isExternal9051->definitionModule = modulename;
  meth_meth_ast_isExternal9051->definitionLine = 2296;
// method "isExecutable"
  struct UserObject *uo9053 = (struct UserObject*)obj9045;
  uo9053->data[5] = emptyclosure;
  Method *meth_meth_ast_isExecutable9053 = addmethod2pos(obj9045, "isExecutable", &meth_ast_isExecutable9053, 5);
  int argcv_meth_ast_isExecutable9053[] = {0};
  meth_meth_ast_isExecutable9053->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9053);
  meth_meth_ast_isExecutable9053->definitionModule = modulename;
  meth_meth_ast_isExecutable9053->definitionLine = 2297;
// method "moduleName"
  struct UserObject *uo9055 = (struct UserObject*)obj9045;
  uo9055->data[6] = emptyclosure;
  Method *meth_meth_ast_moduleName9055 = addmethod2pos(obj9045, "moduleName", &meth_ast_moduleName9055, 6);
  int argcv_meth_ast_moduleName9055[] = {0};
  meth_meth_ast_moduleName9055->type = alloc_MethodType(1, argcv_meth_ast_moduleName9055);
  meth_meth_ast_moduleName9055->definitionModule = modulename;
  meth_meth_ast_moduleName9055->definitionLine = 2298;
// method "path"
  struct UserObject *uo9075 = (struct UserObject*)obj9045;
  uo9075->data[7] = emptyclosure;
  Method *meth_meth_ast_path9075 = addmethod2pos(obj9045, "path", &meth_ast_path9075, 7);
  int argcv_meth_ast_path9075[] = {0};
  meth_meth_ast_path9075->type = alloc_MethodType(1, argcv_meth_ast_path9075);
  meth_meth_ast_path9075->definitionModule = modulename;
  meth_meth_ast_path9075->definitionLine = 2309;
// method "accept(_)from(_)"
  struct UserObject *uo9078 = (struct UserObject*)obj9045;
  uo9078->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9078 = addmethod2pos(obj9045, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9078, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9078[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9078->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9078);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9078->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9078->definitionLine = 2312;
// method "map(_)ancestors(_)"
  struct UserObject *uo9081 = (struct UserObject*)obj9045;
  uo9081->data[9] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9081 = addmethod2pos(obj9045, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9081, 9);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9081[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9081->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9081);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9081->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9081->definitionLine = 2315;
// method "pretty(_)"
  struct UserObject *uo9088 = (struct UserObject*)obj9045;
  uo9088->data[10] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9088 = addmethod2pos(obj9045, "pretty(1)", &meth_ast_pretty_40_1_41_9088, 10);
  int argcv_meth_ast_pretty_40_1_41_9088[] = {1};
  meth_meth_ast_pretty_40_1_41_9088->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9088);
  meth_meth_ast_pretty_40_1_41_9088->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9088->definitionLine = 2320;
// method "toGrace(_)"
  struct UserObject *uo9131 = (struct UserObject*)obj9045;
  uo9131->data[11] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9131 = addmethod2pos(obj9045, "toGrace(1)", &meth_ast_toGrace_40_1_41_9131, 11);
  int argcv_meth_ast_toGrace_40_1_41_9131[] = {1};
  meth_meth_ast_toGrace_40_1_41_9131->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9131);
meth_meth_ast_toGrace_40_1_41_9131->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9131->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9131->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9131->definitionLine = 2329;
// method "shallowCopy"
  block_savedest(obj9045);
  Object closure9142 = createclosure(1, "shallowCopy");
  setclosureframe(closure9142, stackframe);
  addtoclosure(closure9142, var_dialectNode);
  struct UserObject *uo9142 = (struct UserObject*)obj9045;
  uo9142->data[12] = (Object)closure9142;
  Method *meth_meth_ast_shallowCopy9142 = addmethod2pos(obj9045, "shallowCopy", &meth_ast_shallowCopy9142, 12);
  int argcv_meth_ast_shallowCopy9142[] = {0};
  meth_meth_ast_shallowCopy9142->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9142);
  meth_meth_ast_shallowCopy9142->definitionModule = modulename;
  meth_meth_ast_shallowCopy9142->definitionLine = 2332;
  sourceObject = obj9045;
// Begin line 2291
  setline(2291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9149 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9150 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9151 = gc_frame_new();
// call case 3: self.outer request
  Object call9152 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9151);
// compiled member node returning call9152 (depth = 5)
  Object call9153 = callmethodflags(call9152, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9150);
// compiled member node returning call9153 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9154 = callmethodflags(call9153, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9149);
// compiled call node returning call9154 (depth = 3)
  struct UserObject *obj9045_uo = (struct UserObject *)obj9045;
  obj9045_uo->super = call9154;
  sourceObject = obj9045;
// Begin line 2292
  setline(2292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9155 == NULL) {
    strlit9155 = alloc_String("dialect");
    gc_root(strlit9155);
  }
// compiled string node returning strlit9155 (depth = 3)
  adddatum2(obj9045, strlit9155, 1);
  sourceObject = obj9045;
// Begin line 2293
  setline(2293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_path_39_ (depth = 3)
  adddatum2(obj9045, *var_path_39_, 2);
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  sourceObject = obj9045;
  objclass9045 = obj9045->class;
  objclass9045->definitionModule = modulename;
  objclass9045->definitionLine = 2290;
  (*(struct UserObject *)self).data[0] = lowerouter9045;
  self = oldself9045;
  selfslot = oldselfslot9045;
  stackframe = oldstackframe9045;
  gc_frame_end(frame);
  return obj9045;
}
Object meth_ast_dialectNode9157(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dialectNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_dialectNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2289
  setline(2289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_dialectNode (depth = 3)
  gc_frame_end(frame);
  return *var_dialectNode;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9165(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2344
  setline(2344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9167 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9168 = callmethodflags(*var_visitor, "visitReturn(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9167);
// compiled call node returning call9168 (depth = 4)
  Object if9166 = done;
  if (istrue(call9168)) {
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9169 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9170 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9169);
// compiled call node returning call9170 (depth = 5)
  *var_newChain = call9170;
  if (call9170 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2346
  setline(2346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9171 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9172 = gc_frame_new();
// call case 4: self request
  Object call9173 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9172);
// compiled member node returning call9173 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9174 = callmethodflags(call9173, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9171);
// compiled call node returning call9174 (depth = 4)
    gc_frame_newslot(call9174);
    if9166 = call9174;
  } else {
  }
// compiled if node returning if9166 (depth = 3)
  gc_frame_end(frame);
  return if9166;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9175(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2350
  setline(2350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9176 = gc_frame_new();
// call case 4: self request
  Object call9177 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9176);
// compiled member node returning call9177 (depth = 4)
  *var_n = call9177;
  if (call9177 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2351
  setline(2351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9178 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9179 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9178);
// compiled call node returning call9179 (depth = 4)
  *var_newChain = call9179;
  if (call9179 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2352
  setline(2352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9180 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9181 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9182 = gc_frame_new();
// call case 4: self request
  Object call9183 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9182);
// compiled member node returning call9183 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9184 = callmethodflags(call9183, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9181);
// compiled call node returning call9184 (depth = 4)
  gc_frame_newslot(call9184);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9184;
  partcv[0] = 1;
  Object call9185 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9180);
// compiled call node returning call9185 (depth = 3)
// Begin line 2353
  setline(2353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9186 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9187 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9186);
// compiled call node returning call9187 (depth = 3)
  gc_frame_end(frame);
  return call9187;
}
Object meth_ast__apply_40_1_41_9196(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9198 == NULL) {
    strlit9198 = alloc_String("  ");
    gc_root(strlit9198);
  }
// compiled string node returning strlit9198 (depth = 7)
  int op_slot_right_9197 = gc_frame_newslot(strlit9198);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9197 = gc_frame_newslot(*var_spc);
  params[0] = strlit9198;
  partcv[0] = 1;
  Object opresult9200 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9200 (depth = 6)
  *var_spc = opresult9200;
  if (opresult9200 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9188(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2356
  setline(2356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9189 == NULL) {
    strlit9189 = alloc_String("");
    gc_root(strlit9189);
  }
// compiled string node returning strlit9189 (depth = 4)
  *var_spc = strlit9189;
  if (strlit9189 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9190 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9191 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9193 = alloc_Float64(0);
// compiled num node returning num9193 (depth = 5)
  int op_slot_left_9191 = gc_frame_newslot(num9193);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9194 = callmethod(num9193, "..(1)", 1, partcv, params);
// compiled op node returning opresult9194 (depth = 4)
  gc_frame_newslot(opresult9194);
// starting to compile block node (depth = 4)
  Object block9195 = alloc_Block(NULL, NULL, "ast", 2357);
  gc_frame_newslot(block9195);
// method "_apply(_)"
  block_savedest(block9195);
  Object closure9196 = createclosure(2, "_apply(1)");
  setclosureframe(closure9196, stackframe);
  addtoclosure(closure9196, var_spc);
  addtoclosure(closure9196, selfslot);
  struct UserObject *uo9196 = (struct UserObject*)block9195;
  uo9196->data[0] = (Object)closure9196;
  Method *meth_meth_ast__apply_40_1_41_9196 = addmethod2pos(block9195, "_apply(1)", &meth_ast__apply_40_1_41_9196, 0);
  int argcv_meth_ast__apply_40_1_41_9196[] = {1};
  meth_meth_ast__apply_40_1_41_9196->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9196);
  meth_meth_ast__apply_40_1_41_9196->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9196->definitionLine = 2947;
// compiled block node returning block9195 (depth = 4)
  gc_frame_newslot(block9195);
// call case 5: prelude request
  params[0] = opresult9194;
  params[1] = block9195;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9203 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9190);
// compiled call node returning call9203 (depth = 3)
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9205 == NULL) {
    strlit9205 = alloc_String("""\x0a""");
    gc_root(strlit9205);
  }
// compiled string node returning strlit9205 (depth = 5)
  int op_slot_right_9204 = gc_frame_newslot(strlit9205);
// starting to compile call node (depth = 5)
  int callframe9207 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_depth (depth = 6)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9208 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9207);
// compiled call node returning call9208 (depth = 5)
  int op_slot_left_9204 = gc_frame_newslot(call9208);
  params[0] = strlit9205;
  partcv[0] = 1;
  Object opresult9209 = callmethod(call9208, "++(1)", 1, partcv, params);
// compiled op node returning opresult9209 (depth = 4)
  *var_s = opresult9209;
  if (opresult9209 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2361
  setline(2361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9211 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9213 = alloc_Float64(1);
// compiled num node returning num9213 (depth = 7)
  int op_slot_right_9212 = gc_frame_newslot(num9213);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_9212 = gc_frame_newslot(*var_depth);
  params[0] = num9213;
  partcv[0] = 1;
  Object sum9215 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9215 (depth = 6)
  gc_frame_newslot(sum9215);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9216 = gc_frame_new();
// call case 4: self request
  Object call9217 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9216);
// compiled member node returning call9217 (depth = 6)
  params[0] = sum9215;
  partcv[0] = 1;
  Object call9218 = callmethodflags(call9217, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9211);
// compiled call node returning call9218 (depth = 5)
  int op_slot_right_9210 = gc_frame_newslot(call9218);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_9220 = gc_frame_newslot(*var_spc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9220 = gc_frame_newslot(*var_s);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9222 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9222 (depth = 5)
  int op_slot_left_9210 = gc_frame_newslot(opresult9222);
  params[0] = call9218;
  partcv[0] = 1;
  Object opresult9223 = callmethod(opresult9222, "++(1)", 1, partcv, params);
// compiled op node returning opresult9223 (depth = 4)
  *var_s = opresult9223;
  if (opresult9223 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2362
  setline(2362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_toGrace_40_1_41_9225(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2365
  setline(2365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9227 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9228 = gc_frame_new();
// call case 4: self request
  Object call9229 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9228);
// compiled member node returning call9229 (depth = 5)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9230 = callmethodflags(call9229, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9227);
// compiled call node returning call9230 (depth = 4)
  int op_slot_right_9226 = gc_frame_newslot(call9230);
// starting to compile string node (depth = 4)
  if (strlit9232 == NULL) {
    strlit9232 = alloc_String("return ");
    gc_root(strlit9232);
  }
// compiled string node returning strlit9232 (depth = 4)
  int op_slot_left_9226 = gc_frame_newslot(strlit9232);
  params[0] = call9230;
  partcv[0] = 1;
  Object opresult9233 = callmethod(strlit9232, "++(1)", 1, partcv, params);
// compiled op node returning opresult9233 (depth = 3)
  gc_frame_end(frame);
  return opresult9233;
}
Object meth_ast_shallowCopy9234(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9235 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9236 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_returnNode (depth = 5)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call9237 = callmethodflags(*var_returnNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9236);
// compiled call node returning call9237 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9238 = callmethodflags(call9237, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9235);
// compiled call node returning call9238 (depth = 3)
  gc_frame_end(frame);
  return call9238;
}
Object meth_ast_new_40_1_41_9160(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9161 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9161 = alloc_userobj2(8,8, objclass9161);
  gc_frame_newslot(obj9161);
if (objclass9161 == NULL) {
  glfree(obj9161->class->name);
  obj9161->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9161, self, 0);
  addmethodreal(obj9161,"outer", &reader_ast_outer_9162);
  Object oldself9161 = self;
  struct StackFrameObject *oldstackframe9161 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9161);
  gc_frame_newslot((Object)stackframe);
  self = obj9161;
  Object *oldselfslot9161 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9161 = (*(struct UserObject *)self).data[0], lowerouter9161 = thisouter9161;
  if (inheritingObject9161) {
    struct UserObject *inho9161 = (struct UserObject *)inheritingObject9161;
    while (inho9161->super != GraceDefaultObject) inho9161 = (struct UserObject *)inho9161->super;
    inho9161->super = obj9161;
    self = inheritingObject9161;
    *selfslot = self;
    lowerouter9161 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9161;
  }
if (objclass9161 == NULL) {
  Method *reader9163 = addmethodrealflags(obj9161, "kind",&reader_ast_kind_9163, MFLAG_DEF);
  reader9163->definitionModule = modulename;
  reader9163->definitionLine = 2340;
}
adddatum2(obj9161, alloc_Undefined(), 1);
if (objclass9161 == NULL) {
  Method *reader9164 = addmethodrealflags(obj9161, "value", &reader_ast_value_9164, 0);
  Method *writer9164 = addmethodrealflags(obj9161, "value:=(1)", &writer_ast_value_9164, 0);
  reader9164->definitionModule = modulename;
  writer9164->definitionModule = modulename;
  reader9164->definitionLine = 2341;
  writer9164->definitionLine = 2341;
}
obj9161->flags |= OFLAG_MUTABLE;
adddatum2(obj9161, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo9165 = (struct UserObject*)obj9161;
  uo9165->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9165 = addmethod2pos(obj9161, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9165, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9165[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9165->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9165);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9165->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9165->definitionLine = 2343;
// method "map(_)ancestors(_)"
  struct UserObject *uo9175 = (struct UserObject*)obj9161;
  uo9175->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9175 = addmethod2pos(obj9161, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9175, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9175[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9175->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9175);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9175->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9175->definitionLine = 2349;
// method "pretty(_)"
  struct UserObject *uo9188 = (struct UserObject*)obj9161;
  uo9188->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9188 = addmethod2pos(obj9161, "pretty(1)", &meth_ast_pretty_40_1_41_9188, 5);
  int argcv_meth_ast_pretty_40_1_41_9188[] = {1};
  meth_meth_ast_pretty_40_1_41_9188->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9188);
  meth_meth_ast_pretty_40_1_41_9188->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9188->definitionLine = 2355;
// method "toGrace(_)"
  struct UserObject *uo9225 = (struct UserObject*)obj9161;
  uo9225->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9225 = addmethod2pos(obj9161, "toGrace(1)", &meth_ast_toGrace_40_1_41_9225, 6);
  int argcv_meth_ast_toGrace_40_1_41_9225[] = {1};
  meth_meth_ast_toGrace_40_1_41_9225->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9225);
meth_meth_ast_toGrace_40_1_41_9225->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9225->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9225->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9225->definitionLine = 2364;
// method "shallowCopy"
  block_savedest(obj9161);
  Object closure9234 = createclosure(2, "shallowCopy");
  setclosureframe(closure9234, stackframe);
  addtoclosure(closure9234, var_nullNode);
  addtoclosure(closure9234, var_returnNode);
  struct UserObject *uo9234 = (struct UserObject*)obj9161;
  uo9234->data[7] = (Object)closure9234;
  Method *meth_meth_ast_shallowCopy9234 = addmethod2pos(obj9161, "shallowCopy", &meth_ast_shallowCopy9234, 7);
  int argcv_meth_ast_shallowCopy9234[] = {0};
  meth_meth_ast_shallowCopy9234->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9234);
  meth_meth_ast_shallowCopy9234->definitionModule = modulename;
  meth_meth_ast_shallowCopy9234->definitionLine = 2367;
  sourceObject = obj9161;
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9239 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9240 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9241 = gc_frame_new();
// call case 3: self.outer request
  Object call9242 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9241);
// compiled member node returning call9242 (depth = 5)
  Object call9243 = callmethodflags(call9242, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9240);
// compiled member node returning call9243 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9244 = callmethodflags(call9243, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9239);
// compiled call node returning call9244 (depth = 3)
  struct UserObject *obj9161_uo = (struct UserObject *)obj9161;
  obj9161_uo->super = call9244;
  sourceObject = obj9161;
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9245 == NULL) {
    strlit9245 = alloc_String("return");
    gc_root(strlit9245);
  }
// compiled string node returning strlit9245 (depth = 3)
  adddatum2(obj9161, strlit9245, 1);
  sourceObject = obj9161;
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9161, *var_expr, 2);
  sourceObject = obj9161;
  sourceObject = obj9161;
  sourceObject = obj9161;
  sourceObject = obj9161;
  sourceObject = obj9161;
  objclass9161 = obj9161->class;
  objclass9161->definitionModule = modulename;
  objclass9161->definitionLine = 2338;
  (*(struct UserObject *)self).data[0] = lowerouter9161;
  self = oldself9161;
  selfslot = oldselfslot9161;
  stackframe = oldstackframe9161;
  gc_frame_end(frame);
  return obj9161;
}
Object meth_ast_new_40_1_41_9160_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_returnNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9161 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9161 = alloc_userobj2(8,8, objclass9161);
  gc_frame_newslot(obj9161);
if (objclass9161 == NULL) {
  glfree(obj9161->class->name);
  obj9161->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9161, self, 0);
  addmethodreal(obj9161,"outer", &reader_ast_outer_9162);
  Object oldself9161 = self;
  struct StackFrameObject *oldstackframe9161 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9161);
  gc_frame_newslot((Object)stackframe);
  self = obj9161;
  Object *oldselfslot9161 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9161 = (*(struct UserObject *)self).data[0], lowerouter9161 = thisouter9161;
  if (inheritingObject9161) {
    struct UserObject *inho9161 = (struct UserObject *)inheritingObject9161;
    while (inho9161->super != GraceDefaultObject) inho9161 = (struct UserObject *)inho9161->super;
    inho9161->super = obj9161;
    self = inheritingObject9161;
    *selfslot = self;
    lowerouter9161 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9161;
  }
if (objclass9161 == NULL) {
  Method *reader9163 = addmethodrealflags(obj9161, "kind",&reader_ast_kind_9163, MFLAG_DEF);
  reader9163->definitionModule = modulename;
  reader9163->definitionLine = 2340;
}
adddatum2(obj9161, alloc_Undefined(), 1);
if (objclass9161 == NULL) {
  Method *reader9164 = addmethodrealflags(obj9161, "value", &reader_ast_value_9164, 0);
  Method *writer9164 = addmethodrealflags(obj9161, "value:=(1)", &writer_ast_value_9164, 0);
  reader9164->definitionModule = modulename;
  writer9164->definitionModule = modulename;
  reader9164->definitionLine = 2341;
  writer9164->definitionLine = 2341;
}
obj9161->flags |= OFLAG_MUTABLE;
adddatum2(obj9161, alloc_Undefined(), 2);
// method "accept(_)from(_)"
  struct UserObject *uo9165 = (struct UserObject*)obj9161;
  uo9165->data[3] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9165 = addmethod2pos(obj9161, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9165, 3);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9165[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9165->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9165);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9165->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9165->definitionLine = 2343;
// method "map(_)ancestors(_)"
  struct UserObject *uo9175 = (struct UserObject*)obj9161;
  uo9175->data[4] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9175 = addmethod2pos(obj9161, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9175, 4);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9175[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9175->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9175);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9175->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9175->definitionLine = 2349;
// method "pretty(_)"
  struct UserObject *uo9188 = (struct UserObject*)obj9161;
  uo9188->data[5] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9188 = addmethod2pos(obj9161, "pretty(1)", &meth_ast_pretty_40_1_41_9188, 5);
  int argcv_meth_ast_pretty_40_1_41_9188[] = {1};
  meth_meth_ast_pretty_40_1_41_9188->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9188);
  meth_meth_ast_pretty_40_1_41_9188->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9188->definitionLine = 2355;
// method "toGrace(_)"
  struct UserObject *uo9225 = (struct UserObject*)obj9161;
  uo9225->data[6] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9225 = addmethod2pos(obj9161, "toGrace(1)", &meth_ast_toGrace_40_1_41_9225, 6);
  int argcv_meth_ast_toGrace_40_1_41_9225[] = {1};
  meth_meth_ast_toGrace_40_1_41_9225->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9225);
meth_meth_ast_toGrace_40_1_41_9225->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9225->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9225->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9225->definitionLine = 2364;
// method "shallowCopy"
  block_savedest(obj9161);
  Object closure9234 = createclosure(2, "shallowCopy");
  setclosureframe(closure9234, stackframe);
  addtoclosure(closure9234, var_nullNode);
  addtoclosure(closure9234, var_returnNode);
  struct UserObject *uo9234 = (struct UserObject*)obj9161;
  uo9234->data[7] = (Object)closure9234;
  Method *meth_meth_ast_shallowCopy9234 = addmethod2pos(obj9161, "shallowCopy", &meth_ast_shallowCopy9234, 7);
  int argcv_meth_ast_shallowCopy9234[] = {0};
  meth_meth_ast_shallowCopy9234->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9234);
  meth_meth_ast_shallowCopy9234->definitionModule = modulename;
  meth_meth_ast_shallowCopy9234->definitionLine = 2367;
  sourceObject = obj9161;
// Begin line 2339
  setline(2339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9239 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9240 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9241 = gc_frame_new();
// call case 3: self.outer request
  Object call9242 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9241);
// compiled member node returning call9242 (depth = 5)
  Object call9243 = callmethodflags(call9242, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9240);
// compiled member node returning call9243 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9244 = callmethodflags(call9243, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9239);
// compiled call node returning call9244 (depth = 3)
  struct UserObject *obj9161_uo = (struct UserObject *)obj9161;
  obj9161_uo->super = call9244;
  sourceObject = obj9161;
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9245 == NULL) {
    strlit9245 = alloc_String("return");
    gc_root(strlit9245);
  }
// compiled string node returning strlit9245 (depth = 3)
  adddatum2(obj9161, strlit9245, 1);
  sourceObject = obj9161;
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9161, *var_expr, 2);
  sourceObject = obj9161;
  sourceObject = obj9161;
  sourceObject = obj9161;
  sourceObject = obj9161;
  sourceObject = obj9161;
  objclass9161 = obj9161->class;
  objclass9161->definitionModule = modulename;
  objclass9161->definitionLine = 2338;
  (*(struct UserObject *)self).data[0] = lowerouter9161;
  self = oldself9161;
  selfslot = oldselfslot9161;
  stackframe = oldstackframe9161;
  gc_frame_end(frame);
  return obj9161;
}
Object meth_ast_returnNode9247(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 45, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "returnNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_returnNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_returnNode (depth = 3)
  gc_frame_end(frame);
  return *var_returnNode;
}
Object meth_ast_new_40_1_41_scope_40_1_41_9250(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)scope(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for new(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9251 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_expr (depth = 5)
  gc_frame_newslot(*var_expr);
// call case 4: self request
  params[0] = *var_expr;
  partcv[0] = 1;
  Object call9252 = callmethodflags(self, "new(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9251);
// compiled call node returning call9252 (depth = 4)
  *var_result = call9252;
  if (call9252 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2375
  setline(2375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9253 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call9254 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9253);
// compiled call node returning call9254 (depth = 3)
// Begin line 2376
  setline(2376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_isLegalInTrait9264(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2387
  setline(2387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9265 = gc_frame_new();
// call case 4: self request
  Object call9266 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9265);
// compiled member node returning call9266 (depth = 3)
  gc_frame_end(frame);
  return call9266;
}
Object meth_ast_isInherits9267(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isInherits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2388
  setline(2388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9268 = alloc_Boolean(1);
// compiled identifier node returning bool9268 (depth = 3)
  gc_frame_end(frame);
  return bool9268;
}
Object meth_ast_inheritsFromMember9269(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inheritsFromMember");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2389
  setline(2389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9270 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9271 = gc_frame_new();
// call case 4: self request
  Object call9272 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9271);
// compiled member node returning call9272 (depth = 4)
  Object call9273 = callmethodflags(call9272, "isMember", 0, partcv, params, 0);
  gc_frame_end(callframe9270);
// compiled member node returning call9273 (depth = 3)
  gc_frame_end(frame);
  return call9273;
}
Object meth_ast_inheritsFromCall9274(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "inheritsFromCall");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2390
  setline(2390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9275 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9276 = gc_frame_new();
// call case 4: self request
  Object call9277 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9276);
// compiled member node returning call9277 (depth = 4)
  Object call9278 = callmethodflags(call9277, "isCall", 0, partcv, params, 0);
  gc_frame_end(callframe9275);
// compiled member node returning call9278 (depth = 3)
  gc_frame_end(frame);
  return call9278;
}
Object meth_ast_isExecutable9279(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9280 = alloc_Boolean(0);
// compiled identifier node returning bool9280 (depth = 3)
  gc_frame_end(frame);
  return bool9280;
}
Object meth_ast__apply_40_1_41_9293(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9294 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9295 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  Object call9296 = callmethodflags(*var_a, "newName", 0, partcv, params, 0);
  gc_frame_end(callframe9295);
// compiled member node returning call9296 (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9297 = callmethodflags(call9296, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9294);
// compiled call node returning call9297 (depth = 6)
// Begin line 2398
  setline(2398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9298 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9299 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  Object call9300 = callmethodflags(*var_a, "oldName", 0, partcv, params, 0);
  gc_frame_end(callframe9299);
// compiled member node returning call9300 (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9301 = callmethodflags(call9300, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9298);
// compiled call node returning call9301 (depth = 6)
  gc_frame_end(frame);
  return call9301;
}
Object meth_ast__apply_40_1_41_9308(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe9309 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_e (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9310 = callmethodflags(*var_e, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9309);
// compiled call node returning call9310 (depth = 6)
  gc_frame_end(frame);
  return call9310;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9281(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9283 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9284 = callmethodflags(*var_visitor, "visitInherits(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9283);
// compiled call node returning call9284 (depth = 4)
  Object if9282 = done;
  if (istrue(call9284)) {
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9285 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9286 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9285);
// compiled call node returning call9286 (depth = 5)
  *var_newChain = call9286;
  if (call9286 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2395
  setline(2395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9287 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9288 = gc_frame_new();
// call case 4: self request
  Object call9289 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9288);
// compiled member node returning call9289 (depth = 5)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9290 = callmethodflags(call9289, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9287);
// compiled call node returning call9290 (depth = 4)
// Begin line 2396
  setline(2396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9291 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9292 = alloc_Block(NULL, NULL, "ast", 2396);
  gc_frame_newslot(block9292);
// method "_apply(_)"
  block_savedest(block9292);
  Object closure9293 = createclosure(3, "_apply(1)");
  setclosureframe(closure9293, stackframe);
  addtoclosure(closure9293, var_visitor);
  addtoclosure(closure9293, var_newChain);
  addtoclosure(closure9293, selfslot);
  struct UserObject *uo9293 = (struct UserObject*)block9292;
  uo9293->data[0] = (Object)closure9293;
  Method *meth_meth_ast__apply_40_1_41_9293 = addmethod2pos(block9292, "_apply(1)", &meth_ast__apply_40_1_41_9293, 0);
  int argcv_meth_ast__apply_40_1_41_9293[] = {1};
  meth_meth_ast__apply_40_1_41_9293->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9293);
  meth_meth_ast__apply_40_1_41_9293->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9293->definitionLine = 2947;
// compiled block node returning block9292 (depth = 5)
  gc_frame_newslot(block9292);
// call case 6: other requests
// Begin line 2396
  setline(2396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9303 = gc_frame_new();
// call case 4: self request
  Object call9304 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9303);
// compiled member node returning call9304 (depth = 5)
  params[0] = block9292;
  partcv[0] = 1;
  Object call9305 = callmethodflags(call9304, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9291);
// compiled call node returning call9305 (depth = 4)
// Begin line 2400
  setline(2400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9306 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9307 = alloc_Block(NULL, NULL, "ast", 2400);
  gc_frame_newslot(block9307);
// method "_apply(_)"
  block_savedest(block9307);
  Object closure9308 = createclosure(3, "_apply(1)");
  setclosureframe(closure9308, stackframe);
  addtoclosure(closure9308, var_visitor);
  addtoclosure(closure9308, var_newChain);
  addtoclosure(closure9308, selfslot);
  struct UserObject *uo9308 = (struct UserObject*)block9307;
  uo9308->data[0] = (Object)closure9308;
  Method *meth_meth_ast__apply_40_1_41_9308 = addmethod2pos(block9307, "_apply(1)", &meth_ast__apply_40_1_41_9308, 0);
  int argcv_meth_ast__apply_40_1_41_9308[] = {1};
  meth_meth_ast__apply_40_1_41_9308->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9308);
  meth_meth_ast__apply_40_1_41_9308->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9308->definitionLine = 2947;
// compiled block node returning block9307 (depth = 5)
  gc_frame_newslot(block9307);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9312 = gc_frame_new();
// call case 4: self request
  Object call9313 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9312);
// compiled member node returning call9313 (depth = 5)
  params[0] = block9307;
  partcv[0] = 1;
  Object call9314 = callmethodflags(call9313, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9306);
// compiled call node returning call9314 (depth = 4)
    gc_frame_newslot(call9314);
    if9282 = call9314;
  } else {
  }
// compiled if node returning if9282 (depth = 3)
  gc_frame_end(frame);
  return if9282;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_9315(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2407
  setline(2407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9316 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call9317 = callmethodflags(*var_k, "methdec", 0, partcv, params, 0);
  gc_frame_end(callframe9316);
// compiled member node returning call9317 (depth = 3)
  gc_frame_end(frame);
  return call9317;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9318(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2410
  setline(2410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9319 = gc_frame_new();
// call case 4: self request
  Object call9320 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9319);
// compiled member node returning call9320 (depth = 4)
  *var_n = call9320;
  if (call9320 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2411
  setline(2411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9321 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9322 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9321);
// compiled call node returning call9322 (depth = 4)
  *var_newChain = call9322;
  if (call9322 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2412
  setline(2412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9323 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9324 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9325 = gc_frame_new();
// call case 4: self request
  Object call9326 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9325);
// compiled member node returning call9326 (depth = 5)
  params[0] = *var_blk;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9327 = callmethodflags(call9326, "map(1)ancestors(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9324);
// compiled call node returning call9327 (depth = 4)
  gc_frame_newslot(call9327);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call9327;
  partcv[0] = 1;
  Object call9328 = callmethodflags(*var_n, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9323);
// compiled call node returning call9328 (depth = 3)
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9329 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9330 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9329);
// compiled call node returning call9330 (depth = 3)
  gc_frame_end(frame);
  return call9330;
}
Object meth_ast__apply_40_1_41_9339(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2418
  setline(2418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9341 == NULL) {
    strlit9341 = alloc_String("  ");
    gc_root(strlit9341);
  }
// compiled string node returning strlit9341 (depth = 7)
  int op_slot_right_9340 = gc_frame_newslot(strlit9341);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9340 = gc_frame_newslot(*var_spc);
  params[0] = strlit9341;
  partcv[0] = 1;
  Object opresult9343 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9343 (depth = 6)
  *var_spc = opresult9343;
  if (opresult9343 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9382(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9384 == NULL) {
    strlit9384 = alloc_String("");
    gc_root(strlit9384);
  }
// compiled string node returning strlit9384 (depth = 7)
  int op_slot_right_9383 = gc_frame_newslot(strlit9384);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9387 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9388 = callmethodflags(*var_a, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9387);
// compiled call node returning call9388 (depth = 8)
  int op_slot_right_9386 = gc_frame_newslot(call9388);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9391 == NULL) {
    strlit9391 = alloc_String("""\x0a""");
    gc_root(strlit9391);
  }
// compiled string node returning strlit9391 (depth = 9)
  int op_slot_right_9390 = gc_frame_newslot(strlit9391);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_9393 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit9395 == NULL) {
    strlit9395 = alloc_String("");
    gc_root(strlit9395);
  }
// compiled string node returning strlit9395 (depth = 10)
  int op_slot_left_9393 = gc_frame_newslot(strlit9395);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9396 = callmethod(strlit9395, "++(1)", 1, partcv, params);
// compiled op node returning opresult9396 (depth = 9)
  int op_slot_left_9390 = gc_frame_newslot(opresult9396);
  params[0] = strlit9391;
  partcv[0] = 1;
  Object opresult9397 = callmethod(opresult9396, "++(1)", 1, partcv, params);
// compiled op node returning opresult9397 (depth = 8)
  int op_slot_left_9386 = gc_frame_newslot(opresult9397);
  params[0] = call9388;
  partcv[0] = 1;
  Object opresult9398 = callmethod(opresult9397, "++(1)", 1, partcv, params);
// compiled op node returning opresult9398 (depth = 7)
  int op_slot_left_9383 = gc_frame_newslot(opresult9398);
  params[0] = strlit9384;
  partcv[0] = 1;
  Object opresult9399 = callmethod(opresult9398, "++(1)", 1, partcv, params);
// compiled op node returning opresult9399 (depth = 6)
  *var_s = opresult9399;
  if (opresult9399 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9430(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2428
  setline(2428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9432 == NULL) {
    strlit9432 = alloc_String(" ");
    gc_root(strlit9432);
  }
// compiled string node returning strlit9432 (depth = 7)
  int op_slot_right_9431 = gc_frame_newslot(strlit9432);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_e (depth = 8)
  int op_slot_right_9434 = gc_frame_newslot(*var_e);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9437 == NULL) {
    strlit9437 = alloc_String(" exclude ");
    gc_root(strlit9437);
  }
// compiled string node returning strlit9437 (depth = 9)
  int op_slot_right_9436 = gc_frame_newslot(strlit9437);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_9439 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit9441 == NULL) {
    strlit9441 = alloc_String("");
    gc_root(strlit9441);
  }
// compiled string node returning strlit9441 (depth = 10)
  int op_slot_left_9439 = gc_frame_newslot(strlit9441);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9442 = callmethod(strlit9441, "++(1)", 1, partcv, params);
// compiled op node returning opresult9442 (depth = 9)
  int op_slot_left_9436 = gc_frame_newslot(opresult9442);
  params[0] = strlit9437;
  partcv[0] = 1;
  Object opresult9443 = callmethod(opresult9442, "++(1)", 1, partcv, params);
// compiled op node returning opresult9443 (depth = 8)
  int op_slot_left_9434 = gc_frame_newslot(opresult9443);
  params[0] = *var_e;
  partcv[0] = 1;
  Object opresult9444 = callmethod(opresult9443, "++(1)", 1, partcv, params);
// compiled op node returning opresult9444 (depth = 7)
  int op_slot_left_9431 = gc_frame_newslot(opresult9444);
  params[0] = strlit9432;
  partcv[0] = 1;
  Object opresult9445 = callmethod(opresult9444, "++(1)", 1, partcv, params);
// compiled op node returning opresult9445 (depth = 6)
  *var_s = opresult9445;
  if (opresult9445 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9331(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2416
  setline(2416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9332 == NULL) {
    strlit9332 = alloc_String("");
    gc_root(strlit9332);
  }
// compiled string node returning strlit9332 (depth = 4)
  *var_spc = strlit9332;
  if (strlit9332 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9333 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9334 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9336 = alloc_Float64(0);
// compiled num node returning num9336 (depth = 5)
  int op_slot_left_9334 = gc_frame_newslot(num9336);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9337 = callmethod(num9336, "..(1)", 1, partcv, params);
// compiled op node returning opresult9337 (depth = 4)
  gc_frame_newslot(opresult9337);
// starting to compile block node (depth = 4)
  Object block9338 = alloc_Block(NULL, NULL, "ast", 2417);
  gc_frame_newslot(block9338);
// method "_apply(_)"
  block_savedest(block9338);
  Object closure9339 = createclosure(2, "_apply(1)");
  setclosureframe(closure9339, stackframe);
  addtoclosure(closure9339, var_spc);
  addtoclosure(closure9339, selfslot);
  struct UserObject *uo9339 = (struct UserObject*)block9338;
  uo9339->data[0] = (Object)closure9339;
  Method *meth_meth_ast__apply_40_1_41_9339 = addmethod2pos(block9338, "_apply(1)", &meth_ast__apply_40_1_41_9339, 0);
  int argcv_meth_ast__apply_40_1_41_9339[] = {1};
  meth_meth_ast__apply_40_1_41_9339->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9339);
  meth_meth_ast__apply_40_1_41_9339->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9339->definitionLine = 2947;
// compiled block node returning block9338 (depth = 4)
  gc_frame_newslot(block9338);
// call case 5: prelude request
  params[0] = opresult9337;
  params[1] = block9338;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9346 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9333);
// compiled call node returning call9346 (depth = 3)
// Begin line 2420
  setline(2420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9347 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9348 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9347);
// compiled call node returning call9348 (depth = 4)
  *var_s = call9348;
  if (call9348 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9350 = gc_frame_new();
// call case 4: self request
  Object call9351 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9350);
// compiled member node returning call9351 (depth = 4)
  Object if9349 = done;
  if (istrue(call9351)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9353 == NULL) {
    strlit9353 = alloc_String(" (use)");
    gc_root(strlit9353);
  }
// compiled string node returning strlit9353 (depth = 6)
  int op_slot_right_9352 = gc_frame_newslot(strlit9353);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_right_9355 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 7)
  if (strlit9357 == NULL) {
    strlit9357 = alloc_String("");
    gc_root(strlit9357);
  }
// compiled string node returning strlit9357 (depth = 7)
  int op_slot_left_9355 = gc_frame_newslot(strlit9357);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9358 = callmethod(strlit9357, "++(1)", 1, partcv, params);
// compiled op node returning opresult9358 (depth = 6)
  int op_slot_left_9352 = gc_frame_newslot(opresult9358);
  params[0] = strlit9353;
  partcv[0] = 1;
  Object opresult9359 = callmethod(opresult9358, "++(1)", 1, partcv, params);
// compiled op node returning opresult9359 (depth = 5)
  *var_s = opresult9359;
  if (opresult9359 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9349 = done;
  } else {
  }
// compiled if node returning if9349 (depth = 3)
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9362 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9364 = alloc_Float64(1);
// compiled num node returning num9364 (depth = 7)
  int op_slot_right_9363 = gc_frame_newslot(num9364);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_depth (depth = 7)
  int op_slot_left_9363 = gc_frame_newslot(*var_depth);
  params[0] = num9364;
  partcv[0] = 1;
  Object sum9366 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9366 (depth = 6)
  gc_frame_newslot(sum9366);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9367 = gc_frame_new();
// call case 4: self request
  Object call9368 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9367);
// compiled member node returning call9368 (depth = 6)
  params[0] = sum9366;
  partcv[0] = 1;
  Object call9369 = callmethodflags(call9368, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9362);
// compiled call node returning call9369 (depth = 5)
  int op_slot_right_9361 = gc_frame_newslot(call9369);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_9371 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9374 == NULL) {
    strlit9374 = alloc_String("""\x0a""");
    gc_root(strlit9374);
  }
// compiled string node returning strlit9374 (depth = 7)
  int op_slot_right_9373 = gc_frame_newslot(strlit9374);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9373 = gc_frame_newslot(*var_s);
  params[0] = strlit9374;
  partcv[0] = 1;
  Object opresult9376 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9376 (depth = 6)
  int op_slot_left_9371 = gc_frame_newslot(opresult9376);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9377 = callmethod(opresult9376, "++(1)", 1, partcv, params);
// compiled op node returning opresult9377 (depth = 5)
  int op_slot_left_9361 = gc_frame_newslot(opresult9377);
  params[0] = call9369;
  partcv[0] = 1;
  Object opresult9378 = callmethod(opresult9377, "++(1)", 1, partcv, params);
// compiled op node returning opresult9378 (depth = 4)
  *var_s = opresult9378;
  if (opresult9378 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2423
  setline(2423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9380 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9381 = alloc_Block(NULL, NULL, "ast", 2423);
  gc_frame_newslot(block9381);
// method "_apply(_)"
  block_savedest(block9381);
  Object closure9382 = createclosure(3, "_apply(1)");
  setclosureframe(closure9382, stackframe);
  addtoclosure(closure9382, var_depth);
  addtoclosure(closure9382, var_s);
  addtoclosure(closure9382, selfslot);
  struct UserObject *uo9382 = (struct UserObject*)block9381;
  uo9382->data[0] = (Object)closure9382;
  Method *meth_meth_ast__apply_40_1_41_9382 = addmethod2pos(block9381, "_apply(1)", &meth_ast__apply_40_1_41_9382, 0);
  int argcv_meth_ast__apply_40_1_41_9382[] = {1};
  meth_meth_ast__apply_40_1_41_9382->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9382);
  meth_meth_ast__apply_40_1_41_9382->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9382->definitionLine = 2947;
// compiled block node returning block9381 (depth = 4)
  gc_frame_newslot(block9381);
// call case 6: other requests
// Begin line 2423
  setline(2423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9402 = gc_frame_new();
// call case 4: self request
  Object call9403 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9402);
// compiled member node returning call9403 (depth = 4)
  params[0] = block9381;
  partcv[0] = 1;
  Object call9404 = callmethodflags(call9403, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9380);
// compiled call node returning call9404 (depth = 3)
// Begin line 2426
  setline(2426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9406 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9407 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9408 = gc_frame_new();
// call case 4: self request
  Object call9409 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9408);
// compiled member node returning call9409 (depth = 6)
  Object call9410 = callmethodflags(call9409, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe9407);
// compiled member node returning call9410 (depth = 5)
  Object call9411 = callmethodflags(call9410, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9406);
// compiled member node returning call9411 (depth = 4)
  Object if9405 = done;
  if (istrue(call9411)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9413 == NULL) {
    strlit9413 = alloc_String("");
    gc_root(strlit9413);
  }
// compiled string node returning strlit9413 (depth = 6)
  int op_slot_right_9412 = gc_frame_newslot(strlit9413);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9415 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9418 == NULL) {
    strlit9418 = alloc_String("""\x0a""");
    gc_root(strlit9418);
  }
// compiled string node returning strlit9418 (depth = 8)
  int op_slot_right_9417 = gc_frame_newslot(strlit9418);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_9420 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit9422 == NULL) {
    strlit9422 = alloc_String("");
    gc_root(strlit9422);
  }
// compiled string node returning strlit9422 (depth = 9)
  int op_slot_left_9420 = gc_frame_newslot(strlit9422);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9423 = callmethod(strlit9422, "++(1)", 1, partcv, params);
// compiled op node returning opresult9423 (depth = 8)
  int op_slot_left_9417 = gc_frame_newslot(opresult9423);
  params[0] = strlit9418;
  partcv[0] = 1;
  Object opresult9424 = callmethod(opresult9423, "++(1)", 1, partcv, params);
// compiled op node returning opresult9424 (depth = 7)
  int op_slot_left_9415 = gc_frame_newslot(opresult9424);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9425 = callmethod(opresult9424, "++(1)", 1, partcv, params);
// compiled op node returning opresult9425 (depth = 6)
  int op_slot_left_9412 = gc_frame_newslot(opresult9425);
  params[0] = strlit9413;
  partcv[0] = 1;
  Object opresult9426 = callmethod(opresult9425, "++(1)", 1, partcv, params);
// compiled op node returning opresult9426 (depth = 5)
  *var_s = opresult9426;
  if (opresult9426 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9405 = done;
  } else {
  }
// compiled if node returning if9405 (depth = 3)
// Begin line 2427
  setline(2427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9428 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9429 = alloc_Block(NULL, NULL, "ast", 2427);
  gc_frame_newslot(block9429);
// method "_apply(_)"
  block_savedest(block9429);
  Object closure9430 = createclosure(2, "_apply(1)");
  setclosureframe(closure9430, stackframe);
  addtoclosure(closure9430, var_s);
  addtoclosure(closure9430, selfslot);
  struct UserObject *uo9430 = (struct UserObject*)block9429;
  uo9430->data[0] = (Object)closure9430;
  Method *meth_meth_ast__apply_40_1_41_9430 = addmethod2pos(block9429, "_apply(1)", &meth_ast__apply_40_1_41_9430, 0);
  int argcv_meth_ast__apply_40_1_41_9430[] = {1};
  meth_meth_ast__apply_40_1_41_9430->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9430);
  meth_meth_ast__apply_40_1_41_9430->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9430->definitionLine = 2947;
// compiled block node returning block9429 (depth = 4)
  gc_frame_newslot(block9429);
// call case 6: other requests
// Begin line 2427
  setline(2427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9448 = gc_frame_new();
// call case 4: self request
  Object call9449 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9448);
// compiled member node returning call9449 (depth = 4)
  params[0] = block9429;
  partcv[0] = 1;
  Object call9450 = callmethodflags(call9449, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9428);
// compiled call node returning call9450 (depth = 3)
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9452 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9453 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9454 = gc_frame_new();
// call case 4: self request
  Object call9455 = callmethodflags(self, "providedNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9454);
// compiled member node returning call9455 (depth = 6)
  Object call9456 = callmethodflags(call9455, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe9453);
// compiled member node returning call9456 (depth = 5)
  Object call9457 = callmethodflags(call9456, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9452);
// compiled member node returning call9457 (depth = 4)
  Object if9451 = done;
  if (istrue(call9457)) {
// Begin line 2431
  setline(2431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9460 == NULL) {
    strlit9460 = alloc_String("");
    gc_root(strlit9460);
  }
// compiled string node returning strlit9460 (depth = 7)
  int op_slot_right_9459 = gc_frame_newslot(strlit9460);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9463 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe9464 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe9465 = gc_frame_new();
// call case 4: self request
  Object call9466 = callmethodflags(self, "providedNames", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9465);
// compiled member node returning call9466 (depth = 10)
  Object call9467 = callmethodflags(call9466, "asList", 0, partcv, params, 0);
  gc_frame_end(callframe9464);
// compiled member node returning call9467 (depth = 9)
  Object call9468 = callmethodflags(call9467, "sort", 0, partcv, params, 0);
  gc_frame_end(callframe9463);
// compiled member node returning call9468 (depth = 8)
  int op_slot_right_9462 = gc_frame_newslot(call9468);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9471 == NULL) {
    strlit9471 = alloc_String("Provided names: ");
    gc_root(strlit9471);
  }
// compiled string node returning strlit9471 (depth = 9)
  int op_slot_right_9470 = gc_frame_newslot(strlit9471);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_9473 = gc_frame_newslot(*var_spc);
// starting to compile string node (depth = 10)
  if (strlit9475 == NULL) {
    strlit9475 = alloc_String("""\x0a""");
    gc_root(strlit9475);
  }
// compiled string node returning strlit9475 (depth = 10)
  int op_slot_left_9473 = gc_frame_newslot(strlit9475);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9476 = callmethod(strlit9475, "++(1)", 1, partcv, params);
// compiled op node returning opresult9476 (depth = 9)
  int op_slot_left_9470 = gc_frame_newslot(opresult9476);
  params[0] = strlit9471;
  partcv[0] = 1;
  Object opresult9477 = callmethod(opresult9476, "++(1)", 1, partcv, params);
// compiled op node returning opresult9477 (depth = 8)
  int op_slot_left_9462 = gc_frame_newslot(opresult9477);
  params[0] = call9468;
  partcv[0] = 1;
  Object opresult9478 = callmethod(opresult9477, "++(1)", 1, partcv, params);
// compiled op node returning opresult9478 (depth = 7)
  int op_slot_left_9459 = gc_frame_newslot(opresult9478);
  params[0] = strlit9460;
  partcv[0] = 1;
  Object opresult9479 = callmethod(opresult9478, "++(1)", 1, partcv, params);
// compiled op node returning opresult9479 (depth = 6)
  int op_slot_right_9458 = gc_frame_newslot(opresult9479);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9458 = gc_frame_newslot(*var_s);
  params[0] = opresult9479;
  partcv[0] = 1;
  Object opresult9481 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9481 (depth = 5)
  *var_s = opresult9481;
  if (opresult9481 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9451 = done;
  } else {
  }
// compiled if node returning if9451 (depth = 3)
// Begin line 2433
  setline(2433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply9487(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9489 == NULL) {
    strlit9489 = alloc_String("    ");
    gc_root(strlit9489);
  }
// compiled string node returning strlit9489 (depth = 7)
  int op_slot_right_9488 = gc_frame_newslot(strlit9489);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_9488 = gc_frame_newslot(*var_s);
  params[0] = strlit9489;
  partcv[0] = 1;
  Object opresult9491 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9491 (depth = 6)
  *var_s = opresult9491;
  if (opresult9491 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9515(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2443
  setline(2443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9517 == NULL) {
    strlit9517 = alloc_String(" ");
    gc_root(strlit9517);
  }
// compiled string node returning strlit9517 (depth = 7)
  int op_slot_right_9516 = gc_frame_newslot(strlit9517);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_a (depth = 8)
  int op_slot_right_9519 = gc_frame_newslot(*var_a);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9522 == NULL) {
    strlit9522 = alloc_String(" ");
    gc_root(strlit9522);
  }
// compiled string node returning strlit9522 (depth = 9)
  int op_slot_right_9521 = gc_frame_newslot(strlit9522);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_9524 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit9526 == NULL) {
    strlit9526 = alloc_String("");
    gc_root(strlit9526);
  }
// compiled string node returning strlit9526 (depth = 10)
  int op_slot_left_9524 = gc_frame_newslot(strlit9526);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9527 = callmethod(strlit9526, "++(1)", 1, partcv, params);
// compiled op node returning opresult9527 (depth = 9)
  int op_slot_left_9521 = gc_frame_newslot(opresult9527);
  params[0] = strlit9522;
  partcv[0] = 1;
  Object opresult9528 = callmethod(opresult9527, "++(1)", 1, partcv, params);
// compiled op node returning opresult9528 (depth = 8)
  int op_slot_left_9519 = gc_frame_newslot(opresult9528);
  params[0] = *var_a;
  partcv[0] = 1;
  Object opresult9529 = callmethod(opresult9528, "++(1)", 1, partcv, params);
// compiled op node returning opresult9529 (depth = 7)
  int op_slot_left_9516 = gc_frame_newslot(opresult9529);
  params[0] = strlit9517;
  partcv[0] = 1;
  Object opresult9530 = callmethod(opresult9529, "++(1)", 1, partcv, params);
// compiled op node returning opresult9530 (depth = 6)
  *var_s = opresult9530;
  if (opresult9530 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9538(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_e = &(stackframe->slots[0]);
  *var_e = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2446
  setline(2446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9540 == NULL) {
    strlit9540 = alloc_String(" ");
    gc_root(strlit9540);
  }
// compiled string node returning strlit9540 (depth = 7)
  int op_slot_right_9539 = gc_frame_newslot(strlit9540);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9543 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_e (depth = 9)
  Object call9544 = callmethodflags(*var_e, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe9543);
// compiled member node returning call9544 (depth = 8)
  int op_slot_right_9542 = gc_frame_newslot(call9544);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9547 == NULL) {
    strlit9547 = alloc_String(" exclude ");
    gc_root(strlit9547);
  }
// compiled string node returning strlit9547 (depth = 9)
  int op_slot_right_9546 = gc_frame_newslot(strlit9547);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_s (depth = 10)
  int op_slot_right_9549 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 10)
  if (strlit9551 == NULL) {
    strlit9551 = alloc_String("");
    gc_root(strlit9551);
  }
// compiled string node returning strlit9551 (depth = 10)
  int op_slot_left_9549 = gc_frame_newslot(strlit9551);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9552 = callmethod(strlit9551, "++(1)", 1, partcv, params);
// compiled op node returning opresult9552 (depth = 9)
  int op_slot_left_9546 = gc_frame_newslot(opresult9552);
  params[0] = strlit9547;
  partcv[0] = 1;
  Object opresult9553 = callmethod(opresult9552, "++(1)", 1, partcv, params);
// compiled op node returning opresult9553 (depth = 8)
  int op_slot_left_9542 = gc_frame_newslot(opresult9553);
  params[0] = call9544;
  partcv[0] = 1;
  Object opresult9554 = callmethod(opresult9553, "++(1)", 1, partcv, params);
// compiled op node returning opresult9554 (depth = 7)
  int op_slot_left_9539 = gc_frame_newslot(opresult9554);
  params[0] = strlit9540;
  partcv[0] = 1;
  Object opresult9555 = callmethod(opresult9554, "++(1)", 1, partcv, params);
// compiled op node returning opresult9555 (depth = 6)
  *var_s = opresult9555;
  if (opresult9555 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_9483(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 2436
  setline(2436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9484 == NULL) {
    strlit9484 = alloc_String("");
    gc_root(strlit9484);
  }
// compiled string node returning strlit9484 (depth = 4)
  *var_s = strlit9484;
  if (strlit9484 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9485 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_depth (depth = 4)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 4)
  Object block9486 = alloc_Block(NULL, NULL, "ast", 2437);
  gc_frame_newslot(block9486);
// method "_apply"
  block_savedest(block9486);
  Object closure9487 = createclosure(2, "_apply");
  setclosureframe(closure9487, stackframe);
  addtoclosure(closure9487, var_s);
  addtoclosure(closure9487, selfslot);
  struct UserObject *uo9487 = (struct UserObject*)block9486;
  uo9487->data[0] = (Object)closure9487;
  Method *meth_meth_ast__apply9487 = addmethod2pos(block9486, "_apply", &meth_ast__apply9487, 0);
  int argcv_meth_ast__apply9487[] = {0};
  meth_meth_ast__apply9487->type = alloc_MethodType(1, argcv_meth_ast__apply9487);
  meth_meth_ast__apply9487->definitionModule = modulename;
  meth_meth_ast__apply9487->definitionLine = 2947;
// compiled block node returning block9486 (depth = 4)
  gc_frame_newslot(block9486);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block9486;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9494 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9485);
// compiled call node returning call9494 (depth = 3)
// Begin line 2440
  setline(2440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9497 = gc_frame_new();
// call case 4: self request
  Object call9498 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9497);
// compiled member node returning call9498 (depth = 6)
  Object if9496 = done;
struct StackFrameObject *iftmpstackframe9496 = stackframe;
  if (istrue(call9498)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9496);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit9499 == NULL) {
    strlit9499 = alloc_String("use ");
    gc_root(strlit9499);
  }
// compiled string node returning strlit9499 (depth = 6)
    gc_frame_newslot(strlit9499);
    if9496 = strlit9499;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe9496);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 6)
  if (strlit9500 == NULL) {
    strlit9500 = alloc_String("inherit ");
    gc_root(strlit9500);
  }
// compiled string node returning strlit9500 (depth = 6)
    gc_frame_newslot(strlit9500);
    if9496 = strlit9500;
  }
stackframe = iftmpstackframe9496;
// compiled if node returning if9496 (depth = 5)
  int op_slot_right_9495 = gc_frame_newslot(if9496);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9495 = gc_frame_newslot(*var_s);
  params[0] = if9496;
  partcv[0] = 1;
  Object opresult9502 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9502 (depth = 4)
  *var_s = opresult9502;
  if (opresult9502 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9505 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num9506 = alloc_Float64(0);
// compiled num node returning num9506 (depth = 6)
  gc_frame_newslot(num9506);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9507 = gc_frame_new();
// call case 4: self request
  Object call9508 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9507);
// compiled member node returning call9508 (depth = 6)
  params[0] = num9506;
  partcv[0] = 1;
  Object call9509 = callmethodflags(call9508, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9505);
// compiled call node returning call9509 (depth = 5)
  int op_slot_right_9504 = gc_frame_newslot(call9509);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  int op_slot_left_9504 = gc_frame_newslot(*var_s);
  params[0] = call9509;
  partcv[0] = 1;
  Object opresult9511 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9511 (depth = 4)
  *var_s = opresult9511;
  if (opresult9511 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9513 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9514 = alloc_Block(NULL, NULL, "ast", 2442);
  gc_frame_newslot(block9514);
// method "_apply(_)"
  block_savedest(block9514);
  Object closure9515 = createclosure(2, "_apply(1)");
  setclosureframe(closure9515, stackframe);
  addtoclosure(closure9515, var_s);
  addtoclosure(closure9515, selfslot);
  struct UserObject *uo9515 = (struct UserObject*)block9514;
  uo9515->data[0] = (Object)closure9515;
  Method *meth_meth_ast__apply_40_1_41_9515 = addmethod2pos(block9514, "_apply(1)", &meth_ast__apply_40_1_41_9515, 0);
  int argcv_meth_ast__apply_40_1_41_9515[] = {1};
  meth_meth_ast__apply_40_1_41_9515->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9515);
  meth_meth_ast__apply_40_1_41_9515->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9515->definitionLine = 2947;
// compiled block node returning block9514 (depth = 4)
  gc_frame_newslot(block9514);
// call case 6: other requests
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9533 = gc_frame_new();
// call case 4: self request
  Object call9534 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9533);
// compiled member node returning call9534 (depth = 4)
  params[0] = block9514;
  partcv[0] = 1;
  Object call9535 = callmethodflags(call9534, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9513);
// compiled call node returning call9535 (depth = 3)
// Begin line 2445
  setline(2445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9536 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9537 = alloc_Block(NULL, NULL, "ast", 2445);
  gc_frame_newslot(block9537);
// method "_apply(_)"
  block_savedest(block9537);
  Object closure9538 = createclosure(2, "_apply(1)");
  setclosureframe(closure9538, stackframe);
  addtoclosure(closure9538, var_s);
  addtoclosure(closure9538, selfslot);
  struct UserObject *uo9538 = (struct UserObject*)block9537;
  uo9538->data[0] = (Object)closure9538;
  Method *meth_meth_ast__apply_40_1_41_9538 = addmethod2pos(block9537, "_apply(1)", &meth_ast__apply_40_1_41_9538, 0);
  int argcv_meth_ast__apply_40_1_41_9538[] = {1};
  meth_meth_ast__apply_40_1_41_9538->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9538);
  meth_meth_ast__apply_40_1_41_9538->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9538->definitionLine = 2947;
// compiled block node returning block9537 (depth = 4)
  gc_frame_newslot(block9537);
// call case 6: other requests
// Begin line 2445
  setline(2445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9558 = gc_frame_new();
// call case 4: self request
  Object call9559 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9558);
// compiled member node returning call9559 (depth = 4)
  params[0] = block9537;
  partcv[0] = 1;
  Object call9560 = callmethodflags(call9559, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9536);
// compiled call node returning call9560 (depth = 3)
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_asString9561(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2451
  setline(2451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9563 = gc_frame_new();
// starting to compile num node (depth = 5)
  Object num9564 = alloc_Float64(0);
// compiled num node returning num9564 (depth = 5)
  gc_frame_newslot(num9564);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9565 = gc_frame_new();
// call case 4: self request
  Object call9566 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9565);
// compiled member node returning call9566 (depth = 5)
  params[0] = num9564;
  partcv[0] = 1;
  Object call9567 = callmethodflags(call9566, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9563);
// compiled call node returning call9567 (depth = 4)
  int op_slot_right_9562 = gc_frame_newslot(call9567);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9570 = gc_frame_new();
// call case 4: self request
  Object call9571 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9570);
// compiled member node returning call9571 (depth = 5)
  Object if9569 = done;
struct StackFrameObject *iftmpstackframe9569 = stackframe;
  if (istrue(call9571)) {
stackframe = alloc_StackFrame(0, iftmpstackframe9569);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit9572 == NULL) {
    strlit9572 = alloc_String("use ");
    gc_root(strlit9572);
  }
// compiled string node returning strlit9572 (depth = 5)
    gc_frame_newslot(strlit9572);
    if9569 = strlit9572;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe9569);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit9573 == NULL) {
    strlit9573 = alloc_String("inherit ");
    gc_root(strlit9573);
  }
// compiled string node returning strlit9573 (depth = 5)
    gc_frame_newslot(strlit9573);
    if9569 = strlit9573;
  }
stackframe = iftmpstackframe9569;
// compiled if node returning if9569 (depth = 4)
  int op_slot_left_9562 = gc_frame_newslot(if9569);
  params[0] = call9567;
  partcv[0] = 1;
  Object opresult9574 = callmethod(if9569, "++(1)", 1, partcv, params);
// compiled op node returning opresult9574 (depth = 3)
  gc_frame_end(frame);
  return opresult9574;
}
Object meth_ast_nameString9575(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9576 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num9577 = alloc_Float64(0);
// compiled num node returning num9577 (depth = 4)
  gc_frame_newslot(num9577);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9578 = gc_frame_new();
// call case 4: self request
  Object call9579 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9578);
// compiled member node returning call9579 (depth = 4)
  params[0] = num9577;
  partcv[0] = 1;
  Object call9580 = callmethodflags(call9579, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9576);
// compiled call node returning call9580 (depth = 3)
  gc_frame_end(frame);
  return call9580;
}
Object meth_ast_addAlias_40_1_41_for_40_1_41_9581(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addAlias(1)for(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAlias(_)for(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addAlias(_)for(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for addAlias(_)for(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_newName = &(stackframe->slots[0]);
  *var_newName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addAlias(_)");
  Object *var_oldName = &(stackframe->slots[1]);
  *var_oldName = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part for(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2455
  setline(2455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9582 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9583 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newName (depth = 5)
  gc_frame_newslot(*var_newName);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_oldName (depth = 5)
  gc_frame_newslot(*var_oldName);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9584 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9585 = gc_frame_new();
// call case 3: self.outer request
  Object call9586 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9585);
// compiled member node returning call9586 (depth = 6)
  Object call9587 = callmethodflags(call9586, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9584);
// compiled member node returning call9587 (depth = 5)
  params[0] = *var_newName;
  params[1] = *var_oldName;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9588 = callmethodflags(call9587, "aliasNew(1)old(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9583);
// compiled call node returning call9588 (depth = 4)
  gc_frame_newslot(call9588);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9589 = gc_frame_new();
// call case 4: self request
  Object call9590 = callmethodflags(self, "aliases", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9589);
// compiled member node returning call9590 (depth = 4)
  params[0] = call9588;
  partcv[0] = 1;
  Object call9591 = callmethodflags(call9590, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9582);
// compiled call node returning call9591 (depth = 3)
  gc_frame_end(frame);
  return call9591;
}
Object meth_ast_addExclusion_40_1_41_9592(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "addExclusion(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method addExclusion(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for addExclusion(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_methName = &(stackframe->slots[0]);
  *var_methName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part addExclusion(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2458
  setline(2458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9593 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methName (depth = 4)
  gc_frame_newslot(*var_methName);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9594 = gc_frame_new();
// call case 4: self request
  Object call9595 = callmethodflags(self, "exclusions", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9594);
// compiled member node returning call9595 (depth = 4)
  params[0] = *var_methName;
  partcv[0] = 1;
  Object call9596 = callmethodflags(call9595, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9593);
// compiled call node returning call9596 (depth = 3)
  gc_frame_end(frame);
  return call9596;
}
Object meth_ast_shallowCopy9597(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_inheritsNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2461
  setline(2461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9598 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe9599 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_inheritsNode (depth = 5)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call9600 = callmethodflags(*var_inheritsNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9599);
// compiled call node returning call9600 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9601 = callmethodflags(call9600, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9598);
// compiled call node returning call9601 (depth = 3)
  gc_frame_end(frame);
  return call9601;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_9602(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2464
  setline(2464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9603 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call9604 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9603);
// compiled call node returning call9604 (depth = 3)
// Begin line 2465
  setline(2465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9605 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9606 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9607 = callmethodflags(*var_other, "providedNames", 0, partcv, params, 0);
  gc_frame_end(callframe9606);
// compiled member node returning call9607 (depth = 4)
  gc_frame_newslot(call9607);
// call case 4: self request
  params[0] = call9607;
  partcv[0] = 1;
  Object call9608 = callmethodflags(self, "providedNames:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9605);
// compiled call node returning call9608 (depth = 3)
// Begin line 2466
  setline(2466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9609 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9610 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9611 = callmethodflags(*var_other, "aliases", 0, partcv, params, 0);
  gc_frame_end(callframe9610);
// compiled member node returning call9611 (depth = 4)
  gc_frame_newslot(call9611);
// call case 4: self request
  params[0] = call9611;
  partcv[0] = 1;
  Object call9612 = callmethodflags(self, "aliases:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9609);
// compiled call node returning call9612 (depth = 3)
// Begin line 2467
  setline(2467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9613 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9614 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9615 = callmethodflags(*var_other, "exclusions", 0, partcv, params, 0);
  gc_frame_end(callframe9614);
// compiled member node returning call9615 (depth = 4)
  gc_frame_newslot(call9615);
// call case 4: self request
  params[0] = call9615;
  partcv[0] = 1;
  Object call9616 = callmethodflags(self, "exclusions:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9613);
// compiled call node returning call9616 (depth = 3)
// Begin line 2468
  setline(2468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9617 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9618 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9619 = callmethodflags(*var_other, "isUse", 0, partcv, params, 0);
  gc_frame_end(callframe9618);
// compiled member node returning call9619 (depth = 4)
  gc_frame_newslot(call9619);
// call case 4: self request
  params[0] = call9619;
  partcv[0] = 1;
  Object call9620 = callmethodflags(self, "isUse:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9617);
// compiled call node returning call9620 (depth = 3)
// Begin line 2469
  setline(2469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName9621(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2472
  setline(2472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9623 = gc_frame_new();
// call case 4: self request
  Object call9624 = callmethodflags(self, "isUse", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9623);
// compiled member node returning call9624 (depth = 4)
  Object if9622 = done;
  if (istrue(call9624)) {
// starting to compile string node (depth = 4)
  if (strlit9625 == NULL) {
    strlit9625 = alloc_String("use");
    gc_root(strlit9625);
  }
// compiled string node returning strlit9625 (depth = 4)
    gc_frame_newslot(strlit9625);
    if9622 = strlit9625;
  } else {
// starting to compile string node (depth = 4)
  if (strlit9626 == NULL) {
    strlit9626 = alloc_String("inherit");
    gc_root(strlit9626);
  }
// compiled string node returning strlit9626 (depth = 4)
    gc_frame_newslot(strlit9626);
    if9622 = strlit9626;
  }
// compiled if node returning if9622 (depth = 3)
  gc_frame_end(frame);
  return if9622;
}
Object meth_ast_new_40_1_41_9255(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_inheritsNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9256 = alloc_userobj2(28,24, objclass9256);
  gc_frame_newslot(obj9256);
if (objclass9256 == NULL) {
  glfree(obj9256->class->name);
  obj9256->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9256, self, 0);
  addmethodreal(obj9256,"outer", &reader_ast_outer_9257);
  Object oldself9256 = self;
  struct StackFrameObject *oldstackframe9256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9256);
  gc_frame_newslot((Object)stackframe);
  self = obj9256;
  Object *oldselfslot9256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9256 = (*(struct UserObject *)self).data[0], lowerouter9256 = thisouter9256;
  if (inheritingObject9256) {
    struct UserObject *inho9256 = (struct UserObject *)inheritingObject9256;
    while (inho9256->super != GraceDefaultObject) inho9256 = (struct UserObject *)inho9256->super;
    inho9256->super = obj9256;
    self = inheritingObject9256;
    *selfslot = self;
    lowerouter9256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9256;
  }
if (objclass9256 == NULL) {
  Method *reader9258 = addmethodrealflags(obj9256, "kind",&reader_ast_kind_9258, MFLAG_DEF);
  reader9258->definitionModule = modulename;
  reader9258->definitionLine = 2380;
}
adddatum2(obj9256, alloc_Undefined(), 1);
if (objclass9256 == NULL) {
  Method *reader9259 = addmethodrealflags(obj9256, "value", &reader_ast_value_9259, 0);
  Method *writer9259 = addmethodrealflags(obj9256, "value:=(1)", &writer_ast_value_9259, 0);
  reader9259->definitionModule = modulename;
  writer9259->definitionModule = modulename;
  reader9259->definitionLine = 2381;
  writer9259->definitionLine = 2381;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 2);
if (objclass9256 == NULL) {
  Method *reader9260 = addmethodrealflags(obj9256, "providedNames", &reader_ast_providedNames_9260, 0);
  Method *writer9260 = addmethodrealflags(obj9256, "providedNames:=(1)", &writer_ast_providedNames_9260, 0);
  reader9260->definitionModule = modulename;
  writer9260->definitionModule = modulename;
  reader9260->definitionLine = 2382;
  writer9260->definitionLine = 2382;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 3);
if (objclass9256 == NULL) {
  Method *reader9261 = addmethodrealflags(obj9256, "aliases", &reader_ast_aliases_9261, 0);
  Method *writer9261 = addmethodrealflags(obj9256, "aliases:=(1)", &writer_ast_aliases_9261, 0);
  reader9261->definitionModule = modulename;
  writer9261->definitionModule = modulename;
  reader9261->definitionLine = 2383;
  writer9261->definitionLine = 2383;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 4);
if (objclass9256 == NULL) {
  Method *reader9262 = addmethodrealflags(obj9256, "exclusions", &reader_ast_exclusions_9262, 0);
  Method *writer9262 = addmethodrealflags(obj9256, "exclusions:=(1)", &writer_ast_exclusions_9262, 0);
  reader9262->definitionModule = modulename;
  writer9262->definitionModule = modulename;
  reader9262->definitionLine = 2384;
  writer9262->definitionLine = 2384;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 5);
if (objclass9256 == NULL) {
  Method *reader9263 = addmethodrealflags(obj9256, "isUse", &reader_ast_isUse_9263, 0);
  Method *writer9263 = addmethodrealflags(obj9256, "isUse:=(1)", &writer_ast_isUse_9263, 0);
  reader9263->definitionModule = modulename;
  writer9263->definitionModule = modulename;
  reader9263->definitionLine = 2385;
  writer9263->definitionLine = 2385;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 6);
// method "isLegalInTrait"
  struct UserObject *uo9264 = (struct UserObject*)obj9256;
  uo9264->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait9264 = addmethod2pos(obj9256, "isLegalInTrait", &meth_ast_isLegalInTrait9264, 7);
  int argcv_meth_ast_isLegalInTrait9264[] = {0};
  meth_meth_ast_isLegalInTrait9264->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait9264);
  meth_meth_ast_isLegalInTrait9264->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait9264->definitionLine = 2387;
// method "isInherits"
  struct UserObject *uo9267 = (struct UserObject*)obj9256;
  uo9267->data[8] = emptyclosure;
  Method *meth_meth_ast_isInherits9267 = addmethod2pos(obj9256, "isInherits", &meth_ast_isInherits9267, 8);
  int argcv_meth_ast_isInherits9267[] = {0};
  meth_meth_ast_isInherits9267->type = alloc_MethodType(1, argcv_meth_ast_isInherits9267);
  meth_meth_ast_isInherits9267->definitionModule = modulename;
  meth_meth_ast_isInherits9267->definitionLine = 2388;
// method "inheritsFromMember"
  struct UserObject *uo9269 = (struct UserObject*)obj9256;
  uo9269->data[9] = emptyclosure;
  Method *meth_meth_ast_inheritsFromMember9269 = addmethod2pos(obj9256, "inheritsFromMember", &meth_ast_inheritsFromMember9269, 9);
  int argcv_meth_ast_inheritsFromMember9269[] = {0};
  meth_meth_ast_inheritsFromMember9269->type = alloc_MethodType(1, argcv_meth_ast_inheritsFromMember9269);
  meth_meth_ast_inheritsFromMember9269->definitionModule = modulename;
  meth_meth_ast_inheritsFromMember9269->definitionLine = 2389;
// method "inheritsFromCall"
  struct UserObject *uo9274 = (struct UserObject*)obj9256;
  uo9274->data[10] = emptyclosure;
  Method *meth_meth_ast_inheritsFromCall9274 = addmethod2pos(obj9256, "inheritsFromCall", &meth_ast_inheritsFromCall9274, 10);
  int argcv_meth_ast_inheritsFromCall9274[] = {0};
  meth_meth_ast_inheritsFromCall9274->type = alloc_MethodType(1, argcv_meth_ast_inheritsFromCall9274);
  meth_meth_ast_inheritsFromCall9274->definitionModule = modulename;
  meth_meth_ast_inheritsFromCall9274->definitionLine = 2390;
// method "isExecutable"
  struct UserObject *uo9279 = (struct UserObject*)obj9256;
  uo9279->data[11] = emptyclosure;
  Method *meth_meth_ast_isExecutable9279 = addmethod2pos(obj9256, "isExecutable", &meth_ast_isExecutable9279, 11);
  int argcv_meth_ast_isExecutable9279[] = {0};
  meth_meth_ast_isExecutable9279->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9279);
  meth_meth_ast_isExecutable9279->definitionModule = modulename;
  meth_meth_ast_isExecutable9279->definitionLine = 2391;
// method "accept(_)from(_)"
  struct UserObject *uo9281 = (struct UserObject*)obj9256;
  uo9281->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9281 = addmethod2pos(obj9256, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9281, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9281[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9281->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9281);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9281->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9281->definitionLine = 2392;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9256);
  Object closure9315 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9315, stackframe);
  addtoclosure(closure9315, var_k);
  struct UserObject *uo9315 = (struct UserObject*)obj9256;
  uo9315->data[13] = (Object)closure9315;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_9315 = addmethod2pos(obj9256, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_9315, 13);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_9315[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9315->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_9315);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9315->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9315->definitionLine = 2403;
// method "map(_)ancestors(_)"
  struct UserObject *uo9318 = (struct UserObject*)obj9256;
  uo9318->data[14] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9318 = addmethod2pos(obj9256, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9318, 14);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9318[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9318->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9318);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9318->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9318->definitionLine = 2409;
// method "pretty(_)"
  struct UserObject *uo9331 = (struct UserObject*)obj9256;
  uo9331->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9331 = addmethod2pos(obj9256, "pretty(1)", &meth_ast_pretty_40_1_41_9331, 15);
  int argcv_meth_ast_pretty_40_1_41_9331[] = {1};
  meth_meth_ast_pretty_40_1_41_9331->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9331);
  meth_meth_ast_pretty_40_1_41_9331->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9331->definitionLine = 2415;
// method "toGrace(_)"
  struct UserObject *uo9483 = (struct UserObject*)obj9256;
  uo9483->data[16] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9483 = addmethod2pos(obj9256, "toGrace(1)", &meth_ast_toGrace_40_1_41_9483, 16);
  int argcv_meth_ast_toGrace_40_1_41_9483[] = {1};
  meth_meth_ast_toGrace_40_1_41_9483->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9483);
meth_meth_ast_toGrace_40_1_41_9483->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9483->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9483->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9483->definitionLine = 2435;
// method "asString"
  struct UserObject *uo9561 = (struct UserObject*)obj9256;
  uo9561->data[17] = emptyclosure;
  Method *meth_meth_ast_asString9561 = addmethod2pos(obj9256, "asString", &meth_ast_asString9561, 17);
  int argcv_meth_ast_asString9561[] = {0};
  meth_meth_ast_asString9561->type = alloc_MethodType(1, argcv_meth_ast_asString9561);
  meth_meth_ast_asString9561->definitionModule = modulename;
  meth_meth_ast_asString9561->definitionLine = 2450;
// method "nameString"
  struct UserObject *uo9575 = (struct UserObject*)obj9256;
  uo9575->data[18] = emptyclosure;
  Method *meth_meth_ast_nameString9575 = addmethod2pos(obj9256, "nameString", &meth_ast_nameString9575, 18);
  int argcv_meth_ast_nameString9575[] = {0};
  meth_meth_ast_nameString9575->type = alloc_MethodType(1, argcv_meth_ast_nameString9575);
  meth_meth_ast_nameString9575->definitionModule = modulename;
  meth_meth_ast_nameString9575->definitionLine = 2453;
// method "addAlias(_)for(_)"
  struct UserObject *uo9581 = (struct UserObject*)obj9256;
  uo9581->data[19] = emptyclosure;
  Method *meth_meth_ast_addAlias_40_1_41_for_40_1_41_9581 = addmethod2pos(obj9256, "addAlias(1)for(1)", &meth_ast_addAlias_40_1_41_for_40_1_41_9581, 19);
  int argcv_meth_ast_addAlias_40_1_41_for_40_1_41_9581[] = {1, 1};
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9581->type = alloc_MethodType(2, argcv_meth_ast_addAlias_40_1_41_for_40_1_41_9581);
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9581->definitionModule = modulename;
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9581->definitionLine = 2454;
// method "addExclusion(_)"
  struct UserObject *uo9592 = (struct UserObject*)obj9256;
  uo9592->data[20] = emptyclosure;
  Method *meth_meth_ast_addExclusion_40_1_41_9592 = addmethod2pos(obj9256, "addExclusion(1)", &meth_ast_addExclusion_40_1_41_9592, 20);
  int argcv_meth_ast_addExclusion_40_1_41_9592[] = {1};
  meth_meth_ast_addExclusion_40_1_41_9592->type = alloc_MethodType(1, argcv_meth_ast_addExclusion_40_1_41_9592);
  meth_meth_ast_addExclusion_40_1_41_9592->definitionModule = modulename;
  meth_meth_ast_addExclusion_40_1_41_9592->definitionLine = 2457;
// method "shallowCopy"
  block_savedest(obj9256);
  Object closure9597 = createclosure(2, "shallowCopy");
  setclosureframe(closure9597, stackframe);
  addtoclosure(closure9597, var_nullNode);
  addtoclosure(closure9597, var_inheritsNode);
  struct UserObject *uo9597 = (struct UserObject*)obj9256;
  uo9597->data[21] = (Object)closure9597;
  Method *meth_meth_ast_shallowCopy9597 = addmethod2pos(obj9256, "shallowCopy", &meth_ast_shallowCopy9597, 21);
  int argcv_meth_ast_shallowCopy9597[] = {0};
  meth_meth_ast_shallowCopy9597->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9597);
  meth_meth_ast_shallowCopy9597->definitionModule = modulename;
  meth_meth_ast_shallowCopy9597->definitionLine = 2460;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo9602 = (struct UserObject*)obj9256;
  uo9602->data[22] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9602 = addmethod2pos(obj9256, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_9602, 22);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_9602[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9602->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_9602);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9602->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9602->definitionLine = 2463;
// method "statementName"
  struct UserObject *uo9621 = (struct UserObject*)obj9256;
  uo9621->data[23] = emptyclosure;
  Method *meth_meth_ast_statementName9621 = addmethod2pos(obj9256, "statementName", &meth_ast_statementName9621, 23);
  int argcv_meth_ast_statementName9621[] = {0};
  meth_meth_ast_statementName9621->type = alloc_MethodType(1, argcv_meth_ast_statementName9621);
  meth_meth_ast_statementName9621->definitionModule = modulename;
  meth_meth_ast_statementName9621->definitionLine = 2471;
  sourceObject = obj9256;
// Begin line 2379
  setline(2379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9627 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9628 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9629 = gc_frame_new();
// call case 3: self.outer request
  Object call9630 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9629);
// compiled member node returning call9630 (depth = 5)
  Object call9631 = callmethodflags(call9630, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9628);
// compiled member node returning call9631 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9632 = callmethodflags(call9631, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9627);
// compiled call node returning call9632 (depth = 3)
  struct UserObject *obj9256_uo = (struct UserObject *)obj9256;
  obj9256_uo->super = call9632;
  sourceObject = obj9256;
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9633 == NULL) {
    strlit9633 = alloc_String("inherits");
    gc_root(strlit9633);
  }
// compiled string node returning strlit9633 (depth = 3)
  adddatum2(obj9256, strlit9633, 1);
  sourceObject = obj9256;
// Begin line 2381
  setline(2381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9256, *var_expr, 2);
  sourceObject = obj9256;
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9634 = gc_frame_new();
// call case 5: prelude request
  Object call9635 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9634);
// compiled member node returning call9635 (depth = 3)
  adddatum2(obj9256, call9635, 3);
  sourceObject = obj9256;
// Begin line 2383
  setline(2383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9636 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9636 (depth = 3)
  adddatum2(obj9256, array9636, 4);
  sourceObject = obj9256;
// Begin line 2384
  setline(2384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9637 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9637 (depth = 3)
  adddatum2(obj9256, array9637, 5);
  sourceObject = obj9256;
// Begin line 2385
  setline(2385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9638 = alloc_Boolean(0);
// compiled identifier node returning bool9638 (depth = 3)
  adddatum2(obj9256, bool9638, 6);
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  objclass9256 = obj9256->class;
  objclass9256->definitionModule = modulename;
  objclass9256->definitionLine = 2378;
  (*(struct UserObject *)self).data[0] = lowerouter9256;
  self = oldself9256;
  selfslot = oldselfslot9256;
  stackframe = oldstackframe9256;
  gc_frame_end(frame);
  return obj9256;
}
Object meth_ast_new_40_1_41_9255_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_inheritsNode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_expr = &(stackframe->slots[0]);
  *var_expr = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9256 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9256 = alloc_userobj2(28,24, objclass9256);
  gc_frame_newslot(obj9256);
if (objclass9256 == NULL) {
  glfree(obj9256->class->name);
  obj9256->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9256, self, 0);
  addmethodreal(obj9256,"outer", &reader_ast_outer_9257);
  Object oldself9256 = self;
  struct StackFrameObject *oldstackframe9256 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9256);
  gc_frame_newslot((Object)stackframe);
  self = obj9256;
  Object *oldselfslot9256 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9256 = (*(struct UserObject *)self).data[0], lowerouter9256 = thisouter9256;
  if (inheritingObject9256) {
    struct UserObject *inho9256 = (struct UserObject *)inheritingObject9256;
    while (inho9256->super != GraceDefaultObject) inho9256 = (struct UserObject *)inho9256->super;
    inho9256->super = obj9256;
    self = inheritingObject9256;
    *selfslot = self;
    lowerouter9256 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9256;
  }
if (objclass9256 == NULL) {
  Method *reader9258 = addmethodrealflags(obj9256, "kind",&reader_ast_kind_9258, MFLAG_DEF);
  reader9258->definitionModule = modulename;
  reader9258->definitionLine = 2380;
}
adddatum2(obj9256, alloc_Undefined(), 1);
if (objclass9256 == NULL) {
  Method *reader9259 = addmethodrealflags(obj9256, "value", &reader_ast_value_9259, 0);
  Method *writer9259 = addmethodrealflags(obj9256, "value:=(1)", &writer_ast_value_9259, 0);
  reader9259->definitionModule = modulename;
  writer9259->definitionModule = modulename;
  reader9259->definitionLine = 2381;
  writer9259->definitionLine = 2381;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 2);
if (objclass9256 == NULL) {
  Method *reader9260 = addmethodrealflags(obj9256, "providedNames", &reader_ast_providedNames_9260, 0);
  Method *writer9260 = addmethodrealflags(obj9256, "providedNames:=(1)", &writer_ast_providedNames_9260, 0);
  reader9260->definitionModule = modulename;
  writer9260->definitionModule = modulename;
  reader9260->definitionLine = 2382;
  writer9260->definitionLine = 2382;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 3);
if (objclass9256 == NULL) {
  Method *reader9261 = addmethodrealflags(obj9256, "aliases", &reader_ast_aliases_9261, 0);
  Method *writer9261 = addmethodrealflags(obj9256, "aliases:=(1)", &writer_ast_aliases_9261, 0);
  reader9261->definitionModule = modulename;
  writer9261->definitionModule = modulename;
  reader9261->definitionLine = 2383;
  writer9261->definitionLine = 2383;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 4);
if (objclass9256 == NULL) {
  Method *reader9262 = addmethodrealflags(obj9256, "exclusions", &reader_ast_exclusions_9262, 0);
  Method *writer9262 = addmethodrealflags(obj9256, "exclusions:=(1)", &writer_ast_exclusions_9262, 0);
  reader9262->definitionModule = modulename;
  writer9262->definitionModule = modulename;
  reader9262->definitionLine = 2384;
  writer9262->definitionLine = 2384;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 5);
if (objclass9256 == NULL) {
  Method *reader9263 = addmethodrealflags(obj9256, "isUse", &reader_ast_isUse_9263, 0);
  Method *writer9263 = addmethodrealflags(obj9256, "isUse:=(1)", &writer_ast_isUse_9263, 0);
  reader9263->definitionModule = modulename;
  writer9263->definitionModule = modulename;
  reader9263->definitionLine = 2385;
  writer9263->definitionLine = 2385;
}
obj9256->flags |= OFLAG_MUTABLE;
adddatum2(obj9256, alloc_Undefined(), 6);
// method "isLegalInTrait"
  struct UserObject *uo9264 = (struct UserObject*)obj9256;
  uo9264->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait9264 = addmethod2pos(obj9256, "isLegalInTrait", &meth_ast_isLegalInTrait9264, 7);
  int argcv_meth_ast_isLegalInTrait9264[] = {0};
  meth_meth_ast_isLegalInTrait9264->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait9264);
  meth_meth_ast_isLegalInTrait9264->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait9264->definitionLine = 2387;
// method "isInherits"
  struct UserObject *uo9267 = (struct UserObject*)obj9256;
  uo9267->data[8] = emptyclosure;
  Method *meth_meth_ast_isInherits9267 = addmethod2pos(obj9256, "isInherits", &meth_ast_isInherits9267, 8);
  int argcv_meth_ast_isInherits9267[] = {0};
  meth_meth_ast_isInherits9267->type = alloc_MethodType(1, argcv_meth_ast_isInherits9267);
  meth_meth_ast_isInherits9267->definitionModule = modulename;
  meth_meth_ast_isInherits9267->definitionLine = 2388;
// method "inheritsFromMember"
  struct UserObject *uo9269 = (struct UserObject*)obj9256;
  uo9269->data[9] = emptyclosure;
  Method *meth_meth_ast_inheritsFromMember9269 = addmethod2pos(obj9256, "inheritsFromMember", &meth_ast_inheritsFromMember9269, 9);
  int argcv_meth_ast_inheritsFromMember9269[] = {0};
  meth_meth_ast_inheritsFromMember9269->type = alloc_MethodType(1, argcv_meth_ast_inheritsFromMember9269);
  meth_meth_ast_inheritsFromMember9269->definitionModule = modulename;
  meth_meth_ast_inheritsFromMember9269->definitionLine = 2389;
// method "inheritsFromCall"
  struct UserObject *uo9274 = (struct UserObject*)obj9256;
  uo9274->data[10] = emptyclosure;
  Method *meth_meth_ast_inheritsFromCall9274 = addmethod2pos(obj9256, "inheritsFromCall", &meth_ast_inheritsFromCall9274, 10);
  int argcv_meth_ast_inheritsFromCall9274[] = {0};
  meth_meth_ast_inheritsFromCall9274->type = alloc_MethodType(1, argcv_meth_ast_inheritsFromCall9274);
  meth_meth_ast_inheritsFromCall9274->definitionModule = modulename;
  meth_meth_ast_inheritsFromCall9274->definitionLine = 2390;
// method "isExecutable"
  struct UserObject *uo9279 = (struct UserObject*)obj9256;
  uo9279->data[11] = emptyclosure;
  Method *meth_meth_ast_isExecutable9279 = addmethod2pos(obj9256, "isExecutable", &meth_ast_isExecutable9279, 11);
  int argcv_meth_ast_isExecutable9279[] = {0};
  meth_meth_ast_isExecutable9279->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9279);
  meth_meth_ast_isExecutable9279->definitionModule = modulename;
  meth_meth_ast_isExecutable9279->definitionLine = 2391;
// method "accept(_)from(_)"
  struct UserObject *uo9281 = (struct UserObject*)obj9256;
  uo9281->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9281 = addmethod2pos(obj9256, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9281, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9281[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9281->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9281);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9281->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9281->definitionLine = 2392;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9256);
  Object closure9315 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9315, stackframe);
  addtoclosure(closure9315, var_k);
  struct UserObject *uo9315 = (struct UserObject*)obj9256;
  uo9315->data[13] = (Object)closure9315;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_9315 = addmethod2pos(obj9256, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_9315, 13);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_9315[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9315->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_9315);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9315->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9315->definitionLine = 2403;
// method "map(_)ancestors(_)"
  struct UserObject *uo9318 = (struct UserObject*)obj9256;
  uo9318->data[14] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9318 = addmethod2pos(obj9256, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9318, 14);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9318[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9318->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9318);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9318->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9318->definitionLine = 2409;
// method "pretty(_)"
  struct UserObject *uo9331 = (struct UserObject*)obj9256;
  uo9331->data[15] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9331 = addmethod2pos(obj9256, "pretty(1)", &meth_ast_pretty_40_1_41_9331, 15);
  int argcv_meth_ast_pretty_40_1_41_9331[] = {1};
  meth_meth_ast_pretty_40_1_41_9331->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9331);
  meth_meth_ast_pretty_40_1_41_9331->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9331->definitionLine = 2415;
// method "toGrace(_)"
  struct UserObject *uo9483 = (struct UserObject*)obj9256;
  uo9483->data[16] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9483 = addmethod2pos(obj9256, "toGrace(1)", &meth_ast_toGrace_40_1_41_9483, 16);
  int argcv_meth_ast_toGrace_40_1_41_9483[] = {1};
  meth_meth_ast_toGrace_40_1_41_9483->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9483);
meth_meth_ast_toGrace_40_1_41_9483->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9483->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9483->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9483->definitionLine = 2435;
// method "asString"
  struct UserObject *uo9561 = (struct UserObject*)obj9256;
  uo9561->data[17] = emptyclosure;
  Method *meth_meth_ast_asString9561 = addmethod2pos(obj9256, "asString", &meth_ast_asString9561, 17);
  int argcv_meth_ast_asString9561[] = {0};
  meth_meth_ast_asString9561->type = alloc_MethodType(1, argcv_meth_ast_asString9561);
  meth_meth_ast_asString9561->definitionModule = modulename;
  meth_meth_ast_asString9561->definitionLine = 2450;
// method "nameString"
  struct UserObject *uo9575 = (struct UserObject*)obj9256;
  uo9575->data[18] = emptyclosure;
  Method *meth_meth_ast_nameString9575 = addmethod2pos(obj9256, "nameString", &meth_ast_nameString9575, 18);
  int argcv_meth_ast_nameString9575[] = {0};
  meth_meth_ast_nameString9575->type = alloc_MethodType(1, argcv_meth_ast_nameString9575);
  meth_meth_ast_nameString9575->definitionModule = modulename;
  meth_meth_ast_nameString9575->definitionLine = 2453;
// method "addAlias(_)for(_)"
  struct UserObject *uo9581 = (struct UserObject*)obj9256;
  uo9581->data[19] = emptyclosure;
  Method *meth_meth_ast_addAlias_40_1_41_for_40_1_41_9581 = addmethod2pos(obj9256, "addAlias(1)for(1)", &meth_ast_addAlias_40_1_41_for_40_1_41_9581, 19);
  int argcv_meth_ast_addAlias_40_1_41_for_40_1_41_9581[] = {1, 1};
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9581->type = alloc_MethodType(2, argcv_meth_ast_addAlias_40_1_41_for_40_1_41_9581);
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9581->definitionModule = modulename;
  meth_meth_ast_addAlias_40_1_41_for_40_1_41_9581->definitionLine = 2454;
// method "addExclusion(_)"
  struct UserObject *uo9592 = (struct UserObject*)obj9256;
  uo9592->data[20] = emptyclosure;
  Method *meth_meth_ast_addExclusion_40_1_41_9592 = addmethod2pos(obj9256, "addExclusion(1)", &meth_ast_addExclusion_40_1_41_9592, 20);
  int argcv_meth_ast_addExclusion_40_1_41_9592[] = {1};
  meth_meth_ast_addExclusion_40_1_41_9592->type = alloc_MethodType(1, argcv_meth_ast_addExclusion_40_1_41_9592);
  meth_meth_ast_addExclusion_40_1_41_9592->definitionModule = modulename;
  meth_meth_ast_addExclusion_40_1_41_9592->definitionLine = 2457;
// method "shallowCopy"
  block_savedest(obj9256);
  Object closure9597 = createclosure(2, "shallowCopy");
  setclosureframe(closure9597, stackframe);
  addtoclosure(closure9597, var_nullNode);
  addtoclosure(closure9597, var_inheritsNode);
  struct UserObject *uo9597 = (struct UserObject*)obj9256;
  uo9597->data[21] = (Object)closure9597;
  Method *meth_meth_ast_shallowCopy9597 = addmethod2pos(obj9256, "shallowCopy", &meth_ast_shallowCopy9597, 21);
  int argcv_meth_ast_shallowCopy9597[] = {0};
  meth_meth_ast_shallowCopy9597->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9597);
  meth_meth_ast_shallowCopy9597->definitionModule = modulename;
  meth_meth_ast_shallowCopy9597->definitionLine = 2460;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo9602 = (struct UserObject*)obj9256;
  uo9602->data[22] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9602 = addmethod2pos(obj9256, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_9602, 22);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_9602[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9602->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_9602);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9602->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9602->definitionLine = 2463;
// method "statementName"
  struct UserObject *uo9621 = (struct UserObject*)obj9256;
  uo9621->data[23] = emptyclosure;
  Method *meth_meth_ast_statementName9621 = addmethod2pos(obj9256, "statementName", &meth_ast_statementName9621, 23);
  int argcv_meth_ast_statementName9621[] = {0};
  meth_meth_ast_statementName9621->type = alloc_MethodType(1, argcv_meth_ast_statementName9621);
  meth_meth_ast_statementName9621->definitionModule = modulename;
  meth_meth_ast_statementName9621->definitionLine = 2471;
  sourceObject = obj9256;
// Begin line 2379
  setline(2379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9627 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9628 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9629 = gc_frame_new();
// call case 3: self.outer request
  Object call9630 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9629);
// compiled member node returning call9630 (depth = 5)
  Object call9631 = callmethodflags(call9630, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9628);
// compiled member node returning call9631 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9632 = callmethodflags(call9631, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9627);
// compiled call node returning call9632 (depth = 3)
  struct UserObject *obj9256_uo = (struct UserObject *)obj9256;
  obj9256_uo->super = call9632;
  sourceObject = obj9256;
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9633 == NULL) {
    strlit9633 = alloc_String("inherits");
    gc_root(strlit9633);
  }
// compiled string node returning strlit9633 (depth = 3)
  adddatum2(obj9256, strlit9633, 1);
  sourceObject = obj9256;
// Begin line 2381
  setline(2381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_expr (depth = 3)
  adddatum2(obj9256, *var_expr, 2);
  sourceObject = obj9256;
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9634 = gc_frame_new();
// call case 5: prelude request
  Object call9635 = callmethodflags(prelude, "emptySet", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9634);
// compiled member node returning call9635 (depth = 3)
  adddatum2(obj9256, call9635, 3);
  sourceObject = obj9256;
// Begin line 2383
  setline(2383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9636 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9636 (depth = 3)
  adddatum2(obj9256, array9636, 4);
  sourceObject = obj9256;
// Begin line 2384
  setline(2384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 3)
  Object array9637 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9637 (depth = 3)
  adddatum2(obj9256, array9637, 5);
  sourceObject = obj9256;
// Begin line 2385
  setline(2385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9638 = alloc_Boolean(0);
// compiled identifier node returning bool9638 (depth = 3)
  adddatum2(obj9256, bool9638, 6);
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  sourceObject = obj9256;
  objclass9256 = obj9256->class;
  objclass9256->definitionModule = modulename;
  objclass9256->definitionLine = 2378;
  (*(struct UserObject *)self).data[0] = lowerouter9256;
  self = oldself9256;
  selfslot = oldselfslot9256;
  stackframe = oldstackframe9256;
  gc_frame_end(frame);
  return obj9256;
}
Object meth_ast_inheritsNode9640(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 46, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritsNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_inheritsNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inheritsNode (depth = 3)
  gc_frame_end(frame);
  return *var_inheritsNode;
}
Object meth_ast_AliasPair9643(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 47, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "AliasPair");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_AliasPair = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2476
  setline(2476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_AliasPair (depth = 3)
  gc_frame_end(frame);
  return *var_AliasPair;
}
Object meth_ast_isExecutable9651(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2505
  setline(2505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool9652 = alloc_Boolean(0);
// compiled identifier node returning bool9652 (depth = 3)
  gc_frame_end(frame);
  return bool9652;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9653(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2509
  setline(2509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9654 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9655 = callmethodflags(*var_visitor, "visitBlank(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9654);
// compiled call node returning call9655 (depth = 3)
  gc_frame_end(frame);
  return call9655;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9656(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2512
  setline(2512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9657 = gc_frame_new();
// call case 4: self request
  Object call9658 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9657);
// compiled member node returning call9658 (depth = 4)
  *var_n = call9658;
  if (call9658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2513
  setline(2513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9659 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call9660 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9659);
// compiled call node returning call9660 (depth = 4)
  *var_newChain = call9660;
  if (call9660 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2514
  setline(2514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9661 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9662 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9661);
// compiled call node returning call9662 (depth = 3)
  gc_frame_end(frame);
  return call9662;
}
Object meth_ast_nameString9663(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9664 == NULL) {
    strlit9664 = alloc_String("");
    gc_root(strlit9664);
  }
// compiled string node returning strlit9664 (depth = 3)
  gc_frame_end(frame);
  return strlit9664;
}
Object meth_ast_asString9665(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2517
  setline(2517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9666 == NULL) {
    strlit9666 = alloc_String("blank");
    gc_root(strlit9666);
  }
// compiled string node returning strlit9666 (depth = 3)
  gc_frame_end(frame);
  return strlit9666;
}
Object meth_ast_toGrace_40_1_41_9667(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2518
  setline(2518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9668 == NULL) {
    strlit9668 = alloc_String("");
    gc_root(strlit9668);
  }
// compiled string node returning strlit9668 (depth = 3)
  gc_frame_end(frame);
  return strlit9668;
}
Object meth_ast_shallowCopy9669(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9670 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9671 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blankNode (depth = 5)
  Object call9672 = callmethodflags(*var_blankNode, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9671);
// compiled member node returning call9672 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9673 = callmethodflags(call9672, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9670);
// compiled call node returning call9673 (depth = 3)
  gc_frame_end(frame);
  return call9673;
}
Object meth_ast_new9646(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9647 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9647 = alloc_userobj2(9,10, objclass9647);
  gc_frame_newslot(obj9647);
if (objclass9647 == NULL) {
  glfree(obj9647->class->name);
  obj9647->class->name = "new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9647, self, 0);
  addmethodreal(obj9647,"outer", &reader_ast_outer_9648);
  Object oldself9647 = self;
  struct StackFrameObject *oldstackframe9647 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9647);
  gc_frame_newslot((Object)stackframe);
  self = obj9647;
  Object *oldselfslot9647 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9647 = (*(struct UserObject *)self).data[0], lowerouter9647 = thisouter9647;
  if (inheritingObject9647) {
    struct UserObject *inho9647 = (struct UserObject *)inheritingObject9647;
    while (inho9647->super != GraceDefaultObject) inho9647 = (struct UserObject *)inho9647->super;
    inho9647->super = obj9647;
    self = inheritingObject9647;
    *selfslot = self;
    lowerouter9647 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9647;
  }
if (objclass9647 == NULL) {
  Method *reader9649 = addmethodrealflags(obj9647, "kind",&reader_ast_kind_9649, MFLAG_DEF);
  reader9649->definitionModule = modulename;
  reader9649->definitionLine = 2503;
}
adddatum2(obj9647, alloc_Undefined(), 1);
if (objclass9647 == NULL) {
  Method *reader9650 = addmethodrealflags(obj9647, "value",&reader_ast_value_9650, MFLAG_DEF);
  reader9650->definitionModule = modulename;
  reader9650->definitionLine = 2504;
}
adddatum2(obj9647, alloc_Undefined(), 2);
// method "isExecutable"
  struct UserObject *uo9651 = (struct UserObject*)obj9647;
  uo9651->data[3] = emptyclosure;
  Method *meth_meth_ast_isExecutable9651 = addmethod2pos(obj9647, "isExecutable", &meth_ast_isExecutable9651, 3);
  int argcv_meth_ast_isExecutable9651[] = {0};
  meth_meth_ast_isExecutable9651->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9651);
  meth_meth_ast_isExecutable9651->definitionModule = modulename;
  meth_meth_ast_isExecutable9651->definitionLine = 2505;
// method "accept(_)from(_)"
  struct UserObject *uo9653 = (struct UserObject*)obj9647;
  uo9653->data[4] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9653 = addmethod2pos(obj9647, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9653, 4);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9653[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9653->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9653);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9653->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9653->definitionLine = 2508;
// method "map(_)ancestors(_)"
  struct UserObject *uo9656 = (struct UserObject*)obj9647;
  uo9656->data[5] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9656 = addmethod2pos(obj9647, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9656, 5);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9656[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9656->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9656);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9656->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9656->definitionLine = 2511;
// method "nameString"
  struct UserObject *uo9663 = (struct UserObject*)obj9647;
  uo9663->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString9663 = addmethod2pos(obj9647, "nameString", &meth_ast_nameString9663, 6);
  int argcv_meth_ast_nameString9663[] = {0};
  meth_meth_ast_nameString9663->type = alloc_MethodType(1, argcv_meth_ast_nameString9663);
  meth_meth_ast_nameString9663->definitionModule = modulename;
  meth_meth_ast_nameString9663->definitionLine = 2516;
// method "asString"
  struct UserObject *uo9665 = (struct UserObject*)obj9647;
  uo9665->data[7] = emptyclosure;
  Method *meth_meth_ast_asString9665 = addmethod2pos(obj9647, "asString", &meth_ast_asString9665, 7);
  int argcv_meth_ast_asString9665[] = {0};
  meth_meth_ast_asString9665->type = alloc_MethodType(1, argcv_meth_ast_asString9665);
  meth_meth_ast_asString9665->definitionModule = modulename;
  meth_meth_ast_asString9665->definitionLine = 2517;
// method "toGrace(_)"
  struct UserObject *uo9667 = (struct UserObject*)obj9647;
  uo9667->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9667 = addmethod2pos(obj9647, "toGrace(1)", &meth_ast_toGrace_40_1_41_9667, 8);
  int argcv_meth_ast_toGrace_40_1_41_9667[] = {1};
  meth_meth_ast_toGrace_40_1_41_9667->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9667);
meth_meth_ast_toGrace_40_1_41_9667->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9667->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9667->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9667->definitionLine = 2518;
// method "shallowCopy"
  block_savedest(obj9647);
  Object closure9669 = createclosure(1, "shallowCopy");
  setclosureframe(closure9669, stackframe);
  addtoclosure(closure9669, var_blankNode);
  struct UserObject *uo9669 = (struct UserObject*)obj9647;
  uo9669->data[9] = (Object)closure9669;
  Method *meth_meth_ast_shallowCopy9669 = addmethod2pos(obj9647, "shallowCopy", &meth_ast_shallowCopy9669, 9);
  int argcv_meth_ast_shallowCopy9669[] = {0};
  meth_meth_ast_shallowCopy9669->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9669);
  meth_meth_ast_shallowCopy9669->definitionModule = modulename;
  meth_meth_ast_shallowCopy9669->definitionLine = 2519;
  sourceObject = obj9647;
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9674 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9675 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9676 = gc_frame_new();
// call case 3: self.outer request
  Object call9677 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9676);
// compiled member node returning call9677 (depth = 5)
  Object call9678 = callmethodflags(call9677, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9675);
// compiled member node returning call9678 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9679 = callmethodflags(call9678, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9674);
// compiled call node returning call9679 (depth = 3)
  struct UserObject *obj9647_uo = (struct UserObject *)obj9647;
  obj9647_uo->super = call9679;
  sourceObject = obj9647;
// Begin line 2503
  setline(2503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9680 == NULL) {
    strlit9680 = alloc_String("blank");
    gc_root(strlit9680);
  }
// compiled string node returning strlit9680 (depth = 3)
  adddatum2(obj9647, strlit9680, 1);
  sourceObject = obj9647;
// Begin line 2504
  setline(2504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9681 == NULL) {
    strlit9681 = alloc_String("blank");
    gc_root(strlit9681);
  }
// compiled string node returning strlit9681 (depth = 3)
  adddatum2(obj9647, strlit9681, 2);
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  objclass9647 = obj9647->class;
  objclass9647->definitionModule = modulename;
  objclass9647->definitionLine = 2501;
  (*(struct UserObject *)self).data[0] = lowerouter9647;
  self = oldself9647;
  selfslot = oldselfslot9647;
  stackframe = oldstackframe9647;
  gc_frame_end(frame);
  return obj9647;
}
Object meth_ast_new9646_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9647 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9647 = alloc_userobj2(9,10, objclass9647);
  gc_frame_newslot(obj9647);
if (objclass9647 == NULL) {
  glfree(obj9647->class->name);
  obj9647->class->name = "new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9647, self, 0);
  addmethodreal(obj9647,"outer", &reader_ast_outer_9648);
  Object oldself9647 = self;
  struct StackFrameObject *oldstackframe9647 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9647);
  gc_frame_newslot((Object)stackframe);
  self = obj9647;
  Object *oldselfslot9647 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9647 = (*(struct UserObject *)self).data[0], lowerouter9647 = thisouter9647;
  if (inheritingObject9647) {
    struct UserObject *inho9647 = (struct UserObject *)inheritingObject9647;
    while (inho9647->super != GraceDefaultObject) inho9647 = (struct UserObject *)inho9647->super;
    inho9647->super = obj9647;
    self = inheritingObject9647;
    *selfslot = self;
    lowerouter9647 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9647;
  }
if (objclass9647 == NULL) {
  Method *reader9649 = addmethodrealflags(obj9647, "kind",&reader_ast_kind_9649, MFLAG_DEF);
  reader9649->definitionModule = modulename;
  reader9649->definitionLine = 2503;
}
adddatum2(obj9647, alloc_Undefined(), 1);
if (objclass9647 == NULL) {
  Method *reader9650 = addmethodrealflags(obj9647, "value",&reader_ast_value_9650, MFLAG_DEF);
  reader9650->definitionModule = modulename;
  reader9650->definitionLine = 2504;
}
adddatum2(obj9647, alloc_Undefined(), 2);
// method "isExecutable"
  struct UserObject *uo9651 = (struct UserObject*)obj9647;
  uo9651->data[3] = emptyclosure;
  Method *meth_meth_ast_isExecutable9651 = addmethod2pos(obj9647, "isExecutable", &meth_ast_isExecutable9651, 3);
  int argcv_meth_ast_isExecutable9651[] = {0};
  meth_meth_ast_isExecutable9651->type = alloc_MethodType(1, argcv_meth_ast_isExecutable9651);
  meth_meth_ast_isExecutable9651->definitionModule = modulename;
  meth_meth_ast_isExecutable9651->definitionLine = 2505;
// method "accept(_)from(_)"
  struct UserObject *uo9653 = (struct UserObject*)obj9647;
  uo9653->data[4] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9653 = addmethod2pos(obj9647, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9653, 4);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9653[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9653->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9653);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9653->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9653->definitionLine = 2508;
// method "map(_)ancestors(_)"
  struct UserObject *uo9656 = (struct UserObject*)obj9647;
  uo9656->data[5] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9656 = addmethod2pos(obj9647, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9656, 5);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9656[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9656->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9656);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9656->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9656->definitionLine = 2511;
// method "nameString"
  struct UserObject *uo9663 = (struct UserObject*)obj9647;
  uo9663->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString9663 = addmethod2pos(obj9647, "nameString", &meth_ast_nameString9663, 6);
  int argcv_meth_ast_nameString9663[] = {0};
  meth_meth_ast_nameString9663->type = alloc_MethodType(1, argcv_meth_ast_nameString9663);
  meth_meth_ast_nameString9663->definitionModule = modulename;
  meth_meth_ast_nameString9663->definitionLine = 2516;
// method "asString"
  struct UserObject *uo9665 = (struct UserObject*)obj9647;
  uo9665->data[7] = emptyclosure;
  Method *meth_meth_ast_asString9665 = addmethod2pos(obj9647, "asString", &meth_ast_asString9665, 7);
  int argcv_meth_ast_asString9665[] = {0};
  meth_meth_ast_asString9665->type = alloc_MethodType(1, argcv_meth_ast_asString9665);
  meth_meth_ast_asString9665->definitionModule = modulename;
  meth_meth_ast_asString9665->definitionLine = 2517;
// method "toGrace(_)"
  struct UserObject *uo9667 = (struct UserObject*)obj9647;
  uo9667->data[8] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9667 = addmethod2pos(obj9647, "toGrace(1)", &meth_ast_toGrace_40_1_41_9667, 8);
  int argcv_meth_ast_toGrace_40_1_41_9667[] = {1};
  meth_meth_ast_toGrace_40_1_41_9667->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9667);
meth_meth_ast_toGrace_40_1_41_9667->type->types[0] = type_Number;
meth_meth_ast_toGrace_40_1_41_9667->type->names[0] = "depth";
  meth_meth_ast_toGrace_40_1_41_9667->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9667->definitionLine = 2518;
// method "shallowCopy"
  block_savedest(obj9647);
  Object closure9669 = createclosure(1, "shallowCopy");
  setclosureframe(closure9669, stackframe);
  addtoclosure(closure9669, var_blankNode);
  struct UserObject *uo9669 = (struct UserObject*)obj9647;
  uo9669->data[9] = (Object)closure9669;
  Method *meth_meth_ast_shallowCopy9669 = addmethod2pos(obj9647, "shallowCopy", &meth_ast_shallowCopy9669, 9);
  int argcv_meth_ast_shallowCopy9669[] = {0};
  meth_meth_ast_shallowCopy9669->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9669);
  meth_meth_ast_shallowCopy9669->definitionModule = modulename;
  meth_meth_ast_shallowCopy9669->definitionLine = 2519;
  sourceObject = obj9647;
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9674 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9675 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9676 = gc_frame_new();
// call case 3: self.outer request
  Object call9677 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9676);
// compiled member node returning call9677 (depth = 5)
  Object call9678 = callmethodflags(call9677, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9675);
// compiled member node returning call9678 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call9679 = callmethodflags(call9678, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9674);
// compiled call node returning call9679 (depth = 3)
  struct UserObject *obj9647_uo = (struct UserObject *)obj9647;
  obj9647_uo->super = call9679;
  sourceObject = obj9647;
// Begin line 2503
  setline(2503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9680 == NULL) {
    strlit9680 = alloc_String("blank");
    gc_root(strlit9680);
  }
// compiled string node returning strlit9680 (depth = 3)
  adddatum2(obj9647, strlit9680, 1);
  sourceObject = obj9647;
// Begin line 2504
  setline(2504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit9681 == NULL) {
    strlit9681 = alloc_String("blank");
    gc_root(strlit9681);
  }
// compiled string node returning strlit9681 (depth = 3)
  adddatum2(obj9647, strlit9681, 2);
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  sourceObject = obj9647;
  objclass9647 = obj9647->class;
  objclass9647->definitionModule = modulename;
  objclass9647->definitionLine = 2501;
  (*(struct UserObject *)self).data[0] = lowerouter9647;
  self = oldself9647;
  selfslot = oldselfslot9647;
  stackframe = oldstackframe9647;
  gc_frame_end(frame);
  return obj9647;
}
Object meth_ast_blankNode9683(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blankNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blankNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blankNode (depth = 3)
  gc_frame_end(frame);
  return *var_blankNode;
}
Object meth_ast_new9686(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9687 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9688 == NULL) {
    strlit9688 = alloc_String("");
    gc_root(strlit9688);
  }
// compiled string node returning strlit9688 (depth = 4)
  gc_frame_newslot(strlit9688);
// starting to compile array node (depth = 4)
  Object array9689 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9689 (depth = 4)
  gc_frame_newslot(array9689);
// call case 4: self request
  params[0] = strlit9688;
  params[1] = array9689;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9690 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9687);
// compiled call node returning call9690 (depth = 3)
  gc_frame_end(frame);
  return call9690;
}
Object meth_ast_partName_40_1_41_scope_40_1_41_9691(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)scope(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_s = &(stackframe->slots[1]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "result");
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9692 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// starting to compile array node (depth = 5)
  Object array9693 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9693 (depth = 5)
  gc_frame_newslot(array9693);
// call case 4: self request
  params[0] = *var_n;
  params[1] = array9693;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9694 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9692);
// compiled call node returning call9694 (depth = 4)
  *var_result = call9694;
  if (call9694 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9695 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call9696 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9695);
// compiled call node returning call9696 (depth = 3)
// Begin line 2531
  setline(2531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9697(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)params(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 2534
  setline(2534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9698 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ps (depth = 5)
  gc_frame_newslot(*var_ps);
// call case 4: self request
  params[0] = *var_n;
  params[1] = *var_ps;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9699 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9698);
// compiled call node returning call9699 (depth = 4)
  *var_result = call9699;
  if (call9699 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2535
  setline(2535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9700 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call9701 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9700);
// compiled call node returning call9701 (depth = 3)
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_partName_40_1_41_9702(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "partName(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for partName(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2539
  setline(2539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9703 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile array node (depth = 4)
  Object array9704 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9704 (depth = 4)
  gc_frame_newslot(array9704);
// call case 4: self request
  params[0] = *var_n;
  params[1] = array9704;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9705 = callmethodflags(self, "partName(1)params(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9703);
// compiled call node returning call9705 (depth = 3)
  gc_frame_end(frame);
  return call9705;
}
Object meth_ast_nameString9714(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2550
  setline(2550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9716 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9717 = gc_frame_new();
// call case 4: self request
  Object call9718 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9717);
// compiled member node returning call9718 (depth = 5)
  Object call9719 = callmethodflags(call9718, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe9716);
// compiled member node returning call9719 (depth = 4)
  Object if9715 = done;
  if (istrue(call9719)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9720 = gc_frame_new();
// call case 4: self request
  Object call9721 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9720);
// compiled member node returning call9721 (depth = 5)
  return call9721;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9715 = undefined;
  } else {
  }
// compiled if node returning if9715 (depth = 3)
// Begin line 2551
  setline(2551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9723 == NULL) {
    strlit9723 = alloc_String(")");
    gc_root(strlit9723);
  }
// compiled string node returning strlit9723 (depth = 4)
  int op_slot_right_9722 = gc_frame_newslot(strlit9723);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9726 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9727 = gc_frame_new();
// call case 4: self request
  Object call9728 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9727);
// compiled member node returning call9728 (depth = 6)
  Object call9729 = callmethodflags(call9728, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9726);
// compiled member node returning call9729 (depth = 5)
  int op_slot_right_9725 = gc_frame_newslot(call9729);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9732 == NULL) {
    strlit9732 = alloc_String("(");
    gc_root(strlit9732);
  }
// compiled string node returning strlit9732 (depth = 6)
  int op_slot_right_9731 = gc_frame_newslot(strlit9732);
// starting to compile member node (depth = 6)
  int callframe9734 = gc_frame_new();
// call case 4: self request
  Object call9735 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9734);
// compiled member node returning call9735 (depth = 6)
  int op_slot_left_9731 = gc_frame_newslot(call9735);
  params[0] = strlit9732;
  partcv[0] = 1;
  Object opresult9736 = callmethod(call9735, "++(1)", 1, partcv, params);
// compiled op node returning opresult9736 (depth = 5)
  int op_slot_left_9725 = gc_frame_newslot(opresult9736);
  params[0] = call9729;
  partcv[0] = 1;
  Object opresult9737 = callmethod(opresult9736, "++(1)", 1, partcv, params);
// compiled op node returning opresult9737 (depth = 4)
  int op_slot_left_9722 = gc_frame_newslot(opresult9737);
  params[0] = strlit9723;
  partcv[0] = 1;
  Object opresult9738 = callmethod(opresult9737, "++(1)", 1, partcv, params);
// compiled op node returning opresult9738 (depth = 3)
  gc_frame_end(frame);
  return opresult9738;
}
Object meth_ast__apply_40_1_41_9754(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___3 = &(stackframe->slots[0]);
  *var___3 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9756 == NULL) {
    strlit9756 = alloc_String("_");
    gc_root(strlit9756);
  }
// compiled string node returning strlit9756 (depth = 7)
  int op_slot_right_9755 = gc_frame_newslot(strlit9756);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_9755 = gc_frame_newslot(*var_underScores);
  params[0] = strlit9756;
  partcv[0] = 1;
  Object opresult9758 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult9758 (depth = 6)
  *var_underScores = opresult9758;
  if (opresult9758 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply9762(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9764 == NULL) {
    strlit9764 = alloc_String(",");
    gc_root(strlit9764);
  }
// compiled string node returning strlit9764 (depth = 7)
  int op_slot_right_9763 = gc_frame_newslot(strlit9764);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_9763 = gc_frame_newslot(*var_underScores);
  params[0] = strlit9764;
  partcv[0] = 1;
  Object opresult9766 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult9766 (depth = 6)
  *var_underScores = opresult9766;
  if (opresult9766 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_canonicalName9739(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_underScores = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "underScores");
// Begin line 2555
  setline(2555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9742 = alloc_Float64(0);
// compiled num node returning num9742 (depth = 5)
  int op_slot_right_9741 = gc_frame_newslot(num9742);
// starting to compile member node (depth = 5)
  int callframe9744 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9745 = gc_frame_new();
// call case 4: self request
  Object call9746 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9745);
// compiled member node returning call9746 (depth = 6)
  Object call9747 = callmethodflags(call9746, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9744);
// compiled member node returning call9747 (depth = 5)
  int op_slot_left_9741 = gc_frame_newslot(call9747);
  params[0] = num9742;
  partcv[0] = 1;
  Object opresult9748 = callmethod(call9747, "==(1)", 1, partcv, params);
// compiled op node returning opresult9748 (depth = 4)
  Object if9740 = done;
  if (istrue(opresult9748)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9749 = gc_frame_new();
// call case 4: self request
  Object call9750 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9749);
// compiled member node returning call9750 (depth = 5)
  return call9750;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9740 = undefined;
  } else {
  }
// compiled if node returning if9740 (depth = 3)
// Begin line 2556
  setline(2556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9751 == NULL) {
    strlit9751 = alloc_String("");
    gc_root(strlit9751);
  }
// compiled string node returning strlit9751 (depth = 4)
  *var_underScores = strlit9751;
  if (strlit9751 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2557
  setline(2557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9752 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9753 = alloc_Block(NULL, NULL, "ast", 2557);
  gc_frame_newslot(block9753);
// method "_apply(_)"
  block_savedest(block9753);
  Object closure9754 = createclosure(2, "_apply(1)");
  setclosureframe(closure9754, stackframe);
  addtoclosure(closure9754, var_underScores);
  addtoclosure(closure9754, selfslot);
  struct UserObject *uo9754 = (struct UserObject*)block9753;
  uo9754->data[0] = (Object)closure9754;
  Method *meth_meth_ast__apply_40_1_41_9754 = addmethod2pos(block9753, "_apply(1)", &meth_ast__apply_40_1_41_9754, 0);
  int argcv_meth_ast__apply_40_1_41_9754[] = {1};
  meth_meth_ast__apply_40_1_41_9754->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9754);
  meth_meth_ast__apply_40_1_41_9754->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9754->definitionLine = 2947;
// compiled block node returning block9753 (depth = 4)
  gc_frame_newslot(block9753);
// Begin line 2558
  setline(2558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block9761 = alloc_Block(NULL, NULL, "ast", 2558);
  gc_frame_newslot(block9761);
// method "_apply"
  block_savedest(block9761);
  Object closure9762 = createclosure(2, "_apply");
  setclosureframe(closure9762, stackframe);
  addtoclosure(closure9762, var_underScores);
  addtoclosure(closure9762, selfslot);
  struct UserObject *uo9762 = (struct UserObject*)block9761;
  uo9762->data[0] = (Object)closure9762;
  Method *meth_meth_ast__apply9762 = addmethod2pos(block9761, "_apply", &meth_ast__apply9762, 0);
  int argcv_meth_ast__apply9762[] = {0};
  meth_meth_ast__apply9762->type = alloc_MethodType(1, argcv_meth_ast__apply9762);
  meth_meth_ast__apply9762->definitionModule = modulename;
  meth_meth_ast__apply9762->definitionLine = 2947;
// compiled block node returning block9761 (depth = 4)
  gc_frame_newslot(block9761);
// call case 6: other requests
// Begin line 2557
  setline(2557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9769 = gc_frame_new();
// call case 4: self request
  Object call9770 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9769);
// compiled member node returning call9770 (depth = 4)
  params[0] = block9753;
  params[1] = block9761;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9771 = callmethodflags(call9770, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9752);
// compiled call node returning call9771 (depth = 3)
// Begin line 2559
  setline(2559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9773 == NULL) {
    strlit9773 = alloc_String(")");
    gc_root(strlit9773);
  }
// compiled string node returning strlit9773 (depth = 4)
  int op_slot_right_9772 = gc_frame_newslot(strlit9773);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_underScores (depth = 5)
  int op_slot_right_9775 = gc_frame_newslot(*var_underScores);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9778 == NULL) {
    strlit9778 = alloc_String("(");
    gc_root(strlit9778);
  }
// compiled string node returning strlit9778 (depth = 6)
  int op_slot_right_9777 = gc_frame_newslot(strlit9778);
// starting to compile member node (depth = 6)
  int callframe9780 = gc_frame_new();
// call case 4: self request
  Object call9781 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9780);
// compiled member node returning call9781 (depth = 6)
  int op_slot_left_9777 = gc_frame_newslot(call9781);
  params[0] = strlit9778;
  partcv[0] = 1;
  Object opresult9782 = callmethod(call9781, "++(1)", 1, partcv, params);
// compiled op node returning opresult9782 (depth = 5)
  int op_slot_left_9775 = gc_frame_newslot(opresult9782);
  params[0] = *var_underScores;
  partcv[0] = 1;
  Object opresult9783 = callmethod(opresult9782, "++(1)", 1, partcv, params);
// compiled op node returning opresult9783 (depth = 4)
  int op_slot_left_9772 = gc_frame_newslot(opresult9783);
  params[0] = strlit9773;
  partcv[0] = 1;
  Object opresult9784 = callmethod(opresult9783, "++(1)", 1, partcv, params);
// compiled op node returning opresult9784 (depth = 3)
  gc_frame_end(frame);
  return opresult9784;
}
Object meth_ast__apply_40_1_41_9793(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_visitor = getfromclosure(closure, 0);
  Object *var_newChain = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe9794 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_visitor (depth = 7)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newChain (depth = 7)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9795 = callmethodflags(*var_p, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9794);
// compiled call node returning call9795 (depth = 6)
  gc_frame_end(frame);
  return call9795;
}
Object meth_ast_accept_40_1_41_from_40_1_41_9785(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newChain");
// Begin line 2563
  setline(2563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9787 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning self (depth = 5)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_visitor (depth = 5)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9788 = callmethodflags(*var_visitor, "visitSignaturePart(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9787);
// compiled call node returning call9788 (depth = 4)
  Object if9786 = done;
  if (istrue(call9788)) {
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9789 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning self (depth = 6)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_as (depth = 6)
  params[0] = self;
  partcv[0] = 1;
  Object call9790 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9789);
// compiled call node returning call9790 (depth = 5)
  *var_newChain = call9790;
  if (call9790 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2565
  setline(2565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9791 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9792 = alloc_Block(NULL, NULL, "ast", 2565);
  gc_frame_newslot(block9792);
// method "_apply(_)"
  block_savedest(block9792);
  Object closure9793 = createclosure(3, "_apply(1)");
  setclosureframe(closure9793, stackframe);
  addtoclosure(closure9793, var_visitor);
  addtoclosure(closure9793, var_newChain);
  addtoclosure(closure9793, selfslot);
  struct UserObject *uo9793 = (struct UserObject*)block9792;
  uo9793->data[0] = (Object)closure9793;
  Method *meth_meth_ast__apply_40_1_41_9793 = addmethod2pos(block9792, "_apply(1)", &meth_ast__apply_40_1_41_9793, 0);
  int argcv_meth_ast__apply_40_1_41_9793[] = {1};
  meth_meth_ast__apply_40_1_41_9793->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9793);
  meth_meth_ast__apply_40_1_41_9793->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9793->definitionLine = 2947;
// compiled block node returning block9792 (depth = 5)
  gc_frame_newslot(block9792);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9797 = gc_frame_new();
// call case 4: self request
  Object call9798 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9797);
// compiled member node returning call9798 (depth = 5)
  params[0] = block9792;
  partcv[0] = 1;
  Object call9799 = callmethodflags(call9798, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9791);
// compiled call node returning call9799 (depth = 4)
// Begin line 2566
  setline(2566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9802 = gc_frame_new();
// call case 4: self request
  Object call9803 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9802);
// compiled member node returning call9803 (depth = 6)
  int op_slot_right_9801 = gc_frame_newslot(call9803);
// starting to compile identifier node (depth = 6)
  Object bool9805 = alloc_Boolean(0);
// compiled identifier node returning bool9805 (depth = 6)
  int op_slot_left_9801 = gc_frame_newslot(bool9805);
  params[0] = call9803;
  partcv[0] = 1;
  Object opresult9806 = callmethod(bool9805, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9806 (depth = 5)
  Object if9800 = done;
  if (istrue(opresult9806)) {
// Begin line 2567
  setline(2567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9807 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_visitor (depth = 6)
  gc_frame_newslot(*var_visitor);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newChain (depth = 6)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9808 = gc_frame_new();
// call case 4: self request
  Object call9809 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9808);
// compiled member node returning call9809 (depth = 6)
  params[0] = *var_visitor;
  params[1] = *var_newChain;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9810 = callmethodflags(call9809, "accept(1)from(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9807);
// compiled call node returning call9810 (depth = 5)
    gc_frame_newslot(call9810);
    if9800 = call9810;
  } else {
  }
// compiled if node returning if9800 (depth = 4)
    gc_frame_newslot(if9800);
    if9786 = if9800;
  } else {
  }
// compiled if node returning if9786 (depth = 3)
  gc_frame_end(frame);
  return if9786;
}
Object meth_ast_declarationKindWithAncestors_40_1_41_9811(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "declarationKindWithAncestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method declarationKindWithAncestors(_)");
  Object params[1];
  int partcv[1];
  Object *var_k = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for declarationKindWithAncestors(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_as = &(stackframe->slots[0]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part declarationKindWithAncestors(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2571
  setline(2571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9812 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_k (depth = 4)
  Object call9813 = callmethodflags(*var_k, "parameter", 0, partcv, params, 0);
  gc_frame_end(callframe9812);
// compiled member node returning call9813 (depth = 3)
  gc_frame_end(frame);
  return call9813;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_9814(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nd");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2573
  setline(2573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9815 = gc_frame_new();
// call case 4: self request
  Object call9816 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9815);
// compiled member node returning call9816 (depth = 4)
  *var_nd = call9816;
  if (call9816 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2574
  setline(2574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9817 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nd (depth = 5)
  gc_frame_newslot(*var_nd);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_nd;
  partcv[0] = 1;
  Object call9818 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9817);
// compiled call node returning call9818 (depth = 4)
  *var_newChain = call9818;
  if (call9818 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2575
  setline(2575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9819 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9820 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9821 = gc_frame_new();
// call case 4: self request
  Object call9822 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9821);
// compiled member node returning call9822 (depth = 5)
  gc_frame_newslot(call9822);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9823 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9824 = gc_frame_new();
// call case 3: self.outer request
  Object call9825 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9824);
// compiled member node returning call9825 (depth = 6)
  Object call9826 = callmethodflags(call9825, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9823);
// compiled member node returning call9826 (depth = 5)
  params[0] = call9822;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9827 = callmethodflags(call9826, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9820);
// compiled call node returning call9827 (depth = 4)
  gc_frame_newslot(call9827);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  params[0] = call9827;
  partcv[0] = 1;
  Object call9828 = callmethodflags(*var_nd, "params:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9819);
// compiled call node returning call9828 (depth = 3)
// Begin line 2576
  setline(2576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9829 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe9830 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9831 = gc_frame_new();
// call case 4: self request
  Object call9832 = callmethodflags(self, "typeParams", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9831);
// compiled member node returning call9832 (depth = 5)
  gc_frame_newslot(call9832);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9833 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9834 = gc_frame_new();
// call case 3: self.outer request
  Object call9835 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe9834);
// compiled member node returning call9835 (depth = 6)
  Object call9836 = callmethodflags(call9835, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe9833);
// compiled member node returning call9836 (depth = 5)
  params[0] = call9832;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9837 = callmethodflags(call9836, "maybeMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9830);
// compiled call node returning call9837 (depth = 4)
  gc_frame_newslot(call9837);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  params[0] = call9837;
  partcv[0] = 1;
  Object call9838 = callmethodflags(*var_nd, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9829);
// compiled call node returning call9838 (depth = 3)
// Begin line 2577
  setline(2577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9839 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nd (depth = 4)
  gc_frame_newslot(*var_nd);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_nd;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call9840 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9839);
// compiled call node returning call9840 (depth = 3)
  gc_frame_end(frame);
  return call9840;
}
Object meth_ast__apply_40_1_41_9849(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_i = &(stackframe->slots[0]);
  *var_i = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2582
  setline(2582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9851 == NULL) {
    strlit9851 = alloc_String("  ");
    gc_root(strlit9851);
  }
// compiled string node returning strlit9851 (depth = 7)
  int op_slot_right_9850 = gc_frame_newslot(strlit9851);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_9850 = gc_frame_newslot(*var_spc);
  params[0] = strlit9851;
  partcv[0] = 1;
  Object opresult9853 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult9853 (depth = 6)
  *var_spc = opresult9853;
  if (opresult9853 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_9903(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2587
  setline(2587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9905 == NULL) {
    strlit9905 = alloc_String("");
    gc_root(strlit9905);
  }
// compiled string node returning strlit9905 (depth = 7)
  int op_slot_right_9904 = gc_frame_newslot(strlit9905);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9908 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num9910 = alloc_Float64(2);
// compiled num node returning num9910 (depth = 10)
  int op_slot_right_9909 = gc_frame_newslot(num9910);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_9909 = gc_frame_newslot(*var_depth);
  params[0] = num9910;
  partcv[0] = 1;
  Object sum9912 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9912 (depth = 9)
  gc_frame_newslot(sum9912);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_p (depth = 9)
  params[0] = sum9912;
  partcv[0] = 1;
  Object call9913 = callmethodflags(*var_p, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9908);
// compiled call node returning call9913 (depth = 8)
  int op_slot_right_9907 = gc_frame_newslot(call9913);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9916 == NULL) {
    strlit9916 = alloc_String("");
    gc_root(strlit9916);
  }
// compiled string node returning strlit9916 (depth = 9)
  int op_slot_right_9915 = gc_frame_newslot(strlit9916);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_9918 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit9921 == NULL) {
    strlit9921 = alloc_String("""\x0a""  ");
    gc_root(strlit9921);
  }
// compiled string node returning strlit9921 (depth = 11)
  int op_slot_right_9920 = gc_frame_newslot(strlit9921);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_9923 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit9925 == NULL) {
    strlit9925 = alloc_String("");
    gc_root(strlit9925);
  }
// compiled string node returning strlit9925 (depth = 12)
  int op_slot_left_9923 = gc_frame_newslot(strlit9925);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9926 = callmethod(strlit9925, "++(1)", 1, partcv, params);
// compiled op node returning opresult9926 (depth = 11)
  int op_slot_left_9920 = gc_frame_newslot(opresult9926);
  params[0] = strlit9921;
  partcv[0] = 1;
  Object opresult9927 = callmethod(opresult9926, "++(1)", 1, partcv, params);
// compiled op node returning opresult9927 (depth = 10)
  int op_slot_left_9918 = gc_frame_newslot(opresult9927);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9928 = callmethod(opresult9927, "++(1)", 1, partcv, params);
// compiled op node returning opresult9928 (depth = 9)
  int op_slot_left_9915 = gc_frame_newslot(opresult9928);
  params[0] = strlit9916;
  partcv[0] = 1;
  Object opresult9929 = callmethod(opresult9928, "++(1)", 1, partcv, params);
// compiled op node returning opresult9929 (depth = 8)
  int op_slot_left_9907 = gc_frame_newslot(opresult9929);
  params[0] = call9913;
  partcv[0] = 1;
  Object opresult9930 = callmethod(opresult9929, "++(1)", 1, partcv, params);
// compiled op node returning opresult9930 (depth = 7)
  int op_slot_left_9904 = gc_frame_newslot(opresult9930);
  params[0] = strlit9905;
  partcv[0] = 1;
  Object opresult9931 = callmethod(opresult9930, "++(1)", 1, partcv, params);
// compiled op node returning opresult9931 (depth = 6)
  *var_s = opresult9931;
  if (opresult9931 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_9841(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2580
  setline(2580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9842 == NULL) {
    strlit9842 = alloc_String("");
    gc_root(strlit9842);
  }
// compiled string node returning strlit9842 (depth = 4)
  *var_spc = strlit9842;
  if (strlit9842 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2581
  setline(2581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9843 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_right_9844 = gc_frame_newslot(*var_depth);
// starting to compile num node (depth = 5)
  Object num9846 = alloc_Float64(0);
// compiled num node returning num9846 (depth = 5)
  int op_slot_left_9844 = gc_frame_newslot(num9846);
  params[0] = *var_depth;
  partcv[0] = 1;
  Object opresult9847 = callmethod(num9846, "..(1)", 1, partcv, params);
// compiled op node returning opresult9847 (depth = 4)
  gc_frame_newslot(opresult9847);
// starting to compile block node (depth = 4)
  Object block9848 = alloc_Block(NULL, NULL, "ast", 2581);
  gc_frame_newslot(block9848);
// method "_apply(_)"
  block_savedest(block9848);
  Object closure9849 = createclosure(2, "_apply(1)");
  setclosureframe(closure9849, stackframe);
  addtoclosure(closure9849, var_spc);
  addtoclosure(closure9849, selfslot);
  struct UserObject *uo9849 = (struct UserObject*)block9848;
  uo9849->data[0] = (Object)closure9849;
  Method *meth_meth_ast__apply_40_1_41_9849 = addmethod2pos(block9848, "_apply(1)", &meth_ast__apply_40_1_41_9849, 0);
  int argcv_meth_ast__apply_40_1_41_9849[] = {1};
  meth_meth_ast__apply_40_1_41_9849->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9849);
  meth_meth_ast__apply_40_1_41_9849->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9849->definitionLine = 2947;
// compiled block node returning block9848 (depth = 4)
  gc_frame_newslot(block9848);
// call case 5: prelude request
  params[0] = opresult9847;
  params[1] = block9848;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9856 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9843);
// compiled call node returning call9856 (depth = 3)
// Begin line 2584
  setline(2584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9858 == NULL) {
    strlit9858 = alloc_String("");
    gc_root(strlit9858);
  }
// compiled string node returning strlit9858 (depth = 5)
  int op_slot_right_9857 = gc_frame_newslot(strlit9858);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9861 = gc_frame_new();
// call case 4: self request
  Object call9862 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9861);
// compiled member node returning call9862 (depth = 6)
  int op_slot_right_9860 = gc_frame_newslot(call9862);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9865 == NULL) {
    strlit9865 = alloc_String(": ");
    gc_root(strlit9865);
  }
// compiled string node returning strlit9865 (depth = 7)
  int op_slot_right_9864 = gc_frame_newslot(strlit9865);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe9868 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call9869 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9868);
// compiled call node returning call9869 (depth = 8)
  int op_slot_right_9867 = gc_frame_newslot(call9869);
// starting to compile string node (depth = 8)
  if (strlit9871 == NULL) {
    strlit9871 = alloc_String("");
    gc_root(strlit9871);
  }
// compiled string node returning strlit9871 (depth = 8)
  int op_slot_left_9867 = gc_frame_newslot(strlit9871);
  params[0] = call9869;
  partcv[0] = 1;
  Object opresult9872 = callmethod(strlit9871, "++(1)", 1, partcv, params);
// compiled op node returning opresult9872 (depth = 7)
  int op_slot_left_9864 = gc_frame_newslot(opresult9872);
  params[0] = strlit9865;
  partcv[0] = 1;
  Object opresult9873 = callmethod(opresult9872, "++(1)", 1, partcv, params);
// compiled op node returning opresult9873 (depth = 6)
  int op_slot_left_9860 = gc_frame_newslot(opresult9873);
  params[0] = call9862;
  partcv[0] = 1;
  Object opresult9874 = callmethod(opresult9873, "++(1)", 1, partcv, params);
// compiled op node returning opresult9874 (depth = 5)
  int op_slot_left_9857 = gc_frame_newslot(opresult9874);
  params[0] = strlit9858;
  partcv[0] = 1;
  Object opresult9875 = callmethod(opresult9874, "++(1)", 1, partcv, params);
// compiled op node returning opresult9875 (depth = 4)
  *var_s = opresult9875;
  if (opresult9875 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2585
  setline(2585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9877 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9878 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9879 = gc_frame_new();
// call case 4: self request
  Object call9880 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9879);
// compiled member node returning call9880 (depth = 6)
  Object call9881 = callmethodflags(call9880, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe9878);
// compiled member node returning call9881 (depth = 5)
  Object call9882 = callmethodflags(call9881, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9877);
// compiled member node returning call9882 (depth = 4)
  Object if9876 = done;
  if (istrue(call9882)) {
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9884 == NULL) {
    strlit9884 = alloc_String("Parameters:");
    gc_root(strlit9884);
  }
// compiled string node returning strlit9884 (depth = 6)
  int op_slot_right_9883 = gc_frame_newslot(strlit9884);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_right_9886 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9889 == NULL) {
    strlit9889 = alloc_String("""\x0a""");
    gc_root(strlit9889);
  }
// compiled string node returning strlit9889 (depth = 8)
  int op_slot_right_9888 = gc_frame_newslot(strlit9889);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_s (depth = 9)
  int op_slot_right_9891 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 9)
  if (strlit9893 == NULL) {
    strlit9893 = alloc_String("");
    gc_root(strlit9893);
  }
// compiled string node returning strlit9893 (depth = 9)
  int op_slot_left_9891 = gc_frame_newslot(strlit9893);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult9894 = callmethod(strlit9893, "++(1)", 1, partcv, params);
// compiled op node returning opresult9894 (depth = 8)
  int op_slot_left_9888 = gc_frame_newslot(opresult9894);
  params[0] = strlit9889;
  partcv[0] = 1;
  Object opresult9895 = callmethod(opresult9894, "++(1)", 1, partcv, params);
// compiled op node returning opresult9895 (depth = 7)
  int op_slot_left_9886 = gc_frame_newslot(opresult9895);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult9896 = callmethod(opresult9895, "++(1)", 1, partcv, params);
// compiled op node returning opresult9896 (depth = 6)
  int op_slot_left_9883 = gc_frame_newslot(opresult9896);
  params[0] = strlit9884;
  partcv[0] = 1;
  Object opresult9897 = callmethod(opresult9896, "++(1)", 1, partcv, params);
// compiled op node returning opresult9897 (depth = 5)
  *var_s = opresult9897;
  if (opresult9897 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9876 = done;
  } else {
  }
// compiled if node returning if9876 (depth = 3)
// Begin line 2586
  setline(2586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9899 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9900 = gc_frame_new();
// call case 4: self request
  Object call9901 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9900);
// compiled member node returning call9901 (depth = 4)
  gc_frame_newslot(call9901);
// starting to compile block node (depth = 4)
  Object block9902 = alloc_Block(NULL, NULL, "ast", 2586);
  gc_frame_newslot(block9902);
// method "_apply(_)"
  block_savedest(block9902);
  Object closure9903 = createclosure(4, "_apply(1)");
  setclosureframe(closure9903, stackframe);
  addtoclosure(closure9903, var_depth);
  addtoclosure(closure9903, var_spc);
  addtoclosure(closure9903, var_s);
  addtoclosure(closure9903, selfslot);
  struct UserObject *uo9903 = (struct UserObject*)block9902;
  uo9903->data[0] = (Object)closure9903;
  Method *meth_meth_ast__apply_40_1_41_9903 = addmethod2pos(block9902, "_apply(1)", &meth_ast__apply_40_1_41_9903, 0);
  int argcv_meth_ast__apply_40_1_41_9903[] = {1};
  meth_meth_ast__apply_40_1_41_9903->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9903);
  meth_meth_ast__apply_40_1_41_9903->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9903->definitionLine = 2947;
// compiled block node returning block9902 (depth = 4)
  gc_frame_newslot(block9902);
// call case 5: prelude request
  params[0] = call9901;
  params[1] = block9902;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9934 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9899);
// compiled call node returning call9934 (depth = 3)
// Begin line 2589
  setline(2589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_9952(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe9953 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num9955 = alloc_Float64(1);
// compiled num node returning num9955 (depth = 9)
  int op_slot_right_9954 = gc_frame_newslot(num9955);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  int op_slot_left_9954 = gc_frame_newslot(*var_depth);
  params[0] = num9955;
  partcv[0] = 1;
  Object sum9957 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum9957 (depth = 8)
  gc_frame_newslot(sum9957);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  params[0] = sum9957;
  partcv[0] = 1;
  Object call9958 = callmethodflags(*var_each, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9953);
// compiled call node returning call9958 (depth = 7)
  *var_s = call9958;
  if (call9958 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply9962(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9964 == NULL) {
    strlit9964 = alloc_String(", ");
    gc_root(strlit9964);
  }
// compiled string node returning strlit9964 (depth = 8)
  int op_slot_right_9963 = gc_frame_newslot(strlit9964);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_9963 = gc_frame_newslot(*var_s);
  params[0] = strlit9964;
  partcv[0] = 1;
  Object opresult9966 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9966 (depth = 7)
  *var_s = opresult9966;
  if (opresult9966 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_9935(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
// Begin line 2592
  setline(2592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9936 = gc_frame_new();
// call case 4: self request
  Object call9937 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9936);
// compiled member node returning call9937 (depth = 4)
  *var_s = call9937;
  if (call9937 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9939 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9940 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9941 = gc_frame_new();
// call case 4: self request
  Object call9942 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9941);
// compiled member node returning call9942 (depth = 6)
  Object call9943 = callmethodflags(call9942, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe9940);
// compiled member node returning call9943 (depth = 5)
  Object call9944 = callmethodflags(call9943, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9939);
// compiled member node returning call9944 (depth = 4)
  Object if9938 = done;
  if (istrue(call9944)) {
// Begin line 2594
  setline(2594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9946 == NULL) {
    strlit9946 = alloc_String("(");
    gc_root(strlit9946);
  }
// compiled string node returning strlit9946 (depth = 6)
  int op_slot_right_9945 = gc_frame_newslot(strlit9946);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9945 = gc_frame_newslot(*var_s);
  params[0] = strlit9946;
  partcv[0] = 1;
  Object opresult9948 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9948 (depth = 5)
  *var_s = opresult9948;
  if (opresult9948 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9950 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block9951 = alloc_Block(NULL, NULL, "ast", 2595);
  gc_frame_newslot(block9951);
// method "_apply(_)"
  block_savedest(block9951);
  Object closure9952 = createclosure(3, "_apply(1)");
  setclosureframe(closure9952, stackframe);
  addtoclosure(closure9952, var_depth);
  addtoclosure(closure9952, var_s);
  addtoclosure(closure9952, selfslot);
  struct UserObject *uo9952 = (struct UserObject*)block9951;
  uo9952->data[0] = (Object)closure9952;
  Method *meth_meth_ast__apply_40_1_41_9952 = addmethod2pos(block9951, "_apply(1)", &meth_ast__apply_40_1_41_9952, 0);
  int argcv_meth_ast__apply_40_1_41_9952[] = {1};
  meth_meth_ast__apply_40_1_41_9952->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_9952);
  meth_meth_ast__apply_40_1_41_9952->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_9952->definitionLine = 2947;
// compiled block node returning block9951 (depth = 5)
  gc_frame_newslot(block9951);
// Begin line 2596
  setline(2596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block9961 = alloc_Block(NULL, NULL, "ast", 2596);
  gc_frame_newslot(block9961);
// method "_apply"
  block_savedest(block9961);
  Object closure9962 = createclosure(2, "_apply");
  setclosureframe(closure9962, stackframe);
  addtoclosure(closure9962, var_s);
  addtoclosure(closure9962, selfslot);
  struct UserObject *uo9962 = (struct UserObject*)block9961;
  uo9962->data[0] = (Object)closure9962;
  Method *meth_meth_ast__apply9962 = addmethod2pos(block9961, "_apply", &meth_ast__apply9962, 0);
  int argcv_meth_ast__apply9962[] = {0};
  meth_meth_ast__apply9962->type = alloc_MethodType(1, argcv_meth_ast__apply9962);
  meth_meth_ast__apply9962->definitionModule = modulename;
  meth_meth_ast__apply9962->definitionLine = 2947;
// compiled block node returning block9961 (depth = 5)
  gc_frame_newslot(block9961);
// call case 6: other requests
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9969 = gc_frame_new();
// call case 4: self request
  Object call9970 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9969);
// compiled member node returning call9970 (depth = 5)
  params[0] = block9951;
  params[1] = block9961;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9971 = callmethodflags(call9970, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9950);
// compiled call node returning call9971 (depth = 4)
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9973 == NULL) {
    strlit9973 = alloc_String(")");
    gc_root(strlit9973);
  }
// compiled string node returning strlit9973 (depth = 6)
  int op_slot_right_9972 = gc_frame_newslot(strlit9973);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_9972 = gc_frame_newslot(*var_s);
  params[0] = strlit9973;
  partcv[0] = 1;
  Object opresult9975 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult9975 (depth = 5)
  *var_s = opresult9975;
  if (opresult9975 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9938 = done;
  } else {
  }
// compiled if node returning if9938 (depth = 3)
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy9977(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2603
  setline(2603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9978 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// Begin line 2602
  setline(2602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9979 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9980 = gc_frame_new();
// call case 4: self request
  Object call9981 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9980);
// compiled member node returning call9981 (depth = 5)
  gc_frame_newslot(call9981);
// starting to compile member node (depth = 5)
  int callframe9982 = gc_frame_new();
// call case 4: self request
  Object call9983 = callmethodflags(self, "params", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9982);
// compiled member node returning call9983 (depth = 5)
  gc_frame_newslot(call9983);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signaturePart (depth = 5)
  params[0] = call9981;
  params[1] = call9983;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9984 = callmethodflags(*var_signaturePart, "partName(1)params(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9979);
// compiled call node returning call9984 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call9985 = callmethodflags(call9984, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9978);
// compiled call node returning call9985 (depth = 3)
  gc_frame_end(frame);
  return call9985;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_9986(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2606
  setline(2606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9987 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call9988 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe9987);
// compiled call node returning call9988 (depth = 3)
// Begin line 2607
  setline(2607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9989 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9990 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9991 = callmethodflags(*var_other, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe9990);
// compiled member node returning call9991 (depth = 4)
  gc_frame_newslot(call9991);
// call case 4: self request
  params[0] = call9991;
  partcv[0] = 1;
  Object call9992 = callmethodflags(self, "typeParams:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9989);
// compiled call node returning call9992 (depth = 3)
// Begin line 2608
  setline(2608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9993 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9994 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call9995 = callmethodflags(*var_other, "lineLength", 0, partcv, params, 0);
  gc_frame_end(callframe9994);
// compiled member node returning call9995 (depth = 4)
  gc_frame_newslot(call9995);
// call case 4: self request
  params[0] = call9995;
  partcv[0] = 1;
  Object call9996 = callmethodflags(self, "lineLength:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9993);
// compiled call node returning call9996 (depth = 3)
// Begin line 2609
  setline(2609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_asString9997(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit9999 == NULL) {
    strlit9999 = alloc_String("");
    gc_root(strlit9999);
  }
// compiled string node returning strlit9999 (depth = 4)
  int op_slot_right_9998 = gc_frame_newslot(strlit9999);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10002 = gc_frame_new();
// call case 4: self request
  Object call10003 = callmethodflags(self, "nameString", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10002);
// compiled member node returning call10003 (depth = 5)
  int op_slot_right_10001 = gc_frame_newslot(call10003);
// starting to compile string node (depth = 5)
  if (strlit10005 == NULL) {
    strlit10005 = alloc_String("part: ");
    gc_root(strlit10005);
  }
// compiled string node returning strlit10005 (depth = 5)
  int op_slot_left_10001 = gc_frame_newslot(strlit10005);
  params[0] = call10003;
  partcv[0] = 1;
  Object opresult10006 = callmethod(strlit10005, "++(1)", 1, partcv, params);
// compiled op node returning opresult10006 (depth = 4)
  int op_slot_left_9998 = gc_frame_newslot(opresult10006);
  params[0] = strlit9999;
  partcv[0] = 1;
  Object opresult10007 = callmethod(opresult10006, "++(1)", 1, partcv, params);
// compiled op node returning opresult10007 (depth = 3)
  gc_frame_end(frame);
  return opresult10007;
}
Object meth_ast_partName_40_1_41_params_40_1_41_9706(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "partName(1)params(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method partName(_)params(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_signaturePart = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9707 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9707 = alloc_userobj2(19,16, objclass9707);
  gc_frame_newslot(obj9707);
if (objclass9707 == NULL) {
  glfree(obj9707->class->name);
  obj9707->class->name = "partName(_)params(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9707, self, 0);
  addmethodreal(obj9707,"outer", &reader_ast_outer_9708);
  Object oldself9707 = self;
  struct StackFrameObject *oldstackframe9707 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9707);
  gc_frame_newslot((Object)stackframe);
  self = obj9707;
  Object *oldselfslot9707 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9707 = (*(struct UserObject *)self).data[0], lowerouter9707 = thisouter9707;
  if (inheritingObject9707) {
    struct UserObject *inho9707 = (struct UserObject *)inheritingObject9707;
    while (inho9707->super != GraceDefaultObject) inho9707 = (struct UserObject *)inho9707->super;
    inho9707->super = obj9707;
    self = inheritingObject9707;
    *selfslot = self;
    lowerouter9707 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9707;
  }
if (objclass9707 == NULL) {
  Method *reader9709 = addmethodrealflags(obj9707, "kind",&reader_ast_kind_9709, MFLAG_DEF);
  reader9709->definitionModule = modulename;
  reader9709->definitionLine = 2543;
}
adddatum2(obj9707, alloc_Undefined(), 1);
if (objclass9707 == NULL) {
  Method *reader9710 = addmethodrealflags(obj9707, "name", &reader_ast_name_9710, 0);
  Method *writer9710 = addmethodrealflags(obj9707, "name:=(1)", &writer_ast_name_9710, 0);
  reader9710->definitionModule = modulename;
  writer9710->definitionModule = modulename;
  reader9710->definitionLine = 2544;
  writer9710->definitionLine = 2544;
}
obj9707->flags |= OFLAG_MUTABLE;
adddatum2(obj9707, alloc_Undefined(), 2);
if (objclass9707 == NULL) {
  Method *reader9711 = addmethodrealflags(obj9707, "params", &reader_ast_params_9711, 0);
  Method *writer9711 = addmethodrealflags(obj9707, "params:=(1)", &writer_ast_params_9711, 0);
  reader9711->definitionModule = modulename;
  writer9711->definitionModule = modulename;
  reader9711->definitionLine = 2545;
  writer9711->definitionLine = 2545;
}
obj9707->flags |= OFLAG_MUTABLE;
adddatum2(obj9707, alloc_Undefined(), 3);
if (objclass9707 == NULL) {
  Method *reader9712 = addmethodrealflags(obj9707, "typeParams", &reader_ast_typeParams_9712, 0);
  Method *writer9712 = addmethodrealflags(obj9707, "typeParams:=(1)", &writer_ast_typeParams_9712, 0);
  reader9712->definitionModule = modulename;
  writer9712->definitionModule = modulename;
  reader9712->definitionLine = 2546;
  writer9712->definitionLine = 2546;
}
obj9707->flags |= OFLAG_MUTABLE;
adddatum2(obj9707, alloc_Undefined(), 4);
if (objclass9707 == NULL) {
  Method *reader9713 = addmethodrealflags(obj9707, "lineLength", &reader_ast_lineLength_9713, 0);
  Method *writer9713 = addmethodrealflags(obj9707, "lineLength:=(1)", &writer_ast_lineLength_9713, 0);
  reader9713->definitionModule = modulename;
  writer9713->definitionModule = modulename;
  reader9713->definitionLine = 2547;
  writer9713->definitionLine = 2547;
}
obj9707->flags |= OFLAG_MUTABLE;
adddatum2(obj9707, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo9714 = (struct UserObject*)obj9707;
  uo9714->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString9714 = addmethod2pos(obj9707, "nameString", &meth_ast_nameString9714, 6);
  int argcv_meth_ast_nameString9714[] = {0};
  meth_meth_ast_nameString9714->type = alloc_MethodType(1, argcv_meth_ast_nameString9714);
  meth_meth_ast_nameString9714->definitionModule = modulename;
  meth_meth_ast_nameString9714->definitionLine = 2549;
// method "canonicalName"
  struct UserObject *uo9739 = (struct UserObject*)obj9707;
  uo9739->data[7] = emptyclosure;
  Method *meth_meth_ast_canonicalName9739 = addmethod2pos(obj9707, "canonicalName", &meth_ast_canonicalName9739, 7);
  int argcv_meth_ast_canonicalName9739[] = {0};
  meth_meth_ast_canonicalName9739->type = alloc_MethodType(1, argcv_meth_ast_canonicalName9739);
  meth_meth_ast_canonicalName9739->definitionModule = modulename;
  meth_meth_ast_canonicalName9739->definitionLine = 2554;
// method "accept(_)from(_)"
  struct UserObject *uo9785 = (struct UserObject*)obj9707;
  uo9785->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9785 = addmethod2pos(obj9707, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9785, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9785[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9785->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9785);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9785->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9785->definitionLine = 2562;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9707);
  Object closure9811 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9811, stackframe);
  addtoclosure(closure9811, var_k);
  struct UserObject *uo9811 = (struct UserObject*)obj9707;
  uo9811->data[9] = (Object)closure9811;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_9811 = addmethod2pos(obj9707, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_9811, 9);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_9811[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9811->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_9811);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9811->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9811->definitionLine = 2571;
// method "map(_)ancestors(_)"
  struct UserObject *uo9814 = (struct UserObject*)obj9707;
  uo9814->data[10] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9814 = addmethod2pos(obj9707, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9814, 10);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9814[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9814->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9814);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9814->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9814->definitionLine = 2572;
// method "pretty(_)"
  struct UserObject *uo9841 = (struct UserObject*)obj9707;
  uo9841->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9841 = addmethod2pos(obj9707, "pretty(1)", &meth_ast_pretty_40_1_41_9841, 11);
  int argcv_meth_ast_pretty_40_1_41_9841[] = {1};
  meth_meth_ast_pretty_40_1_41_9841->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9841);
  meth_meth_ast_pretty_40_1_41_9841->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9841->definitionLine = 2579;
// method "toGrace(_)"
  struct UserObject *uo9935 = (struct UserObject*)obj9707;
  uo9935->data[12] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9935 = addmethod2pos(obj9707, "toGrace(1)", &meth_ast_toGrace_40_1_41_9935, 12);
  int argcv_meth_ast_toGrace_40_1_41_9935[] = {1};
  meth_meth_ast_toGrace_40_1_41_9935->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9935);
  meth_meth_ast_toGrace_40_1_41_9935->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9935->definitionLine = 2591;
// method "shallowCopy"
  block_savedest(obj9707);
  Object closure9977 = createclosure(1, "shallowCopy");
  setclosureframe(closure9977, stackframe);
  addtoclosure(closure9977, var_signaturePart);
  struct UserObject *uo9977 = (struct UserObject*)obj9707;
  uo9977->data[13] = (Object)closure9977;
  Method *meth_meth_ast_shallowCopy9977 = addmethod2pos(obj9707, "shallowCopy", &meth_ast_shallowCopy9977, 13);
  int argcv_meth_ast_shallowCopy9977[] = {0};
  meth_meth_ast_shallowCopy9977->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9977);
  meth_meth_ast_shallowCopy9977->definitionModule = modulename;
  meth_meth_ast_shallowCopy9977->definitionLine = 2601;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo9986 = (struct UserObject*)obj9707;
  uo9986->data[14] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9986 = addmethod2pos(obj9707, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_9986, 14);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_9986[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9986->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_9986);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9986->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9986->definitionLine = 2605;
// method "asString"
  struct UserObject *uo9997 = (struct UserObject*)obj9707;
  uo9997->data[15] = emptyclosure;
  Method *meth_meth_ast_asString9997 = addmethod2pos(obj9707, "asString", &meth_ast_asString9997, 15);
  int argcv_meth_ast_asString9997[] = {0};
  meth_meth_ast_asString9997->type = alloc_MethodType(1, argcv_meth_ast_asString9997);
  meth_meth_ast_asString9997->definitionModule = modulename;
  meth_meth_ast_asString9997->definitionLine = 2611;
  sourceObject = obj9707;
// Begin line 2542
  setline(2542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10008 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10009 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10010 = gc_frame_new();
// call case 3: self.outer request
  Object call10011 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10010);
// compiled member node returning call10011 (depth = 5)
  Object call10012 = callmethodflags(call10011, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10009);
// compiled member node returning call10012 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10013 = callmethodflags(call10012, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10008);
// compiled call node returning call10013 (depth = 3)
  struct UserObject *obj9707_uo = (struct UserObject *)obj9707;
  obj9707_uo->super = call10013;
  sourceObject = obj9707;
// Begin line 2543
  setline(2543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10014 == NULL) {
    strlit10014 = alloc_String("signaturepart");
    gc_root(strlit10014);
  }
// compiled string node returning strlit10014 (depth = 3)
  adddatum2(obj9707, strlit10014, 1);
  sourceObject = obj9707;
// Begin line 2544
  setline(2544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  adddatum2(obj9707, *var_n, 2);
  sourceObject = obj9707;
// Begin line 2545
  setline(2545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ps (depth = 3)
  adddatum2(obj9707, *var_ps, 3);
  sourceObject = obj9707;
// Begin line 2546
  setline(2546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10015 = alloc_Boolean(0);
// compiled identifier node returning bool10015 (depth = 3)
  adddatum2(obj9707, bool10015, 4);
  sourceObject = obj9707;
// Begin line 2547
  setline(2547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10016 = alloc_Float64(0);
// compiled num node returning num10016 (depth = 3)
  adddatum2(obj9707, num10016, 5);
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  objclass9707 = obj9707->class;
  objclass9707->definitionModule = modulename;
  objclass9707->definitionLine = 2541;
  (*(struct UserObject *)self).data[0] = lowerouter9707;
  self = oldself9707;
  selfslot = oldselfslot9707;
  stackframe = oldstackframe9707;
  gc_frame_end(frame);
  return obj9707;
}
Object meth_ast_partName_40_1_41_params_40_1_41_9706_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "partName(1)params(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method partName(_)params(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method partName(_)params(_)");
  Object params[1];
  int partcv[2];
  Object *var_k = getfromclosure(closure, 0);
  Object *var_signaturePart = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for partName(_)params(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_n = &(stackframe->slots[0]);
  *var_n = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part partName(_)");
  Object *var_ps = &(stackframe->slots[1]);
  *var_ps = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part params(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject9707 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9707 = alloc_userobj2(19,16, objclass9707);
  gc_frame_newslot(obj9707);
if (objclass9707 == NULL) {
  glfree(obj9707->class->name);
  obj9707->class->name = "partName(_)params(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9707, self, 0);
  addmethodreal(obj9707,"outer", &reader_ast_outer_9708);
  Object oldself9707 = self;
  struct StackFrameObject *oldstackframe9707 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9707);
  gc_frame_newslot((Object)stackframe);
  self = obj9707;
  Object *oldselfslot9707 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9707 = (*(struct UserObject *)self).data[0], lowerouter9707 = thisouter9707;
  if (inheritingObject9707) {
    struct UserObject *inho9707 = (struct UserObject *)inheritingObject9707;
    while (inho9707->super != GraceDefaultObject) inho9707 = (struct UserObject *)inho9707->super;
    inho9707->super = obj9707;
    self = inheritingObject9707;
    *selfslot = self;
    lowerouter9707 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9707;
  }
if (objclass9707 == NULL) {
  Method *reader9709 = addmethodrealflags(obj9707, "kind",&reader_ast_kind_9709, MFLAG_DEF);
  reader9709->definitionModule = modulename;
  reader9709->definitionLine = 2543;
}
adddatum2(obj9707, alloc_Undefined(), 1);
if (objclass9707 == NULL) {
  Method *reader9710 = addmethodrealflags(obj9707, "name", &reader_ast_name_9710, 0);
  Method *writer9710 = addmethodrealflags(obj9707, "name:=(1)", &writer_ast_name_9710, 0);
  reader9710->definitionModule = modulename;
  writer9710->definitionModule = modulename;
  reader9710->definitionLine = 2544;
  writer9710->definitionLine = 2544;
}
obj9707->flags |= OFLAG_MUTABLE;
adddatum2(obj9707, alloc_Undefined(), 2);
if (objclass9707 == NULL) {
  Method *reader9711 = addmethodrealflags(obj9707, "params", &reader_ast_params_9711, 0);
  Method *writer9711 = addmethodrealflags(obj9707, "params:=(1)", &writer_ast_params_9711, 0);
  reader9711->definitionModule = modulename;
  writer9711->definitionModule = modulename;
  reader9711->definitionLine = 2545;
  writer9711->definitionLine = 2545;
}
obj9707->flags |= OFLAG_MUTABLE;
adddatum2(obj9707, alloc_Undefined(), 3);
if (objclass9707 == NULL) {
  Method *reader9712 = addmethodrealflags(obj9707, "typeParams", &reader_ast_typeParams_9712, 0);
  Method *writer9712 = addmethodrealflags(obj9707, "typeParams:=(1)", &writer_ast_typeParams_9712, 0);
  reader9712->definitionModule = modulename;
  writer9712->definitionModule = modulename;
  reader9712->definitionLine = 2546;
  writer9712->definitionLine = 2546;
}
obj9707->flags |= OFLAG_MUTABLE;
adddatum2(obj9707, alloc_Undefined(), 4);
if (objclass9707 == NULL) {
  Method *reader9713 = addmethodrealflags(obj9707, "lineLength", &reader_ast_lineLength_9713, 0);
  Method *writer9713 = addmethodrealflags(obj9707, "lineLength:=(1)", &writer_ast_lineLength_9713, 0);
  reader9713->definitionModule = modulename;
  writer9713->definitionModule = modulename;
  reader9713->definitionLine = 2547;
  writer9713->definitionLine = 2547;
}
obj9707->flags |= OFLAG_MUTABLE;
adddatum2(obj9707, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo9714 = (struct UserObject*)obj9707;
  uo9714->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString9714 = addmethod2pos(obj9707, "nameString", &meth_ast_nameString9714, 6);
  int argcv_meth_ast_nameString9714[] = {0};
  meth_meth_ast_nameString9714->type = alloc_MethodType(1, argcv_meth_ast_nameString9714);
  meth_meth_ast_nameString9714->definitionModule = modulename;
  meth_meth_ast_nameString9714->definitionLine = 2549;
// method "canonicalName"
  struct UserObject *uo9739 = (struct UserObject*)obj9707;
  uo9739->data[7] = emptyclosure;
  Method *meth_meth_ast_canonicalName9739 = addmethod2pos(obj9707, "canonicalName", &meth_ast_canonicalName9739, 7);
  int argcv_meth_ast_canonicalName9739[] = {0};
  meth_meth_ast_canonicalName9739->type = alloc_MethodType(1, argcv_meth_ast_canonicalName9739);
  meth_meth_ast_canonicalName9739->definitionModule = modulename;
  meth_meth_ast_canonicalName9739->definitionLine = 2554;
// method "accept(_)from(_)"
  struct UserObject *uo9785 = (struct UserObject*)obj9707;
  uo9785->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_9785 = addmethod2pos(obj9707, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_9785, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_9785[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_9785->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_9785);
  meth_meth_ast_accept_40_1_41_from_40_1_41_9785->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_9785->definitionLine = 2562;
// method "declarationKindWithAncestors(_)"
  block_savedest(obj9707);
  Object closure9811 = createclosure(1, "declarationKindWithAncestors(1)");
  setclosureframe(closure9811, stackframe);
  addtoclosure(closure9811, var_k);
  struct UserObject *uo9811 = (struct UserObject*)obj9707;
  uo9811->data[9] = (Object)closure9811;
  Method *meth_meth_ast_declarationKindWithAncestors_40_1_41_9811 = addmethod2pos(obj9707, "declarationKindWithAncestors(1)", &meth_ast_declarationKindWithAncestors_40_1_41_9811, 9);
  int argcv_meth_ast_declarationKindWithAncestors_40_1_41_9811[] = {1};
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9811->type = alloc_MethodType(1, argcv_meth_ast_declarationKindWithAncestors_40_1_41_9811);
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9811->definitionModule = modulename;
  meth_meth_ast_declarationKindWithAncestors_40_1_41_9811->definitionLine = 2571;
// method "map(_)ancestors(_)"
  struct UserObject *uo9814 = (struct UserObject*)obj9707;
  uo9814->data[10] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_9814 = addmethod2pos(obj9707, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_9814, 10);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9814[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9814->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_9814);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9814->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_9814->definitionLine = 2572;
// method "pretty(_)"
  struct UserObject *uo9841 = (struct UserObject*)obj9707;
  uo9841->data[11] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_9841 = addmethod2pos(obj9707, "pretty(1)", &meth_ast_pretty_40_1_41_9841, 11);
  int argcv_meth_ast_pretty_40_1_41_9841[] = {1};
  meth_meth_ast_pretty_40_1_41_9841->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_9841);
  meth_meth_ast_pretty_40_1_41_9841->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_9841->definitionLine = 2579;
// method "toGrace(_)"
  struct UserObject *uo9935 = (struct UserObject*)obj9707;
  uo9935->data[12] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_9935 = addmethod2pos(obj9707, "toGrace(1)", &meth_ast_toGrace_40_1_41_9935, 12);
  int argcv_meth_ast_toGrace_40_1_41_9935[] = {1};
  meth_meth_ast_toGrace_40_1_41_9935->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_9935);
  meth_meth_ast_toGrace_40_1_41_9935->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_9935->definitionLine = 2591;
// method "shallowCopy"
  block_savedest(obj9707);
  Object closure9977 = createclosure(1, "shallowCopy");
  setclosureframe(closure9977, stackframe);
  addtoclosure(closure9977, var_signaturePart);
  struct UserObject *uo9977 = (struct UserObject*)obj9707;
  uo9977->data[13] = (Object)closure9977;
  Method *meth_meth_ast_shallowCopy9977 = addmethod2pos(obj9707, "shallowCopy", &meth_ast_shallowCopy9977, 13);
  int argcv_meth_ast_shallowCopy9977[] = {0};
  meth_meth_ast_shallowCopy9977->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy9977);
  meth_meth_ast_shallowCopy9977->definitionModule = modulename;
  meth_meth_ast_shallowCopy9977->definitionLine = 2601;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo9986 = (struct UserObject*)obj9707;
  uo9986->data[14] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9986 = addmethod2pos(obj9707, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_9986, 14);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_9986[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9986->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_9986);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9986->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_9986->definitionLine = 2605;
// method "asString"
  struct UserObject *uo9997 = (struct UserObject*)obj9707;
  uo9997->data[15] = emptyclosure;
  Method *meth_meth_ast_asString9997 = addmethod2pos(obj9707, "asString", &meth_ast_asString9997, 15);
  int argcv_meth_ast_asString9997[] = {0};
  meth_meth_ast_asString9997->type = alloc_MethodType(1, argcv_meth_ast_asString9997);
  meth_meth_ast_asString9997->definitionModule = modulename;
  meth_meth_ast_asString9997->definitionLine = 2611;
  sourceObject = obj9707;
// Begin line 2542
  setline(2542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10008 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10009 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10010 = gc_frame_new();
// call case 3: self.outer request
  Object call10011 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10010);
// compiled member node returning call10011 (depth = 5)
  Object call10012 = callmethodflags(call10011, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10009);
// compiled member node returning call10012 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10013 = callmethodflags(call10012, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10008);
// compiled call node returning call10013 (depth = 3)
  struct UserObject *obj9707_uo = (struct UserObject *)obj9707;
  obj9707_uo->super = call10013;
  sourceObject = obj9707;
// Begin line 2543
  setline(2543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10014 == NULL) {
    strlit10014 = alloc_String("signaturepart");
    gc_root(strlit10014);
  }
// compiled string node returning strlit10014 (depth = 3)
  adddatum2(obj9707, strlit10014, 1);
  sourceObject = obj9707;
// Begin line 2544
  setline(2544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_n (depth = 3)
  adddatum2(obj9707, *var_n, 2);
  sourceObject = obj9707;
// Begin line 2545
  setline(2545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ps (depth = 3)
  adddatum2(obj9707, *var_ps, 3);
  sourceObject = obj9707;
// Begin line 2546
  setline(2546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10015 = alloc_Boolean(0);
// compiled identifier node returning bool10015 (depth = 3)
  adddatum2(obj9707, bool10015, 4);
  sourceObject = obj9707;
// Begin line 2547
  setline(2547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10016 = alloc_Float64(0);
// compiled num node returning num10016 (depth = 3)
  adddatum2(obj9707, num10016, 5);
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  sourceObject = obj9707;
  objclass9707 = obj9707->class;
  objclass9707->definitionModule = modulename;
  objclass9707->definitionLine = 2541;
  (*(struct UserObject *)self).data[0] = lowerouter9707;
  self = oldself9707;
  selfslot = oldselfslot9707;
  stackframe = oldstackframe9707;
  gc_frame_end(frame);
  return obj9707;
}
Object meth_ast_signaturePart10018(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 49, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "signaturePart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_signaturePart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2524
  setline(2524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signaturePart (depth = 3)
  gc_frame_end(frame);
  return *var_signaturePart;
}
Object meth_ast_new10021(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2619
  setline(2619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10022 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10023 == NULL) {
    strlit10023 = alloc_String("");
    gc_root(strlit10023);
  }
// compiled string node returning strlit10023 (depth = 4)
  gc_frame_newslot(strlit10023);
// starting to compile array node (depth = 4)
  Object array10024 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10024 (depth = 4)
  gc_frame_newslot(array10024);
// call case 4: self request
  params[0] = strlit10023;
  params[1] = array10024;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10025 = callmethodflags(self, "request(1)withArgs(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10022);
// compiled call node returning call10025 (depth = 3)
  gc_frame_end(frame);
  return call10025;
}
Object meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10026(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "request(1)withArgs(1)scope(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)scope(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_)scope(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_argList = &(stackframe->slots[1]);
  *var_argList = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *var_s = &(stackframe->slots[2]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part scope(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_result = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "result");
// Begin line 2622
  setline(2622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10027 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_argList (depth = 5)
  gc_frame_newslot(*var_argList);
// call case 4: self request
  params[0] = *var_name;
  params[1] = *var_argList;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10028 = callmethodflags(self, "request(1)withArgs(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10027);
// compiled call node returning call10028 (depth = 4)
  *var_result = call10028;
  if (call10028 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2623
  setline(2623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10029 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call10030 = callmethodflags(*var_result, "scope:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10029);
// compiled call node returning call10030 (depth = 3)
// Begin line 2624
  setline(2624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_result (depth = 3)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_ast_nameString10039(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "nameString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2635
  setline(2635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10042 = alloc_Float64(0);
// compiled num node returning num10042 (depth = 5)
  int op_slot_right_10041 = gc_frame_newslot(num10042);
// starting to compile member node (depth = 5)
  int callframe10044 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10045 = gc_frame_new();
// call case 4: self request
  Object call10046 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10045);
// compiled member node returning call10046 (depth = 6)
  Object call10047 = callmethodflags(call10046, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10044);
// compiled member node returning call10047 (depth = 5)
  int op_slot_left_10041 = gc_frame_newslot(call10047);
  params[0] = num10042;
  partcv[0] = 1;
  Object opresult10048 = callmethod(call10047, "==(1)", 1, partcv, params);
// compiled op node returning opresult10048 (depth = 4)
  Object if10040 = done;
  if (istrue(opresult10048)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10049 = gc_frame_new();
// call case 4: self request
  Object call10050 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10049);
// compiled member node returning call10050 (depth = 5)
  return call10050;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10040 = undefined;
  } else {
  }
// compiled if node returning if10040 (depth = 3)
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10052 == NULL) {
    strlit10052 = alloc_String(")");
    gc_root(strlit10052);
  }
// compiled string node returning strlit10052 (depth = 4)
  int op_slot_right_10051 = gc_frame_newslot(strlit10052);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10055 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10056 = gc_frame_new();
// call case 4: self request
  Object call10057 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10056);
// compiled member node returning call10057 (depth = 6)
  Object call10058 = callmethodflags(call10057, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10055);
// compiled member node returning call10058 (depth = 5)
  int op_slot_right_10054 = gc_frame_newslot(call10058);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10061 == NULL) {
    strlit10061 = alloc_String("(");
    gc_root(strlit10061);
  }
// compiled string node returning strlit10061 (depth = 6)
  int op_slot_right_10060 = gc_frame_newslot(strlit10061);
// starting to compile member node (depth = 6)
  int callframe10063 = gc_frame_new();
// call case 4: self request
  Object call10064 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10063);
// compiled member node returning call10064 (depth = 6)
  int op_slot_left_10060 = gc_frame_newslot(call10064);
  params[0] = strlit10061;
  partcv[0] = 1;
  Object opresult10065 = callmethod(call10064, "++(1)", 1, partcv, params);
// compiled op node returning opresult10065 (depth = 5)
  int op_slot_left_10054 = gc_frame_newslot(opresult10065);
  params[0] = call10058;
  partcv[0] = 1;
  Object opresult10066 = callmethod(opresult10065, "++(1)", 1, partcv, params);
// compiled op node returning opresult10066 (depth = 4)
  int op_slot_left_10051 = gc_frame_newslot(opresult10066);
  params[0] = strlit10052;
  partcv[0] = 1;
  Object opresult10067 = callmethod(opresult10066, "++(1)", 1, partcv, params);
// compiled op node returning opresult10067 (depth = 3)
  gc_frame_end(frame);
  return opresult10067;
}
Object meth_ast__apply_40_1_41_10083(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___4 = &(stackframe->slots[0]);
  *var___4 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10085 == NULL) {
    strlit10085 = alloc_String("_");
    gc_root(strlit10085);
  }
// compiled string node returning strlit10085 (depth = 7)
  int op_slot_right_10084 = gc_frame_newslot(strlit10085);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_10084 = gc_frame_newslot(*var_underScores);
  params[0] = strlit10085;
  partcv[0] = 1;
  Object opresult10087 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult10087 (depth = 6)
  *var_underScores = opresult10087;
  if (opresult10087 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply10091(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_underScores = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10093 == NULL) {
    strlit10093 = alloc_String(",");
    gc_root(strlit10093);
  }
// compiled string node returning strlit10093 (depth = 7)
  int op_slot_right_10092 = gc_frame_newslot(strlit10093);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_underScores (depth = 7)
  int op_slot_left_10092 = gc_frame_newslot(*var_underScores);
  params[0] = strlit10093;
  partcv[0] = 1;
  Object opresult10095 = callmethod(*var_underScores, "++(1)", 1, partcv, params);
// compiled op node returning opresult10095 (depth = 6)
  *var_underScores = opresult10095;
  if (opresult10095 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_canonicalName10068(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "canonicalName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_underScores = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "underScores");
// Begin line 2640
  setline(2640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10071 = alloc_Float64(0);
// compiled num node returning num10071 (depth = 5)
  int op_slot_right_10070 = gc_frame_newslot(num10071);
// starting to compile member node (depth = 5)
  int callframe10073 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10074 = gc_frame_new();
// call case 4: self request
  Object call10075 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10074);
// compiled member node returning call10075 (depth = 6)
  Object call10076 = callmethodflags(call10075, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10073);
// compiled member node returning call10076 (depth = 5)
  int op_slot_left_10070 = gc_frame_newslot(call10076);
  params[0] = num10071;
  partcv[0] = 1;
  Object opresult10077 = callmethod(call10076, "==(1)", 1, partcv, params);
// compiled op node returning opresult10077 (depth = 4)
  Object if10069 = done;
  if (istrue(opresult10077)) {
// starting to compile return node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10078 = gc_frame_new();
// call case 4: self request
  Object call10079 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10078);
// compiled member node returning call10079 (depth = 5)
  return call10079;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if10069 = undefined;
  } else {
  }
// compiled if node returning if10069 (depth = 3)
// Begin line 2641
  setline(2641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10080 == NULL) {
    strlit10080 = alloc_String("");
    gc_root(strlit10080);
  }
// compiled string node returning strlit10080 (depth = 4)
  *var_underScores = strlit10080;
  if (strlit10080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2642
  setline(2642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10081 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10082 = alloc_Block(NULL, NULL, "ast", 2642);
  gc_frame_newslot(block10082);
// method "_apply(_)"
  block_savedest(block10082);
  Object closure10083 = createclosure(2, "_apply(1)");
  setclosureframe(closure10083, stackframe);
  addtoclosure(closure10083, var_underScores);
  addtoclosure(closure10083, selfslot);
  struct UserObject *uo10083 = (struct UserObject*)block10082;
  uo10083->data[0] = (Object)closure10083;
  Method *meth_meth_ast__apply_40_1_41_10083 = addmethod2pos(block10082, "_apply(1)", &meth_ast__apply_40_1_41_10083, 0);
  int argcv_meth_ast__apply_40_1_41_10083[] = {1};
  meth_meth_ast__apply_40_1_41_10083->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10083);
  meth_meth_ast__apply_40_1_41_10083->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10083->definitionLine = 2947;
// compiled block node returning block10082 (depth = 4)
  gc_frame_newslot(block10082);
// Begin line 2643
  setline(2643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block10090 = alloc_Block(NULL, NULL, "ast", 2643);
  gc_frame_newslot(block10090);
// method "_apply"
  block_savedest(block10090);
  Object closure10091 = createclosure(2, "_apply");
  setclosureframe(closure10091, stackframe);
  addtoclosure(closure10091, var_underScores);
  addtoclosure(closure10091, selfslot);
  struct UserObject *uo10091 = (struct UserObject*)block10090;
  uo10091->data[0] = (Object)closure10091;
  Method *meth_meth_ast__apply10091 = addmethod2pos(block10090, "_apply", &meth_ast__apply10091, 0);
  int argcv_meth_ast__apply10091[] = {0};
  meth_meth_ast__apply10091->type = alloc_MethodType(1, argcv_meth_ast__apply10091);
  meth_meth_ast__apply10091->definitionModule = modulename;
  meth_meth_ast__apply10091->definitionLine = 2947;
// compiled block node returning block10090 (depth = 4)
  gc_frame_newslot(block10090);
// call case 6: other requests
// Begin line 2642
  setline(2642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10098 = gc_frame_new();
// call case 4: self request
  Object call10099 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10098);
// compiled member node returning call10099 (depth = 4)
  params[0] = block10082;
  params[1] = block10090;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10100 = callmethodflags(call10099, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10081);
// compiled call node returning call10100 (depth = 3)
// Begin line 2644
  setline(2644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10102 == NULL) {
    strlit10102 = alloc_String(")");
    gc_root(strlit10102);
  }
// compiled string node returning strlit10102 (depth = 4)
  int op_slot_right_10101 = gc_frame_newslot(strlit10102);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_underScores (depth = 5)
  int op_slot_right_10104 = gc_frame_newslot(*var_underScores);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10107 == NULL) {
    strlit10107 = alloc_String("(");
    gc_root(strlit10107);
  }
// compiled string node returning strlit10107 (depth = 6)
  int op_slot_right_10106 = gc_frame_newslot(strlit10107);
// starting to compile member node (depth = 6)
  int callframe10109 = gc_frame_new();
// call case 4: self request
  Object call10110 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10109);
// compiled member node returning call10110 (depth = 6)
  int op_slot_left_10106 = gc_frame_newslot(call10110);
  params[0] = strlit10107;
  partcv[0] = 1;
  Object opresult10111 = callmethod(call10110, "++(1)", 1, partcv, params);
// compiled op node returning opresult10111 (depth = 5)
  int op_slot_left_10104 = gc_frame_newslot(opresult10111);
  params[0] = *var_underScores;
  partcv[0] = 1;
  Object opresult10112 = callmethod(opresult10111, "++(1)", 1, partcv, params);
// compiled op node returning opresult10112 (depth = 4)
  int op_slot_left_10101 = gc_frame_newslot(opresult10112);
  params[0] = strlit10102;
  partcv[0] = 1;
  Object opresult10113 = callmethod(opresult10112, "++(1)", 1, partcv, params);
// compiled op node returning opresult10113 (depth = 3)
  gc_frame_end(frame);
  return opresult10113;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_10114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[3];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2648
  setline(2648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10115 = gc_frame_new();
// call case 4: self request
  Object call10116 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10115);
// compiled member node returning call10116 (depth = 4)
  *var_n = call10116;
  if (call10116 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2649
  setline(2649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10117 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call10118 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10117);
// compiled call node returning call10118 (depth = 4)
  *var_newChain = call10118;
  if (call10118 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2650
  setline(2650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10119 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe10120 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10121 = gc_frame_new();
// call case 4: self request
  Object call10122 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10121);
// compiled member node returning call10122 (depth = 5)
  gc_frame_newslot(call10122);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blk (depth = 5)
  gc_frame_newslot(*var_blk);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newChain (depth = 5)
  gc_frame_newslot(*var_newChain);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10123 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10124 = gc_frame_new();
// call case 3: self.outer request
  Object call10125 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10124);
// compiled member node returning call10125 (depth = 6)
  Object call10126 = callmethodflags(call10125, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10123);
// compiled member node returning call10126 (depth = 5)
  params[0] = call10122;
  params[1] = *var_blk;
  params[2] = *var_newChain;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10127 = callmethodflags(call10126, "listMap(2)ancestors(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10120);
// compiled call node returning call10127 (depth = 4)
  gc_frame_newslot(call10127);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  params[0] = call10127;
  partcv[0] = 1;
  Object call10128 = callmethodflags(*var_n, "args:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10119);
// compiled call node returning call10128 (depth = 3)
// Begin line 2651
  setline(2651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10129 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call10130 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10129);
// compiled call node returning call10130 (depth = 3)
  gc_frame_end(frame);
  return call10130;
}
Object meth_ast__apply10139(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 2656
  setline(2656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10141 == NULL) {
    strlit10141 = alloc_String("  ");
    gc_root(strlit10141);
  }
// compiled string node returning strlit10141 (depth = 7)
  int op_slot_right_10140 = gc_frame_newslot(strlit10141);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_spc (depth = 7)
  int op_slot_left_10140 = gc_frame_newslot(*var_spc);
  params[0] = strlit10141;
  partcv[0] = 1;
  Object opresult10143 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult10143 (depth = 6)
  *var_spc = opresult10143;
  if (opresult10143 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_10186(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_spc = getfromclosure(closure, 1);
  Object *var_s = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2661
  setline(2661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10188 == NULL) {
    strlit10188 = alloc_String("");
    gc_root(strlit10188);
  }
// compiled string node returning strlit10188 (depth = 7)
  int op_slot_right_10187 = gc_frame_newslot(strlit10188);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10191 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10193 = alloc_Float64(4);
// compiled num node returning num10193 (depth = 10)
  int op_slot_right_10192 = gc_frame_newslot(num10193);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_10192 = gc_frame_newslot(*var_depth);
  params[0] = num10193;
  partcv[0] = 1;
  Object sum10195 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10195 (depth = 9)
  gc_frame_newslot(sum10195);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_a (depth = 9)
  params[0] = sum10195;
  partcv[0] = 1;
  Object call10196 = callmethodflags(*var_a, "pretty(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10191);
// compiled call node returning call10196 (depth = 8)
  int op_slot_right_10190 = gc_frame_newslot(call10196);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10199 == NULL) {
    strlit10199 = alloc_String("");
    gc_root(strlit10199);
  }
// compiled string node returning strlit10199 (depth = 9)
  int op_slot_right_10198 = gc_frame_newslot(strlit10199);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_spc (depth = 10)
  int op_slot_right_10201 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10204 == NULL) {
    strlit10204 = alloc_String("""\x0a""    ");
    gc_root(strlit10204);
  }
// compiled string node returning strlit10204 (depth = 11)
  int op_slot_right_10203 = gc_frame_newslot(strlit10204);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_s (depth = 12)
  int op_slot_right_10206 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 12)
  if (strlit10208 == NULL) {
    strlit10208 = alloc_String("");
    gc_root(strlit10208);
  }
// compiled string node returning strlit10208 (depth = 12)
  int op_slot_left_10206 = gc_frame_newslot(strlit10208);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10209 = callmethod(strlit10208, "++(1)", 1, partcv, params);
// compiled op node returning opresult10209 (depth = 11)
  int op_slot_left_10203 = gc_frame_newslot(opresult10209);
  params[0] = strlit10204;
  partcv[0] = 1;
  Object opresult10210 = callmethod(opresult10209, "++(1)", 1, partcv, params);
// compiled op node returning opresult10210 (depth = 10)
  int op_slot_left_10201 = gc_frame_newslot(opresult10210);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10211 = callmethod(opresult10210, "++(1)", 1, partcv, params);
// compiled op node returning opresult10211 (depth = 9)
  int op_slot_left_10198 = gc_frame_newslot(opresult10211);
  params[0] = strlit10199;
  partcv[0] = 1;
  Object opresult10212 = callmethod(opresult10211, "++(1)", 1, partcv, params);
// compiled op node returning opresult10212 (depth = 8)
  int op_slot_left_10190 = gc_frame_newslot(opresult10212);
  params[0] = call10196;
  partcv[0] = 1;
  Object opresult10213 = callmethod(opresult10212, "++(1)", 1, partcv, params);
// compiled op node returning opresult10213 (depth = 7)
  int op_slot_left_10187 = gc_frame_newslot(opresult10213);
  params[0] = strlit10188;
  partcv[0] = 1;
  Object opresult10214 = callmethod(opresult10213, "++(1)", 1, partcv, params);
// compiled op node returning opresult10214 (depth = 6)
  *var_s = opresult10214;
  if (opresult10214 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_10131(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
  Object *var_s = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "s");
// Begin line 2654
  setline(2654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10132 == NULL) {
    strlit10132 = alloc_String("");
    gc_root(strlit10132);
  }
// compiled string node returning strlit10132 (depth = 4)
  *var_spc = strlit10132;
  if (strlit10132 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2655
  setline(2655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10133 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10135 = alloc_Float64(1);
// compiled num node returning num10135 (depth = 5)
  int op_slot_right_10134 = gc_frame_newslot(num10135);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_10134 = gc_frame_newslot(*var_depth);
  params[0] = num10135;
  partcv[0] = 1;
  Object sum10137 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10137 (depth = 4)
  gc_frame_newslot(sum10137);
// starting to compile block node (depth = 4)
  Object block10138 = alloc_Block(NULL, NULL, "ast", 2655);
  gc_frame_newslot(block10138);
// method "_apply"
  block_savedest(block10138);
  Object closure10139 = createclosure(2, "_apply");
  setclosureframe(closure10139, stackframe);
  addtoclosure(closure10139, var_spc);
  addtoclosure(closure10139, selfslot);
  struct UserObject *uo10139 = (struct UserObject*)block10138;
  uo10139->data[0] = (Object)closure10139;
  Method *meth_meth_ast__apply10139 = addmethod2pos(block10138, "_apply", &meth_ast__apply10139, 0);
  int argcv_meth_ast__apply10139[] = {0};
  meth_meth_ast__apply10139->type = alloc_MethodType(1, argcv_meth_ast__apply10139);
  meth_meth_ast__apply10139->definitionModule = modulename;
  meth_meth_ast__apply10139->definitionLine = 2947;
// compiled block node returning block10138 (depth = 4)
  gc_frame_newslot(block10138);
// call case 5: prelude request
  params[0] = sum10137;
  params[1] = block10138;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10146 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10133);
// compiled call node returning call10146 (depth = 3)
// Begin line 2658
  setline(2658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10148 == NULL) {
    strlit10148 = alloc_String("");
    gc_root(strlit10148);
  }
// compiled string node returning strlit10148 (depth = 5)
  int op_slot_right_10147 = gc_frame_newslot(strlit10148);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10151 = gc_frame_new();
// call case 4: self request
  Object call10152 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10151);
// compiled member node returning call10152 (depth = 6)
  int op_slot_right_10150 = gc_frame_newslot(call10152);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10155 == NULL) {
    strlit10155 = alloc_String(": ");
    gc_root(strlit10155);
  }
// compiled string node returning strlit10155 (depth = 7)
  int op_slot_right_10154 = gc_frame_newslot(strlit10155);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10158 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 1: super request
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10159 = callmethod4(self, "pretty(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe10158);
// compiled call node returning call10159 (depth = 8)
  int op_slot_right_10157 = gc_frame_newslot(call10159);
// starting to compile string node (depth = 8)
  if (strlit10161 == NULL) {
    strlit10161 = alloc_String("");
    gc_root(strlit10161);
  }
// compiled string node returning strlit10161 (depth = 8)
  int op_slot_left_10157 = gc_frame_newslot(strlit10161);
  params[0] = call10159;
  partcv[0] = 1;
  Object opresult10162 = callmethod(strlit10161, "++(1)", 1, partcv, params);
// compiled op node returning opresult10162 (depth = 7)
  int op_slot_left_10154 = gc_frame_newslot(opresult10162);
  params[0] = strlit10155;
  partcv[0] = 1;
  Object opresult10163 = callmethod(opresult10162, "++(1)", 1, partcv, params);
// compiled op node returning opresult10163 (depth = 6)
  int op_slot_left_10150 = gc_frame_newslot(opresult10163);
  params[0] = call10152;
  partcv[0] = 1;
  Object opresult10164 = callmethod(opresult10163, "++(1)", 1, partcv, params);
// compiled op node returning opresult10164 (depth = 5)
  int op_slot_left_10147 = gc_frame_newslot(opresult10164);
  params[0] = strlit10148;
  partcv[0] = 1;
  Object opresult10165 = callmethod(opresult10164, "++(1)", 1, partcv, params);
// compiled op node returning opresult10165 (depth = 4)
  *var_s = opresult10165;
  if (opresult10165 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2659
  setline(2659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10167 == NULL) {
    strlit10167 = alloc_String("Args:");
    gc_root(strlit10167);
  }
// compiled string node returning strlit10167 (depth = 5)
  int op_slot_right_10166 = gc_frame_newslot(strlit10167);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_right_10169 = gc_frame_newslot(*var_spc);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10172 == NULL) {
    strlit10172 = alloc_String("""\x0a""    ");
    gc_root(strlit10172);
  }
// compiled string node returning strlit10172 (depth = 7)
  int op_slot_right_10171 = gc_frame_newslot(strlit10172);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_right_10174 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 8)
  if (strlit10176 == NULL) {
    strlit10176 = alloc_String("");
    gc_root(strlit10176);
  }
// compiled string node returning strlit10176 (depth = 8)
  int op_slot_left_10174 = gc_frame_newslot(strlit10176);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10177 = callmethod(strlit10176, "++(1)", 1, partcv, params);
// compiled op node returning opresult10177 (depth = 7)
  int op_slot_left_10171 = gc_frame_newslot(opresult10177);
  params[0] = strlit10172;
  partcv[0] = 1;
  Object opresult10178 = callmethod(opresult10177, "++(1)", 1, partcv, params);
// compiled op node returning opresult10178 (depth = 6)
  int op_slot_left_10169 = gc_frame_newslot(opresult10178);
  params[0] = *var_spc;
  partcv[0] = 1;
  Object opresult10179 = callmethod(opresult10178, "++(1)", 1, partcv, params);
// compiled op node returning opresult10179 (depth = 5)
  int op_slot_left_10166 = gc_frame_newslot(opresult10179);
  params[0] = strlit10167;
  partcv[0] = 1;
  Object opresult10180 = callmethod(opresult10179, "++(1)", 1, partcv, params);
// compiled op node returning opresult10180 (depth = 4)
  *var_s = opresult10180;
  if (opresult10180 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2660
  setline(2660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10182 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10183 = gc_frame_new();
// call case 4: self request
  Object call10184 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10183);
// compiled member node returning call10184 (depth = 4)
  gc_frame_newslot(call10184);
// starting to compile block node (depth = 4)
  Object block10185 = alloc_Block(NULL, NULL, "ast", 2660);
  gc_frame_newslot(block10185);
// method "_apply(_)"
  block_savedest(block10185);
  Object closure10186 = createclosure(4, "_apply(1)");
  setclosureframe(closure10186, stackframe);
  addtoclosure(closure10186, var_depth);
  addtoclosure(closure10186, var_spc);
  addtoclosure(closure10186, var_s);
  addtoclosure(closure10186, selfslot);
  struct UserObject *uo10186 = (struct UserObject*)block10185;
  uo10186->data[0] = (Object)closure10186;
  Method *meth_meth_ast__apply_40_1_41_10186 = addmethod2pos(block10185, "_apply(1)", &meth_ast__apply_40_1_41_10186, 0);
  int argcv_meth_ast__apply_40_1_41_10186[] = {1};
  meth_meth_ast__apply_40_1_41_10186->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10186);
  meth_meth_ast__apply_40_1_41_10186->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10186->definitionLine = 2947;
// compiled block node returning block10185 (depth = 4)
  gc_frame_newslot(block10185);
// call case 5: prelude request
  params[0] = call10184;
  params[1] = block10185;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10217 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10182);
// compiled call node returning call10217 (depth = 3)
// Begin line 2663
  setline(2663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast__apply_40_1_41_10237(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_tArg = &(stackframe->slots[0]);
  *var_tArg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2670
  setline(2670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10239 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10241 = alloc_Float64(1);
// compiled num node returning num10241 (depth = 10)
  int op_slot_right_10240 = gc_frame_newslot(num10241);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_depth (depth = 10)
  int op_slot_left_10240 = gc_frame_newslot(*var_depth);
  params[0] = num10241;
  partcv[0] = 1;
  Object sum10243 = callmethod(*var_depth, "+(1)", 1, partcv, params);
// compiled op node returning sum10243 (depth = 9)
  gc_frame_newslot(sum10243);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tArg (depth = 9)
  params[0] = sum10243;
  partcv[0] = 1;
  Object call10244 = callmethodflags(*var_tArg, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10239);
// compiled call node returning call10244 (depth = 8)
  int op_slot_right_10238 = gc_frame_newslot(call10244);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10238 = gc_frame_newslot(*var_s);
  params[0] = call10244;
  partcv[0] = 1;
  Object opresult10246 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10246 (depth = 7)
  *var_s = opresult10246;
  if (opresult10246 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply10250(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10252 == NULL) {
    strlit10252 = alloc_String(", ");
    gc_root(strlit10252);
  }
// compiled string node returning strlit10252 (depth = 8)
  int op_slot_right_10251 = gc_frame_newslot(strlit10252);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10251 = gc_frame_newslot(*var_s);
  params[0] = strlit10252;
  partcv[0] = 1;
  Object opresult10254 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10254 (depth = 7)
  *var_s = opresult10254;
  if (opresult10254 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply_40_1_41_10302(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_depth = getfromclosure(closure, 0);
  Object *var_s = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_arg = &(stackframe->slots[0]);
  *var_arg = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2678
  setline(2678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10304 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_depth (depth = 9)
  gc_frame_newslot(*var_depth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arg (depth = 9)
  params[0] = *var_depth;
  partcv[0] = 1;
  Object call10305 = callmethodflags(*var_arg, "toGrace(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10304);
// compiled call node returning call10305 (depth = 8)
  int op_slot_right_10303 = gc_frame_newslot(call10305);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10303 = gc_frame_newslot(*var_s);
  params[0] = call10305;
  partcv[0] = 1;
  Object opresult10307 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10307 (depth = 7)
  *var_s = opresult10307;
  if (opresult10307 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast__apply10311(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 2680
  setline(2680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10313 == NULL) {
    strlit10313 = alloc_String(", ");
    gc_root(strlit10313);
  }
// compiled string node returning strlit10313 (depth = 8)
  int op_slot_right_10312 = gc_frame_newslot(strlit10313);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  int op_slot_left_10312 = gc_frame_newslot(*var_s);
  params[0] = strlit10313;
  partcv[0] = 1;
  Object opresult10315 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10315 (depth = 7)
  *var_s = opresult10315;
  if (opresult10315 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_10218(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
  Object *var_needsParens = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "needsParens");
// Begin line 2666
  setline(2666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10219 = gc_frame_new();
// call case 4: self request
  Object call10220 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10219);
// compiled member node returning call10220 (depth = 4)
  *var_s = call10220;
  if (call10220 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2667
  setline(2667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10223 = alloc_Float64(0);
// compiled num node returning num10223 (depth = 5)
  int op_slot_right_10222 = gc_frame_newslot(num10223);
// starting to compile member node (depth = 5)
  int callframe10225 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10226 = gc_frame_new();
// call case 4: self request
  Object call10227 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10226);
// compiled member node returning call10227 (depth = 6)
  Object call10228 = callmethodflags(call10227, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10225);
// compiled member node returning call10228 (depth = 5)
  int op_slot_left_10222 = gc_frame_newslot(call10228);
  params[0] = num10223;
  partcv[0] = 1;
  Object opresult10229 = callmethod(call10228, ">(1)", 1, partcv, params);
// compiled op node returning opresult10229 (depth = 4)
  Object if10221 = done;
  if (istrue(opresult10229)) {
// Begin line 2668
  setline(2668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10231 == NULL) {
    strlit10231 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit10231);
  }
// compiled string node returning strlit10231 (depth = 6)
  int op_slot_right_10230 = gc_frame_newslot(strlit10231);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10230 = gc_frame_newslot(*var_s);
  params[0] = strlit10231;
  partcv[0] = 1;
  Object opresult10233 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10233 (depth = 5)
  *var_s = opresult10233;
  if (opresult10233 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10235 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10236 = alloc_Block(NULL, NULL, "ast", 2669);
  gc_frame_newslot(block10236);
// method "_apply(_)"
  block_savedest(block10236);
  Object closure10237 = createclosure(3, "_apply(1)");
  setclosureframe(closure10237, stackframe);
  addtoclosure(closure10237, var_depth);
  addtoclosure(closure10237, var_s);
  addtoclosure(closure10237, selfslot);
  struct UserObject *uo10237 = (struct UserObject*)block10236;
  uo10237->data[0] = (Object)closure10237;
  Method *meth_meth_ast__apply_40_1_41_10237 = addmethod2pos(block10236, "_apply(1)", &meth_ast__apply_40_1_41_10237, 0);
  int argcv_meth_ast__apply_40_1_41_10237[] = {1};
  meth_meth_ast__apply_40_1_41_10237->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10237);
  meth_meth_ast__apply_40_1_41_10237->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10237->definitionLine = 2947;
// compiled block node returning block10236 (depth = 5)
  gc_frame_newslot(block10236);
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block10249 = alloc_Block(NULL, NULL, "ast", 2671);
  gc_frame_newslot(block10249);
// method "_apply"
  block_savedest(block10249);
  Object closure10250 = createclosure(2, "_apply");
  setclosureframe(closure10250, stackframe);
  addtoclosure(closure10250, var_s);
  addtoclosure(closure10250, selfslot);
  struct UserObject *uo10250 = (struct UserObject*)block10249;
  uo10250->data[0] = (Object)closure10250;
  Method *meth_meth_ast__apply10250 = addmethod2pos(block10249, "_apply", &meth_ast__apply10250, 0);
  int argcv_meth_ast__apply10250[] = {0};
  meth_meth_ast__apply10250->type = alloc_MethodType(1, argcv_meth_ast__apply10250);
  meth_meth_ast__apply10250->definitionModule = modulename;
  meth_meth_ast__apply10250->definitionLine = 2947;
// compiled block node returning block10249 (depth = 5)
  gc_frame_newslot(block10249);
// call case 6: other requests
// Begin line 2669
  setline(2669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10257 = gc_frame_new();
// call case 4: self request
  Object call10258 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10257);
// compiled member node returning call10258 (depth = 5)
  params[0] = block10236;
  params[1] = block10249;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10259 = callmethodflags(call10258, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10235);
// compiled call node returning call10259 (depth = 4)
// Begin line 2672
  setline(2672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10261 == NULL) {
    strlit10261 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit10261);
  }
// compiled string node returning strlit10261 (depth = 6)
  int op_slot_right_10260 = gc_frame_newslot(strlit10261);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10260 = gc_frame_newslot(*var_s);
  params[0] = strlit10261;
  partcv[0] = 1;
  Object opresult10263 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10263 (depth = 5)
  *var_s = opresult10263;
  if (opresult10263 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10221 = done;
  } else {
  }
// compiled if node returning if10221 (depth = 3)
// Begin line 2674
  setline(2674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10267 = alloc_Float64(0);
// compiled num node returning num10267 (depth = 5)
  int op_slot_right_10266 = gc_frame_newslot(num10267);
// starting to compile member node (depth = 5)
  int callframe10269 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10270 = gc_frame_new();
// call case 4: self request
  Object call10271 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10270);
// compiled member node returning call10271 (depth = 6)
  Object call10272 = callmethodflags(call10271, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10269);
// compiled member node returning call10272 (depth = 5)
  int op_slot_left_10266 = gc_frame_newslot(call10272);
  params[0] = num10267;
  partcv[0] = 1;
  Object opresult10273 = callmethod(call10272, ">(1)", 1, partcv, params);
// compiled op node returning opresult10273 (depth = 4)
  Object if10265 = done;
  if (istrue(opresult10273)) {
// Begin line 2675
  setline(2675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10275 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10276 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10277 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe10278 = gc_frame_new();
// call case 4: self request
  Object call10279 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10278);
// compiled member node returning call10279 (depth = 9)
  Object call10280 = callmethodflags(call10279, "first", 0, partcv, params, 0);
  gc_frame_end(callframe10277);
// compiled member node returning call10280 (depth = 8)
  Object call10281 = callmethodflags(call10280, "isDelimited", 0, partcv, params, 0);
  gc_frame_end(callframe10276);
// compiled member node returning call10281 (depth = 7)
  Object call10282 = callmethodflags(call10281, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10275);
// compiled member node returning call10282 (depth = 6)
  int op_slot_right_10274 = gc_frame_newslot(call10282);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num10285 = alloc_Float64(1);
// compiled num node returning num10285 (depth = 7)
  int op_slot_right_10284 = gc_frame_newslot(num10285);
// starting to compile member node (depth = 7)
  int callframe10287 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10288 = gc_frame_new();
// call case 4: self request
  Object call10289 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10288);
// compiled member node returning call10289 (depth = 8)
  Object call10290 = callmethodflags(call10289, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10287);
// compiled member node returning call10290 (depth = 7)
  int op_slot_left_10284 = gc_frame_newslot(call10290);
  params[0] = num10285;
  partcv[0] = 1;
  Object opresult10291 = callmethod(call10290, ">(1)", 1, partcv, params);
// compiled op node returning opresult10291 (depth = 6)
  int op_slot_left_10274 = gc_frame_newslot(opresult10291);
  params[0] = call10282;
  partcv[0] = 1;
  Object opresult10292 = callmethod(opresult10291, "||(1)", 1, partcv, params);
// compiled op node returning opresult10292 (depth = 5)
  *var_needsParens = opresult10292;
  if (opresult10292 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2676
  setline(2676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_needsParens (depth = 7)
  Object if10294 = done;
struct StackFrameObject *iftmpstackframe10294 = stackframe;
  if (istrue(*var_needsParens)) {
stackframe = alloc_StackFrame(0, iftmpstackframe10294);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 7)
  if (strlit10295 == NULL) {
    strlit10295 = alloc_String("(");
    gc_root(strlit10295);
  }
// compiled string node returning strlit10295 (depth = 7)
    gc_frame_newslot(strlit10295);
    if10294 = strlit10295;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe10294);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 7)
  if (strlit10296 == NULL) {
    strlit10296 = alloc_String(" ");
    gc_root(strlit10296);
  }
// compiled string node returning strlit10296 (depth = 7)
    gc_frame_newslot(strlit10296);
    if10294 = strlit10296;
  }
stackframe = iftmpstackframe10294;
// compiled if node returning if10294 (depth = 6)
  int op_slot_right_10293 = gc_frame_newslot(if10294);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s (depth = 6)
  int op_slot_left_10293 = gc_frame_newslot(*var_s);
  params[0] = if10294;
  partcv[0] = 1;
  Object opresult10298 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10298 (depth = 5)
  *var_s = opresult10298;
  if (opresult10298 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10300 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10301 = alloc_Block(NULL, NULL, "ast", 2677);
  gc_frame_newslot(block10301);
// method "_apply(_)"
  block_savedest(block10301);
  Object closure10302 = createclosure(3, "_apply(1)");
  setclosureframe(closure10302, stackframe);
  addtoclosure(closure10302, var_depth);
  addtoclosure(closure10302, var_s);
  addtoclosure(closure10302, selfslot);
  struct UserObject *uo10302 = (struct UserObject*)block10301;
  uo10302->data[0] = (Object)closure10302;
  Method *meth_meth_ast__apply_40_1_41_10302 = addmethod2pos(block10301, "_apply(1)", &meth_ast__apply_40_1_41_10302, 0);
  int argcv_meth_ast__apply_40_1_41_10302[] = {1};
  meth_meth_ast__apply_40_1_41_10302->type = alloc_MethodType(1, argcv_meth_ast__apply_40_1_41_10302);
  meth_meth_ast__apply_40_1_41_10302->definitionModule = modulename;
  meth_meth_ast__apply_40_1_41_10302->definitionLine = 2947;
// compiled block node returning block10301 (depth = 5)
  gc_frame_newslot(block10301);
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block10310 = alloc_Block(NULL, NULL, "ast", 2679);
  gc_frame_newslot(block10310);
// method "_apply"
  block_savedest(block10310);
  Object closure10311 = createclosure(2, "_apply");
  setclosureframe(closure10311, stackframe);
  addtoclosure(closure10311, var_s);
  addtoclosure(closure10311, selfslot);
  struct UserObject *uo10311 = (struct UserObject*)block10310;
  uo10311->data[0] = (Object)closure10311;
  Method *meth_meth_ast__apply10311 = addmethod2pos(block10310, "_apply", &meth_ast__apply10311, 0);
  int argcv_meth_ast__apply10311[] = {0};
  meth_meth_ast__apply10311->type = alloc_MethodType(1, argcv_meth_ast__apply10311);
  meth_meth_ast__apply10311->definitionModule = modulename;
  meth_meth_ast__apply10311->definitionLine = 2947;
// compiled block node returning block10310 (depth = 5)
  gc_frame_newslot(block10310);
// call case 6: other requests
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10318 = gc_frame_new();
// call case 4: self request
  Object call10319 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10318);
// compiled member node returning call10319 (depth = 5)
  params[0] = block10301;
  params[1] = block10310;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10320 = callmethodflags(call10319, "do(1)separatedBy(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10300);
// compiled call node returning call10320 (depth = 4)
// Begin line 2682
  setline(2682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_needsParens (depth = 5)
  Object if10321 = done;
  if (istrue(*var_needsParens)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10323 == NULL) {
    strlit10323 = alloc_String(")");
    gc_root(strlit10323);
  }
// compiled string node returning strlit10323 (depth = 7)
  int op_slot_right_10322 = gc_frame_newslot(strlit10323);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_10322 = gc_frame_newslot(*var_s);
  params[0] = strlit10323;
  partcv[0] = 1;
  Object opresult10325 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10325 (depth = 6)
  *var_s = opresult10325;
  if (opresult10325 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if10321 = done;
  } else {
  }
// compiled if node returning if10321 (depth = 4)
    gc_frame_newslot(if10321);
    if10265 = if10321;
  } else {
  }
// compiled if node returning if10265 (depth = 3)
// Begin line 2684
  setline(2684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  gc_frame_end(frame);
  return *var_s;
}
Object meth_ast_shallowCopy10327(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2688
  setline(2688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10328 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe10329 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10330 = gc_frame_new();
// call case 4: self request
  Object call10331 = callmethodflags(self, "name", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10330);
// compiled member node returning call10331 (depth = 5)
  gc_frame_newslot(call10331);
// starting to compile member node (depth = 5)
  int callframe10332 = gc_frame_new();
// call case 4: self request
  Object call10333 = callmethodflags(self, "args", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10332);
// compiled member node returning call10333 (depth = 5)
  gc_frame_newslot(call10333);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_requestPart (depth = 5)
  params[0] = call10331;
  params[1] = call10333;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10334 = callmethodflags(*var_requestPart, "request(1)withArgs(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10329);
// compiled call node returning call10334 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call10335 = callmethodflags(call10334, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10328);
// compiled call node returning call10335 (depth = 3)
  gc_frame_end(frame);
  return call10335;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_10336(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2691
  setline(2691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10337 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call10338 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe10337);
// compiled call node returning call10338 (depth = 3)
// Begin line 2692
  setline(2692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10339 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10340 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10341 = callmethodflags(*var_other, "lineLength", 0, partcv, params, 0);
  gc_frame_end(callframe10340);
// compiled member node returning call10341 (depth = 4)
  gc_frame_newslot(call10341);
// call case 4: self request
  params[0] = call10341;
  partcv[0] = 1;
  Object call10342 = callmethodflags(self, "lineLength:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10339);
// compiled call node returning call10342 (depth = 3)
// Begin line 2693
  setline(2693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_statementName10343(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "statementName");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2695
  setline(2695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10344 == NULL) {
    strlit10344 = alloc_String("request");
    gc_root(strlit10344);
  }
// compiled string node returning strlit10344 (depth = 3)
  gc_frame_end(frame);
  return strlit10344;
}
Object meth_ast_request_40_1_41_withArgs_40_1_41_10031(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "request(1)withArgs(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method request(_)withArgs(_)");
  Object params[1];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_rPart = &(stackframe->slots[0]);
  *var_rPart = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_xs = &(stackframe->slots[1]);
  *var_xs = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10032 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10032 = alloc_userobj2(17,14, objclass10032);
  gc_frame_newslot(obj10032);
if (objclass10032 == NULL) {
  glfree(obj10032->class->name);
  obj10032->class->name = "request(_)withArgs(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10032, self, 0);
  addmethodreal(obj10032,"outer", &reader_ast_outer_10033);
  Object oldself10032 = self;
  struct StackFrameObject *oldstackframe10032 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10032);
  gc_frame_newslot((Object)stackframe);
  self = obj10032;
  Object *oldselfslot10032 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10032 = (*(struct UserObject *)self).data[0], lowerouter10032 = thisouter10032;
  if (inheritingObject10032) {
    struct UserObject *inho10032 = (struct UserObject *)inheritingObject10032;
    while (inho10032->super != GraceDefaultObject) inho10032 = (struct UserObject *)inho10032->super;
    inho10032->super = obj10032;
    self = inheritingObject10032;
    *selfslot = self;
    lowerouter10032 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10032;
  }
if (objclass10032 == NULL) {
  Method *reader10034 = addmethodrealflags(obj10032, "kind",&reader_ast_kind_10034, MFLAG_DEF);
  reader10034->definitionModule = modulename;
  reader10034->definitionLine = 2628;
}
adddatum2(obj10032, alloc_Undefined(), 1);
if (objclass10032 == NULL) {
  Method *reader10035 = addmethodrealflags(obj10032, "name", &reader_ast_name_10035, 0);
  Method *writer10035 = addmethodrealflags(obj10032, "name:=(1)", &writer_ast_name_10035, 0);
  reader10035->definitionModule = modulename;
  writer10035->definitionModule = modulename;
  reader10035->definitionLine = 2629;
  writer10035->definitionLine = 2629;
}
obj10032->flags |= OFLAG_MUTABLE;
adddatum2(obj10032, alloc_Undefined(), 2);
if (objclass10032 == NULL) {
  Method *reader10036 = addmethodrealflags(obj10032, "args", &reader_ast_args_10036, 0);
  Method *writer10036 = addmethodrealflags(obj10032, "args:=(1)", &writer_ast_args_10036, 0);
  reader10036->definitionModule = modulename;
  writer10036->definitionModule = modulename;
  reader10036->definitionLine = 2630;
  writer10036->definitionLine = 2630;
}
obj10032->flags |= OFLAG_MUTABLE;
adddatum2(obj10032, alloc_Undefined(), 3);
if (objclass10032 == NULL) {
  Method *reader10037 = addmethodrealflags(obj10032, "typeArgs", &reader_ast_typeArgs_10037, MFLAG_CONFIDENTIAL);
  Method *writer10037 = addmethodrealflags(obj10032, "typeArgs:=(1)", &writer_ast_typeArgs_10037, MFLAG_CONFIDENTIAL);
  reader10037->definitionModule = modulename;
  writer10037->definitionModule = modulename;
  reader10037->definitionLine = 2631;
  writer10037->definitionLine = 2631;
}
obj10032->flags |= OFLAG_MUTABLE;
adddatum2(obj10032, alloc_Undefined(), 4);
if (objclass10032 == NULL) {
  Method *reader10038 = addmethodrealflags(obj10032, "lineLength", &reader_ast_lineLength_10038, 0);
  Method *writer10038 = addmethodrealflags(obj10032, "lineLength:=(1)", &writer_ast_lineLength_10038, 0);
  reader10038->definitionModule = modulename;
  writer10038->definitionModule = modulename;
  reader10038->definitionLine = 2632;
  writer10038->definitionLine = 2632;
}
obj10032->flags |= OFLAG_MUTABLE;
adddatum2(obj10032, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo10039 = (struct UserObject*)obj10032;
  uo10039->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString10039 = addmethod2pos(obj10032, "nameString", &meth_ast_nameString10039, 6);
  int argcv_meth_ast_nameString10039[] = {0};
  meth_meth_ast_nameString10039->type = alloc_MethodType(1, argcv_meth_ast_nameString10039);
  meth_meth_ast_nameString10039->definitionModule = modulename;
  meth_meth_ast_nameString10039->definitionLine = 2634;
// method "canonicalName"
  struct UserObject *uo10068 = (struct UserObject*)obj10032;
  uo10068->data[7] = emptyclosure;
  Method *meth_meth_ast_canonicalName10068 = addmethod2pos(obj10032, "canonicalName", &meth_ast_canonicalName10068, 7);
  int argcv_meth_ast_canonicalName10068[] = {0};
  meth_meth_ast_canonicalName10068->type = alloc_MethodType(1, argcv_meth_ast_canonicalName10068);
  meth_meth_ast_canonicalName10068->definitionModule = modulename;
  meth_meth_ast_canonicalName10068->definitionLine = 2639;
// method "map(_)ancestors(_)"
  struct UserObject *uo10114 = (struct UserObject*)obj10032;
  uo10114->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_10114 = addmethod2pos(obj10032, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_10114, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10114[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10114->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10114);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10114->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10114->definitionLine = 2647;
// method "pretty(_)"
  struct UserObject *uo10131 = (struct UserObject*)obj10032;
  uo10131->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_10131 = addmethod2pos(obj10032, "pretty(1)", &meth_ast_pretty_40_1_41_10131, 9);
  int argcv_meth_ast_pretty_40_1_41_10131[] = {1};
  meth_meth_ast_pretty_40_1_41_10131->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_10131);
  meth_meth_ast_pretty_40_1_41_10131->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_10131->definitionLine = 2653;
// method "toGrace(_)"
  struct UserObject *uo10218 = (struct UserObject*)obj10032;
  uo10218->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_10218 = addmethod2pos(obj10032, "toGrace(1)", &meth_ast_toGrace_40_1_41_10218, 10);
  int argcv_meth_ast_toGrace_40_1_41_10218[] = {1};
  meth_meth_ast_toGrace_40_1_41_10218->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10218);
  meth_meth_ast_toGrace_40_1_41_10218->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10218->definitionLine = 2665;
// method "shallowCopy"
  block_savedest(obj10032);
  Object closure10327 = createclosure(1, "shallowCopy");
  setclosureframe(closure10327, stackframe);
  addtoclosure(closure10327, var_requestPart);
  struct UserObject *uo10327 = (struct UserObject*)obj10032;
  uo10327->data[11] = (Object)closure10327;
  Method *meth_meth_ast_shallowCopy10327 = addmethod2pos(obj10032, "shallowCopy", &meth_ast_shallowCopy10327, 11);
  int argcv_meth_ast_shallowCopy10327[] = {0};
  meth_meth_ast_shallowCopy10327->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10327);
  meth_meth_ast_shallowCopy10327->definitionModule = modulename;
  meth_meth_ast_shallowCopy10327->definitionLine = 2687;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo10336 = (struct UserObject*)obj10032;
  uo10336->data[12] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10336 = addmethod2pos(obj10032, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_10336, 12);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_10336[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10336->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_10336);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10336->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10336->definitionLine = 2690;
// method "statementName"
  struct UserObject *uo10343 = (struct UserObject*)obj10032;
  uo10343->data[13] = emptyclosure;
  Method *meth_meth_ast_statementName10343 = addmethod2pos(obj10032, "statementName", &meth_ast_statementName10343, 13);
  int argcv_meth_ast_statementName10343[] = {0};
  meth_meth_ast_statementName10343->type = alloc_MethodType(1, argcv_meth_ast_statementName10343);
  meth_meth_ast_statementName10343->definitionModule = modulename;
  meth_meth_ast_statementName10343->definitionLine = 2695;
  sourceObject = obj10032;
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10345 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10346 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10347 = gc_frame_new();
// call case 3: self.outer request
  Object call10348 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10347);
// compiled member node returning call10348 (depth = 5)
  Object call10349 = callmethodflags(call10348, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10346);
// compiled member node returning call10349 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10350 = callmethodflags(call10349, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10345);
// compiled call node returning call10350 (depth = 3)
  struct UserObject *obj10032_uo = (struct UserObject *)obj10032;
  obj10032_uo->super = call10350;
  sourceObject = obj10032;
// Begin line 2628
  setline(2628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10351 == NULL) {
    strlit10351 = alloc_String("callwithpart");
    gc_root(strlit10351);
  }
// compiled string node returning strlit10351 (depth = 3)
  adddatum2(obj10032, strlit10351, 1);
  sourceObject = obj10032;
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rPart (depth = 3)
  adddatum2(obj10032, *var_rPart, 2);
  sourceObject = obj10032;
// Begin line 2630
  setline(2630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_xs (depth = 3)
  adddatum2(obj10032, *var_xs, 3);
  sourceObject = obj10032;
// Begin line 2631
  setline(2631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  adddatum2(obj10032, *var_emptySeq, 4);
  sourceObject = obj10032;
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10352 = alloc_Float64(0);
// compiled num node returning num10352 (depth = 3)
  adddatum2(obj10032, num10352, 5);
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  objclass10032 = obj10032->class;
  objclass10032->definitionModule = modulename;
  objclass10032->definitionLine = 2626;
  (*(struct UserObject *)self).data[0] = lowerouter10032;
  self = oldself10032;
  selfslot = oldselfslot10032;
  stackframe = oldstackframe10032;
  gc_frame_end(frame);
  return obj10032;
}
Object meth_ast_request_40_1_41_withArgs_40_1_41_10031_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "request(1)withArgs(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0] + argcv[1]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method request(_)withArgs(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments for method request(_)withArgs(_)");
  Object params[1];
  int partcv[2];
  Object *var_requestPart = getfromclosure(closure, 0);
  Object *var_emptySeq = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for request(_)withArgs(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_rPart = &(stackframe->slots[0]);
  *var_rPart = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part request(_)");
  Object *var_xs = &(stackframe->slots[1]);
  *var_xs = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part withArgs(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10032 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10032 = alloc_userobj2(17,14, objclass10032);
  gc_frame_newslot(obj10032);
if (objclass10032 == NULL) {
  glfree(obj10032->class->name);
  obj10032->class->name = "request(_)withArgs(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10032, self, 0);
  addmethodreal(obj10032,"outer", &reader_ast_outer_10033);
  Object oldself10032 = self;
  struct StackFrameObject *oldstackframe10032 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10032);
  gc_frame_newslot((Object)stackframe);
  self = obj10032;
  Object *oldselfslot10032 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10032 = (*(struct UserObject *)self).data[0], lowerouter10032 = thisouter10032;
  if (inheritingObject10032) {
    struct UserObject *inho10032 = (struct UserObject *)inheritingObject10032;
    while (inho10032->super != GraceDefaultObject) inho10032 = (struct UserObject *)inho10032->super;
    inho10032->super = obj10032;
    self = inheritingObject10032;
    *selfslot = self;
    lowerouter10032 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10032;
  }
if (objclass10032 == NULL) {
  Method *reader10034 = addmethodrealflags(obj10032, "kind",&reader_ast_kind_10034, MFLAG_DEF);
  reader10034->definitionModule = modulename;
  reader10034->definitionLine = 2628;
}
adddatum2(obj10032, alloc_Undefined(), 1);
if (objclass10032 == NULL) {
  Method *reader10035 = addmethodrealflags(obj10032, "name", &reader_ast_name_10035, 0);
  Method *writer10035 = addmethodrealflags(obj10032, "name:=(1)", &writer_ast_name_10035, 0);
  reader10035->definitionModule = modulename;
  writer10035->definitionModule = modulename;
  reader10035->definitionLine = 2629;
  writer10035->definitionLine = 2629;
}
obj10032->flags |= OFLAG_MUTABLE;
adddatum2(obj10032, alloc_Undefined(), 2);
if (objclass10032 == NULL) {
  Method *reader10036 = addmethodrealflags(obj10032, "args", &reader_ast_args_10036, 0);
  Method *writer10036 = addmethodrealflags(obj10032, "args:=(1)", &writer_ast_args_10036, 0);
  reader10036->definitionModule = modulename;
  writer10036->definitionModule = modulename;
  reader10036->definitionLine = 2630;
  writer10036->definitionLine = 2630;
}
obj10032->flags |= OFLAG_MUTABLE;
adddatum2(obj10032, alloc_Undefined(), 3);
if (objclass10032 == NULL) {
  Method *reader10037 = addmethodrealflags(obj10032, "typeArgs", &reader_ast_typeArgs_10037, MFLAG_CONFIDENTIAL);
  Method *writer10037 = addmethodrealflags(obj10032, "typeArgs:=(1)", &writer_ast_typeArgs_10037, MFLAG_CONFIDENTIAL);
  reader10037->definitionModule = modulename;
  writer10037->definitionModule = modulename;
  reader10037->definitionLine = 2631;
  writer10037->definitionLine = 2631;
}
obj10032->flags |= OFLAG_MUTABLE;
adddatum2(obj10032, alloc_Undefined(), 4);
if (objclass10032 == NULL) {
  Method *reader10038 = addmethodrealflags(obj10032, "lineLength", &reader_ast_lineLength_10038, 0);
  Method *writer10038 = addmethodrealflags(obj10032, "lineLength:=(1)", &writer_ast_lineLength_10038, 0);
  reader10038->definitionModule = modulename;
  writer10038->definitionModule = modulename;
  reader10038->definitionLine = 2632;
  writer10038->definitionLine = 2632;
}
obj10032->flags |= OFLAG_MUTABLE;
adddatum2(obj10032, alloc_Undefined(), 5);
// method "nameString"
  struct UserObject *uo10039 = (struct UserObject*)obj10032;
  uo10039->data[6] = emptyclosure;
  Method *meth_meth_ast_nameString10039 = addmethod2pos(obj10032, "nameString", &meth_ast_nameString10039, 6);
  int argcv_meth_ast_nameString10039[] = {0};
  meth_meth_ast_nameString10039->type = alloc_MethodType(1, argcv_meth_ast_nameString10039);
  meth_meth_ast_nameString10039->definitionModule = modulename;
  meth_meth_ast_nameString10039->definitionLine = 2634;
// method "canonicalName"
  struct UserObject *uo10068 = (struct UserObject*)obj10032;
  uo10068->data[7] = emptyclosure;
  Method *meth_meth_ast_canonicalName10068 = addmethod2pos(obj10032, "canonicalName", &meth_ast_canonicalName10068, 7);
  int argcv_meth_ast_canonicalName10068[] = {0};
  meth_meth_ast_canonicalName10068->type = alloc_MethodType(1, argcv_meth_ast_canonicalName10068);
  meth_meth_ast_canonicalName10068->definitionModule = modulename;
  meth_meth_ast_canonicalName10068->definitionLine = 2639;
// method "map(_)ancestors(_)"
  struct UserObject *uo10114 = (struct UserObject*)obj10032;
  uo10114->data[8] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_10114 = addmethod2pos(obj10032, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_10114, 8);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10114[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10114->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10114);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10114->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10114->definitionLine = 2647;
// method "pretty(_)"
  struct UserObject *uo10131 = (struct UserObject*)obj10032;
  uo10131->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_10131 = addmethod2pos(obj10032, "pretty(1)", &meth_ast_pretty_40_1_41_10131, 9);
  int argcv_meth_ast_pretty_40_1_41_10131[] = {1};
  meth_meth_ast_pretty_40_1_41_10131->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_10131);
  meth_meth_ast_pretty_40_1_41_10131->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_10131->definitionLine = 2653;
// method "toGrace(_)"
  struct UserObject *uo10218 = (struct UserObject*)obj10032;
  uo10218->data[10] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_10218 = addmethod2pos(obj10032, "toGrace(1)", &meth_ast_toGrace_40_1_41_10218, 10);
  int argcv_meth_ast_toGrace_40_1_41_10218[] = {1};
  meth_meth_ast_toGrace_40_1_41_10218->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10218);
  meth_meth_ast_toGrace_40_1_41_10218->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10218->definitionLine = 2665;
// method "shallowCopy"
  block_savedest(obj10032);
  Object closure10327 = createclosure(1, "shallowCopy");
  setclosureframe(closure10327, stackframe);
  addtoclosure(closure10327, var_requestPart);
  struct UserObject *uo10327 = (struct UserObject*)obj10032;
  uo10327->data[11] = (Object)closure10327;
  Method *meth_meth_ast_shallowCopy10327 = addmethod2pos(obj10032, "shallowCopy", &meth_ast_shallowCopy10327, 11);
  int argcv_meth_ast_shallowCopy10327[] = {0};
  meth_meth_ast_shallowCopy10327->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10327);
  meth_meth_ast_shallowCopy10327->definitionModule = modulename;
  meth_meth_ast_shallowCopy10327->definitionLine = 2687;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo10336 = (struct UserObject*)obj10032;
  uo10336->data[12] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10336 = addmethod2pos(obj10032, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_10336, 12);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_10336[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10336->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_10336);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10336->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10336->definitionLine = 2690;
// method "statementName"
  struct UserObject *uo10343 = (struct UserObject*)obj10032;
  uo10343->data[13] = emptyclosure;
  Method *meth_meth_ast_statementName10343 = addmethod2pos(obj10032, "statementName", &meth_ast_statementName10343, 13);
  int argcv_meth_ast_statementName10343[] = {0};
  meth_meth_ast_statementName10343->type = alloc_MethodType(1, argcv_meth_ast_statementName10343);
  meth_meth_ast_statementName10343->definitionModule = modulename;
  meth_meth_ast_statementName10343->definitionLine = 2695;
  sourceObject = obj10032;
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10345 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10346 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10347 = gc_frame_new();
// call case 3: self.outer request
  Object call10348 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10347);
// compiled member node returning call10348 (depth = 5)
  Object call10349 = callmethodflags(call10348, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10346);
// compiled member node returning call10349 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10350 = callmethodflags(call10349, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10345);
// compiled call node returning call10350 (depth = 3)
  struct UserObject *obj10032_uo = (struct UserObject *)obj10032;
  obj10032_uo->super = call10350;
  sourceObject = obj10032;
// Begin line 2628
  setline(2628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10351 == NULL) {
    strlit10351 = alloc_String("callwithpart");
    gc_root(strlit10351);
  }
// compiled string node returning strlit10351 (depth = 3)
  adddatum2(obj10032, strlit10351, 1);
  sourceObject = obj10032;
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_rPart (depth = 3)
  adddatum2(obj10032, *var_rPart, 2);
  sourceObject = obj10032;
// Begin line 2630
  setline(2630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_xs (depth = 3)
  adddatum2(obj10032, *var_xs, 3);
  sourceObject = obj10032;
// Begin line 2631
  setline(2631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_emptySeq (depth = 3)
  adddatum2(obj10032, *var_emptySeq, 4);
  sourceObject = obj10032;
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num10352 = alloc_Float64(0);
// compiled num node returning num10352 (depth = 3)
  adddatum2(obj10032, num10352, 5);
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  sourceObject = obj10032;
  objclass10032 = obj10032->class;
  objclass10032->definitionModule = modulename;
  objclass10032->definitionLine = 2626;
  (*(struct UserObject *)self).data[0] = lowerouter10032;
  self = oldself10032;
  selfslot = oldselfslot10032;
  stackframe = oldstackframe10032;
  gc_frame_end(frame);
  return obj10032;
}
Object meth_ast_requestPart10354(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 50, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "requestPart");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_requestPart = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2617
  setline(2617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_requestPart (depth = 3)
  gc_frame_end(frame);
  return *var_requestPart;
}
Object meth_ast_isComment10365(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isComment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2707
  setline(2707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10366 = alloc_Boolean(1);
// compiled identifier node returning bool10366 (depth = 3)
  gc_frame_end(frame);
  return bool10366;
}
Object meth_ast_isLegalInTrait10367(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isLegalInTrait");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2708
  setline(2708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10368 = alloc_Boolean(1);
// compiled identifier node returning bool10368 (depth = 3)
  gc_frame_end(frame);
  return bool10368;
}
Object meth_ast_isExecutable10369(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "isExecutable");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2709
  setline(2709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10370 = alloc_Boolean(0);
// compiled identifier node returning bool10370 (depth = 3)
  gc_frame_end(frame);
  return bool10370;
}
Object meth_ast_asString10371(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2710
  setline(2710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10373 == NULL) {
    strlit10373 = alloc_String("");
    gc_root(strlit10373);
  }
// compiled string node returning strlit10373 (depth = 4)
  int op_slot_right_10372 = gc_frame_newslot(strlit10373);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10376 = gc_frame_new();
// call case 4: self request
  Object call10377 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10376);
// compiled member node returning call10377 (depth = 5)
  int op_slot_right_10375 = gc_frame_newslot(call10377);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10380 == NULL) {
    strlit10380 = alloc_String("): ");
    gc_root(strlit10380);
  }
// compiled string node returning strlit10380 (depth = 6)
  int op_slot_right_10379 = gc_frame_newslot(strlit10380);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10383 = gc_frame_new();
// call case 4: self request
  Object call10384 = callmethodflags(self, "endLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10383);
// compiled member node returning call10384 (depth = 7)
  int op_slot_right_10382 = gc_frame_newslot(call10384);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10387 == NULL) {
    strlit10387 = alloc_String("""\xe2""""\x80""""\x93""");
    gc_root(strlit10387);
  }
// compiled string node returning strlit10387 (depth = 8)
  int op_slot_right_10386 = gc_frame_newslot(strlit10387);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe10390 = gc_frame_new();
// call case 4: self request
  Object call10391 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10390);
// compiled member node returning call10391 (depth = 9)
  int op_slot_right_10389 = gc_frame_newslot(call10391);
// starting to compile string node (depth = 9)
  if (strlit10393 == NULL) {
    strlit10393 = alloc_String("comment (");
    gc_root(strlit10393);
  }
// compiled string node returning strlit10393 (depth = 9)
  int op_slot_left_10389 = gc_frame_newslot(strlit10393);
  params[0] = call10391;
  partcv[0] = 1;
  Object opresult10394 = callmethod(strlit10393, "++(1)", 1, partcv, params);
// compiled op node returning opresult10394 (depth = 8)
  int op_slot_left_10386 = gc_frame_newslot(opresult10394);
  params[0] = strlit10387;
  partcv[0] = 1;
  Object opresult10395 = callmethod(opresult10394, "++(1)", 1, partcv, params);
// compiled op node returning opresult10395 (depth = 7)
  int op_slot_left_10382 = gc_frame_newslot(opresult10395);
  params[0] = call10384;
  partcv[0] = 1;
  Object opresult10396 = callmethod(opresult10395, "++(1)", 1, partcv, params);
// compiled op node returning opresult10396 (depth = 6)
  int op_slot_left_10379 = gc_frame_newslot(opresult10396);
  params[0] = strlit10380;
  partcv[0] = 1;
  Object opresult10397 = callmethod(opresult10396, "++(1)", 1, partcv, params);
// compiled op node returning opresult10397 (depth = 5)
  int op_slot_left_10375 = gc_frame_newslot(opresult10397);
  params[0] = call10377;
  partcv[0] = 1;
  Object opresult10398 = callmethod(opresult10397, "++(1)", 1, partcv, params);
// compiled op node returning opresult10398 (depth = 4)
  int op_slot_left_10372 = gc_frame_newslot(opresult10398);
  params[0] = strlit10373;
  partcv[0] = 1;
  Object opresult10399 = callmethod(opresult10398, "++(1)", 1, partcv, params);
// compiled op node returning opresult10399 (depth = 3)
  gc_frame_end(frame);
  return opresult10399;
}
Object meth_ast_extendCommentUsing_40_1_41_10400(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "extendCommentUsing(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method extendCommentUsing(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for extendCommentUsing(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cmtNode = &(stackframe->slots[0]);
  *var_cmtNode = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part extendCommentUsing(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2712
  setline(2712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10401 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10403 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cmtNode (depth = 6)
  Object call10404 = callmethodflags(*var_cmtNode, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10403);
// compiled member node returning call10404 (depth = 5)
  int op_slot_right_10402 = gc_frame_newslot(call10404);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10407 == NULL) {
    strlit10407 = alloc_String(" ");
    gc_root(strlit10407);
  }
// compiled string node returning strlit10407 (depth = 6)
  int op_slot_right_10406 = gc_frame_newslot(strlit10407);
// starting to compile member node (depth = 6)
  int callframe10409 = gc_frame_new();
// call case 4: self request
  Object call10410 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10409);
// compiled member node returning call10410 (depth = 6)
  int op_slot_left_10406 = gc_frame_newslot(call10410);
  params[0] = strlit10407;
  partcv[0] = 1;
  Object opresult10411 = callmethod(call10410, "++(1)", 1, partcv, params);
// compiled op node returning opresult10411 (depth = 5)
  int op_slot_left_10402 = gc_frame_newslot(opresult10411);
  params[0] = call10404;
  partcv[0] = 1;
  Object opresult10412 = callmethod(opresult10411, "++(1)", 1, partcv, params);
// compiled op node returning opresult10412 (depth = 4)
  gc_frame_newslot(opresult10412);
// call case 4: self request
  params[0] = opresult10412;
  partcv[0] = 1;
  Object call10413 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10401);
// compiled call node returning call10413 (depth = 3)
// Begin line 2713
  setline(2713);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10414 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10415 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cmtNode (depth = 5)
  Object call10416 = callmethodflags(*var_cmtNode, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe10415);
// compiled member node returning call10416 (depth = 4)
  gc_frame_newslot(call10416);
// call case 4: self request
  params[0] = call10416;
  partcv[0] = 1;
  Object call10417 = callmethodflags(self, "endLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10414);
// compiled call node returning call10417 (depth = 3)
  gc_frame_end(frame);
  return call10417;
}
Object meth_ast_map_40_1_41_ancestors_40_1_41_10418(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "map(1)ancestors(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method map(_)ancestors(_)");
  Object params[2];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for map(_)ancestors(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_blk = &(stackframe->slots[0]);
  *var_blk = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part map(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ancestors(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_newChain = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newChain");
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10419 = gc_frame_new();
// call case 4: self request
  Object call10420 = callmethodflags(self, "shallowCopy", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10419);
// compiled member node returning call10420 (depth = 4)
  *var_n = call10420;
  if (call10420 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2717
  setline(2717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe10421 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_as (depth = 5)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call10422 = callmethodflags(*var_as, "extend(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10421);
// compiled call node returning call10422 (depth = 4)
  *var_newChain = call10422;
  if (call10422 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2718
  setline(2718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10423 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blk (depth = 4)
  params[0] = *var_n;
  params[1] = *var_as;
  partcv[0] = 2;
  Object call10424 = callmethodflags(*var_blk, "apply(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10423);
// compiled call node returning call10424 (depth = 3)
  gc_frame_end(frame);
  return call10424;
}
Object meth_ast_accept_40_1_41_from_40_1_41_10425(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "accept(1)from(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)from(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)from(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_visitor = &(stackframe->slots[0]);
  *var_visitor = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part from(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2721
  setline(2721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10426 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_as (depth = 4)
  gc_frame_newslot(*var_as);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_visitor (depth = 4)
  params[0] = self;
  params[1] = *var_as;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10427 = callmethodflags(*var_visitor, "visitComment(1)up(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10426);
// compiled call node returning call10427 (depth = 3)
  gc_frame_end(frame);
  return call10427;
}
Object meth_ast__apply10436(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 5)
// Begin line 2726
  setline(2726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10438 == NULL) {
    strlit10438 = alloc_String("  ");
    gc_root(strlit10438);
  }
// compiled string node returning strlit10438 (depth = 7)
  int op_slot_right_10437 = gc_frame_newslot(strlit10438);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  int op_slot_left_10437 = gc_frame_newslot(*var_s);
  params[0] = strlit10438;
  partcv[0] = 1;
  Object opresult10440 = callmethod(*var_s, "++(1)", 1, partcv, params);
// compiled op node returning opresult10440 (depth = 6)
  *var_s = opresult10440;
  if (opresult10440 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_pretty_40_1_41_10428(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pretty(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method pretty(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for pretty(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part pretty(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "s");
  Object *var_pb = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "pb");
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10429 == NULL) {
    strlit10429 = alloc_String("""\x0a""");
    gc_root(strlit10429);
  }
// compiled string node returning strlit10429 (depth = 4)
  *var_s = strlit10429;
  if (strlit10429 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2725
  setline(2725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10430 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10432 = alloc_Float64(1);
// compiled num node returning num10432 (depth = 5)
  int op_slot_right_10431 = gc_frame_newslot(num10432);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  int op_slot_left_10431 = gc_frame_newslot(*var_depth);
  params[0] = num10432;
  partcv[0] = 1;
  Object diff10434 = callmethod(*var_depth, "-(1)", 1, partcv, params);
// compiled op node returning diff10434 (depth = 4)
  gc_frame_newslot(diff10434);
// starting to compile block node (depth = 4)
  Object block10435 = alloc_Block(NULL, NULL, "ast", 2725);
  gc_frame_newslot(block10435);
// method "_apply"
  block_savedest(block10435);
  Object closure10436 = createclosure(2, "_apply");
  setclosureframe(closure10436, stackframe);
  addtoclosure(closure10436, var_s);
  addtoclosure(closure10436, selfslot);
  struct UserObject *uo10436 = (struct UserObject*)block10435;
  uo10436->data[0] = (Object)closure10436;
  Method *meth_meth_ast__apply10436 = addmethod2pos(block10435, "_apply", &meth_ast__apply10436, 0);
  int argcv_meth_ast__apply10436[] = {0};
  meth_meth_ast__apply10436->type = alloc_MethodType(1, argcv_meth_ast__apply10436);
  meth_meth_ast__apply10436->definitionModule = modulename;
  meth_meth_ast__apply10436->definitionLine = 2947;
// compiled block node returning block10435 (depth = 4)
  gc_frame_newslot(block10435);
// call case 5: prelude request
  params[0] = diff10434;
  params[1] = block10435;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10443 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10430);
// compiled call node returning call10443 (depth = 3)
// Begin line 2728
  setline(2728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10445 = gc_frame_new();
// call case 4: self request
  Object call10446 = callmethodflags(self, "isPreceededByBlankLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10445);
// compiled member node returning call10446 (depth = 5)
  Object if10444 = done;
struct StackFrameObject *iftmpstackframe10444 = stackframe;
  if (istrue(call10446)) {
stackframe = alloc_StackFrame(0, iftmpstackframe10444);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit10447 == NULL) {
    strlit10447 = alloc_String(" > blank");
    gc_root(strlit10447);
  }
// compiled string node returning strlit10447 (depth = 5)
    gc_frame_newslot(strlit10447);
    if10444 = strlit10447;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe10444);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit10448 == NULL) {
    strlit10448 = alloc_String("");
    gc_root(strlit10448);
  }
// compiled string node returning strlit10448 (depth = 5)
    gc_frame_newslot(strlit10448);
    if10444 = strlit10448;
  }
stackframe = iftmpstackframe10444;
// compiled if node returning if10444 (depth = 4)
  *var_pb = if10444;
  if (if10444 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2729
  setline(2729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10450 == NULL) {
    strlit10450 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit10450);
  }
// compiled string node returning strlit10450 (depth = 4)
  int op_slot_right_10449 = gc_frame_newslot(strlit10450);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10453 = gc_frame_new();
// call case 4: self request
  Object call10454 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10453);
// compiled member node returning call10454 (depth = 5)
  int op_slot_right_10452 = gc_frame_newslot(call10454);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10457 == NULL) {
    strlit10457 = alloc_String("): ""\xe2""""\x80""""\xb9""");
    gc_root(strlit10457);
  }
// compiled string node returning strlit10457 (depth = 6)
  int op_slot_right_10456 = gc_frame_newslot(strlit10457);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10460 = gc_frame_new();
// call case 4: self request
  Object call10461 = callmethodflags(self, "endLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10460);
// compiled member node returning call10461 (depth = 7)
  int op_slot_right_10459 = gc_frame_newslot(call10461);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10464 == NULL) {
    strlit10464 = alloc_String("""\xe2""""\x80""""\x93""");
    gc_root(strlit10464);
  }
// compiled string node returning strlit10464 (depth = 8)
  int op_slot_right_10463 = gc_frame_newslot(strlit10464);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe10467 = gc_frame_new();
// call case 4: self request
  Object call10468 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10467);
// compiled member node returning call10468 (depth = 9)
  int op_slot_right_10466 = gc_frame_newslot(call10468);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit10471 == NULL) {
    strlit10471 = alloc_String("(");
    gc_root(strlit10471);
  }
// compiled string node returning strlit10471 (depth = 10)
  int op_slot_right_10470 = gc_frame_newslot(strlit10471);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_pb (depth = 11)
  int op_slot_right_10473 = gc_frame_newslot(*var_pb);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit10476 == NULL) {
    strlit10476 = alloc_String("Comment");
    gc_root(strlit10476);
  }
// compiled string node returning strlit10476 (depth = 12)
  int op_slot_right_10475 = gc_frame_newslot(strlit10476);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_s (depth = 13)
  int op_slot_right_10478 = gc_frame_newslot(*var_s);
// starting to compile string node (depth = 13)
  if (strlit10480 == NULL) {
    strlit10480 = alloc_String("");
    gc_root(strlit10480);
  }
// compiled string node returning strlit10480 (depth = 13)
  int op_slot_left_10478 = gc_frame_newslot(strlit10480);
  params[0] = *var_s;
  partcv[0] = 1;
  Object opresult10481 = callmethod(strlit10480, "++(1)", 1, partcv, params);
// compiled op node returning opresult10481 (depth = 12)
  int op_slot_left_10475 = gc_frame_newslot(opresult10481);
  params[0] = strlit10476;
  partcv[0] = 1;
  Object opresult10482 = callmethod(opresult10481, "++(1)", 1, partcv, params);
// compiled op node returning opresult10482 (depth = 11)
  int op_slot_left_10473 = gc_frame_newslot(opresult10482);
  params[0] = *var_pb;
  partcv[0] = 1;
  Object opresult10483 = callmethod(opresult10482, "++(1)", 1, partcv, params);
// compiled op node returning opresult10483 (depth = 10)
  int op_slot_left_10470 = gc_frame_newslot(opresult10483);
  params[0] = strlit10471;
  partcv[0] = 1;
  Object opresult10484 = callmethod(opresult10483, "++(1)", 1, partcv, params);
// compiled op node returning opresult10484 (depth = 9)
  int op_slot_left_10466 = gc_frame_newslot(opresult10484);
  params[0] = call10468;
  partcv[0] = 1;
  Object opresult10485 = callmethod(opresult10484, "++(1)", 1, partcv, params);
// compiled op node returning opresult10485 (depth = 8)
  int op_slot_left_10463 = gc_frame_newslot(opresult10485);
  params[0] = strlit10464;
  partcv[0] = 1;
  Object opresult10486 = callmethod(opresult10485, "++(1)", 1, partcv, params);
// compiled op node returning opresult10486 (depth = 7)
  int op_slot_left_10459 = gc_frame_newslot(opresult10486);
  params[0] = call10461;
  partcv[0] = 1;
  Object opresult10487 = callmethod(opresult10486, "++(1)", 1, partcv, params);
// compiled op node returning opresult10487 (depth = 6)
  int op_slot_left_10456 = gc_frame_newslot(opresult10487);
  params[0] = strlit10457;
  partcv[0] = 1;
  Object opresult10488 = callmethod(opresult10487, "++(1)", 1, partcv, params);
// compiled op node returning opresult10488 (depth = 5)
  int op_slot_left_10452 = gc_frame_newslot(opresult10488);
  params[0] = call10454;
  partcv[0] = 1;
  Object opresult10489 = callmethod(opresult10488, "++(1)", 1, partcv, params);
// compiled op node returning opresult10489 (depth = 4)
  int op_slot_left_10449 = gc_frame_newslot(opresult10489);
  params[0] = strlit10450;
  partcv[0] = 1;
  Object opresult10490 = callmethod(opresult10489, "++(1)", 1, partcv, params);
// compiled op node returning opresult10490 (depth = 3)
  gc_frame_end(frame);
  return opresult10490;
}
Object meth_ast__apply10508(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spc = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10510 == NULL) {
    strlit10510 = alloc_String("    ");
    gc_root(strlit10510);
  }
// compiled string node returning strlit10510 (depth = 8)
  int op_slot_right_10509 = gc_frame_newslot(strlit10510);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_spc (depth = 8)
  int op_slot_left_10509 = gc_frame_newslot(*var_spc);
  params[0] = strlit10510;
  partcv[0] = 1;
  Object opresult10512 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult10512 (depth = 7)
  *var_spc = opresult10512;
  if (opresult10512 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_ast_toGrace_40_1_41_10491(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "toGrace(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toGrace(_)");
  Object params[3];
  int partcv[3];
  Object *var_lineLength = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toGrace(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_depth = &(stackframe->slots[0]);
  *var_depth = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toGrace(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_spc = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "spc");
// Begin line 2734
  setline(2734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10493 = gc_frame_new();
// call case 4: self request
  Object call10494 = callmethodflags(self, "isPartialLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10493);
// compiled member node returning call10494 (depth = 4)
  Object if10492 = done;
  if (istrue(call10494)) {
// Begin line 2735
  setline(2735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10496 == NULL) {
    strlit10496 = alloc_String("");
    gc_root(strlit10496);
  }
// compiled string node returning strlit10496 (depth = 5)
  int op_slot_right_10495 = gc_frame_newslot(strlit10496);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10499 = gc_frame_new();
// call case 4: self request
  Object call10500 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10499);
// compiled member node returning call10500 (depth = 6)
  int op_slot_right_10498 = gc_frame_newslot(call10500);
// starting to compile string node (depth = 6)
  if (strlit10502 == NULL) {
    strlit10502 = alloc_String("// (partial) ");
    gc_root(strlit10502);
  }
// compiled string node returning strlit10502 (depth = 6)
  int op_slot_left_10498 = gc_frame_newslot(strlit10502);
  params[0] = call10500;
  partcv[0] = 1;
  Object opresult10503 = callmethod(strlit10502, "++(1)", 1, partcv, params);
// compiled op node returning opresult10503 (depth = 5)
  int op_slot_left_10495 = gc_frame_newslot(opresult10503);
  params[0] = strlit10496;
  partcv[0] = 1;
  Object opresult10504 = callmethod(opresult10503, "++(1)", 1, partcv, params);
// compiled op node returning opresult10504 (depth = 4)
    gc_frame_newslot(opresult10504);
    if10492 = opresult10504;
  } else {
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10505 == NULL) {
    strlit10505 = alloc_String("");
    gc_root(strlit10505);
  }
// compiled string node returning strlit10505 (depth = 5)
  *var_spc = strlit10505;
  if (strlit10505 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2738
  setline(2738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10506 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_depth (depth = 5)
  gc_frame_newslot(*var_depth);
// starting to compile block node (depth = 5)
  Object block10507 = alloc_Block(NULL, NULL, "ast", 2738);
  gc_frame_newslot(block10507);
// method "_apply"
  block_savedest(block10507);
  Object closure10508 = createclosure(2, "_apply");
  setclosureframe(closure10508, stackframe);
  addtoclosure(closure10508, var_spc);
  addtoclosure(closure10508, selfslot);
  struct UserObject *uo10508 = (struct UserObject*)block10507;
  uo10508->data[0] = (Object)closure10508;
  Method *meth_meth_ast__apply10508 = addmethod2pos(block10507, "_apply", &meth_ast__apply10508, 0);
  int argcv_meth_ast__apply10508[] = {0};
  meth_meth_ast__apply10508->type = alloc_MethodType(1, argcv_meth_ast__apply10508);
  meth_meth_ast__apply10508->definitionModule = modulename;
  meth_meth_ast__apply10508->definitionLine = 2947;
// compiled block node returning block10507 (depth = 5)
  gc_frame_newslot(block10507);
// call case 5: prelude request
  params[0] = *var_depth;
  params[1] = block10507;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10515 = callmethodflags(prelude, "repeat(1)times(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10506);
// compiled call node returning call10515 (depth = 4)
// Begin line 2739
  setline(2739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10516 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10517 = gc_frame_new();
// call case 4: self request
  Object call10518 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10517);
// compiled member node returning call10518 (depth = 5)
  gc_frame_newslot(call10518);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lineLength (depth = 5)
  gc_frame_newslot(*var_lineLength);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10520 == NULL) {
    strlit10520 = alloc_String("// ");
    gc_root(strlit10520);
  }
// compiled string node returning strlit10520 (depth = 6)
  int op_slot_right_10519 = gc_frame_newslot(strlit10520);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_spc (depth = 6)
  int op_slot_left_10519 = gc_frame_newslot(*var_spc);
  params[0] = strlit10520;
  partcv[0] = 1;
  Object opresult10522 = callmethod(*var_spc, "++(1)", 1, partcv, params);
// compiled op node returning opresult10522 (depth = 5)
  gc_frame_newslot(opresult10522);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10523 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10524 = gc_frame_new();
// call case 3: self.outer request
  Object call10525 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10524);
// compiled member node returning call10525 (depth = 6)
  Object call10526 = callmethodflags(call10525, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10523);
// compiled member node returning call10526 (depth = 5)
  params[0] = call10518;
  params[1] = *var_lineLength;
  params[2] = opresult10522;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10527 = callmethodflags(call10526, "wrap(1)to(1)prefix(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10516);
// compiled call node returning call10527 (depth = 4)
    gc_frame_newslot(call10527);
    if10492 = call10527;
  }
// compiled if node returning if10492 (depth = 3)
  gc_frame_end(frame);
  return if10492;
}
Object meth_ast_shallowCopy10528(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "shallowCopy");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nullNode = getfromclosure(closure, 0);
  Object *var_commentNode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2743
  setline(2743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10529 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe10530 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nullNode (depth = 5)
  gc_frame_newslot(*var_nullNode);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_commentNode (depth = 5)
  params[0] = *var_nullNode;
  partcv[0] = 1;
  Object call10531 = callmethodflags(*var_commentNode, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10530);
// compiled call node returning call10531 (depth = 4)
  params[0] = self;
  partcv[0] = 1;
  Object call10532 = callmethodflags(call10531, "shallowCopyFieldsFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10529);
// compiled call node returning call10532 (depth = 3)
  gc_frame_end(frame);
  return call10532;
}
Object meth_ast_shallowCopyFieldsFrom_40_1_41_10533(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "shallowCopyFieldsFrom(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method shallowCopyFieldsFrom(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for shallowCopyFieldsFrom(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part shallowCopyFieldsFrom(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2746
  setline(2746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10534 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  gc_frame_newslot(*var_other);
// call case 1: super request
  params[0] = *var_other;
  partcv[0] = 1;
  Object call10535 = callmethod4(self, "shallowCopyFieldsFrom(1)", 1, partcv, params, ((flags >> 24) & 0xff) + 1, CFLAG_SELF);
  gc_frame_end(callframe10534);
// compiled call node returning call10535 (depth = 3)
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10536 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10537 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10538 = callmethodflags(*var_other, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10537);
// compiled member node returning call10538 (depth = 4)
  gc_frame_newslot(call10538);
// call case 4: self request
  params[0] = call10538;
  partcv[0] = 1;
  Object call10539 = callmethodflags(self, "value:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10536);
// compiled call node returning call10539 (depth = 3)
// Begin line 2748
  setline(2748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10540 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10541 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10542 = callmethodflags(*var_other, "isPartialLine", 0, partcv, params, 0);
  gc_frame_end(callframe10541);
// compiled member node returning call10542 (depth = 4)
  gc_frame_newslot(call10542);
// call case 4: self request
  params[0] = call10542;
  partcv[0] = 1;
  Object call10543 = callmethodflags(self, "isPartialLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10540);
// compiled call node returning call10543 (depth = 3)
// Begin line 2749
  setline(2749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10544 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10545 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call10546 = callmethodflags(*var_other, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe10545);
// compiled member node returning call10546 (depth = 4)
  gc_frame_newslot(call10546);
// call case 4: self request
  params[0] = call10546;
  partcv[0] = 1;
  Object call10547 = callmethodflags(self, "endLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10544);
// compiled call node returning call10547 (depth = 3)
// Begin line 2750
  setline(2750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_end(frame);
  return self;
}
Object meth_ast_new_40_1_41_10357(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_lineLength = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_commentNode = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val_39_ = &(stackframe->slots[0]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10358 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10358 = alloc_userobj2(20,17, objclass10358);
  gc_frame_newslot(obj10358);
if (objclass10358 == NULL) {
  glfree(obj10358->class->name);
  obj10358->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10358, self, 0);
  addmethodreal(obj10358,"outer", &reader_ast_outer_10359);
  Object oldself10358 = self;
  struct StackFrameObject *oldstackframe10358 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10358);
  gc_frame_newslot((Object)stackframe);
  self = obj10358;
  Object *oldselfslot10358 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10358 = (*(struct UserObject *)self).data[0], lowerouter10358 = thisouter10358;
  if (inheritingObject10358) {
    struct UserObject *inho10358 = (struct UserObject *)inheritingObject10358;
    while (inho10358->super != GraceDefaultObject) inho10358 = (struct UserObject *)inho10358->super;
    inho10358->super = obj10358;
    self = inheritingObject10358;
    *selfslot = self;
    lowerouter10358 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10358;
  }
if (objclass10358 == NULL) {
  Method *reader10360 = addmethodrealflags(obj10358, "kind",&reader_ast_kind_10360, MFLAG_DEF);
  reader10360->definitionModule = modulename;
  reader10360->definitionLine = 2702;
}
adddatum2(obj10358, alloc_Undefined(), 1);
if (objclass10358 == NULL) {
  Method *reader10361 = addmethodrealflags(obj10358, "value", &reader_ast_value_10361, 0);
  Method *writer10361 = addmethodrealflags(obj10358, "value:=(1)", &writer_ast_value_10361, 0);
  reader10361->definitionModule = modulename;
  writer10361->definitionModule = modulename;
  reader10361->definitionLine = 2703;
  writer10361->definitionLine = 2703;
}
obj10358->flags |= OFLAG_MUTABLE;
adddatum2(obj10358, alloc_Undefined(), 2);
if (objclass10358 == NULL) {
  Method *reader10362 = addmethodrealflags(obj10358, "isPartialLine", &reader_ast_isPartialLine_10362, 0);
  Method *writer10362 = addmethodrealflags(obj10358, "isPartialLine:=(1)", &writer_ast_isPartialLine_10362, 0);
  reader10362->definitionModule = modulename;
  writer10362->definitionModule = modulename;
  reader10362->definitionLine = 2704;
  writer10362->definitionLine = 2704;
}
obj10358->flags |= OFLAG_MUTABLE;
adddatum2(obj10358, alloc_Undefined(), 3);
if (objclass10358 == NULL) {
  Method *reader10363 = addmethodrealflags(obj10358, "isPreceededByBlankLine", &reader_ast_isPreceededByBlankLine_10363, 0);
  Method *writer10363 = addmethodrealflags(obj10358, "isPreceededByBlankLine:=(1)", &writer_ast_isPreceededByBlankLine_10363, 0);
  reader10363->definitionModule = modulename;
  writer10363->definitionModule = modulename;
  reader10363->definitionLine = 2705;
  writer10363->definitionLine = 2705;
}
obj10358->flags |= OFLAG_MUTABLE;
adddatum2(obj10358, alloc_Undefined(), 4);
if (objclass10358 == NULL) {
  Method *reader10364 = addmethodrealflags(obj10358, "endLine", &reader_ast_endLine_10364, 0);
  Method *writer10364 = addmethodrealflags(obj10358, "endLine:=(1)", &writer_ast_endLine_10364, 0);
  reader10364->definitionModule = modulename;
  writer10364->definitionModule = modulename;
  reader10364->definitionLine = 2706;
  writer10364->definitionLine = 2706;
}
obj10358->flags |= OFLAG_MUTABLE;
adddatum2(obj10358, alloc_Undefined(), 5);
// method "isComment"
  struct UserObject *uo10365 = (struct UserObject*)obj10358;
  uo10365->data[6] = emptyclosure;
  Method *meth_meth_ast_isComment10365 = addmethod2pos(obj10358, "isComment", &meth_ast_isComment10365, 6);
  int argcv_meth_ast_isComment10365[] = {0};
  meth_meth_ast_isComment10365->type = alloc_MethodType(1, argcv_meth_ast_isComment10365);
  meth_meth_ast_isComment10365->definitionModule = modulename;
  meth_meth_ast_isComment10365->definitionLine = 2707;
// method "isLegalInTrait"
  struct UserObject *uo10367 = (struct UserObject*)obj10358;
  uo10367->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait10367 = addmethod2pos(obj10358, "isLegalInTrait", &meth_ast_isLegalInTrait10367, 7);
  int argcv_meth_ast_isLegalInTrait10367[] = {0};
  meth_meth_ast_isLegalInTrait10367->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait10367);
  meth_meth_ast_isLegalInTrait10367->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait10367->definitionLine = 2708;
// method "isExecutable"
  struct UserObject *uo10369 = (struct UserObject*)obj10358;
  uo10369->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable10369 = addmethod2pos(obj10358, "isExecutable", &meth_ast_isExecutable10369, 8);
  int argcv_meth_ast_isExecutable10369[] = {0};
  meth_meth_ast_isExecutable10369->type = alloc_MethodType(1, argcv_meth_ast_isExecutable10369);
  meth_meth_ast_isExecutable10369->definitionModule = modulename;
  meth_meth_ast_isExecutable10369->definitionLine = 2709;
// method "asString"
  struct UserObject *uo10371 = (struct UserObject*)obj10358;
  uo10371->data[9] = emptyclosure;
  Method *meth_meth_ast_asString10371 = addmethod2pos(obj10358, "asString", &meth_ast_asString10371, 9);
  int argcv_meth_ast_asString10371[] = {0};
  meth_meth_ast_asString10371->type = alloc_MethodType(1, argcv_meth_ast_asString10371);
  meth_meth_ast_asString10371->definitionModule = modulename;
  meth_meth_ast_asString10371->definitionLine = 2710;
// method "extendCommentUsing(_)"
  struct UserObject *uo10400 = (struct UserObject*)obj10358;
  uo10400->data[10] = emptyclosure;
  Method *meth_meth_ast_extendCommentUsing_40_1_41_10400 = addmethod2pos(obj10358, "extendCommentUsing(1)", &meth_ast_extendCommentUsing_40_1_41_10400, 10);
  int argcv_meth_ast_extendCommentUsing_40_1_41_10400[] = {1};
  meth_meth_ast_extendCommentUsing_40_1_41_10400->type = alloc_MethodType(1, argcv_meth_ast_extendCommentUsing_40_1_41_10400);
  meth_meth_ast_extendCommentUsing_40_1_41_10400->definitionModule = modulename;
  meth_meth_ast_extendCommentUsing_40_1_41_10400->definitionLine = 2711;
// method "map(_)ancestors(_)"
  struct UserObject *uo10418 = (struct UserObject*)obj10358;
  uo10418->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_10418 = addmethod2pos(obj10358, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_10418, 11);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10418[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10418->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10418);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10418->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10418->definitionLine = 2715;
// method "accept(_)from(_)"
  struct UserObject *uo10425 = (struct UserObject*)obj10358;
  uo10425->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_10425 = addmethod2pos(obj10358, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_10425, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_10425[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_10425->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_10425);
  meth_meth_ast_accept_40_1_41_from_40_1_41_10425->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_10425->definitionLine = 2720;
// method "pretty(_)"
  struct UserObject *uo10428 = (struct UserObject*)obj10358;
  uo10428->data[13] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_10428 = addmethod2pos(obj10358, "pretty(1)", &meth_ast_pretty_40_1_41_10428, 13);
  int argcv_meth_ast_pretty_40_1_41_10428[] = {1};
  meth_meth_ast_pretty_40_1_41_10428->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_10428);
  meth_meth_ast_pretty_40_1_41_10428->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_10428->definitionLine = 2723;
// method "toGrace(_)"
  block_savedest(obj10358);
  Object closure10491 = createclosure(1, "toGrace(1)");
  setclosureframe(closure10491, stackframe);
  addtoclosure(closure10491, var_lineLength);
  struct UserObject *uo10491 = (struct UserObject*)obj10358;
  uo10491->data[14] = (Object)closure10491;
  Method *meth_meth_ast_toGrace_40_1_41_10491 = addmethod2pos(obj10358, "toGrace(1)", &meth_ast_toGrace_40_1_41_10491, 14);
  int argcv_meth_ast_toGrace_40_1_41_10491[] = {1};
  meth_meth_ast_toGrace_40_1_41_10491->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10491);
  meth_meth_ast_toGrace_40_1_41_10491->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10491->definitionLine = 2731;
// method "shallowCopy"
  block_savedest(obj10358);
  Object closure10528 = createclosure(2, "shallowCopy");
  setclosureframe(closure10528, stackframe);
  addtoclosure(closure10528, var_nullNode);
  addtoclosure(closure10528, var_commentNode);
  struct UserObject *uo10528 = (struct UserObject*)obj10358;
  uo10528->data[15] = (Object)closure10528;
  Method *meth_meth_ast_shallowCopy10528 = addmethod2pos(obj10358, "shallowCopy", &meth_ast_shallowCopy10528, 15);
  int argcv_meth_ast_shallowCopy10528[] = {0};
  meth_meth_ast_shallowCopy10528->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10528);
  meth_meth_ast_shallowCopy10528->definitionModule = modulename;
  meth_meth_ast_shallowCopy10528->definitionLine = 2742;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo10533 = (struct UserObject*)obj10358;
  uo10533->data[16] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10533 = addmethod2pos(obj10358, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_10533, 16);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_10533[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10533->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_10533);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10533->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10533->definitionLine = 2745;
  sourceObject = obj10358;
// Begin line 2701
  setline(2701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10548 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10549 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10550 = gc_frame_new();
// call case 3: self.outer request
  Object call10551 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10550);
// compiled member node returning call10551 (depth = 5)
  Object call10552 = callmethodflags(call10551, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10549);
// compiled member node returning call10552 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10553 = callmethodflags(call10552, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10548);
// compiled call node returning call10553 (depth = 3)
  struct UserObject *obj10358_uo = (struct UserObject *)obj10358;
  obj10358_uo->super = call10553;
  sourceObject = obj10358;
// Begin line 2702
  setline(2702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10554 == NULL) {
    strlit10554 = alloc_String("comment");
    gc_root(strlit10554);
  }
// compiled string node returning strlit10554 (depth = 3)
  adddatum2(obj10358, strlit10554, 1);
  sourceObject = obj10358;
// Begin line 2703
  setline(2703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj10358, *var_val_39_, 2);
  sourceObject = obj10358;
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10555 = alloc_Boolean(0);
// compiled identifier node returning bool10555 (depth = 3)
  adddatum2(obj10358, bool10555, 3);
  sourceObject = obj10358;
// Begin line 2705
  setline(2705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10556 = alloc_Boolean(0);
// compiled identifier node returning bool10556 (depth = 3)
  adddatum2(obj10358, bool10556, 4);
  sourceObject = obj10358;
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10557 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call10558 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe10557);
// compiled member node returning call10558 (depth = 3)
  adddatum2(obj10358, call10558, 5);
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  objclass10358 = obj10358->class;
  objclass10358->definitionModule = modulename;
  objclass10358->definitionLine = 2700;
  (*(struct UserObject *)self).data[0] = lowerouter10358;
  self = oldself10358;
  selfslot = oldselfslot10358;
  stackframe = oldstackframe10358;
  gc_frame_end(frame);
  return obj10358;
}
Object meth_ast_new_40_1_41_10357_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method new(_)");
  Object params[1];
  int partcv[2];
  Object *var_lineLength = getfromclosure(closure, 0);
  Object *var_nullNode = getfromclosure(closure, 1);
  Object *var_commentNode = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for new(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_val_39_ = &(stackframe->slots[0]);
  *var_val_39_ = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part new(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject10358 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10358 = alloc_userobj2(20,17, objclass10358);
  gc_frame_newslot(obj10358);
if (objclass10358 == NULL) {
  glfree(obj10358->class->name);
  obj10358->class->name = "new(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10358, self, 0);
  addmethodreal(obj10358,"outer", &reader_ast_outer_10359);
  Object oldself10358 = self;
  struct StackFrameObject *oldstackframe10358 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10358);
  gc_frame_newslot((Object)stackframe);
  self = obj10358;
  Object *oldselfslot10358 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10358 = (*(struct UserObject *)self).data[0], lowerouter10358 = thisouter10358;
  if (inheritingObject10358) {
    struct UserObject *inho10358 = (struct UserObject *)inheritingObject10358;
    while (inho10358->super != GraceDefaultObject) inho10358 = (struct UserObject *)inho10358->super;
    inho10358->super = obj10358;
    self = inheritingObject10358;
    *selfslot = self;
    lowerouter10358 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10358;
  }
if (objclass10358 == NULL) {
  Method *reader10360 = addmethodrealflags(obj10358, "kind",&reader_ast_kind_10360, MFLAG_DEF);
  reader10360->definitionModule = modulename;
  reader10360->definitionLine = 2702;
}
adddatum2(obj10358, alloc_Undefined(), 1);
if (objclass10358 == NULL) {
  Method *reader10361 = addmethodrealflags(obj10358, "value", &reader_ast_value_10361, 0);
  Method *writer10361 = addmethodrealflags(obj10358, "value:=(1)", &writer_ast_value_10361, 0);
  reader10361->definitionModule = modulename;
  writer10361->definitionModule = modulename;
  reader10361->definitionLine = 2703;
  writer10361->definitionLine = 2703;
}
obj10358->flags |= OFLAG_MUTABLE;
adddatum2(obj10358, alloc_Undefined(), 2);
if (objclass10358 == NULL) {
  Method *reader10362 = addmethodrealflags(obj10358, "isPartialLine", &reader_ast_isPartialLine_10362, 0);
  Method *writer10362 = addmethodrealflags(obj10358, "isPartialLine:=(1)", &writer_ast_isPartialLine_10362, 0);
  reader10362->definitionModule = modulename;
  writer10362->definitionModule = modulename;
  reader10362->definitionLine = 2704;
  writer10362->definitionLine = 2704;
}
obj10358->flags |= OFLAG_MUTABLE;
adddatum2(obj10358, alloc_Undefined(), 3);
if (objclass10358 == NULL) {
  Method *reader10363 = addmethodrealflags(obj10358, "isPreceededByBlankLine", &reader_ast_isPreceededByBlankLine_10363, 0);
  Method *writer10363 = addmethodrealflags(obj10358, "isPreceededByBlankLine:=(1)", &writer_ast_isPreceededByBlankLine_10363, 0);
  reader10363->definitionModule = modulename;
  writer10363->definitionModule = modulename;
  reader10363->definitionLine = 2705;
  writer10363->definitionLine = 2705;
}
obj10358->flags |= OFLAG_MUTABLE;
adddatum2(obj10358, alloc_Undefined(), 4);
if (objclass10358 == NULL) {
  Method *reader10364 = addmethodrealflags(obj10358, "endLine", &reader_ast_endLine_10364, 0);
  Method *writer10364 = addmethodrealflags(obj10358, "endLine:=(1)", &writer_ast_endLine_10364, 0);
  reader10364->definitionModule = modulename;
  writer10364->definitionModule = modulename;
  reader10364->definitionLine = 2706;
  writer10364->definitionLine = 2706;
}
obj10358->flags |= OFLAG_MUTABLE;
adddatum2(obj10358, alloc_Undefined(), 5);
// method "isComment"
  struct UserObject *uo10365 = (struct UserObject*)obj10358;
  uo10365->data[6] = emptyclosure;
  Method *meth_meth_ast_isComment10365 = addmethod2pos(obj10358, "isComment", &meth_ast_isComment10365, 6);
  int argcv_meth_ast_isComment10365[] = {0};
  meth_meth_ast_isComment10365->type = alloc_MethodType(1, argcv_meth_ast_isComment10365);
  meth_meth_ast_isComment10365->definitionModule = modulename;
  meth_meth_ast_isComment10365->definitionLine = 2707;
// method "isLegalInTrait"
  struct UserObject *uo10367 = (struct UserObject*)obj10358;
  uo10367->data[7] = emptyclosure;
  Method *meth_meth_ast_isLegalInTrait10367 = addmethod2pos(obj10358, "isLegalInTrait", &meth_ast_isLegalInTrait10367, 7);
  int argcv_meth_ast_isLegalInTrait10367[] = {0};
  meth_meth_ast_isLegalInTrait10367->type = alloc_MethodType(1, argcv_meth_ast_isLegalInTrait10367);
  meth_meth_ast_isLegalInTrait10367->definitionModule = modulename;
  meth_meth_ast_isLegalInTrait10367->definitionLine = 2708;
// method "isExecutable"
  struct UserObject *uo10369 = (struct UserObject*)obj10358;
  uo10369->data[8] = emptyclosure;
  Method *meth_meth_ast_isExecutable10369 = addmethod2pos(obj10358, "isExecutable", &meth_ast_isExecutable10369, 8);
  int argcv_meth_ast_isExecutable10369[] = {0};
  meth_meth_ast_isExecutable10369->type = alloc_MethodType(1, argcv_meth_ast_isExecutable10369);
  meth_meth_ast_isExecutable10369->definitionModule = modulename;
  meth_meth_ast_isExecutable10369->definitionLine = 2709;
// method "asString"
  struct UserObject *uo10371 = (struct UserObject*)obj10358;
  uo10371->data[9] = emptyclosure;
  Method *meth_meth_ast_asString10371 = addmethod2pos(obj10358, "asString", &meth_ast_asString10371, 9);
  int argcv_meth_ast_asString10371[] = {0};
  meth_meth_ast_asString10371->type = alloc_MethodType(1, argcv_meth_ast_asString10371);
  meth_meth_ast_asString10371->definitionModule = modulename;
  meth_meth_ast_asString10371->definitionLine = 2710;
// method "extendCommentUsing(_)"
  struct UserObject *uo10400 = (struct UserObject*)obj10358;
  uo10400->data[10] = emptyclosure;
  Method *meth_meth_ast_extendCommentUsing_40_1_41_10400 = addmethod2pos(obj10358, "extendCommentUsing(1)", &meth_ast_extendCommentUsing_40_1_41_10400, 10);
  int argcv_meth_ast_extendCommentUsing_40_1_41_10400[] = {1};
  meth_meth_ast_extendCommentUsing_40_1_41_10400->type = alloc_MethodType(1, argcv_meth_ast_extendCommentUsing_40_1_41_10400);
  meth_meth_ast_extendCommentUsing_40_1_41_10400->definitionModule = modulename;
  meth_meth_ast_extendCommentUsing_40_1_41_10400->definitionLine = 2711;
// method "map(_)ancestors(_)"
  struct UserObject *uo10418 = (struct UserObject*)obj10358;
  uo10418->data[11] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_10418 = addmethod2pos(obj10358, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_10418, 11);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10418[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10418->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_10418);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10418->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_10418->definitionLine = 2715;
// method "accept(_)from(_)"
  struct UserObject *uo10425 = (struct UserObject*)obj10358;
  uo10425->data[12] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_10425 = addmethod2pos(obj10358, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_10425, 12);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_10425[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_10425->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_10425);
  meth_meth_ast_accept_40_1_41_from_40_1_41_10425->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_10425->definitionLine = 2720;
// method "pretty(_)"
  struct UserObject *uo10428 = (struct UserObject*)obj10358;
  uo10428->data[13] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_10428 = addmethod2pos(obj10358, "pretty(1)", &meth_ast_pretty_40_1_41_10428, 13);
  int argcv_meth_ast_pretty_40_1_41_10428[] = {1};
  meth_meth_ast_pretty_40_1_41_10428->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_10428);
  meth_meth_ast_pretty_40_1_41_10428->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_10428->definitionLine = 2723;
// method "toGrace(_)"
  block_savedest(obj10358);
  Object closure10491 = createclosure(1, "toGrace(1)");
  setclosureframe(closure10491, stackframe);
  addtoclosure(closure10491, var_lineLength);
  struct UserObject *uo10491 = (struct UserObject*)obj10358;
  uo10491->data[14] = (Object)closure10491;
  Method *meth_meth_ast_toGrace_40_1_41_10491 = addmethod2pos(obj10358, "toGrace(1)", &meth_ast_toGrace_40_1_41_10491, 14);
  int argcv_meth_ast_toGrace_40_1_41_10491[] = {1};
  meth_meth_ast_toGrace_40_1_41_10491->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_10491);
  meth_meth_ast_toGrace_40_1_41_10491->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_10491->definitionLine = 2731;
// method "shallowCopy"
  block_savedest(obj10358);
  Object closure10528 = createclosure(2, "shallowCopy");
  setclosureframe(closure10528, stackframe);
  addtoclosure(closure10528, var_nullNode);
  addtoclosure(closure10528, var_commentNode);
  struct UserObject *uo10528 = (struct UserObject*)obj10358;
  uo10528->data[15] = (Object)closure10528;
  Method *meth_meth_ast_shallowCopy10528 = addmethod2pos(obj10358, "shallowCopy", &meth_ast_shallowCopy10528, 15);
  int argcv_meth_ast_shallowCopy10528[] = {0};
  meth_meth_ast_shallowCopy10528->type = alloc_MethodType(1, argcv_meth_ast_shallowCopy10528);
  meth_meth_ast_shallowCopy10528->definitionModule = modulename;
  meth_meth_ast_shallowCopy10528->definitionLine = 2742;
// method "shallowCopyFieldsFrom(_)"
  struct UserObject *uo10533 = (struct UserObject*)obj10358;
  uo10533->data[16] = emptyclosure;
  Method *meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10533 = addmethod2pos(obj10358, "shallowCopyFieldsFrom(1)", &meth_ast_shallowCopyFieldsFrom_40_1_41_10533, 16);
  int argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_10533[] = {1};
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10533->type = alloc_MethodType(1, argcv_meth_ast_shallowCopyFieldsFrom_40_1_41_10533);
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10533->definitionModule = modulename;
  meth_meth_ast_shallowCopyFieldsFrom_40_1_41_10533->definitionLine = 2745;
  sourceObject = obj10358;
// Begin line 2701
  setline(2701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10548 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10549 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10550 = gc_frame_new();
// call case 3: self.outer request
  Object call10551 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10550);
// compiled member node returning call10551 (depth = 5)
  Object call10552 = callmethodflags(call10551, "outer", 0, partcv, params, 0);
  gc_frame_end(callframe10549);
// compiled member node returning call10552 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10553 = callmethodflags(call10552, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10548);
// compiled call node returning call10553 (depth = 3)
  struct UserObject *obj10358_uo = (struct UserObject *)obj10358;
  obj10358_uo->super = call10553;
  sourceObject = obj10358;
// Begin line 2702
  setline(2702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit10554 == NULL) {
    strlit10554 = alloc_String("comment");
    gc_root(strlit10554);
  }
// compiled string node returning strlit10554 (depth = 3)
  adddatum2(obj10358, strlit10554, 1);
  sourceObject = obj10358;
// Begin line 2703
  setline(2703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_val_39_ (depth = 3)
  adddatum2(obj10358, *var_val_39_, 2);
  sourceObject = obj10358;
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10555 = alloc_Boolean(0);
// compiled identifier node returning bool10555 (depth = 3)
  adddatum2(obj10358, bool10555, 3);
  sourceObject = obj10358;
// Begin line 2705
  setline(2705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10556 = alloc_Boolean(0);
// compiled identifier node returning bool10556 (depth = 3)
  adddatum2(obj10358, bool10556, 4);
  sourceObject = obj10358;
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10557 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  Object call10558 = callmethodflags(*var_util, "linenum", 0, partcv, params, 0);
  gc_frame_end(callframe10557);
// compiled member node returning call10558 (depth = 3)
  adddatum2(obj10358, call10558, 5);
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  sourceObject = obj10358;
  objclass10358 = obj10358->class;
  objclass10358->definitionModule = modulename;
  objclass10358->definitionLine = 2700;
  (*(struct UserObject *)self).data[0] = lowerouter10358;
  self = oldself10358;
  selfslot = oldselfslot10358;
  stackframe = oldstackframe10358;
  gc_frame_end(frame);
  return obj10358;
}
Object meth_ast_commentNode10560(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "commentNode");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_commentNode = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2699
  setline(2699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_commentNode (depth = 3)
  gc_frame_end(frame);
  return *var_commentNode;
}
Object meth_ast_ASTVisitor10563(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 52, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ASTVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ASTVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2789
  setline(2789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ASTVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_ASTVisitor;
}
Object meth_ast_visitCall_40_1_41_up_40_1_41_10566(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "visitCall(1)up(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method visitCall(_)up(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for visitCall(_)up(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part visitCall(_)");
  Object *var_as = &(stackframe->slots[1]);
  *var_as = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part up(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2932
  setline(2932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10567 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool10568 = alloc_Boolean(1);
// compiled identifier node returning bool10568 (depth = 4)
  gc_frame_newslot(bool10568);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  params[0] = bool10568;
  partcv[0] = 1;
  Object call10569 = callmethodflags(*var_c, "isPattern:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10567);
// compiled call node returning call10569 (depth = 3)
// Begin line 2933
  setline(2933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool10570 = alloc_Boolean(1);
// compiled identifier node returning bool10570 (depth = 3)
  gc_frame_end(frame);
  return bool10570;
}
Object meth_ast_patternMarkVisitor10575(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 53, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "patternMarkVisitor");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_patternMarkVisitor = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2929
  setline(2929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_patternMarkVisitor (depth = 3)
  gc_frame_end(frame);
  return *var_patternMarkVisitor;
}
Object module_ast_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(59, 59);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<ast>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(59, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[2];
  int partcv[2];
  Object *var_util = alloc_var();
  Object *var_k = alloc_var();
  Object *var_lineLength = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "lineLength");
  Object *var_uninitialized = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "uninitialized");
  Object *var_ancestorChain = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ancestorChain");
  Object *var_emptySeq = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "emptySeq");
  Object *var_AstNode = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "AstNode");
  Object *var_SymbolTable = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "SymbolTable");
  Object *var_implicit = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "implicit");
  Object *var_nullNode = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "nullNode");
  Object *var_fakeSymbolTable = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "fakeSymbolTable");
  Object *var_ifNode = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "ifNode");
  Object *var_blockNode = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "blockNode");
  Object *var_tryCatchNode = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "tryCatchNode");
  Object *var_matchCaseNode = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "matchCaseNode");
  Object *var_methodTypeNode = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "methodTypeNode");
  Object *var_typeLiteralNode = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "typeLiteralNode");
  Object *var_typeDecNode = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "typeDecNode");
  Object *var_methodNode = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "methodNode");
  Object *var_callNode = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "callNode");
  Object *var_moduleNode = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "moduleNode");
  Object *var_objectNode = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "objectNode");
  Object *var_arrayNode = &(stackframe->slots[21]);
  setframeelementname(stackframe, 21, "arrayNode");
  Object *var_memberNode = &(stackframe->slots[22]);
  setframeelementname(stackframe, 22, "memberNode");
  Object *var_genericNode = &(stackframe->slots[23]);
  setframeelementname(stackframe, 23, "genericNode");
  Object *var_typeParametersNode = &(stackframe->slots[24]);
  setframeelementname(stackframe, 24, "typeParametersNode");
  Object *var_identifierNode = &(stackframe->slots[25]);
  setframeelementname(stackframe, 25, "identifierNode");
  Object *var_typeType = &(stackframe->slots[26]);
  setframeelementname(stackframe, 26, "typeType");
  Object *var_unknownType = &(stackframe->slots[27]);
  setframeelementname(stackframe, 27, "unknownType");
  Object *var_stringNode = &(stackframe->slots[28]);
  setframeelementname(stackframe, 28, "stringNode");
  Object *var_numNode = &(stackframe->slots[29]);
  setframeelementname(stackframe, 29, "numNode");
  Object *var_opNode = &(stackframe->slots[30]);
  setframeelementname(stackframe, 30, "opNode");
  Object *var_bindNode = &(stackframe->slots[31]);
  setframeelementname(stackframe, 31, "bindNode");
  Object *var_defDecNode = &(stackframe->slots[32]);
  setframeelementname(stackframe, 32, "defDecNode");
  Object *var_varDecNode = &(stackframe->slots[33]);
  setframeelementname(stackframe, 33, "varDecNode");
  Object *var_importNode = &(stackframe->slots[34]);
  setframeelementname(stackframe, 34, "importNode");
  Object *var_dialectNode = &(stackframe->slots[35]);
  setframeelementname(stackframe, 35, "dialectNode");
  Object *var_returnNode = &(stackframe->slots[36]);
  setframeelementname(stackframe, 36, "returnNode");
  Object *var_inheritsNode = &(stackframe->slots[37]);
  setframeelementname(stackframe, 37, "inheritsNode");
  Object *var_AliasPair = &(stackframe->slots[38]);
  setframeelementname(stackframe, 38, "AliasPair");
  Object *var_blankNode = &(stackframe->slots[39]);
  setframeelementname(stackframe, 39, "blankNode");
  Object *var_signaturePart = &(stackframe->slots[40]);
  setframeelementname(stackframe, 40, "signaturePart");
  Object *var_requestPart = &(stackframe->slots[41]);
  setframeelementname(stackframe, 41, "requestPart");
  Object *var_commentNode = &(stackframe->slots[42]);
  setframeelementname(stackframe, 42, "commentNode");
  Object *var_ASTVisitor = &(stackframe->slots[43]);
  setframeelementname(stackframe, 43, "ASTVisitor");
  Object *var_patternMarkVisitor = &(stackframe->slots[44]);
  setframeelementname(stackframe, 44, "patternMarkVisitor");
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "listMap(_,_)ancestors(_)"
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = emptyclosure;
  Method *meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1 = addmethod2pos(self, "listMap(2)ancestors(1)", &meth_ast_listMap_40_2_41_ancestors_40_1_41_1, 1);
  int argcv_meth_ast_listMap_40_2_41_ancestors_40_1_41_1[] = {2, 1};
  meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1->type = alloc_MethodType(2, argcv_meth_ast_listMap_40_2_41_ancestors_40_1_41_1);
  meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1->definitionModule = modulename;
  meth_meth_ast_listMap_40_2_41_ancestors_40_1_41_1->definitionLine = 19;
// compiled method node returning  (depth = 1)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "maybeMap(_,_)ancestors(_)"
  struct UserObject *uo12 = (struct UserObject*)self;
  uo12->data[2] = emptyclosure;
  Method *meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12 = addmethod2pos(self, "maybeMap(2)ancestors(1)", &meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12, 2);
  int argcv_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12[] = {2, 1};
  meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12->type = alloc_MethodType(2, argcv_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12);
  meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12->definitionModule = modulename;
  meth_meth_ast_maybeMap_40_2_41_ancestors_40_1_41_12->definitionLine = 24;
// compiled method node returning  (depth = 1)
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "maybeListMap(_,_)ancestors(_)"
  struct UserObject *uo20 = (struct UserObject*)self;
  uo20->data[3] = emptyclosure;
  Method *meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20 = addmethod2pos(self, "maybeListMap(2)ancestors(1)", &meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20, 3);
  int argcv_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20[] = {2, 1};
  meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20->type = alloc_MethodType(2, argcv_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20);
  meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20->definitionModule = modulename;
  meth_meth_ast_maybeListMap_40_2_41_ancestors_40_1_41_20->definitionLine = 31;
// compiled method node returning  (depth = 1)
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "baseNode"
  block_savedest(self);
  Object closure28 = createclosure(4, "baseNode");
  setclosureframe(closure28, stackframe);
  addtoclosure(closure28, var_unknownType);
  addtoclosure(closure28, var_ancestorChain);
  addtoclosure(closure28, var_util);
  addtoclosure(closure28, var_fakeSymbolTable);
  struct UserObject *uo28 = (struct UserObject*)self;
  uo28->data[4] = (Object)closure28;
  Method *meth_meth_ast_baseNode28 = addmethod2pos(self, "baseNode", &meth_ast_baseNode28, 4);
  int argcv_meth_ast_baseNode28[] = {0};
  meth_meth_ast_baseNode28->type = alloc_MethodType(1, argcv_meth_ast_baseNode28);
  meth_meth_ast_baseNode28->definitionModule = modulename;
  meth_meth_ast_baseNode28->definitionLine = 87;
  block_savedest(self);
  Object closure430 = createclosure(4, "baseNode$object(1)");
  setclosureframe(closure430, stackframe);
  addtoclosure(closure430, var_unknownType);
  addtoclosure(closure430, var_ancestorChain);
  addtoclosure(closure430, var_util);
  addtoclosure(closure430, var_fakeSymbolTable);
  Method *meth_meth_ast_baseNode28_object = addmethod2pos(self, "baseNode$object(1)", &meth_ast_baseNode28_object, 4);
  meth_meth_ast_baseNode28_object->definitionModule = modulename;
  meth_meth_ast_baseNode28_object->definitionLine = 87;
// compiled method node returning  (depth = 1)
// Begin line 2481
  setline(2481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "aliasNew(_)old(_)"
  block_savedest(self);
  Object closure431 = createclosure(1, "aliasNew(1)old(1)");
  setclosureframe(closure431, stackframe);
  addtoclosure(closure431, var_AliasPair);
  struct UserObject *uo431 = (struct UserObject*)self;
  uo431->data[5] = (Object)closure431;
  Method *meth_meth_ast_aliasNew_40_1_41_old_40_1_41_431 = addmethod2pos(self, "aliasNew(1)old(1)", &meth_ast_aliasNew_40_1_41_old_40_1_41_431, 5);
  int argcv_meth_ast_aliasNew_40_1_41_old_40_1_41_431[] = {1, 1};
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_431->type = alloc_MethodType(2, argcv_meth_ast_aliasNew_40_1_41_old_40_1_41_431);
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_431->definitionModule = modulename;
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_431->definitionLine = 2481;
  block_savedest(self);
  Object closure543 = createclosure(1, "aliasNew(1)old(1)$object(1)");
  setclosureframe(closure543, stackframe);
  addtoclosure(closure543, var_AliasPair);
  Method *meth_meth_ast_aliasNew_40_1_41_old_40_1_41_431_object = addmethod2pos(self, "aliasNew(1)old(1)$object(1)", &meth_ast_aliasNew_40_1_41_old_40_1_41_431_object, 5);
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_431_object->definitionModule = modulename;
  meth_meth_ast_aliasNew_40_1_41_old_40_1_41_431_object->definitionLine = 2481;
// compiled method node returning  (depth = 1)
// Begin line 2755
  setline(2755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "wrap(_)to(_)prefix(_)"
  struct UserObject *uo544 = (struct UserObject*)self;
  uo544->data[6] = emptyclosure;
  Method *meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544 = addmethod2pos(self, "wrap(1)to(1)prefix(1)", &meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544, 6);
  int argcv_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544[] = {1, 1, 1};
  meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544->type = alloc_MethodType(3, argcv_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544);
meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544->type->types[1] = type_Number;
meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544->type->names[1] = "l";
  meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544->definitionModule = modulename;
  meth_meth_ast_wrap_40_1_41_to_40_1_41_prefix_40_1_41_544->definitionLine = 2755;
// compiled method node returning  (depth = 1)
// Begin line 2822
  setline(2822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "baseVisitor"
  struct UserObject *uo714 = (struct UserObject*)self;
  uo714->data[7] = emptyclosure;
  Method *meth_meth_ast_baseVisitor714 = addmethod2pos(self, "baseVisitor", &meth_ast_baseVisitor714, 7);
  int argcv_meth_ast_baseVisitor714[] = {0};
  meth_meth_ast_baseVisitor714->type = alloc_MethodType(1, argcv_meth_ast_baseVisitor714);
  meth_meth_ast_baseVisitor714->definitionModule = modulename;
  meth_meth_ast_baseVisitor714->definitionLine = 2822;
  Method *meth_meth_ast_baseVisitor714_object = addmethod2pos(self, "baseVisitor$object(1)", &meth_ast_baseVisitor714_object, 7);
  int argcv_meth_ast_baseVisitor714_object[] = {0};
  meth_meth_ast_baseVisitor714_object->type = alloc_MethodType(1, argcv_meth_ast_baseVisitor714_object);
  meth_meth_ast_baseVisitor714_object->definitionModule = modulename;
  meth_meth_ast_baseVisitor714_object->definitionLine = 2822;
// compiled method node returning  (depth = 1)
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "pluggableVisitor(_)"
  struct UserObject *uo870 = (struct UserObject*)self;
  uo870->data[8] = emptyclosure;
  Method *meth_meth_ast_pluggableVisitor_40_1_41_870 = addmethod2pos(self, "pluggableVisitor(1)", &meth_ast_pluggableVisitor_40_1_41_870, 8);
  int argcv_meth_ast_pluggableVisitor_40_1_41_870[] = {1};
  meth_meth_ast_pluggableVisitor_40_1_41_870->type = alloc_MethodType(1, argcv_meth_ast_pluggableVisitor_40_1_41_870);
  meth_meth_ast_pluggableVisitor_40_1_41_870->definitionModule = modulename;
  meth_meth_ast_pluggableVisitor_40_1_41_870->definitionLine = 2888;
  Method *meth_meth_ast_pluggableVisitor_40_1_41_870_object = addmethod2pos(self, "pluggableVisitor(1)$object(1)", &meth_ast_pluggableVisitor_40_1_41_870_object, 8);
  int argcv_meth_ast_pluggableVisitor_40_1_41_870_object[] = {1};
  meth_meth_ast_pluggableVisitor_40_1_41_870_object->type = alloc_MethodType(1, argcv_meth_ast_pluggableVisitor_40_1_41_870_object);
  meth_meth_ast_pluggableVisitor_40_1_41_870_object->definitionModule = modulename;
  meth_meth_ast_pluggableVisitor_40_1_41_870_object->definitionLine = 2888;
// compiled method node returning  (depth = 1)
// Begin line 2937
  setline(2937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "findAnnotation(_,_)"
  struct UserObject *uo963 = (struct UserObject*)self;
  uo963->data[9] = emptyclosure;
  Method *meth_meth_ast_findAnnotation_40_2_41_963 = addmethod2pos(self, "findAnnotation(2)", &meth_ast_findAnnotation_40_2_41_963, 9);
  int argcv_meth_ast_findAnnotation_40_2_41_963[] = {2};
  meth_meth_ast_findAnnotation_40_2_41_963->type = alloc_MethodType(1, argcv_meth_ast_findAnnotation_40_2_41_963);
  meth_meth_ast_findAnnotation_40_2_41_963->definitionModule = modulename;
  meth_meth_ast_findAnnotation_40_2_41_963->definitionLine = 2937;
// compiled method node returning  (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of identifierKinds as k
  if (module_identifierKinds == NULL)
    module_identifierKinds = LOAD_MODULE(identifierKinds);
  *var_k = module_identifierKinds;
// compiled import node returning done (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num994 = alloc_Float64(80);
// compiled num node returning num994 (depth = 2)
  *var_lineLength = num994;
  if (num994 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lineLength"
  block_savedest(self);
  Object closure995 = createclosure(1, "lineLength");
  setclosureframe(closure995, stackframe);
  addtoclosure(closure995, var_lineLength);
  struct UserObject *uo995 = (struct UserObject*)self;
  uo995->data[10] = (Object)closure995;
  Method *meth_meth_ast_lineLength995 = addmethod2pos(self, "lineLength", &meth_ast_lineLength995, 10);
  int argcv_meth_ast_lineLength995[] = {0};
  meth_meth_ast_lineLength995->type = alloc_MethodType(1, argcv_meth_ast_lineLength995);
  meth_meth_ast_lineLength995->definitionModule = modulename;
  meth_meth_ast_lineLength995->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe996 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit997 == NULL) {
    strlit997 = alloc_String("uninitialized");
    gc_root(strlit997);
  }
// compiled string node returning strlit997 (depth = 3)
  gc_frame_newslot(strlit997);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe998 = gc_frame_new();
// call case 5: prelude request
  Object call999 = callmethodflags(prelude, "Singleton", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe998);
// compiled member node returning call999 (depth = 3)
  params[0] = strlit997;
  partcv[0] = 1;
  Object call1000 = callmethodflags(call999, "named(1)", 1, partcv, params, 0);
  gc_frame_end(callframe996);
// compiled call node returning call1000 (depth = 2)
  *var_uninitialized = call1000;
  if (call1000 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "uninitialized"
  block_savedest(self);
  Object closure1001 = createclosure(1, "uninitialized");
  setclosureframe(closure1001, stackframe);
  addtoclosure(closure1001, var_uninitialized);
  struct UserObject *uo1001 = (struct UserObject*)self;
  uo1001->data[11] = (Object)closure1001;
  Method *meth_meth_ast_uninitialized1001 = addmethod2pos(self, "uninitialized", &meth_ast_uninitialized1001, 11);
  int argcv_meth_ast_uninitialized1001[] = {0};
  meth_meth_ast_uninitialized1001->type = alloc_MethodType(1, argcv_meth_ast_uninitialized1001);
  meth_meth_ast_uninitialized1001->definitionModule = modulename;
  meth_meth_ast_uninitialized1001->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1002 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1002 = alloc_userobj2(5,6, objclass1002);
  gc_frame_newslot(obj1002);
if (objclass1002 == NULL) {
  glfree(obj1002->class->name);
  obj1002->class->name = "ancestorChain";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1002, self, 0);
  addmethodreal(obj1002,"outer", &reader_ast_outer_1003);
  Object oldself1002 = self;
  struct StackFrameObject *oldstackframe1002 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1002);
  gc_frame_newslot((Object)stackframe);
  self = obj1002;
  Object *oldselfslot1002 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1002 = (*(struct UserObject *)self).data[0], lowerouter1002 = thisouter1002;
  if (inheritingObject1002) {
    struct UserObject *inho1002 = (struct UserObject *)inheritingObject1002;
    while (inho1002->super != GraceDefaultObject) inho1002 = (struct UserObject *)inho1002->super;
    inho1002->super = obj1002;
    self = inheritingObject1002;
    *selfslot = self;
    lowerouter1002 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1002;
  }
// method "empty"
  struct UserObject *uo1004 = (struct UserObject*)obj1002;
  uo1004->data[1] = emptyclosure;
  Method *meth_meth_ast_empty1004 = addmethod2pos(obj1002, "empty", &meth_ast_empty1004, 1);
  int argcv_meth_ast_empty1004[] = {0};
  meth_meth_ast_empty1004->type = alloc_MethodType(1, argcv_meth_ast_empty1004);
  meth_meth_ast_empty1004->definitionModule = modulename;
  meth_meth_ast_empty1004->definitionLine = 40;
  Method *meth_meth_ast_empty1004_object = addmethod2pos(obj1002, "empty$object(1)", &meth_ast_empty1004_object, 1);
  int argcv_meth_ast_empty1004_object[] = {0};
  meth_meth_ast_empty1004_object->type = alloc_MethodType(1, argcv_meth_ast_empty1004_object);
  meth_meth_ast_empty1004_object->definitionModule = modulename;
  meth_meth_ast_empty1004_object->definitionLine = 40;
// method "with(_)"
  struct UserObject *uo1017 = (struct UserObject*)obj1002;
  uo1017->data[2] = emptyclosure;
  Method *meth_meth_ast_with_40_1_41_1017 = addmethod2pos(obj1002, "with(1)", &meth_ast_with_40_1_41_1017, 2);
  int argcv_meth_ast_with_40_1_41_1017[] = {1};
  meth_meth_ast_with_40_1_41_1017->type = alloc_MethodType(1, argcv_meth_ast_with_40_1_41_1017);
  meth_meth_ast_with_40_1_41_1017->definitionModule = modulename;
  meth_meth_ast_with_40_1_41_1017->definitionLine = 45;
// method "cons(_)onto(_)"
  struct UserObject *uo1022 = (struct UserObject*)obj1002;
  uo1022->data[3] = emptyclosure;
  Method *meth_meth_ast_cons_40_1_41_onto_40_1_41_1022 = addmethod2pos(obj1002, "cons(1)onto(1)", &meth_ast_cons_40_1_41_onto_40_1_41_1022, 3);
  int argcv_meth_ast_cons_40_1_41_onto_40_1_41_1022[] = {1, 1};
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1022->type = alloc_MethodType(2, argcv_meth_ast_cons_40_1_41_onto_40_1_41_1022);
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1022->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1022->definitionModule = modulename;
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1022->definitionLine = 46;
  Method *meth_meth_ast_cons_40_1_41_onto_40_1_41_1022_object = addmethod2pos(obj1002, "cons(1)onto(1)$object(1)", &meth_ast_cons_40_1_41_onto_40_1_41_1022_object, 3);
  int argcv_meth_ast_cons_40_1_41_onto_40_1_41_1022_object[] = {1, 1};
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1022_object->type = alloc_MethodType(2, argcv_meth_ast_cons_40_1_41_onto_40_1_41_1022_object);
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1022_object->flags |= MFLAG_CONFIDENTIAL;
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1022_object->definitionModule = modulename;
  meth_meth_ast_cons_40_1_41_onto_40_1_41_1022_object->definitionLine = 46;
  sourceObject = obj1002;
  sourceObject = obj1002;
  sourceObject = obj1002;
  objclass1002 = obj1002->class;
  objclass1002->definitionModule = modulename;
  objclass1002->definitionLine = 39;
  (*(struct UserObject *)self).data[0] = lowerouter1002;
  self = oldself1002;
  selfslot = oldselfslot1002;
  stackframe = oldstackframe1002;
// compiled object node returning obj1002 (depth = 2)
  *var_ancestorChain = obj1002;
  if (obj1002 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ancestorChain"
  block_savedest(self);
  Object closure1071 = createclosure(1, "ancestorChain");
  setclosureframe(closure1071, stackframe);
  addtoclosure(closure1071, var_ancestorChain);
  struct UserObject *uo1071 = (struct UserObject*)self;
  uo1071->data[12] = (Object)closure1071;
  Method *meth_meth_ast_ancestorChain1071 = addmethod2pos(self, "ancestorChain", &meth_ast_ancestorChain1071, 12);
  int argcv_meth_ast_ancestorChain1071[] = {0};
  meth_meth_ast_ancestorChain1071->type = alloc_MethodType(1, argcv_meth_ast_ancestorChain1071);
  meth_meth_ast_ancestorChain1071->definitionModule = modulename;
  meth_meth_ast_ancestorChain1071->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe1072 = gc_frame_new();
// call case 5: prelude request
  Object call1073 = callmethodflags(prelude, "emptySequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1072);
// compiled member node returning call1073 (depth = 2)
  *var_emptySeq = call1073;
  if (call1073 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "emptySeq"
  block_savedest(self);
  Object closure1074 = createclosure(1, "emptySeq");
  setclosureframe(closure1074, stackframe);
  addtoclosure(closure1074, var_emptySeq);
  struct UserObject *uo1074 = (struct UserObject*)self;
  uo1074->data[13] = (Object)closure1074;
  Method *meth_meth_ast_emptySeq1074 = addmethod2pos(self, "emptySeq", &meth_ast_emptySeq1074, 13);
  int argcv_meth_ast_emptySeq1074[] = {0};
  meth_meth_ast_emptySeq1074->type = alloc_MethodType(1, argcv_meth_ast_emptySeq1074);
  meth_meth_ast_emptySeq1074->definitionModule = modulename;
  meth_meth_ast_emptySeq1074->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl AstNode
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type1076 = alloc_Type("AstNode", 9);
    add_Method((ClassData)type1076, "kind", NULL);
    add_Method((ClassData)type1076, "register", NULL);
    add_Method((ClassData)type1076, "line", NULL);
    add_Method((ClassData)type1076, "line:=(1)", NULL);
    add_Method((ClassData)type1076, "linePos", NULL);
    add_Method((ClassData)type1076, "linePos:=(1)", NULL);
    add_Method((ClassData)type1076, "scope", NULL);
    add_Method((ClassData)type1076, "pretty(1)", NULL);
    add_Method((ClassData)type1076, "comments", NULL);
// compiled typeliteral node returning type1076 (depth = 2)
  *var_AstNode = type1076;
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "AstNode"
  block_savedest(self);
  Object closure1077 = createclosure(1, "AstNode");
  setclosureframe(closure1077, stackframe);
  addtoclosure(closure1077, var_AstNode);
  struct UserObject *uo1077 = (struct UserObject*)self;
  uo1077->data[14] = (Object)closure1077;
  Method *meth_meth_ast_AstNode1077 = addmethod2pos(self, "AstNode", &meth_ast_AstNode1077, 14);
  int argcv_meth_ast_AstNode1077[] = {0};
  meth_meth_ast_AstNode1077->type = alloc_MethodType(1, argcv_meth_ast_AstNode1077);
  meth_meth_ast_AstNode1077->definitionModule = modulename;
  meth_meth_ast_AstNode1077->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl SymbolTable
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_Unknown (depth = 2)
  *var_SymbolTable = *var_Unknown;
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "SymbolTable"
  block_savedest(self);
  Object closure1079 = createclosure(1, "SymbolTable");
  setclosureframe(closure1079, stackframe);
  addtoclosure(closure1079, var_SymbolTable);
  struct UserObject *uo1079 = (struct UserObject*)self;
  uo1079->data[15] = (Object)closure1079;
  Method *meth_meth_ast_SymbolTable1079 = addmethod2pos(self, "SymbolTable", &meth_ast_SymbolTable1079, 15);
  int argcv_meth_ast_SymbolTable1079[] = {0};
  meth_meth_ast_SymbolTable1079->type = alloc_MethodType(1, argcv_meth_ast_SymbolTable1079);
  meth_meth_ast_SymbolTable1079->definitionModule = modulename;
  meth_meth_ast_SymbolTable1079->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 204
  setline(204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1080 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1080 = alloc_userobj2(11,12, objclass1080);
  gc_frame_newslot(obj1080);
if (objclass1080 == NULL) {
  glfree(obj1080->class->name);
  obj1080->class->name = "implicit";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1080, self, 0);
  addmethodreal(obj1080,"outer", &reader_ast_outer_1081);
  Object oldself1080 = self;
  struct StackFrameObject *oldstackframe1080 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1080);
  gc_frame_newslot((Object)stackframe);
  self = obj1080;
  Object *oldselfslot1080 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1080 = (*(struct UserObject *)self).data[0], lowerouter1080 = thisouter1080;
  if (inheritingObject1080) {
    struct UserObject *inho1080 = (struct UserObject *)inheritingObject1080;
    while (inho1080->super != GraceDefaultObject) inho1080 = (struct UserObject *)inho1080->super;
    inho1080->super = obj1080;
    self = inheritingObject1080;
    *selfslot = self;
    lowerouter1080 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1080;
  }
if (objclass1080 == NULL) {
  Method *reader1082 = addmethodrealflags(obj1080, "kind",&reader_ast_kind_1082, MFLAG_DEF);
  reader1082->definitionModule = modulename;
  reader1082->definitionLine = 209;
}
adddatum2(obj1080, alloc_Undefined(), 1);
if (objclass1080 == NULL) {
  Method *reader1083 = addmethodrealflags(obj1080, "nameString",&reader_ast_nameString_1083, MFLAG_DEF);
  reader1083->definitionModule = modulename;
  reader1083->definitionLine = 210;
}
adddatum2(obj1080, alloc_Undefined(), 2);
// method "isImplicit"
  struct UserObject *uo1084 = (struct UserObject*)obj1080;
  uo1084->data[3] = emptyclosure;
  Method *meth_meth_ast_isImplicit1084 = addmethod2pos(obj1080, "isImplicit", &meth_ast_isImplicit1084, 3);
  int argcv_meth_ast_isImplicit1084[] = {0};
  meth_meth_ast_isImplicit1084->type = alloc_MethodType(1, argcv_meth_ast_isImplicit1084);
  meth_meth_ast_isImplicit1084->definitionModule = modulename;
  meth_meth_ast_isImplicit1084->definitionLine = 211;
// method "toGrace(_)"
  struct UserObject *uo1086 = (struct UserObject*)obj1080;
  uo1086->data[4] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1086 = addmethod2pos(obj1080, "toGrace(1)", &meth_ast_toGrace_40_1_41_1086, 4);
  int argcv_meth_ast_toGrace_40_1_41_1086[] = {1};
  meth_meth_ast_toGrace_40_1_41_1086->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1086);
  meth_meth_ast_toGrace_40_1_41_1086->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1086->definitionLine = 212;
// method "asString"
  struct UserObject *uo1088 = (struct UserObject*)obj1080;
  uo1088->data[5] = emptyclosure;
  Method *meth_meth_ast_asString1088 = addmethod2pos(obj1080, "asString", &meth_ast_asString1088, 5);
  int argcv_meth_ast_asString1088[] = {0};
  meth_meth_ast_asString1088->type = alloc_MethodType(1, argcv_meth_ast_asString1088);
  meth_meth_ast_asString1088->definitionModule = modulename;
  meth_meth_ast_asString1088->definitionLine = 213;
// method "==(_)"
  struct UserObject *uo1090 = (struct UserObject*)obj1080;
  uo1090->data[6] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_1090 = addmethod2pos(obj1080, "==(1)", &meth_ast__61__61__40_1_41_1090, 6);
  int argcv_meth_ast__61__61__40_1_41_1090[] = {1};
  meth_meth_ast__61__61__40_1_41_1090->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_1090);
  meth_meth_ast__61__61__40_1_41_1090->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_1090->definitionLine = 214;
// method "map(_)ancestors(_)"
  struct UserObject *uo1093 = (struct UserObject*)obj1080;
  uo1093->data[7] = emptyclosure;
  Method *meth_meth_ast_map_40_1_41_ancestors_40_1_41_1093 = addmethod2pos(obj1080, "map(1)ancestors(1)", &meth_ast_map_40_1_41_ancestors_40_1_41_1093, 7);
  int argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1093[] = {1, 1};
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1093->type = alloc_MethodType(2, argcv_meth_ast_map_40_1_41_ancestors_40_1_41_1093);
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1093->definitionModule = modulename;
  meth_meth_ast_map_40_1_41_ancestors_40_1_41_1093->definitionLine = 215;
// method "accept(_)from(_)"
  struct UserObject *uo1094 = (struct UserObject*)obj1080;
  uo1094->data[8] = emptyclosure;
  Method *meth_meth_ast_accept_40_1_41_from_40_1_41_1094 = addmethod2pos(obj1080, "accept(1)from(1)", &meth_ast_accept_40_1_41_from_40_1_41_1094, 8);
  int argcv_meth_ast_accept_40_1_41_from_40_1_41_1094[] = {1, 1};
  meth_meth_ast_accept_40_1_41_from_40_1_41_1094->type = alloc_MethodType(2, argcv_meth_ast_accept_40_1_41_from_40_1_41_1094);
  meth_meth_ast_accept_40_1_41_from_40_1_41_1094->definitionModule = modulename;
  meth_meth_ast_accept_40_1_41_from_40_1_41_1094->definitionLine = 216;
// method "pretty(_)"
  struct UserObject *uo1097 = (struct UserObject*)obj1080;
  uo1097->data[9] = emptyclosure;
  Method *meth_meth_ast_pretty_40_1_41_1097 = addmethod2pos(obj1080, "pretty(1)", &meth_ast_pretty_40_1_41_1097, 9);
  int argcv_meth_ast_pretty_40_1_41_1097[] = {1};
  meth_meth_ast_pretty_40_1_41_1097->type = alloc_MethodType(1, argcv_meth_ast_pretty_40_1_41_1097);
  meth_meth_ast_pretty_40_1_41_1097->definitionModule = modulename;
  meth_meth_ast_pretty_40_1_41_1097->definitionLine = 219;
  sourceObject = obj1080;
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1099 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1100 = gc_frame_new();
// call case 3: self.outer request
  Object call1101 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1100);
// compiled member node returning call1101 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1102 = callmethodflags(call1101, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1099);
// compiled call node returning call1102 (depth = 3)
  struct UserObject *obj1080_uo = (struct UserObject *)obj1080;
  obj1080_uo->super = call1102;
  sourceObject = obj1080;
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1103 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num1104 = alloc_Float64(0);
// compiled num node returning num1104 (depth = 4)
  gc_frame_newslot(num1104);
// call case 4: self request
  params[0] = num1104;
  partcv[0] = 1;
  Object call1105 = callmethodflags(self, "line:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1103);
// compiled call node returning call1105 (depth = 3)
  sourceObject = obj1080;
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1106 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num1107 = alloc_Float64(0);
// compiled num node returning num1107 (depth = 4)
  gc_frame_newslot(num1107);
// call case 4: self request
  params[0] = num1107;
  partcv[0] = 1;
  Object call1108 = callmethodflags(self, "linePos:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1106);
// compiled call node returning call1108 (depth = 3)
  sourceObject = obj1080;
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1109 == NULL) {
    strlit1109 = alloc_String("implicit");
    gc_root(strlit1109);
  }
// compiled string node returning strlit1109 (depth = 3)
  adddatum2(obj1080, strlit1109, 1);
  sourceObject = obj1080;
// Begin line 210
  setline(210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1110 == NULL) {
    strlit1110 = alloc_String("implicit");
    gc_root(strlit1110);
  }
// compiled string node returning strlit1110 (depth = 3)
  adddatum2(obj1080, strlit1110, 2);
  sourceObject = obj1080;
  sourceObject = obj1080;
  sourceObject = obj1080;
  sourceObject = obj1080;
  sourceObject = obj1080;
  sourceObject = obj1080;
  sourceObject = obj1080;
  objclass1080 = obj1080->class;
  objclass1080->definitionModule = modulename;
  objclass1080->definitionLine = 205;
  (*(struct UserObject *)self).data[0] = lowerouter1080;
  self = oldself1080;
  selfslot = oldselfslot1080;
  stackframe = oldstackframe1080;
// compiled object node returning obj1080 (depth = 2)
  *var_implicit = obj1080;
  if (obj1080 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "implicit"
  block_savedest(self);
  Object closure1111 = createclosure(1, "implicit");
  setclosureframe(closure1111, stackframe);
  addtoclosure(closure1111, var_implicit);
  struct UserObject *uo1111 = (struct UserObject*)self;
  uo1111->data[16] = (Object)closure1111;
  Method *meth_meth_ast_implicit1111 = addmethod2pos(self, "implicit", &meth_ast_implicit1111, 16);
  int argcv_meth_ast_implicit1111[] = {0};
  meth_meth_ast_implicit1111->type = alloc_MethodType(1, argcv_meth_ast_implicit1111);
  meth_meth_ast_implicit1111->definitionModule = modulename;
  meth_meth_ast_implicit1111->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 221
  setline(221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1112 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1112 = alloc_userobj2(4,5, objclass1112);
  gc_frame_newslot(obj1112);
if (objclass1112 == NULL) {
  glfree(obj1112->class->name);
  obj1112->class->name = "nullNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1112, self, 0);
  addmethodreal(obj1112,"outer", &reader_ast_outer_1113);
  Object oldself1112 = self;
  struct StackFrameObject *oldstackframe1112 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1112);
  gc_frame_newslot((Object)stackframe);
  self = obj1112;
  Object *oldselfslot1112 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1112 = (*(struct UserObject *)self).data[0], lowerouter1112 = thisouter1112;
  if (inheritingObject1112) {
    struct UserObject *inho1112 = (struct UserObject *)inheritingObject1112;
    while (inho1112->super != GraceDefaultObject) inho1112 = (struct UserObject *)inho1112->super;
    inho1112->super = obj1112;
    self = inheritingObject1112;
    *selfslot = self;
    lowerouter1112 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1112;
  }
if (objclass1112 == NULL) {
  Method *reader1114 = addmethodrealflags(obj1112, "kind",&reader_ast_kind_1114, MFLAG_DEF);
  reader1114->definitionModule = modulename;
  reader1114->definitionLine = 224;
}
adddatum2(obj1112, alloc_Undefined(), 1);
// method "toGrace(_)"
  struct UserObject *uo1115 = (struct UserObject*)obj1112;
  uo1115->data[2] = emptyclosure;
  Method *meth_meth_ast_toGrace_40_1_41_1115 = addmethod2pos(obj1112, "toGrace(1)", &meth_ast_toGrace_40_1_41_1115, 2);
  int argcv_meth_ast_toGrace_40_1_41_1115[] = {1};
  meth_meth_ast_toGrace_40_1_41_1115->type = alloc_MethodType(1, argcv_meth_ast_toGrace_40_1_41_1115);
  meth_meth_ast_toGrace_40_1_41_1115->definitionModule = modulename;
  meth_meth_ast_toGrace_40_1_41_1115->definitionLine = 225;
// method "asString"
  struct UserObject *uo1117 = (struct UserObject*)obj1112;
  uo1117->data[3] = emptyclosure;
  Method *meth_meth_ast_asString1117 = addmethod2pos(obj1112, "asString", &meth_ast_asString1117, 3);
  int argcv_meth_ast_asString1117[] = {0};
  meth_meth_ast_asString1117->type = alloc_MethodType(1, argcv_meth_ast_asString1117);
  meth_meth_ast_asString1117->definitionModule = modulename;
  meth_meth_ast_asString1117->definitionLine = 228;
// method "==(_)"
  struct UserObject *uo1119 = (struct UserObject*)obj1112;
  uo1119->data[4] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_1119 = addmethod2pos(obj1112, "==(1)", &meth_ast__61__61__40_1_41_1119, 4);
  int argcv_meth_ast__61__61__40_1_41_1119[] = {1};
  meth_meth_ast__61__61__40_1_41_1119->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_1119);
  meth_meth_ast__61__61__40_1_41_1119->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_1119->definitionLine = 229;
  sourceObject = obj1112;
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1122 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1123 = gc_frame_new();
// call case 3: self.outer request
  Object call1124 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe1123);
// compiled member node returning call1124 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call1125 = callmethodflags(call1124, "baseNode$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1122);
// compiled call node returning call1125 (depth = 3)
  struct UserObject *obj1112_uo = (struct UserObject *)obj1112;
  obj1112_uo->super = call1125;
  sourceObject = obj1112;
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit1126 == NULL) {
    strlit1126 = alloc_String("null");
    gc_root(strlit1126);
  }
// compiled string node returning strlit1126 (depth = 3)
  adddatum2(obj1112, strlit1126, 1);
  sourceObject = obj1112;
  sourceObject = obj1112;
  sourceObject = obj1112;
  objclass1112 = obj1112->class;
  objclass1112->definitionModule = modulename;
  objclass1112->definitionLine = 222;
  (*(struct UserObject *)self).data[0] = lowerouter1112;
  self = oldself1112;
  selfslot = oldselfslot1112;
  stackframe = oldstackframe1112;
// compiled object node returning obj1112 (depth = 2)
  *var_nullNode = obj1112;
  if (obj1112 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "nullNode"
  block_savedest(self);
  Object closure1127 = createclosure(1, "nullNode");
  setclosureframe(closure1127, stackframe);
  addtoclosure(closure1127, var_nullNode);
  struct UserObject *uo1127 = (struct UserObject*)self;
  uo1127->data[17] = (Object)closure1127;
  Method *meth_meth_ast_nullNode1127 = addmethod2pos(self, "nullNode", &meth_ast_nullNode1127, 17);
  int argcv_meth_ast_nullNode1127[] = {0};
  meth_meth_ast_nullNode1127->type = alloc_MethodType(1, argcv_meth_ast_nullNode1127);
  meth_meth_ast_nullNode1127->definitionModule = modulename;
  meth_meth_ast_nullNode1127->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1128 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1128 = alloc_userobj2(8,8, objclass1128);
  gc_frame_newslot(obj1128);
if (objclass1128 == NULL) {
  glfree(obj1128->class->name);
  obj1128->class->name = "fakeSymbolTable";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1128, self, 0);
  addmethodreal(obj1128,"outer", &reader_ast_outer_1129);
  Object oldself1128 = self;
  struct StackFrameObject *oldstackframe1128 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1128);
  gc_frame_newslot((Object)stackframe);
  self = obj1128;
  Object *oldselfslot1128 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1128 = (*(struct UserObject *)self).data[0], lowerouter1128 = thisouter1128;
  if (inheritingObject1128) {
    struct UserObject *inho1128 = (struct UserObject *)inheritingObject1128;
    while (inho1128->super != GraceDefaultObject) inho1128 = (struct UserObject *)inho1128->super;
    inho1128->super = obj1128;
    self = inheritingObject1128;
    *selfslot = self;
    lowerouter1128 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1128;
  }
if (objclass1128 == NULL) {
  Method *reader1130 = addmethodrealflags(obj1128, "node", &reader_ast_node_1130, 0);
  Method *writer1130 = addmethodrealflags(obj1128, "node:=(1)", &writer_ast_node_1130, 0);
  reader1130->definitionModule = modulename;
  writer1130->definitionModule = modulename;
  reader1130->definitionLine = 233;
  writer1130->definitionLine = 233;
}
obj1128->flags |= OFLAG_MUTABLE;
adddatum2(obj1128, alloc_Undefined(), 1);
// method "asString"
  struct UserObject *uo1131 = (struct UserObject*)obj1128;
  uo1131->data[2] = emptyclosure;
  Method *meth_meth_ast_asString1131 = addmethod2pos(obj1128, "asString", &meth_ast_asString1131, 2);
  int argcv_meth_ast_asString1131[] = {0};
  meth_meth_ast_asString1131->type = alloc_MethodType(1, argcv_meth_ast_asString1131);
  meth_meth_ast_asString1131->definitionModule = modulename;
  meth_meth_ast_asString1131->definitionLine = 234;
// method "addNode(_)as(_)"
  struct UserObject *uo1133 = (struct UserObject*)obj1128;
  uo1133->data[3] = emptyclosure;
  Method *meth_meth_ast_addNode_40_1_41_as_40_1_41_1133 = addmethod2pos(obj1128, "addNode(1)as(1)", &meth_ast_addNode_40_1_41_as_40_1_41_1133, 3);
  int argcv_meth_ast_addNode_40_1_41_as_40_1_41_1133[] = {1, 1};
  meth_meth_ast_addNode_40_1_41_as_40_1_41_1133->type = alloc_MethodType(2, argcv_meth_ast_addNode_40_1_41_as_40_1_41_1133);
  meth_meth_ast_addNode_40_1_41_as_40_1_41_1133->definitionModule = modulename;
  meth_meth_ast_addNode_40_1_41_as_40_1_41_1133->definitionLine = 235;
// method "thatDefines(_)ifNone(_)"
  struct UserObject *uo1162 = (struct UserObject*)obj1128;
  uo1162->data[4] = emptyclosure;
  Method *meth_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1162 = addmethod2pos(obj1128, "thatDefines(1)ifNone(1)", &meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1162, 4);
  int argcv_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1162[] = {1, 1};
  meth_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1162->type = alloc_MethodType(2, argcv_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1162);
  meth_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1162->definitionModule = modulename;
  meth_meth_ast_thatDefines_40_1_41_ifNone_40_1_41_1162->definitionLine = 238;
// method "enclosingObjectScope"
  struct UserObject *uo1175 = (struct UserObject*)obj1128;
  uo1175->data[5] = emptyclosure;
  Method *meth_meth_ast_enclosingObjectScope1175 = addmethod2pos(obj1128, "enclosingObjectScope", &meth_ast_enclosingObjectScope1175, 5);
  int argcv_meth_ast_enclosingObjectScope1175[] = {0};
  meth_meth_ast_enclosingObjectScope1175->type = alloc_MethodType(1, argcv_meth_ast_enclosingObjectScope1175);
  meth_meth_ast_enclosingObjectScope1175->definitionModule = modulename;
  meth_meth_ast_enclosingObjectScope1175->definitionLine = 241;
// method "variety"
  struct UserObject *uo1190 = (struct UserObject*)obj1128;
  uo1190->data[6] = emptyclosure;
  Method *meth_meth_ast_variety1190 = addmethod2pos(obj1128, "variety", &meth_ast_variety1190, 6);
  int argcv_meth_ast_variety1190[] = {0};
  meth_meth_ast_variety1190->type = alloc_MethodType(1, argcv_meth_ast_variety1190);
  meth_meth_ast_variety1190->definitionModule = modulename;
  meth_meth_ast_variety1190->definitionLine = 244;
// method "==(_)"
  struct UserObject *uo1192 = (struct UserObject*)obj1128;
  uo1192->data[7] = emptyclosure;
  Method *meth_meth_ast__61__61__40_1_41_1192 = addmethod2pos(obj1128, "==(1)", &meth_ast__61__61__40_1_41_1192, 7);
  int argcv_meth_ast__61__61__40_1_41_1192[] = {1};
  meth_meth_ast__61__61__40_1_41_1192->type = alloc_MethodType(1, argcv_meth_ast__61__61__40_1_41_1192);
  meth_meth_ast__61__61__40_1_41_1192->definitionModule = modulename;
  meth_meth_ast__61__61__40_1_41_1192->definitionLine = 245;
  sourceObject = obj1128;
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nullNode (depth = 3)
  adddatum2(obj1128, *var_nullNode, 1);
  sourceObject = obj1128;
  sourceObject = obj1128;
  sourceObject = obj1128;
  sourceObject = obj1128;
  sourceObject = obj1128;
  sourceObject = obj1128;
  objclass1128 = obj1128->class;
  objclass1128->definitionModule = modulename;
  objclass1128->definitionLine = 232;
  (*(struct UserObject *)self).data[0] = lowerouter1128;
  self = oldself1128;
  selfslot = oldselfslot1128;
  stackframe = oldstackframe1128;
// compiled object node returning obj1128 (depth = 2)
  *var_fakeSymbolTable = obj1128;
  if (obj1128 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "fakeSymbolTable"
  block_savedest(self);
  Object closure1195 = createclosure(1, "fakeSymbolTable");
  setclosureframe(closure1195, stackframe);
  addtoclosure(closure1195, var_fakeSymbolTable);
  struct UserObject *uo1195 = (struct UserObject*)self;
  uo1195->data[18] = (Object)closure1195;
  Method *meth_meth_ast_fakeSymbolTable1195 = addmethod2pos(self, "fakeSymbolTable", &meth_ast_fakeSymbolTable1195, 18);
  int argcv_meth_ast_fakeSymbolTable1195[] = {0};
  meth_meth_ast_fakeSymbolTable1195->type = alloc_MethodType(1, argcv_meth_ast_fakeSymbolTable1195);
  meth_meth_ast_fakeSymbolTable1195->definitionModule = modulename;
  meth_meth_ast_fakeSymbolTable1195->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 247
  setline(247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 248
  setline(248);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1196 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1196 = alloc_userobj2(2,4, objclass1196);
  gc_frame_newslot(obj1196);
if (objclass1196 == NULL) {
  glfree(obj1196->class->name);
  obj1196->class->name = "ifNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1196, self, 0);
  addmethodreal(obj1196,"outer", &reader_ast_outer_1197);
  Object oldself1196 = self;
  struct StackFrameObject *oldstackframe1196 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1196);
  gc_frame_newslot((Object)stackframe);
  self = obj1196;
  Object *oldselfslot1196 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1196 = (*(struct UserObject *)self).data[0], lowerouter1196 = thisouter1196;
  if (inheritingObject1196) {
    struct UserObject *inho1196 = (struct UserObject *)inheritingObject1196;
    while (inho1196->super != GraceDefaultObject) inho1196 = (struct UserObject *)inho1196->super;
    inho1196->super = obj1196;
    self = inheritingObject1196;
    *selfslot = self;
    lowerouter1196 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1196;
  }
// method "new(_,_,_)"
  block_savedest(obj1196);
  Object closure1198 = createclosure(3, "new(3)");
  setclosureframe(closure1198, stackframe);
  addtoclosure(closure1198, var_util);
  addtoclosure(closure1198, var_nullNode);
  addtoclosure(closure1198, var_ifNode);
  struct UserObject *uo1198 = (struct UserObject*)obj1196;
  uo1198->data[1] = (Object)closure1198;
  Method *meth_meth_ast_new_40_3_41_1198 = addmethod2pos(obj1196, "new(3)", &meth_ast_new_40_3_41_1198, 1);
  int argcv_meth_ast_new_40_3_41_1198[] = {3};
  meth_meth_ast_new_40_3_41_1198->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_1198);
  meth_meth_ast_new_40_3_41_1198->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_1198->definitionLine = 249;
  block_savedest(obj1196);
  Object closure1553 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure1553, stackframe);
  addtoclosure(closure1553, var_util);
  addtoclosure(closure1553, var_nullNode);
  addtoclosure(closure1553, var_ifNode);
  Method *meth_meth_ast_new_40_3_41_1198_object = addmethod2pos(obj1196, "new(3)$object(1)", &meth_ast_new_40_3_41_1198_object, 1);
  meth_meth_ast_new_40_3_41_1198_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_1198_object->definitionLine = 249;
  sourceObject = obj1196;
  objclass1196 = obj1196->class;
  objclass1196->definitionModule = modulename;
  objclass1196->definitionLine = 248;
  (*(struct UserObject *)self).data[0] = lowerouter1196;
  self = oldself1196;
  selfslot = oldselfslot1196;
  stackframe = oldstackframe1196;
// compiled object node returning obj1196 (depth = 2)
  *var_ifNode = obj1196;
  if (obj1196 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ifNode"
  block_savedest(self);
  Object closure1554 = createclosure(1, "ifNode");
  setclosureframe(closure1554, stackframe);
  addtoclosure(closure1554, var_ifNode);
  struct UserObject *uo1554 = (struct UserObject*)self;
  uo1554->data[19] = (Object)closure1554;
  Method *meth_meth_ast_ifNode1554 = addmethod2pos(self, "ifNode", &meth_ast_ifNode1554, 19);
  int argcv_meth_ast_ifNode1554[] = {0};
  meth_meth_ast_ifNode1554->type = alloc_MethodType(1, argcv_meth_ast_ifNode1554);
  meth_meth_ast_ifNode1554->definitionModule = modulename;
  meth_meth_ast_ifNode1554->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject1555 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1555 = alloc_userobj2(2,4, objclass1555);
  gc_frame_newslot(obj1555);
if (objclass1555 == NULL) {
  glfree(obj1555->class->name);
  obj1555->class->name = "blockNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj1555, self, 0);
  addmethodreal(obj1555,"outer", &reader_ast_outer_1556);
  Object oldself1555 = self;
  struct StackFrameObject *oldstackframe1555 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1555);
  gc_frame_newslot((Object)stackframe);
  self = obj1555;
  Object *oldselfslot1555 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1555 = (*(struct UserObject *)self).data[0], lowerouter1555 = thisouter1555;
  if (inheritingObject1555) {
    struct UserObject *inho1555 = (struct UserObject *)inheritingObject1555;
    while (inho1555->super != GraceDefaultObject) inho1555 = (struct UserObject *)inho1555->super;
    inho1555->super = obj1555;
    self = inheritingObject1555;
    *selfslot = self;
    lowerouter1555 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1555;
  }
// method "new(_,_)"
  block_savedest(obj1555);
  Object closure1557 = createclosure(4, "new(2)");
  setclosureframe(closure1557, stackframe);
  addtoclosure(closure1557, var_k);
  addtoclosure(closure1557, var_blockNode);
  addtoclosure(closure1557, var_patternMarkVisitor);
  addtoclosure(closure1557, var_ancestorChain);
  struct UserObject *uo1557 = (struct UserObject*)obj1555;
  uo1557->data[1] = (Object)closure1557;
  Method *meth_meth_ast_new_40_2_41_1557 = addmethod2pos(obj1555, "new(2)", &meth_ast_new_40_2_41_1557, 1);
  int argcv_meth_ast_new_40_2_41_1557[] = {2};
  meth_meth_ast_new_40_2_41_1557->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_1557);
  meth_meth_ast_new_40_2_41_1557->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_1557->definitionLine = 326;
  block_savedest(obj1555);
  Object closure2015 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure2015, stackframe);
  addtoclosure(closure2015, var_k);
  addtoclosure(closure2015, var_blockNode);
  addtoclosure(closure2015, var_patternMarkVisitor);
  addtoclosure(closure2015, var_ancestorChain);
  Method *meth_meth_ast_new_40_2_41_1557_object = addmethod2pos(obj1555, "new(2)$object(1)", &meth_ast_new_40_2_41_1557_object, 1);
  meth_meth_ast_new_40_2_41_1557_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_1557_object->definitionLine = 326;
  sourceObject = obj1555;
  objclass1555 = obj1555->class;
  objclass1555->definitionModule = modulename;
  objclass1555->definitionLine = 325;
  (*(struct UserObject *)self).data[0] = lowerouter1555;
  self = oldself1555;
  selfslot = oldselfslot1555;
  stackframe = oldstackframe1555;
// compiled object node returning obj1555 (depth = 2)
  *var_blockNode = obj1555;
  if (obj1555 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "blockNode"
  block_savedest(self);
  Object closure2016 = createclosure(1, "blockNode");
  setclosureframe(closure2016, stackframe);
  addtoclosure(closure2016, var_blockNode);
  struct UserObject *uo2016 = (struct UserObject*)self;
  uo2016->data[20] = (Object)closure2016;
  Method *meth_meth_ast_blockNode2016 = addmethod2pos(self, "blockNode", &meth_ast_blockNode2016, 20);
  int argcv_meth_ast_blockNode2016[] = {0};
  meth_meth_ast_blockNode2016->type = alloc_MethodType(1, argcv_meth_ast_blockNode2016);
  meth_meth_ast_blockNode2016->definitionModule = modulename;
  meth_meth_ast_blockNode2016->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2017 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2017 = alloc_userobj2(2,4, objclass2017);
  gc_frame_newslot(obj2017);
if (objclass2017 == NULL) {
  glfree(obj2017->class->name);
  obj2017->class->name = "tryCatchNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2017, self, 0);
  addmethodreal(obj2017,"outer", &reader_ast_outer_2018);
  Object oldself2017 = self;
  struct StackFrameObject *oldstackframe2017 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2017);
  gc_frame_newslot((Object)stackframe);
  self = obj2017;
  Object *oldselfslot2017 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2017 = (*(struct UserObject *)self).data[0], lowerouter2017 = thisouter2017;
  if (inheritingObject2017) {
    struct UserObject *inho2017 = (struct UserObject *)inheritingObject2017;
    while (inho2017->super != GraceDefaultObject) inho2017 = (struct UserObject *)inho2017->super;
    inho2017->super = obj2017;
    self = inheritingObject2017;
    *selfslot = self;
    lowerouter2017 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2017;
  }
// method "new(_,_,_)"
  block_savedest(obj2017);
  Object closure2019 = createclosure(3, "new(3)");
  setclosureframe(closure2019, stackframe);
  addtoclosure(closure2019, var_nullNode);
  addtoclosure(closure2019, var_emptySeq);
  addtoclosure(closure2019, var_tryCatchNode);
  struct UserObject *uo2019 = (struct UserObject*)obj2017;
  uo2019->data[1] = (Object)closure2019;
  Method *meth_meth_ast_new_40_3_41_2019 = addmethod2pos(obj2017, "new(3)", &meth_ast_new_40_3_41_2019, 1);
  int argcv_meth_ast_new_40_3_41_2019[] = {3};
  meth_meth_ast_new_40_3_41_2019->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_2019);
  meth_meth_ast_new_40_3_41_2019->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_2019->definitionLine = 445;
  block_savedest(obj2017);
  Object closure2327 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure2327, stackframe);
  addtoclosure(closure2327, var_nullNode);
  addtoclosure(closure2327, var_emptySeq);
  addtoclosure(closure2327, var_tryCatchNode);
  Method *meth_meth_ast_new_40_3_41_2019_object = addmethod2pos(obj2017, "new(3)$object(1)", &meth_ast_new_40_3_41_2019_object, 1);
  meth_meth_ast_new_40_3_41_2019_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_2019_object->definitionLine = 445;
  sourceObject = obj2017;
  objclass2017 = obj2017->class;
  objclass2017->definitionModule = modulename;
  objclass2017->definitionLine = 444;
  (*(struct UserObject *)self).data[0] = lowerouter2017;
  self = oldself2017;
  selfslot = oldselfslot2017;
  stackframe = oldstackframe2017;
// compiled object node returning obj2017 (depth = 2)
  *var_tryCatchNode = obj2017;
  if (obj2017 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "tryCatchNode"
  block_savedest(self);
  Object closure2328 = createclosure(1, "tryCatchNode");
  setclosureframe(closure2328, stackframe);
  addtoclosure(closure2328, var_tryCatchNode);
  struct UserObject *uo2328 = (struct UserObject*)self;
  uo2328->data[21] = (Object)closure2328;
  Method *meth_meth_ast_tryCatchNode2328 = addmethod2pos(self, "tryCatchNode", &meth_ast_tryCatchNode2328, 21);
  int argcv_meth_ast_tryCatchNode2328[] = {0};
  meth_meth_ast_tryCatchNode2328->type = alloc_MethodType(1, argcv_meth_ast_tryCatchNode2328);
  meth_meth_ast_tryCatchNode2328->definitionModule = modulename;
  meth_meth_ast_tryCatchNode2328->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2329 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2329 = alloc_userobj2(2,4, objclass2329);
  gc_frame_newslot(obj2329);
if (objclass2329 == NULL) {
  glfree(obj2329->class->name);
  obj2329->class->name = "matchCaseNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2329, self, 0);
  addmethodreal(obj2329,"outer", &reader_ast_outer_2330);
  Object oldself2329 = self;
  struct StackFrameObject *oldstackframe2329 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2329);
  gc_frame_newslot((Object)stackframe);
  self = obj2329;
  Object *oldselfslot2329 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2329 = (*(struct UserObject *)self).data[0], lowerouter2329 = thisouter2329;
  if (inheritingObject2329) {
    struct UserObject *inho2329 = (struct UserObject *)inheritingObject2329;
    while (inho2329->super != GraceDefaultObject) inho2329 = (struct UserObject *)inho2329->super;
    inho2329->super = obj2329;
    self = inheritingObject2329;
    *selfslot = self;
    lowerouter2329 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2329;
  }
// method "new(_,_,_)"
  block_savedest(obj2329);
  Object closure2331 = createclosure(3, "new(3)");
  setclosureframe(closure2331, stackframe);
  addtoclosure(closure2331, var_nullNode);
  addtoclosure(closure2331, var_emptySeq);
  addtoclosure(closure2331, var_matchCaseNode);
  struct UserObject *uo2331 = (struct UserObject*)obj2329;
  uo2331->data[1] = (Object)closure2331;
  Method *meth_meth_ast_new_40_3_41_2331 = addmethod2pos(obj2329, "new(3)", &meth_ast_new_40_3_41_2331, 1);
  int argcv_meth_ast_new_40_3_41_2331[] = {3};
  meth_meth_ast_new_40_3_41_2331->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_2331);
  meth_meth_ast_new_40_3_41_2331->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_2331->definitionLine = 508;
  block_savedest(obj2329);
  Object closure2635 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure2635, stackframe);
  addtoclosure(closure2635, var_nullNode);
  addtoclosure(closure2635, var_emptySeq);
  addtoclosure(closure2635, var_matchCaseNode);
  Method *meth_meth_ast_new_40_3_41_2331_object = addmethod2pos(obj2329, "new(3)$object(1)", &meth_ast_new_40_3_41_2331_object, 1);
  meth_meth_ast_new_40_3_41_2331_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_2331_object->definitionLine = 508;
  sourceObject = obj2329;
  objclass2329 = obj2329->class;
  objclass2329->definitionModule = modulename;
  objclass2329->definitionLine = 507;
  (*(struct UserObject *)self).data[0] = lowerouter2329;
  self = oldself2329;
  selfslot = oldselfslot2329;
  stackframe = oldstackframe2329;
// compiled object node returning obj2329 (depth = 2)
  *var_matchCaseNode = obj2329;
  if (obj2329 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "matchCaseNode"
  block_savedest(self);
  Object closure2636 = createclosure(1, "matchCaseNode");
  setclosureframe(closure2636, stackframe);
  addtoclosure(closure2636, var_matchCaseNode);
  struct UserObject *uo2636 = (struct UserObject*)self;
  uo2636->data[22] = (Object)closure2636;
  Method *meth_meth_ast_matchCaseNode2636 = addmethod2pos(self, "matchCaseNode", &meth_ast_matchCaseNode2636, 22);
  int argcv_meth_ast_matchCaseNode2636[] = {0};
  meth_meth_ast_matchCaseNode2636->type = alloc_MethodType(1, argcv_meth_ast_matchCaseNode2636);
  meth_meth_ast_matchCaseNode2636->definitionModule = modulename;
  meth_meth_ast_matchCaseNode2636->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject2637 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2637 = alloc_userobj2(2,4, objclass2637);
  gc_frame_newslot(obj2637);
if (objclass2637 == NULL) {
  glfree(obj2637->class->name);
  obj2637->class->name = "methodTypeNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2637, self, 0);
  addmethodreal(obj2637,"outer", &reader_ast_outer_2638);
  Object oldself2637 = self;
  struct StackFrameObject *oldstackframe2637 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2637);
  gc_frame_newslot((Object)stackframe);
  self = obj2637;
  Object *oldselfslot2637 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2637 = (*(struct UserObject *)self).data[0], lowerouter2637 = thisouter2637;
  if (inheritingObject2637) {
    struct UserObject *inho2637 = (struct UserObject *)inheritingObject2637;
    while (inho2637->super != GraceDefaultObject) inho2637 = (struct UserObject *)inho2637->super;
    inho2637->super = obj2637;
    self = inheritingObject2637;
    *selfslot = self;
    lowerouter2637 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2637;
  }
// method "new(_,_)"
  block_savedest(obj2637);
  Object closure2639 = createclosure(4, "new(2)");
  setclosureframe(closure2639, stackframe);
  addtoclosure(closure2639, var_uninitialized);
  addtoclosure(closure2639, var_identifierNode);
  addtoclosure(closure2639, var_k);
  addtoclosure(closure2639, var_methodTypeNode);
  struct UserObject *uo2639 = (struct UserObject*)obj2637;
  uo2639->data[1] = (Object)closure2639;
  Method *meth_meth_ast_new_40_2_41_2639 = addmethod2pos(obj2637, "new(2)", &meth_ast_new_40_2_41_2639, 1);
  int argcv_meth_ast_new_40_2_41_2639[] = {2};
  meth_meth_ast_new_40_2_41_2639->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_2639);
  meth_meth_ast_new_40_2_41_2639->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_2639->definitionLine = 571;
  block_savedest(obj2637);
  Object closure3018 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure3018, stackframe);
  addtoclosure(closure3018, var_uninitialized);
  addtoclosure(closure3018, var_identifierNode);
  addtoclosure(closure3018, var_k);
  addtoclosure(closure3018, var_methodTypeNode);
  Method *meth_meth_ast_new_40_2_41_2639_object = addmethod2pos(obj2637, "new(2)$object(1)", &meth_ast_new_40_2_41_2639_object, 1);
  meth_meth_ast_new_40_2_41_2639_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_2639_object->definitionLine = 571;
  sourceObject = obj2637;
  objclass2637 = obj2637->class;
  objclass2637->definitionModule = modulename;
  objclass2637->definitionLine = 570;
  (*(struct UserObject *)self).data[0] = lowerouter2637;
  self = oldself2637;
  selfslot = oldselfslot2637;
  stackframe = oldstackframe2637;
// compiled object node returning obj2637 (depth = 2)
  *var_methodTypeNode = obj2637;
  if (obj2637 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "methodTypeNode"
  block_savedest(self);
  Object closure3019 = createclosure(1, "methodTypeNode");
  setclosureframe(closure3019, stackframe);
  addtoclosure(closure3019, var_methodTypeNode);
  struct UserObject *uo3019 = (struct UserObject*)self;
  uo3019->data[23] = (Object)closure3019;
  Method *meth_meth_ast_methodTypeNode3019 = addmethod2pos(self, "methodTypeNode", &meth_ast_methodTypeNode3019, 23);
  int argcv_meth_ast_methodTypeNode3019[] = {0};
  meth_meth_ast_methodTypeNode3019->type = alloc_MethodType(1, argcv_meth_ast_methodTypeNode3019);
  meth_meth_ast_methodTypeNode3019->definitionModule = modulename;
  meth_meth_ast_methodTypeNode3019->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3020 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3020 = alloc_userobj2(2,4, objclass3020);
  gc_frame_newslot(obj3020);
if (objclass3020 == NULL) {
  glfree(obj3020->class->name);
  obj3020->class->name = "typeLiteralNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3020, self, 0);
  addmethodreal(obj3020,"outer", &reader_ast_outer_3021);
  Object oldself3020 = self;
  struct StackFrameObject *oldstackframe3020 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3020);
  gc_frame_newslot((Object)stackframe);
  self = obj3020;
  Object *oldselfslot3020 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3020 = (*(struct UserObject *)self).data[0], lowerouter3020 = thisouter3020;
  if (inheritingObject3020) {
    struct UserObject *inho3020 = (struct UserObject *)inheritingObject3020;
    while (inho3020->super != GraceDefaultObject) inho3020 = (struct UserObject *)inho3020->super;
    inho3020->super = obj3020;
    self = inheritingObject3020;
    *selfslot = self;
    lowerouter3020 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3020;
  }
// method "new(_,_)"
  block_savedest(obj3020);
  Object closure3022 = createclosure(3, "new(2)");
  setclosureframe(closure3022, stackframe);
  addtoclosure(closure3022, var_k);
  addtoclosure(closure3022, var_emptySeq);
  addtoclosure(closure3022, var_typeLiteralNode);
  struct UserObject *uo3022 = (struct UserObject*)obj3020;
  uo3022->data[1] = (Object)closure3022;
  Method *meth_meth_ast_new_40_2_41_3022 = addmethod2pos(obj3020, "new(2)", &meth_ast_new_40_2_41_3022, 1);
  int argcv_meth_ast_new_40_2_41_3022[] = {2};
  meth_meth_ast_new_40_2_41_3022->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_3022);
  meth_meth_ast_new_40_2_41_3022->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_3022->definitionLine = 662;
  block_savedest(obj3020);
  Object closure3331 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure3331, stackframe);
  addtoclosure(closure3331, var_k);
  addtoclosure(closure3331, var_emptySeq);
  addtoclosure(closure3331, var_typeLiteralNode);
  Method *meth_meth_ast_new_40_2_41_3022_object = addmethod2pos(obj3020, "new(2)$object(1)", &meth_ast_new_40_2_41_3022_object, 1);
  meth_meth_ast_new_40_2_41_3022_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_3022_object->definitionLine = 662;
  sourceObject = obj3020;
  objclass3020 = obj3020->class;
  objclass3020->definitionModule = modulename;
  objclass3020->definitionLine = 661;
  (*(struct UserObject *)self).data[0] = lowerouter3020;
  self = oldself3020;
  selfslot = oldselfslot3020;
  stackframe = oldstackframe3020;
// compiled object node returning obj3020 (depth = 2)
  *var_typeLiteralNode = obj3020;
  if (obj3020 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeLiteralNode"
  block_savedest(self);
  Object closure3332 = createclosure(1, "typeLiteralNode");
  setclosureframe(closure3332, stackframe);
  addtoclosure(closure3332, var_typeLiteralNode);
  struct UserObject *uo3332 = (struct UserObject*)self;
  uo3332->data[24] = (Object)closure3332;
  Method *meth_meth_ast_typeLiteralNode3332 = addmethod2pos(self, "typeLiteralNode", &meth_ast_typeLiteralNode3332, 24);
  int argcv_meth_ast_typeLiteralNode3332[] = {0};
  meth_meth_ast_typeLiteralNode3332->type = alloc_MethodType(1, argcv_meth_ast_typeLiteralNode3332);
  meth_meth_ast_typeLiteralNode3332->definitionModule = modulename;
  meth_meth_ast_typeLiteralNode3332->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3333 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3333 = alloc_userobj2(2,4, objclass3333);
  gc_frame_newslot(obj3333);
if (objclass3333 == NULL) {
  glfree(obj3333->class->name);
  obj3333->class->name = "typeDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3333, self, 0);
  addmethodreal(obj3333,"outer", &reader_ast_outer_3334);
  Object oldself3333 = self;
  struct StackFrameObject *oldstackframe3333 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3333);
  gc_frame_newslot((Object)stackframe);
  self = obj3333;
  Object *oldselfslot3333 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3333 = (*(struct UserObject *)self).data[0], lowerouter3333 = thisouter3333;
  if (inheritingObject3333) {
    struct UserObject *inho3333 = (struct UserObject *)inheritingObject3333;
    while (inho3333->super != GraceDefaultObject) inho3333 = (struct UserObject *)inho3333->super;
    inho3333->super = obj3333;
    self = inheritingObject3333;
    *selfslot = self;
    lowerouter3333 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3333;
  }
// method "new(_,_)"
  block_savedest(obj3333);
  Object closure3335 = createclosure(3, "new(2)");
  setclosureframe(closure3335, stackframe);
  addtoclosure(closure3335, var_k);
  addtoclosure(closure3335, var_nullNode);
  addtoclosure(closure3335, var_typeDecNode);
  struct UserObject *uo3335 = (struct UserObject*)obj3333;
  uo3335->data[1] = (Object)closure3335;
  Method *meth_meth_ast_new_40_2_41_3335 = addmethod2pos(obj3333, "new(2)", &meth_ast_new_40_2_41_3335, 1);
  int argcv_meth_ast_new_40_2_41_3335[] = {2};
  meth_meth_ast_new_40_2_41_3335->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_3335);
  meth_meth_ast_new_40_2_41_3335->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_3335->definitionLine = 746;
  block_savedest(obj3333);
  Object closure3661 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure3661, stackframe);
  addtoclosure(closure3661, var_k);
  addtoclosure(closure3661, var_nullNode);
  addtoclosure(closure3661, var_typeDecNode);
  Method *meth_meth_ast_new_40_2_41_3335_object = addmethod2pos(obj3333, "new(2)$object(1)", &meth_ast_new_40_2_41_3335_object, 1);
  meth_meth_ast_new_40_2_41_3335_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_3335_object->definitionLine = 746;
  sourceObject = obj3333;
  objclass3333 = obj3333->class;
  objclass3333->definitionModule = modulename;
  objclass3333->definitionLine = 745;
  (*(struct UserObject *)self).data[0] = lowerouter3333;
  self = oldself3333;
  selfslot = oldselfslot3333;
  stackframe = oldstackframe3333;
// compiled object node returning obj3333 (depth = 2)
  *var_typeDecNode = obj3333;
  if (obj3333 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeDecNode"
  block_savedest(self);
  Object closure3662 = createclosure(1, "typeDecNode");
  setclosureframe(closure3662, stackframe);
  addtoclosure(closure3662, var_typeDecNode);
  struct UserObject *uo3662 = (struct UserObject*)self;
  uo3662->data[25] = (Object)closure3662;
  Method *meth_meth_ast_typeDecNode3662 = addmethod2pos(self, "typeDecNode", &meth_ast_typeDecNode3662, 25);
  int argcv_meth_ast_typeDecNode3662[] = {0};
  meth_meth_ast_typeDecNode3662->type = alloc_MethodType(1, argcv_meth_ast_typeDecNode3662);
  meth_meth_ast_typeDecNode3662->definitionModule = modulename;
  meth_meth_ast_typeDecNode3662->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject3663 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj3663 = alloc_userobj2(3,4, objclass3663);
  gc_frame_newslot(obj3663);
if (objclass3663 == NULL) {
  glfree(obj3663->class->name);
  obj3663->class->name = "methodNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj3663, self, 0);
  addmethodreal(obj3663,"outer", &reader_ast_outer_3664);
  Object oldself3663 = self;
  struct StackFrameObject *oldstackframe3663 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe3663);
  gc_frame_newslot((Object)stackframe);
  self = obj3663;
  Object *oldselfslot3663 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter3663 = (*(struct UserObject *)self).data[0], lowerouter3663 = thisouter3663;
  if (inheritingObject3663) {
    struct UserObject *inho3663 = (struct UserObject *)inheritingObject3663;
    while (inho3663->super != GraceDefaultObject) inho3663 = (struct UserObject *)inho3663->super;
    inho3663->super = obj3663;
    self = inheritingObject3663;
    *selfslot = self;
    lowerouter3663 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter3663;
  }
// method "new(_,_,_)scope(_)"
  struct UserObject *uo3665 = (struct UserObject*)obj3663;
  uo3665->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_3_41_scope_40_1_41_3665 = addmethod2pos(obj3663, "new(3)scope(1)", &meth_ast_new_40_3_41_scope_40_1_41_3665, 1);
  int argcv_meth_ast_new_40_3_41_scope_40_1_41_3665[] = {3, 1};
  meth_meth_ast_new_40_3_41_scope_40_1_41_3665->type = alloc_MethodType(2, argcv_meth_ast_new_40_3_41_scope_40_1_41_3665);
  meth_meth_ast_new_40_3_41_scope_40_1_41_3665->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_scope_40_1_41_3665->definitionLine = 831;
// method "new(_,_,_)"
  block_savedest(obj3663);
  Object closure3670 = createclosure(4, "new(3)");
  setclosureframe(closure3670, stackframe);
  addtoclosure(closure3670, var_uninitialized);
  addtoclosure(closure3670, var_identifierNode);
  addtoclosure(closure3670, var_k);
  addtoclosure(closure3670, var_methodNode);
  struct UserObject *uo3670 = (struct UserObject*)obj3663;
  uo3670->data[2] = (Object)closure3670;
  Method *meth_meth_ast_new_40_3_41_3670 = addmethod2pos(obj3663, "new(3)", &meth_ast_new_40_3_41_3670, 2);
  int argcv_meth_ast_new_40_3_41_3670[] = {3};
  meth_meth_ast_new_40_3_41_3670->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_3670);
  meth_meth_ast_new_40_3_41_3670->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_3670->definitionLine = 837;
  block_savedest(obj3663);
  Object closure4707 = createclosure(4, "new(3)$object(1)");
  setclosureframe(closure4707, stackframe);
  addtoclosure(closure4707, var_uninitialized);
  addtoclosure(closure4707, var_identifierNode);
  addtoclosure(closure4707, var_k);
  addtoclosure(closure4707, var_methodNode);
  Method *meth_meth_ast_new_40_3_41_3670_object = addmethod2pos(obj3663, "new(3)$object(1)", &meth_ast_new_40_3_41_3670_object, 2);
  meth_meth_ast_new_40_3_41_3670_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_3670_object->definitionLine = 837;
  sourceObject = obj3663;
  sourceObject = obj3663;
  objclass3663 = obj3663->class;
  objclass3663->definitionModule = modulename;
  objclass3663->definitionLine = 830;
  (*(struct UserObject *)self).data[0] = lowerouter3663;
  self = oldself3663;
  selfslot = oldselfslot3663;
  stackframe = oldstackframe3663;
// compiled object node returning obj3663 (depth = 2)
  *var_methodNode = obj3663;
  if (obj3663 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "methodNode"
  block_savedest(self);
  Object closure4708 = createclosure(1, "methodNode");
  setclosureframe(closure4708, stackframe);
  addtoclosure(closure4708, var_methodNode);
  struct UserObject *uo4708 = (struct UserObject*)self;
  uo4708->data[26] = (Object)closure4708;
  Method *meth_meth_ast_methodNode4708 = addmethod2pos(self, "methodNode", &meth_ast_methodNode4708, 26);
  int argcv_meth_ast_methodNode4708[] = {0};
  meth_meth_ast_methodNode4708->type = alloc_MethodType(1, argcv_meth_ast_methodNode4708);
  meth_meth_ast_methodNode4708->definitionModule = modulename;
  meth_meth_ast_methodNode4708->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject4709 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj4709 = alloc_userobj2(3,4, objclass4709);
  gc_frame_newslot(obj4709);
if (objclass4709 == NULL) {
  glfree(obj4709->class->name);
  obj4709->class->name = "callNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj4709, self, 0);
  addmethodreal(obj4709,"outer", &reader_ast_outer_4710);
  Object oldself4709 = self;
  struct StackFrameObject *oldstackframe4709 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe4709);
  gc_frame_newslot((Object)stackframe);
  self = obj4709;
  Object *oldselfslot4709 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter4709 = (*(struct UserObject *)self).data[0], lowerouter4709 = thisouter4709;
  if (inheritingObject4709) {
    struct UserObject *inho4709 = (struct UserObject *)inheritingObject4709;
    while (inho4709->super != GraceDefaultObject) inho4709 = (struct UserObject *)inho4709->super;
    inho4709->super = obj4709;
    self = inheritingObject4709;
    *selfslot = self;
    lowerouter4709 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter4709;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo4711 = (struct UserObject*)obj4709;
  uo4711->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_2_41_scope_40_1_41_4711 = addmethod2pos(obj4709, "new(2)scope(1)", &meth_ast_new_40_2_41_scope_40_1_41_4711, 1);
  int argcv_meth_ast_new_40_2_41_scope_40_1_41_4711[] = {2, 1};
  meth_meth_ast_new_40_2_41_scope_40_1_41_4711->type = alloc_MethodType(2, argcv_meth_ast_new_40_2_41_scope_40_1_41_4711);
  meth_meth_ast_new_40_2_41_scope_40_1_41_4711->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_scope_40_1_41_4711->definitionLine = 1062;
// method "new(_,_)"
  block_savedest(obj4709);
  Object closure4716 = createclosure(3, "new(2)");
  setclosureframe(closure4716, stackframe);
  addtoclosure(closure4716, var_fakeSymbolTable);
  addtoclosure(closure4716, var_identifierNode);
  addtoclosure(closure4716, var_callNode);
  struct UserObject *uo4716 = (struct UserObject*)obj4709;
  uo4716->data[2] = (Object)closure4716;
  Method *meth_meth_ast_new_40_2_41_4716 = addmethod2pos(obj4709, "new(2)", &meth_ast_new_40_2_41_4716, 2);
  int argcv_meth_ast_new_40_2_41_4716[] = {2};
  meth_meth_ast_new_40_2_41_4716->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_4716);
  meth_meth_ast_new_40_2_41_4716->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_4716->definitionLine = 1067;
  block_savedest(obj4709);
  Object closure5243 = createclosure(3, "new(2)$object(1)");
  setclosureframe(closure5243, stackframe);
  addtoclosure(closure5243, var_fakeSymbolTable);
  addtoclosure(closure5243, var_identifierNode);
  addtoclosure(closure5243, var_callNode);
  Method *meth_meth_ast_new_40_2_41_4716_object = addmethod2pos(obj4709, "new(2)$object(1)", &meth_ast_new_40_2_41_4716_object, 2);
  meth_meth_ast_new_40_2_41_4716_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_4716_object->definitionLine = 1067;
  sourceObject = obj4709;
  sourceObject = obj4709;
  objclass4709 = obj4709->class;
  objclass4709->definitionModule = modulename;
  objclass4709->definitionLine = 1061;
  (*(struct UserObject *)self).data[0] = lowerouter4709;
  self = oldself4709;
  selfslot = oldselfslot4709;
  stackframe = oldstackframe4709;
// compiled object node returning obj4709 (depth = 2)
  *var_callNode = obj4709;
  if (obj4709 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "callNode"
  block_savedest(self);
  Object closure5244 = createclosure(1, "callNode");
  setclosureframe(closure5244, stackframe);
  addtoclosure(closure5244, var_callNode);
  struct UserObject *uo5244 = (struct UserObject*)self;
  uo5244->data[27] = (Object)closure5244;
  Method *meth_meth_ast_callNode5244 = addmethod2pos(self, "callNode", &meth_ast_callNode5244, 27);
  int argcv_meth_ast_callNode5244[] = {0};
  meth_meth_ast_callNode5244->type = alloc_MethodType(1, argcv_meth_ast_callNode5244);
  meth_meth_ast_callNode5244->definitionModule = modulename;
  meth_meth_ast_callNode5244->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5245 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5245 = alloc_userobj2(4,5, objclass5245);
  gc_frame_newslot(obj5245);
if (objclass5245 == NULL) {
  glfree(obj5245->class->name);
  obj5245->class->name = "moduleNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5245, self, 0);
  addmethodreal(obj5245,"outer", &reader_ast_outer_5246);
  Object oldself5245 = self;
  struct StackFrameObject *oldstackframe5245 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5245);
  gc_frame_newslot((Object)stackframe);
  self = obj5245;
  Object *oldselfslot5245 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5245 = (*(struct UserObject *)self).data[0], lowerouter5245 = thisouter5245;
  if (inheritingObject5245) {
    struct UserObject *inho5245 = (struct UserObject *)inheritingObject5245;
    while (inho5245->super != GraceDefaultObject) inho5245 = (struct UserObject *)inho5245->super;
    inho5245->super = obj5245;
    self = inheritingObject5245;
    *selfslot = self;
    lowerouter5245 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5245;
  }
// method "body(_)named(_)scope(_)"
  struct UserObject *uo5247 = (struct UserObject*)obj5245;
  uo5247->data[1] = emptyclosure;
  Method *meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5247 = addmethod2pos(obj5245, "body(1)named(1)scope(1)", &meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5247, 1);
  int argcv_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5247[] = {1, 1, 1};
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5247->type = alloc_MethodType(3, argcv_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5247);
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5247->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5247->definitionLine = 1211;
// method "body(_)named(_)"
  struct UserObject *uo5254 = (struct UserObject*)obj5245;
  uo5254->data[2] = emptyclosure;
  Method *meth_meth_ast_body_40_1_41_named_40_1_41_5254 = addmethod2pos(obj5245, "body(1)named(1)", &meth_ast_body_40_1_41_named_40_1_41_5254, 2);
  int argcv_meth_ast_body_40_1_41_named_40_1_41_5254[] = {1, 1};
  meth_meth_ast_body_40_1_41_named_40_1_41_5254->type = alloc_MethodType(2, argcv_meth_ast_body_40_1_41_named_40_1_41_5254);
  meth_meth_ast_body_40_1_41_named_40_1_41_5254->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_named_40_1_41_5254->definitionLine = 1217;
// method "body(_)"
  block_savedest(obj5245);
  Object closure5259 = createclosure(4, "body(1)");
  setclosureframe(closure5259, stackframe);
  addtoclosure(closure5259, var_emptySeq);
  addtoclosure(closure5259, var_moduleNode);
  addtoclosure(closure5259, var_objectNode);
  addtoclosure(closure5259, var_util);
  struct UserObject *uo5259 = (struct UserObject*)obj5245;
  uo5259->data[3] = (Object)closure5259;
  Method *meth_meth_ast_body_40_1_41_5259 = addmethod2pos(obj5245, "body(1)", &meth_ast_body_40_1_41_5259, 3);
  int argcv_meth_ast_body_40_1_41_5259[] = {1};
  meth_meth_ast_body_40_1_41_5259->type = alloc_MethodType(1, argcv_meth_ast_body_40_1_41_5259);
  meth_meth_ast_body_40_1_41_5259->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_5259->definitionLine = 1222;
  block_savedest(obj5245);
  Object closure5333 = createclosure(4, "body(1)$object(1)");
  setclosureframe(closure5333, stackframe);
  addtoclosure(closure5333, var_emptySeq);
  addtoclosure(closure5333, var_moduleNode);
  addtoclosure(closure5333, var_objectNode);
  addtoclosure(closure5333, var_util);
  Method *meth_meth_ast_body_40_1_41_5259_object = addmethod2pos(obj5245, "body(1)$object(1)", &meth_ast_body_40_1_41_5259_object, 3);
  meth_meth_ast_body_40_1_41_5259_object->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_5259_object->definitionLine = 1222;
  sourceObject = obj5245;
  sourceObject = obj5245;
  sourceObject = obj5245;
  objclass5245 = obj5245->class;
  objclass5245->definitionModule = modulename;
  objclass5245->definitionLine = 1210;
  (*(struct UserObject *)self).data[0] = lowerouter5245;
  self = oldself5245;
  selfslot = oldselfslot5245;
  stackframe = oldstackframe5245;
// compiled object node returning obj5245 (depth = 2)
  *var_moduleNode = obj5245;
  if (obj5245 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "moduleNode"
  block_savedest(self);
  Object closure5334 = createclosure(1, "moduleNode");
  setclosureframe(closure5334, stackframe);
  addtoclosure(closure5334, var_moduleNode);
  struct UserObject *uo5334 = (struct UserObject*)self;
  uo5334->data[28] = (Object)closure5334;
  Method *meth_meth_ast_moduleNode5334 = addmethod2pos(self, "moduleNode", &meth_ast_moduleNode5334, 28);
  int argcv_meth_ast_moduleNode5334[] = {0};
  meth_meth_ast_moduleNode5334->type = alloc_MethodType(1, argcv_meth_ast_moduleNode5334);
  meth_meth_ast_moduleNode5334->definitionModule = modulename;
  meth_meth_ast_moduleNode5334->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1258
  setline(1258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5335 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5335 = alloc_userobj2(4,5, objclass5335);
  gc_frame_newslot(obj5335);
if (objclass5335 == NULL) {
  glfree(obj5335->class->name);
  obj5335->class->name = "objectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5335, self, 0);
  addmethodreal(obj5335,"outer", &reader_ast_outer_5336);
  Object oldself5335 = self;
  struct StackFrameObject *oldstackframe5335 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5335);
  gc_frame_newslot((Object)stackframe);
  self = obj5335;
  Object *oldselfslot5335 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5335 = (*(struct UserObject *)self).data[0], lowerouter5335 = thisouter5335;
  if (inheritingObject5335) {
    struct UserObject *inho5335 = (struct UserObject *)inheritingObject5335;
    while (inho5335->super != GraceDefaultObject) inho5335 = (struct UserObject *)inho5335->super;
    inho5335->super = obj5335;
    self = inheritingObject5335;
    *selfslot = self;
    lowerouter5335 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5335;
  }
// method "body(_)named(_)scope(_)"
  struct UserObject *uo5337 = (struct UserObject*)obj5335;
  uo5337->data[1] = emptyclosure;
  Method *meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5337 = addmethod2pos(obj5335, "body(1)named(1)scope(1)", &meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5337, 1);
  int argcv_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5337[] = {1, 1, 1};
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5337->type = alloc_MethodType(3, argcv_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5337);
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5337->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_named_40_1_41_scope_40_1_41_5337->definitionLine = 1259;
// method "body(_)named(_)"
  block_savedest(obj5335);
  Object closure5345 = createclosure(1, "body(1)named(1)");
  setclosureframe(closure5345, stackframe);
  addtoclosure(closure5345, var_fakeSymbolTable);
  struct UserObject *uo5345 = (struct UserObject*)obj5335;
  uo5345->data[2] = (Object)closure5345;
  Method *meth_meth_ast_body_40_1_41_named_40_1_41_5345 = addmethod2pos(obj5335, "body(1)named(1)", &meth_ast_body_40_1_41_named_40_1_41_5345, 2);
  int argcv_meth_ast_body_40_1_41_named_40_1_41_5345[] = {1, 1};
  meth_meth_ast_body_40_1_41_named_40_1_41_5345->type = alloc_MethodType(2, argcv_meth_ast_body_40_1_41_named_40_1_41_5345);
  meth_meth_ast_body_40_1_41_named_40_1_41_5345->definitionModule = modulename;
  meth_meth_ast_body_40_1_41_named_40_1_41_5345->definitionLine = 1265;
// method "new(_,_)"
  block_savedest(obj5335);
  Object closure5348 = createclosure(2, "new(2)");
  setclosureframe(closure5348, stackframe);
  addtoclosure(closure5348, var_emptySeq);
  addtoclosure(closure5348, var_objectNode);
  struct UserObject *uo5348 = (struct UserObject*)obj5335;
  uo5348->data[3] = (Object)closure5348;
  Method *meth_meth_ast_new_40_2_41_5348 = addmethod2pos(obj5335, "new(2)", &meth_ast_new_40_2_41_5348, 3);
  int argcv_meth_ast_new_40_2_41_5348[] = {2};
  meth_meth_ast_new_40_2_41_5348->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_5348);
  meth_meth_ast_new_40_2_41_5348->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_5348->definitionLine = 1268;
  block_savedest(obj5335);
  Object closure5946 = createclosure(2, "new(2)$object(1)");
  setclosureframe(closure5946, stackframe);
  addtoclosure(closure5946, var_emptySeq);
  addtoclosure(closure5946, var_objectNode);
  Method *meth_meth_ast_new_40_2_41_5348_object = addmethod2pos(obj5335, "new(2)$object(1)", &meth_ast_new_40_2_41_5348_object, 3);
  meth_meth_ast_new_40_2_41_5348_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_5348_object->definitionLine = 1268;
  sourceObject = obj5335;
  sourceObject = obj5335;
  sourceObject = obj5335;
  objclass5335 = obj5335->class;
  objclass5335->definitionModule = modulename;
  objclass5335->definitionLine = 1258;
  (*(struct UserObject *)self).data[0] = lowerouter5335;
  self = oldself5335;
  selfslot = oldselfslot5335;
  stackframe = oldstackframe5335;
// compiled object node returning obj5335 (depth = 2)
  *var_objectNode = obj5335;
  if (obj5335 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "objectNode"
  block_savedest(self);
  Object closure5947 = createclosure(1, "objectNode");
  setclosureframe(closure5947, stackframe);
  addtoclosure(closure5947, var_objectNode);
  struct UserObject *uo5947 = (struct UserObject*)self;
  uo5947->data[29] = (Object)closure5947;
  Method *meth_meth_ast_objectNode5947 = addmethod2pos(self, "objectNode", &meth_ast_objectNode5947, 29);
  int argcv_meth_ast_objectNode5947[] = {0};
  meth_meth_ast_objectNode5947->type = alloc_MethodType(1, argcv_meth_ast_objectNode5947);
  meth_meth_ast_objectNode5947->definitionModule = modulename;
  meth_meth_ast_objectNode5947->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject5948 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj5948 = alloc_userobj2(2,4, objclass5948);
  gc_frame_newslot(obj5948);
if (objclass5948 == NULL) {
  glfree(obj5948->class->name);
  obj5948->class->name = "arrayNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj5948, self, 0);
  addmethodreal(obj5948,"outer", &reader_ast_outer_5949);
  Object oldself5948 = self;
  struct StackFrameObject *oldstackframe5948 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe5948);
  gc_frame_newslot((Object)stackframe);
  self = obj5948;
  Object *oldselfslot5948 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter5948 = (*(struct UserObject *)self).data[0], lowerouter5948 = thisouter5948;
  if (inheritingObject5948) {
    struct UserObject *inho5948 = (struct UserObject *)inheritingObject5948;
    while (inho5948->super != GraceDefaultObject) inho5948 = (struct UserObject *)inho5948->super;
    inho5948->super = obj5948;
    self = inheritingObject5948;
    *selfslot = self;
    lowerouter5948 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter5948;
  }
// method "new(_)"
  block_savedest(obj5948);
  Object closure5950 = createclosure(2, "new(1)");
  setclosureframe(closure5950, stackframe);
  addtoclosure(closure5950, var_emptySeq);
  addtoclosure(closure5950, var_arrayNode);
  struct UserObject *uo5950 = (struct UserObject*)obj5948;
  uo5950->data[1] = (Object)closure5950;
  Method *meth_meth_ast_new_40_1_41_5950 = addmethod2pos(obj5948, "new(1)", &meth_ast_new_40_1_41_5950, 1);
  int argcv_meth_ast_new_40_1_41_5950[] = {1};
  meth_meth_ast_new_40_1_41_5950->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_5950);
  meth_meth_ast_new_40_1_41_5950->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_5950->definitionLine = 1435;
  block_savedest(obj5948);
  Object closure6081 = createclosure(2, "new(1)$object(1)");
  setclosureframe(closure6081, stackframe);
  addtoclosure(closure6081, var_emptySeq);
  addtoclosure(closure6081, var_arrayNode);
  Method *meth_meth_ast_new_40_1_41_5950_object = addmethod2pos(obj5948, "new(1)$object(1)", &meth_ast_new_40_1_41_5950_object, 1);
  meth_meth_ast_new_40_1_41_5950_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_5950_object->definitionLine = 1435;
  sourceObject = obj5948;
  objclass5948 = obj5948->class;
  objclass5948->definitionModule = modulename;
  objclass5948->definitionLine = 1434;
  (*(struct UserObject *)self).data[0] = lowerouter5948;
  self = oldself5948;
  selfslot = oldselfslot5948;
  stackframe = oldstackframe5948;
// compiled object node returning obj5948 (depth = 2)
  *var_arrayNode = obj5948;
  if (obj5948 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "arrayNode"
  block_savedest(self);
  Object closure6082 = createclosure(1, "arrayNode");
  setclosureframe(closure6082, stackframe);
  addtoclosure(closure6082, var_arrayNode);
  struct UserObject *uo6082 = (struct UserObject*)self;
  uo6082->data[30] = (Object)closure6082;
  Method *meth_meth_ast_arrayNode6082 = addmethod2pos(self, "arrayNode", &meth_ast_arrayNode6082, 30);
  int argcv_meth_ast_arrayNode6082[] = {0};
  meth_meth_ast_arrayNode6082->type = alloc_MethodType(1, argcv_meth_ast_arrayNode6082);
  meth_meth_ast_arrayNode6082->definitionModule = modulename;
  meth_meth_ast_arrayNode6082->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6083 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6083 = alloc_userobj2(3,4, objclass6083);
  gc_frame_newslot(obj6083);
if (objclass6083 == NULL) {
  glfree(obj6083->class->name);
  obj6083->class->name = "memberNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6083, self, 0);
  addmethodreal(obj6083,"outer", &reader_ast_outer_6084);
  Object oldself6083 = self;
  struct StackFrameObject *oldstackframe6083 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6083);
  gc_frame_newslot((Object)stackframe);
  self = obj6083;
  Object *oldselfslot6083 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6083 = (*(struct UserObject *)self).data[0], lowerouter6083 = thisouter6083;
  if (inheritingObject6083) {
    struct UserObject *inho6083 = (struct UserObject *)inheritingObject6083;
    while (inho6083->super != GraceDefaultObject) inho6083 = (struct UserObject *)inho6083->super;
    inho6083->super = obj6083;
    self = inheritingObject6083;
    *selfslot = self;
    lowerouter6083 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6083;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo6085 = (struct UserObject*)obj6083;
  uo6085->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_2_41_scope_40_1_41_6085 = addmethod2pos(obj6083, "new(2)scope(1)", &meth_ast_new_40_2_41_scope_40_1_41_6085, 1);
  int argcv_meth_ast_new_40_2_41_scope_40_1_41_6085[] = {2, 1};
  meth_meth_ast_new_40_2_41_scope_40_1_41_6085->type = alloc_MethodType(2, argcv_meth_ast_new_40_2_41_scope_40_1_41_6085);
  meth_meth_ast_new_40_2_41_scope_40_1_41_6085->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_scope_40_1_41_6085->definitionLine = 1481;
// method "new(_,_)"
  block_savedest(obj6083);
  Object closure6090 = createclosure(4, "new(2)");
  setclosureframe(closure6090, stackframe);
  addtoclosure(closure6090, var_emptySeq);
  addtoclosure(closure6090, var_fakeSymbolTable);
  addtoclosure(closure6090, var_identifierNode);
  addtoclosure(closure6090, var_memberNode);
  struct UserObject *uo6090 = (struct UserObject*)obj6083;
  uo6090->data[2] = (Object)closure6090;
  Method *meth_meth_ast_new_40_2_41_6090 = addmethod2pos(obj6083, "new(2)", &meth_ast_new_40_2_41_6090, 2);
  int argcv_meth_ast_new_40_2_41_6090[] = {2};
  meth_meth_ast_new_40_2_41_6090->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_6090);
  meth_meth_ast_new_40_2_41_6090->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6090->definitionLine = 1487;
  block_savedest(obj6083);
  Object closure6462 = createclosure(4, "new(2)$object(1)");
  setclosureframe(closure6462, stackframe);
  addtoclosure(closure6462, var_emptySeq);
  addtoclosure(closure6462, var_fakeSymbolTable);
  addtoclosure(closure6462, var_identifierNode);
  addtoclosure(closure6462, var_memberNode);
  Method *meth_meth_ast_new_40_2_41_6090_object = addmethod2pos(obj6083, "new(2)$object(1)", &meth_ast_new_40_2_41_6090_object, 2);
  meth_meth_ast_new_40_2_41_6090_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6090_object->definitionLine = 1487;
  sourceObject = obj6083;
  sourceObject = obj6083;
  objclass6083 = obj6083->class;
  objclass6083->definitionModule = modulename;
  objclass6083->definitionLine = 1480;
  (*(struct UserObject *)self).data[0] = lowerouter6083;
  self = oldself6083;
  selfslot = oldselfslot6083;
  stackframe = oldstackframe6083;
// compiled object node returning obj6083 (depth = 2)
  *var_memberNode = obj6083;
  if (obj6083 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "memberNode"
  block_savedest(self);
  Object closure6463 = createclosure(1, "memberNode");
  setclosureframe(closure6463, stackframe);
  addtoclosure(closure6463, var_memberNode);
  struct UserObject *uo6463 = (struct UserObject*)self;
  uo6463->data[31] = (Object)closure6463;
  Method *meth_meth_ast_memberNode6463 = addmethod2pos(self, "memberNode", &meth_ast_memberNode6463, 31);
  int argcv_meth_ast_memberNode6463[] = {0};
  meth_meth_ast_memberNode6463->type = alloc_MethodType(1, argcv_meth_ast_memberNode6463);
  meth_meth_ast_memberNode6463->definitionModule = modulename;
  meth_meth_ast_memberNode6463->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1504
  setline(1504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1582
  setline(1582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6464 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6464 = alloc_userobj2(2,4, objclass6464);
  gc_frame_newslot(obj6464);
if (objclass6464 == NULL) {
  glfree(obj6464->class->name);
  obj6464->class->name = "genericNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6464, self, 0);
  addmethodreal(obj6464,"outer", &reader_ast_outer_6465);
  Object oldself6464 = self;
  struct StackFrameObject *oldstackframe6464 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6464);
  gc_frame_newslot((Object)stackframe);
  self = obj6464;
  Object *oldselfslot6464 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6464 = (*(struct UserObject *)self).data[0], lowerouter6464 = thisouter6464;
  if (inheritingObject6464) {
    struct UserObject *inho6464 = (struct UserObject *)inheritingObject6464;
    while (inho6464->super != GraceDefaultObject) inho6464 = (struct UserObject *)inho6464->super;
    inho6464->super = obj6464;
    self = inheritingObject6464;
    *selfslot = self;
    lowerouter6464 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6464;
  }
// method "new(_,_)"
  block_savedest(obj6464);
  Object closure6466 = createclosure(1, "new(2)");
  setclosureframe(closure6466, stackframe);
  addtoclosure(closure6466, var_genericNode);
  struct UserObject *uo6466 = (struct UserObject*)obj6464;
  uo6466->data[1] = (Object)closure6466;
  Method *meth_meth_ast_new_40_2_41_6466 = addmethod2pos(obj6464, "new(2)", &meth_ast_new_40_2_41_6466, 1);
  int argcv_meth_ast_new_40_2_41_6466[] = {2};
  meth_meth_ast_new_40_2_41_6466->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_6466);
  meth_meth_ast_new_40_2_41_6466->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6466->definitionLine = 1583;
  block_savedest(obj6464);
  Object closure6623 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure6623, stackframe);
  addtoclosure(closure6623, var_genericNode);
  Method *meth_meth_ast_new_40_2_41_6466_object = addmethod2pos(obj6464, "new(2)$object(1)", &meth_ast_new_40_2_41_6466_object, 1);
  meth_meth_ast_new_40_2_41_6466_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6466_object->definitionLine = 1583;
  sourceObject = obj6464;
  objclass6464 = obj6464->class;
  objclass6464->definitionModule = modulename;
  objclass6464->definitionLine = 1582;
  (*(struct UserObject *)self).data[0] = lowerouter6464;
  self = oldself6464;
  selfslot = oldselfslot6464;
  stackframe = oldstackframe6464;
// compiled object node returning obj6464 (depth = 2)
  *var_genericNode = obj6464;
  if (obj6464 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "genericNode"
  block_savedest(self);
  Object closure6624 = createclosure(1, "genericNode");
  setclosureframe(closure6624, stackframe);
  addtoclosure(closure6624, var_genericNode);
  struct UserObject *uo6624 = (struct UserObject*)self;
  uo6624->data[32] = (Object)closure6624;
  Method *meth_meth_ast_genericNode6624 = addmethod2pos(self, "genericNode", &meth_ast_genericNode6624, 32);
  int argcv_meth_ast_genericNode6624[] = {0};
  meth_meth_ast_genericNode6624->type = alloc_MethodType(1, argcv_meth_ast_genericNode6624);
  meth_meth_ast_genericNode6624->definitionModule = modulename;
  meth_meth_ast_genericNode6624->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1626
  setline(1626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6625 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6625 = alloc_userobj2(2,4, objclass6625);
  gc_frame_newslot(obj6625);
if (objclass6625 == NULL) {
  glfree(obj6625->class->name);
  obj6625->class->name = "typeParametersNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6625, self, 0);
  addmethodreal(obj6625,"outer", &reader_ast_outer_6626);
  Object oldself6625 = self;
  struct StackFrameObject *oldstackframe6625 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6625);
  gc_frame_newslot((Object)stackframe);
  self = obj6625;
  Object *oldselfslot6625 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6625 = (*(struct UserObject *)self).data[0], lowerouter6625 = thisouter6625;
  if (inheritingObject6625) {
    struct UserObject *inho6625 = (struct UserObject *)inheritingObject6625;
    while (inho6625->super != GraceDefaultObject) inho6625 = (struct UserObject *)inho6625->super;
    inho6625->super = obj6625;
    self = inheritingObject6625;
    *selfslot = self;
    lowerouter6625 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6625;
  }
// method "new(_)"
  block_savedest(obj6625);
  Object closure6627 = createclosure(3, "new(1)");
  setclosureframe(closure6627, stackframe);
  addtoclosure(closure6627, var_k);
  addtoclosure(closure6627, var_emptySeq);
  addtoclosure(closure6627, var_typeParametersNode);
  struct UserObject *uo6627 = (struct UserObject*)obj6625;
  uo6627->data[1] = (Object)closure6627;
  Method *meth_meth_ast_new_40_1_41_6627 = addmethod2pos(obj6625, "new(1)", &meth_ast_new_40_1_41_6627, 1);
  int argcv_meth_ast_new_40_1_41_6627[] = {1};
  meth_meth_ast_new_40_1_41_6627->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_6627);
  meth_meth_ast_new_40_1_41_6627->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_6627->definitionLine = 1628;
  block_savedest(obj6625);
  Object closure6786 = createclosure(3, "new(1)$object(1)");
  setclosureframe(closure6786, stackframe);
  addtoclosure(closure6786, var_k);
  addtoclosure(closure6786, var_emptySeq);
  addtoclosure(closure6786, var_typeParametersNode);
  Method *meth_meth_ast_new_40_1_41_6627_object = addmethod2pos(obj6625, "new(1)$object(1)", &meth_ast_new_40_1_41_6627_object, 1);
  meth_meth_ast_new_40_1_41_6627_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_6627_object->definitionLine = 1628;
  sourceObject = obj6625;
  objclass6625 = obj6625->class;
  objclass6625->definitionModule = modulename;
  objclass6625->definitionLine = 1627;
  (*(struct UserObject *)self).data[0] = lowerouter6625;
  self = oldself6625;
  selfslot = oldselfslot6625;
  stackframe = oldstackframe6625;
// compiled object node returning obj6625 (depth = 2)
  *var_typeParametersNode = obj6625;
  if (obj6625 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeParametersNode"
  block_savedest(self);
  Object closure6787 = createclosure(1, "typeParametersNode");
  setclosureframe(closure6787, stackframe);
  addtoclosure(closure6787, var_typeParametersNode);
  struct UserObject *uo6787 = (struct UserObject*)self;
  uo6787->data[33] = (Object)closure6787;
  Method *meth_meth_ast_typeParametersNode6787 = addmethod2pos(self, "typeParametersNode", &meth_ast_typeParametersNode6787, 33);
  int argcv_meth_ast_typeParametersNode6787[] = {0};
  meth_meth_ast_typeParametersNode6787->type = alloc_MethodType(1, argcv_meth_ast_typeParametersNode6787);
  meth_meth_ast_typeParametersNode6787->definitionModule = modulename;
  meth_meth_ast_typeParametersNode6787->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject6788 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj6788 = alloc_userobj2(3,4, objclass6788);
  gc_frame_newslot(obj6788);
if (objclass6788 == NULL) {
  glfree(obj6788->class->name);
  obj6788->class->name = "identifierNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj6788, self, 0);
  addmethodreal(obj6788,"outer", &reader_ast_outer_6789);
  Object oldself6788 = self;
  struct StackFrameObject *oldstackframe6788 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe6788);
  gc_frame_newslot((Object)stackframe);
  self = obj6788;
  Object *oldselfslot6788 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter6788 = (*(struct UserObject *)self).data[0], lowerouter6788 = thisouter6788;
  if (inheritingObject6788) {
    struct UserObject *inho6788 = (struct UserObject *)inheritingObject6788;
    while (inho6788->super != GraceDefaultObject) inho6788 = (struct UserObject *)inho6788->super;
    inho6788->super = obj6788;
    self = inheritingObject6788;
    *selfslot = self;
    lowerouter6788 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter6788;
  }
// method "new(_,_)scope(_)"
  struct UserObject *uo6790 = (struct UserObject*)obj6788;
  uo6790->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_2_41_scope_40_1_41_6790 = addmethod2pos(obj6788, "new(2)scope(1)", &meth_ast_new_40_2_41_scope_40_1_41_6790, 1);
  int argcv_meth_ast_new_40_2_41_scope_40_1_41_6790[] = {2, 1};
  meth_meth_ast_new_40_2_41_scope_40_1_41_6790->type = alloc_MethodType(2, argcv_meth_ast_new_40_2_41_scope_40_1_41_6790);
  meth_meth_ast_new_40_2_41_scope_40_1_41_6790->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_scope_40_1_41_6790->definitionLine = 1676;
// method "new(_,_)"
  block_savedest(obj6788);
  Object closure6795 = createclosure(1, "new(2)");
  setclosureframe(closure6795, stackframe);
  addtoclosure(closure6795, var_identifierNode);
  struct UserObject *uo6795 = (struct UserObject*)obj6788;
  uo6795->data[2] = (Object)closure6795;
  Method *meth_meth_ast_new_40_2_41_6795 = addmethod2pos(obj6788, "new(2)", &meth_ast_new_40_2_41_6795, 2);
  int argcv_meth_ast_new_40_2_41_6795[] = {2};
  meth_meth_ast_new_40_2_41_6795->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_6795);
  meth_meth_ast_new_40_2_41_6795->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6795->definitionLine = 1682;
  block_savedest(obj6788);
  Object closure7209 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure7209, stackframe);
  addtoclosure(closure7209, var_identifierNode);
  Method *meth_meth_ast_new_40_2_41_6795_object = addmethod2pos(obj6788, "new(2)$object(1)", &meth_ast_new_40_2_41_6795_object, 2);
  meth_meth_ast_new_40_2_41_6795_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_6795_object->definitionLine = 1682;
  sourceObject = obj6788;
  sourceObject = obj6788;
  objclass6788 = obj6788->class;
  objclass6788->definitionModule = modulename;
  objclass6788->definitionLine = 1674;
  (*(struct UserObject *)self).data[0] = lowerouter6788;
  self = oldself6788;
  selfslot = oldselfslot6788;
  stackframe = oldstackframe6788;
// compiled object node returning obj6788 (depth = 2)
  *var_identifierNode = obj6788;
  if (obj6788 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "identifierNode"
  block_savedest(self);
  Object closure7210 = createclosure(1, "identifierNode");
  setclosureframe(closure7210, stackframe);
  addtoclosure(closure7210, var_identifierNode);
  struct UserObject *uo7210 = (struct UserObject*)self;
  uo7210->data[34] = (Object)closure7210;
  Method *meth_meth_ast_identifierNode7210 = addmethod2pos(self, "identifierNode", &meth_ast_identifierNode7210, 34);
  int argcv_meth_ast_identifierNode7210[] = {0};
  meth_meth_ast_identifierNode7210->type = alloc_MethodType(1, argcv_meth_ast_identifierNode7210);
  meth_meth_ast_identifierNode7210->definitionModule = modulename;
  meth_meth_ast_identifierNode7210->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1806
  setline(1806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe7211 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7212 == NULL) {
    strlit7212 = alloc_String("Type");
    gc_root(strlit7212);
  }
// compiled string node returning strlit7212 (depth = 3)
  gc_frame_newslot(strlit7212);
// starting to compile identifier node (depth = 3)
  Object bool7213 = alloc_Boolean(0);
// compiled identifier node returning bool7213 (depth = 3)
  gc_frame_newslot(bool7213);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  params[0] = strlit7212;
  params[1] = bool7213;
  partcv[0] = 2;
  Object call7214 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7211);
// compiled call node returning call7214 (depth = 2)
  *var_typeType = call7214;
  if (call7214 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "typeType"
  block_savedest(self);
  Object closure7215 = createclosure(1, "typeType");
  setclosureframe(closure7215, stackframe);
  addtoclosure(closure7215, var_typeType);
  struct UserObject *uo7215 = (struct UserObject*)self;
  uo7215->data[35] = (Object)closure7215;
  Method *meth_meth_ast_typeType7215 = addmethod2pos(self, "typeType", &meth_ast_typeType7215, 35);
  int argcv_meth_ast_typeType7215[] = {0};
  meth_meth_ast_typeType7215->type = alloc_MethodType(1, argcv_meth_ast_typeType7215);
  meth_meth_ast_typeType7215->definitionModule = modulename;
  meth_meth_ast_typeType7215->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile call node (depth = 2)
  int callframe7216 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7217 == NULL) {
    strlit7217 = alloc_String("Unknown");
    gc_root(strlit7217);
  }
// compiled string node returning strlit7217 (depth = 3)
  gc_frame_newslot(strlit7217);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeType (depth = 3)
  gc_frame_newslot(*var_typeType);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_identifierNode (depth = 3)
  params[0] = strlit7217;
  params[1] = *var_typeType;
  partcv[0] = 2;
  Object call7218 = callmethodflags(*var_identifierNode, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7216);
// compiled call node returning call7218 (depth = 2)
  *var_unknownType = call7218;
  if (call7218 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "unknownType"
  block_savedest(self);
  Object closure7219 = createclosure(1, "unknownType");
  setclosureframe(closure7219, stackframe);
  addtoclosure(closure7219, var_unknownType);
  struct UserObject *uo7219 = (struct UserObject*)self;
  uo7219->data[36] = (Object)closure7219;
  Method *meth_meth_ast_unknownType7219 = addmethod2pos(self, "unknownType", &meth_ast_unknownType7219, 36);
  int argcv_meth_ast_unknownType7219[] = {0};
  meth_meth_ast_unknownType7219->type = alloc_MethodType(1, argcv_meth_ast_unknownType7219);
  meth_meth_ast_unknownType7219->definitionModule = modulename;
  meth_meth_ast_unknownType7219->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1808
  setline(1808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1809
  setline(1809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7220 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7220 = alloc_userobj2(3,4, objclass7220);
  gc_frame_newslot(obj7220);
if (objclass7220 == NULL) {
  glfree(obj7220->class->name);
  obj7220->class->name = "stringNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7220, self, 0);
  addmethodreal(obj7220,"outer", &reader_ast_outer_7221);
  Object oldself7220 = self;
  struct StackFrameObject *oldstackframe7220 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7220);
  gc_frame_newslot((Object)stackframe);
  self = obj7220;
  Object *oldselfslot7220 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7220 = (*(struct UserObject *)self).data[0], lowerouter7220 = thisouter7220;
  if (inheritingObject7220) {
    struct UserObject *inho7220 = (struct UserObject *)inheritingObject7220;
    while (inho7220->super != GraceDefaultObject) inho7220 = (struct UserObject *)inho7220->super;
    inho7220->super = obj7220;
    self = inheritingObject7220;
    *selfslot = self;
    lowerouter7220 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7220;
  }
// method "new(_)scope(_)"
  struct UserObject *uo7222 = (struct UserObject*)obj7220;
  uo7222->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_1_41_scope_40_1_41_7222 = addmethod2pos(obj7220, "new(1)scope(1)", &meth_ast_new_40_1_41_scope_40_1_41_7222, 1);
  int argcv_meth_ast_new_40_1_41_scope_40_1_41_7222[] = {1, 1};
  meth_meth_ast_new_40_1_41_scope_40_1_41_7222->type = alloc_MethodType(2, argcv_meth_ast_new_40_1_41_scope_40_1_41_7222);
  meth_meth_ast_new_40_1_41_scope_40_1_41_7222->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_scope_40_1_41_7222->definitionLine = 1810;
// method "new(_)"
  block_savedest(obj7220);
  Object closure7227 = createclosure(1, "new(1)");
  setclosureframe(closure7227, stackframe);
  addtoclosure(closure7227, var_stringNode);
  struct UserObject *uo7227 = (struct UserObject*)obj7220;
  uo7227->data[2] = (Object)closure7227;
  Method *meth_meth_ast_new_40_1_41_7227 = addmethod2pos(obj7220, "new(1)", &meth_ast_new_40_1_41_7227, 2);
  int argcv_meth_ast_new_40_1_41_7227[] = {1};
  meth_meth_ast_new_40_1_41_7227->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_7227);
  meth_meth_ast_new_40_1_41_7227->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_7227->definitionLine = 1816;
  block_savedest(obj7220);
  Object closure7304 = createclosure(1, "new(1)$object(1)");
  setclosureframe(closure7304, stackframe);
  addtoclosure(closure7304, var_stringNode);
  Method *meth_meth_ast_new_40_1_41_7227_object = addmethod2pos(obj7220, "new(1)$object(1)", &meth_ast_new_40_1_41_7227_object, 2);
  meth_meth_ast_new_40_1_41_7227_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_7227_object->definitionLine = 1816;
  sourceObject = obj7220;
  sourceObject = obj7220;
  objclass7220 = obj7220->class;
  objclass7220->definitionModule = modulename;
  objclass7220->definitionLine = 1809;
  (*(struct UserObject *)self).data[0] = lowerouter7220;
  self = oldself7220;
  selfslot = oldselfslot7220;
  stackframe = oldstackframe7220;
// compiled object node returning obj7220 (depth = 2)
  *var_stringNode = obj7220;
  if (obj7220 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "stringNode"
  block_savedest(self);
  Object closure7305 = createclosure(1, "stringNode");
  setclosureframe(closure7305, stackframe);
  addtoclosure(closure7305, var_stringNode);
  struct UserObject *uo7305 = (struct UserObject*)self;
  uo7305->data[37] = (Object)closure7305;
  Method *meth_meth_ast_stringNode7305 = addmethod2pos(self, "stringNode", &meth_ast_stringNode7305, 37);
  int argcv_meth_ast_stringNode7305[] = {0};
  meth_meth_ast_stringNode7305->type = alloc_MethodType(1, argcv_meth_ast_stringNode7305);
  meth_meth_ast_stringNode7305->definitionModule = modulename;
  meth_meth_ast_stringNode7305->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7306 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7306 = alloc_userobj2(2,4, objclass7306);
  gc_frame_newslot(obj7306);
if (objclass7306 == NULL) {
  glfree(obj7306->class->name);
  obj7306->class->name = "numNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7306, self, 0);
  addmethodreal(obj7306,"outer", &reader_ast_outer_7307);
  Object oldself7306 = self;
  struct StackFrameObject *oldstackframe7306 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7306);
  gc_frame_newslot((Object)stackframe);
  self = obj7306;
  Object *oldselfslot7306 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7306 = (*(struct UserObject *)self).data[0], lowerouter7306 = thisouter7306;
  if (inheritingObject7306) {
    struct UserObject *inho7306 = (struct UserObject *)inheritingObject7306;
    while (inho7306->super != GraceDefaultObject) inho7306 = (struct UserObject *)inho7306->super;
    inho7306->super = obj7306;
    self = inheritingObject7306;
    *selfslot = self;
    lowerouter7306 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7306;
  }
// method "new(_)"
  block_savedest(obj7306);
  Object closure7308 = createclosure(1, "new(1)");
  setclosureframe(closure7308, stackframe);
  addtoclosure(closure7308, var_numNode);
  struct UserObject *uo7308 = (struct UserObject*)obj7306;
  uo7308->data[1] = (Object)closure7308;
  Method *meth_meth_ast_new_40_1_41_7308 = addmethod2pos(obj7306, "new(1)", &meth_ast_new_40_1_41_7308, 1);
  int argcv_meth_ast_new_40_1_41_7308[] = {1};
  meth_meth_ast_new_40_1_41_7308->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_7308);
  meth_meth_ast_new_40_1_41_7308->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_7308->definitionLine = 1844;
  block_savedest(obj7306);
  Object closure7377 = createclosure(1, "new(1)$object(1)");
  setclosureframe(closure7377, stackframe);
  addtoclosure(closure7377, var_numNode);
  Method *meth_meth_ast_new_40_1_41_7308_object = addmethod2pos(obj7306, "new(1)$object(1)", &meth_ast_new_40_1_41_7308_object, 1);
  meth_meth_ast_new_40_1_41_7308_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_7308_object->definitionLine = 1844;
  sourceObject = obj7306;
  objclass7306 = obj7306->class;
  objclass7306->definitionModule = modulename;
  objclass7306->definitionLine = 1843;
  (*(struct UserObject *)self).data[0] = lowerouter7306;
  self = oldself7306;
  selfslot = oldselfslot7306;
  stackframe = oldstackframe7306;
// compiled object node returning obj7306 (depth = 2)
  *var_numNode = obj7306;
  if (obj7306 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "numNode"
  block_savedest(self);
  Object closure7378 = createclosure(1, "numNode");
  setclosureframe(closure7378, stackframe);
  addtoclosure(closure7378, var_numNode);
  struct UserObject *uo7378 = (struct UserObject*)self;
  uo7378->data[38] = (Object)closure7378;
  Method *meth_meth_ast_numNode7378 = addmethod2pos(self, "numNode", &meth_ast_numNode7378, 38);
  int argcv_meth_ast_numNode7378[] = {0};
  meth_meth_ast_numNode7378->type = alloc_MethodType(1, argcv_meth_ast_numNode7378);
  meth_meth_ast_numNode7378->definitionModule = modulename;
  meth_meth_ast_numNode7378->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7379 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7379 = alloc_userobj2(2,4, objclass7379);
  gc_frame_newslot(obj7379);
if (objclass7379 == NULL) {
  glfree(obj7379->class->name);
  obj7379->class->name = "opNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7379, self, 0);
  addmethodreal(obj7379,"outer", &reader_ast_outer_7380);
  Object oldself7379 = self;
  struct StackFrameObject *oldstackframe7379 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7379);
  gc_frame_newslot((Object)stackframe);
  self = obj7379;
  Object *oldselfslot7379 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7379 = (*(struct UserObject *)self).data[0], lowerouter7379 = thisouter7379;
  if (inheritingObject7379) {
    struct UserObject *inho7379 = (struct UserObject *)inheritingObject7379;
    while (inho7379->super != GraceDefaultObject) inho7379 = (struct UserObject *)inho7379->super;
    inho7379->super = obj7379;
    self = inheritingObject7379;
    *selfslot = self;
    lowerouter7379 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7379;
  }
// method "new(_,_,_)"
  block_savedest(obj7379);
  Object closure7381 = createclosure(3, "new(3)");
  setclosureframe(closure7381, stackframe);
  addtoclosure(closure7381, var_identifierNode);
  addtoclosure(closure7381, var_nullNode);
  addtoclosure(closure7381, var_opNode);
  struct UserObject *uo7381 = (struct UserObject*)obj7379;
  uo7381->data[1] = (Object)closure7381;
  Method *meth_meth_ast_new_40_3_41_7381 = addmethod2pos(obj7379, "new(3)", &meth_ast_new_40_3_41_7381, 1);
  int argcv_meth_ast_new_40_3_41_7381[] = {3};
  meth_meth_ast_new_40_3_41_7381->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_7381);
  meth_meth_ast_new_40_3_41_7381->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_7381->definitionLine = 1871;
  block_savedest(obj7379);
  Object closure7661 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure7661, stackframe);
  addtoclosure(closure7661, var_identifierNode);
  addtoclosure(closure7661, var_nullNode);
  addtoclosure(closure7661, var_opNode);
  Method *meth_meth_ast_new_40_3_41_7381_object = addmethod2pos(obj7379, "new(3)$object(1)", &meth_ast_new_40_3_41_7381_object, 1);
  meth_meth_ast_new_40_3_41_7381_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_7381_object->definitionLine = 1871;
  sourceObject = obj7379;
  objclass7379 = obj7379->class;
  objclass7379->definitionModule = modulename;
  objclass7379->definitionLine = 1870;
  (*(struct UserObject *)self).data[0] = lowerouter7379;
  self = oldself7379;
  selfslot = oldselfslot7379;
  stackframe = oldstackframe7379;
// compiled object node returning obj7379 (depth = 2)
  *var_opNode = obj7379;
  if (obj7379 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "opNode"
  block_savedest(self);
  Object closure7662 = createclosure(1, "opNode");
  setclosureframe(closure7662, stackframe);
  addtoclosure(closure7662, var_opNode);
  struct UserObject *uo7662 = (struct UserObject*)self;
  uo7662->data[39] = (Object)closure7662;
  Method *meth_meth_ast_opNode7662 = addmethod2pos(self, "opNode", &meth_ast_opNode7662, 39);
  int argcv_meth_ast_opNode7662[] = {0};
  meth_meth_ast_opNode7662->type = alloc_MethodType(1, argcv_meth_ast_opNode7662);
  meth_meth_ast_opNode7662->definitionModule = modulename;
  meth_meth_ast_opNode7662->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7663 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7663 = alloc_userobj2(2,4, objclass7663);
  gc_frame_newslot(obj7663);
if (objclass7663 == NULL) {
  glfree(obj7663->class->name);
  obj7663->class->name = "bindNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7663, self, 0);
  addmethodreal(obj7663,"outer", &reader_ast_outer_7664);
  Object oldself7663 = self;
  struct StackFrameObject *oldstackframe7663 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7663);
  gc_frame_newslot((Object)stackframe);
  self = obj7663;
  Object *oldselfslot7663 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7663 = (*(struct UserObject *)self).data[0], lowerouter7663 = thisouter7663;
  if (inheritingObject7663) {
    struct UserObject *inho7663 = (struct UserObject *)inheritingObject7663;
    while (inho7663->super != GraceDefaultObject) inho7663 = (struct UserObject *)inho7663->super;
    inho7663->super = obj7663;
    self = inheritingObject7663;
    *selfslot = self;
    lowerouter7663 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7663;
  }
// method "new(_,_)"
  block_savedest(obj7663);
  Object closure7665 = createclosure(1, "new(2)");
  setclosureframe(closure7665, stackframe);
  addtoclosure(closure7665, var_bindNode);
  struct UserObject *uo7665 = (struct UserObject*)obj7663;
  uo7665->data[1] = (Object)closure7665;
  Method *meth_meth_ast_new_40_2_41_7665 = addmethod2pos(obj7663, "new(2)", &meth_ast_new_40_2_41_7665, 1);
  int argcv_meth_ast_new_40_2_41_7665[] = {2};
  meth_meth_ast_new_40_2_41_7665->type = alloc_MethodType(1, argcv_meth_ast_new_40_2_41_7665);
  meth_meth_ast_new_40_2_41_7665->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_7665->definitionLine = 1938;
  block_savedest(obj7663);
  Object closure7836 = createclosure(1, "new(2)$object(1)");
  setclosureframe(closure7836, stackframe);
  addtoclosure(closure7836, var_bindNode);
  Method *meth_meth_ast_new_40_2_41_7665_object = addmethod2pos(obj7663, "new(2)$object(1)", &meth_ast_new_40_2_41_7665_object, 1);
  meth_meth_ast_new_40_2_41_7665_object->definitionModule = modulename;
  meth_meth_ast_new_40_2_41_7665_object->definitionLine = 1938;
  sourceObject = obj7663;
  objclass7663 = obj7663->class;
  objclass7663->definitionModule = modulename;
  objclass7663->definitionLine = 1937;
  (*(struct UserObject *)self).data[0] = lowerouter7663;
  self = oldself7663;
  selfslot = oldselfslot7663;
  stackframe = oldstackframe7663;
// compiled object node returning obj7663 (depth = 2)
  *var_bindNode = obj7663;
  if (obj7663 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "bindNode"
  block_savedest(self);
  Object closure7837 = createclosure(1, "bindNode");
  setclosureframe(closure7837, stackframe);
  addtoclosure(closure7837, var_bindNode);
  struct UserObject *uo7837 = (struct UserObject*)self;
  uo7837->data[40] = (Object)closure7837;
  Method *meth_meth_ast_bindNode7837 = addmethod2pos(self, "bindNode", &meth_ast_bindNode7837, 40);
  int argcv_meth_ast_bindNode7837[] = {0};
  meth_meth_ast_bindNode7837->type = alloc_MethodType(1, argcv_meth_ast_bindNode7837);
  meth_meth_ast_bindNode7837->definitionModule = modulename;
  meth_meth_ast_bindNode7837->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 1944
  setline(1944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject7838 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj7838 = alloc_userobj2(3,4, objclass7838);
  gc_frame_newslot(obj7838);
if (objclass7838 == NULL) {
  glfree(obj7838->class->name);
  obj7838->class->name = "defDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj7838, self, 0);
  addmethodreal(obj7838,"outer", &reader_ast_outer_7839);
  Object oldself7838 = self;
  struct StackFrameObject *oldstackframe7838 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe7838);
  gc_frame_newslot((Object)stackframe);
  self = obj7838;
  Object *oldselfslot7838 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter7838 = (*(struct UserObject *)self).data[0], lowerouter7838 = thisouter7838;
  if (inheritingObject7838) {
    struct UserObject *inho7838 = (struct UserObject *)inheritingObject7838;
    while (inho7838->super != GraceDefaultObject) inho7838 = (struct UserObject *)inho7838->super;
    inho7838->super = obj7838;
    self = inheritingObject7838;
    *selfslot = self;
    lowerouter7838 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter7838;
  }
// method "new(_,_,_)scope(_)"
  struct UserObject *uo7840 = (struct UserObject*)obj7838;
  uo7840->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_3_41_scope_40_1_41_7840 = addmethod2pos(obj7838, "new(3)scope(1)", &meth_ast_new_40_3_41_scope_40_1_41_7840, 1);
  int argcv_meth_ast_new_40_3_41_scope_40_1_41_7840[] = {3, 1};
  meth_meth_ast_new_40_3_41_scope_40_1_41_7840->type = alloc_MethodType(2, argcv_meth_ast_new_40_3_41_scope_40_1_41_7840);
  meth_meth_ast_new_40_3_41_scope_40_1_41_7840->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_scope_40_1_41_7840->definitionLine = 1988;
// method "new(_,_,_)"
  block_savedest(obj7838);
  Object closure7845 = createclosure(2, "new(3)");
  setclosureframe(closure7845, stackframe);
  addtoclosure(closure7845, var_k);
  addtoclosure(closure7845, var_defDecNode);
  struct UserObject *uo7845 = (struct UserObject*)obj7838;
  uo7845->data[2] = (Object)closure7845;
  Method *meth_meth_ast_new_40_3_41_7845 = addmethod2pos(obj7838, "new(3)", &meth_ast_new_40_3_41_7845, 2);
  int argcv_meth_ast_new_40_3_41_7845[] = {3};
  meth_meth_ast_new_40_3_41_7845->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_7845);
  meth_meth_ast_new_40_3_41_7845->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_7845->definitionLine = 1994;
  block_savedest(obj7838);
  Object closure8302 = createclosure(2, "new(3)$object(1)");
  setclosureframe(closure8302, stackframe);
  addtoclosure(closure8302, var_k);
  addtoclosure(closure8302, var_defDecNode);
  Method *meth_meth_ast_new_40_3_41_7845_object = addmethod2pos(obj7838, "new(3)$object(1)", &meth_ast_new_40_3_41_7845_object, 2);
  meth_meth_ast_new_40_3_41_7845_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_7845_object->definitionLine = 1994;
  sourceObject = obj7838;
  sourceObject = obj7838;
  objclass7838 = obj7838->class;
  objclass7838->definitionModule = modulename;
  objclass7838->definitionLine = 1987;
  (*(struct UserObject *)self).data[0] = lowerouter7838;
  self = oldself7838;
  selfslot = oldselfslot7838;
  stackframe = oldstackframe7838;
// compiled object node returning obj7838 (depth = 2)
  *var_defDecNode = obj7838;
  if (obj7838 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "defDecNode"
  block_savedest(self);
  Object closure8303 = createclosure(1, "defDecNode");
  setclosureframe(closure8303, stackframe);
  addtoclosure(closure8303, var_defDecNode);
  struct UserObject *uo8303 = (struct UserObject*)self;
  uo8303->data[41] = (Object)closure8303;
  Method *meth_meth_ast_defDecNode8303 = addmethod2pos(self, "defDecNode", &meth_ast_defDecNode8303, 41);
  int argcv_meth_ast_defDecNode8303[] = {0};
  meth_meth_ast_defDecNode8303->type = alloc_MethodType(1, argcv_meth_ast_defDecNode8303);
  meth_meth_ast_defDecNode8303->definitionModule = modulename;
  meth_meth_ast_defDecNode8303->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2025
  setline(2025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject8304 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8304 = alloc_userobj2(2,4, objclass8304);
  gc_frame_newslot(obj8304);
if (objclass8304 == NULL) {
  glfree(obj8304->class->name);
  obj8304->class->name = "varDecNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8304, self, 0);
  addmethodreal(obj8304,"outer", &reader_ast_outer_8305);
  Object oldself8304 = self;
  struct StackFrameObject *oldstackframe8304 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8304);
  gc_frame_newslot((Object)stackframe);
  self = obj8304;
  Object *oldselfslot8304 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8304 = (*(struct UserObject *)self).data[0], lowerouter8304 = thisouter8304;
  if (inheritingObject8304) {
    struct UserObject *inho8304 = (struct UserObject *)inheritingObject8304;
    while (inho8304->super != GraceDefaultObject) inho8304 = (struct UserObject *)inho8304->super;
    inho8304->super = obj8304;
    self = inheritingObject8304;
    *selfslot = self;
    lowerouter8304 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8304;
  }
// method "new(_,_,_)"
  block_savedest(obj8304);
  Object closure8306 = createclosure(2, "new(3)");
  setclosureframe(closure8306, stackframe);
  addtoclosure(closure8306, var_k);
  addtoclosure(closure8306, var_varDecNode);
  struct UserObject *uo8306 = (struct UserObject*)obj8304;
  uo8306->data[1] = (Object)closure8306;
  Method *meth_meth_ast_new_40_3_41_8306 = addmethod2pos(obj8304, "new(3)", &meth_ast_new_40_3_41_8306, 1);
  int argcv_meth_ast_new_40_3_41_8306[] = {3};
  meth_meth_ast_new_40_3_41_8306->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_8306);
  meth_meth_ast_new_40_3_41_8306->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_8306->definitionLine = 2105;
  block_savedest(obj8304);
  Object closure8760 = createclosure(2, "new(3)$object(1)");
  setclosureframe(closure8760, stackframe);
  addtoclosure(closure8760, var_k);
  addtoclosure(closure8760, var_varDecNode);
  Method *meth_meth_ast_new_40_3_41_8306_object = addmethod2pos(obj8304, "new(3)$object(1)", &meth_ast_new_40_3_41_8306_object, 1);
  meth_meth_ast_new_40_3_41_8306_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_8306_object->definitionLine = 2105;
  sourceObject = obj8304;
  objclass8304 = obj8304->class;
  objclass8304->definitionModule = modulename;
  objclass8304->definitionLine = 2104;
  (*(struct UserObject *)self).data[0] = lowerouter8304;
  self = oldself8304;
  selfslot = oldselfslot8304;
  stackframe = oldstackframe8304;
// compiled object node returning obj8304 (depth = 2)
  *var_varDecNode = obj8304;
  if (obj8304 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "varDecNode"
  block_savedest(self);
  Object closure8761 = createclosure(1, "varDecNode");
  setclosureframe(closure8761, stackframe);
  addtoclosure(closure8761, var_varDecNode);
  struct UserObject *uo8761 = (struct UserObject*)self;
  uo8761->data[42] = (Object)closure8761;
  Method *meth_meth_ast_varDecNode8761 = addmethod2pos(self, "varDecNode", &meth_ast_varDecNode8761, 42);
  int argcv_meth_ast_varDecNode8761[] = {0};
  meth_meth_ast_varDecNode8761->type = alloc_MethodType(1, argcv_meth_ast_varDecNode8761);
  meth_meth_ast_varDecNode8761->definitionModule = modulename;
  meth_meth_ast_varDecNode8761->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2212
  setline(2212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject8762 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8762 = alloc_userobj2(2,4, objclass8762);
  gc_frame_newslot(obj8762);
if (objclass8762 == NULL) {
  glfree(obj8762->class->name);
  obj8762->class->name = "importNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj8762, self, 0);
  addmethodreal(obj8762,"outer", &reader_ast_outer_8763);
  Object oldself8762 = self;
  struct StackFrameObject *oldstackframe8762 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8762);
  gc_frame_newslot((Object)stackframe);
  self = obj8762;
  Object *oldselfslot8762 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8762 = (*(struct UserObject *)self).data[0], lowerouter8762 = thisouter8762;
  if (inheritingObject8762) {
    struct UserObject *inho8762 = (struct UserObject *)inheritingObject8762;
    while (inho8762->super != GraceDefaultObject) inho8762 = (struct UserObject *)inho8762->super;
    inho8762->super = obj8762;
    self = inheritingObject8762;
    *selfslot = self;
    lowerouter8762 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8762;
  }
// method "new(_,_,_)"
  block_savedest(obj8762);
  Object closure8764 = createclosure(3, "new(3)");
  setclosureframe(closure8764, stackframe);
  addtoclosure(closure8764, var_k);
  addtoclosure(closure8764, var_nullNode);
  addtoclosure(closure8764, var_importNode);
  struct UserObject *uo8764 = (struct UserObject*)obj8762;
  uo8764->data[1] = (Object)closure8764;
  Method *meth_meth_ast_new_40_3_41_8764 = addmethod2pos(obj8762, "new(3)", &meth_ast_new_40_3_41_8764, 1);
  int argcv_meth_ast_new_40_3_41_8764[] = {3};
  meth_meth_ast_new_40_3_41_8764->type = alloc_MethodType(1, argcv_meth_ast_new_40_3_41_8764);
  meth_meth_ast_new_40_3_41_8764->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_8764->definitionLine = 2213;
  block_savedest(obj8762);
  Object closure9040 = createclosure(3, "new(3)$object(1)");
  setclosureframe(closure9040, stackframe);
  addtoclosure(closure9040, var_k);
  addtoclosure(closure9040, var_nullNode);
  addtoclosure(closure9040, var_importNode);
  Method *meth_meth_ast_new_40_3_41_8764_object = addmethod2pos(obj8762, "new(3)$object(1)", &meth_ast_new_40_3_41_8764_object, 1);
  meth_meth_ast_new_40_3_41_8764_object->definitionModule = modulename;
  meth_meth_ast_new_40_3_41_8764_object->definitionLine = 2213;
  sourceObject = obj8762;
  objclass8762 = obj8762->class;
  objclass8762->definitionModule = modulename;
  objclass8762->definitionLine = 2212;
  (*(struct UserObject *)self).data[0] = lowerouter8762;
  self = oldself8762;
  selfslot = oldselfslot8762;
  stackframe = oldstackframe8762;
// compiled object node returning obj8762 (depth = 2)
  *var_importNode = obj8762;
  if (obj8762 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "importNode"
  block_savedest(self);
  Object closure9041 = createclosure(1, "importNode");
  setclosureframe(closure9041, stackframe);
  addtoclosure(closure9041, var_importNode);
  struct UserObject *uo9041 = (struct UserObject*)self;
  uo9041->data[43] = (Object)closure9041;
  Method *meth_meth_ast_importNode9041 = addmethod2pos(self, "importNode", &meth_ast_importNode9041, 43);
  int argcv_meth_ast_importNode9041[] = {0};
  meth_meth_ast_importNode9041->type = alloc_MethodType(1, argcv_meth_ast_importNode9041);
  meth_meth_ast_importNode9041->definitionModule = modulename;
  meth_meth_ast_importNode9041->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2289
  setline(2289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9042 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9042 = alloc_userobj2(2,4, objclass9042);
  gc_frame_newslot(obj9042);
if (objclass9042 == NULL) {
  glfree(obj9042->class->name);
  obj9042->class->name = "dialectNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9042, self, 0);
  addmethodreal(obj9042,"outer", &reader_ast_outer_9043);
  Object oldself9042 = self;
  struct StackFrameObject *oldstackframe9042 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9042);
  gc_frame_newslot((Object)stackframe);
  self = obj9042;
  Object *oldselfslot9042 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9042 = (*(struct UserObject *)self).data[0], lowerouter9042 = thisouter9042;
  if (inheritingObject9042) {
    struct UserObject *inho9042 = (struct UserObject *)inheritingObject9042;
    while (inho9042->super != GraceDefaultObject) inho9042 = (struct UserObject *)inho9042->super;
    inho9042->super = obj9042;
    self = inheritingObject9042;
    *selfslot = self;
    lowerouter9042 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9042;
  }
// method "new(_)"
  block_savedest(obj9042);
  Object closure9044 = createclosure(1, "new(1)");
  setclosureframe(closure9044, stackframe);
  addtoclosure(closure9044, var_dialectNode);
  struct UserObject *uo9044 = (struct UserObject*)obj9042;
  uo9044->data[1] = (Object)closure9044;
  Method *meth_meth_ast_new_40_1_41_9044 = addmethod2pos(obj9042, "new(1)", &meth_ast_new_40_1_41_9044, 1);
  int argcv_meth_ast_new_40_1_41_9044[] = {1};
  meth_meth_ast_new_40_1_41_9044->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_9044);
  meth_meth_ast_new_40_1_41_9044->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9044->definitionLine = 2290;
  block_savedest(obj9042);
  Object closure9156 = createclosure(1, "new(1)$object(1)");
  setclosureframe(closure9156, stackframe);
  addtoclosure(closure9156, var_dialectNode);
  Method *meth_meth_ast_new_40_1_41_9044_object = addmethod2pos(obj9042, "new(1)$object(1)", &meth_ast_new_40_1_41_9044_object, 1);
  meth_meth_ast_new_40_1_41_9044_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9044_object->definitionLine = 2290;
  sourceObject = obj9042;
  objclass9042 = obj9042->class;
  objclass9042->definitionModule = modulename;
  objclass9042->definitionLine = 2289;
  (*(struct UserObject *)self).data[0] = lowerouter9042;
  self = oldself9042;
  selfslot = oldselfslot9042;
  stackframe = oldstackframe9042;
// compiled object node returning obj9042 (depth = 2)
  *var_dialectNode = obj9042;
  if (obj9042 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "dialectNode"
  block_savedest(self);
  Object closure9157 = createclosure(1, "dialectNode");
  setclosureframe(closure9157, stackframe);
  addtoclosure(closure9157, var_dialectNode);
  struct UserObject *uo9157 = (struct UserObject*)self;
  uo9157->data[44] = (Object)closure9157;
  Method *meth_meth_ast_dialectNode9157 = addmethod2pos(self, "dialectNode", &meth_ast_dialectNode9157, 44);
  int argcv_meth_ast_dialectNode9157[] = {0};
  meth_meth_ast_dialectNode9157->type = alloc_MethodType(1, argcv_meth_ast_dialectNode9157);
  meth_meth_ast_dialectNode9157->definitionModule = modulename;
  meth_meth_ast_dialectNode9157->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9158 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9158 = alloc_userobj2(2,4, objclass9158);
  gc_frame_newslot(obj9158);
if (objclass9158 == NULL) {
  glfree(obj9158->class->name);
  obj9158->class->name = "returnNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9158, self, 0);
  addmethodreal(obj9158,"outer", &reader_ast_outer_9159);
  Object oldself9158 = self;
  struct StackFrameObject *oldstackframe9158 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9158);
  gc_frame_newslot((Object)stackframe);
  self = obj9158;
  Object *oldselfslot9158 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9158 = (*(struct UserObject *)self).data[0], lowerouter9158 = thisouter9158;
  if (inheritingObject9158) {
    struct UserObject *inho9158 = (struct UserObject *)inheritingObject9158;
    while (inho9158->super != GraceDefaultObject) inho9158 = (struct UserObject *)inho9158->super;
    inho9158->super = obj9158;
    self = inheritingObject9158;
    *selfslot = self;
    lowerouter9158 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9158;
  }
// method "new(_)"
  block_savedest(obj9158);
  Object closure9160 = createclosure(2, "new(1)");
  setclosureframe(closure9160, stackframe);
  addtoclosure(closure9160, var_nullNode);
  addtoclosure(closure9160, var_returnNode);
  struct UserObject *uo9160 = (struct UserObject*)obj9158;
  uo9160->data[1] = (Object)closure9160;
  Method *meth_meth_ast_new_40_1_41_9160 = addmethod2pos(obj9158, "new(1)", &meth_ast_new_40_1_41_9160, 1);
  int argcv_meth_ast_new_40_1_41_9160[] = {1};
  meth_meth_ast_new_40_1_41_9160->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_9160);
  meth_meth_ast_new_40_1_41_9160->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9160->definitionLine = 2338;
  block_savedest(obj9158);
  Object closure9246 = createclosure(2, "new(1)$object(1)");
  setclosureframe(closure9246, stackframe);
  addtoclosure(closure9246, var_nullNode);
  addtoclosure(closure9246, var_returnNode);
  Method *meth_meth_ast_new_40_1_41_9160_object = addmethod2pos(obj9158, "new(1)$object(1)", &meth_ast_new_40_1_41_9160_object, 1);
  meth_meth_ast_new_40_1_41_9160_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9160_object->definitionLine = 2338;
  sourceObject = obj9158;
  objclass9158 = obj9158->class;
  objclass9158->definitionModule = modulename;
  objclass9158->definitionLine = 2337;
  (*(struct UserObject *)self).data[0] = lowerouter9158;
  self = oldself9158;
  selfslot = oldselfslot9158;
  stackframe = oldstackframe9158;
// compiled object node returning obj9158 (depth = 2)
  *var_returnNode = obj9158;
  if (obj9158 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "returnNode"
  block_savedest(self);
  Object closure9247 = createclosure(1, "returnNode");
  setclosureframe(closure9247, stackframe);
  addtoclosure(closure9247, var_returnNode);
  struct UserObject *uo9247 = (struct UserObject*)self;
  uo9247->data[45] = (Object)closure9247;
  Method *meth_meth_ast_returnNode9247 = addmethod2pos(self, "returnNode", &meth_ast_returnNode9247, 45);
  int argcv_meth_ast_returnNode9247[] = {0};
  meth_meth_ast_returnNode9247->type = alloc_MethodType(1, argcv_meth_ast_returnNode9247);
  meth_meth_ast_returnNode9247->definitionModule = modulename;
  meth_meth_ast_returnNode9247->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9248 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9248 = alloc_userobj2(3,4, objclass9248);
  gc_frame_newslot(obj9248);
if (objclass9248 == NULL) {
  glfree(obj9248->class->name);
  obj9248->class->name = "inheritsNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9248, self, 0);
  addmethodreal(obj9248,"outer", &reader_ast_outer_9249);
  Object oldself9248 = self;
  struct StackFrameObject *oldstackframe9248 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9248);
  gc_frame_newslot((Object)stackframe);
  self = obj9248;
  Object *oldselfslot9248 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9248 = (*(struct UserObject *)self).data[0], lowerouter9248 = thisouter9248;
  if (inheritingObject9248) {
    struct UserObject *inho9248 = (struct UserObject *)inheritingObject9248;
    while (inho9248->super != GraceDefaultObject) inho9248 = (struct UserObject *)inho9248->super;
    inho9248->super = obj9248;
    self = inheritingObject9248;
    *selfslot = self;
    lowerouter9248 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9248;
  }
// method "new(_)scope(_)"
  struct UserObject *uo9250 = (struct UserObject*)obj9248;
  uo9250->data[1] = emptyclosure;
  Method *meth_meth_ast_new_40_1_41_scope_40_1_41_9250 = addmethod2pos(obj9248, "new(1)scope(1)", &meth_ast_new_40_1_41_scope_40_1_41_9250, 1);
  int argcv_meth_ast_new_40_1_41_scope_40_1_41_9250[] = {1, 1};
  meth_meth_ast_new_40_1_41_scope_40_1_41_9250->type = alloc_MethodType(2, argcv_meth_ast_new_40_1_41_scope_40_1_41_9250);
  meth_meth_ast_new_40_1_41_scope_40_1_41_9250->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_scope_40_1_41_9250->definitionLine = 2373;
// method "new(_)"
  block_savedest(obj9248);
  Object closure9255 = createclosure(3, "new(1)");
  setclosureframe(closure9255, stackframe);
  addtoclosure(closure9255, var_k);
  addtoclosure(closure9255, var_nullNode);
  addtoclosure(closure9255, var_inheritsNode);
  struct UserObject *uo9255 = (struct UserObject*)obj9248;
  uo9255->data[2] = (Object)closure9255;
  Method *meth_meth_ast_new_40_1_41_9255 = addmethod2pos(obj9248, "new(1)", &meth_ast_new_40_1_41_9255, 2);
  int argcv_meth_ast_new_40_1_41_9255[] = {1};
  meth_meth_ast_new_40_1_41_9255->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_9255);
  meth_meth_ast_new_40_1_41_9255->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9255->definitionLine = 2378;
  block_savedest(obj9248);
  Object closure9639 = createclosure(3, "new(1)$object(1)");
  setclosureframe(closure9639, stackframe);
  addtoclosure(closure9639, var_k);
  addtoclosure(closure9639, var_nullNode);
  addtoclosure(closure9639, var_inheritsNode);
  Method *meth_meth_ast_new_40_1_41_9255_object = addmethod2pos(obj9248, "new(1)$object(1)", &meth_ast_new_40_1_41_9255_object, 2);
  meth_meth_ast_new_40_1_41_9255_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_9255_object->definitionLine = 2378;
  sourceObject = obj9248;
  sourceObject = obj9248;
  objclass9248 = obj9248->class;
  objclass9248->definitionModule = modulename;
  objclass9248->definitionLine = 2372;
  (*(struct UserObject *)self).data[0] = lowerouter9248;
  self = oldself9248;
  selfslot = oldselfslot9248;
  stackframe = oldstackframe9248;
// compiled object node returning obj9248 (depth = 2)
  *var_inheritsNode = obj9248;
  if (obj9248 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "inheritsNode"
  block_savedest(self);
  Object closure9640 = createclosure(1, "inheritsNode");
  setclosureframe(closure9640, stackframe);
  addtoclosure(closure9640, var_inheritsNode);
  struct UserObject *uo9640 = (struct UserObject*)self;
  uo9640->data[46] = (Object)closure9640;
  Method *meth_meth_ast_inheritsNode9640 = addmethod2pos(self, "inheritsNode", &meth_ast_inheritsNode9640, 46);
  int argcv_meth_ast_inheritsNode9640[] = {0};
  meth_meth_ast_inheritsNode9640->type = alloc_MethodType(1, argcv_meth_ast_inheritsNode9640);
  meth_meth_ast_inheritsNode9640->definitionModule = modulename;
  meth_meth_ast_inheritsNode9640->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2386
  setline(2386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2476
  setline(2476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl AliasPair
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type9642 = alloc_Type("AliasPair", 2);
    add_Method((ClassData)type9642, "newName", NULL);
    add_Method((ClassData)type9642, "oldName", NULL);
// compiled typeliteral node returning type9642 (depth = 2)
  *var_AliasPair = type9642;
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "AliasPair"
  block_savedest(self);
  Object closure9643 = createclosure(1, "AliasPair");
  setclosureframe(closure9643, stackframe);
  addtoclosure(closure9643, var_AliasPair);
  struct UserObject *uo9643 = (struct UserObject*)self;
  uo9643->data[47] = (Object)closure9643;
  Method *meth_meth_ast_AliasPair9643 = addmethod2pos(self, "AliasPair", &meth_ast_AliasPair9643, 47);
  int argcv_meth_ast_AliasPair9643[] = {0};
  meth_meth_ast_AliasPair9643->type = alloc_MethodType(1, argcv_meth_ast_AliasPair9643);
  meth_meth_ast_AliasPair9643->definitionModule = modulename;
  meth_meth_ast_AliasPair9643->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 2480
  setline(2480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9644 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9644 = alloc_userobj2(2,4, objclass9644);
  gc_frame_newslot(obj9644);
if (objclass9644 == NULL) {
  glfree(obj9644->class->name);
  obj9644->class->name = "blankNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9644, self, 0);
  addmethodreal(obj9644,"outer", &reader_ast_outer_9645);
  Object oldself9644 = self;
  struct StackFrameObject *oldstackframe9644 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9644);
  gc_frame_newslot((Object)stackframe);
  self = obj9644;
  Object *oldselfslot9644 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9644 = (*(struct UserObject *)self).data[0], lowerouter9644 = thisouter9644;
  if (inheritingObject9644) {
    struct UserObject *inho9644 = (struct UserObject *)inheritingObject9644;
    while (inho9644->super != GraceDefaultObject) inho9644 = (struct UserObject *)inho9644->super;
    inho9644->super = obj9644;
    self = inheritingObject9644;
    *selfslot = self;
    lowerouter9644 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9644;
  }
// method "new"
  block_savedest(obj9644);
  Object closure9646 = createclosure(1, "new");
  setclosureframe(closure9646, stackframe);
  addtoclosure(closure9646, var_blankNode);
  struct UserObject *uo9646 = (struct UserObject*)obj9644;
  uo9646->data[1] = (Object)closure9646;
  Method *meth_meth_ast_new9646 = addmethod2pos(obj9644, "new", &meth_ast_new9646, 1);
  int argcv_meth_ast_new9646[] = {0};
  meth_meth_ast_new9646->type = alloc_MethodType(1, argcv_meth_ast_new9646);
  meth_meth_ast_new9646->definitionModule = modulename;
  meth_meth_ast_new9646->definitionLine = 2501;
  block_savedest(obj9644);
  Object closure9682 = createclosure(1, "new$object(1)");
  setclosureframe(closure9682, stackframe);
  addtoclosure(closure9682, var_blankNode);
  Method *meth_meth_ast_new9646_object = addmethod2pos(obj9644, "new$object(1)", &meth_ast_new9646_object, 1);
  meth_meth_ast_new9646_object->definitionModule = modulename;
  meth_meth_ast_new9646_object->definitionLine = 2501;
  sourceObject = obj9644;
  objclass9644 = obj9644->class;
  objclass9644->definitionModule = modulename;
  objclass9644->definitionLine = 2500;
  (*(struct UserObject *)self).data[0] = lowerouter9644;
  self = oldself9644;
  selfslot = oldselfslot9644;
  stackframe = oldstackframe9644;
// compiled object node returning obj9644 (depth = 2)
  *var_blankNode = obj9644;
  if (obj9644 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "blankNode"
  block_savedest(self);
  Object closure9683 = createclosure(1, "blankNode");
  setclosureframe(closure9683, stackframe);
  addtoclosure(closure9683, var_blankNode);
  struct UserObject *uo9683 = (struct UserObject*)self;
  uo9683->data[48] = (Object)closure9683;
  Method *meth_meth_ast_blankNode9683 = addmethod2pos(self, "blankNode", &meth_ast_blankNode9683, 48);
  int argcv_meth_ast_blankNode9683[] = {0};
  meth_meth_ast_blankNode9683->type = alloc_MethodType(1, argcv_meth_ast_blankNode9683);
  meth_meth_ast_blankNode9683->definitionModule = modulename;
  meth_meth_ast_blankNode9683->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2507
  setline(2507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2524
  setline(2524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject9684 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj9684 = alloc_userobj2(6,7, objclass9684);
  gc_frame_newslot(obj9684);
if (objclass9684 == NULL) {
  glfree(obj9684->class->name);
  obj9684->class->name = "signaturePart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj9684, self, 0);
  addmethodreal(obj9684,"outer", &reader_ast_outer_9685);
  Object oldself9684 = self;
  struct StackFrameObject *oldstackframe9684 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe9684);
  gc_frame_newslot((Object)stackframe);
  self = obj9684;
  Object *oldselfslot9684 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter9684 = (*(struct UserObject *)self).data[0], lowerouter9684 = thisouter9684;
  if (inheritingObject9684) {
    struct UserObject *inho9684 = (struct UserObject *)inheritingObject9684;
    while (inho9684->super != GraceDefaultObject) inho9684 = (struct UserObject *)inho9684->super;
    inho9684->super = obj9684;
    self = inheritingObject9684;
    *selfslot = self;
    lowerouter9684 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter9684;
  }
// method "new"
  struct UserObject *uo9686 = (struct UserObject*)obj9684;
  uo9686->data[1] = emptyclosure;
  Method *meth_meth_ast_new9686 = addmethod2pos(obj9684, "new", &meth_ast_new9686, 1);
  int argcv_meth_ast_new9686[] = {0};
  meth_meth_ast_new9686->type = alloc_MethodType(1, argcv_meth_ast_new9686);
  meth_meth_ast_new9686->definitionModule = modulename;
  meth_meth_ast_new9686->definitionLine = 2525;
// method "partName(_)scope(_)"
  struct UserObject *uo9691 = (struct UserObject*)obj9684;
  uo9691->data[2] = emptyclosure;
  Method *meth_meth_ast_partName_40_1_41_scope_40_1_41_9691 = addmethod2pos(obj9684, "partName(1)scope(1)", &meth_ast_partName_40_1_41_scope_40_1_41_9691, 2);
  int argcv_meth_ast_partName_40_1_41_scope_40_1_41_9691[] = {1, 1};
  meth_meth_ast_partName_40_1_41_scope_40_1_41_9691->type = alloc_MethodType(2, argcv_meth_ast_partName_40_1_41_scope_40_1_41_9691);
  meth_meth_ast_partName_40_1_41_scope_40_1_41_9691->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_scope_40_1_41_9691->definitionLine = 2528;
// method "partName(_)params(_)scope(_)"
  struct UserObject *uo9697 = (struct UserObject*)obj9684;
  uo9697->data[3] = emptyclosure;
  Method *meth_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9697 = addmethod2pos(obj9684, "partName(1)params(1)scope(1)", &meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9697, 3);
  int argcv_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9697[] = {1, 1, 1};
  meth_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9697->type = alloc_MethodType(3, argcv_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9697);
  meth_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9697->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_params_40_1_41_scope_40_1_41_9697->definitionLine = 2533;
// method "partName(_)"
  struct UserObject *uo9702 = (struct UserObject*)obj9684;
  uo9702->data[4] = emptyclosure;
  Method *meth_meth_ast_partName_40_1_41_9702 = addmethod2pos(obj9684, "partName(1)", &meth_ast_partName_40_1_41_9702, 4);
  int argcv_meth_ast_partName_40_1_41_9702[] = {1};
  meth_meth_ast_partName_40_1_41_9702->type = alloc_MethodType(1, argcv_meth_ast_partName_40_1_41_9702);
  meth_meth_ast_partName_40_1_41_9702->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_9702->definitionLine = 2538;
// method "partName(_)params(_)"
  block_savedest(obj9684);
  Object closure9706 = createclosure(2, "partName(1)params(1)");
  setclosureframe(closure9706, stackframe);
  addtoclosure(closure9706, var_k);
  addtoclosure(closure9706, var_signaturePart);
  struct UserObject *uo9706 = (struct UserObject*)obj9684;
  uo9706->data[5] = (Object)closure9706;
  Method *meth_meth_ast_partName_40_1_41_params_40_1_41_9706 = addmethod2pos(obj9684, "partName(1)params(1)", &meth_ast_partName_40_1_41_params_40_1_41_9706, 5);
  int argcv_meth_ast_partName_40_1_41_params_40_1_41_9706[] = {1, 1};
  meth_meth_ast_partName_40_1_41_params_40_1_41_9706->type = alloc_MethodType(2, argcv_meth_ast_partName_40_1_41_params_40_1_41_9706);
  meth_meth_ast_partName_40_1_41_params_40_1_41_9706->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_params_40_1_41_9706->definitionLine = 2541;
  block_savedest(obj9684);
  Object closure10017 = createclosure(2, "partName(1)params(1)$object(1)");
  setclosureframe(closure10017, stackframe);
  addtoclosure(closure10017, var_k);
  addtoclosure(closure10017, var_signaturePart);
  Method *meth_meth_ast_partName_40_1_41_params_40_1_41_9706_object = addmethod2pos(obj9684, "partName(1)params(1)$object(1)", &meth_ast_partName_40_1_41_params_40_1_41_9706_object, 5);
  meth_meth_ast_partName_40_1_41_params_40_1_41_9706_object->definitionModule = modulename;
  meth_meth_ast_partName_40_1_41_params_40_1_41_9706_object->definitionLine = 2541;
  sourceObject = obj9684;
  sourceObject = obj9684;
  sourceObject = obj9684;
  sourceObject = obj9684;
  sourceObject = obj9684;
  objclass9684 = obj9684->class;
  objclass9684->definitionModule = modulename;
  objclass9684->definitionLine = 2524;
  (*(struct UserObject *)self).data[0] = lowerouter9684;
  self = oldself9684;
  selfslot = oldselfslot9684;
  stackframe = oldstackframe9684;
// compiled object node returning obj9684 (depth = 2)
  *var_signaturePart = obj9684;
  if (obj9684 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "signaturePart"
  block_savedest(self);
  Object closure10018 = createclosure(1, "signaturePart");
  setclosureframe(closure10018, stackframe);
  addtoclosure(closure10018, var_signaturePart);
  struct UserObject *uo10018 = (struct UserObject*)self;
  uo10018->data[49] = (Object)closure10018;
  Method *meth_meth_ast_signaturePart10018 = addmethod2pos(self, "signaturePart", &meth_ast_signaturePart10018, 49);
  int argcv_meth_ast_signaturePart10018[] = {0};
  meth_meth_ast_signaturePart10018->type = alloc_MethodType(1, argcv_meth_ast_signaturePart10018);
  meth_meth_ast_signaturePart10018->definitionModule = modulename;
  meth_meth_ast_signaturePart10018->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2616
  setline(2616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2617
  setline(2617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject10019 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10019 = alloc_userobj2(4,5, objclass10019);
  gc_frame_newslot(obj10019);
if (objclass10019 == NULL) {
  glfree(obj10019->class->name);
  obj10019->class->name = "requestPart";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10019, self, 0);
  addmethodreal(obj10019,"outer", &reader_ast_outer_10020);
  Object oldself10019 = self;
  struct StackFrameObject *oldstackframe10019 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10019);
  gc_frame_newslot((Object)stackframe);
  self = obj10019;
  Object *oldselfslot10019 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10019 = (*(struct UserObject *)self).data[0], lowerouter10019 = thisouter10019;
  if (inheritingObject10019) {
    struct UserObject *inho10019 = (struct UserObject *)inheritingObject10019;
    while (inho10019->super != GraceDefaultObject) inho10019 = (struct UserObject *)inho10019->super;
    inho10019->super = obj10019;
    self = inheritingObject10019;
    *selfslot = self;
    lowerouter10019 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10019;
  }
// method "new"
  struct UserObject *uo10021 = (struct UserObject*)obj10019;
  uo10021->data[1] = emptyclosure;
  Method *meth_meth_ast_new10021 = addmethod2pos(obj10019, "new", &meth_ast_new10021, 1);
  int argcv_meth_ast_new10021[] = {0};
  meth_meth_ast_new10021->type = alloc_MethodType(1, argcv_meth_ast_new10021);
  meth_meth_ast_new10021->definitionModule = modulename;
  meth_meth_ast_new10021->definitionLine = 2618;
// method "request(_)withArgs(_)scope(_)"
  struct UserObject *uo10026 = (struct UserObject*)obj10019;
  uo10026->data[2] = emptyclosure;
  Method *meth_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10026 = addmethod2pos(obj10019, "request(1)withArgs(1)scope(1)", &meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10026, 2);
  int argcv_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10026[] = {1, 1, 1};
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10026->type = alloc_MethodType(3, argcv_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10026);
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10026->definitionModule = modulename;
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_scope_40_1_41_10026->definitionLine = 2621;
// method "request(_)withArgs(_)"
  block_savedest(obj10019);
  Object closure10031 = createclosure(2, "request(1)withArgs(1)");
  setclosureframe(closure10031, stackframe);
  addtoclosure(closure10031, var_requestPart);
  addtoclosure(closure10031, var_emptySeq);
  struct UserObject *uo10031 = (struct UserObject*)obj10019;
  uo10031->data[3] = (Object)closure10031;
  Method *meth_meth_ast_request_40_1_41_withArgs_40_1_41_10031 = addmethod2pos(obj10019, "request(1)withArgs(1)", &meth_ast_request_40_1_41_withArgs_40_1_41_10031, 3);
  int argcv_meth_ast_request_40_1_41_withArgs_40_1_41_10031[] = {1, 1};
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10031->type = alloc_MethodType(2, argcv_meth_ast_request_40_1_41_withArgs_40_1_41_10031);
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10031->definitionModule = modulename;
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10031->definitionLine = 2626;
  block_savedest(obj10019);
  Object closure10353 = createclosure(2, "request(1)withArgs(1)$object(1)");
  setclosureframe(closure10353, stackframe);
  addtoclosure(closure10353, var_requestPart);
  addtoclosure(closure10353, var_emptySeq);
  Method *meth_meth_ast_request_40_1_41_withArgs_40_1_41_10031_object = addmethod2pos(obj10019, "request(1)withArgs(1)$object(1)", &meth_ast_request_40_1_41_withArgs_40_1_41_10031_object, 3);
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10031_object->definitionModule = modulename;
  meth_meth_ast_request_40_1_41_withArgs_40_1_41_10031_object->definitionLine = 2626;
  sourceObject = obj10019;
  sourceObject = obj10019;
  sourceObject = obj10019;
  objclass10019 = obj10019->class;
  objclass10019->definitionModule = modulename;
  objclass10019->definitionLine = 2617;
  (*(struct UserObject *)self).data[0] = lowerouter10019;
  self = oldself10019;
  selfslot = oldselfslot10019;
  stackframe = oldstackframe10019;
// compiled object node returning obj10019 (depth = 2)
  *var_requestPart = obj10019;
  if (obj10019 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "requestPart"
  block_savedest(self);
  Object closure10354 = createclosure(1, "requestPart");
  setclosureframe(closure10354, stackframe);
  addtoclosure(closure10354, var_requestPart);
  struct UserObject *uo10354 = (struct UserObject*)self;
  uo10354->data[50] = (Object)closure10354;
  Method *meth_meth_ast_requestPart10354 = addmethod2pos(self, "requestPart", &meth_ast_requestPart10354, 50);
  int argcv_meth_ast_requestPart10354[] = {0};
  meth_meth_ast_requestPart10354->type = alloc_MethodType(1, argcv_meth_ast_requestPart10354);
  meth_meth_ast_requestPart10354->definitionModule = modulename;
  meth_meth_ast_requestPart10354->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2698
  setline(2698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2699
  setline(2699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject10355 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10355 = alloc_userobj2(2,4, objclass10355);
  gc_frame_newslot(obj10355);
if (objclass10355 == NULL) {
  glfree(obj10355->class->name);
  obj10355->class->name = "commentNode";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10355, self, 0);
  addmethodreal(obj10355,"outer", &reader_ast_outer_10356);
  Object oldself10355 = self;
  struct StackFrameObject *oldstackframe10355 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10355);
  gc_frame_newslot((Object)stackframe);
  self = obj10355;
  Object *oldselfslot10355 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10355 = (*(struct UserObject *)self).data[0], lowerouter10355 = thisouter10355;
  if (inheritingObject10355) {
    struct UserObject *inho10355 = (struct UserObject *)inheritingObject10355;
    while (inho10355->super != GraceDefaultObject) inho10355 = (struct UserObject *)inho10355->super;
    inho10355->super = obj10355;
    self = inheritingObject10355;
    *selfslot = self;
    lowerouter10355 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10355;
  }
// method "new(_)"
  block_savedest(obj10355);
  Object closure10357 = createclosure(4, "new(1)");
  setclosureframe(closure10357, stackframe);
  addtoclosure(closure10357, var_lineLength);
  addtoclosure(closure10357, var_nullNode);
  addtoclosure(closure10357, var_commentNode);
  addtoclosure(closure10357, var_util);
  struct UserObject *uo10357 = (struct UserObject*)obj10355;
  uo10357->data[1] = (Object)closure10357;
  Method *meth_meth_ast_new_40_1_41_10357 = addmethod2pos(obj10355, "new(1)", &meth_ast_new_40_1_41_10357, 1);
  int argcv_meth_ast_new_40_1_41_10357[] = {1};
  meth_meth_ast_new_40_1_41_10357->type = alloc_MethodType(1, argcv_meth_ast_new_40_1_41_10357);
  meth_meth_ast_new_40_1_41_10357->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_10357->definitionLine = 2700;
  block_savedest(obj10355);
  Object closure10559 = createclosure(4, "new(1)$object(1)");
  setclosureframe(closure10559, stackframe);
  addtoclosure(closure10559, var_lineLength);
  addtoclosure(closure10559, var_nullNode);
  addtoclosure(closure10559, var_commentNode);
  addtoclosure(closure10559, var_util);
  Method *meth_meth_ast_new_40_1_41_10357_object = addmethod2pos(obj10355, "new(1)$object(1)", &meth_ast_new_40_1_41_10357_object, 1);
  meth_meth_ast_new_40_1_41_10357_object->definitionModule = modulename;
  meth_meth_ast_new_40_1_41_10357_object->definitionLine = 2700;
  sourceObject = obj10355;
  objclass10355 = obj10355->class;
  objclass10355->definitionModule = modulename;
  objclass10355->definitionLine = 2699;
  (*(struct UserObject *)self).data[0] = lowerouter10355;
  self = oldself10355;
  selfslot = oldselfslot10355;
  stackframe = oldstackframe10355;
// compiled object node returning obj10355 (depth = 2)
  *var_commentNode = obj10355;
  if (obj10355 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "commentNode"
  block_savedest(self);
  Object closure10560 = createclosure(1, "commentNode");
  setclosureframe(closure10560, stackframe);
  addtoclosure(closure10560, var_commentNode);
  struct UserObject *uo10560 = (struct UserObject*)self;
  uo10560->data[51] = (Object)closure10560;
  Method *meth_meth_ast_commentNode10560 = addmethod2pos(self, "commentNode", &meth_ast_commentNode10560, 51);
  int argcv_meth_ast_commentNode10560[] = {0};
  meth_meth_ast_commentNode10560->type = alloc_MethodType(1, argcv_meth_ast_commentNode10560);
  meth_meth_ast_commentNode10560->definitionModule = modulename;
  meth_meth_ast_commentNode10560->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2754
  setline(2754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2788
  setline(2788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2789
  setline(2789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile typedec node (depth = 1)
// Type decl ASTVisitor
// starting to compile typeliteral node (depth = 2)
//   Type literal 
    Object type10562 = alloc_Type("ASTVisitor", 30);
    add_Method((ClassData)type10562, "visitIf(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitBlock(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitMatchCase(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitTryCatch(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitMethodType(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitSignaturePart(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitTypeLiteral(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitTypeParameters(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitTypeDec(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitMethod(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitCall(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitObject(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitModule(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitArray(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitMember(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitGeneric(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitIdentifier(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitString(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitNum(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitOp(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitBind(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitDefDec(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitVarDec(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitImport(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitReturn(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitInherits(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitDialect(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitBlank(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitComment(1)up(1)", NULL);
    add_Method((ClassData)type10562, "visitImplicit(1)up(1)", NULL);
// compiled typeliteral node returning type10562 (depth = 2)
  *var_ASTVisitor = type10562;
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "ASTVisitor"
  block_savedest(self);
  Object closure10563 = createclosure(1, "ASTVisitor");
  setclosureframe(closure10563, stackframe);
  addtoclosure(closure10563, var_ASTVisitor);
  struct UserObject *uo10563 = (struct UserObject*)self;
  uo10563->data[52] = (Object)closure10563;
  Method *meth_meth_ast_ASTVisitor10563 = addmethod2pos(self, "ASTVisitor", &meth_ast_ASTVisitor10563, 52);
  int argcv_meth_ast_ASTVisitor10563[] = {0};
  meth_meth_ast_ASTVisitor10563->type = alloc_MethodType(1, argcv_meth_ast_ASTVisitor10563);
  meth_meth_ast_ASTVisitor10563->definitionModule = modulename;
  meth_meth_ast_ASTVisitor10563->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled typedec node returning done (depth = 1)
// Begin line 2821
  setline(2821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2887
  setline(2887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2928
  setline(2928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2929
  setline(2929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject10564 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj10564 = alloc_userobj2(1,2, objclass10564);
  gc_frame_newslot(obj10564);
if (objclass10564 == NULL) {
  glfree(obj10564->class->name);
  obj10564->class->name = "patternMarkVisitor";
}
// OBJECT OUTER DEC outer
  adddatum2(obj10564, self, 0);
  addmethodreal(obj10564,"outer", &reader_ast_outer_10565);
  Object oldself10564 = self;
  struct StackFrameObject *oldstackframe10564 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe10564);
  gc_frame_newslot((Object)stackframe);
  self = obj10564;
  Object *oldselfslot10564 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter10564 = (*(struct UserObject *)self).data[0], lowerouter10564 = thisouter10564;
  if (inheritingObject10564) {
    struct UserObject *inho10564 = (struct UserObject *)inheritingObject10564;
    while (inho10564->super != GraceDefaultObject) inho10564 = (struct UserObject *)inho10564->super;
    inho10564->super = obj10564;
    self = inheritingObject10564;
    *selfslot = self;
    lowerouter10564 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter10564;
  }
// method "visitCall(_)up(_)"
  struct UserObject *uo10566 = (struct UserObject*)obj10564;
  uo10566->data[1] = emptyclosure;
  Method *meth_meth_ast_visitCall_40_1_41_up_40_1_41_10566 = addmethod2pos(obj10564, "visitCall(1)up(1)", &meth_ast_visitCall_40_1_41_up_40_1_41_10566, 1);
  int argcv_meth_ast_visitCall_40_1_41_up_40_1_41_10566[] = {1, 1};
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_10566->type = alloc_MethodType(2, argcv_meth_ast_visitCall_40_1_41_up_40_1_41_10566);
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_10566->definitionModule = modulename;
  meth_meth_ast_visitCall_40_1_41_up_40_1_41_10566->definitionLine = 2931;
  sourceObject = obj10564;
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10571 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning self (depth = 4)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10572 = gc_frame_new();
// call case 3: self.outer request
  Object call10573 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe10572);
// compiled member node returning call10573 (depth = 4)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call10574 = callmethodflags(call10573, "baseVisitor$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10571);
// compiled call node returning call10574 (depth = 3)
  struct UserObject *obj10564_uo = (struct UserObject *)obj10564;
  obj10564_uo->super = call10574;
  sourceObject = obj10564;
  objclass10564 = obj10564->class;
  objclass10564->definitionModule = modulename;
  objclass10564->definitionLine = 2929;
  (*(struct UserObject *)self).data[0] = lowerouter10564;
  self = oldself10564;
  selfslot = oldselfslot10564;
  stackframe = oldstackframe10564;
// compiled object node returning obj10564 (depth = 2)
  *var_patternMarkVisitor = obj10564;
  if (obj10564 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 2947
  setline(2947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "patternMarkVisitor"
  block_savedest(self);
  Object closure10575 = createclosure(1, "patternMarkVisitor");
  setclosureframe(closure10575, stackframe);
  addtoclosure(closure10575, var_patternMarkVisitor);
  struct UserObject *uo10575 = (struct UserObject*)self;
  uo10575->data[53] = (Object)closure10575;
  Method *meth_meth_ast_patternMarkVisitor10575 = addmethod2pos(self, "patternMarkVisitor", &meth_ast_patternMarkVisitor10575, 53);
  int argcv_meth_ast_patternMarkVisitor10575[] = {0};
  meth_meth_ast_patternMarkVisitor10575->type = alloc_MethodType(1, argcv_meth_ast_patternMarkVisitor10575);
  meth_meth_ast_patternMarkVisitor10575->definitionModule = modulename;
  meth_meth_ast_patternMarkVisitor10575->definitionLine = 2947;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 2936
  setline(2936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
