#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "5585c0e69862e890e55fad7079c674a0c95c200b";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "lexer";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma ExtendedLineups",
  "import \"util\" as util",
  "import \"unicode\" as unicode",
  "import \"errormessages\" as errormessages",
  "import \"stringMap\" as map",
  "",
  "def keywords = map.new",
  "keywords.put(\"alias\", true)",
  "keywords.put(\"class\", true)",
  "keywords.put(\"def\", true)",
  "keywords.put(\"dialect\", true)",
  "keywords.put(\"exclude\", true)",
  "keywords.put(\"factory\", true)",
  "keywords.put(\"import\", true)",
  "keywords.put(\"inherits\", true)",
  "keywords.put(\"inherit\", true)",
  "keywords.put(\"is\", true)",
  "keywords.put(\"method\", true)",
  "keywords.put(\"object\", true)",
  "keywords.put(\"return\", true)",
  "keywords.put(\"trait\", true)",
  "keywords.put(\"type\", true)",
  "keywords.put(\"use\", true)",
  "keywords.put(\"var\", true)",
  "",
  "def operatorChars = \"-&|:$#\\\\%^@?*/+!~\"",
  "method isOperatorChar(c, ordval) {",
  "    if (operatorChars.contains(c)) then { return true }",
  "    if (unicode.isSymbolMathematical(ordval)) then { return true }",
  "    if (unicode.iscategory(c, \"So\")) then { return true }",
  "    return false",
  "}",
  "",
  "def spaceChars = \" \\u00A0\"    // ASCII space + non-breaking space",
  "def tab = \"\\t\"",
  "method isBadSeparator(ch) {",
  "    if (spaceChars.contains(ch)) then { return false }",
  "    if (tab == ch) then { return true }",
  "    return unicode.inCategory(ch, \"Z\")",
  "}",
  "",
  "def nl_cr = \"\\n\\r\"      // nl and cr",
  "method isBadControl(ch) {",
  "    if (nl_cr.contains(ch)) then { return false }",
  "    return unicode.inCategory(ch, \"C\")",
  "}",
  "",
  "def selfModes = \"(),\\{}[];⟦⟧\"",
  "method isSelfMode(ch) { selfModes.contains(ch) }",
  "",
  "def brackets = \"()\\{}[]⟦⟧\"",
  "method isBracket(ch) { brackets.contains(ch) }",
  "",
  "def alphaNums = \"_'0123456789abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ\"",
  "method isIdentifierChar(ch) {",
  "    if (alphaNums.contains(ch)) then { return true }",
  "    if (unicode.inCategory(ch, \"L\")) then { return true }",
  "    if (unicode.inCategory(ch, \"N\")) then { return true }",
  "    return false",
  "}",
  "def digits = \"0123456789\"",
  "method isDigit(ch) { digits.contains(ch) }",
  "",
  "def asciiLetters = \"abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ\"",
  "method isLetter(ch) {",
  "    if (asciiLetters.contains(ch)) then { return true }",
  "    if (unicode.inCategory(ch, \"L\")) then { return true }",
  "    return false",
  "}",
  "",
  "method padl(s, l, w) {",
  "    if (s.size >= l) then {",
  "        return s",
  "    }",
  "    var s' := s",
  "    while {s'.size < l} do {",
  "        s' := w ++ s'",
  "    }",
  "    return s'",
  "}",
  "",
  "class new {",
  "    var lineNumber := 1",
  "    var linePosition := 0",
  "    var startPosition := 1",
  "    var indentLevel := 0",
  "    var startLine := 1",
  "    var stringStart",
  "    ",
  "    class token {",
  "        def line is public = lineNumber",
  "        def indent is public = indentLevel",
  "        def linePos is public = startPosition",
  "",
  "        var next is public := false",
  "        var prev is public := false",
  "",
  "        method ==(other) {",
  "            if (other == false) then {",
  "                false",
  "            } else {",
  "                (other.line == line) && (other.linePos == linePos)",
  "            }",
  "        }",
  "        method asString { \"({line}:{linePos}){self.kind} {self.value}\" }",
  "    }",
  "",
  "",
  "    class identifierToken(s) {",
  "        inherits token",
  "        def kind is public = \"identifier\"",
  "        def value is public = s",
  "        def size is public = s.size",
  "    }",
  "    class stringToken(s) {",
  "        inherits token",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = linePosition - stringStart + 1",
  "    }",
  "    class multiLineStringToken(s) {",
  "        inherits token",
  "        def kind is public = \"string\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "        def line' = startLine",
  "        def linePos' = stringStart",
  "        method line is override { line' }",
  "        method linePos is override { linePos' }",
  "    }",
  "    class commentToken(s) {",
  "        inherits token",
  "        def kind is public = \"comment\"",
  "        def value is public = s",
  "        def size is public = s.size + 2",
  "    }",
  "    class lBraceToken {",
  "        inherits token",
  "        def kind is public = \"lbrace\"",
  "        def value is public = \"\\{\"",
  "        def size is public = 1",
  "    }",
  "    class rBraceToken {",
  "        inherits token",
  "        def kind is public = \"rbrace\"",
  "        def value is public = \"}\"",
  "        def size is public = 1",
  "    }",
  "    class lParenToken {",
  "        inherits token",
  "        def kind is public = \"lparen\"",
  "        def value is public = \"(\"",
  "        def size is public = 1",
  "    }",
  "    class rParenToken {",
  "        inherits token",
  "        def kind is public = \"rparen\"",
  "        def value is public = \")\"",
  "        def size is public = 1",
  "    }",
  "    class lSquareToken {",
  "        inherits token",
  "        def kind is public = \"lsquare\"",
  "        def value is public = \"[\"",
  "        def size is public = 1",
  "    }",
  "    class rSquareToken {",
  "        inherits token",
  "        def kind is public = \"rsquare\"",
  "        def value is public = \"]\"",
  "        def size is public = 1",
  "    }",
  "    class commaToken {",
  "        inherits token",
  "        def kind is public = \"comma\"",
  "        def value is public = \",\"",
  "        def size is public = 1",
  "    }",
  "    class colonToken {",
  "        inherits token",
  "        def kind is public = \"colon\"",
  "        def value is public = \":\"",
  "        def size is public = 1",
  "    }",
  "    class dotToken {",
  "        inherits token",
  "        def kind is public = \"dot\"",
  "        def value is public = \".\"",
  "        def size is public = 1",
  "    }",
  "    class numToken(v, b) {",
  "        inherits token",
  "        def kind is public = \"num\"",
  "        def value is public = v",
  "        def base is public = b",
  "        def size is public = linePosition - startPosition",
  "    }",
  "    class keywordToken(v) {",
  "        inherits token",
  "        def kind is public = \"keyword\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class opToken(v) {",
  "        inherits token",
  "        def kind is public = \"op\"",
  "        def value is public = v",
  "        def size is public = v.size",
  "    }",
  "    class arrowToken {",
  "        inherits token",
  "        def kind is public = \"arrow\"",
  "        def value is public = \"→\"",
  "        def size is public = 1",
  "    }",
  "    class bindToken {",
  "        inherits token",
  "        def kind is public = \"bind\"",
  "        def value is public = \":=\"",
  "        def size is public = 2",
  "    }",
  "    class semicolonToken {",
  "        inherits token",
  "        def kind is public = \"semicolon\"",
  "        def value is public = \";\"",
  "        def size is public = 1",
  "    }",
  "    class lGenericToken {",
  "        inherits token",
  "        def kind is public = \"lgeneric\"",
  "        def value is public = \"⟦\"",
  "        def size is public = 1",
  "    }",
  "    class rGenericToken {",
  "        inherits token",
  "        def kind is public = \"rgeneric\"",
  "        def value is public = \"⟧\"",
  "        def size is public = 1",
  "    }",
  "    class eofToken {",
  "        inherits token",
  "        def kind is public = \"eof\"",
  "        def value is public = \"\"",
  "        def size is public = 0",
  "    }",
  "",
  "",
  "    method modechange(tokens, mode, accum) {",
  "        // When a new lexical class has begun, add to the token list",
  "        // the token corresponding to the previous accumulated data.",
  "        // mode is the previous lexical mode (a string), and accum the",
  "        // accumulated characters since that mode began. Modes are:",
  "        //   n           Whitespace       i   Identifier",
  "        //   \"           Quoted string    q   extended string",
  "        //   m           Number           o   Any operator",
  "        //   p           Pragma           d   Indentation",
  "        //   c           Comment          e   empty",
  "        //   ,.{}()[]⟦⟧; The corresponding literal character",
  "        //",
  "        // There are three special cases for mode o. If accum is \"→\",",
  "        // \":=\", or \"=\", the corresponding special token is created.",
  "        // For mode i, a keyword token is created when the identifier",
  "        // is a reserved keyword.",
  "",
  "        var tok := 0",
  "        if ((mode != \"n\") || (accum.size > 0)) then {",
  "            if (mode == \"i\") then {",
  "                tok := if (keywords.contains(accum)) then {",
  "                    keywordToken(accum)",
  "                } else {",
  "                    identifierToken(accum)",
  "                }",
  "                tokens.push(tok)",
  "            } elseif { mode == \"\\\"\" } then {",
  "                tok := stringToken(accum)",
  "                tokens.push(tok)",
  "            } elseif { mode == \"q\" } then {",
  "                tok := multiLineStringToken(accum)",
  "                tokens.push(tok)",
  "            } elseif { mode == \",\" } then {",
  "                tok := commaToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \".\" } then {",
  "                tok := dotToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \"\\{\" } then {",
  "                tok := lBraceToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \"}\" } then {",
  "                tok := rBraceToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \"(\" } then {",
  "                tok := lParenToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \")\" } then {",
  "                tok := rParenToken",
  "                if (tokens.last.kind == \"lparen\") then {",
  "                    errormessages.syntaxError(\"empty parenthesis are not allowed. \" ++",
  "                        \"Remove them, or put something between them.\")",
  "                        atRange(tok.line, tokens.last.linePos, tok.linePos)",
  "                }",
  "                tokens.push(tok)",
  "            } elseif { mode == \"[\" } then {",
  "                tok := lSquareToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \"]\" } then {",
  "                tok := rSquareToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \"⟦\" } then {",
  "                tok := lGenericToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \"⟧\" } then {",
  "                tok := rGenericToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \";\" } then {",
  "                tok := semicolonToken",
  "                tokens.push(tok)",
  "            } elseif { mode == \"m\" } then {",
  "                if ((tokens.size > 1) && {tokens.last.kind == \"dot\"}) then {",
  "                    def dot = tokens.pop",
  "                    if (tokens.last.kind == \"num\") then {",
  "                        if (tokens.last.base == 10) then {",
  "                            tok := tokens.pop",
  "                            var decimal := makeNumToken(accum)",
  "                            if(decimal.base == 10) then {",
  "                                tok := numToken(tok.value ++ \".\" ++ accum, 10)",
  "                            } else {",
  "                                def suggestions = []",
  "                                var suggestion := errormessages.suggestion.new",
  "                                suggestion.replaceRange(dot.linePos + 1, linePosition - 1)with(decimal.value)onLine(lineNumber)",
  "                                suggestions.push(suggestion)",
  "                                suggestion := errormessages.suggestion.new",
  "                                suggestion.deleteRange(dot.linePos, linePosition - 1)onLine(lineNumber)",
  "                                suggestions.push(suggestion)",
  "                                errormessages.syntaxError(\"the fractional part of a number must be in base 10.\")atRange(",
  "                                    lineNumber, dot.linePos + 1, linePosition - 1)withSuggestions(suggestions)",
  "                            }",
  "                        } else {",
  "                            def suggestions = []",
  "                            var suggestion := errormessages.suggestion.new",
  "                            suggestion.replaceRange(tokens.last.linePos, dot.linePos - 1)with(tokens.last.value)onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.deleteChar(dot.linePos)onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"a number in base {tokens.last.base} cannot have a fractional part.\")atRange(",
  "                                lineNumber, dot.linePos, linePosition - 1)withSuggestions(suggestions)",
  "                        }",
  "                    } else {",
  "                        if(tokens.last.kind == \"string\") then {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.replaceChar(dot.linePos)with(\"++\")onLine(dot.line)",
  "                            errormessages.syntaxError(\"a number may follow a '.' only if there is a number before the '.'. \"",
  "                                ++ \"To join a number to a string, use '++'.\")atRange(",
  "                                dot.line, dot.linePos, dot.linePos)withSuggestion(suggestion)",
  "                        } elseif { (tokens.last.kind == \"op\" ) || (tokens.last.kind == \"bind\") } then {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.insert(\"0\")atPosition(dot.linePos)onLine(dot.line)",
  "                            errormessages.syntaxError(\"a number must have a digit before the decimal point.\")atPosition(",
  "                                dot.line, dot.linePos)withSuggestion(suggestion)",
  "                        } elseif { tokens.last.kind == \"identifier\" } then {",
  "                            def suggestions = []",
  "                            if(tokens.last.value == \"o\") then {",
  "                                def suggestion = errormessages.suggestion.new",
  "                                suggestion.replaceChar(tokens.last.linePos)with(\"0\")onLine(tokens.last.line)",
  "                                suggestions.push(suggestion)",
  "                            }",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.replaceRange(dot.linePos, linePosition - 1)with(\"({accum})\")onLine(tokens.last.line)",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"a number may follow a '.' only if there is a number before the '.'.\")atRange(",
  "                                dot.line, dot.linePos, dot.linePos)withSuggestions(suggestions)",
  "                        } else {",
  "                            errormessages.syntaxError(\"a number may follow a '.' only if there is a number before the '.'.\")atRange(",
  "                                dot.line, dot.linePos, dot.linePos)",
  "                        }",
  "                    }",
  "                } else {",
  "                    tok := makeNumToken(accum)",
  "                }",
  "                tokens.push(tok)",
  "            } elseif { mode == \"o\" } then {",
  "                tok := opToken(accum)",
  "                if (accum == \"→\") then {",
  "                    tok := arrowToken",
  "                } elseif { accum == \":=\" } then {",
  "                    tok := bindToken",
  "                } elseif { accum == \":\" } then {",
  "                    tok := colonToken",
  "                }",
  "                tokens.push(tok)",
  "            } elseif { mode == \"d\" } then {",
  "                indentLevel := linePosition - 1",
  "            } elseif { mode == \"n\" } then {",
  "            } elseif { mode == \"e\" } then {",
  "            } elseif { mode == \"c\" } then {",
  "                var firstNonSpace := 3      // skip the leading \"//\"",
  "                def accumSize = accum.size",
  "                while { (firstNonSpace <= accum.size) && {",
  "                        accum.at(firstNonSpace) == \" \" } } do {",
  "                    firstNonSpace := firstNonSpace + 1 ",
  "                }",
  "                def cmt = accum.substringFrom(firstNonSpace)to(accum.size)",
  "                tokens.push(commentToken(cmt))",
  "            } elseif { mode == \"p\" } then {",
  "                if (accum.substringFrom(1)to(8) == \"#pragma \") then {",
  "                    util.processExtension(",
  "                        accum.substringFrom(9)to(accum.size))",
  "                }",
  "            } else {",
  "                ProgrammingError.raise(\"Internal error in lexer: \" ++",
  "                    \"no handler for mode {mode} with accum ‹{accum}› \" ++",
  "                    \"at position {lineNumber}:{linePosition}\")",
  "            }",
  "        }",
  "        startPosition := linePosition",
  "    }",
  "",
  "    method fromBase(str, base) {",
  "        var val := 0",
  "        var i := 0",
  "        for (str) do {c->",
  "            def n = c.ord",
  "            val := val * base",
  "            var inc := 0",
  "            if ((n >= 48) && (n <= 57)) then {          // 48 = '0', 57 = '9'",
  "                inc := n - 48 // '0'",
  "            } elseif {(n >= 65) && (n <= 90)} then {    // 65 = 'A', 90 = 'Z'",
  "                inc := n - 55 // 'A' - 10",
  "            } else {",
  "                inc := n - 87 // 'a' - 10",
  "            }",
  "            if (inc >= base) then {",
  "                if((str.first == \"0\") && (inc < 16)) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\"x\")atPosition(linePosition - str.size + 1)onLine(lineNumber)",
  "                    errormessages.syntaxError(\"a number in base 16 must start with '0x'.\")atPosition(",
  "                        lineNumber, linePosition - str.size + 1)withSuggestion(suggestion)",
  "                } else {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(str.size == 1) then {",
  "                        suggestion.deleteRange(linePosition - str.size - 1, linePosition - 1)onLine(lineNumber)",
  "                    } else {",
  "                        suggestion.deleteChar(linePosition - str.size + i)onLine(lineNumber)",
  "                    }",
  "                    def validDigits = if(base <= 10) then {",
  "                        \"'0' to '{base - 1}'\"",
  "                    } else {",
  "                        \"'0' to '9', 'a' to '{unicode.create(87 + base)}'\"",
  "                    }",
  "                    errormessages.syntaxError(\"'{c}' is not a valid digit in base {base}. Valid digits are {validDigits}.\")atRange(",
  "                        lineNumber, linePosition - str.size + i, linePosition - str.size + i)withSuggestion(suggestion)",
  "                }",
  "            }",
  "            val := val + inc",
  "            i := i + 1",
  "        }",
  "        val",
  "    }",
  "            ",
  "    method hexdecchar(c) {",
  "    // Return the numeric value of the single hexadecimal digit c.",
  "        def AOrd = \"A\".ord",
  "        def aOrd = \"a\".ord",
  "        def zeroOrd = \"0\".ord",
  "        def cOrd = c.ord",
  "        if ( (cOrd >= AOrd) && (cOrd <= \"F\".ord) ) then {",
  "            cOrd - AOrd + 10",
  "        } elseif { (cOrd >= aOrd) && (cOrd <= \"f\".ord) } then {",
  "            cOrd - aOrd + 10",
  "        } elseif { (cOrd >= zeroOrd) && (cOrd <= \"9\".ord) } then {",
  "            cOrd - zeroOrd",
  "        } else {",
  "            errormessages.syntaxError(\"the character '{c}' must be a hexadecimal digit\")",
  "                atRange(lineNumber, linePosition, linePosition)",
  "        }",
  "    }",
  "",
  "    method makeNumToken(accum) {",
  "        var base := 10",
  "        var baseSet := false",
  "        var sofar := \"\"",
  "        var i := 0",
  "        for (accum) do {c->",
  "            if ((c == \"x\") && (!baseSet)) then {",
  "                base := sofar.asNumber",
  "                baseSet := true",
  "                if (base == 0) then {",
  "                    base := 16",
  "                }",
  "                if((base < 2) || (base > 36)) then {",
  "                    def suggestions = []",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceChar(linePosition - accum.size + i)with(\"*\")onLine(lineNumber)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteRange(linePosition - accum.size, linePosition - accum.size + i)onLine(lineNumber)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"base {base} is not a valid numerical base.\")atRange(",
  "                        lineNumber, linePosition - accum.size, linePosition - accum.size + i - 1)withSuggestions(suggestions)",
  "                }",
  "                sofar := \"\"",
  "            } else {",
  "                sofar := sofar ++ c",
  "            }",
  "            i := i + 1",
  "        }",
  "        if(sofar == \"\") then {",
  "            def suggestions = []",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.deleteRange(linePosition - accum.size + i - 1, linePosition - 1)onLine(lineNumber)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\"0\")atPosition(linePosition)onLine(lineNumber)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"at least one digit must follow the 'x' in a number.\")atPosition(",
  "                lineNumber, linePosition - accum.size + i)withSuggestions(suggestions)",
  "        }",
  "        numToken(fromBase(sofar, base).asString, base)",
  "    }",
  "",
  "    // Read the program text from util.infile and return a list of",
  "    // tokens.",
  "    method lexfile(file) {",
  "        def lines = util.lines.makeEmpty",
  "        def cLines = util.cLines.makeEmpty",
  "            // making them empty is necessary for the browser,",
  "            // where these variables persist from one compilation",
  "            // to the next",
  "        var line := \"\"",
  "        var cLine := \"\"",
  "        var wasCR := false",
  "        for(file.read) do { c ->",
  "            if (c == \"\\r\") then {",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "                line := \"\"",
  "                cLine := \"\"",
  "                wasCR := true",
  "            } elseif {c  == \"\\n\"} then {",
  "                if (wasCR) then {",
  "                    // the spec says \"LINE FEED that immediately",
  "                    // follows a CARRIAGE RETURN is ignored\"",
  "                } else {",
  "                    lines.push(line)",
  "                    cLines.push(cLine)",
  "                    line := \"\"",
  "                    cLine := \"\"",
  "                }",
  "                wasCR := false",
  "            } elseif {c == \"\\l\"} then {",
  "                lines.push(line)",
  "                cLines.push(cLine)",
  "                line := \"\"",
  "                cLine := \"\"",
  "                wasCR := false",
  "            } elseif {c == \"\\\\\"} then {",
  "                line := line ++ c",
  "                cLine := cLine ++ \"\\\\\\\\\"",
  "                wasCR := false",
  "            } elseif {c == \"\\\"\"} then {",
  "                line := line ++ c",
  "                cLine := cLine ++ \"\\\\\\\"\"",
  "                wasCR := false",
  "            } else {",
  "                line := line ++ c",
  "                cLine := cLine ++ c",
  "                wasCR := false",
  "            }",
  "        }",
  "        if (line != \"\") then {",
  "            // this deals with an un-terminated final line",
  "            lines.push(line)",
  "            cLines.push(cLine)",
  "        }",
  "        lexinput(lines)",
  "    }",
  "",
  "    method lexinput(inputLines) {",
  "        // tokens is a doubly-linked list of tokens.",
  "        var tokens := object {",
  "            var first is readable := false",
  "            var last is readable := false",
  "            var size' := 0",
  "",
  "            method push(t) {",
  "                if(first == false) then {",
  "                    first := t",
  "                    last := t",
  "                } else {",
  "                    last.next := t",
  "                    t.prev := last",
  "                    last := t",
  "                }",
  "                size' := size' + 1",
  "            }",
  "",
  "            method pop {",
  "                if(last != false) then {",
  "                    def popped = last",
  "                    last := last.prev",
  "                    if(last == false) then {",
  "                        first := false",
  "                    }",
  "                    size' := size' - 1",
  "                    popped",
  "                }",
  "            }",
  "",
  "            method poll {",
  "                if(first != false) then {",
  "                    def polled = first",
  "                    first := first.next",
  "                    if(first == false) then {",
  "                        last := false",
  "                    }",
  "                    size' := size' - 1",
  "                    polled",
  "                }",
  "            }",
  "",
  "            method size {",
  "                size' + 0",
  "            }",
  "",
  "            method iter {",
  "                object {",
  "                    var n := first",
  "                    method havemore {",
  "                        n != false",
  "                    }",
  "                    method hasNext {",
  "                        n != false",
  "                    }",
  "                    method next {",
  "                        def ret = n",
  "                        n := n.next",
  "                        ret",
  "                    }",
  "                }",
  "            }",
  "",
  "            method iterator {",
  "                iter",
  "            }",
  "            ",
  "            method do(action) {",
  "                var n := first",
  "                while { n != false } do {",
  "                    action.apply(n)",
  "                    n := n.next",
  "                }",
  "            }",
  "        }",
  "",
  "        var mode := \"d\"",
  "        var newmode := mode",
  "        var inStr := false",
  "        var inBackticks := false",
  "        var backtickIdent := false",
  "        var accum := \"\"",
  "        var escaped := false",
  "        var unichars := 0",
  "        var codepoint := 0",
  "        var interpdepth := 0",
  "        var interpString := false",
  "        var atStart := true",
  "        var newlineFound := false",
  "        linePosition := 0",
  "        util.log_verbose \"lexing.\"",
  "        def mainBlock = { c ->",
  "            var ct := \"\"",
  "            var ordval := c.ord // String.ord gives the codepoint",
  "            if (isBadSeparator(c) && { mode != \"q\" }) then {",
  "                // Character is whitespace, but not an ASCII space or",
  "                // Unicode NO-BREAK SPACE.  For example, a tab",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.replaceChar(linePosition)with(\" \")onLine(lineNumber)",
  "                if (ordval == 9) then {",
  "                    if (inStr) then {",
  "                        suggestion.replaceRange(linePosition, linePosition)",
  "                            with(\"\\\\t\")",
  "                            onLine(lineNumber)",
  "                        errormessages.syntaxError(\"tabs cannot be \"",
  "                            ++ \"written in the source code; \"",
  "                            ++ \"use the string escape \\\\t instead\")",
  "                            atRange(lineNumber, linePosition, linePosition)",
  "                            withSuggestion(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"tabs are not allowed; use spaces instead.\")atRange(lineNumber,",
  "                        linePosition, linePosition)withSuggestion(suggestion)",
  "                } else {",
  "                    if (mode == \"\\\"\") then {",
  "                        suggestion.replaceRange(linePosition, linePosition)",
  "                            with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                            onLine(lineNumber)",
  "                        errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                            ++ \"is not a valid whitespace character\"",
  "                            ++ \" and cannot be \"",
  "                            ++ \"written in the source code; \"",
  "                            ++ \"use the Unicode escape \\\\u\"",
  "                            ++ padl(ordval.inBase 16, 4, \"0\")",
  "                            ++ \" instead\")",
  "                            atRange(lineNumber, linePosition, linePosition)",
  "                            withSuggestion(suggestion)",
  "                    }",
  "                    errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                        ++ \"is not a valid whitespace character; use spaces instead.\")atRange(lineNumber,",
  "                        linePosition, linePosition)withSuggestion(suggestion)",
  "                }",
  "            } elseif {isBadControl(c) && { mode != \"q\" }} then {",
  "                // Character is a control character other than",
  "                // carriage return or line feed.",
  "                def suggestion = errormessages.suggestion.new",
  "                if (inStr) then {",
  "                    suggestion.replaceRange(linePosition, linePosition)",
  "                        with(\"\\\\u{padl(ordval.inBase 16, 4, \"0\")}\")",
  "                        onLine(lineNumber)",
  "                    errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                        ++ \"is a control character and cannot be \"",
  "                        ++ \"written in the source code; \"",
  "                        ++ \"use the Unicode escape \\\\u\"",
  "                        ++ padl(ordval.inBase 16, 4, \"0\")",
  "                        ++ \" instead\")",
  "                        atRange(lineNumber, linePosition, linePosition)",
  "                        withSuggestion(suggestion)",
  "                }",
  "                suggestion.deleteChar(linePosition)onLine(lineNumber)",
  "                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                    ++ \"is a control character and cannot be written in the source code; consider using spaces instead.\")atRange(lineNumber,",
  "                    linePosition, linePosition)withSuggestion(suggestion)",
  "            }",
  "            if (atStart) then {",
  "                if (linePosition == 1) then {",
  "                    if (c == \"#\") then {",
  "                        mode := \"p\"",
  "                        newmode := mode",
  "                    } else {",
  "                        atStart := false",
  "                    }",
  "                }",
  "            }",
  "            if (inStr) then {",
  "",
  "            } elseif { (mode != \"c\") && (mode != \"p\") } then {",
  "                // Not in a comment or pragma, so look for a mode.",
  "                if (spaceChars.contains(c) && (mode != \"d\")) then {",
  "                    newmode := \"n\"",
  "                }",
  "                if (c == \"\\\"\") then {",
  "                    // Beginning of a string",
  "                    newmode := \"\\\"\"",
  "                    inStr := true",
  "                    stringStart := linePosition",
  "                } elseif { c == \"‹\" } then {",
  "                    // Beginning of a multi-line string",
  "                    newmode := \"q\"",
  "                    inStr := true",
  "                    startLine := lineNumber",
  "                    stringStart := linePosition",
  "                } elseif { isIdentifierChar(c) } then {",
  "                    newmode := \"i\"",
  "                }",
  "                if (isDigit(c)) then {",
  "                    // This may overwrite newmode := \"i\"",
  "                    // established 4 lines up",
  "                    if (mode != \"i\") then {",
  "                        newmode := \"m\"",
  "                    }",
  "                }",
  "                if (mode == \"m\") then {",
  "                    if (isLetter(c)) then {",
  "                        newmode := \"m\"",
  "                    }",
  "                }",
  "                if (c == \"<\") then {",
  "                    if (mode == \"i\") then {",
  "                        newmode := \"⟦\"",
  "                    } elseif {(mode == \"n\") && (tokens.last.kind == \"op\")} then {",
  "                        newmode := \"⟧\"",
  "                    } else {",
  "                        newmode := \"o\"",
  "                    }",
  "                } elseif { (c == \">\") && {(mode == \"i\") || (mode == \"e\")} } then {",
  "                    if (mode == \"⟧\") then {",
  "                        modechange(tokens, mode, accum)",
  "                    }",
  "                    newmode := \"⟧\"",
  "                } elseif { isOperatorChar(c, ordval) } then {",
  "                    newmode := \"o\"",
  "                } elseif { isSelfMode(c) } then {",
  "                    newmode := c",
  "                }",
  "                if (c == \"#\") then {",
  "                    if(util.lines.at(lineNumber).substringFrom(1)to(7) == \"#pragma\") then {",
  "                        if (atStart) then {",
  "                            mode := \"p\"",
  "                            newmode := \"p\"",
  "                        } else {",
  "                            errormessages.syntaxError \"pragmas must be at the start of the file.\"",
  "                                atLine(lineNumber)",
  "                        }",
  "                    }",
  "                }",
  "                if (c == \".\") then {",
  "                    if (accum == \".\") then {",
  "                        // Special handler for .. operator",
  "                        mode := \"o\"",
  "                        newmode := mode",
  "                    } elseif { accum == \"..\" } then {",
  "                        // Special handler for ... identifier",
  "                        mode := \"n\"",
  "                        newmode := mode",
  "                        modechange(tokens, \"i\", \"...\")",
  "                        accum := \"\"",
  "                    } else {",
  "                        newmode := \".\"",
  "                    }",
  "                }",
  "                if (c == \"/\") then {",
  "                    if (accum == \"/\") then {",
  "                        // Start of comment",
  "                        mode := \"c\"",
  "                        newmode := mode",
  "                    }",
  "                }",
  "                if (mode == \"n\") then {",
  "                    if (mode == newmode) then {",
  "                        if (unicode.isSeparator(ordval).not) then {",
  "                            if (unicode.isControl(ordval).not) then {",
  "                                if (ordval != 10) then {",
  "                                    if (ordval != 13) then {",
  "                                        if (ordval != 32) then {",
  "                                            if (c != \".\") then{",
  "                                                errormessages.syntaxError(\"{unicode.name(c)} (U+{padl(ordval.inBase 16, 4, \"0\")}) \"",
  "                                                    ++ \"is not a valid character; use spaces instead.\")atRange(",
  "                                                    lineNumber, linePosition, linePosition)",
  "                                            }",
  "                                        }",
  "                                    }",
  "                                }",
  "                            }",
  "                        }",
  "                    }",
  "                }",
  "            }",
  "            if (mode == \"\\\"\") then {",
  "                if (c == \"\\\"\") then {",
  "                    if (escaped.not) then {",
  "                        // End of string literal",
  "                        newmode := \"n\"",
  "                        inStr := false",
  "                        if (interpString) then {",
  "                            modechange(tokens, mode, accum)",
  "                            modechange(tokens, \")\", \")\")",
  "                            mode := newmode",
  "                            interpString := false",
  "                        }",
  "                    }",
  "                }",
  "            } elseif {mode == \"q\"} then {",
  "                if (c == \"›\") then {",
  "                    //end of literal",
  "                    newmode := \"n\"",
  "                    inStr := false",
  "                }",
  "            }",
  "            if (newmode != mode) then {",
  "                // This character is the beginning of a different",
  "                // lexical mode - process the old one now.",
  "                modechange(tokens, mode, accum)",
  "                if (interpdepth > 0) then {",
  "                    if (newmode == \"}\") then {",
  "                        // Find the position of the opening brace to ",
  "                        // check if the interpolation is empty.",
  "                        if (tokens.last.kind == \"lbrace\") then {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.deleteRange(linePosition - 1, linePosition)onLine(lineNumber)",
  "                            errormessages.syntaxError(\"a string interpolation cannot be empty.\")atRange(",
  "                                lineNumber, tokens.last.linePos, linePosition)withSuggestion(suggestion)",
  "                        }",
  "                        modechange(tokens, \")\", \")\")",
  "                        modechange(tokens, \"o\", \"++\")",
  "                        newmode := \"\\\"\"",
  "                        inStr := true",
  "                        interpdepth := interpdepth - 1",
  "                    }",
  "                }",
  "                mode := newmode",
  "                if (inStr) then {",
  "                    // String accum should skip the opening quote, but",
  "                    // other modes' should include their first",
  "                    // character.",
  "                    accum := \"\"",
  "                } else {",
  "                    accum := c",
  "                }",
  "                if (isBracket(mode)) then {",
  "                    modechange(tokens, mode, accum)",
  "                    mode := \"e\"",
  "                    newmode := mode",
  "                    accum := \"\"",
  "                }",
  "            } elseif { mode == \"\\\"\" } then {",
  "                if (c == \"\\n\") then {",
  "                    if (interpdepth > 0) then {",
  "                        // Find closest {.",
  "                        var line := lineNumber",
  "                        var i := util.lines.at(line).size",
  "                        while { util.lines.at(line).at(i) != \"\\{\" } do {",
  "                            i := i - 1",
  "                            if(i == 0) then {",
  "                                lineNumber := line - 1",
  "                                i := util.lines.at(line).size",
  "                            }",
  "                        }",
  "                        def suggestions = []",
  "                        var suggestion := errormessages.suggestion.new",
  "                        suggestion.insert(\"\\\\\")atPosition(i)onLine(line)",
  "                        suggestions.push(suggestion)",
  "                        if((line == lineNumber) && (i == (linePosition - 2))) then {",
  "                            errormessages.syntaxError(\"for a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                line, i)withSuggestions(suggestions)",
  "                        } else {",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.insert(\"}\")atPosition(linePosition - accum.size - 1)onLine(lineNumber)",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"a string interpolation must end with a '}'. For a '\\{' character in a string use '\\\\\\{'.\")atPosition(",
  "                                lineNumber, linePosition - accum.size - 1)withSuggestions(suggestions)",
  "                        }",
  "                    } else {",
  "                        def errorLine = util.lines.at(lineNumber)",
  "                        def nextLine = if(util.lines.size >= (lineNumber + 1)) then {",
  "                            util.lines.at(lineNumber + 1)",
  "                        } else {",
  "                            \"\"",
  "                        }",
  "                        // Count the number of literal quotes in the next line.",
  "                        var i := 1",
  "                        var count := 0",
  "                        while { i <= nextLine.size } do {",
  "                            if(nextLine.at(i) == \"\\\"\") then { count := count + 1 }",
  "                            elseif { nextLine.at(i) == \"\\\\\" } then { i := i + 1 }",
  "                            i := i + 1",
  "                        }",
  "                        if ((count % 2) == 1) then {",
  "                            def suggestions = []",
  "                            var suggestion := errormessages.suggestion.new",
  "                            suggestion.addLine(lineNumber, errorLine ++ nextLine)",
  "                            suggestion.addLine(lineNumber + 1, \"\")",
  "                            suggestions.push(suggestion)",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                            suggestion.addLine(lineNumber + 1, \"    ++ \\\"\" ++ nextLine)",
  "                            suggestions.push(suggestion)",
  "                            suggestion := errormessages.suggestion.new",
  "                            suggestion.addLine(lineNumber, errorLine ++ \"\\\\n\" ++ nextLine)",
  "                            suggestion.addLine(lineNumber + 1, \"\")",
  "                            suggestions.push(suggestion)",
  "                            errormessages.syntaxError(\"a string must be terminated by a \\\" before the end of the line. To insert a newline in a string, use '\\\\n'. To split a string over multiple lines, use '++' to join strings together.\")",
  "                                atRange(lineNumber, linePosition, linePosition)",
  "                                withSuggestions(suggestions)",
  "                        } else {",
  "                            def suggestion = errormessages.suggestion.new",
  "                            suggestion.addLine(lineNumber, errorLine ++ \"\\\"\")",
  "                            errormessages.syntaxError(\"a string must be terminated \" ++",
  "                                \"by a \\\" before the end of the line.\")",
  "                                atPosition(lineNumber, linePosition)",
  "                                withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                }",
  "                if (escaped) then {",
  "                    if (c == \"n\") then {",
  "                        // Newline escape",
  "                        accum := accum ++ \"\\u000a\"",
  "                    } elseif { c == \"u\" } then {",
  "                        // Beginning of a four-digit Unicode escape",
  "                        // (for a BMP codepoint).",
  "                        unichars := 4",
  "                        codepoint := 0",
  "                    } elseif { c == \"U\" } then {",
  "                        // Beginning of a six-digit Unicode escape",
  "                        // (for a general codepoint).",
  "                        unichars := 6",
  "                        codepoint := 0",
  "                    } elseif { c == \"t\" } then {",
  "                        // Tab escape",
  "                        accum := accum ++ \"\\u0009\"",
  "                    } elseif { c == \"r\" } then {",
  "                        // Carriage return escape",
  "                        accum := accum ++ \"\\u000d\"",
  "                    } elseif { c == \"b\" } then {",
  "                        // Backspace escape",
  "                        accum := accum ++ \"\\u0008\"",
  "                    } elseif { c == \"l\" } then {",
  "                        // LINE SEPARATOR escape",
  "                        accum := accum ++ \"\\u2028\"",
  "                    } elseif { c == \"f\" } then {",
  "                        // Form feed/page down escape",
  "                        accum := accum ++ \"\\u000c\"",
  "                    } elseif { c == \"e\" } then {",
  "                        // Escape escape",
  "                        accum := accum ++ \"\\u001b\"",
  "                    } elseif { c == \"_\" } then {",
  "                        // non-breaking space",
  "                        accum := accum ++ \"\\u00a0\"",
  "                    } else {",
  "                        // For any other character preceded by \\,",
  "                        // insert it literally.",
  "                        accum := accum ++ c",
  "                    }",
  "                    escaped := false",
  "                } elseif { c == \"\\\\\" } then {",
  "                    // Begin an escape sequence",
  "                    escaped := true",
  "                } elseif { unichars > 0 } then {",
  "                    // There are still hex digits to read for a",
  "                    // Unicode escape. Use the current character",
  "                    // as a hex digit and update the codepoint",
  "                    // being calculated with its value.",
  "                    unichars := unichars - 1",
  "                    codepoint := codepoint * 16",
  "                    codepoint := codepoint + hexdecchar(c)",
  "                    if (unichars == 0) then {",
  "                        // At the end of the sequence construct",
  "                        // the character in the unicode library.",
  "                        accum := accum ++ unicode.create(codepoint)",
  "                    }",
  "                } elseif { c == \"\\{\" } then {",
  "                    if (interpString.not) then {",
  "                        modechange(tokens, \"(\", \"(\")",
  "                        interpString := true",
  "                    }",
  "                    modechange(tokens, mode, accum)",
  "                    modechange(tokens, \"o\", \"++\")",
  "                    modechange(tokens, \"(\", \"(\")",
  "                    mode := \"n\"",
  "                    newmode := \"n\"",
  "                    accum := \"\"",
  "                    inStr:= false",
  "                    interpdepth := interpdepth + 1",
  "                } else {",
  "                    accum := accum ++ c",
  "                }",
  "            } elseif { c == \"\\n\" } then {",
  "                newlineFound := true",
  "                if (mode == \"q\") then {",
  "                    accum := accum ++ c",
  "                } else {",
  "                    // Linebreaks terminate any open tokens",
  "                    modechange(tokens, mode, accum)",
  "                    mode := \"d\"",
  "                    newmode := \"d\"",
  "                    accum := \"\"",
  "                }",
  "            } else {",
  "                accum := accum ++ c",
  "            }",
  "            if (accum == \"...\") then {",
  "                if (mode == \"o\") then {",
  "                    modechange(tokens, \"i\", \"...\")",
  "                    newmode := \"n\"",
  "                    mode := newmode",
  "                    accum := \"\"",
  "                }",
  "            }",
  "            if (newlineFound) then {",
  "                // Linebreaks increment the line counter.",
  "                newlineFound := false",
  "                lineNumber := lineNumber + 1",
  "                linePosition := 0",
  "                startPosition := 1",
  "            }",
  "        }",
  "        for (inputLines) do { eachLine ->",
  "            def charS = eachLine.iterator",
  "            while {charS.hasNext} do {",
  "                def ch = charS.next",
  "                linePosition := linePosition + 1",
  "                if (inStr.not && { \"><![]-\".contains(ch) } && charS.hasNext) then {",
  "                    // map to unicode equavalents",
  "                    def nextCh = charS.next",
  "                    linePosition := linePosition + 1",
  "                    def bigraph = ch ++ nextCh",
  "                    if (bigraph == \">=\") then { mainBlock.apply \"≥\"",
  "                    } elseif { bigraph == \"<=\" } then { mainBlock.apply \"≤\"",
  "                    } elseif { bigraph == \"!=\" } then { mainBlock.apply \"≠\"",
  "                    } elseif { bigraph == \"[[\" } then { mainBlock.apply \"⟦\"",
  "                    } elseif { bigraph == \"]]\" } then { mainBlock.apply \"⟧\"",
  "                    } elseif { bigraph == \"->\" } then { mainBlock.apply \"→\"",
  "                    } else {",
  "                        linePosition := linePosition - 1",
  "                        mainBlock.apply(ch)",
  "                        linePosition := linePosition + 1",
  "                        mainBlock.apply(nextCh)",
  "                    }",
  "                } elseif { ((ch == \" \") && {\"dn\".contains(mode)}).not } then {",
  "                    mainBlock.apply(ch)",
  "                }",
  "            }",
  "            mainBlock.apply \"\\n\"",
  "        }",
  "        linePosition := linePosition + 1",
  "        if (inStr) then {",
  "            if (mode == \"\\\"\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.addLine(lineNumber, util.lines.at(lineNumber) ++ \"\\\"\")",
  "                errormessages.syntaxError(\"a string must be terminated with a \\\" before the end of the line.\")atPosition(",
  "                    lineNumber, linePosition)withSuggestion(suggestion)",
  "            } elseif {mode == \"q\"} then {",
  "                errormessages.syntaxError(\"a multi-line string must end with a '›'.\\n\" ++",
  "                    \"String opened on line {startLine} and unclosed at end of input.\")",
  "                    atRange(startLine, stringStart, util.lines.at(startLine).size)",
  "            }",
  "        }",
  "        modechange(tokens, mode, accum)",
  "        tokens.push(eofToken)",
  "        tokens",
  "    }",
  "}",
  "",
  "",
  NULL
};
Object reader_lexer_outer_99(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_lineNumber_100(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_lineNumber_100(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_linePosition_101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_linePosition_101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_startPosition_102(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_startPosition_102(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_indentLevel_103(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_indentLevel_103(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_startLine_104(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_startLine_104(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_stringStart_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
Object writer_lexer_stringStart_105(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[6] = args[0];
  return done;
}
Object reader_lexer_outer_108(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_line_109(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_indent_110(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_linePos_111(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_next_112(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object writer_lexer_next_112(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[4] = args[0];
  return done;
}
Object reader_lexer_prev_113(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object writer_lexer_prev_113(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[5] = args[0];
  return done;
}
Object reader_lexer_outer_193(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_194(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_195(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_196(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_207(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_208(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_209(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_210(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_234(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_235(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_236(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_237(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_line_39__238(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_linePos_39__239(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_lexer_outer_268(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_269(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_270(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_271(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_286(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_287(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_288(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_289(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_300(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_301(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_302(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_303(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_314(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_315(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_316(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_317(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_328(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_329(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_330(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_331(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_342(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_343(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_344(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_345(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_356(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_357(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_358(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_359(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_370(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_371(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_372(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_373(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_384(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_385(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_386(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_387(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_398(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_399(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_400(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_401(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_412(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_413(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_414(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_base_415(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_size_416(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_lexer_outer_436(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_437(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_438(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_439(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_450(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_451(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_452(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_453(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_464(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_465(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_466(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_467(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_478(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_479(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_480(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_481(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_492(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_493(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_494(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_495(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_506(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_507(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_508(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_509(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_520(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_521(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_522(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_523(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_534(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_kind_535(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_lexer_value_536(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_lexer_size_537(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_lexer_outer_1909(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_first_1910(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_first_1910(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_lexer_last_1911(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_lexer_last_1911(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_lexer_size_39__1912(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object writer_lexer_size_39__1912(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[3] = args[0];
  return done;
}
Object reader_lexer_outer_2020(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_lexer_n_2021(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_lexer_n_2021(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
static Object strlit12;
static Object strlit27;
static Object strlit35;
static Object strlit50;
static Object strlit55;
static Object strlit69;
static ClassData objclass98;
static ClassData objclass107;
static Object strlit140;
static Object strlit147;
static Object strlit154;
static Object strlit161;
static Object strlit167;
static ClassData objclass192;
static Object strlit201;
static ClassData objclass206;
static Object strlit215;
static ClassData objclass233;
static Object strlit250;
static ClassData objclass267;
static Object strlit276;
static ClassData objclass285;
static Object strlit294;
static Object strlit295;
static ClassData objclass299;
static Object strlit308;
static Object strlit309;
static ClassData objclass313;
static Object strlit322;
static Object strlit323;
static ClassData objclass327;
static Object strlit336;
static Object strlit337;
static ClassData objclass341;
static Object strlit350;
static Object strlit351;
static ClassData objclass355;
static Object strlit364;
static Object strlit365;
static ClassData objclass369;
static Object strlit378;
static Object strlit379;
static ClassData objclass383;
static Object strlit392;
static Object strlit393;
static ClassData objclass397;
static Object strlit406;
static Object strlit407;
static ClassData objclass411;
static Object strlit421;
static ClassData objclass435;
static Object strlit444;
static ClassData objclass449;
static Object strlit458;
static ClassData objclass463;
static Object strlit472;
static Object strlit473;
static ClassData objclass477;
static Object strlit486;
static Object strlit487;
static ClassData objclass491;
static Object strlit500;
static Object strlit501;
static ClassData objclass505;
static Object strlit514;
static Object strlit515;
static ClassData objclass519;
static Object strlit528;
static Object strlit529;
static ClassData objclass533;
static Object strlit542;
static Object strlit543;
static Object strlit558;
static Object strlit564;
static Object strlit579;
static Object strlit589;
static Object strlit599;
static Object strlit609;
static Object strlit619;
static Object strlit629;
static Object strlit639;
static Object strlit649;
static Object strlit657;
static Object strlit666;
static Object strlit668;
static Object strlit683;
static Object strlit693;
static Object strlit703;
static Object strlit713;
static Object strlit723;
static Object strlit733;
static Object strlit741;
static Object strlit761;
static Object strlit793;
static Object strlit847;
static Object strlit903;
static Object strlit911;
static Object strlit927;
static Object strlit941;
static Object strlit947;
static Object strlit949;
static Object strlit961;
static Object strlit970;
static Object strlit983;
static Object strlit990;
static Object strlit998;
static Object strlit1008;
static Object strlit1024;
static Object strlit1046;
static Object strlit1050;
static Object strlit1061;
static Object strlit1070;
static Object strlit1085;
static Object strlit1093;
static Object strlit1101;
static Object strlit1109;
static Object strlit1119;
static Object strlit1132;
static Object strlit1137;
static Object strlit1142;
static Object strlit1155;
static Object strlit1188;
static Object strlit1193;
static Object strlit1210;
static Object strlit1217;
static Object strlit1223;
static Object strlit1231;
static Object strlit1236;
static Object strlit1240;
static Object strlit1246;
static Object strlit1320;
static Object strlit1331;
static Object strlit1347;
static Object strlit1414;
static Object strlit1422;
static Object strlit1426;
static Object strlit1436;
static Object strlit1441;
static Object strlit1446;
static Object strlit1451;
static Object strlit1455;
static Object strlit1498;
static Object strlit1501;
static Object strlit1504;
static Object strlit1512;
static Object strlit1532;
static Object strlit1552;
static Object strlit1566;
static Object strlit1570;
static Object strlit1583;
static Object strlit1594;
static Object strlit1638;
static Object strlit1674;
static Object strlit1678;
static Object strlit1705;
static Object strlit1720;
static Object strlit1760;
static Object strlit1769;
static Object strlit1798;
static Object strlit1799;
static Object strlit1808;
static Object strlit1815;
static Object strlit1817;
static Object strlit1823;
static Object strlit1831;
static Object strlit1833;
static Object strlit1839;
static Object strlit1846;
static Object strlit1848;
static Object strlit1854;
static Object strlit1862;
static Object strlit1870;
static Object strlit1878;
static Object strlit1898;
static ClassData objclass1908;
static ClassData objclass2019;
static Object strlit2076;
static Object strlit2080;
static Object strlit2092;
static Object strlit2096;
static Object strlit2104;
static Object strlit2121;
static Object strlit2136;
static Object strlit2142;
static Object strlit2145;
static Object strlit2147;
static Object strlit2158;
static Object strlit2168;
static Object strlit2177;
static Object strlit2185;
static Object strlit2190;
static Object strlit2198;
static Object strlit2206;
static Object strlit2212;
static Object strlit2215;
static Object strlit2218;
static Object strlit2221;
static Object strlit2224;
static Object strlit2232;
static Object strlit2238;
static Object strlit2244;
static Object strlit2264;
static Object strlit2267;
static Object strlit2275;
static Object strlit2281;
static Object strlit2287;
static Object strlit2305;
static Object strlit2326;
static Object strlit2334;
static Object strlit2339;
static Object strlit2347;
static Object strlit2355;
static Object strlit2361;
static Object strlit2364;
static Object strlit2367;
static Object strlit2370;
static Object strlit2378;
static Object strlit2384;
static Object strlit2390;
static Object strlit2415;
static Object strlit2418;
static Object strlit2426;
static Object strlit2432;
static Object strlit2438;
static Object strlit2461;
static Object strlit2464;
static Object strlit2473;
static Object strlit2478;
static Object strlit2485;
static Object strlit2492;
static Object strlit2496;
static Object strlit2499;
static Object strlit2509;
static Object strlit2512;
static Object strlit2529;
static Object strlit2538;
static Object strlit2541;
static Object strlit2545;
static Object strlit2553;
static Object strlit2557;
static Object strlit2562;
static Object strlit2565;
static Object strlit2570;
static Object strlit2579;
static Object strlit2583;
static Object strlit2585;
static Object strlit2593;
static Object strlit2598;
static Object strlit2605;
static Object strlit2611;
static Object strlit2616;
static Object strlit2623;
static Object strlit2633;
static Object strlit2638;
static Object strlit2652;
static Object strlit2654;
static Object strlit2657;
static Object strlit2663;
static Object strlit2668;
static Object strlit2671;
static Object strlit2676;
static Object strlit2679;
static Object strlit2683;
static Object strlit2684;
static Object strlit2686;
static Object strlit2688;
static Object strlit2692;
static Object strlit2697;
static Object strlit2700;
static Object strlit2705;
static Object strlit2739;
static Object strlit2744;
static Object strlit2747;
static Object strlit2755;
static Object strlit2761;
static Object strlit2767;
static Object strlit2782;
static Object strlit2787;
static Object strlit2793;
static Object strlit2801;
static Object strlit2802;
static Object strlit2809;
static Object strlit2814;
static Object strlit2817;
static Object strlit2834;
static Object strlit2839;
static Object strlit2863;
static Object strlit2874;
static Object strlit2875;
static Object strlit2878;
static Object strlit2879;
static Object strlit2881;
static Object strlit2892;
static Object strlit2902;
static Object strlit2905;
static Object strlit2909;
static Object strlit2914;
static Object strlit2934;
static Object strlit2977;
static Object strlit3000;
static Object strlit3008;
static Object strlit3026;
static Object strlit3071;
static Object strlit3087;
static Object strlit3099;
static Object strlit3144;
static Object strlit3157;
static Object strlit3170;
static Object strlit3186;
static Object strlit3198;
static Object strlit3203;
static Object strlit3219;
static Object strlit3225;
static Object strlit3227;
static Object strlit3237;
static Object strlit3241;
static Object strlit3247;
static Object strlit3256;
static Object strlit3265;
static Object strlit3269;
static Object strlit3275;
static Object strlit3279;
static Object strlit3285;
static Object strlit3289;
static Object strlit3295;
static Object strlit3299;
static Object strlit3305;
static Object strlit3309;
static Object strlit3315;
static Object strlit3319;
static Object strlit3325;
static Object strlit3329;
static Object strlit3341;
static Object strlit3380;
static Object strlit3387;
static Object strlit3388;
static Object strlit3395;
static Object strlit3396;
static Object strlit3399;
static Object strlit3400;
static Object strlit3402;
static Object strlit3404;
static Object strlit3406;
static Object strlit3421;
static Object strlit3428;
static Object strlit3437;
static Object strlit3439;
static Object strlit3441;
static Object strlit3449;
static Object strlit3454;
static Object strlit3458;
static Object strlit3459;
static Object strlit3461;
static Object strlit3464;
static Object strlit3516;
static Object strlit3539;
static Object strlit3543;
static Object strlit3547;
static Object strlit3551;
static Object strlit3555;
static Object strlit3559;
static Object strlit3563;
static Object strlit3567;
static Object strlit3571;
static Object strlit3575;
static Object strlit3579;
static Object strlit3583;
static Object strlit3611;
static Object strlit3616;
static Object strlit3626;
static Object strlit3641;
static Object strlit3652;
static Object strlit3663;
static Object strlit3671;
static Object strlit3677;
static Object strlit3683;
static Object strlit3687;
Object module_util;
Object module_util_init();
Object module_unicode;
Object module_unicode_init();
Object module_errormessages;
Object module_errormessages_init();
Object module_stringMap;
Object module_stringMap_init();
static Object strlit3718;
static Object strlit3722;
static Object strlit3726;
static Object strlit3730;
static Object strlit3734;
static Object strlit3738;
static Object strlit3742;
static Object strlit3746;
static Object strlit3750;
static Object strlit3754;
static Object strlit3758;
static Object strlit3762;
static Object strlit3766;
static Object strlit3770;
static Object strlit3774;
static Object strlit3778;
static Object strlit3782;
static Object strlit3785;
static Object strlit3787;
static Object strlit3789;
static Object strlit3791;
static Object strlit3793;
static Object strlit3795;
static Object strlit3797;
static Object strlit3799;
static Object strlit3801;
Object meth_lexer_isOperatorChar_40_2_41_1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isOperatorChar(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method isOperatorChar(_,_)");
  Object params[2];
  int partcv[1];
  Object *var_operatorChars = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isOperatorChar(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *var_ordval = &(stackframe->slots[1]);
  *var_ordval = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part isOperatorChar(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_operatorChars (depth = 4)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call4 = callmethodflags(*var_operatorChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3);
// compiled call node returning call4 (depth = 3)
  Object if2 = done;
  if (istrue(call4)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool5 = alloc_Boolean(1);
// compiled identifier node returning bool5 (depth = 4)
  return bool5;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if2 = undefined;
  } else {
  }
// compiled if node returning if2 (depth = 2)
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ordval (depth = 4)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call8 = callmethodflags(*var_unicode, "isSymbolMathematical(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7);
// compiled call node returning call8 (depth = 3)
  Object if6 = done;
  if (istrue(call8)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool9 = alloc_Boolean(1);
// compiled identifier node returning bool9 (depth = 4)
  return bool9;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if6 = undefined;
  } else {
  }
// compiled if node returning if6 (depth = 2)
// Begin line 30
  setline(30);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe11 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  gc_frame_newslot(*var_c);
// starting to compile string node (depth = 4)
  if (strlit12 == NULL) {
    strlit12 = alloc_String("So");
    gc_root(strlit12);
  }
// compiled string node returning strlit12 (depth = 4)
  gc_frame_newslot(strlit12);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_c;
  params[1] = strlit12;
  partcv[0] = 2;
  Object call13 = callmethodflags(*var_unicode, "iscategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe11);
// compiled call node returning call13 (depth = 3)
  Object if10 = done;
  if (istrue(call13)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool14 = alloc_Boolean(1);
// compiled identifier node returning bool14 (depth = 4)
  return bool14;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if10 = undefined;
  } else {
  }
// compiled if node returning if10 (depth = 2)
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool15 = alloc_Boolean(0);
// compiled identifier node returning bool15 (depth = 3)
  return bool15;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_isBadSeparator_40_1_41_16(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBadSeparator(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBadSeparator(_)");
  Object params[2];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  Object *var_tab = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBadSeparator(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBadSeparator(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe18 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_spaceChars (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call19 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe18);
// compiled call node returning call19 (depth = 3)
  Object if17 = done;
  if (istrue(call19)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool20 = alloc_Boolean(0);
// compiled identifier node returning bool20 (depth = 4)
  return bool20;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if17 = undefined;
  } else {
  }
// compiled if node returning if17 (depth = 2)
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  int op_slot_right_22 = gc_frame_newslot(*var_ch);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tab (depth = 4)
  int op_slot_left_22 = gc_frame_newslot(*var_tab);
  params[0] = *var_ch;
  partcv[0] = 1;
  Object opresult24 = callmethod(*var_tab, "==(1)", 1, partcv, params);
// compiled op node returning opresult24 (depth = 3)
  Object if21 = done;
  if (istrue(opresult24)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool25 = alloc_Boolean(1);
// compiled identifier node returning bool25 (depth = 4)
  return bool25;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if21 = undefined;
  } else {
  }
// compiled if node returning if21 (depth = 2)
// Begin line 39
  setline(39);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe26 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit27 == NULL) {
    strlit27 = alloc_String("Z");
    gc_root(strlit27);
  }
// compiled string node returning strlit27 (depth = 4)
  gc_frame_newslot(strlit27);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit27;
  partcv[0] = 2;
  Object call28 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe26);
// compiled call node returning call28 (depth = 3)
  return call28;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_isBadControl_40_1_41_29(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBadControl(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBadControl(_)");
  Object params[2];
  int partcv[1];
  Object *var_nl_cr = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBadControl(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBadControl(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 44
  setline(44);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe31 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nl_cr (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call32 = callmethodflags(*var_nl_cr, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe31);
// compiled call node returning call32 (depth = 3)
  Object if30 = done;
  if (istrue(call32)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool33 = alloc_Boolean(0);
// compiled identifier node returning bool33 (depth = 4)
  return bool33;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if30 = undefined;
  } else {
  }
// compiled if node returning if30 (depth = 2)
// Begin line 45
  setline(45);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe34 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit35 == NULL) {
    strlit35 = alloc_String("C");
    gc_root(strlit35);
  }
// compiled string node returning strlit35 (depth = 4)
  gc_frame_newslot(strlit35);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit35;
  partcv[0] = 2;
  Object call36 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe34);
// compiled call node returning call36 (depth = 3)
  return call36;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_isSelfMode_40_1_41_37(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isSelfMode(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isSelfMode(_)");
  Object params[1];
  int partcv[1];
  Object *var_selfModes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isSelfMode(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isSelfMode(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 2)
  int callframe38 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_selfModes (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call39 = callmethodflags(*var_selfModes, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe38);
// compiled call node returning call39 (depth = 2)
  gc_frame_end(frame);
  return call39;
}
Object meth_lexer_isBracket_40_1_41_40(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isBracket(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isBracket(_)");
  Object params[1];
  int partcv[1];
  Object *var_brackets = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isBracket(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isBracket(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 2)
  int callframe41 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_brackets (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call42 = callmethodflags(*var_brackets, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe41);
// compiled call node returning call42 (depth = 2)
  gc_frame_end(frame);
  return call42;
}
Object meth_lexer_isIdentifierChar_40_1_41_43(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isIdentifierChar(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isIdentifierChar(_)");
  Object params[2];
  int partcv[1];
  Object *var_alphaNums = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isIdentifierChar(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isIdentifierChar(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe45 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_alphaNums (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call46 = callmethodflags(*var_alphaNums, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe45);
// compiled call node returning call46 (depth = 3)
  Object if44 = done;
  if (istrue(call46)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool47 = alloc_Boolean(1);
// compiled identifier node returning bool47 (depth = 4)
  return bool47;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if44 = undefined;
  } else {
  }
// compiled if node returning if44 (depth = 2)
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe49 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit50 == NULL) {
    strlit50 = alloc_String("L");
    gc_root(strlit50);
  }
// compiled string node returning strlit50 (depth = 4)
  gc_frame_newslot(strlit50);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit50;
  partcv[0] = 2;
  Object call51 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe49);
// compiled call node returning call51 (depth = 3)
  Object if48 = done;
  if (istrue(call51)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool52 = alloc_Boolean(1);
// compiled identifier node returning bool52 (depth = 4)
  return bool52;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if48 = undefined;
  } else {
  }
// compiled if node returning if48 (depth = 2)
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe54 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit55 == NULL) {
    strlit55 = alloc_String("N");
    gc_root(strlit55);
  }
// compiled string node returning strlit55 (depth = 4)
  gc_frame_newslot(strlit55);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit55;
  partcv[0] = 2;
  Object call56 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe54);
// compiled call node returning call56 (depth = 3)
  Object if53 = done;
  if (istrue(call56)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool57 = alloc_Boolean(1);
// compiled identifier node returning bool57 (depth = 4)
  return bool57;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if53 = undefined;
  } else {
  }
// compiled if node returning if53 (depth = 2)
// Begin line 59
  setline(59);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool58 = alloc_Boolean(0);
// compiled identifier node returning bool58 (depth = 3)
  return bool58;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer_isDigit_40_1_41_59(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isDigit(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isDigit(_)");
  Object params[1];
  int partcv[1];
  Object *var_digits = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isDigit(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isDigit(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 2)
  int callframe60 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ch (depth = 3)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_digits (depth = 3)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call61 = callmethodflags(*var_digits, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe60);
// compiled call node returning call61 (depth = 2)
  gc_frame_end(frame);
  return call61;
}
Object meth_lexer_isLetter_40_1_41_62(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "isLetter(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method isLetter(_)");
  Object params[2];
  int partcv[1];
  Object *var_asciiLetters = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for isLetter(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ch = &(stackframe->slots[0]);
  *var_ch = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part isLetter(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 66
  setline(66);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe64 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_asciiLetters (depth = 4)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call65 = callmethodflags(*var_asciiLetters, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe64);
// compiled call node returning call65 (depth = 3)
  Object if63 = done;
  if (istrue(call65)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool66 = alloc_Boolean(1);
// compiled identifier node returning bool66 (depth = 4)
  return bool66;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if63 = undefined;
  } else {
  }
// compiled if node returning if63 (depth = 2)
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe68 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ch (depth = 4)
  gc_frame_newslot(*var_ch);
// starting to compile string node (depth = 4)
  if (strlit69 == NULL) {
    strlit69 = alloc_String("L");
    gc_root(strlit69);
  }
// compiled string node returning strlit69 (depth = 4)
  gc_frame_newslot(strlit69);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_unicode (depth = 4)
  params[0] = *var_ch;
  params[1] = strlit69;
  partcv[0] = 2;
  Object call70 = callmethodflags(*var_unicode, "inCategory(2)", 1, partcv, params, 0);
  gc_frame_end(callframe68);
// compiled call node returning call70 (depth = 3)
  Object if67 = done;
  if (istrue(call70)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool71 = alloc_Boolean(1);
// compiled identifier node returning bool71 (depth = 4)
  return bool71;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if67 = undefined;
  } else {
  }
// compiled if node returning if67 (depth = 2)
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool72 = alloc_Boolean(0);
// compiled identifier node returning bool72 (depth = 3)
  return bool72;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__apply82(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_l = getfromclosure(closure, 0);
  Object *var_s_39_ = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_l (depth = 5)
  int op_slot_right_83 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 5)
  int callframe85 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s_39_ (depth = 6)
  Object call86 = callmethodflags(*var_s_39_, "size", 0, partcv, params, 0);
  gc_frame_end(callframe85);
// compiled member node returning call86 (depth = 5)
  int op_slot_left_83 = gc_frame_newslot(call86);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult87 = callmethod(call86, "<(1)", 1, partcv, params);
// compiled op node returning opresult87 (depth = 4)
  gc_frame_end(frame);
  return opresult87;
}
Object meth_lexer__apply90(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s_39_ = getfromclosure(closure, 0);
  Object *var_w = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 77
  setline(77);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_s_39_ (depth = 6)
  int op_slot_right_91 = gc_frame_newslot(*var_s_39_);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_w (depth = 6)
  int op_slot_left_91 = gc_frame_newslot(*var_w);
  params[0] = *var_s_39_;
  partcv[0] = 1;
  Object opresult93 = callmethod(*var_w, "++(1)", 1, partcv, params);
// compiled op node returning opresult93 (depth = 5)
  *var_s_39_ = opresult93;
  if (opresult93 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_padl_40_3_41_73(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(5, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "padl(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method padl(_,_,_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for padl(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  Object *var_l = &(stackframe->slots[1]);
  *var_l = args[curarg];
  curarg++;
  Object *var_w = &(stackframe->slots[2]);
  *var_w = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part padl(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_s_39_ = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "s'");
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_l (depth = 4)
  int op_slot_right_75 = gc_frame_newslot(*var_l);
// starting to compile member node (depth = 4)
  int callframe77 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_s (depth = 5)
  Object call78 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe77);
// compiled member node returning call78 (depth = 4)
  int op_slot_left_75 = gc_frame_newslot(call78);
  params[0] = *var_l;
  partcv[0] = 1;
  Object opresult79 = callmethod(call78, "≥(1)", 1, partcv, params);
// compiled op node returning opresult79 (depth = 3)
  Object if74 = done;
  if (istrue(opresult79)) {
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  return *var_s;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if74 = undefined;
  } else {
  }
// compiled if node returning if74 (depth = 2)
// Begin line 75
  setline(75);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  *var_s_39_ = *var_s;
  if (*var_s == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe80 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block81 = alloc_Block(NULL, NULL, "lexer", 76);
  gc_frame_newslot(block81);
// method "_apply"
  block_savedest(block81);
  Object closure82 = createclosure(3, "_apply");
  setclosureframe(closure82, stackframe);
  addtoclosure(closure82, var_l);
  addtoclosure(closure82, var_s_39_);
  addtoclosure(closure82, selfslot);
  struct UserObject *uo82 = (struct UserObject*)block81;
  uo82->data[0] = (Object)closure82;
  Method *meth_meth_lexer__apply82 = addmethod2pos(block81, "_apply", &meth_lexer__apply82, 0);
  int argcv_meth_lexer__apply82[] = {0};
  meth_meth_lexer__apply82->type = alloc_MethodType(1, argcv_meth_lexer__apply82);
  meth_meth_lexer__apply82->definitionModule = modulename;
  meth_meth_lexer__apply82->definitionLine = 1119;
// compiled block node returning block81 (depth = 3)
  gc_frame_newslot(block81);
// starting to compile block node (depth = 3)
  Object block89 = alloc_Block(NULL, NULL, "lexer", 76);
  gc_frame_newslot(block89);
// method "_apply"
  block_savedest(block89);
  Object closure90 = createclosure(3, "_apply");
  setclosureframe(closure90, stackframe);
  addtoclosure(closure90, var_s_39_);
  addtoclosure(closure90, var_w);
  addtoclosure(closure90, selfslot);
  struct UserObject *uo90 = (struct UserObject*)block89;
  uo90->data[0] = (Object)closure90;
  Method *meth_meth_lexer__apply90 = addmethod2pos(block89, "_apply", &meth_lexer__apply90, 0);
  int argcv_meth_lexer__apply90[] = {0};
  meth_meth_lexer__apply90->type = alloc_MethodType(1, argcv_meth_lexer__apply90);
  meth_meth_lexer__apply90->definitionModule = modulename;
  meth_meth_lexer__apply90->definitionLine = 1119;
// compiled block node returning block89 (depth = 3)
  gc_frame_newslot(block89);
// call case 5: prelude request
  params[0] = block81;
  params[1] = block89;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call96 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe80);
// compiled call node returning call96 (depth = 2)
// Begin line 79
  setline(79);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s_39_ (depth = 3)
  return *var_s_39_;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_lexer__61__61__40_1_41_114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "==(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ==(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for ==(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_other = &(stackframe->slots[0]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ==(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool117 = alloc_Boolean(0);
// compiled identifier node returning bool117 (depth = 4)
  int op_slot_right_116 = gc_frame_newslot(bool117);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_other (depth = 4)
  int op_slot_left_116 = gc_frame_newslot(*var_other);
  params[0] = bool117;
  partcv[0] = 1;
  Object opresult119 = callmethod(*var_other, "==(1)", 1, partcv, params);
// compiled op node returning opresult119 (depth = 3)
  Object if115 = done;
  if (istrue(opresult119)) {
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool120 = alloc_Boolean(0);
// compiled identifier node returning bool120 (depth = 3)
    gc_frame_newslot(bool120);
    if115 = bool120;
  } else {
// Begin line 102
  setline(102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe123 = gc_frame_new();
// call case 4: self request
  Object call124 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe123);
// compiled member node returning call124 (depth = 5)
  int op_slot_right_122 = gc_frame_newslot(call124);
// starting to compile member node (depth = 5)
  int callframe126 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call127 = callmethodflags(*var_other, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe126);
// compiled member node returning call127 (depth = 5)
  int op_slot_left_122 = gc_frame_newslot(call127);
  params[0] = call124;
  partcv[0] = 1;
  Object opresult128 = callmethod(call127, "==(1)", 1, partcv, params);
// compiled op node returning opresult128 (depth = 4)
  int op_slot_right_121 = gc_frame_newslot(opresult128);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe131 = gc_frame_new();
// call case 4: self request
  Object call132 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe131);
// compiled member node returning call132 (depth = 5)
  int op_slot_right_130 = gc_frame_newslot(call132);
// starting to compile member node (depth = 5)
  int callframe134 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call135 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe134);
// compiled member node returning call135 (depth = 5)
  int op_slot_left_130 = gc_frame_newslot(call135);
  params[0] = call132;
  partcv[0] = 1;
  Object opresult136 = callmethod(call135, "==(1)", 1, partcv, params);
// compiled op node returning opresult136 (depth = 4)
  int op_slot_left_121 = gc_frame_newslot(opresult136);
  params[0] = opresult128;
  partcv[0] = 1;
  Object opresult137 = callmethod(opresult136, "&&(1)", 1, partcv, params);
// compiled op node returning opresult137 (depth = 3)
    gc_frame_newslot(opresult137);
    if115 = opresult137;
  }
// compiled if node returning if115 (depth = 2)
  gc_frame_end(frame);
  return if115;
}
Object meth_lexer_asString138(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "asString");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 105
  setline(105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit140 == NULL) {
    strlit140 = alloc_String("");
    gc_root(strlit140);
  }
// compiled string node returning strlit140 (depth = 3)
  int op_slot_right_139 = gc_frame_newslot(strlit140);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe143 = gc_frame_new();
// call case 4: self request
  Object call144 = callmethodflags(self, "value", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe143);
// compiled member node returning call144 (depth = 4)
  int op_slot_right_142 = gc_frame_newslot(call144);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit147 == NULL) {
    strlit147 = alloc_String(" ");
    gc_root(strlit147);
  }
// compiled string node returning strlit147 (depth = 5)
  int op_slot_right_146 = gc_frame_newslot(strlit147);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe150 = gc_frame_new();
// call case 4: self request
  Object call151 = callmethodflags(self, "kind", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe150);
// compiled member node returning call151 (depth = 6)
  int op_slot_right_149 = gc_frame_newslot(call151);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit154 == NULL) {
    strlit154 = alloc_String(")");
    gc_root(strlit154);
  }
// compiled string node returning strlit154 (depth = 7)
  int op_slot_right_153 = gc_frame_newslot(strlit154);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe157 = gc_frame_new();
// call case 4: self request
  Object call158 = callmethodflags(self, "linePos", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe157);
// compiled member node returning call158 (depth = 8)
  int op_slot_right_156 = gc_frame_newslot(call158);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit161 == NULL) {
    strlit161 = alloc_String(":");
    gc_root(strlit161);
  }
// compiled string node returning strlit161 (depth = 9)
  int op_slot_right_160 = gc_frame_newslot(strlit161);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe164 = gc_frame_new();
// call case 4: self request
  Object call165 = callmethodflags(self, "line", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe164);
// compiled member node returning call165 (depth = 10)
  int op_slot_right_163 = gc_frame_newslot(call165);
// starting to compile string node (depth = 10)
  if (strlit167 == NULL) {
    strlit167 = alloc_String("(");
    gc_root(strlit167);
  }
// compiled string node returning strlit167 (depth = 10)
  int op_slot_left_163 = gc_frame_newslot(strlit167);
  params[0] = call165;
  partcv[0] = 1;
  Object opresult168 = callmethod(strlit167, "++(1)", 1, partcv, params);
// compiled op node returning opresult168 (depth = 9)
  int op_slot_left_160 = gc_frame_newslot(opresult168);
  params[0] = strlit161;
  partcv[0] = 1;
  Object opresult169 = callmethod(opresult168, "++(1)", 1, partcv, params);
// compiled op node returning opresult169 (depth = 8)
  int op_slot_left_156 = gc_frame_newslot(opresult169);
  params[0] = call158;
  partcv[0] = 1;
  Object opresult170 = callmethod(opresult169, "++(1)", 1, partcv, params);
// compiled op node returning opresult170 (depth = 7)
  int op_slot_left_153 = gc_frame_newslot(opresult170);
  params[0] = strlit154;
  partcv[0] = 1;
  Object opresult171 = callmethod(opresult170, "++(1)", 1, partcv, params);
// compiled op node returning opresult171 (depth = 6)
  int op_slot_left_149 = gc_frame_newslot(opresult171);
  params[0] = call151;
  partcv[0] = 1;
  Object opresult172 = callmethod(opresult171, "++(1)", 1, partcv, params);
// compiled op node returning opresult172 (depth = 5)
  int op_slot_left_146 = gc_frame_newslot(opresult172);
  params[0] = strlit147;
  partcv[0] = 1;
  Object opresult173 = callmethod(opresult172, "++(1)", 1, partcv, params);
// compiled op node returning opresult173 (depth = 4)
  int op_slot_left_142 = gc_frame_newslot(opresult173);
  params[0] = call144;
  partcv[0] = 1;
  Object opresult174 = callmethod(opresult173, "++(1)", 1, partcv, params);
// compiled op node returning opresult174 (depth = 3)
  int op_slot_left_139 = gc_frame_newslot(opresult174);
  params[0] = strlit140;
  partcv[0] = 1;
  Object opresult175 = callmethod(opresult174, "++(1)", 1, partcv, params);
// compiled op node returning opresult175 (depth = 2)
  gc_frame_end(frame);
  return opresult175;
}
Object meth_lexer_token106(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "token");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject107 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj107 = alloc_userobj2(9,8, objclass107);
  gc_frame_newslot(obj107);
if (objclass107 == NULL) {
  glfree(obj107->class->name);
  obj107->class->name = "token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj107, self, 0);
  addmethodreal(obj107,"outer", &reader_lexer_outer_108);
  Object oldself107 = self;
  struct StackFrameObject *oldstackframe107 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe107);
  gc_frame_newslot((Object)stackframe);
  self = obj107;
  Object *oldselfslot107 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter107 = (*(struct UserObject *)self).data[0], lowerouter107 = thisouter107;
  if (inheritingObject107) {
    struct UserObject *inho107 = (struct UserObject *)inheritingObject107;
    while (inho107->super != GraceDefaultObject) inho107 = (struct UserObject *)inho107->super;
    inho107->super = obj107;
    self = inheritingObject107;
    *selfslot = self;
    lowerouter107 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter107;
  }
if (objclass107 == NULL) {
  Method *reader109 = addmethodrealflags(obj107, "line",&reader_lexer_line_109, MFLAG_DEF);
  reader109->definitionModule = modulename;
  reader109->definitionLine = 91;
}
adddatum2(obj107, alloc_Undefined(), 1);
if (objclass107 == NULL) {
  Method *reader110 = addmethodrealflags(obj107, "indent",&reader_lexer_indent_110, MFLAG_DEF);
  reader110->definitionModule = modulename;
  reader110->definitionLine = 92;
}
adddatum2(obj107, alloc_Undefined(), 2);
if (objclass107 == NULL) {
  Method *reader111 = addmethodrealflags(obj107, "linePos",&reader_lexer_linePos_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 93;
}
adddatum2(obj107, alloc_Undefined(), 3);
if (objclass107 == NULL) {
  Method *reader112 = addmethodrealflags(obj107, "next", &reader_lexer_next_112, 0);
  Method *writer112 = addmethodrealflags(obj107, "next:=(1)", &writer_lexer_next_112, 0);
  reader112->definitionModule = modulename;
  writer112->definitionModule = modulename;
  reader112->definitionLine = 95;
  writer112->definitionLine = 95;
}
obj107->flags |= OFLAG_MUTABLE;
adddatum2(obj107, alloc_Undefined(), 4);
if (objclass107 == NULL) {
  Method *reader113 = addmethodrealflags(obj107, "prev", &reader_lexer_prev_113, 0);
  Method *writer113 = addmethodrealflags(obj107, "prev:=(1)", &writer_lexer_prev_113, 0);
  reader113->definitionModule = modulename;
  writer113->definitionModule = modulename;
  reader113->definitionLine = 96;
  writer113->definitionLine = 96;
}
obj107->flags |= OFLAG_MUTABLE;
adddatum2(obj107, alloc_Undefined(), 5);
// method "==(_)"
  struct UserObject *uo114 = (struct UserObject*)obj107;
  uo114->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61__40_1_41_114 = addmethod2pos(obj107, "==(1)", &meth_lexer__61__61__40_1_41_114, 6);
  int argcv_meth_lexer__61__61__40_1_41_114[] = {1};
  meth_meth_lexer__61__61__40_1_41_114->type = alloc_MethodType(1, argcv_meth_lexer__61__61__40_1_41_114);
  meth_meth_lexer__61__61__40_1_41_114->definitionModule = modulename;
  meth_meth_lexer__61__61__40_1_41_114->definitionLine = 98;
// method "asString"
  struct UserObject *uo138 = (struct UserObject*)obj107;
  uo138->data[7] = emptyclosure;
  Method *meth_meth_lexer_asString138 = addmethod2pos(obj107, "asString", &meth_lexer_asString138, 7);
  int argcv_meth_lexer_asString138[] = {0};
  meth_meth_lexer_asString138->type = alloc_MethodType(1, argcv_meth_lexer_asString138);
  meth_meth_lexer_asString138->definitionModule = modulename;
  meth_meth_lexer_asString138->definitionLine = 105;
  sourceObject = obj107;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe176 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe177 = gc_frame_new();
// call case 3: self.outer request
  Object call178 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe177);
// compiled member node returning call178 (depth = 3)
  Object call179 = callmethodflags(call178, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe176);
// compiled member node returning call179 (depth = 2)
  adddatum2(obj107, call179, 1);
  sourceObject = obj107;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe180 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe181 = gc_frame_new();
// call case 3: self.outer request
  Object call182 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe181);
// compiled member node returning call182 (depth = 3)
  Object call183 = callmethodflags(call182, "indentLevel", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe180);
// compiled member node returning call183 (depth = 2)
  adddatum2(obj107, call183, 2);
  sourceObject = obj107;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe184 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe185 = gc_frame_new();
// call case 3: self.outer request
  Object call186 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe185);
// compiled member node returning call186 (depth = 3)
  Object call187 = callmethodflags(call186, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe184);
// compiled member node returning call187 (depth = 2)
  adddatum2(obj107, call187, 3);
  sourceObject = obj107;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool188 = alloc_Boolean(0);
// compiled identifier node returning bool188 (depth = 2)
  adddatum2(obj107, bool188, 4);
  sourceObject = obj107;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool189 = alloc_Boolean(0);
// compiled identifier node returning bool189 (depth = 2)
  adddatum2(obj107, bool189, 5);
  sourceObject = obj107;
  sourceObject = obj107;
  objclass107 = obj107->class;
  objclass107->definitionModule = modulename;
  objclass107->definitionLine = 90;
  (*(struct UserObject *)self).data[0] = lowerouter107;
  self = oldself107;
  selfslot = oldselfslot107;
  stackframe = oldstackframe107;
  gc_frame_end(frame);
  return obj107;
}
Object meth_lexer_token106_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "token$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject107 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj107 = alloc_userobj2(9,8, objclass107);
  gc_frame_newslot(obj107);
if (objclass107 == NULL) {
  glfree(obj107->class->name);
  obj107->class->name = "token";
}
// OBJECT OUTER DEC outer
  adddatum2(obj107, self, 0);
  addmethodreal(obj107,"outer", &reader_lexer_outer_108);
  Object oldself107 = self;
  struct StackFrameObject *oldstackframe107 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe107);
  gc_frame_newslot((Object)stackframe);
  self = obj107;
  Object *oldselfslot107 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter107 = (*(struct UserObject *)self).data[0], lowerouter107 = thisouter107;
  if (inheritingObject107) {
    struct UserObject *inho107 = (struct UserObject *)inheritingObject107;
    while (inho107->super != GraceDefaultObject) inho107 = (struct UserObject *)inho107->super;
    inho107->super = obj107;
    self = inheritingObject107;
    *selfslot = self;
    lowerouter107 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter107;
  }
if (objclass107 == NULL) {
  Method *reader109 = addmethodrealflags(obj107, "line",&reader_lexer_line_109, MFLAG_DEF);
  reader109->definitionModule = modulename;
  reader109->definitionLine = 91;
}
adddatum2(obj107, alloc_Undefined(), 1);
if (objclass107 == NULL) {
  Method *reader110 = addmethodrealflags(obj107, "indent",&reader_lexer_indent_110, MFLAG_DEF);
  reader110->definitionModule = modulename;
  reader110->definitionLine = 92;
}
adddatum2(obj107, alloc_Undefined(), 2);
if (objclass107 == NULL) {
  Method *reader111 = addmethodrealflags(obj107, "linePos",&reader_lexer_linePos_111, MFLAG_DEF);
  reader111->definitionModule = modulename;
  reader111->definitionLine = 93;
}
adddatum2(obj107, alloc_Undefined(), 3);
if (objclass107 == NULL) {
  Method *reader112 = addmethodrealflags(obj107, "next", &reader_lexer_next_112, 0);
  Method *writer112 = addmethodrealflags(obj107, "next:=(1)", &writer_lexer_next_112, 0);
  reader112->definitionModule = modulename;
  writer112->definitionModule = modulename;
  reader112->definitionLine = 95;
  writer112->definitionLine = 95;
}
obj107->flags |= OFLAG_MUTABLE;
adddatum2(obj107, alloc_Undefined(), 4);
if (objclass107 == NULL) {
  Method *reader113 = addmethodrealflags(obj107, "prev", &reader_lexer_prev_113, 0);
  Method *writer113 = addmethodrealflags(obj107, "prev:=(1)", &writer_lexer_prev_113, 0);
  reader113->definitionModule = modulename;
  writer113->definitionModule = modulename;
  reader113->definitionLine = 96;
  writer113->definitionLine = 96;
}
obj107->flags |= OFLAG_MUTABLE;
adddatum2(obj107, alloc_Undefined(), 5);
// method "==(_)"
  struct UserObject *uo114 = (struct UserObject*)obj107;
  uo114->data[6] = emptyclosure;
  Method *meth_meth_lexer__61__61__40_1_41_114 = addmethod2pos(obj107, "==(1)", &meth_lexer__61__61__40_1_41_114, 6);
  int argcv_meth_lexer__61__61__40_1_41_114[] = {1};
  meth_meth_lexer__61__61__40_1_41_114->type = alloc_MethodType(1, argcv_meth_lexer__61__61__40_1_41_114);
  meth_meth_lexer__61__61__40_1_41_114->definitionModule = modulename;
  meth_meth_lexer__61__61__40_1_41_114->definitionLine = 98;
// method "asString"
  struct UserObject *uo138 = (struct UserObject*)obj107;
  uo138->data[7] = emptyclosure;
  Method *meth_meth_lexer_asString138 = addmethod2pos(obj107, "asString", &meth_lexer_asString138, 7);
  int argcv_meth_lexer_asString138[] = {0};
  meth_meth_lexer_asString138->type = alloc_MethodType(1, argcv_meth_lexer_asString138);
  meth_meth_lexer_asString138->definitionModule = modulename;
  meth_meth_lexer_asString138->definitionLine = 105;
  sourceObject = obj107;
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe176 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe177 = gc_frame_new();
// call case 3: self.outer request
  Object call178 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe177);
// compiled member node returning call178 (depth = 3)
  Object call179 = callmethodflags(call178, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe176);
// compiled member node returning call179 (depth = 2)
  adddatum2(obj107, call179, 1);
  sourceObject = obj107;
// Begin line 92
  setline(92);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe180 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe181 = gc_frame_new();
// call case 3: self.outer request
  Object call182 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe181);
// compiled member node returning call182 (depth = 3)
  Object call183 = callmethodflags(call182, "indentLevel", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe180);
// compiled member node returning call183 (depth = 2)
  adddatum2(obj107, call183, 2);
  sourceObject = obj107;
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe184 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe185 = gc_frame_new();
// call case 3: self.outer request
  Object call186 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe185);
// compiled member node returning call186 (depth = 3)
  Object call187 = callmethodflags(call186, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe184);
// compiled member node returning call187 (depth = 2)
  adddatum2(obj107, call187, 3);
  sourceObject = obj107;
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool188 = alloc_Boolean(0);
// compiled identifier node returning bool188 (depth = 2)
  adddatum2(obj107, bool188, 4);
  sourceObject = obj107;
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
  Object bool189 = alloc_Boolean(0);
// compiled identifier node returning bool189 (depth = 2)
  adddatum2(obj107, bool189, 5);
  sourceObject = obj107;
  sourceObject = obj107;
  objclass107 = obj107->class;
  objclass107->definitionModule = modulename;
  objclass107->definitionLine = 90;
  (*(struct UserObject *)self).data[0] = lowerouter107;
  self = oldself107;
  selfslot = oldselfslot107;
  stackframe = oldstackframe107;
  gc_frame_end(frame);
  return obj107;
}
Object meth_lexer_identifierToken_40_1_41_191(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "identifierToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method identifierToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for identifierToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part identifierToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject192 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj192 = alloc_userobj2(3,4, objclass192);
  gc_frame_newslot(obj192);
if (objclass192 == NULL) {
  glfree(obj192->class->name);
  obj192->class->name = "identifierToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj192, self, 0);
  addmethodreal(obj192,"outer", &reader_lexer_outer_193);
  Object oldself192 = self;
  struct StackFrameObject *oldstackframe192 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe192);
  gc_frame_newslot((Object)stackframe);
  self = obj192;
  Object *oldselfslot192 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter192 = (*(struct UserObject *)self).data[0], lowerouter192 = thisouter192;
  if (inheritingObject192) {
    struct UserObject *inho192 = (struct UserObject *)inheritingObject192;
    while (inho192->super != GraceDefaultObject) inho192 = (struct UserObject *)inho192->super;
    inho192->super = obj192;
    self = inheritingObject192;
    *selfslot = self;
    lowerouter192 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter192;
  }
if (objclass192 == NULL) {
  Method *reader194 = addmethodrealflags(obj192, "kind",&reader_lexer_kind_194, MFLAG_DEF);
  reader194->definitionModule = modulename;
  reader194->definitionLine = 111;
}
adddatum2(obj192, alloc_Undefined(), 1);
if (objclass192 == NULL) {
  Method *reader195 = addmethodrealflags(obj192, "value",&reader_lexer_value_195, MFLAG_DEF);
  reader195->definitionModule = modulename;
  reader195->definitionLine = 112;
}
adddatum2(obj192, alloc_Undefined(), 2);
if (objclass192 == NULL) {
  Method *reader196 = addmethodrealflags(obj192, "size",&reader_lexer_size_196, MFLAG_DEF);
  reader196->definitionModule = modulename;
  reader196->definitionLine = 113;
}
adddatum2(obj192, alloc_Undefined(), 3);
  sourceObject = obj192;
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe197 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe198 = gc_frame_new();
// call case 3: self.outer request
  Object call199 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe198);
// compiled member node returning call199 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call200 = callmethodflags(call199, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe197);
// compiled call node returning call200 (depth = 2)
  struct UserObject *obj192_uo = (struct UserObject *)obj192;
  obj192_uo->super = call200;
  sourceObject = obj192;
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit201 == NULL) {
    strlit201 = alloc_String("identifier");
    gc_root(strlit201);
  }
// compiled string node returning strlit201 (depth = 2)
  adddatum2(obj192, strlit201, 1);
  sourceObject = obj192;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj192, *var_s, 2);
  sourceObject = obj192;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe202 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  Object call203 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe202);
// compiled member node returning call203 (depth = 2)
  adddatum2(obj192, call203, 3);
  objclass192 = obj192->class;
  objclass192->definitionModule = modulename;
  objclass192->definitionLine = 109;
  (*(struct UserObject *)self).data[0] = lowerouter192;
  self = oldself192;
  selfslot = oldselfslot192;
  stackframe = oldstackframe192;
  gc_frame_end(frame);
  return obj192;
}
Object meth_lexer_identifierToken_40_1_41_191_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "identifierToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method identifierToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for identifierToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part identifierToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject192 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj192 = alloc_userobj2(3,4, objclass192);
  gc_frame_newslot(obj192);
if (objclass192 == NULL) {
  glfree(obj192->class->name);
  obj192->class->name = "identifierToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj192, self, 0);
  addmethodreal(obj192,"outer", &reader_lexer_outer_193);
  Object oldself192 = self;
  struct StackFrameObject *oldstackframe192 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe192);
  gc_frame_newslot((Object)stackframe);
  self = obj192;
  Object *oldselfslot192 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter192 = (*(struct UserObject *)self).data[0], lowerouter192 = thisouter192;
  if (inheritingObject192) {
    struct UserObject *inho192 = (struct UserObject *)inheritingObject192;
    while (inho192->super != GraceDefaultObject) inho192 = (struct UserObject *)inho192->super;
    inho192->super = obj192;
    self = inheritingObject192;
    *selfslot = self;
    lowerouter192 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter192;
  }
if (objclass192 == NULL) {
  Method *reader194 = addmethodrealflags(obj192, "kind",&reader_lexer_kind_194, MFLAG_DEF);
  reader194->definitionModule = modulename;
  reader194->definitionLine = 111;
}
adddatum2(obj192, alloc_Undefined(), 1);
if (objclass192 == NULL) {
  Method *reader195 = addmethodrealflags(obj192, "value",&reader_lexer_value_195, MFLAG_DEF);
  reader195->definitionModule = modulename;
  reader195->definitionLine = 112;
}
adddatum2(obj192, alloc_Undefined(), 2);
if (objclass192 == NULL) {
  Method *reader196 = addmethodrealflags(obj192, "size",&reader_lexer_size_196, MFLAG_DEF);
  reader196->definitionModule = modulename;
  reader196->definitionLine = 113;
}
adddatum2(obj192, alloc_Undefined(), 3);
  sourceObject = obj192;
// Begin line 110
  setline(110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe197 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe198 = gc_frame_new();
// call case 3: self.outer request
  Object call199 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe198);
// compiled member node returning call199 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call200 = callmethodflags(call199, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe197);
// compiled call node returning call200 (depth = 2)
  struct UserObject *obj192_uo = (struct UserObject *)obj192;
  obj192_uo->super = call200;
  sourceObject = obj192;
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit201 == NULL) {
    strlit201 = alloc_String("identifier");
    gc_root(strlit201);
  }
// compiled string node returning strlit201 (depth = 2)
  adddatum2(obj192, strlit201, 1);
  sourceObject = obj192;
// Begin line 112
  setline(112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj192, *var_s, 2);
  sourceObject = obj192;
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe202 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_s (depth = 3)
  Object call203 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe202);
// compiled member node returning call203 (depth = 2)
  adddatum2(obj192, call203, 3);
  objclass192 = obj192->class;
  objclass192->definitionModule = modulename;
  objclass192->definitionLine = 109;
  (*(struct UserObject *)self).data[0] = lowerouter192;
  self = oldself192;
  selfslot = oldselfslot192;
  stackframe = oldstackframe192;
  gc_frame_end(frame);
  return obj192;
}
Object meth_lexer_stringToken_40_1_41_205(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "stringToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method stringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for stringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part stringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject206 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj206 = alloc_userobj2(3,4, objclass206);
  gc_frame_newslot(obj206);
if (objclass206 == NULL) {
  glfree(obj206->class->name);
  obj206->class->name = "stringToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj206, self, 0);
  addmethodreal(obj206,"outer", &reader_lexer_outer_207);
  Object oldself206 = self;
  struct StackFrameObject *oldstackframe206 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe206);
  gc_frame_newslot((Object)stackframe);
  self = obj206;
  Object *oldselfslot206 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter206 = (*(struct UserObject *)self).data[0], lowerouter206 = thisouter206;
  if (inheritingObject206) {
    struct UserObject *inho206 = (struct UserObject *)inheritingObject206;
    while (inho206->super != GraceDefaultObject) inho206 = (struct UserObject *)inho206->super;
    inho206->super = obj206;
    self = inheritingObject206;
    *selfslot = self;
    lowerouter206 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter206;
  }
if (objclass206 == NULL) {
  Method *reader208 = addmethodrealflags(obj206, "kind",&reader_lexer_kind_208, MFLAG_DEF);
  reader208->definitionModule = modulename;
  reader208->definitionLine = 117;
}
adddatum2(obj206, alloc_Undefined(), 1);
if (objclass206 == NULL) {
  Method *reader209 = addmethodrealflags(obj206, "value",&reader_lexer_value_209, MFLAG_DEF);
  reader209->definitionModule = modulename;
  reader209->definitionLine = 118;
}
adddatum2(obj206, alloc_Undefined(), 2);
if (objclass206 == NULL) {
  Method *reader210 = addmethodrealflags(obj206, "size",&reader_lexer_size_210, MFLAG_DEF);
  reader210->definitionModule = modulename;
  reader210->definitionLine = 119;
}
adddatum2(obj206, alloc_Undefined(), 3);
  sourceObject = obj206;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe211 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe212 = gc_frame_new();
// call case 3: self.outer request
  Object call213 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe212);
// compiled member node returning call213 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call214 = callmethodflags(call213, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe211);
// compiled call node returning call214 (depth = 2)
  struct UserObject *obj206_uo = (struct UserObject *)obj206;
  obj206_uo->super = call214;
  sourceObject = obj206;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit215 == NULL) {
    strlit215 = alloc_String("string");
    gc_root(strlit215);
  }
// compiled string node returning strlit215 (depth = 2)
  adddatum2(obj206, strlit215, 1);
  sourceObject = obj206;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj206, *var_s, 2);
  sourceObject = obj206;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num217 = alloc_Float64(1);
// compiled num node returning num217 (depth = 3)
  int op_slot_right_216 = gc_frame_newslot(num217);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe220 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe221 = gc_frame_new();
// call case 3: self.outer request
  Object call222 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe221);
// compiled member node returning call222 (depth = 5)
  Object call223 = callmethodflags(call222, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe220);
// compiled member node returning call223 (depth = 4)
  int op_slot_right_219 = gc_frame_newslot(call223);
// starting to compile member node (depth = 4)
  int callframe225 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe226 = gc_frame_new();
// call case 3: self.outer request
  Object call227 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe226);
// compiled member node returning call227 (depth = 5)
  Object call228 = callmethodflags(call227, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe225);
// compiled member node returning call228 (depth = 4)
  int op_slot_left_219 = gc_frame_newslot(call228);
  params[0] = call223;
  partcv[0] = 1;
  Object diff229 = callmethod(call228, "-(1)", 1, partcv, params);
// compiled op node returning diff229 (depth = 3)
  int op_slot_left_216 = gc_frame_newslot(diff229);
  params[0] = num217;
  partcv[0] = 1;
  Object sum230 = callmethod(diff229, "+(1)", 1, partcv, params);
// compiled op node returning sum230 (depth = 2)
  adddatum2(obj206, sum230, 3);
  objclass206 = obj206->class;
  objclass206->definitionModule = modulename;
  objclass206->definitionLine = 115;
  (*(struct UserObject *)self).data[0] = lowerouter206;
  self = oldself206;
  selfslot = oldselfslot206;
  stackframe = oldstackframe206;
  gc_frame_end(frame);
  return obj206;
}
Object meth_lexer_stringToken_40_1_41_205_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "stringToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method stringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for stringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part stringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject206 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj206 = alloc_userobj2(3,4, objclass206);
  gc_frame_newslot(obj206);
if (objclass206 == NULL) {
  glfree(obj206->class->name);
  obj206->class->name = "stringToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj206, self, 0);
  addmethodreal(obj206,"outer", &reader_lexer_outer_207);
  Object oldself206 = self;
  struct StackFrameObject *oldstackframe206 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe206);
  gc_frame_newslot((Object)stackframe);
  self = obj206;
  Object *oldselfslot206 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter206 = (*(struct UserObject *)self).data[0], lowerouter206 = thisouter206;
  if (inheritingObject206) {
    struct UserObject *inho206 = (struct UserObject *)inheritingObject206;
    while (inho206->super != GraceDefaultObject) inho206 = (struct UserObject *)inho206->super;
    inho206->super = obj206;
    self = inheritingObject206;
    *selfslot = self;
    lowerouter206 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter206;
  }
if (objclass206 == NULL) {
  Method *reader208 = addmethodrealflags(obj206, "kind",&reader_lexer_kind_208, MFLAG_DEF);
  reader208->definitionModule = modulename;
  reader208->definitionLine = 117;
}
adddatum2(obj206, alloc_Undefined(), 1);
if (objclass206 == NULL) {
  Method *reader209 = addmethodrealflags(obj206, "value",&reader_lexer_value_209, MFLAG_DEF);
  reader209->definitionModule = modulename;
  reader209->definitionLine = 118;
}
adddatum2(obj206, alloc_Undefined(), 2);
if (objclass206 == NULL) {
  Method *reader210 = addmethodrealflags(obj206, "size",&reader_lexer_size_210, MFLAG_DEF);
  reader210->definitionModule = modulename;
  reader210->definitionLine = 119;
}
adddatum2(obj206, alloc_Undefined(), 3);
  sourceObject = obj206;
// Begin line 116
  setline(116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe211 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe212 = gc_frame_new();
// call case 3: self.outer request
  Object call213 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe212);
// compiled member node returning call213 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call214 = callmethodflags(call213, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe211);
// compiled call node returning call214 (depth = 2)
  struct UserObject *obj206_uo = (struct UserObject *)obj206;
  obj206_uo->super = call214;
  sourceObject = obj206;
// Begin line 117
  setline(117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit215 == NULL) {
    strlit215 = alloc_String("string");
    gc_root(strlit215);
  }
// compiled string node returning strlit215 (depth = 2)
  adddatum2(obj206, strlit215, 1);
  sourceObject = obj206;
// Begin line 118
  setline(118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj206, *var_s, 2);
  sourceObject = obj206;
// Begin line 119
  setline(119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num217 = alloc_Float64(1);
// compiled num node returning num217 (depth = 3)
  int op_slot_right_216 = gc_frame_newslot(num217);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe220 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe221 = gc_frame_new();
// call case 3: self.outer request
  Object call222 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe221);
// compiled member node returning call222 (depth = 5)
  Object call223 = callmethodflags(call222, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe220);
// compiled member node returning call223 (depth = 4)
  int op_slot_right_219 = gc_frame_newslot(call223);
// starting to compile member node (depth = 4)
  int callframe225 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe226 = gc_frame_new();
// call case 3: self.outer request
  Object call227 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe226);
// compiled member node returning call227 (depth = 5)
  Object call228 = callmethodflags(call227, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe225);
// compiled member node returning call228 (depth = 4)
  int op_slot_left_219 = gc_frame_newslot(call228);
  params[0] = call223;
  partcv[0] = 1;
  Object diff229 = callmethod(call228, "-(1)", 1, partcv, params);
// compiled op node returning diff229 (depth = 3)
  int op_slot_left_216 = gc_frame_newslot(diff229);
  params[0] = num217;
  partcv[0] = 1;
  Object sum230 = callmethod(diff229, "+(1)", 1, partcv, params);
// compiled op node returning sum230 (depth = 2)
  adddatum2(obj206, sum230, 3);
  objclass206 = obj206->class;
  objclass206->definitionModule = modulename;
  objclass206->definitionLine = 115;
  (*(struct UserObject *)self).data[0] = lowerouter206;
  self = oldself206;
  selfslot = oldselfslot206;
  stackframe = oldstackframe206;
  gc_frame_end(frame);
  return obj206;
}
Object meth_lexer_line240(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "line");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 128
  setline(128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe241 = gc_frame_new();
// call case 4: self request
  Object call242 = callmethodflags(self, "line'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe241);
// compiled member node returning call242 (depth = 2)
  gc_frame_end(frame);
  return call242;
}
Object meth_lexer_linePos243(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "linePos");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 129
  setline(129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe244 = gc_frame_new();
// call case 4: self request
  Object call245 = callmethodflags(self, "linePos'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe244);
// compiled member node returning call245 (depth = 2)
  gc_frame_end(frame);
  return call245;
}
Object meth_lexer_multiLineStringToken_40_1_41_232(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "multiLineStringToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method multiLineStringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for multiLineStringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part multiLineStringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject233 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj233 = alloc_userobj2(7,8, objclass233);
  gc_frame_newslot(obj233);
if (objclass233 == NULL) {
  glfree(obj233->class->name);
  obj233->class->name = "multiLineStringToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj233, self, 0);
  addmethodreal(obj233,"outer", &reader_lexer_outer_234);
  Object oldself233 = self;
  struct StackFrameObject *oldstackframe233 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe233);
  gc_frame_newslot((Object)stackframe);
  self = obj233;
  Object *oldselfslot233 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter233 = (*(struct UserObject *)self).data[0], lowerouter233 = thisouter233;
  if (inheritingObject233) {
    struct UserObject *inho233 = (struct UserObject *)inheritingObject233;
    while (inho233->super != GraceDefaultObject) inho233 = (struct UserObject *)inho233->super;
    inho233->super = obj233;
    self = inheritingObject233;
    *selfslot = self;
    lowerouter233 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter233;
  }
if (objclass233 == NULL) {
  Method *reader235 = addmethodrealflags(obj233, "kind",&reader_lexer_kind_235, MFLAG_DEF);
  reader235->definitionModule = modulename;
  reader235->definitionLine = 123;
}
adddatum2(obj233, alloc_Undefined(), 1);
if (objclass233 == NULL) {
  Method *reader236 = addmethodrealflags(obj233, "value",&reader_lexer_value_236, MFLAG_DEF);
  reader236->definitionModule = modulename;
  reader236->definitionLine = 124;
}
adddatum2(obj233, alloc_Undefined(), 2);
if (objclass233 == NULL) {
  Method *reader237 = addmethodrealflags(obj233, "size",&reader_lexer_size_237, MFLAG_DEF);
  reader237->definitionModule = modulename;
  reader237->definitionLine = 125;
}
adddatum2(obj233, alloc_Undefined(), 3);
if (objclass233 == NULL) {
  Method *reader238 = addmethodrealflags(obj233, "line'",&reader_lexer_line_39__238, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader238->definitionModule = modulename;
  reader238->definitionLine = 126;
}
adddatum2(obj233, alloc_Undefined(), 4);
if (objclass233 == NULL) {
  Method *reader239 = addmethodrealflags(obj233, "linePos'",&reader_lexer_linePos_39__239, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader239->definitionModule = modulename;
  reader239->definitionLine = 127;
}
adddatum2(obj233, alloc_Undefined(), 5);
// method "line"
  struct UserObject *uo240 = (struct UserObject*)obj233;
  uo240->data[6] = emptyclosure;
  Method *meth_meth_lexer_line240 = addmethod2pos(obj233, "line", &meth_lexer_line240, 6);
  int argcv_meth_lexer_line240[] = {0};
  meth_meth_lexer_line240->type = alloc_MethodType(1, argcv_meth_lexer_line240);
  meth_meth_lexer_line240->definitionModule = modulename;
  meth_meth_lexer_line240->definitionLine = 128;
// method "linePos"
  struct UserObject *uo243 = (struct UserObject*)obj233;
  uo243->data[7] = emptyclosure;
  Method *meth_meth_lexer_linePos243 = addmethod2pos(obj233, "linePos", &meth_lexer_linePos243, 7);
  int argcv_meth_lexer_linePos243[] = {0};
  meth_meth_lexer_linePos243->type = alloc_MethodType(1, argcv_meth_lexer_linePos243);
  meth_meth_lexer_linePos243->definitionModule = modulename;
  meth_meth_lexer_linePos243->definitionLine = 129;
  sourceObject = obj233;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe246 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe247 = gc_frame_new();
// call case 3: self.outer request
  Object call248 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe247);
// compiled member node returning call248 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call249 = callmethodflags(call248, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe246);
// compiled call node returning call249 (depth = 2)
  struct UserObject *obj233_uo = (struct UserObject *)obj233;
  obj233_uo->super = call249;
  sourceObject = obj233;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit250 == NULL) {
    strlit250 = alloc_String("string");
    gc_root(strlit250);
  }
// compiled string node returning strlit250 (depth = 2)
  adddatum2(obj233, strlit250, 1);
  sourceObject = obj233;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj233, *var_s, 2);
  sourceObject = obj233;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num252 = alloc_Float64(2);
// compiled num node returning num252 (depth = 3)
  int op_slot_right_251 = gc_frame_newslot(num252);
// starting to compile member node (depth = 3)
  int callframe254 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call255 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe254);
// compiled member node returning call255 (depth = 3)
  int op_slot_left_251 = gc_frame_newslot(call255);
  params[0] = num252;
  partcv[0] = 1;
  Object sum256 = callmethod(call255, "+(1)", 1, partcv, params);
// compiled op node returning sum256 (depth = 2)
  adddatum2(obj233, sum256, 3);
  sourceObject = obj233;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe257 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe258 = gc_frame_new();
// call case 3: self.outer request
  Object call259 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe258);
// compiled member node returning call259 (depth = 3)
  Object call260 = callmethodflags(call259, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe257);
// compiled member node returning call260 (depth = 2)
  adddatum2(obj233, call260, 4);
  sourceObject = obj233;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe261 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe262 = gc_frame_new();
// call case 3: self.outer request
  Object call263 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe262);
// compiled member node returning call263 (depth = 3)
  Object call264 = callmethodflags(call263, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe261);
// compiled member node returning call264 (depth = 2)
  adddatum2(obj233, call264, 5);
  sourceObject = obj233;
  sourceObject = obj233;
  objclass233 = obj233->class;
  objclass233->definitionModule = modulename;
  objclass233->definitionLine = 121;
  (*(struct UserObject *)self).data[0] = lowerouter233;
  self = oldself233;
  selfslot = oldselfslot233;
  stackframe = oldstackframe233;
  gc_frame_end(frame);
  return obj233;
}
Object meth_lexer_multiLineStringToken_40_1_41_232_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "multiLineStringToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method multiLineStringToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for multiLineStringToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part multiLineStringToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject233 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj233 = alloc_userobj2(7,8, objclass233);
  gc_frame_newslot(obj233);
if (objclass233 == NULL) {
  glfree(obj233->class->name);
  obj233->class->name = "multiLineStringToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj233, self, 0);
  addmethodreal(obj233,"outer", &reader_lexer_outer_234);
  Object oldself233 = self;
  struct StackFrameObject *oldstackframe233 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe233);
  gc_frame_newslot((Object)stackframe);
  self = obj233;
  Object *oldselfslot233 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter233 = (*(struct UserObject *)self).data[0], lowerouter233 = thisouter233;
  if (inheritingObject233) {
    struct UserObject *inho233 = (struct UserObject *)inheritingObject233;
    while (inho233->super != GraceDefaultObject) inho233 = (struct UserObject *)inho233->super;
    inho233->super = obj233;
    self = inheritingObject233;
    *selfslot = self;
    lowerouter233 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter233;
  }
if (objclass233 == NULL) {
  Method *reader235 = addmethodrealflags(obj233, "kind",&reader_lexer_kind_235, MFLAG_DEF);
  reader235->definitionModule = modulename;
  reader235->definitionLine = 123;
}
adddatum2(obj233, alloc_Undefined(), 1);
if (objclass233 == NULL) {
  Method *reader236 = addmethodrealflags(obj233, "value",&reader_lexer_value_236, MFLAG_DEF);
  reader236->definitionModule = modulename;
  reader236->definitionLine = 124;
}
adddatum2(obj233, alloc_Undefined(), 2);
if (objclass233 == NULL) {
  Method *reader237 = addmethodrealflags(obj233, "size",&reader_lexer_size_237, MFLAG_DEF);
  reader237->definitionModule = modulename;
  reader237->definitionLine = 125;
}
adddatum2(obj233, alloc_Undefined(), 3);
if (objclass233 == NULL) {
  Method *reader238 = addmethodrealflags(obj233, "line'",&reader_lexer_line_39__238, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader238->definitionModule = modulename;
  reader238->definitionLine = 126;
}
adddatum2(obj233, alloc_Undefined(), 4);
if (objclass233 == NULL) {
  Method *reader239 = addmethodrealflags(obj233, "linePos'",&reader_lexer_linePos_39__239, MFLAG_DEF | MFLAG_CONFIDENTIAL);
  reader239->definitionModule = modulename;
  reader239->definitionLine = 127;
}
adddatum2(obj233, alloc_Undefined(), 5);
// method "line"
  struct UserObject *uo240 = (struct UserObject*)obj233;
  uo240->data[6] = emptyclosure;
  Method *meth_meth_lexer_line240 = addmethod2pos(obj233, "line", &meth_lexer_line240, 6);
  int argcv_meth_lexer_line240[] = {0};
  meth_meth_lexer_line240->type = alloc_MethodType(1, argcv_meth_lexer_line240);
  meth_meth_lexer_line240->definitionModule = modulename;
  meth_meth_lexer_line240->definitionLine = 128;
// method "linePos"
  struct UserObject *uo243 = (struct UserObject*)obj233;
  uo243->data[7] = emptyclosure;
  Method *meth_meth_lexer_linePos243 = addmethod2pos(obj233, "linePos", &meth_lexer_linePos243, 7);
  int argcv_meth_lexer_linePos243[] = {0};
  meth_meth_lexer_linePos243->type = alloc_MethodType(1, argcv_meth_lexer_linePos243);
  meth_meth_lexer_linePos243->definitionModule = modulename;
  meth_meth_lexer_linePos243->definitionLine = 129;
  sourceObject = obj233;
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe246 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe247 = gc_frame_new();
// call case 3: self.outer request
  Object call248 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe247);
// compiled member node returning call248 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call249 = callmethodflags(call248, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe246);
// compiled call node returning call249 (depth = 2)
  struct UserObject *obj233_uo = (struct UserObject *)obj233;
  obj233_uo->super = call249;
  sourceObject = obj233;
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit250 == NULL) {
    strlit250 = alloc_String("string");
    gc_root(strlit250);
  }
// compiled string node returning strlit250 (depth = 2)
  adddatum2(obj233, strlit250, 1);
  sourceObject = obj233;
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj233, *var_s, 2);
  sourceObject = obj233;
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num252 = alloc_Float64(2);
// compiled num node returning num252 (depth = 3)
  int op_slot_right_251 = gc_frame_newslot(num252);
// starting to compile member node (depth = 3)
  int callframe254 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call255 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe254);
// compiled member node returning call255 (depth = 3)
  int op_slot_left_251 = gc_frame_newslot(call255);
  params[0] = num252;
  partcv[0] = 1;
  Object sum256 = callmethod(call255, "+(1)", 1, partcv, params);
// compiled op node returning sum256 (depth = 2)
  adddatum2(obj233, sum256, 3);
  sourceObject = obj233;
// Begin line 126
  setline(126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe257 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe258 = gc_frame_new();
// call case 3: self.outer request
  Object call259 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe258);
// compiled member node returning call259 (depth = 3)
  Object call260 = callmethodflags(call259, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe257);
// compiled member node returning call260 (depth = 2)
  adddatum2(obj233, call260, 4);
  sourceObject = obj233;
// Begin line 127
  setline(127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe261 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe262 = gc_frame_new();
// call case 3: self.outer request
  Object call263 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe262);
// compiled member node returning call263 (depth = 3)
  Object call264 = callmethodflags(call263, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe261);
// compiled member node returning call264 (depth = 2)
  adddatum2(obj233, call264, 5);
  sourceObject = obj233;
  sourceObject = obj233;
  objclass233 = obj233->class;
  objclass233->definitionModule = modulename;
  objclass233->definitionLine = 121;
  (*(struct UserObject *)self).data[0] = lowerouter233;
  self = oldself233;
  selfslot = oldselfslot233;
  stackframe = oldstackframe233;
  gc_frame_end(frame);
  return obj233;
}
Object meth_lexer_commentToken_40_1_41_266(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commentToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method commentToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commentToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part commentToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject267 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj267 = alloc_userobj2(3,4, objclass267);
  gc_frame_newslot(obj267);
if (objclass267 == NULL) {
  glfree(obj267->class->name);
  obj267->class->name = "commentToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj267, self, 0);
  addmethodreal(obj267,"outer", &reader_lexer_outer_268);
  Object oldself267 = self;
  struct StackFrameObject *oldstackframe267 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe267);
  gc_frame_newslot((Object)stackframe);
  self = obj267;
  Object *oldselfslot267 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter267 = (*(struct UserObject *)self).data[0], lowerouter267 = thisouter267;
  if (inheritingObject267) {
    struct UserObject *inho267 = (struct UserObject *)inheritingObject267;
    while (inho267->super != GraceDefaultObject) inho267 = (struct UserObject *)inho267->super;
    inho267->super = obj267;
    self = inheritingObject267;
    *selfslot = self;
    lowerouter267 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter267;
  }
if (objclass267 == NULL) {
  Method *reader269 = addmethodrealflags(obj267, "kind",&reader_lexer_kind_269, MFLAG_DEF);
  reader269->definitionModule = modulename;
  reader269->definitionLine = 133;
}
adddatum2(obj267, alloc_Undefined(), 1);
if (objclass267 == NULL) {
  Method *reader270 = addmethodrealflags(obj267, "value",&reader_lexer_value_270, MFLAG_DEF);
  reader270->definitionModule = modulename;
  reader270->definitionLine = 134;
}
adddatum2(obj267, alloc_Undefined(), 2);
if (objclass267 == NULL) {
  Method *reader271 = addmethodrealflags(obj267, "size",&reader_lexer_size_271, MFLAG_DEF);
  reader271->definitionModule = modulename;
  reader271->definitionLine = 135;
}
adddatum2(obj267, alloc_Undefined(), 3);
  sourceObject = obj267;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe272 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe273 = gc_frame_new();
// call case 3: self.outer request
  Object call274 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe273);
// compiled member node returning call274 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call275 = callmethodflags(call274, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe272);
// compiled call node returning call275 (depth = 2)
  struct UserObject *obj267_uo = (struct UserObject *)obj267;
  obj267_uo->super = call275;
  sourceObject = obj267;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit276 == NULL) {
    strlit276 = alloc_String("comment");
    gc_root(strlit276);
  }
// compiled string node returning strlit276 (depth = 2)
  adddatum2(obj267, strlit276, 1);
  sourceObject = obj267;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj267, *var_s, 2);
  sourceObject = obj267;
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num278 = alloc_Float64(2);
// compiled num node returning num278 (depth = 3)
  int op_slot_right_277 = gc_frame_newslot(num278);
// starting to compile member node (depth = 3)
  int callframe280 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call281 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe280);
// compiled member node returning call281 (depth = 3)
  int op_slot_left_277 = gc_frame_newslot(call281);
  params[0] = num278;
  partcv[0] = 1;
  Object sum282 = callmethod(call281, "+(1)", 1, partcv, params);
// compiled op node returning sum282 (depth = 2)
  adddatum2(obj267, sum282, 3);
  objclass267 = obj267->class;
  objclass267->definitionModule = modulename;
  objclass267->definitionLine = 131;
  (*(struct UserObject *)self).data[0] = lowerouter267;
  self = oldself267;
  selfslot = oldselfslot267;
  stackframe = oldstackframe267;
  gc_frame_end(frame);
  return obj267;
}
Object meth_lexer_commentToken_40_1_41_266_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commentToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method commentToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for commentToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_s = &(stackframe->slots[0]);
  *var_s = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part commentToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject267 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj267 = alloc_userobj2(3,4, objclass267);
  gc_frame_newslot(obj267);
if (objclass267 == NULL) {
  glfree(obj267->class->name);
  obj267->class->name = "commentToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj267, self, 0);
  addmethodreal(obj267,"outer", &reader_lexer_outer_268);
  Object oldself267 = self;
  struct StackFrameObject *oldstackframe267 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe267);
  gc_frame_newslot((Object)stackframe);
  self = obj267;
  Object *oldselfslot267 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter267 = (*(struct UserObject *)self).data[0], lowerouter267 = thisouter267;
  if (inheritingObject267) {
    struct UserObject *inho267 = (struct UserObject *)inheritingObject267;
    while (inho267->super != GraceDefaultObject) inho267 = (struct UserObject *)inho267->super;
    inho267->super = obj267;
    self = inheritingObject267;
    *selfslot = self;
    lowerouter267 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter267;
  }
if (objclass267 == NULL) {
  Method *reader269 = addmethodrealflags(obj267, "kind",&reader_lexer_kind_269, MFLAG_DEF);
  reader269->definitionModule = modulename;
  reader269->definitionLine = 133;
}
adddatum2(obj267, alloc_Undefined(), 1);
if (objclass267 == NULL) {
  Method *reader270 = addmethodrealflags(obj267, "value",&reader_lexer_value_270, MFLAG_DEF);
  reader270->definitionModule = modulename;
  reader270->definitionLine = 134;
}
adddatum2(obj267, alloc_Undefined(), 2);
if (objclass267 == NULL) {
  Method *reader271 = addmethodrealflags(obj267, "size",&reader_lexer_size_271, MFLAG_DEF);
  reader271->definitionModule = modulename;
  reader271->definitionLine = 135;
}
adddatum2(obj267, alloc_Undefined(), 3);
  sourceObject = obj267;
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe272 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe273 = gc_frame_new();
// call case 3: self.outer request
  Object call274 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe273);
// compiled member node returning call274 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call275 = callmethodflags(call274, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe272);
// compiled call node returning call275 (depth = 2)
  struct UserObject *obj267_uo = (struct UserObject *)obj267;
  obj267_uo->super = call275;
  sourceObject = obj267;
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit276 == NULL) {
    strlit276 = alloc_String("comment");
    gc_root(strlit276);
  }
// compiled string node returning strlit276 (depth = 2)
  adddatum2(obj267, strlit276, 1);
  sourceObject = obj267;
// Begin line 134
  setline(134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_s (depth = 2)
  adddatum2(obj267, *var_s, 2);
  sourceObject = obj267;
// Begin line 135
  setline(135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile num node (depth = 3)
  Object num278 = alloc_Float64(2);
// compiled num node returning num278 (depth = 3)
  int op_slot_right_277 = gc_frame_newslot(num278);
// starting to compile member node (depth = 3)
  int callframe280 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_s (depth = 4)
  Object call281 = callmethodflags(*var_s, "size", 0, partcv, params, 0);
  gc_frame_end(callframe280);
// compiled member node returning call281 (depth = 3)
  int op_slot_left_277 = gc_frame_newslot(call281);
  params[0] = num278;
  partcv[0] = 1;
  Object sum282 = callmethod(call281, "+(1)", 1, partcv, params);
// compiled op node returning sum282 (depth = 2)
  adddatum2(obj267, sum282, 3);
  objclass267 = obj267->class;
  objclass267->definitionModule = modulename;
  objclass267->definitionLine = 131;
  (*(struct UserObject *)self).data[0] = lowerouter267;
  self = oldself267;
  selfslot = oldselfslot267;
  stackframe = oldstackframe267;
  gc_frame_end(frame);
  return obj267;
}
Object meth_lexer_lBraceToken284(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lBraceToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject285 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj285 = alloc_userobj2(3,4, objclass285);
  gc_frame_newslot(obj285);
if (objclass285 == NULL) {
  glfree(obj285->class->name);
  obj285->class->name = "lBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj285, self, 0);
  addmethodreal(obj285,"outer", &reader_lexer_outer_286);
  Object oldself285 = self;
  struct StackFrameObject *oldstackframe285 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe285);
  gc_frame_newslot((Object)stackframe);
  self = obj285;
  Object *oldselfslot285 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter285 = (*(struct UserObject *)self).data[0], lowerouter285 = thisouter285;
  if (inheritingObject285) {
    struct UserObject *inho285 = (struct UserObject *)inheritingObject285;
    while (inho285->super != GraceDefaultObject) inho285 = (struct UserObject *)inho285->super;
    inho285->super = obj285;
    self = inheritingObject285;
    *selfslot = self;
    lowerouter285 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter285;
  }
if (objclass285 == NULL) {
  Method *reader287 = addmethodrealflags(obj285, "kind",&reader_lexer_kind_287, MFLAG_DEF);
  reader287->definitionModule = modulename;
  reader287->definitionLine = 139;
}
adddatum2(obj285, alloc_Undefined(), 1);
if (objclass285 == NULL) {
  Method *reader288 = addmethodrealflags(obj285, "value",&reader_lexer_value_288, MFLAG_DEF);
  reader288->definitionModule = modulename;
  reader288->definitionLine = 140;
}
adddatum2(obj285, alloc_Undefined(), 2);
if (objclass285 == NULL) {
  Method *reader289 = addmethodrealflags(obj285, "size",&reader_lexer_size_289, MFLAG_DEF);
  reader289->definitionModule = modulename;
  reader289->definitionLine = 141;
}
adddatum2(obj285, alloc_Undefined(), 3);
  sourceObject = obj285;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe290 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe291 = gc_frame_new();
// call case 3: self.outer request
  Object call292 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe291);
// compiled member node returning call292 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call293 = callmethodflags(call292, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe290);
// compiled call node returning call293 (depth = 2)
  struct UserObject *obj285_uo = (struct UserObject *)obj285;
  obj285_uo->super = call293;
  sourceObject = obj285;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit294 == NULL) {
    strlit294 = alloc_String("lbrace");
    gc_root(strlit294);
  }
// compiled string node returning strlit294 (depth = 2)
  adddatum2(obj285, strlit294, 1);
  sourceObject = obj285;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit295 == NULL) {
    strlit295 = alloc_String("{");
    gc_root(strlit295);
  }
// compiled string node returning strlit295 (depth = 2)
  adddatum2(obj285, strlit295, 2);
  sourceObject = obj285;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num296 = alloc_Float64(1);
// compiled num node returning num296 (depth = 2)
  adddatum2(obj285, num296, 3);
  objclass285 = obj285->class;
  objclass285->definitionModule = modulename;
  objclass285->definitionLine = 137;
  (*(struct UserObject *)self).data[0] = lowerouter285;
  self = oldself285;
  selfslot = oldselfslot285;
  stackframe = oldstackframe285;
  gc_frame_end(frame);
  return obj285;
}
Object meth_lexer_lBraceToken284_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lBraceToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject285 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj285 = alloc_userobj2(3,4, objclass285);
  gc_frame_newslot(obj285);
if (objclass285 == NULL) {
  glfree(obj285->class->name);
  obj285->class->name = "lBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj285, self, 0);
  addmethodreal(obj285,"outer", &reader_lexer_outer_286);
  Object oldself285 = self;
  struct StackFrameObject *oldstackframe285 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe285);
  gc_frame_newslot((Object)stackframe);
  self = obj285;
  Object *oldselfslot285 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter285 = (*(struct UserObject *)self).data[0], lowerouter285 = thisouter285;
  if (inheritingObject285) {
    struct UserObject *inho285 = (struct UserObject *)inheritingObject285;
    while (inho285->super != GraceDefaultObject) inho285 = (struct UserObject *)inho285->super;
    inho285->super = obj285;
    self = inheritingObject285;
    *selfslot = self;
    lowerouter285 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter285;
  }
if (objclass285 == NULL) {
  Method *reader287 = addmethodrealflags(obj285, "kind",&reader_lexer_kind_287, MFLAG_DEF);
  reader287->definitionModule = modulename;
  reader287->definitionLine = 139;
}
adddatum2(obj285, alloc_Undefined(), 1);
if (objclass285 == NULL) {
  Method *reader288 = addmethodrealflags(obj285, "value",&reader_lexer_value_288, MFLAG_DEF);
  reader288->definitionModule = modulename;
  reader288->definitionLine = 140;
}
adddatum2(obj285, alloc_Undefined(), 2);
if (objclass285 == NULL) {
  Method *reader289 = addmethodrealflags(obj285, "size",&reader_lexer_size_289, MFLAG_DEF);
  reader289->definitionModule = modulename;
  reader289->definitionLine = 141;
}
adddatum2(obj285, alloc_Undefined(), 3);
  sourceObject = obj285;
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe290 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe291 = gc_frame_new();
// call case 3: self.outer request
  Object call292 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe291);
// compiled member node returning call292 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call293 = callmethodflags(call292, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe290);
// compiled call node returning call293 (depth = 2)
  struct UserObject *obj285_uo = (struct UserObject *)obj285;
  obj285_uo->super = call293;
  sourceObject = obj285;
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit294 == NULL) {
    strlit294 = alloc_String("lbrace");
    gc_root(strlit294);
  }
// compiled string node returning strlit294 (depth = 2)
  adddatum2(obj285, strlit294, 1);
  sourceObject = obj285;
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit295 == NULL) {
    strlit295 = alloc_String("{");
    gc_root(strlit295);
  }
// compiled string node returning strlit295 (depth = 2)
  adddatum2(obj285, strlit295, 2);
  sourceObject = obj285;
// Begin line 141
  setline(141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num296 = alloc_Float64(1);
// compiled num node returning num296 (depth = 2)
  adddatum2(obj285, num296, 3);
  objclass285 = obj285->class;
  objclass285->definitionModule = modulename;
  objclass285->definitionLine = 137;
  (*(struct UserObject *)self).data[0] = lowerouter285;
  self = oldself285;
  selfslot = oldselfslot285;
  stackframe = oldstackframe285;
  gc_frame_end(frame);
  return obj285;
}
Object meth_lexer_rBraceToken298(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rBraceToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject299 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj299 = alloc_userobj2(3,4, objclass299);
  gc_frame_newslot(obj299);
if (objclass299 == NULL) {
  glfree(obj299->class->name);
  obj299->class->name = "rBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj299, self, 0);
  addmethodreal(obj299,"outer", &reader_lexer_outer_300);
  Object oldself299 = self;
  struct StackFrameObject *oldstackframe299 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe299);
  gc_frame_newslot((Object)stackframe);
  self = obj299;
  Object *oldselfslot299 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter299 = (*(struct UserObject *)self).data[0], lowerouter299 = thisouter299;
  if (inheritingObject299) {
    struct UserObject *inho299 = (struct UserObject *)inheritingObject299;
    while (inho299->super != GraceDefaultObject) inho299 = (struct UserObject *)inho299->super;
    inho299->super = obj299;
    self = inheritingObject299;
    *selfslot = self;
    lowerouter299 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter299;
  }
if (objclass299 == NULL) {
  Method *reader301 = addmethodrealflags(obj299, "kind",&reader_lexer_kind_301, MFLAG_DEF);
  reader301->definitionModule = modulename;
  reader301->definitionLine = 145;
}
adddatum2(obj299, alloc_Undefined(), 1);
if (objclass299 == NULL) {
  Method *reader302 = addmethodrealflags(obj299, "value",&reader_lexer_value_302, MFLAG_DEF);
  reader302->definitionModule = modulename;
  reader302->definitionLine = 146;
}
adddatum2(obj299, alloc_Undefined(), 2);
if (objclass299 == NULL) {
  Method *reader303 = addmethodrealflags(obj299, "size",&reader_lexer_size_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 147;
}
adddatum2(obj299, alloc_Undefined(), 3);
  sourceObject = obj299;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe304 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe305 = gc_frame_new();
// call case 3: self.outer request
  Object call306 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe305);
// compiled member node returning call306 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call307 = callmethodflags(call306, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe304);
// compiled call node returning call307 (depth = 2)
  struct UserObject *obj299_uo = (struct UserObject *)obj299;
  obj299_uo->super = call307;
  sourceObject = obj299;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit308 == NULL) {
    strlit308 = alloc_String("rbrace");
    gc_root(strlit308);
  }
// compiled string node returning strlit308 (depth = 2)
  adddatum2(obj299, strlit308, 1);
  sourceObject = obj299;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit309 == NULL) {
    strlit309 = alloc_String("}");
    gc_root(strlit309);
  }
// compiled string node returning strlit309 (depth = 2)
  adddatum2(obj299, strlit309, 2);
  sourceObject = obj299;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num310 = alloc_Float64(1);
// compiled num node returning num310 (depth = 2)
  adddatum2(obj299, num310, 3);
  objclass299 = obj299->class;
  objclass299->definitionModule = modulename;
  objclass299->definitionLine = 143;
  (*(struct UserObject *)self).data[0] = lowerouter299;
  self = oldself299;
  selfslot = oldselfslot299;
  stackframe = oldstackframe299;
  gc_frame_end(frame);
  return obj299;
}
Object meth_lexer_rBraceToken298_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rBraceToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject299 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj299 = alloc_userobj2(3,4, objclass299);
  gc_frame_newslot(obj299);
if (objclass299 == NULL) {
  glfree(obj299->class->name);
  obj299->class->name = "rBraceToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj299, self, 0);
  addmethodreal(obj299,"outer", &reader_lexer_outer_300);
  Object oldself299 = self;
  struct StackFrameObject *oldstackframe299 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe299);
  gc_frame_newslot((Object)stackframe);
  self = obj299;
  Object *oldselfslot299 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter299 = (*(struct UserObject *)self).data[0], lowerouter299 = thisouter299;
  if (inheritingObject299) {
    struct UserObject *inho299 = (struct UserObject *)inheritingObject299;
    while (inho299->super != GraceDefaultObject) inho299 = (struct UserObject *)inho299->super;
    inho299->super = obj299;
    self = inheritingObject299;
    *selfslot = self;
    lowerouter299 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter299;
  }
if (objclass299 == NULL) {
  Method *reader301 = addmethodrealflags(obj299, "kind",&reader_lexer_kind_301, MFLAG_DEF);
  reader301->definitionModule = modulename;
  reader301->definitionLine = 145;
}
adddatum2(obj299, alloc_Undefined(), 1);
if (objclass299 == NULL) {
  Method *reader302 = addmethodrealflags(obj299, "value",&reader_lexer_value_302, MFLAG_DEF);
  reader302->definitionModule = modulename;
  reader302->definitionLine = 146;
}
adddatum2(obj299, alloc_Undefined(), 2);
if (objclass299 == NULL) {
  Method *reader303 = addmethodrealflags(obj299, "size",&reader_lexer_size_303, MFLAG_DEF);
  reader303->definitionModule = modulename;
  reader303->definitionLine = 147;
}
adddatum2(obj299, alloc_Undefined(), 3);
  sourceObject = obj299;
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe304 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe305 = gc_frame_new();
// call case 3: self.outer request
  Object call306 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe305);
// compiled member node returning call306 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call307 = callmethodflags(call306, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe304);
// compiled call node returning call307 (depth = 2)
  struct UserObject *obj299_uo = (struct UserObject *)obj299;
  obj299_uo->super = call307;
  sourceObject = obj299;
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit308 == NULL) {
    strlit308 = alloc_String("rbrace");
    gc_root(strlit308);
  }
// compiled string node returning strlit308 (depth = 2)
  adddatum2(obj299, strlit308, 1);
  sourceObject = obj299;
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit309 == NULL) {
    strlit309 = alloc_String("}");
    gc_root(strlit309);
  }
// compiled string node returning strlit309 (depth = 2)
  adddatum2(obj299, strlit309, 2);
  sourceObject = obj299;
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num310 = alloc_Float64(1);
// compiled num node returning num310 (depth = 2)
  adddatum2(obj299, num310, 3);
  objclass299 = obj299->class;
  objclass299->definitionModule = modulename;
  objclass299->definitionLine = 143;
  (*(struct UserObject *)self).data[0] = lowerouter299;
  self = oldself299;
  selfslot = oldselfslot299;
  stackframe = oldstackframe299;
  gc_frame_end(frame);
  return obj299;
}
Object meth_lexer_lParenToken312(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lParenToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject313 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj313 = alloc_userobj2(3,4, objclass313);
  gc_frame_newslot(obj313);
if (objclass313 == NULL) {
  glfree(obj313->class->name);
  obj313->class->name = "lParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj313, self, 0);
  addmethodreal(obj313,"outer", &reader_lexer_outer_314);
  Object oldself313 = self;
  struct StackFrameObject *oldstackframe313 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe313);
  gc_frame_newslot((Object)stackframe);
  self = obj313;
  Object *oldselfslot313 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter313 = (*(struct UserObject *)self).data[0], lowerouter313 = thisouter313;
  if (inheritingObject313) {
    struct UserObject *inho313 = (struct UserObject *)inheritingObject313;
    while (inho313->super != GraceDefaultObject) inho313 = (struct UserObject *)inho313->super;
    inho313->super = obj313;
    self = inheritingObject313;
    *selfslot = self;
    lowerouter313 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter313;
  }
if (objclass313 == NULL) {
  Method *reader315 = addmethodrealflags(obj313, "kind",&reader_lexer_kind_315, MFLAG_DEF);
  reader315->definitionModule = modulename;
  reader315->definitionLine = 151;
}
adddatum2(obj313, alloc_Undefined(), 1);
if (objclass313 == NULL) {
  Method *reader316 = addmethodrealflags(obj313, "value",&reader_lexer_value_316, MFLAG_DEF);
  reader316->definitionModule = modulename;
  reader316->definitionLine = 152;
}
adddatum2(obj313, alloc_Undefined(), 2);
if (objclass313 == NULL) {
  Method *reader317 = addmethodrealflags(obj313, "size",&reader_lexer_size_317, MFLAG_DEF);
  reader317->definitionModule = modulename;
  reader317->definitionLine = 153;
}
adddatum2(obj313, alloc_Undefined(), 3);
  sourceObject = obj313;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe318 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe319 = gc_frame_new();
// call case 3: self.outer request
  Object call320 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe319);
// compiled member node returning call320 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call321 = callmethodflags(call320, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe318);
// compiled call node returning call321 (depth = 2)
  struct UserObject *obj313_uo = (struct UserObject *)obj313;
  obj313_uo->super = call321;
  sourceObject = obj313;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit322 == NULL) {
    strlit322 = alloc_String("lparen");
    gc_root(strlit322);
  }
// compiled string node returning strlit322 (depth = 2)
  adddatum2(obj313, strlit322, 1);
  sourceObject = obj313;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit323 == NULL) {
    strlit323 = alloc_String("(");
    gc_root(strlit323);
  }
// compiled string node returning strlit323 (depth = 2)
  adddatum2(obj313, strlit323, 2);
  sourceObject = obj313;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num324 = alloc_Float64(1);
// compiled num node returning num324 (depth = 2)
  adddatum2(obj313, num324, 3);
  objclass313 = obj313->class;
  objclass313->definitionModule = modulename;
  objclass313->definitionLine = 149;
  (*(struct UserObject *)self).data[0] = lowerouter313;
  self = oldself313;
  selfslot = oldselfslot313;
  stackframe = oldstackframe313;
  gc_frame_end(frame);
  return obj313;
}
Object meth_lexer_lParenToken312_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lParenToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject313 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj313 = alloc_userobj2(3,4, objclass313);
  gc_frame_newslot(obj313);
if (objclass313 == NULL) {
  glfree(obj313->class->name);
  obj313->class->name = "lParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj313, self, 0);
  addmethodreal(obj313,"outer", &reader_lexer_outer_314);
  Object oldself313 = self;
  struct StackFrameObject *oldstackframe313 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe313);
  gc_frame_newslot((Object)stackframe);
  self = obj313;
  Object *oldselfslot313 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter313 = (*(struct UserObject *)self).data[0], lowerouter313 = thisouter313;
  if (inheritingObject313) {
    struct UserObject *inho313 = (struct UserObject *)inheritingObject313;
    while (inho313->super != GraceDefaultObject) inho313 = (struct UserObject *)inho313->super;
    inho313->super = obj313;
    self = inheritingObject313;
    *selfslot = self;
    lowerouter313 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter313;
  }
if (objclass313 == NULL) {
  Method *reader315 = addmethodrealflags(obj313, "kind",&reader_lexer_kind_315, MFLAG_DEF);
  reader315->definitionModule = modulename;
  reader315->definitionLine = 151;
}
adddatum2(obj313, alloc_Undefined(), 1);
if (objclass313 == NULL) {
  Method *reader316 = addmethodrealflags(obj313, "value",&reader_lexer_value_316, MFLAG_DEF);
  reader316->definitionModule = modulename;
  reader316->definitionLine = 152;
}
adddatum2(obj313, alloc_Undefined(), 2);
if (objclass313 == NULL) {
  Method *reader317 = addmethodrealflags(obj313, "size",&reader_lexer_size_317, MFLAG_DEF);
  reader317->definitionModule = modulename;
  reader317->definitionLine = 153;
}
adddatum2(obj313, alloc_Undefined(), 3);
  sourceObject = obj313;
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe318 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe319 = gc_frame_new();
// call case 3: self.outer request
  Object call320 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe319);
// compiled member node returning call320 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call321 = callmethodflags(call320, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe318);
// compiled call node returning call321 (depth = 2)
  struct UserObject *obj313_uo = (struct UserObject *)obj313;
  obj313_uo->super = call321;
  sourceObject = obj313;
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit322 == NULL) {
    strlit322 = alloc_String("lparen");
    gc_root(strlit322);
  }
// compiled string node returning strlit322 (depth = 2)
  adddatum2(obj313, strlit322, 1);
  sourceObject = obj313;
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit323 == NULL) {
    strlit323 = alloc_String("(");
    gc_root(strlit323);
  }
// compiled string node returning strlit323 (depth = 2)
  adddatum2(obj313, strlit323, 2);
  sourceObject = obj313;
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num324 = alloc_Float64(1);
// compiled num node returning num324 (depth = 2)
  adddatum2(obj313, num324, 3);
  objclass313 = obj313->class;
  objclass313->definitionModule = modulename;
  objclass313->definitionLine = 149;
  (*(struct UserObject *)self).data[0] = lowerouter313;
  self = oldself313;
  selfslot = oldselfslot313;
  stackframe = oldstackframe313;
  gc_frame_end(frame);
  return obj313;
}
Object meth_lexer_rParenToken326(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rParenToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject327 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj327 = alloc_userobj2(3,4, objclass327);
  gc_frame_newslot(obj327);
if (objclass327 == NULL) {
  glfree(obj327->class->name);
  obj327->class->name = "rParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj327, self, 0);
  addmethodreal(obj327,"outer", &reader_lexer_outer_328);
  Object oldself327 = self;
  struct StackFrameObject *oldstackframe327 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe327);
  gc_frame_newslot((Object)stackframe);
  self = obj327;
  Object *oldselfslot327 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter327 = (*(struct UserObject *)self).data[0], lowerouter327 = thisouter327;
  if (inheritingObject327) {
    struct UserObject *inho327 = (struct UserObject *)inheritingObject327;
    while (inho327->super != GraceDefaultObject) inho327 = (struct UserObject *)inho327->super;
    inho327->super = obj327;
    self = inheritingObject327;
    *selfslot = self;
    lowerouter327 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter327;
  }
if (objclass327 == NULL) {
  Method *reader329 = addmethodrealflags(obj327, "kind",&reader_lexer_kind_329, MFLAG_DEF);
  reader329->definitionModule = modulename;
  reader329->definitionLine = 157;
}
adddatum2(obj327, alloc_Undefined(), 1);
if (objclass327 == NULL) {
  Method *reader330 = addmethodrealflags(obj327, "value",&reader_lexer_value_330, MFLAG_DEF);
  reader330->definitionModule = modulename;
  reader330->definitionLine = 158;
}
adddatum2(obj327, alloc_Undefined(), 2);
if (objclass327 == NULL) {
  Method *reader331 = addmethodrealflags(obj327, "size",&reader_lexer_size_331, MFLAG_DEF);
  reader331->definitionModule = modulename;
  reader331->definitionLine = 159;
}
adddatum2(obj327, alloc_Undefined(), 3);
  sourceObject = obj327;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe332 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe333 = gc_frame_new();
// call case 3: self.outer request
  Object call334 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe333);
// compiled member node returning call334 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call335 = callmethodflags(call334, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe332);
// compiled call node returning call335 (depth = 2)
  struct UserObject *obj327_uo = (struct UserObject *)obj327;
  obj327_uo->super = call335;
  sourceObject = obj327;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit336 == NULL) {
    strlit336 = alloc_String("rparen");
    gc_root(strlit336);
  }
// compiled string node returning strlit336 (depth = 2)
  adddatum2(obj327, strlit336, 1);
  sourceObject = obj327;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit337 == NULL) {
    strlit337 = alloc_String(")");
    gc_root(strlit337);
  }
// compiled string node returning strlit337 (depth = 2)
  adddatum2(obj327, strlit337, 2);
  sourceObject = obj327;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num338 = alloc_Float64(1);
// compiled num node returning num338 (depth = 2)
  adddatum2(obj327, num338, 3);
  objclass327 = obj327->class;
  objclass327->definitionModule = modulename;
  objclass327->definitionLine = 155;
  (*(struct UserObject *)self).data[0] = lowerouter327;
  self = oldself327;
  selfslot = oldselfslot327;
  stackframe = oldstackframe327;
  gc_frame_end(frame);
  return obj327;
}
Object meth_lexer_rParenToken326_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rParenToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject327 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj327 = alloc_userobj2(3,4, objclass327);
  gc_frame_newslot(obj327);
if (objclass327 == NULL) {
  glfree(obj327->class->name);
  obj327->class->name = "rParenToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj327, self, 0);
  addmethodreal(obj327,"outer", &reader_lexer_outer_328);
  Object oldself327 = self;
  struct StackFrameObject *oldstackframe327 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe327);
  gc_frame_newslot((Object)stackframe);
  self = obj327;
  Object *oldselfslot327 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter327 = (*(struct UserObject *)self).data[0], lowerouter327 = thisouter327;
  if (inheritingObject327) {
    struct UserObject *inho327 = (struct UserObject *)inheritingObject327;
    while (inho327->super != GraceDefaultObject) inho327 = (struct UserObject *)inho327->super;
    inho327->super = obj327;
    self = inheritingObject327;
    *selfslot = self;
    lowerouter327 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter327;
  }
if (objclass327 == NULL) {
  Method *reader329 = addmethodrealflags(obj327, "kind",&reader_lexer_kind_329, MFLAG_DEF);
  reader329->definitionModule = modulename;
  reader329->definitionLine = 157;
}
adddatum2(obj327, alloc_Undefined(), 1);
if (objclass327 == NULL) {
  Method *reader330 = addmethodrealflags(obj327, "value",&reader_lexer_value_330, MFLAG_DEF);
  reader330->definitionModule = modulename;
  reader330->definitionLine = 158;
}
adddatum2(obj327, alloc_Undefined(), 2);
if (objclass327 == NULL) {
  Method *reader331 = addmethodrealflags(obj327, "size",&reader_lexer_size_331, MFLAG_DEF);
  reader331->definitionModule = modulename;
  reader331->definitionLine = 159;
}
adddatum2(obj327, alloc_Undefined(), 3);
  sourceObject = obj327;
// Begin line 156
  setline(156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe332 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe333 = gc_frame_new();
// call case 3: self.outer request
  Object call334 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe333);
// compiled member node returning call334 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call335 = callmethodflags(call334, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe332);
// compiled call node returning call335 (depth = 2)
  struct UserObject *obj327_uo = (struct UserObject *)obj327;
  obj327_uo->super = call335;
  sourceObject = obj327;
// Begin line 157
  setline(157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit336 == NULL) {
    strlit336 = alloc_String("rparen");
    gc_root(strlit336);
  }
// compiled string node returning strlit336 (depth = 2)
  adddatum2(obj327, strlit336, 1);
  sourceObject = obj327;
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit337 == NULL) {
    strlit337 = alloc_String(")");
    gc_root(strlit337);
  }
// compiled string node returning strlit337 (depth = 2)
  adddatum2(obj327, strlit337, 2);
  sourceObject = obj327;
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num338 = alloc_Float64(1);
// compiled num node returning num338 (depth = 2)
  adddatum2(obj327, num338, 3);
  objclass327 = obj327->class;
  objclass327->definitionModule = modulename;
  objclass327->definitionLine = 155;
  (*(struct UserObject *)self).data[0] = lowerouter327;
  self = oldself327;
  selfslot = oldselfslot327;
  stackframe = oldstackframe327;
  gc_frame_end(frame);
  return obj327;
}
Object meth_lexer_lSquareToken340(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lSquareToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject341 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj341 = alloc_userobj2(3,4, objclass341);
  gc_frame_newslot(obj341);
if (objclass341 == NULL) {
  glfree(obj341->class->name);
  obj341->class->name = "lSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj341, self, 0);
  addmethodreal(obj341,"outer", &reader_lexer_outer_342);
  Object oldself341 = self;
  struct StackFrameObject *oldstackframe341 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe341);
  gc_frame_newslot((Object)stackframe);
  self = obj341;
  Object *oldselfslot341 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter341 = (*(struct UserObject *)self).data[0], lowerouter341 = thisouter341;
  if (inheritingObject341) {
    struct UserObject *inho341 = (struct UserObject *)inheritingObject341;
    while (inho341->super != GraceDefaultObject) inho341 = (struct UserObject *)inho341->super;
    inho341->super = obj341;
    self = inheritingObject341;
    *selfslot = self;
    lowerouter341 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter341;
  }
if (objclass341 == NULL) {
  Method *reader343 = addmethodrealflags(obj341, "kind",&reader_lexer_kind_343, MFLAG_DEF);
  reader343->definitionModule = modulename;
  reader343->definitionLine = 163;
}
adddatum2(obj341, alloc_Undefined(), 1);
if (objclass341 == NULL) {
  Method *reader344 = addmethodrealflags(obj341, "value",&reader_lexer_value_344, MFLAG_DEF);
  reader344->definitionModule = modulename;
  reader344->definitionLine = 164;
}
adddatum2(obj341, alloc_Undefined(), 2);
if (objclass341 == NULL) {
  Method *reader345 = addmethodrealflags(obj341, "size",&reader_lexer_size_345, MFLAG_DEF);
  reader345->definitionModule = modulename;
  reader345->definitionLine = 165;
}
adddatum2(obj341, alloc_Undefined(), 3);
  sourceObject = obj341;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe346 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe347 = gc_frame_new();
// call case 3: self.outer request
  Object call348 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe347);
// compiled member node returning call348 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call349 = callmethodflags(call348, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe346);
// compiled call node returning call349 (depth = 2)
  struct UserObject *obj341_uo = (struct UserObject *)obj341;
  obj341_uo->super = call349;
  sourceObject = obj341;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit350 == NULL) {
    strlit350 = alloc_String("lsquare");
    gc_root(strlit350);
  }
// compiled string node returning strlit350 (depth = 2)
  adddatum2(obj341, strlit350, 1);
  sourceObject = obj341;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit351 == NULL) {
    strlit351 = alloc_String("[");
    gc_root(strlit351);
  }
// compiled string node returning strlit351 (depth = 2)
  adddatum2(obj341, strlit351, 2);
  sourceObject = obj341;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num352 = alloc_Float64(1);
// compiled num node returning num352 (depth = 2)
  adddatum2(obj341, num352, 3);
  objclass341 = obj341->class;
  objclass341->definitionModule = modulename;
  objclass341->definitionLine = 161;
  (*(struct UserObject *)self).data[0] = lowerouter341;
  self = oldself341;
  selfslot = oldselfslot341;
  stackframe = oldstackframe341;
  gc_frame_end(frame);
  return obj341;
}
Object meth_lexer_lSquareToken340_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lSquareToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject341 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj341 = alloc_userobj2(3,4, objclass341);
  gc_frame_newslot(obj341);
if (objclass341 == NULL) {
  glfree(obj341->class->name);
  obj341->class->name = "lSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj341, self, 0);
  addmethodreal(obj341,"outer", &reader_lexer_outer_342);
  Object oldself341 = self;
  struct StackFrameObject *oldstackframe341 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe341);
  gc_frame_newslot((Object)stackframe);
  self = obj341;
  Object *oldselfslot341 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter341 = (*(struct UserObject *)self).data[0], lowerouter341 = thisouter341;
  if (inheritingObject341) {
    struct UserObject *inho341 = (struct UserObject *)inheritingObject341;
    while (inho341->super != GraceDefaultObject) inho341 = (struct UserObject *)inho341->super;
    inho341->super = obj341;
    self = inheritingObject341;
    *selfslot = self;
    lowerouter341 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter341;
  }
if (objclass341 == NULL) {
  Method *reader343 = addmethodrealflags(obj341, "kind",&reader_lexer_kind_343, MFLAG_DEF);
  reader343->definitionModule = modulename;
  reader343->definitionLine = 163;
}
adddatum2(obj341, alloc_Undefined(), 1);
if (objclass341 == NULL) {
  Method *reader344 = addmethodrealflags(obj341, "value",&reader_lexer_value_344, MFLAG_DEF);
  reader344->definitionModule = modulename;
  reader344->definitionLine = 164;
}
adddatum2(obj341, alloc_Undefined(), 2);
if (objclass341 == NULL) {
  Method *reader345 = addmethodrealflags(obj341, "size",&reader_lexer_size_345, MFLAG_DEF);
  reader345->definitionModule = modulename;
  reader345->definitionLine = 165;
}
adddatum2(obj341, alloc_Undefined(), 3);
  sourceObject = obj341;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe346 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe347 = gc_frame_new();
// call case 3: self.outer request
  Object call348 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe347);
// compiled member node returning call348 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call349 = callmethodflags(call348, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe346);
// compiled call node returning call349 (depth = 2)
  struct UserObject *obj341_uo = (struct UserObject *)obj341;
  obj341_uo->super = call349;
  sourceObject = obj341;
// Begin line 163
  setline(163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit350 == NULL) {
    strlit350 = alloc_String("lsquare");
    gc_root(strlit350);
  }
// compiled string node returning strlit350 (depth = 2)
  adddatum2(obj341, strlit350, 1);
  sourceObject = obj341;
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit351 == NULL) {
    strlit351 = alloc_String("[");
    gc_root(strlit351);
  }
// compiled string node returning strlit351 (depth = 2)
  adddatum2(obj341, strlit351, 2);
  sourceObject = obj341;
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num352 = alloc_Float64(1);
// compiled num node returning num352 (depth = 2)
  adddatum2(obj341, num352, 3);
  objclass341 = obj341->class;
  objclass341->definitionModule = modulename;
  objclass341->definitionLine = 161;
  (*(struct UserObject *)self).data[0] = lowerouter341;
  self = oldself341;
  selfslot = oldselfslot341;
  stackframe = oldstackframe341;
  gc_frame_end(frame);
  return obj341;
}
Object meth_lexer_rSquareToken354(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rSquareToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject355 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj355 = alloc_userobj2(3,4, objclass355);
  gc_frame_newslot(obj355);
if (objclass355 == NULL) {
  glfree(obj355->class->name);
  obj355->class->name = "rSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj355, self, 0);
  addmethodreal(obj355,"outer", &reader_lexer_outer_356);
  Object oldself355 = self;
  struct StackFrameObject *oldstackframe355 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe355);
  gc_frame_newslot((Object)stackframe);
  self = obj355;
  Object *oldselfslot355 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter355 = (*(struct UserObject *)self).data[0], lowerouter355 = thisouter355;
  if (inheritingObject355) {
    struct UserObject *inho355 = (struct UserObject *)inheritingObject355;
    while (inho355->super != GraceDefaultObject) inho355 = (struct UserObject *)inho355->super;
    inho355->super = obj355;
    self = inheritingObject355;
    *selfslot = self;
    lowerouter355 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter355;
  }
if (objclass355 == NULL) {
  Method *reader357 = addmethodrealflags(obj355, "kind",&reader_lexer_kind_357, MFLAG_DEF);
  reader357->definitionModule = modulename;
  reader357->definitionLine = 169;
}
adddatum2(obj355, alloc_Undefined(), 1);
if (objclass355 == NULL) {
  Method *reader358 = addmethodrealflags(obj355, "value",&reader_lexer_value_358, MFLAG_DEF);
  reader358->definitionModule = modulename;
  reader358->definitionLine = 170;
}
adddatum2(obj355, alloc_Undefined(), 2);
if (objclass355 == NULL) {
  Method *reader359 = addmethodrealflags(obj355, "size",&reader_lexer_size_359, MFLAG_DEF);
  reader359->definitionModule = modulename;
  reader359->definitionLine = 171;
}
adddatum2(obj355, alloc_Undefined(), 3);
  sourceObject = obj355;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe360 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe361 = gc_frame_new();
// call case 3: self.outer request
  Object call362 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe361);
// compiled member node returning call362 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call363 = callmethodflags(call362, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe360);
// compiled call node returning call363 (depth = 2)
  struct UserObject *obj355_uo = (struct UserObject *)obj355;
  obj355_uo->super = call363;
  sourceObject = obj355;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit364 == NULL) {
    strlit364 = alloc_String("rsquare");
    gc_root(strlit364);
  }
// compiled string node returning strlit364 (depth = 2)
  adddatum2(obj355, strlit364, 1);
  sourceObject = obj355;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit365 == NULL) {
    strlit365 = alloc_String("]");
    gc_root(strlit365);
  }
// compiled string node returning strlit365 (depth = 2)
  adddatum2(obj355, strlit365, 2);
  sourceObject = obj355;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num366 = alloc_Float64(1);
// compiled num node returning num366 (depth = 2)
  adddatum2(obj355, num366, 3);
  objclass355 = obj355->class;
  objclass355->definitionModule = modulename;
  objclass355->definitionLine = 167;
  (*(struct UserObject *)self).data[0] = lowerouter355;
  self = oldself355;
  selfslot = oldselfslot355;
  stackframe = oldstackframe355;
  gc_frame_end(frame);
  return obj355;
}
Object meth_lexer_rSquareToken354_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rSquareToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject355 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj355 = alloc_userobj2(3,4, objclass355);
  gc_frame_newslot(obj355);
if (objclass355 == NULL) {
  glfree(obj355->class->name);
  obj355->class->name = "rSquareToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj355, self, 0);
  addmethodreal(obj355,"outer", &reader_lexer_outer_356);
  Object oldself355 = self;
  struct StackFrameObject *oldstackframe355 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe355);
  gc_frame_newslot((Object)stackframe);
  self = obj355;
  Object *oldselfslot355 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter355 = (*(struct UserObject *)self).data[0], lowerouter355 = thisouter355;
  if (inheritingObject355) {
    struct UserObject *inho355 = (struct UserObject *)inheritingObject355;
    while (inho355->super != GraceDefaultObject) inho355 = (struct UserObject *)inho355->super;
    inho355->super = obj355;
    self = inheritingObject355;
    *selfslot = self;
    lowerouter355 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter355;
  }
if (objclass355 == NULL) {
  Method *reader357 = addmethodrealflags(obj355, "kind",&reader_lexer_kind_357, MFLAG_DEF);
  reader357->definitionModule = modulename;
  reader357->definitionLine = 169;
}
adddatum2(obj355, alloc_Undefined(), 1);
if (objclass355 == NULL) {
  Method *reader358 = addmethodrealflags(obj355, "value",&reader_lexer_value_358, MFLAG_DEF);
  reader358->definitionModule = modulename;
  reader358->definitionLine = 170;
}
adddatum2(obj355, alloc_Undefined(), 2);
if (objclass355 == NULL) {
  Method *reader359 = addmethodrealflags(obj355, "size",&reader_lexer_size_359, MFLAG_DEF);
  reader359->definitionModule = modulename;
  reader359->definitionLine = 171;
}
adddatum2(obj355, alloc_Undefined(), 3);
  sourceObject = obj355;
// Begin line 168
  setline(168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe360 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe361 = gc_frame_new();
// call case 3: self.outer request
  Object call362 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe361);
// compiled member node returning call362 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call363 = callmethodflags(call362, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe360);
// compiled call node returning call363 (depth = 2)
  struct UserObject *obj355_uo = (struct UserObject *)obj355;
  obj355_uo->super = call363;
  sourceObject = obj355;
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit364 == NULL) {
    strlit364 = alloc_String("rsquare");
    gc_root(strlit364);
  }
// compiled string node returning strlit364 (depth = 2)
  adddatum2(obj355, strlit364, 1);
  sourceObject = obj355;
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit365 == NULL) {
    strlit365 = alloc_String("]");
    gc_root(strlit365);
  }
// compiled string node returning strlit365 (depth = 2)
  adddatum2(obj355, strlit365, 2);
  sourceObject = obj355;
// Begin line 171
  setline(171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num366 = alloc_Float64(1);
// compiled num node returning num366 (depth = 2)
  adddatum2(obj355, num366, 3);
  objclass355 = obj355->class;
  objclass355->definitionModule = modulename;
  objclass355->definitionLine = 167;
  (*(struct UserObject *)self).data[0] = lowerouter355;
  self = oldself355;
  selfslot = oldselfslot355;
  stackframe = oldstackframe355;
  gc_frame_end(frame);
  return obj355;
}
Object meth_lexer_commaToken368(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commaToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject369 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj369 = alloc_userobj2(3,4, objclass369);
  gc_frame_newslot(obj369);
if (objclass369 == NULL) {
  glfree(obj369->class->name);
  obj369->class->name = "commaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj369, self, 0);
  addmethodreal(obj369,"outer", &reader_lexer_outer_370);
  Object oldself369 = self;
  struct StackFrameObject *oldstackframe369 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe369);
  gc_frame_newslot((Object)stackframe);
  self = obj369;
  Object *oldselfslot369 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter369 = (*(struct UserObject *)self).data[0], lowerouter369 = thisouter369;
  if (inheritingObject369) {
    struct UserObject *inho369 = (struct UserObject *)inheritingObject369;
    while (inho369->super != GraceDefaultObject) inho369 = (struct UserObject *)inho369->super;
    inho369->super = obj369;
    self = inheritingObject369;
    *selfslot = self;
    lowerouter369 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter369;
  }
if (objclass369 == NULL) {
  Method *reader371 = addmethodrealflags(obj369, "kind",&reader_lexer_kind_371, MFLAG_DEF);
  reader371->definitionModule = modulename;
  reader371->definitionLine = 175;
}
adddatum2(obj369, alloc_Undefined(), 1);
if (objclass369 == NULL) {
  Method *reader372 = addmethodrealflags(obj369, "value",&reader_lexer_value_372, MFLAG_DEF);
  reader372->definitionModule = modulename;
  reader372->definitionLine = 176;
}
adddatum2(obj369, alloc_Undefined(), 2);
if (objclass369 == NULL) {
  Method *reader373 = addmethodrealflags(obj369, "size",&reader_lexer_size_373, MFLAG_DEF);
  reader373->definitionModule = modulename;
  reader373->definitionLine = 177;
}
adddatum2(obj369, alloc_Undefined(), 3);
  sourceObject = obj369;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe374 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe375 = gc_frame_new();
// call case 3: self.outer request
  Object call376 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe375);
// compiled member node returning call376 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call377 = callmethodflags(call376, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe374);
// compiled call node returning call377 (depth = 2)
  struct UserObject *obj369_uo = (struct UserObject *)obj369;
  obj369_uo->super = call377;
  sourceObject = obj369;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit378 == NULL) {
    strlit378 = alloc_String("comma");
    gc_root(strlit378);
  }
// compiled string node returning strlit378 (depth = 2)
  adddatum2(obj369, strlit378, 1);
  sourceObject = obj369;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit379 == NULL) {
    strlit379 = alloc_String(",");
    gc_root(strlit379);
  }
// compiled string node returning strlit379 (depth = 2)
  adddatum2(obj369, strlit379, 2);
  sourceObject = obj369;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num380 = alloc_Float64(1);
// compiled num node returning num380 (depth = 2)
  adddatum2(obj369, num380, 3);
  objclass369 = obj369->class;
  objclass369->definitionModule = modulename;
  objclass369->definitionLine = 173;
  (*(struct UserObject *)self).data[0] = lowerouter369;
  self = oldself369;
  selfslot = oldselfslot369;
  stackframe = oldstackframe369;
  gc_frame_end(frame);
  return obj369;
}
Object meth_lexer_commaToken368_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "commaToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject369 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj369 = alloc_userobj2(3,4, objclass369);
  gc_frame_newslot(obj369);
if (objclass369 == NULL) {
  glfree(obj369->class->name);
  obj369->class->name = "commaToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj369, self, 0);
  addmethodreal(obj369,"outer", &reader_lexer_outer_370);
  Object oldself369 = self;
  struct StackFrameObject *oldstackframe369 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe369);
  gc_frame_newslot((Object)stackframe);
  self = obj369;
  Object *oldselfslot369 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter369 = (*(struct UserObject *)self).data[0], lowerouter369 = thisouter369;
  if (inheritingObject369) {
    struct UserObject *inho369 = (struct UserObject *)inheritingObject369;
    while (inho369->super != GraceDefaultObject) inho369 = (struct UserObject *)inho369->super;
    inho369->super = obj369;
    self = inheritingObject369;
    *selfslot = self;
    lowerouter369 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter369;
  }
if (objclass369 == NULL) {
  Method *reader371 = addmethodrealflags(obj369, "kind",&reader_lexer_kind_371, MFLAG_DEF);
  reader371->definitionModule = modulename;
  reader371->definitionLine = 175;
}
adddatum2(obj369, alloc_Undefined(), 1);
if (objclass369 == NULL) {
  Method *reader372 = addmethodrealflags(obj369, "value",&reader_lexer_value_372, MFLAG_DEF);
  reader372->definitionModule = modulename;
  reader372->definitionLine = 176;
}
adddatum2(obj369, alloc_Undefined(), 2);
if (objclass369 == NULL) {
  Method *reader373 = addmethodrealflags(obj369, "size",&reader_lexer_size_373, MFLAG_DEF);
  reader373->definitionModule = modulename;
  reader373->definitionLine = 177;
}
adddatum2(obj369, alloc_Undefined(), 3);
  sourceObject = obj369;
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe374 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe375 = gc_frame_new();
// call case 3: self.outer request
  Object call376 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe375);
// compiled member node returning call376 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call377 = callmethodflags(call376, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe374);
// compiled call node returning call377 (depth = 2)
  struct UserObject *obj369_uo = (struct UserObject *)obj369;
  obj369_uo->super = call377;
  sourceObject = obj369;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit378 == NULL) {
    strlit378 = alloc_String("comma");
    gc_root(strlit378);
  }
// compiled string node returning strlit378 (depth = 2)
  adddatum2(obj369, strlit378, 1);
  sourceObject = obj369;
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit379 == NULL) {
    strlit379 = alloc_String(",");
    gc_root(strlit379);
  }
// compiled string node returning strlit379 (depth = 2)
  adddatum2(obj369, strlit379, 2);
  sourceObject = obj369;
// Begin line 177
  setline(177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num380 = alloc_Float64(1);
// compiled num node returning num380 (depth = 2)
  adddatum2(obj369, num380, 3);
  objclass369 = obj369->class;
  objclass369->definitionModule = modulename;
  objclass369->definitionLine = 173;
  (*(struct UserObject *)self).data[0] = lowerouter369;
  self = oldself369;
  selfslot = oldselfslot369;
  stackframe = oldstackframe369;
  gc_frame_end(frame);
  return obj369;
}
Object meth_lexer_colonToken382(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "colonToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject383 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj383 = alloc_userobj2(3,4, objclass383);
  gc_frame_newslot(obj383);
if (objclass383 == NULL) {
  glfree(obj383->class->name);
  obj383->class->name = "colonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj383, self, 0);
  addmethodreal(obj383,"outer", &reader_lexer_outer_384);
  Object oldself383 = self;
  struct StackFrameObject *oldstackframe383 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe383);
  gc_frame_newslot((Object)stackframe);
  self = obj383;
  Object *oldselfslot383 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter383 = (*(struct UserObject *)self).data[0], lowerouter383 = thisouter383;
  if (inheritingObject383) {
    struct UserObject *inho383 = (struct UserObject *)inheritingObject383;
    while (inho383->super != GraceDefaultObject) inho383 = (struct UserObject *)inho383->super;
    inho383->super = obj383;
    self = inheritingObject383;
    *selfslot = self;
    lowerouter383 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter383;
  }
if (objclass383 == NULL) {
  Method *reader385 = addmethodrealflags(obj383, "kind",&reader_lexer_kind_385, MFLAG_DEF);
  reader385->definitionModule = modulename;
  reader385->definitionLine = 181;
}
adddatum2(obj383, alloc_Undefined(), 1);
if (objclass383 == NULL) {
  Method *reader386 = addmethodrealflags(obj383, "value",&reader_lexer_value_386, MFLAG_DEF);
  reader386->definitionModule = modulename;
  reader386->definitionLine = 182;
}
adddatum2(obj383, alloc_Undefined(), 2);
if (objclass383 == NULL) {
  Method *reader387 = addmethodrealflags(obj383, "size",&reader_lexer_size_387, MFLAG_DEF);
  reader387->definitionModule = modulename;
  reader387->definitionLine = 183;
}
adddatum2(obj383, alloc_Undefined(), 3);
  sourceObject = obj383;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe388 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe389 = gc_frame_new();
// call case 3: self.outer request
  Object call390 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe389);
// compiled member node returning call390 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call391 = callmethodflags(call390, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe388);
// compiled call node returning call391 (depth = 2)
  struct UserObject *obj383_uo = (struct UserObject *)obj383;
  obj383_uo->super = call391;
  sourceObject = obj383;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit392 == NULL) {
    strlit392 = alloc_String("colon");
    gc_root(strlit392);
  }
// compiled string node returning strlit392 (depth = 2)
  adddatum2(obj383, strlit392, 1);
  sourceObject = obj383;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit393 == NULL) {
    strlit393 = alloc_String(":");
    gc_root(strlit393);
  }
// compiled string node returning strlit393 (depth = 2)
  adddatum2(obj383, strlit393, 2);
  sourceObject = obj383;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num394 = alloc_Float64(1);
// compiled num node returning num394 (depth = 2)
  adddatum2(obj383, num394, 3);
  objclass383 = obj383->class;
  objclass383->definitionModule = modulename;
  objclass383->definitionLine = 179;
  (*(struct UserObject *)self).data[0] = lowerouter383;
  self = oldself383;
  selfslot = oldselfslot383;
  stackframe = oldstackframe383;
  gc_frame_end(frame);
  return obj383;
}
Object meth_lexer_colonToken382_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "colonToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject383 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj383 = alloc_userobj2(3,4, objclass383);
  gc_frame_newslot(obj383);
if (objclass383 == NULL) {
  glfree(obj383->class->name);
  obj383->class->name = "colonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj383, self, 0);
  addmethodreal(obj383,"outer", &reader_lexer_outer_384);
  Object oldself383 = self;
  struct StackFrameObject *oldstackframe383 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe383);
  gc_frame_newslot((Object)stackframe);
  self = obj383;
  Object *oldselfslot383 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter383 = (*(struct UserObject *)self).data[0], lowerouter383 = thisouter383;
  if (inheritingObject383) {
    struct UserObject *inho383 = (struct UserObject *)inheritingObject383;
    while (inho383->super != GraceDefaultObject) inho383 = (struct UserObject *)inho383->super;
    inho383->super = obj383;
    self = inheritingObject383;
    *selfslot = self;
    lowerouter383 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter383;
  }
if (objclass383 == NULL) {
  Method *reader385 = addmethodrealflags(obj383, "kind",&reader_lexer_kind_385, MFLAG_DEF);
  reader385->definitionModule = modulename;
  reader385->definitionLine = 181;
}
adddatum2(obj383, alloc_Undefined(), 1);
if (objclass383 == NULL) {
  Method *reader386 = addmethodrealflags(obj383, "value",&reader_lexer_value_386, MFLAG_DEF);
  reader386->definitionModule = modulename;
  reader386->definitionLine = 182;
}
adddatum2(obj383, alloc_Undefined(), 2);
if (objclass383 == NULL) {
  Method *reader387 = addmethodrealflags(obj383, "size",&reader_lexer_size_387, MFLAG_DEF);
  reader387->definitionModule = modulename;
  reader387->definitionLine = 183;
}
adddatum2(obj383, alloc_Undefined(), 3);
  sourceObject = obj383;
// Begin line 180
  setline(180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe388 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe389 = gc_frame_new();
// call case 3: self.outer request
  Object call390 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe389);
// compiled member node returning call390 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call391 = callmethodflags(call390, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe388);
// compiled call node returning call391 (depth = 2)
  struct UserObject *obj383_uo = (struct UserObject *)obj383;
  obj383_uo->super = call391;
  sourceObject = obj383;
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit392 == NULL) {
    strlit392 = alloc_String("colon");
    gc_root(strlit392);
  }
// compiled string node returning strlit392 (depth = 2)
  adddatum2(obj383, strlit392, 1);
  sourceObject = obj383;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit393 == NULL) {
    strlit393 = alloc_String(":");
    gc_root(strlit393);
  }
// compiled string node returning strlit393 (depth = 2)
  adddatum2(obj383, strlit393, 2);
  sourceObject = obj383;
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num394 = alloc_Float64(1);
// compiled num node returning num394 (depth = 2)
  adddatum2(obj383, num394, 3);
  objclass383 = obj383->class;
  objclass383->definitionModule = modulename;
  objclass383->definitionLine = 179;
  (*(struct UserObject *)self).data[0] = lowerouter383;
  self = oldself383;
  selfslot = oldselfslot383;
  stackframe = oldstackframe383;
  gc_frame_end(frame);
  return obj383;
}
Object meth_lexer_dotToken396(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dotToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject397 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj397 = alloc_userobj2(3,4, objclass397);
  gc_frame_newslot(obj397);
if (objclass397 == NULL) {
  glfree(obj397->class->name);
  obj397->class->name = "dotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj397, self, 0);
  addmethodreal(obj397,"outer", &reader_lexer_outer_398);
  Object oldself397 = self;
  struct StackFrameObject *oldstackframe397 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe397);
  gc_frame_newslot((Object)stackframe);
  self = obj397;
  Object *oldselfslot397 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter397 = (*(struct UserObject *)self).data[0], lowerouter397 = thisouter397;
  if (inheritingObject397) {
    struct UserObject *inho397 = (struct UserObject *)inheritingObject397;
    while (inho397->super != GraceDefaultObject) inho397 = (struct UserObject *)inho397->super;
    inho397->super = obj397;
    self = inheritingObject397;
    *selfslot = self;
    lowerouter397 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter397;
  }
if (objclass397 == NULL) {
  Method *reader399 = addmethodrealflags(obj397, "kind",&reader_lexer_kind_399, MFLAG_DEF);
  reader399->definitionModule = modulename;
  reader399->definitionLine = 187;
}
adddatum2(obj397, alloc_Undefined(), 1);
if (objclass397 == NULL) {
  Method *reader400 = addmethodrealflags(obj397, "value",&reader_lexer_value_400, MFLAG_DEF);
  reader400->definitionModule = modulename;
  reader400->definitionLine = 188;
}
adddatum2(obj397, alloc_Undefined(), 2);
if (objclass397 == NULL) {
  Method *reader401 = addmethodrealflags(obj397, "size",&reader_lexer_size_401, MFLAG_DEF);
  reader401->definitionModule = modulename;
  reader401->definitionLine = 189;
}
adddatum2(obj397, alloc_Undefined(), 3);
  sourceObject = obj397;
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe402 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe403 = gc_frame_new();
// call case 3: self.outer request
  Object call404 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe403);
// compiled member node returning call404 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call405 = callmethodflags(call404, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe402);
// compiled call node returning call405 (depth = 2)
  struct UserObject *obj397_uo = (struct UserObject *)obj397;
  obj397_uo->super = call405;
  sourceObject = obj397;
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit406 == NULL) {
    strlit406 = alloc_String("dot");
    gc_root(strlit406);
  }
// compiled string node returning strlit406 (depth = 2)
  adddatum2(obj397, strlit406, 1);
  sourceObject = obj397;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit407 == NULL) {
    strlit407 = alloc_String(".");
    gc_root(strlit407);
  }
// compiled string node returning strlit407 (depth = 2)
  adddatum2(obj397, strlit407, 2);
  sourceObject = obj397;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num408 = alloc_Float64(1);
// compiled num node returning num408 (depth = 2)
  adddatum2(obj397, num408, 3);
  objclass397 = obj397->class;
  objclass397->definitionModule = modulename;
  objclass397->definitionLine = 185;
  (*(struct UserObject *)self).data[0] = lowerouter397;
  self = oldself397;
  selfslot = oldselfslot397;
  stackframe = oldstackframe397;
  gc_frame_end(frame);
  return obj397;
}
Object meth_lexer_dotToken396_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "dotToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject397 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj397 = alloc_userobj2(3,4, objclass397);
  gc_frame_newslot(obj397);
if (objclass397 == NULL) {
  glfree(obj397->class->name);
  obj397->class->name = "dotToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj397, self, 0);
  addmethodreal(obj397,"outer", &reader_lexer_outer_398);
  Object oldself397 = self;
  struct StackFrameObject *oldstackframe397 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe397);
  gc_frame_newslot((Object)stackframe);
  self = obj397;
  Object *oldselfslot397 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter397 = (*(struct UserObject *)self).data[0], lowerouter397 = thisouter397;
  if (inheritingObject397) {
    struct UserObject *inho397 = (struct UserObject *)inheritingObject397;
    while (inho397->super != GraceDefaultObject) inho397 = (struct UserObject *)inho397->super;
    inho397->super = obj397;
    self = inheritingObject397;
    *selfslot = self;
    lowerouter397 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter397;
  }
if (objclass397 == NULL) {
  Method *reader399 = addmethodrealflags(obj397, "kind",&reader_lexer_kind_399, MFLAG_DEF);
  reader399->definitionModule = modulename;
  reader399->definitionLine = 187;
}
adddatum2(obj397, alloc_Undefined(), 1);
if (objclass397 == NULL) {
  Method *reader400 = addmethodrealflags(obj397, "value",&reader_lexer_value_400, MFLAG_DEF);
  reader400->definitionModule = modulename;
  reader400->definitionLine = 188;
}
adddatum2(obj397, alloc_Undefined(), 2);
if (objclass397 == NULL) {
  Method *reader401 = addmethodrealflags(obj397, "size",&reader_lexer_size_401, MFLAG_DEF);
  reader401->definitionModule = modulename;
  reader401->definitionLine = 189;
}
adddatum2(obj397, alloc_Undefined(), 3);
  sourceObject = obj397;
// Begin line 186
  setline(186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe402 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe403 = gc_frame_new();
// call case 3: self.outer request
  Object call404 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe403);
// compiled member node returning call404 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call405 = callmethodflags(call404, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe402);
// compiled call node returning call405 (depth = 2)
  struct UserObject *obj397_uo = (struct UserObject *)obj397;
  obj397_uo->super = call405;
  sourceObject = obj397;
// Begin line 187
  setline(187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit406 == NULL) {
    strlit406 = alloc_String("dot");
    gc_root(strlit406);
  }
// compiled string node returning strlit406 (depth = 2)
  adddatum2(obj397, strlit406, 1);
  sourceObject = obj397;
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit407 == NULL) {
    strlit407 = alloc_String(".");
    gc_root(strlit407);
  }
// compiled string node returning strlit407 (depth = 2)
  adddatum2(obj397, strlit407, 2);
  sourceObject = obj397;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num408 = alloc_Float64(1);
// compiled num node returning num408 (depth = 2)
  adddatum2(obj397, num408, 3);
  objclass397 = obj397->class;
  objclass397->definitionModule = modulename;
  objclass397->definitionLine = 185;
  (*(struct UserObject *)self).data[0] = lowerouter397;
  self = oldself397;
  selfslot = oldselfslot397;
  stackframe = oldstackframe397;
  gc_frame_end(frame);
  return obj397;
}
Object meth_lexer_numToken_40_2_41_410(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numToken(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method numToken(_,_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for numToken(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part numToken(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject411 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj411 = alloc_userobj2(4,5, objclass411);
  gc_frame_newslot(obj411);
if (objclass411 == NULL) {
  glfree(obj411->class->name);
  obj411->class->name = "numToken(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj411, self, 0);
  addmethodreal(obj411,"outer", &reader_lexer_outer_412);
  Object oldself411 = self;
  struct StackFrameObject *oldstackframe411 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe411);
  gc_frame_newslot((Object)stackframe);
  self = obj411;
  Object *oldselfslot411 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter411 = (*(struct UserObject *)self).data[0], lowerouter411 = thisouter411;
  if (inheritingObject411) {
    struct UserObject *inho411 = (struct UserObject *)inheritingObject411;
    while (inho411->super != GraceDefaultObject) inho411 = (struct UserObject *)inho411->super;
    inho411->super = obj411;
    self = inheritingObject411;
    *selfslot = self;
    lowerouter411 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter411;
  }
if (objclass411 == NULL) {
  Method *reader413 = addmethodrealflags(obj411, "kind",&reader_lexer_kind_413, MFLAG_DEF);
  reader413->definitionModule = modulename;
  reader413->definitionLine = 193;
}
adddatum2(obj411, alloc_Undefined(), 1);
if (objclass411 == NULL) {
  Method *reader414 = addmethodrealflags(obj411, "value",&reader_lexer_value_414, MFLAG_DEF);
  reader414->definitionModule = modulename;
  reader414->definitionLine = 194;
}
adddatum2(obj411, alloc_Undefined(), 2);
if (objclass411 == NULL) {
  Method *reader415 = addmethodrealflags(obj411, "base",&reader_lexer_base_415, MFLAG_DEF);
  reader415->definitionModule = modulename;
  reader415->definitionLine = 195;
}
adddatum2(obj411, alloc_Undefined(), 3);
if (objclass411 == NULL) {
  Method *reader416 = addmethodrealflags(obj411, "size",&reader_lexer_size_416, MFLAG_DEF);
  reader416->definitionModule = modulename;
  reader416->definitionLine = 196;
}
adddatum2(obj411, alloc_Undefined(), 4);
  sourceObject = obj411;
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe417 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe418 = gc_frame_new();
// call case 3: self.outer request
  Object call419 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe418);
// compiled member node returning call419 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call420 = callmethodflags(call419, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe417);
// compiled call node returning call420 (depth = 2)
  struct UserObject *obj411_uo = (struct UserObject *)obj411;
  obj411_uo->super = call420;
  sourceObject = obj411;
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit421 == NULL) {
    strlit421 = alloc_String("num");
    gc_root(strlit421);
  }
// compiled string node returning strlit421 (depth = 2)
  adddatum2(obj411, strlit421, 1);
  sourceObject = obj411;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj411, *var_v, 2);
  sourceObject = obj411;
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_b (depth = 2)
  adddatum2(obj411, *var_b, 3);
  sourceObject = obj411;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe423 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe424 = gc_frame_new();
// call case 3: self.outer request
  Object call425 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe424);
// compiled member node returning call425 (depth = 4)
  Object call426 = callmethodflags(call425, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe423);
// compiled member node returning call426 (depth = 3)
  int op_slot_right_422 = gc_frame_newslot(call426);
// starting to compile member node (depth = 3)
  int callframe428 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe429 = gc_frame_new();
// call case 3: self.outer request
  Object call430 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe429);
// compiled member node returning call430 (depth = 4)
  Object call431 = callmethodflags(call430, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe428);
// compiled member node returning call431 (depth = 3)
  int op_slot_left_422 = gc_frame_newslot(call431);
  params[0] = call426;
  partcv[0] = 1;
  Object diff432 = callmethod(call431, "-(1)", 1, partcv, params);
// compiled op node returning diff432 (depth = 2)
  adddatum2(obj411, diff432, 4);
  objclass411 = obj411->class;
  objclass411->definitionModule = modulename;
  objclass411->definitionLine = 191;
  (*(struct UserObject *)self).data[0] = lowerouter411;
  self = oldself411;
  selfslot = oldselfslot411;
  stackframe = oldstackframe411;
  gc_frame_end(frame);
  return obj411;
}
Object meth_lexer_numToken_40_2_41_410_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "numToken(2)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments for method numToken(_,_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for numToken(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  Object *var_b = &(stackframe->slots[1]);
  *var_b = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part numToken(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject411 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj411 = alloc_userobj2(4,5, objclass411);
  gc_frame_newslot(obj411);
if (objclass411 == NULL) {
  glfree(obj411->class->name);
  obj411->class->name = "numToken(_,_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj411, self, 0);
  addmethodreal(obj411,"outer", &reader_lexer_outer_412);
  Object oldself411 = self;
  struct StackFrameObject *oldstackframe411 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe411);
  gc_frame_newslot((Object)stackframe);
  self = obj411;
  Object *oldselfslot411 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter411 = (*(struct UserObject *)self).data[0], lowerouter411 = thisouter411;
  if (inheritingObject411) {
    struct UserObject *inho411 = (struct UserObject *)inheritingObject411;
    while (inho411->super != GraceDefaultObject) inho411 = (struct UserObject *)inho411->super;
    inho411->super = obj411;
    self = inheritingObject411;
    *selfslot = self;
    lowerouter411 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter411;
  }
if (objclass411 == NULL) {
  Method *reader413 = addmethodrealflags(obj411, "kind",&reader_lexer_kind_413, MFLAG_DEF);
  reader413->definitionModule = modulename;
  reader413->definitionLine = 193;
}
adddatum2(obj411, alloc_Undefined(), 1);
if (objclass411 == NULL) {
  Method *reader414 = addmethodrealflags(obj411, "value",&reader_lexer_value_414, MFLAG_DEF);
  reader414->definitionModule = modulename;
  reader414->definitionLine = 194;
}
adddatum2(obj411, alloc_Undefined(), 2);
if (objclass411 == NULL) {
  Method *reader415 = addmethodrealflags(obj411, "base",&reader_lexer_base_415, MFLAG_DEF);
  reader415->definitionModule = modulename;
  reader415->definitionLine = 195;
}
adddatum2(obj411, alloc_Undefined(), 3);
if (objclass411 == NULL) {
  Method *reader416 = addmethodrealflags(obj411, "size",&reader_lexer_size_416, MFLAG_DEF);
  reader416->definitionModule = modulename;
  reader416->definitionLine = 196;
}
adddatum2(obj411, alloc_Undefined(), 4);
  sourceObject = obj411;
// Begin line 192
  setline(192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe417 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe418 = gc_frame_new();
// call case 3: self.outer request
  Object call419 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe418);
// compiled member node returning call419 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call420 = callmethodflags(call419, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe417);
// compiled call node returning call420 (depth = 2)
  struct UserObject *obj411_uo = (struct UserObject *)obj411;
  obj411_uo->super = call420;
  sourceObject = obj411;
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit421 == NULL) {
    strlit421 = alloc_String("num");
    gc_root(strlit421);
  }
// compiled string node returning strlit421 (depth = 2)
  adddatum2(obj411, strlit421, 1);
  sourceObject = obj411;
// Begin line 194
  setline(194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj411, *var_v, 2);
  sourceObject = obj411;
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_b (depth = 2)
  adddatum2(obj411, *var_b, 3);
  sourceObject = obj411;
// Begin line 196
  setline(196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe423 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe424 = gc_frame_new();
// call case 3: self.outer request
  Object call425 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe424);
// compiled member node returning call425 (depth = 4)
  Object call426 = callmethodflags(call425, "startPosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe423);
// compiled member node returning call426 (depth = 3)
  int op_slot_right_422 = gc_frame_newslot(call426);
// starting to compile member node (depth = 3)
  int callframe428 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe429 = gc_frame_new();
// call case 3: self.outer request
  Object call430 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe429);
// compiled member node returning call430 (depth = 4)
  Object call431 = callmethodflags(call430, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe428);
// compiled member node returning call431 (depth = 3)
  int op_slot_left_422 = gc_frame_newslot(call431);
  params[0] = call426;
  partcv[0] = 1;
  Object diff432 = callmethod(call431, "-(1)", 1, partcv, params);
// compiled op node returning diff432 (depth = 2)
  adddatum2(obj411, diff432, 4);
  objclass411 = obj411->class;
  objclass411->definitionModule = modulename;
  objclass411->definitionLine = 191;
  (*(struct UserObject *)self).data[0] = lowerouter411;
  self = oldself411;
  selfslot = oldselfslot411;
  stackframe = oldstackframe411;
  gc_frame_end(frame);
  return obj411;
}
Object meth_lexer_keywordToken_40_1_41_434(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keywordToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method keywordToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywordToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keywordToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject435 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj435 = alloc_userobj2(3,4, objclass435);
  gc_frame_newslot(obj435);
if (objclass435 == NULL) {
  glfree(obj435->class->name);
  obj435->class->name = "keywordToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj435, self, 0);
  addmethodreal(obj435,"outer", &reader_lexer_outer_436);
  Object oldself435 = self;
  struct StackFrameObject *oldstackframe435 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe435);
  gc_frame_newslot((Object)stackframe);
  self = obj435;
  Object *oldselfslot435 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter435 = (*(struct UserObject *)self).data[0], lowerouter435 = thisouter435;
  if (inheritingObject435) {
    struct UserObject *inho435 = (struct UserObject *)inheritingObject435;
    while (inho435->super != GraceDefaultObject) inho435 = (struct UserObject *)inho435->super;
    inho435->super = obj435;
    self = inheritingObject435;
    *selfslot = self;
    lowerouter435 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter435;
  }
if (objclass435 == NULL) {
  Method *reader437 = addmethodrealflags(obj435, "kind",&reader_lexer_kind_437, MFLAG_DEF);
  reader437->definitionModule = modulename;
  reader437->definitionLine = 200;
}
adddatum2(obj435, alloc_Undefined(), 1);
if (objclass435 == NULL) {
  Method *reader438 = addmethodrealflags(obj435, "value",&reader_lexer_value_438, MFLAG_DEF);
  reader438->definitionModule = modulename;
  reader438->definitionLine = 201;
}
adddatum2(obj435, alloc_Undefined(), 2);
if (objclass435 == NULL) {
  Method *reader439 = addmethodrealflags(obj435, "size",&reader_lexer_size_439, MFLAG_DEF);
  reader439->definitionModule = modulename;
  reader439->definitionLine = 202;
}
adddatum2(obj435, alloc_Undefined(), 3);
  sourceObject = obj435;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe440 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe441 = gc_frame_new();
// call case 3: self.outer request
  Object call442 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe441);
// compiled member node returning call442 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call443 = callmethodflags(call442, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe440);
// compiled call node returning call443 (depth = 2)
  struct UserObject *obj435_uo = (struct UserObject *)obj435;
  obj435_uo->super = call443;
  sourceObject = obj435;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit444 == NULL) {
    strlit444 = alloc_String("keyword");
    gc_root(strlit444);
  }
// compiled string node returning strlit444 (depth = 2)
  adddatum2(obj435, strlit444, 1);
  sourceObject = obj435;
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj435, *var_v, 2);
  sourceObject = obj435;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe445 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call446 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe445);
// compiled member node returning call446 (depth = 2)
  adddatum2(obj435, call446, 3);
  objclass435 = obj435->class;
  objclass435->definitionModule = modulename;
  objclass435->definitionLine = 198;
  (*(struct UserObject *)self).data[0] = lowerouter435;
  self = oldself435;
  selfslot = oldselfslot435;
  stackframe = oldstackframe435;
  gc_frame_end(frame);
  return obj435;
}
Object meth_lexer_keywordToken_40_1_41_434_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "keywordToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method keywordToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for keywordToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part keywordToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject435 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj435 = alloc_userobj2(3,4, objclass435);
  gc_frame_newslot(obj435);
if (objclass435 == NULL) {
  glfree(obj435->class->name);
  obj435->class->name = "keywordToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj435, self, 0);
  addmethodreal(obj435,"outer", &reader_lexer_outer_436);
  Object oldself435 = self;
  struct StackFrameObject *oldstackframe435 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe435);
  gc_frame_newslot((Object)stackframe);
  self = obj435;
  Object *oldselfslot435 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter435 = (*(struct UserObject *)self).data[0], lowerouter435 = thisouter435;
  if (inheritingObject435) {
    struct UserObject *inho435 = (struct UserObject *)inheritingObject435;
    while (inho435->super != GraceDefaultObject) inho435 = (struct UserObject *)inho435->super;
    inho435->super = obj435;
    self = inheritingObject435;
    *selfslot = self;
    lowerouter435 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter435;
  }
if (objclass435 == NULL) {
  Method *reader437 = addmethodrealflags(obj435, "kind",&reader_lexer_kind_437, MFLAG_DEF);
  reader437->definitionModule = modulename;
  reader437->definitionLine = 200;
}
adddatum2(obj435, alloc_Undefined(), 1);
if (objclass435 == NULL) {
  Method *reader438 = addmethodrealflags(obj435, "value",&reader_lexer_value_438, MFLAG_DEF);
  reader438->definitionModule = modulename;
  reader438->definitionLine = 201;
}
adddatum2(obj435, alloc_Undefined(), 2);
if (objclass435 == NULL) {
  Method *reader439 = addmethodrealflags(obj435, "size",&reader_lexer_size_439, MFLAG_DEF);
  reader439->definitionModule = modulename;
  reader439->definitionLine = 202;
}
adddatum2(obj435, alloc_Undefined(), 3);
  sourceObject = obj435;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe440 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe441 = gc_frame_new();
// call case 3: self.outer request
  Object call442 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe441);
// compiled member node returning call442 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call443 = callmethodflags(call442, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe440);
// compiled call node returning call443 (depth = 2)
  struct UserObject *obj435_uo = (struct UserObject *)obj435;
  obj435_uo->super = call443;
  sourceObject = obj435;
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit444 == NULL) {
    strlit444 = alloc_String("keyword");
    gc_root(strlit444);
  }
// compiled string node returning strlit444 (depth = 2)
  adddatum2(obj435, strlit444, 1);
  sourceObject = obj435;
// Begin line 201
  setline(201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj435, *var_v, 2);
  sourceObject = obj435;
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe445 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call446 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe445);
// compiled member node returning call446 (depth = 2)
  adddatum2(obj435, call446, 3);
  objclass435 = obj435->class;
  objclass435->definitionModule = modulename;
  objclass435->definitionLine = 198;
  (*(struct UserObject *)self).data[0] = lowerouter435;
  self = oldself435;
  selfslot = oldselfslot435;
  stackframe = oldstackframe435;
  gc_frame_end(frame);
  return obj435;
}
Object meth_lexer_opToken_40_1_41_448(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "opToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method opToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for opToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part opToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject449 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj449 = alloc_userobj2(3,4, objclass449);
  gc_frame_newslot(obj449);
if (objclass449 == NULL) {
  glfree(obj449->class->name);
  obj449->class->name = "opToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj449, self, 0);
  addmethodreal(obj449,"outer", &reader_lexer_outer_450);
  Object oldself449 = self;
  struct StackFrameObject *oldstackframe449 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe449);
  gc_frame_newslot((Object)stackframe);
  self = obj449;
  Object *oldselfslot449 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter449 = (*(struct UserObject *)self).data[0], lowerouter449 = thisouter449;
  if (inheritingObject449) {
    struct UserObject *inho449 = (struct UserObject *)inheritingObject449;
    while (inho449->super != GraceDefaultObject) inho449 = (struct UserObject *)inho449->super;
    inho449->super = obj449;
    self = inheritingObject449;
    *selfslot = self;
    lowerouter449 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter449;
  }
if (objclass449 == NULL) {
  Method *reader451 = addmethodrealflags(obj449, "kind",&reader_lexer_kind_451, MFLAG_DEF);
  reader451->definitionModule = modulename;
  reader451->definitionLine = 206;
}
adddatum2(obj449, alloc_Undefined(), 1);
if (objclass449 == NULL) {
  Method *reader452 = addmethodrealflags(obj449, "value",&reader_lexer_value_452, MFLAG_DEF);
  reader452->definitionModule = modulename;
  reader452->definitionLine = 207;
}
adddatum2(obj449, alloc_Undefined(), 2);
if (objclass449 == NULL) {
  Method *reader453 = addmethodrealflags(obj449, "size",&reader_lexer_size_453, MFLAG_DEF);
  reader453->definitionModule = modulename;
  reader453->definitionLine = 208;
}
adddatum2(obj449, alloc_Undefined(), 3);
  sourceObject = obj449;
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe454 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe455 = gc_frame_new();
// call case 3: self.outer request
  Object call456 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe455);
// compiled member node returning call456 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call457 = callmethodflags(call456, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe454);
// compiled call node returning call457 (depth = 2)
  struct UserObject *obj449_uo = (struct UserObject *)obj449;
  obj449_uo->super = call457;
  sourceObject = obj449;
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit458 == NULL) {
    strlit458 = alloc_String("op");
    gc_root(strlit458);
  }
// compiled string node returning strlit458 (depth = 2)
  adddatum2(obj449, strlit458, 1);
  sourceObject = obj449;
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj449, *var_v, 2);
  sourceObject = obj449;
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe459 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call460 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe459);
// compiled member node returning call460 (depth = 2)
  adddatum2(obj449, call460, 3);
  objclass449 = obj449->class;
  objclass449->definitionModule = modulename;
  objclass449->definitionLine = 204;
  (*(struct UserObject *)self).data[0] = lowerouter449;
  self = oldself449;
  selfslot = oldselfslot449;
  stackframe = oldstackframe449;
  gc_frame_end(frame);
  return obj449;
}
Object meth_lexer_opToken_40_1_41_448_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "opToken(1)$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments for method opToken(_)");
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for opToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_v = &(stackframe->slots[0]);
  *var_v = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part opToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject449 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj449 = alloc_userobj2(3,4, objclass449);
  gc_frame_newslot(obj449);
if (objclass449 == NULL) {
  glfree(obj449->class->name);
  obj449->class->name = "opToken(_)";
}
// OBJECT OUTER DEC outer
  adddatum2(obj449, self, 0);
  addmethodreal(obj449,"outer", &reader_lexer_outer_450);
  Object oldself449 = self;
  struct StackFrameObject *oldstackframe449 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe449);
  gc_frame_newslot((Object)stackframe);
  self = obj449;
  Object *oldselfslot449 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter449 = (*(struct UserObject *)self).data[0], lowerouter449 = thisouter449;
  if (inheritingObject449) {
    struct UserObject *inho449 = (struct UserObject *)inheritingObject449;
    while (inho449->super != GraceDefaultObject) inho449 = (struct UserObject *)inho449->super;
    inho449->super = obj449;
    self = inheritingObject449;
    *selfslot = self;
    lowerouter449 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter449;
  }
if (objclass449 == NULL) {
  Method *reader451 = addmethodrealflags(obj449, "kind",&reader_lexer_kind_451, MFLAG_DEF);
  reader451->definitionModule = modulename;
  reader451->definitionLine = 206;
}
adddatum2(obj449, alloc_Undefined(), 1);
if (objclass449 == NULL) {
  Method *reader452 = addmethodrealflags(obj449, "value",&reader_lexer_value_452, MFLAG_DEF);
  reader452->definitionModule = modulename;
  reader452->definitionLine = 207;
}
adddatum2(obj449, alloc_Undefined(), 2);
if (objclass449 == NULL) {
  Method *reader453 = addmethodrealflags(obj449, "size",&reader_lexer_size_453, MFLAG_DEF);
  reader453->definitionModule = modulename;
  reader453->definitionLine = 208;
}
adddatum2(obj449, alloc_Undefined(), 3);
  sourceObject = obj449;
// Begin line 205
  setline(205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe454 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe455 = gc_frame_new();
// call case 3: self.outer request
  Object call456 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe455);
// compiled member node returning call456 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call457 = callmethodflags(call456, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe454);
// compiled call node returning call457 (depth = 2)
  struct UserObject *obj449_uo = (struct UserObject *)obj449;
  obj449_uo->super = call457;
  sourceObject = obj449;
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit458 == NULL) {
    strlit458 = alloc_String("op");
    gc_root(strlit458);
  }
// compiled string node returning strlit458 (depth = 2)
  adddatum2(obj449, strlit458, 1);
  sourceObject = obj449;
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_v (depth = 2)
  adddatum2(obj449, *var_v, 2);
  sourceObject = obj449;
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe459 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_v (depth = 3)
  Object call460 = callmethodflags(*var_v, "size", 0, partcv, params, 0);
  gc_frame_end(callframe459);
// compiled member node returning call460 (depth = 2)
  adddatum2(obj449, call460, 3);
  objclass449 = obj449->class;
  objclass449->definitionModule = modulename;
  objclass449->definitionLine = 204;
  (*(struct UserObject *)self).data[0] = lowerouter449;
  self = oldself449;
  selfslot = oldselfslot449;
  stackframe = oldstackframe449;
  gc_frame_end(frame);
  return obj449;
}
Object meth_lexer_arrowToken462(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arrowToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject463 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj463 = alloc_userobj2(3,4, objclass463);
  gc_frame_newslot(obj463);
if (objclass463 == NULL) {
  glfree(obj463->class->name);
  obj463->class->name = "arrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj463, self, 0);
  addmethodreal(obj463,"outer", &reader_lexer_outer_464);
  Object oldself463 = self;
  struct StackFrameObject *oldstackframe463 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe463);
  gc_frame_newslot((Object)stackframe);
  self = obj463;
  Object *oldselfslot463 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter463 = (*(struct UserObject *)self).data[0], lowerouter463 = thisouter463;
  if (inheritingObject463) {
    struct UserObject *inho463 = (struct UserObject *)inheritingObject463;
    while (inho463->super != GraceDefaultObject) inho463 = (struct UserObject *)inho463->super;
    inho463->super = obj463;
    self = inheritingObject463;
    *selfslot = self;
    lowerouter463 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter463;
  }
if (objclass463 == NULL) {
  Method *reader465 = addmethodrealflags(obj463, "kind",&reader_lexer_kind_465, MFLAG_DEF);
  reader465->definitionModule = modulename;
  reader465->definitionLine = 212;
}
adddatum2(obj463, alloc_Undefined(), 1);
if (objclass463 == NULL) {
  Method *reader466 = addmethodrealflags(obj463, "value",&reader_lexer_value_466, MFLAG_DEF);
  reader466->definitionModule = modulename;
  reader466->definitionLine = 213;
}
adddatum2(obj463, alloc_Undefined(), 2);
if (objclass463 == NULL) {
  Method *reader467 = addmethodrealflags(obj463, "size",&reader_lexer_size_467, MFLAG_DEF);
  reader467->definitionModule = modulename;
  reader467->definitionLine = 214;
}
adddatum2(obj463, alloc_Undefined(), 3);
  sourceObject = obj463;
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe468 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe469 = gc_frame_new();
// call case 3: self.outer request
  Object call470 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe469);
// compiled member node returning call470 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call471 = callmethodflags(call470, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe468);
// compiled call node returning call471 (depth = 2)
  struct UserObject *obj463_uo = (struct UserObject *)obj463;
  obj463_uo->super = call471;
  sourceObject = obj463;
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit472 == NULL) {
    strlit472 = alloc_String("arrow");
    gc_root(strlit472);
  }
// compiled string node returning strlit472 (depth = 2)
  adddatum2(obj463, strlit472, 1);
  sourceObject = obj463;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit473 == NULL) {
    strlit473 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit473);
  }
// compiled string node returning strlit473 (depth = 2)
  adddatum2(obj463, strlit473, 2);
  sourceObject = obj463;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num474 = alloc_Float64(1);
// compiled num node returning num474 (depth = 2)
  adddatum2(obj463, num474, 3);
  objclass463 = obj463->class;
  objclass463->definitionModule = modulename;
  objclass463->definitionLine = 210;
  (*(struct UserObject *)self).data[0] = lowerouter463;
  self = oldself463;
  selfslot = oldselfslot463;
  stackframe = oldstackframe463;
  gc_frame_end(frame);
  return obj463;
}
Object meth_lexer_arrowToken462_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "arrowToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject463 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj463 = alloc_userobj2(3,4, objclass463);
  gc_frame_newslot(obj463);
if (objclass463 == NULL) {
  glfree(obj463->class->name);
  obj463->class->name = "arrowToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj463, self, 0);
  addmethodreal(obj463,"outer", &reader_lexer_outer_464);
  Object oldself463 = self;
  struct StackFrameObject *oldstackframe463 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe463);
  gc_frame_newslot((Object)stackframe);
  self = obj463;
  Object *oldselfslot463 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter463 = (*(struct UserObject *)self).data[0], lowerouter463 = thisouter463;
  if (inheritingObject463) {
    struct UserObject *inho463 = (struct UserObject *)inheritingObject463;
    while (inho463->super != GraceDefaultObject) inho463 = (struct UserObject *)inho463->super;
    inho463->super = obj463;
    self = inheritingObject463;
    *selfslot = self;
    lowerouter463 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter463;
  }
if (objclass463 == NULL) {
  Method *reader465 = addmethodrealflags(obj463, "kind",&reader_lexer_kind_465, MFLAG_DEF);
  reader465->definitionModule = modulename;
  reader465->definitionLine = 212;
}
adddatum2(obj463, alloc_Undefined(), 1);
if (objclass463 == NULL) {
  Method *reader466 = addmethodrealflags(obj463, "value",&reader_lexer_value_466, MFLAG_DEF);
  reader466->definitionModule = modulename;
  reader466->definitionLine = 213;
}
adddatum2(obj463, alloc_Undefined(), 2);
if (objclass463 == NULL) {
  Method *reader467 = addmethodrealflags(obj463, "size",&reader_lexer_size_467, MFLAG_DEF);
  reader467->definitionModule = modulename;
  reader467->definitionLine = 214;
}
adddatum2(obj463, alloc_Undefined(), 3);
  sourceObject = obj463;
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe468 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe469 = gc_frame_new();
// call case 3: self.outer request
  Object call470 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe469);
// compiled member node returning call470 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call471 = callmethodflags(call470, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe468);
// compiled call node returning call471 (depth = 2)
  struct UserObject *obj463_uo = (struct UserObject *)obj463;
  obj463_uo->super = call471;
  sourceObject = obj463;
// Begin line 212
  setline(212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit472 == NULL) {
    strlit472 = alloc_String("arrow");
    gc_root(strlit472);
  }
// compiled string node returning strlit472 (depth = 2)
  adddatum2(obj463, strlit472, 1);
  sourceObject = obj463;
// Begin line 213
  setline(213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit473 == NULL) {
    strlit473 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit473);
  }
// compiled string node returning strlit473 (depth = 2)
  adddatum2(obj463, strlit473, 2);
  sourceObject = obj463;
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num474 = alloc_Float64(1);
// compiled num node returning num474 (depth = 2)
  adddatum2(obj463, num474, 3);
  objclass463 = obj463->class;
  objclass463->definitionModule = modulename;
  objclass463->definitionLine = 210;
  (*(struct UserObject *)self).data[0] = lowerouter463;
  self = oldself463;
  selfslot = oldselfslot463;
  stackframe = oldstackframe463;
  gc_frame_end(frame);
  return obj463;
}
Object meth_lexer_bindToken476(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "bindToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject477 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj477 = alloc_userobj2(3,4, objclass477);
  gc_frame_newslot(obj477);
if (objclass477 == NULL) {
  glfree(obj477->class->name);
  obj477->class->name = "bindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj477, self, 0);
  addmethodreal(obj477,"outer", &reader_lexer_outer_478);
  Object oldself477 = self;
  struct StackFrameObject *oldstackframe477 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe477);
  gc_frame_newslot((Object)stackframe);
  self = obj477;
  Object *oldselfslot477 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter477 = (*(struct UserObject *)self).data[0], lowerouter477 = thisouter477;
  if (inheritingObject477) {
    struct UserObject *inho477 = (struct UserObject *)inheritingObject477;
    while (inho477->super != GraceDefaultObject) inho477 = (struct UserObject *)inho477->super;
    inho477->super = obj477;
    self = inheritingObject477;
    *selfslot = self;
    lowerouter477 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter477;
  }
if (objclass477 == NULL) {
  Method *reader479 = addmethodrealflags(obj477, "kind",&reader_lexer_kind_479, MFLAG_DEF);
  reader479->definitionModule = modulename;
  reader479->definitionLine = 218;
}
adddatum2(obj477, alloc_Undefined(), 1);
if (objclass477 == NULL) {
  Method *reader480 = addmethodrealflags(obj477, "value",&reader_lexer_value_480, MFLAG_DEF);
  reader480->definitionModule = modulename;
  reader480->definitionLine = 219;
}
adddatum2(obj477, alloc_Undefined(), 2);
if (objclass477 == NULL) {
  Method *reader481 = addmethodrealflags(obj477, "size",&reader_lexer_size_481, MFLAG_DEF);
  reader481->definitionModule = modulename;
  reader481->definitionLine = 220;
}
adddatum2(obj477, alloc_Undefined(), 3);
  sourceObject = obj477;
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe482 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe483 = gc_frame_new();
// call case 3: self.outer request
  Object call484 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe483);
// compiled member node returning call484 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call485 = callmethodflags(call484, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe482);
// compiled call node returning call485 (depth = 2)
  struct UserObject *obj477_uo = (struct UserObject *)obj477;
  obj477_uo->super = call485;
  sourceObject = obj477;
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit486 == NULL) {
    strlit486 = alloc_String("bind");
    gc_root(strlit486);
  }
// compiled string node returning strlit486 (depth = 2)
  adddatum2(obj477, strlit486, 1);
  sourceObject = obj477;
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit487 == NULL) {
    strlit487 = alloc_String(":=");
    gc_root(strlit487);
  }
// compiled string node returning strlit487 (depth = 2)
  adddatum2(obj477, strlit487, 2);
  sourceObject = obj477;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num488 = alloc_Float64(2);
// compiled num node returning num488 (depth = 2)
  adddatum2(obj477, num488, 3);
  objclass477 = obj477->class;
  objclass477->definitionModule = modulename;
  objclass477->definitionLine = 216;
  (*(struct UserObject *)self).data[0] = lowerouter477;
  self = oldself477;
  selfslot = oldselfslot477;
  stackframe = oldstackframe477;
  gc_frame_end(frame);
  return obj477;
}
Object meth_lexer_bindToken476_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "bindToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject477 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj477 = alloc_userobj2(3,4, objclass477);
  gc_frame_newslot(obj477);
if (objclass477 == NULL) {
  glfree(obj477->class->name);
  obj477->class->name = "bindToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj477, self, 0);
  addmethodreal(obj477,"outer", &reader_lexer_outer_478);
  Object oldself477 = self;
  struct StackFrameObject *oldstackframe477 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe477);
  gc_frame_newslot((Object)stackframe);
  self = obj477;
  Object *oldselfslot477 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter477 = (*(struct UserObject *)self).data[0], lowerouter477 = thisouter477;
  if (inheritingObject477) {
    struct UserObject *inho477 = (struct UserObject *)inheritingObject477;
    while (inho477->super != GraceDefaultObject) inho477 = (struct UserObject *)inho477->super;
    inho477->super = obj477;
    self = inheritingObject477;
    *selfslot = self;
    lowerouter477 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter477;
  }
if (objclass477 == NULL) {
  Method *reader479 = addmethodrealflags(obj477, "kind",&reader_lexer_kind_479, MFLAG_DEF);
  reader479->definitionModule = modulename;
  reader479->definitionLine = 218;
}
adddatum2(obj477, alloc_Undefined(), 1);
if (objclass477 == NULL) {
  Method *reader480 = addmethodrealflags(obj477, "value",&reader_lexer_value_480, MFLAG_DEF);
  reader480->definitionModule = modulename;
  reader480->definitionLine = 219;
}
adddatum2(obj477, alloc_Undefined(), 2);
if (objclass477 == NULL) {
  Method *reader481 = addmethodrealflags(obj477, "size",&reader_lexer_size_481, MFLAG_DEF);
  reader481->definitionModule = modulename;
  reader481->definitionLine = 220;
}
adddatum2(obj477, alloc_Undefined(), 3);
  sourceObject = obj477;
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe482 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe483 = gc_frame_new();
// call case 3: self.outer request
  Object call484 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe483);
// compiled member node returning call484 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call485 = callmethodflags(call484, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe482);
// compiled call node returning call485 (depth = 2)
  struct UserObject *obj477_uo = (struct UserObject *)obj477;
  obj477_uo->super = call485;
  sourceObject = obj477;
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit486 == NULL) {
    strlit486 = alloc_String("bind");
    gc_root(strlit486);
  }
// compiled string node returning strlit486 (depth = 2)
  adddatum2(obj477, strlit486, 1);
  sourceObject = obj477;
// Begin line 219
  setline(219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit487 == NULL) {
    strlit487 = alloc_String(":=");
    gc_root(strlit487);
  }
// compiled string node returning strlit487 (depth = 2)
  adddatum2(obj477, strlit487, 2);
  sourceObject = obj477;
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num488 = alloc_Float64(2);
// compiled num node returning num488 (depth = 2)
  adddatum2(obj477, num488, 3);
  objclass477 = obj477->class;
  objclass477->definitionModule = modulename;
  objclass477->definitionLine = 216;
  (*(struct UserObject *)self).data[0] = lowerouter477;
  self = oldself477;
  selfslot = oldselfslot477;
  stackframe = oldstackframe477;
  gc_frame_end(frame);
  return obj477;
}
Object meth_lexer_semicolonToken490(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "semicolonToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject491 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj491 = alloc_userobj2(3,4, objclass491);
  gc_frame_newslot(obj491);
if (objclass491 == NULL) {
  glfree(obj491->class->name);
  obj491->class->name = "semicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj491, self, 0);
  addmethodreal(obj491,"outer", &reader_lexer_outer_492);
  Object oldself491 = self;
  struct StackFrameObject *oldstackframe491 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe491);
  gc_frame_newslot((Object)stackframe);
  self = obj491;
  Object *oldselfslot491 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter491 = (*(struct UserObject *)self).data[0], lowerouter491 = thisouter491;
  if (inheritingObject491) {
    struct UserObject *inho491 = (struct UserObject *)inheritingObject491;
    while (inho491->super != GraceDefaultObject) inho491 = (struct UserObject *)inho491->super;
    inho491->super = obj491;
    self = inheritingObject491;
    *selfslot = self;
    lowerouter491 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter491;
  }
if (objclass491 == NULL) {
  Method *reader493 = addmethodrealflags(obj491, "kind",&reader_lexer_kind_493, MFLAG_DEF);
  reader493->definitionModule = modulename;
  reader493->definitionLine = 224;
}
adddatum2(obj491, alloc_Undefined(), 1);
if (objclass491 == NULL) {
  Method *reader494 = addmethodrealflags(obj491, "value",&reader_lexer_value_494, MFLAG_DEF);
  reader494->definitionModule = modulename;
  reader494->definitionLine = 225;
}
adddatum2(obj491, alloc_Undefined(), 2);
if (objclass491 == NULL) {
  Method *reader495 = addmethodrealflags(obj491, "size",&reader_lexer_size_495, MFLAG_DEF);
  reader495->definitionModule = modulename;
  reader495->definitionLine = 226;
}
adddatum2(obj491, alloc_Undefined(), 3);
  sourceObject = obj491;
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe496 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe497 = gc_frame_new();
// call case 3: self.outer request
  Object call498 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe497);
// compiled member node returning call498 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call499 = callmethodflags(call498, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe496);
// compiled call node returning call499 (depth = 2)
  struct UserObject *obj491_uo = (struct UserObject *)obj491;
  obj491_uo->super = call499;
  sourceObject = obj491;
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit500 == NULL) {
    strlit500 = alloc_String("semicolon");
    gc_root(strlit500);
  }
// compiled string node returning strlit500 (depth = 2)
  adddatum2(obj491, strlit500, 1);
  sourceObject = obj491;
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit501 == NULL) {
    strlit501 = alloc_String(";");
    gc_root(strlit501);
  }
// compiled string node returning strlit501 (depth = 2)
  adddatum2(obj491, strlit501, 2);
  sourceObject = obj491;
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num502 = alloc_Float64(1);
// compiled num node returning num502 (depth = 2)
  adddatum2(obj491, num502, 3);
  objclass491 = obj491->class;
  objclass491->definitionModule = modulename;
  objclass491->definitionLine = 222;
  (*(struct UserObject *)self).data[0] = lowerouter491;
  self = oldself491;
  selfslot = oldselfslot491;
  stackframe = oldstackframe491;
  gc_frame_end(frame);
  return obj491;
}
Object meth_lexer_semicolonToken490_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "semicolonToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject491 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj491 = alloc_userobj2(3,4, objclass491);
  gc_frame_newslot(obj491);
if (objclass491 == NULL) {
  glfree(obj491->class->name);
  obj491->class->name = "semicolonToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj491, self, 0);
  addmethodreal(obj491,"outer", &reader_lexer_outer_492);
  Object oldself491 = self;
  struct StackFrameObject *oldstackframe491 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe491);
  gc_frame_newslot((Object)stackframe);
  self = obj491;
  Object *oldselfslot491 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter491 = (*(struct UserObject *)self).data[0], lowerouter491 = thisouter491;
  if (inheritingObject491) {
    struct UserObject *inho491 = (struct UserObject *)inheritingObject491;
    while (inho491->super != GraceDefaultObject) inho491 = (struct UserObject *)inho491->super;
    inho491->super = obj491;
    self = inheritingObject491;
    *selfslot = self;
    lowerouter491 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter491;
  }
if (objclass491 == NULL) {
  Method *reader493 = addmethodrealflags(obj491, "kind",&reader_lexer_kind_493, MFLAG_DEF);
  reader493->definitionModule = modulename;
  reader493->definitionLine = 224;
}
adddatum2(obj491, alloc_Undefined(), 1);
if (objclass491 == NULL) {
  Method *reader494 = addmethodrealflags(obj491, "value",&reader_lexer_value_494, MFLAG_DEF);
  reader494->definitionModule = modulename;
  reader494->definitionLine = 225;
}
adddatum2(obj491, alloc_Undefined(), 2);
if (objclass491 == NULL) {
  Method *reader495 = addmethodrealflags(obj491, "size",&reader_lexer_size_495, MFLAG_DEF);
  reader495->definitionModule = modulename;
  reader495->definitionLine = 226;
}
adddatum2(obj491, alloc_Undefined(), 3);
  sourceObject = obj491;
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe496 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe497 = gc_frame_new();
// call case 3: self.outer request
  Object call498 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe497);
// compiled member node returning call498 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call499 = callmethodflags(call498, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe496);
// compiled call node returning call499 (depth = 2)
  struct UserObject *obj491_uo = (struct UserObject *)obj491;
  obj491_uo->super = call499;
  sourceObject = obj491;
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit500 == NULL) {
    strlit500 = alloc_String("semicolon");
    gc_root(strlit500);
  }
// compiled string node returning strlit500 (depth = 2)
  adddatum2(obj491, strlit500, 1);
  sourceObject = obj491;
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit501 == NULL) {
    strlit501 = alloc_String(";");
    gc_root(strlit501);
  }
// compiled string node returning strlit501 (depth = 2)
  adddatum2(obj491, strlit501, 2);
  sourceObject = obj491;
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num502 = alloc_Float64(1);
// compiled num node returning num502 (depth = 2)
  adddatum2(obj491, num502, 3);
  objclass491 = obj491->class;
  objclass491->definitionModule = modulename;
  objclass491->definitionLine = 222;
  (*(struct UserObject *)self).data[0] = lowerouter491;
  self = oldself491;
  selfslot = oldselfslot491;
  stackframe = oldstackframe491;
  gc_frame_end(frame);
  return obj491;
}
Object meth_lexer_lGenericToken504(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lGenericToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject505 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj505 = alloc_userobj2(3,4, objclass505);
  gc_frame_newslot(obj505);
if (objclass505 == NULL) {
  glfree(obj505->class->name);
  obj505->class->name = "lGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj505, self, 0);
  addmethodreal(obj505,"outer", &reader_lexer_outer_506);
  Object oldself505 = self;
  struct StackFrameObject *oldstackframe505 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe505);
  gc_frame_newslot((Object)stackframe);
  self = obj505;
  Object *oldselfslot505 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter505 = (*(struct UserObject *)self).data[0], lowerouter505 = thisouter505;
  if (inheritingObject505) {
    struct UserObject *inho505 = (struct UserObject *)inheritingObject505;
    while (inho505->super != GraceDefaultObject) inho505 = (struct UserObject *)inho505->super;
    inho505->super = obj505;
    self = inheritingObject505;
    *selfslot = self;
    lowerouter505 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter505;
  }
if (objclass505 == NULL) {
  Method *reader507 = addmethodrealflags(obj505, "kind",&reader_lexer_kind_507, MFLAG_DEF);
  reader507->definitionModule = modulename;
  reader507->definitionLine = 230;
}
adddatum2(obj505, alloc_Undefined(), 1);
if (objclass505 == NULL) {
  Method *reader508 = addmethodrealflags(obj505, "value",&reader_lexer_value_508, MFLAG_DEF);
  reader508->definitionModule = modulename;
  reader508->definitionLine = 231;
}
adddatum2(obj505, alloc_Undefined(), 2);
if (objclass505 == NULL) {
  Method *reader509 = addmethodrealflags(obj505, "size",&reader_lexer_size_509, MFLAG_DEF);
  reader509->definitionModule = modulename;
  reader509->definitionLine = 232;
}
adddatum2(obj505, alloc_Undefined(), 3);
  sourceObject = obj505;
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe510 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe511 = gc_frame_new();
// call case 3: self.outer request
  Object call512 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe511);
// compiled member node returning call512 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call513 = callmethodflags(call512, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe510);
// compiled call node returning call513 (depth = 2)
  struct UserObject *obj505_uo = (struct UserObject *)obj505;
  obj505_uo->super = call513;
  sourceObject = obj505;
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit514 == NULL) {
    strlit514 = alloc_String("lgeneric");
    gc_root(strlit514);
  }
// compiled string node returning strlit514 (depth = 2)
  adddatum2(obj505, strlit514, 1);
  sourceObject = obj505;
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit515 == NULL) {
    strlit515 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit515);
  }
// compiled string node returning strlit515 (depth = 2)
  adddatum2(obj505, strlit515, 2);
  sourceObject = obj505;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num516 = alloc_Float64(1);
// compiled num node returning num516 (depth = 2)
  adddatum2(obj505, num516, 3);
  objclass505 = obj505->class;
  objclass505->definitionModule = modulename;
  objclass505->definitionLine = 228;
  (*(struct UserObject *)self).data[0] = lowerouter505;
  self = oldself505;
  selfslot = oldselfslot505;
  stackframe = oldstackframe505;
  gc_frame_end(frame);
  return obj505;
}
Object meth_lexer_lGenericToken504_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "lGenericToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject505 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj505 = alloc_userobj2(3,4, objclass505);
  gc_frame_newslot(obj505);
if (objclass505 == NULL) {
  glfree(obj505->class->name);
  obj505->class->name = "lGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj505, self, 0);
  addmethodreal(obj505,"outer", &reader_lexer_outer_506);
  Object oldself505 = self;
  struct StackFrameObject *oldstackframe505 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe505);
  gc_frame_newslot((Object)stackframe);
  self = obj505;
  Object *oldselfslot505 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter505 = (*(struct UserObject *)self).data[0], lowerouter505 = thisouter505;
  if (inheritingObject505) {
    struct UserObject *inho505 = (struct UserObject *)inheritingObject505;
    while (inho505->super != GraceDefaultObject) inho505 = (struct UserObject *)inho505->super;
    inho505->super = obj505;
    self = inheritingObject505;
    *selfslot = self;
    lowerouter505 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter505;
  }
if (objclass505 == NULL) {
  Method *reader507 = addmethodrealflags(obj505, "kind",&reader_lexer_kind_507, MFLAG_DEF);
  reader507->definitionModule = modulename;
  reader507->definitionLine = 230;
}
adddatum2(obj505, alloc_Undefined(), 1);
if (objclass505 == NULL) {
  Method *reader508 = addmethodrealflags(obj505, "value",&reader_lexer_value_508, MFLAG_DEF);
  reader508->definitionModule = modulename;
  reader508->definitionLine = 231;
}
adddatum2(obj505, alloc_Undefined(), 2);
if (objclass505 == NULL) {
  Method *reader509 = addmethodrealflags(obj505, "size",&reader_lexer_size_509, MFLAG_DEF);
  reader509->definitionModule = modulename;
  reader509->definitionLine = 232;
}
adddatum2(obj505, alloc_Undefined(), 3);
  sourceObject = obj505;
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe510 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe511 = gc_frame_new();
// call case 3: self.outer request
  Object call512 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe511);
// compiled member node returning call512 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call513 = callmethodflags(call512, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe510);
// compiled call node returning call513 (depth = 2)
  struct UserObject *obj505_uo = (struct UserObject *)obj505;
  obj505_uo->super = call513;
  sourceObject = obj505;
// Begin line 230
  setline(230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit514 == NULL) {
    strlit514 = alloc_String("lgeneric");
    gc_root(strlit514);
  }
// compiled string node returning strlit514 (depth = 2)
  adddatum2(obj505, strlit514, 1);
  sourceObject = obj505;
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit515 == NULL) {
    strlit515 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit515);
  }
// compiled string node returning strlit515 (depth = 2)
  adddatum2(obj505, strlit515, 2);
  sourceObject = obj505;
// Begin line 232
  setline(232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num516 = alloc_Float64(1);
// compiled num node returning num516 (depth = 2)
  adddatum2(obj505, num516, 3);
  objclass505 = obj505->class;
  objclass505->definitionModule = modulename;
  objclass505->definitionLine = 228;
  (*(struct UserObject *)self).data[0] = lowerouter505;
  self = oldself505;
  selfslot = oldselfslot505;
  stackframe = oldstackframe505;
  gc_frame_end(frame);
  return obj505;
}
Object meth_lexer_rGenericToken518(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rGenericToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject519 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj519 = alloc_userobj2(3,4, objclass519);
  gc_frame_newslot(obj519);
if (objclass519 == NULL) {
  glfree(obj519->class->name);
  obj519->class->name = "rGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj519, self, 0);
  addmethodreal(obj519,"outer", &reader_lexer_outer_520);
  Object oldself519 = self;
  struct StackFrameObject *oldstackframe519 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe519);
  gc_frame_newslot((Object)stackframe);
  self = obj519;
  Object *oldselfslot519 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter519 = (*(struct UserObject *)self).data[0], lowerouter519 = thisouter519;
  if (inheritingObject519) {
    struct UserObject *inho519 = (struct UserObject *)inheritingObject519;
    while (inho519->super != GraceDefaultObject) inho519 = (struct UserObject *)inho519->super;
    inho519->super = obj519;
    self = inheritingObject519;
    *selfslot = self;
    lowerouter519 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter519;
  }
if (objclass519 == NULL) {
  Method *reader521 = addmethodrealflags(obj519, "kind",&reader_lexer_kind_521, MFLAG_DEF);
  reader521->definitionModule = modulename;
  reader521->definitionLine = 236;
}
adddatum2(obj519, alloc_Undefined(), 1);
if (objclass519 == NULL) {
  Method *reader522 = addmethodrealflags(obj519, "value",&reader_lexer_value_522, MFLAG_DEF);
  reader522->definitionModule = modulename;
  reader522->definitionLine = 237;
}
adddatum2(obj519, alloc_Undefined(), 2);
if (objclass519 == NULL) {
  Method *reader523 = addmethodrealflags(obj519, "size",&reader_lexer_size_523, MFLAG_DEF);
  reader523->definitionModule = modulename;
  reader523->definitionLine = 238;
}
adddatum2(obj519, alloc_Undefined(), 3);
  sourceObject = obj519;
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe524 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe525 = gc_frame_new();
// call case 3: self.outer request
  Object call526 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe525);
// compiled member node returning call526 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call527 = callmethodflags(call526, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe524);
// compiled call node returning call527 (depth = 2)
  struct UserObject *obj519_uo = (struct UserObject *)obj519;
  obj519_uo->super = call527;
  sourceObject = obj519;
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit528 == NULL) {
    strlit528 = alloc_String("rgeneric");
    gc_root(strlit528);
  }
// compiled string node returning strlit528 (depth = 2)
  adddatum2(obj519, strlit528, 1);
  sourceObject = obj519;
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit529 == NULL) {
    strlit529 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit529);
  }
// compiled string node returning strlit529 (depth = 2)
  adddatum2(obj519, strlit529, 2);
  sourceObject = obj519;
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num530 = alloc_Float64(1);
// compiled num node returning num530 (depth = 2)
  adddatum2(obj519, num530, 3);
  objclass519 = obj519->class;
  objclass519->definitionModule = modulename;
  objclass519->definitionLine = 234;
  (*(struct UserObject *)self).data[0] = lowerouter519;
  self = oldself519;
  selfslot = oldselfslot519;
  stackframe = oldstackframe519;
  gc_frame_end(frame);
  return obj519;
}
Object meth_lexer_rGenericToken518_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "rGenericToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject519 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj519 = alloc_userobj2(3,4, objclass519);
  gc_frame_newslot(obj519);
if (objclass519 == NULL) {
  glfree(obj519->class->name);
  obj519->class->name = "rGenericToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj519, self, 0);
  addmethodreal(obj519,"outer", &reader_lexer_outer_520);
  Object oldself519 = self;
  struct StackFrameObject *oldstackframe519 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe519);
  gc_frame_newslot((Object)stackframe);
  self = obj519;
  Object *oldselfslot519 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter519 = (*(struct UserObject *)self).data[0], lowerouter519 = thisouter519;
  if (inheritingObject519) {
    struct UserObject *inho519 = (struct UserObject *)inheritingObject519;
    while (inho519->super != GraceDefaultObject) inho519 = (struct UserObject *)inho519->super;
    inho519->super = obj519;
    self = inheritingObject519;
    *selfslot = self;
    lowerouter519 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter519;
  }
if (objclass519 == NULL) {
  Method *reader521 = addmethodrealflags(obj519, "kind",&reader_lexer_kind_521, MFLAG_DEF);
  reader521->definitionModule = modulename;
  reader521->definitionLine = 236;
}
adddatum2(obj519, alloc_Undefined(), 1);
if (objclass519 == NULL) {
  Method *reader522 = addmethodrealflags(obj519, "value",&reader_lexer_value_522, MFLAG_DEF);
  reader522->definitionModule = modulename;
  reader522->definitionLine = 237;
}
adddatum2(obj519, alloc_Undefined(), 2);
if (objclass519 == NULL) {
  Method *reader523 = addmethodrealflags(obj519, "size",&reader_lexer_size_523, MFLAG_DEF);
  reader523->definitionModule = modulename;
  reader523->definitionLine = 238;
}
adddatum2(obj519, alloc_Undefined(), 3);
  sourceObject = obj519;
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe524 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe525 = gc_frame_new();
// call case 3: self.outer request
  Object call526 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe525);
// compiled member node returning call526 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call527 = callmethodflags(call526, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe524);
// compiled call node returning call527 (depth = 2)
  struct UserObject *obj519_uo = (struct UserObject *)obj519;
  obj519_uo->super = call527;
  sourceObject = obj519;
// Begin line 236
  setline(236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit528 == NULL) {
    strlit528 = alloc_String("rgeneric");
    gc_root(strlit528);
  }
// compiled string node returning strlit528 (depth = 2)
  adddatum2(obj519, strlit528, 1);
  sourceObject = obj519;
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit529 == NULL) {
    strlit529 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit529);
  }
// compiled string node returning strlit529 (depth = 2)
  adddatum2(obj519, strlit529, 2);
  sourceObject = obj519;
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num530 = alloc_Float64(1);
// compiled num node returning num530 (depth = 2)
  adddatum2(obj519, num530, 3);
  objclass519 = obj519->class;
  objclass519->definitionModule = modulename;
  objclass519->definitionLine = 234;
  (*(struct UserObject *)self).data[0] = lowerouter519;
  self = oldself519;
  selfslot = oldselfslot519;
  stackframe = oldstackframe519;
  gc_frame_end(frame);
  return obj519;
}
Object meth_lexer_eofToken532(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eofToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject533 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj533 = alloc_userobj2(3,4, objclass533);
  gc_frame_newslot(obj533);
if (objclass533 == NULL) {
  glfree(obj533->class->name);
  obj533->class->name = "eofToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj533, self, 0);
  addmethodreal(obj533,"outer", &reader_lexer_outer_534);
  Object oldself533 = self;
  struct StackFrameObject *oldstackframe533 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe533);
  gc_frame_newslot((Object)stackframe);
  self = obj533;
  Object *oldselfslot533 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter533 = (*(struct UserObject *)self).data[0], lowerouter533 = thisouter533;
  if (inheritingObject533) {
    struct UserObject *inho533 = (struct UserObject *)inheritingObject533;
    while (inho533->super != GraceDefaultObject) inho533 = (struct UserObject *)inho533->super;
    inho533->super = obj533;
    self = inheritingObject533;
    *selfslot = self;
    lowerouter533 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter533;
  }
if (objclass533 == NULL) {
  Method *reader535 = addmethodrealflags(obj533, "kind",&reader_lexer_kind_535, MFLAG_DEF);
  reader535->definitionModule = modulename;
  reader535->definitionLine = 242;
}
adddatum2(obj533, alloc_Undefined(), 1);
if (objclass533 == NULL) {
  Method *reader536 = addmethodrealflags(obj533, "value",&reader_lexer_value_536, MFLAG_DEF);
  reader536->definitionModule = modulename;
  reader536->definitionLine = 243;
}
adddatum2(obj533, alloc_Undefined(), 2);
if (objclass533 == NULL) {
  Method *reader537 = addmethodrealflags(obj533, "size",&reader_lexer_size_537, MFLAG_DEF);
  reader537->definitionModule = modulename;
  reader537->definitionLine = 244;
}
adddatum2(obj533, alloc_Undefined(), 3);
  sourceObject = obj533;
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe538 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe539 = gc_frame_new();
// call case 3: self.outer request
  Object call540 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe539);
// compiled member node returning call540 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call541 = callmethodflags(call540, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe538);
// compiled call node returning call541 (depth = 2)
  struct UserObject *obj533_uo = (struct UserObject *)obj533;
  obj533_uo->super = call541;
  sourceObject = obj533;
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit542 == NULL) {
    strlit542 = alloc_String("eof");
    gc_root(strlit542);
  }
// compiled string node returning strlit542 (depth = 2)
  adddatum2(obj533, strlit542, 1);
  sourceObject = obj533;
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit543 == NULL) {
    strlit543 = alloc_String("");
    gc_root(strlit543);
  }
// compiled string node returning strlit543 (depth = 2)
  adddatum2(obj533, strlit543, 2);
  sourceObject = obj533;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num544 = alloc_Float64(0);
// compiled num node returning num544 (depth = 2)
  adddatum2(obj533, num544, 3);
  objclass533 = obj533->class;
  objclass533->definitionModule = modulename;
  objclass533->definitionLine = 240;
  (*(struct UserObject *)self).data[0] = lowerouter533;
  self = oldself533;
  selfslot = oldselfslot533;
  stackframe = oldstackframe533;
  gc_frame_end(frame);
  return obj533;
}
Object meth_lexer_eofToken532_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "eofToken$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject533 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj533 = alloc_userobj2(3,4, objclass533);
  gc_frame_newslot(obj533);
if (objclass533 == NULL) {
  glfree(obj533->class->name);
  obj533->class->name = "eofToken";
}
// OBJECT OUTER DEC outer
  adddatum2(obj533, self, 0);
  addmethodreal(obj533,"outer", &reader_lexer_outer_534);
  Object oldself533 = self;
  struct StackFrameObject *oldstackframe533 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe533);
  gc_frame_newslot((Object)stackframe);
  self = obj533;
  Object *oldselfslot533 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter533 = (*(struct UserObject *)self).data[0], lowerouter533 = thisouter533;
  if (inheritingObject533) {
    struct UserObject *inho533 = (struct UserObject *)inheritingObject533;
    while (inho533->super != GraceDefaultObject) inho533 = (struct UserObject *)inho533->super;
    inho533->super = obj533;
    self = inheritingObject533;
    *selfslot = self;
    lowerouter533 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter533;
  }
if (objclass533 == NULL) {
  Method *reader535 = addmethodrealflags(obj533, "kind",&reader_lexer_kind_535, MFLAG_DEF);
  reader535->definitionModule = modulename;
  reader535->definitionLine = 242;
}
adddatum2(obj533, alloc_Undefined(), 1);
if (objclass533 == NULL) {
  Method *reader536 = addmethodrealflags(obj533, "value",&reader_lexer_value_536, MFLAG_DEF);
  reader536->definitionModule = modulename;
  reader536->definitionLine = 243;
}
adddatum2(obj533, alloc_Undefined(), 2);
if (objclass533 == NULL) {
  Method *reader537 = addmethodrealflags(obj533, "size",&reader_lexer_size_537, MFLAG_DEF);
  reader537->definitionModule = modulename;
  reader537->definitionLine = 244;
}
adddatum2(obj533, alloc_Undefined(), 3);
  sourceObject = obj533;
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe538 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning self (depth = 3)
  gc_frame_newslot(self);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe539 = gc_frame_new();
// call case 3: self.outer request
  Object call540 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe539);
// compiled member node returning call540 (depth = 3)
  params[0] = self;
  partcv[0] = 0;
  partcv[1] = 1;
  Object call541 = callmethodflags(call540, "token$object(1)", 2, partcv, params, 0);
  gc_frame_end(callframe538);
// compiled call node returning call541 (depth = 2)
  struct UserObject *obj533_uo = (struct UserObject *)obj533;
  obj533_uo->super = call541;
  sourceObject = obj533;
// Begin line 242
  setline(242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit542 == NULL) {
    strlit542 = alloc_String("eof");
    gc_root(strlit542);
  }
// compiled string node returning strlit542 (depth = 2)
  adddatum2(obj533, strlit542, 1);
  sourceObject = obj533;
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 2)
  if (strlit543 == NULL) {
    strlit543 = alloc_String("");
    gc_root(strlit543);
  }
// compiled string node returning strlit543 (depth = 2)
  adddatum2(obj533, strlit543, 2);
  sourceObject = obj533;
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num544 = alloc_Float64(0);
// compiled num node returning num544 (depth = 2)
  adddatum2(obj533, num544, 3);
  objclass533 = obj533->class;
  objclass533->definitionModule = modulename;
  objclass533->definitionLine = 240;
  (*(struct UserObject *)self).data[0] = lowerouter533;
  self = oldself533;
  selfslot = oldselfslot533;
  stackframe = oldstackframe533;
  gc_frame_end(frame);
  return obj533;
}
Object meth_lexer__apply739(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit741 == NULL) {
    strlit741 = alloc_String("dot");
    gc_root(strlit741);
  }
// compiled string node returning strlit741 (depth = 22)
  int op_slot_right_740 = gc_frame_newslot(strlit741);
// starting to compile member node (depth = 22)
  int callframe743 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe744 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_tokens (depth = 24)
  Object call745 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe744);
// compiled member node returning call745 (depth = 23)
  Object call746 = callmethodflags(call745, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe743);
// compiled member node returning call746 (depth = 22)
  int op_slot_left_740 = gc_frame_newslot(call746);
  params[0] = strlit741;
  partcv[0] = 1;
  Object opresult747 = callmethod(call746, "==(1)", 1, partcv, params);
// compiled op node returning opresult747 (depth = 21)
  gc_frame_end(frame);
  return opresult747;
}
Object meth_lexer__apply1153(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_firstNonSpace = getfromclosure(closure, 0);
  Object *var_accum = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 27)
// starting to compile string node (depth = 28)
  if (strlit1155 == NULL) {
    strlit1155 = alloc_String(" ");
    gc_root(strlit1155);
  }
// compiled string node returning strlit1155 (depth = 28)
  int op_slot_right_1154 = gc_frame_newslot(strlit1155);
// starting to compile call node (depth = 28)
  int callframe1157 = gc_frame_new();
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_firstNonSpace (depth = 29)
  gc_frame_newslot(*var_firstNonSpace);
// call case 6: other requests
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_accum (depth = 29)
  params[0] = *var_firstNonSpace;
  partcv[0] = 1;
  Object call1158 = callmethodflags(*var_accum, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1157);
// compiled call node returning call1158 (depth = 28)
  int op_slot_left_1154 = gc_frame_newslot(call1158);
  params[0] = strlit1155;
  partcv[0] = 1;
  Object opresult1159 = callmethod(call1158, "==(1)", 1, partcv, params);
// compiled op node returning opresult1159 (depth = 27)
  gc_frame_end(frame);
  return opresult1159;
}
Object meth_lexer__apply1150(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_firstNonSpace = getfromclosure(closure, 0);
  Object *var_accum = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 25)
// starting to compile block node (depth = 26)
  Object block1152 = alloc_Block(NULL, NULL, "lexer", 399);
  gc_frame_newslot(block1152);
// method "_apply"
  block_savedest(block1152);
  Object closure1153 = createclosure(3, "_apply");
  setclosureframe(closure1153, stackframe);
  addtoclosure(closure1153, var_firstNonSpace);
  addtoclosure(closure1153, var_accum);
  addtoclosure(closure1153, selfslot);
  struct UserObject *uo1153 = (struct UserObject*)block1152;
  uo1153->data[0] = (Object)closure1153;
  Method *meth_meth_lexer__apply1153 = addmethod2pos(block1152, "_apply", &meth_lexer__apply1153, 0);
  int argcv_meth_lexer__apply1153[] = {0};
  meth_meth_lexer__apply1153->type = alloc_MethodType(1, argcv_meth_lexer__apply1153);
  meth_meth_lexer__apply1153->definitionModule = modulename;
  meth_meth_lexer__apply1153->definitionLine = 1119;
// compiled block node returning block1152 (depth = 26)
  int op_slot_right_1151 = gc_frame_newslot(block1152);
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 26)
// starting to compile member node (depth = 27)
  int callframe1163 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_accum (depth = 28)
  Object call1164 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1163);
// compiled member node returning call1164 (depth = 27)
  int op_slot_right_1162 = gc_frame_newslot(call1164);
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_firstNonSpace (depth = 27)
  int op_slot_left_1162 = gc_frame_newslot(*var_firstNonSpace);
  params[0] = call1164;
  partcv[0] = 1;
  Object opresult1166 = callmethod(*var_firstNonSpace, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1166 (depth = 26)
  int op_slot_left_1151 = gc_frame_newslot(opresult1166);
  params[0] = block1152;
  partcv[0] = 1;
  Object opresult1167 = callmethod(opresult1166, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1167 (depth = 25)
  gc_frame_end(frame);
  return opresult1167;
}
Object meth_lexer__apply1170(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_firstNonSpace = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 25)
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 26)
// starting to compile num node (depth = 27)
  Object num1172 = alloc_Float64(1);
// compiled num node returning num1172 (depth = 27)
  int op_slot_right_1171 = gc_frame_newslot(num1172);
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_firstNonSpace (depth = 27)
  int op_slot_left_1171 = gc_frame_newslot(*var_firstNonSpace);
  params[0] = num1172;
  partcv[0] = 1;
  Object sum1174 = callmethod(*var_firstNonSpace, "+(1)", 1, partcv, params);
// compiled op node returning sum1174 (depth = 26)
  *var_firstNonSpace = sum1174;
  if (sum1174 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 25)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_modechange_40_3_41_546(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(19, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "modechange(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method modechange(_,_,_)");
  Object params[5];
  int partcv[3];
  Object *var_keywords = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for modechange(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokens = &(stackframe->slots[0]);
  *var_tokens = args[curarg];
  curarg++;
  Object *var_mode = &(stackframe->slots[1]);
  *var_mode = args[curarg];
  curarg++;
  Object *var_accum = &(stackframe->slots[2]);
  *var_accum = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part modechange(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "tok");
  Object *var_dot = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "dot");
  Object *var_decimal = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "decimal");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_suggestion = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestion");
  Object *var_firstNonSpace = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "firstNonSpace");
  Object *var_accumSize = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "accumSize");
  Object *var_cmt = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "cmt");
// Begin line 265
  setline(265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num547 = alloc_Float64(0);
// compiled num node returning num547 (depth = 3)
  *var_tok = num547;
  if (num547 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num551 = alloc_Float64(0);
// compiled num node returning num551 (depth = 5)
  int op_slot_right_550 = gc_frame_newslot(num551);
// starting to compile member node (depth = 5)
  int callframe553 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  Object call554 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe553);
// compiled member node returning call554 (depth = 5)
  int op_slot_left_550 = gc_frame_newslot(call554);
  params[0] = num551;
  partcv[0] = 1;
  Object opresult555 = callmethod(call554, ">(1)", 1, partcv, params);
// compiled op node returning opresult555 (depth = 4)
  int op_slot_right_549 = gc_frame_newslot(opresult555);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit558 == NULL) {
    strlit558 = alloc_String("n");
    gc_root(strlit558);
  }
// compiled string node returning strlit558 (depth = 5)
  int op_slot_right_557 = gc_frame_newslot(strlit558);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_557 = gc_frame_newslot(*var_mode);
  params[0] = strlit558;
  partcv[0] = 1;
  Object opresult560 = callmethod(*var_mode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult560 (depth = 4)
  int op_slot_left_549 = gc_frame_newslot(opresult560);
  params[0] = opresult555;
  partcv[0] = 1;
  Object opresult561 = callmethod(opresult560, "||(1)", 1, partcv, params);
// compiled op node returning opresult561 (depth = 3)
  Object if548 = done;
  if (istrue(opresult561)) {
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit564 == NULL) {
    strlit564 = alloc_String("i");
    gc_root(strlit564);
  }
// compiled string node returning strlit564 (depth = 5)
  int op_slot_right_563 = gc_frame_newslot(strlit564);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_563 = gc_frame_newslot(*var_mode);
  params[0] = strlit564;
  partcv[0] = 1;
  Object opresult566 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult566 (depth = 4)
  Object if562 = done;
  if (istrue(opresult566)) {
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe568 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_keywords (depth = 7)
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call569 = callmethodflags(*var_keywords, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe568);
// compiled call node returning call569 (depth = 6)
  Object if567 = done;
struct StackFrameObject *iftmpstackframe567 = stackframe;
  if (istrue(call569)) {
stackframe = alloc_StackFrame(0, iftmpstackframe567);
gc_frame_newslot((Object)stackframe);
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe570 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call571 = callmethodflags(self, "keywordToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe570);
// compiled call node returning call571 (depth = 6)
    gc_frame_newslot(call571);
    if567 = call571;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe567);
  gc_frame_newslot((Object)stackframe);
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe572 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call573 = callmethodflags(self, "identifierToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe572);
// compiled call node returning call573 (depth = 6)
    gc_frame_newslot(call573);
    if567 = call573;
  }
stackframe = iftmpstackframe567;
// compiled if node returning if567 (depth = 5)
  *var_tok = if567;
  if (if567 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 273
  setline(273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe575 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tok (depth = 5)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call576 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe575);
// compiled call node returning call576 (depth = 4)
    gc_frame_newslot(call576);
    if562 = call576;
  } else {
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit579 == NULL) {
    strlit579 = alloc_String("""\x22""");
    gc_root(strlit579);
  }
// compiled string node returning strlit579 (depth = 6)
  int op_slot_right_578 = gc_frame_newslot(strlit579);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_578 = gc_frame_newslot(*var_mode);
  params[0] = strlit579;
  partcv[0] = 1;
  Object opresult581 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult581 (depth = 5)
  Object if577 = done;
  if (istrue(opresult581)) {
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe582 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call583 = callmethodflags(self, "stringToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe582);
// compiled call node returning call583 (depth = 6)
  *var_tok = call583;
  if (call583 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 276
  setline(276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe585 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call586 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe585);
// compiled call node returning call586 (depth = 5)
    gc_frame_newslot(call586);
    if577 = call586;
  } else {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit589 == NULL) {
    strlit589 = alloc_String("q");
    gc_root(strlit589);
  }
// compiled string node returning strlit589 (depth = 7)
  int op_slot_right_588 = gc_frame_newslot(strlit589);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_588 = gc_frame_newslot(*var_mode);
  params[0] = strlit589;
  partcv[0] = 1;
  Object opresult591 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult591 (depth = 6)
  Object if587 = done;
  if (istrue(opresult591)) {
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe592 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_accum (depth = 8)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call593 = callmethodflags(self, "multiLineStringToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe592);
// compiled call node returning call593 (depth = 7)
  *var_tok = call593;
  if (call593 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe595 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tok (depth = 7)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call596 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe595);
// compiled call node returning call596 (depth = 6)
    gc_frame_newslot(call596);
    if587 = call596;
  } else {
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit599 == NULL) {
    strlit599 = alloc_String(",");
    gc_root(strlit599);
  }
// compiled string node returning strlit599 (depth = 8)
  int op_slot_right_598 = gc_frame_newslot(strlit599);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_598 = gc_frame_newslot(*var_mode);
  params[0] = strlit599;
  partcv[0] = 1;
  Object opresult601 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult601 (depth = 7)
  Object if597 = done;
  if (istrue(opresult601)) {
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe602 = gc_frame_new();
// call case 4: self request
  Object call603 = callmethodflags(self, "commaToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe602);
// compiled member node returning call603 (depth = 8)
  *var_tok = call603;
  if (call603 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe605 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tok (depth = 8)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call606 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe605);
// compiled call node returning call606 (depth = 7)
    gc_frame_newslot(call606);
    if597 = call606;
  } else {
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit609 == NULL) {
    strlit609 = alloc_String(".");
    gc_root(strlit609);
  }
// compiled string node returning strlit609 (depth = 9)
  int op_slot_right_608 = gc_frame_newslot(strlit609);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_608 = gc_frame_newslot(*var_mode);
  params[0] = strlit609;
  partcv[0] = 1;
  Object opresult611 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult611 (depth = 8)
  Object if607 = done;
  if (istrue(opresult611)) {
// Begin line 284
  setline(284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe612 = gc_frame_new();
// call case 4: self request
  Object call613 = callmethodflags(self, "dotToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe612);
// compiled member node returning call613 (depth = 9)
  *var_tok = call613;
  if (call613 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe615 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call616 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe615);
// compiled call node returning call616 (depth = 8)
    gc_frame_newslot(call616);
    if607 = call616;
  } else {
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit619 == NULL) {
    strlit619 = alloc_String("{");
    gc_root(strlit619);
  }
// compiled string node returning strlit619 (depth = 10)
  int op_slot_right_618 = gc_frame_newslot(strlit619);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_618 = gc_frame_newslot(*var_mode);
  params[0] = strlit619;
  partcv[0] = 1;
  Object opresult621 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult621 (depth = 9)
  Object if617 = done;
  if (istrue(opresult621)) {
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe622 = gc_frame_new();
// call case 4: self request
  Object call623 = callmethodflags(self, "lBraceToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe622);
// compiled member node returning call623 (depth = 10)
  *var_tok = call623;
  if (call623 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe625 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call626 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe625);
// compiled call node returning call626 (depth = 9)
    gc_frame_newslot(call626);
    if617 = call626;
  } else {
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit629 == NULL) {
    strlit629 = alloc_String("}");
    gc_root(strlit629);
  }
// compiled string node returning strlit629 (depth = 11)
  int op_slot_right_628 = gc_frame_newslot(strlit629);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  int op_slot_left_628 = gc_frame_newslot(*var_mode);
  params[0] = strlit629;
  partcv[0] = 1;
  Object opresult631 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult631 (depth = 10)
  Object if627 = done;
  if (istrue(opresult631)) {
// Begin line 290
  setline(290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe632 = gc_frame_new();
// call case 4: self request
  Object call633 = callmethodflags(self, "rBraceToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe632);
// compiled member node returning call633 (depth = 11)
  *var_tok = call633;
  if (call633 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
// Begin line 291
  setline(291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe635 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tok (depth = 11)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call636 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe635);
// compiled call node returning call636 (depth = 10)
    gc_frame_newslot(call636);
    if627 = call636;
  } else {
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 292
  setline(292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit639 == NULL) {
    strlit639 = alloc_String("(");
    gc_root(strlit639);
  }
// compiled string node returning strlit639 (depth = 12)
  int op_slot_right_638 = gc_frame_newslot(strlit639);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  int op_slot_left_638 = gc_frame_newslot(*var_mode);
  params[0] = strlit639;
  partcv[0] = 1;
  Object opresult641 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult641 (depth = 11)
  Object if637 = done;
  if (istrue(opresult641)) {
// Begin line 293
  setline(293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe642 = gc_frame_new();
// call case 4: self request
  Object call643 = callmethodflags(self, "lParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe642);
// compiled member node returning call643 (depth = 12)
  *var_tok = call643;
  if (call643 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 11)
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe645 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tok (depth = 12)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call646 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe645);
// compiled call node returning call646 (depth = 11)
    gc_frame_newslot(call646);
    if637 = call646;
  } else {
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 295
  setline(295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit649 == NULL) {
    strlit649 = alloc_String(")");
    gc_root(strlit649);
  }
// compiled string node returning strlit649 (depth = 13)
  int op_slot_right_648 = gc_frame_newslot(strlit649);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_mode (depth = 13)
  int op_slot_left_648 = gc_frame_newslot(*var_mode);
  params[0] = strlit649;
  partcv[0] = 1;
  Object opresult651 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult651 (depth = 12)
  Object if647 = done;
  if (istrue(opresult651)) {
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile member node (depth = 13)
  int callframe652 = gc_frame_new();
// call case 4: self request
  Object call653 = callmethodflags(self, "rParenToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe652);
// compiled member node returning call653 (depth = 13)
  *var_tok = call653;
  if (call653 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 12)
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit657 == NULL) {
    strlit657 = alloc_String("lparen");
    gc_root(strlit657);
  }
// compiled string node returning strlit657 (depth = 14)
  int op_slot_right_656 = gc_frame_newslot(strlit657);
// starting to compile member node (depth = 14)
  int callframe659 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe660 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  Object call661 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe660);
// compiled member node returning call661 (depth = 15)
  Object call662 = callmethodflags(call661, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe659);
// compiled member node returning call662 (depth = 14)
  int op_slot_left_656 = gc_frame_newslot(call662);
  params[0] = strlit657;
  partcv[0] = 1;
  Object opresult663 = callmethod(call662, "==(1)", 1, partcv, params);
// compiled op node returning opresult663 (depth = 13)
  Object if655 = done;
  if (istrue(opresult663)) {
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe664 = gc_frame_new();
// starting to compile op node (depth = 14)
// Begin line 299
  setline(299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 15)
  if (strlit666 == NULL) {
    strlit666 = alloc_String("Remove them, or put something between them.");
    gc_root(strlit666);
  }
// compiled string node returning strlit666 (depth = 15)
  int op_slot_right_665 = gc_frame_newslot(strlit666);
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 15)
  if (strlit668 == NULL) {
    strlit668 = alloc_String("empty parenthesis are not allowed. ");
    gc_root(strlit668);
  }
// compiled string node returning strlit668 (depth = 15)
  int op_slot_left_665 = gc_frame_newslot(strlit668);
  params[0] = strlit666;
  partcv[0] = 1;
  Object opresult669 = callmethod(strlit668, "++(1)", 1, partcv, params);
// compiled op node returning opresult669 (depth = 14)
  gc_frame_newslot(opresult669);
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 14)
  int callframe670 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tok (depth = 15)
  Object call671 = callmethodflags(*var_tok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe670);
// compiled member node returning call671 (depth = 14)
  gc_frame_newslot(call671);
// starting to compile member node (depth = 14)
  int callframe672 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 15)
  int callframe673 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  Object call674 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe673);
// compiled member node returning call674 (depth = 15)
  Object call675 = callmethodflags(call674, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe672);
// compiled member node returning call675 (depth = 14)
  gc_frame_newslot(call675);
// starting to compile member node (depth = 14)
  int callframe676 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tok (depth = 15)
  Object call677 = callmethodflags(*var_tok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe676);
// compiled member node returning call677 (depth = 14)
  gc_frame_newslot(call677);
// call case 6: other requests
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_errormessages (depth = 14)
  params[0] = opresult669;
  params[1] = call671;
  params[2] = call675;
  params[3] = call677;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call678 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe664);
// compiled call node returning call678 (depth = 13)
    gc_frame_newslot(call678);
    if655 = call678;
  } else {
  }
// compiled if node returning if655 (depth = 12)
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe679 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call680 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe679);
// compiled call node returning call680 (depth = 12)
    gc_frame_newslot(call680);
    if647 = call680;
  } else {
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit683 == NULL) {
    strlit683 = alloc_String("[");
    gc_root(strlit683);
  }
// compiled string node returning strlit683 (depth = 14)
  int op_slot_right_682 = gc_frame_newslot(strlit683);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mode (depth = 14)
  int op_slot_left_682 = gc_frame_newslot(*var_mode);
  params[0] = strlit683;
  partcv[0] = 1;
  Object opresult685 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult685 (depth = 13)
  Object if681 = done;
  if (istrue(opresult685)) {
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 13)
// starting to compile member node (depth = 14)
  int callframe686 = gc_frame_new();
// call case 4: self request
  Object call687 = callmethodflags(self, "lSquareToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe686);
// compiled member node returning call687 (depth = 14)
  *var_tok = call687;
  if (call687 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 13)
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe689 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tok (depth = 14)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tokens (depth = 14)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call690 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe689);
// compiled call node returning call690 (depth = 13)
    gc_frame_newslot(call690);
    if681 = call690;
  } else {
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit693 == NULL) {
    strlit693 = alloc_String("]");
    gc_root(strlit693);
  }
// compiled string node returning strlit693 (depth = 15)
  int op_slot_right_692 = gc_frame_newslot(strlit693);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_mode (depth = 15)
  int op_slot_left_692 = gc_frame_newslot(*var_mode);
  params[0] = strlit693;
  partcv[0] = 1;
  Object opresult695 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult695 (depth = 14)
  Object if691 = done;
  if (istrue(opresult695)) {
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// starting to compile member node (depth = 15)
  int callframe696 = gc_frame_new();
// call case 4: self request
  Object call697 = callmethodflags(self, "rSquareToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe696);
// compiled member node returning call697 (depth = 15)
  *var_tok = call697;
  if (call697 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 14)
// Begin line 308
  setline(308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe699 = gc_frame_new();
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tok (depth = 15)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_tokens (depth = 15)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call700 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe699);
// compiled call node returning call700 (depth = 14)
    gc_frame_newslot(call700);
    if691 = call700;
  } else {
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 14)
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit703 == NULL) {
    strlit703 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit703);
  }
// compiled string node returning strlit703 (depth = 16)
  int op_slot_right_702 = gc_frame_newslot(strlit703);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_mode (depth = 16)
  int op_slot_left_702 = gc_frame_newslot(*var_mode);
  params[0] = strlit703;
  partcv[0] = 1;
  Object opresult705 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult705 (depth = 15)
  Object if701 = done;
  if (istrue(opresult705)) {
// Begin line 310
  setline(310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 15)
// starting to compile member node (depth = 16)
  int callframe706 = gc_frame_new();
// call case 4: self request
  Object call707 = callmethodflags(self, "lGenericToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe706);
// compiled member node returning call707 (depth = 16)
  *var_tok = call707;
  if (call707 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 15)
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 15)
  int callframe709 = gc_frame_new();
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tok (depth = 16)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_tokens (depth = 16)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call710 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe709);
// compiled call node returning call710 (depth = 15)
    gc_frame_newslot(call710);
    if701 = call710;
  } else {
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit713 == NULL) {
    strlit713 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit713);
  }
// compiled string node returning strlit713 (depth = 17)
  int op_slot_right_712 = gc_frame_newslot(strlit713);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_mode (depth = 17)
  int op_slot_left_712 = gc_frame_newslot(*var_mode);
  params[0] = strlit713;
  partcv[0] = 1;
  Object opresult715 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult715 (depth = 16)
  Object if711 = done;
  if (istrue(opresult715)) {
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 16)
// starting to compile member node (depth = 17)
  int callframe716 = gc_frame_new();
// call case 4: self request
  Object call717 = callmethodflags(self, "rGenericToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe716);
// compiled member node returning call717 (depth = 17)
  *var_tok = call717;
  if (call717 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 16)
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 16)
  int callframe719 = gc_frame_new();
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_tok (depth = 17)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_tokens (depth = 17)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call720 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe719);
// compiled call node returning call720 (depth = 16)
    gc_frame_newslot(call720);
    if711 = call720;
  } else {
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 16)
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit723 == NULL) {
    strlit723 = alloc_String(";");
    gc_root(strlit723);
  }
// compiled string node returning strlit723 (depth = 18)
  int op_slot_right_722 = gc_frame_newslot(strlit723);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_mode (depth = 18)
  int op_slot_left_722 = gc_frame_newslot(*var_mode);
  params[0] = strlit723;
  partcv[0] = 1;
  Object opresult725 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult725 (depth = 17)
  Object if721 = done;
  if (istrue(opresult725)) {
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile member node (depth = 18)
  int callframe726 = gc_frame_new();
// call case 4: self request
  Object call727 = callmethodflags(self, "semicolonToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe726);
// compiled member node returning call727 (depth = 18)
  *var_tok = call727;
  if (call727 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 17)
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 17)
  int callframe729 = gc_frame_new();
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tok (depth = 18)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_tokens (depth = 18)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call730 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe729);
// compiled call node returning call730 (depth = 17)
    gc_frame_newslot(call730);
    if721 = call730;
  } else {
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 17)
// Begin line 318
  setline(318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit733 == NULL) {
    strlit733 = alloc_String("m");
    gc_root(strlit733);
  }
// compiled string node returning strlit733 (depth = 19)
  int op_slot_right_732 = gc_frame_newslot(strlit733);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_mode (depth = 19)
  int op_slot_left_732 = gc_frame_newslot(*var_mode);
  params[0] = strlit733;
  partcv[0] = 1;
  Object opresult735 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult735 (depth = 18)
  Object if731 = done;
  if (istrue(opresult735)) {
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 18)
// starting to compile op node (depth = 19)
// starting to compile block node (depth = 20)
  Object block738 = alloc_Block(NULL, NULL, "lexer", 319);
  gc_frame_newslot(block738);
// method "_apply"
  block_savedest(block738);
  Object closure739 = createclosure(2, "_apply");
  setclosureframe(closure739, stackframe);
  addtoclosure(closure739, var_tokens);
  addtoclosure(closure739, selfslot);
  struct UserObject *uo739 = (struct UserObject*)block738;
  uo739->data[0] = (Object)closure739;
  Method *meth_meth_lexer__apply739 = addmethod2pos(block738, "_apply", &meth_lexer__apply739, 0);
  int argcv_meth_lexer__apply739[] = {0};
  meth_meth_lexer__apply739->type = alloc_MethodType(1, argcv_meth_lexer__apply739);
  meth_meth_lexer__apply739->definitionModule = modulename;
  meth_meth_lexer__apply739->definitionLine = 1119;
// compiled block node returning block738 (depth = 20)
  int op_slot_right_737 = gc_frame_newslot(block738);
// starting to compile op node (depth = 20)
// starting to compile num node (depth = 21)
  Object num751 = alloc_Float64(1);
// compiled num node returning num751 (depth = 21)
  int op_slot_right_750 = gc_frame_newslot(num751);
// starting to compile member node (depth = 21)
  int callframe753 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_tokens (depth = 22)
  Object call754 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe753);
// compiled member node returning call754 (depth = 21)
  int op_slot_left_750 = gc_frame_newslot(call754);
  params[0] = num751;
  partcv[0] = 1;
  Object opresult755 = callmethod(call754, ">(1)", 1, partcv, params);
// compiled op node returning opresult755 (depth = 20)
  int op_slot_left_737 = gc_frame_newslot(opresult755);
  params[0] = block738;
  partcv[0] = 1;
  Object opresult756 = callmethod(opresult755, "&&(1)", 1, partcv, params);
// compiled op node returning opresult756 (depth = 19)
  Object if736 = done;
  if (istrue(opresult756)) {
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 19)
// starting to compile member node (depth = 20)
  int callframe757 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_tokens (depth = 21)
  Object call758 = callmethodflags(*var_tokens, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe757);
// compiled member node returning call758 (depth = 20)
  *var_dot = call758;
  if (call758 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 19)
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 19)
// starting to compile op node (depth = 20)
// starting to compile string node (depth = 21)
  if (strlit761 == NULL) {
    strlit761 = alloc_String("num");
    gc_root(strlit761);
  }
// compiled string node returning strlit761 (depth = 21)
  int op_slot_right_760 = gc_frame_newslot(strlit761);
// starting to compile member node (depth = 21)
  int callframe763 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 22)
  int callframe764 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_tokens (depth = 23)
  Object call765 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe764);
// compiled member node returning call765 (depth = 22)
  Object call766 = callmethodflags(call765, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe763);
// compiled member node returning call766 (depth = 21)
  int op_slot_left_760 = gc_frame_newslot(call766);
  params[0] = strlit761;
  partcv[0] = 1;
  Object opresult767 = callmethod(call766, "==(1)", 1, partcv, params);
// compiled op node returning opresult767 (depth = 20)
  Object if759 = done;
  if (istrue(opresult767)) {
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// starting to compile op node (depth = 21)
// starting to compile num node (depth = 22)
  Object num770 = alloc_Float64(10);
// compiled num node returning num770 (depth = 22)
  int op_slot_right_769 = gc_frame_newslot(num770);
// starting to compile member node (depth = 22)
  int callframe772 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe773 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_tokens (depth = 24)
  Object call774 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe773);
// compiled member node returning call774 (depth = 23)
  Object call775 = callmethodflags(call774, "base", 0, partcv, params, 0);
  gc_frame_end(callframe772);
// compiled member node returning call775 (depth = 22)
  int op_slot_left_769 = gc_frame_newslot(call775);
  params[0] = num770;
  partcv[0] = 1;
  Object opresult776 = callmethod(call775, "==(1)", 1, partcv, params);
// compiled op node returning opresult776 (depth = 21)
  Object if768 = done;
  if (istrue(opresult776)) {
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 21)
// starting to compile member node (depth = 22)
  int callframe777 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_tokens (depth = 23)
  Object call778 = callmethodflags(*var_tokens, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe777);
// compiled member node returning call778 (depth = 22)
  *var_tok = call778;
  if (call778 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 21)
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 21)
// starting to compile call node (depth = 22)
  int callframe780 = gc_frame_new();
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_accum (depth = 23)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call781 = callmethodflags(self, "makeNumToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe780);
// compiled call node returning call781 (depth = 22)
  *var_decimal = call781;
  if (call781 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 21)
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// starting to compile op node (depth = 22)
// starting to compile num node (depth = 23)
  Object num784 = alloc_Float64(10);
// compiled num node returning num784 (depth = 23)
  int op_slot_right_783 = gc_frame_newslot(num784);
// starting to compile member node (depth = 23)
  int callframe786 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_decimal (depth = 24)
  Object call787 = callmethodflags(*var_decimal, "base", 0, partcv, params, 0);
  gc_frame_end(callframe786);
// compiled member node returning call787 (depth = 23)
  int op_slot_left_783 = gc_frame_newslot(call787);
  params[0] = num784;
  partcv[0] = 1;
  Object opresult788 = callmethod(call787, "==(1)", 1, partcv, params);
// compiled op node returning opresult788 (depth = 22)
  Object if782 = done;
  if (istrue(opresult788)) {
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 22)
// starting to compile call node (depth = 23)
  int callframe789 = gc_frame_new();
// starting to compile op node (depth = 24)
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_accum (depth = 25)
  int op_slot_right_790 = gc_frame_newslot(*var_accum);
// starting to compile op node (depth = 25)
// starting to compile string node (depth = 26)
  if (strlit793 == NULL) {
    strlit793 = alloc_String(".");
    gc_root(strlit793);
  }
// compiled string node returning strlit793 (depth = 26)
  int op_slot_right_792 = gc_frame_newslot(strlit793);
// starting to compile member node (depth = 26)
  int callframe795 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_tok (depth = 27)
  Object call796 = callmethodflags(*var_tok, "value", 0, partcv, params, 0);
  gc_frame_end(callframe795);
// compiled member node returning call796 (depth = 26)
  int op_slot_left_792 = gc_frame_newslot(call796);
  params[0] = strlit793;
  partcv[0] = 1;
  Object opresult797 = callmethod(call796, "++(1)", 1, partcv, params);
// compiled op node returning opresult797 (depth = 25)
  int op_slot_left_790 = gc_frame_newslot(opresult797);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult798 = callmethod(opresult797, "++(1)", 1, partcv, params);
// compiled op node returning opresult798 (depth = 24)
  gc_frame_newslot(opresult798);
// starting to compile num node (depth = 24)
  Object num799 = alloc_Float64(10);
// compiled num node returning num799 (depth = 24)
  gc_frame_newslot(num799);
// call case 4: self request
  params[0] = opresult798;
  params[1] = num799;
  partcv[0] = 2;
  Object call800 = callmethodflags(self, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe789);
// compiled call node returning call800 (depth = 23)
  *var_tok = call800;
  if (call800 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 22)
    gc_frame_newslot(done);
    if782 = done;
  } else {
// Begin line 328
  setline(328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 22)
// starting to compile array node (depth = 23)
  Object array802 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array802 (depth = 23)
  *var_suggestions = array802;
  if (array802 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 22)
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 22)
// starting to compile member node (depth = 23)
  int callframe803 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe804 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_errormessages (depth = 25)
  Object call805 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe804);
// compiled member node returning call805 (depth = 24)
  Object call806 = callmethodflags(call805, "new", 0, partcv, params, 0);
  gc_frame_end(callframe803);
// compiled member node returning call806 (depth = 23)
  *var_suggestion = call806;
  if (call806 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 22)
// Begin line 330
  setline(330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe807 = gc_frame_new();
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num809 = alloc_Float64(1);
// compiled num node returning num809 (depth = 24)
  int op_slot_right_808 = gc_frame_newslot(num809);
// starting to compile member node (depth = 24)
  int callframe811 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call812 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe811);
// compiled member node returning call812 (depth = 24)
  int op_slot_left_808 = gc_frame_newslot(call812);
  params[0] = num809;
  partcv[0] = 1;
  Object sum813 = callmethod(call812, "+(1)", 1, partcv, params);
// compiled op node returning sum813 (depth = 23)
  gc_frame_newslot(sum813);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num815 = alloc_Float64(1);
// compiled num node returning num815 (depth = 24)
  int op_slot_right_814 = gc_frame_newslot(num815);
// starting to compile member node (depth = 24)
  int callframe817 = gc_frame_new();
// call case 4: self request
  Object call818 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe817);
// compiled member node returning call818 (depth = 24)
  int op_slot_left_814 = gc_frame_newslot(call818);
  params[0] = num815;
  partcv[0] = 1;
  Object diff819 = callmethod(call818, "-(1)", 1, partcv, params);
// compiled op node returning diff819 (depth = 23)
  gc_frame_newslot(diff819);
// starting to compile member node (depth = 23)
  int callframe820 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_decimal (depth = 24)
  Object call821 = callmethodflags(*var_decimal, "value", 0, partcv, params, 0);
  gc_frame_end(callframe820);
// compiled member node returning call821 (depth = 23)
  gc_frame_newslot(call821);
// starting to compile member node (depth = 23)
  int callframe822 = gc_frame_new();
// call case 4: self request
  Object call823 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe822);
// compiled member node returning call823 (depth = 23)
  gc_frame_newslot(call823);
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  params[0] = sum813;
  params[1] = diff819;
  params[2] = call821;
  params[3] = call823;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call824 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe807);
// compiled call node returning call824 (depth = 22)
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe825 = gc_frame_new();
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestions (depth = 23)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call826 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe825);
// compiled call node returning call826 (depth = 22)
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 22)
// starting to compile member node (depth = 23)
  int callframe827 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe828 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_errormessages (depth = 25)
  Object call829 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe828);
// compiled member node returning call829 (depth = 24)
  Object call830 = callmethodflags(call829, "new", 0, partcv, params, 0);
  gc_frame_end(callframe827);
// compiled member node returning call830 (depth = 23)
  *var_suggestion = call830;
  if (call830 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 22)
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe832 = gc_frame_new();
// starting to compile member node (depth = 23)
  int callframe833 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  Object call834 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe833);
// compiled member node returning call834 (depth = 23)
  gc_frame_newslot(call834);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num836 = alloc_Float64(1);
// compiled num node returning num836 (depth = 24)
  int op_slot_right_835 = gc_frame_newslot(num836);
// starting to compile member node (depth = 24)
  int callframe838 = gc_frame_new();
// call case 4: self request
  Object call839 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe838);
// compiled member node returning call839 (depth = 24)
  int op_slot_left_835 = gc_frame_newslot(call839);
  params[0] = num836;
  partcv[0] = 1;
  Object diff840 = callmethod(call839, "-(1)", 1, partcv, params);
// compiled op node returning diff840 (depth = 23)
  gc_frame_newslot(diff840);
// starting to compile member node (depth = 23)
  int callframe841 = gc_frame_new();
// call case 4: self request
  Object call842 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe841);
// compiled member node returning call842 (depth = 23)
  gc_frame_newslot(call842);
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  params[0] = call834;
  params[1] = diff840;
  params[2] = call842;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call843 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe832);
// compiled call node returning call843 (depth = 22)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe844 = gc_frame_new();
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestions (depth = 23)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call845 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe844);
// compiled call node returning call845 (depth = 22)
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe846 = gc_frame_new();
// starting to compile string node (depth = 23)
  if (strlit847 == NULL) {
    strlit847 = alloc_String("the fractional part of a number must be in base 10.");
    gc_root(strlit847);
  }
// compiled string node returning strlit847 (depth = 23)
  gc_frame_newslot(strlit847);
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 23)
  int callframe848 = gc_frame_new();
// call case 4: self request
  Object call849 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe848);
// compiled member node returning call849 (depth = 23)
  gc_frame_newslot(call849);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num851 = alloc_Float64(1);
// compiled num node returning num851 (depth = 24)
  int op_slot_right_850 = gc_frame_newslot(num851);
// starting to compile member node (depth = 24)
  int callframe853 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call854 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe853);
// compiled member node returning call854 (depth = 24)
  int op_slot_left_850 = gc_frame_newslot(call854);
  params[0] = num851;
  partcv[0] = 1;
  Object sum855 = callmethod(call854, "+(1)", 1, partcv, params);
// compiled op node returning sum855 (depth = 23)
  gc_frame_newslot(sum855);
// starting to compile op node (depth = 23)
// starting to compile num node (depth = 24)
  Object num857 = alloc_Float64(1);
// compiled num node returning num857 (depth = 24)
  int op_slot_right_856 = gc_frame_newslot(num857);
// starting to compile member node (depth = 24)
  int callframe859 = gc_frame_new();
// call case 4: self request
  Object call860 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe859);
// compiled member node returning call860 (depth = 24)
  int op_slot_left_856 = gc_frame_newslot(call860);
  params[0] = num857;
  partcv[0] = 1;
  Object diff861 = callmethod(call860, "-(1)", 1, partcv, params);
// compiled op node returning diff861 (depth = 23)
  gc_frame_newslot(diff861);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestions (depth = 23)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_errormessages (depth = 23)
  params[0] = strlit847;
  params[1] = call849;
  params[2] = sum855;
  params[3] = diff861;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call862 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe846);
// compiled call node returning call862 (depth = 22)
    gc_frame_newslot(call862);
    if782 = call862;
  }
// compiled if node returning if782 (depth = 21)
    gc_frame_newslot(if782);
    if768 = if782;
  } else {
// Begin line 339
  setline(339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 21)
// starting to compile array node (depth = 22)
  Object array863 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array863 (depth = 22)
  *var_suggestions = array863;
  if (array863 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 21)
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 21)
// starting to compile member node (depth = 22)
  int callframe864 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe865 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_errormessages (depth = 24)
  Object call866 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe865);
// compiled member node returning call866 (depth = 23)
  Object call867 = callmethodflags(call866, "new", 0, partcv, params, 0);
  gc_frame_end(callframe864);
// compiled member node returning call867 (depth = 22)
  *var_suggestion = call867;
  if (call867 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 21)
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe868 = gc_frame_new();
// starting to compile member node (depth = 22)
  int callframe869 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe870 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_tokens (depth = 24)
  Object call871 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe870);
// compiled member node returning call871 (depth = 23)
  Object call872 = callmethodflags(call871, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe869);
// compiled member node returning call872 (depth = 22)
  gc_frame_newslot(call872);
// starting to compile op node (depth = 22)
// starting to compile num node (depth = 23)
  Object num874 = alloc_Float64(1);
// compiled num node returning num874 (depth = 23)
  int op_slot_right_873 = gc_frame_newslot(num874);
// starting to compile member node (depth = 23)
  int callframe876 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  Object call877 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe876);
// compiled member node returning call877 (depth = 23)
  int op_slot_left_873 = gc_frame_newslot(call877);
  params[0] = num874;
  partcv[0] = 1;
  Object diff878 = callmethod(call877, "-(1)", 1, partcv, params);
// compiled op node returning diff878 (depth = 22)
  gc_frame_newslot(diff878);
// starting to compile member node (depth = 22)
  int callframe879 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe880 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_tokens (depth = 24)
  Object call881 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe880);
// compiled member node returning call881 (depth = 23)
  Object call882 = callmethodflags(call881, "value", 0, partcv, params, 0);
  gc_frame_end(callframe879);
// compiled member node returning call882 (depth = 22)
  gc_frame_newslot(call882);
// starting to compile member node (depth = 22)
  int callframe883 = gc_frame_new();
// call case 4: self request
  Object call884 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe883);
// compiled member node returning call884 (depth = 22)
  gc_frame_newslot(call884);
// call case 6: other requests
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  params[0] = call872;
  params[1] = diff878;
  params[2] = call882;
  params[3] = call884;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call885 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe868);
// compiled call node returning call885 (depth = 21)
// Begin line 342
  setline(342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe886 = gc_frame_new();
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestions (depth = 22)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call887 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe886);
// compiled call node returning call887 (depth = 21)
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 21)
// starting to compile member node (depth = 22)
  int callframe888 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe889 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_errormessages (depth = 24)
  Object call890 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe889);
// compiled member node returning call890 (depth = 23)
  Object call891 = callmethodflags(call890, "new", 0, partcv, params, 0);
  gc_frame_end(callframe888);
// compiled member node returning call891 (depth = 22)
  *var_suggestion = call891;
  if (call891 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 21)
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe893 = gc_frame_new();
// starting to compile member node (depth = 22)
  int callframe894 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_dot (depth = 23)
  Object call895 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe894);
// compiled member node returning call895 (depth = 22)
  gc_frame_newslot(call895);
// starting to compile member node (depth = 22)
  int callframe896 = gc_frame_new();
// call case 4: self request
  Object call897 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe896);
// compiled member node returning call897 (depth = 22)
  gc_frame_newslot(call897);
// call case 6: other requests
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  params[0] = call895;
  params[1] = call897;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call898 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe893);
// compiled call node returning call898 (depth = 21)
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe899 = gc_frame_new();
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestions (depth = 22)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call900 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe899);
// compiled call node returning call900 (depth = 21)
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe901 = gc_frame_new();
// starting to compile op node (depth = 22)
// starting to compile string node (depth = 23)
  if (strlit903 == NULL) {
    strlit903 = alloc_String(" cannot have a fractional part.");
    gc_root(strlit903);
  }
// compiled string node returning strlit903 (depth = 23)
  int op_slot_right_902 = gc_frame_newslot(strlit903);
// starting to compile op node (depth = 23)
// starting to compile member node (depth = 24)
  int callframe906 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 25)
  int callframe907 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  Object call908 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe907);
// compiled member node returning call908 (depth = 25)
  Object call909 = callmethodflags(call908, "base", 0, partcv, params, 0);
  gc_frame_end(callframe906);
// compiled member node returning call909 (depth = 24)
  int op_slot_right_905 = gc_frame_newslot(call909);
// starting to compile string node (depth = 24)
  if (strlit911 == NULL) {
    strlit911 = alloc_String("a number in base ");
    gc_root(strlit911);
  }
// compiled string node returning strlit911 (depth = 24)
  int op_slot_left_905 = gc_frame_newslot(strlit911);
  params[0] = call909;
  partcv[0] = 1;
  Object opresult912 = callmethod(strlit911, "++(1)", 1, partcv, params);
// compiled op node returning opresult912 (depth = 23)
  int op_slot_left_902 = gc_frame_newslot(opresult912);
  params[0] = strlit903;
  partcv[0] = 1;
  Object opresult913 = callmethod(opresult912, "++(1)", 1, partcv, params);
// compiled op node returning opresult913 (depth = 22)
  gc_frame_newslot(opresult913);
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 22)
  int callframe914 = gc_frame_new();
// call case 4: self request
  Object call915 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe914);
// compiled member node returning call915 (depth = 22)
  gc_frame_newslot(call915);
// starting to compile member node (depth = 22)
  int callframe916 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_dot (depth = 23)
  Object call917 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe916);
// compiled member node returning call917 (depth = 22)
  gc_frame_newslot(call917);
// starting to compile op node (depth = 22)
// starting to compile num node (depth = 23)
  Object num919 = alloc_Float64(1);
// compiled num node returning num919 (depth = 23)
  int op_slot_right_918 = gc_frame_newslot(num919);
// starting to compile member node (depth = 23)
  int callframe921 = gc_frame_new();
// call case 4: self request
  Object call922 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe921);
// compiled member node returning call922 (depth = 23)
  int op_slot_left_918 = gc_frame_newslot(call922);
  params[0] = num919;
  partcv[0] = 1;
  Object diff923 = callmethod(call922, "-(1)", 1, partcv, params);
// compiled op node returning diff923 (depth = 22)
  gc_frame_newslot(diff923);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestions (depth = 22)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_errormessages (depth = 22)
  params[0] = opresult913;
  params[1] = call915;
  params[2] = call917;
  params[3] = diff923;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call924 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe901);
// compiled call node returning call924 (depth = 21)
    gc_frame_newslot(call924);
    if768 = call924;
  }
// compiled if node returning if768 (depth = 20)
    gc_frame_newslot(if768);
    if759 = if768;
  } else {
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit927 == NULL) {
    strlit927 = alloc_String("string");
    gc_root(strlit927);
  }
// compiled string node returning strlit927 (depth = 22)
  int op_slot_right_926 = gc_frame_newslot(strlit927);
// starting to compile member node (depth = 22)
  int callframe929 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe930 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_tokens (depth = 24)
  Object call931 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe930);
// compiled member node returning call931 (depth = 23)
  Object call932 = callmethodflags(call931, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe929);
// compiled member node returning call932 (depth = 22)
  int op_slot_left_926 = gc_frame_newslot(call932);
  params[0] = strlit927;
  partcv[0] = 1;
  Object opresult933 = callmethod(call932, "==(1)", 1, partcv, params);
// compiled op node returning opresult933 (depth = 21)
  Object if925 = done;
  if (istrue(opresult933)) {
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 21)
// starting to compile member node (depth = 22)
  int callframe934 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 23)
  int callframe935 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_errormessages (depth = 24)
  Object call936 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe935);
// compiled member node returning call936 (depth = 23)
  Object call937 = callmethodflags(call936, "new", 0, partcv, params, 0);
  gc_frame_end(callframe934);
// compiled member node returning call937 (depth = 22)
  *var_suggestion = call937;
  if (call937 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 21)
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe938 = gc_frame_new();
// starting to compile member node (depth = 22)
  int callframe939 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_dot (depth = 23)
  Object call940 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe939);
// compiled member node returning call940 (depth = 22)
  gc_frame_newslot(call940);
// starting to compile string node (depth = 22)
  if (strlit941 == NULL) {
    strlit941 = alloc_String("++");
    gc_root(strlit941);
  }
// compiled string node returning strlit941 (depth = 22)
  gc_frame_newslot(strlit941);
// starting to compile member node (depth = 22)
  int callframe942 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_dot (depth = 23)
  Object call943 = callmethodflags(*var_dot, "line", 0, partcv, params, 0);
  gc_frame_end(callframe942);
// compiled member node returning call943 (depth = 22)
  gc_frame_newslot(call943);
// call case 6: other requests
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  params[0] = call940;
  params[1] = strlit941;
  params[2] = call943;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call944 = callmethodflags(*var_suggestion, "replaceChar(1)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe938);
// compiled call node returning call944 (depth = 21)
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 21)
  int callframe945 = gc_frame_new();
// starting to compile op node (depth = 22)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 23)
  if (strlit947 == NULL) {
    strlit947 = alloc_String("To join a number to a string, use '++'.");
    gc_root(strlit947);
  }
// compiled string node returning strlit947 (depth = 23)
  int op_slot_right_946 = gc_frame_newslot(strlit947);
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 23)
  if (strlit949 == NULL) {
    strlit949 = alloc_String("a number may follow a '.' only if there is a number before the '.'. ");
    gc_root(strlit949);
  }
// compiled string node returning strlit949 (depth = 23)
  int op_slot_left_946 = gc_frame_newslot(strlit949);
  params[0] = strlit947;
  partcv[0] = 1;
  Object opresult950 = callmethod(strlit949, "++(1)", 1, partcv, params);
// compiled op node returning opresult950 (depth = 22)
  gc_frame_newslot(opresult950);
// Begin line 355
  setline(355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 22)
  int callframe951 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_dot (depth = 23)
  Object call952 = callmethodflags(*var_dot, "line", 0, partcv, params, 0);
  gc_frame_end(callframe951);
// compiled member node returning call952 (depth = 22)
  gc_frame_newslot(call952);
// starting to compile member node (depth = 22)
  int callframe953 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_dot (depth = 23)
  Object call954 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe953);
// compiled member node returning call954 (depth = 22)
  gc_frame_newslot(call954);
// starting to compile member node (depth = 22)
  int callframe955 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_dot (depth = 23)
  Object call956 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe955);
// compiled member node returning call956 (depth = 22)
  gc_frame_newslot(call956);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_suggestion (depth = 22)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_errormessages (depth = 22)
  params[0] = opresult950;
  params[1] = call952;
  params[2] = call954;
  params[3] = call956;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call957 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe945);
// compiled call node returning call957 (depth = 21)
    gc_frame_newslot(call957);
    if925 = call957;
  } else {
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 22)
// starting to compile op node (depth = 23)
// starting to compile string node (depth = 24)
  if (strlit961 == NULL) {
    strlit961 = alloc_String("bind");
    gc_root(strlit961);
  }
// compiled string node returning strlit961 (depth = 24)
  int op_slot_right_960 = gc_frame_newslot(strlit961);
// starting to compile member node (depth = 24)
  int callframe963 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 25)
  int callframe964 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  Object call965 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe964);
// compiled member node returning call965 (depth = 25)
  Object call966 = callmethodflags(call965, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe963);
// compiled member node returning call966 (depth = 24)
  int op_slot_left_960 = gc_frame_newslot(call966);
  params[0] = strlit961;
  partcv[0] = 1;
  Object opresult967 = callmethod(call966, "==(1)", 1, partcv, params);
// compiled op node returning opresult967 (depth = 23)
  int op_slot_right_959 = gc_frame_newslot(opresult967);
// starting to compile op node (depth = 23)
// starting to compile string node (depth = 24)
  if (strlit970 == NULL) {
    strlit970 = alloc_String("op");
    gc_root(strlit970);
  }
// compiled string node returning strlit970 (depth = 24)
  int op_slot_right_969 = gc_frame_newslot(strlit970);
// starting to compile member node (depth = 24)
  int callframe972 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 25)
  int callframe973 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  Object call974 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe973);
// compiled member node returning call974 (depth = 25)
  Object call975 = callmethodflags(call974, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe972);
// compiled member node returning call975 (depth = 24)
  int op_slot_left_969 = gc_frame_newslot(call975);
  params[0] = strlit970;
  partcv[0] = 1;
  Object opresult976 = callmethod(call975, "==(1)", 1, partcv, params);
// compiled op node returning opresult976 (depth = 23)
  int op_slot_left_959 = gc_frame_newslot(opresult976);
  params[0] = opresult967;
  partcv[0] = 1;
  Object opresult977 = callmethod(opresult976, "||(1)", 1, partcv, params);
// compiled op node returning opresult977 (depth = 22)
  Object if958 = done;
  if (istrue(opresult977)) {
// Begin line 357
  setline(357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 22)
// starting to compile member node (depth = 23)
  int callframe978 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 24)
  int callframe979 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_errormessages (depth = 25)
  Object call980 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe979);
// compiled member node returning call980 (depth = 24)
  Object call981 = callmethodflags(call980, "new", 0, partcv, params, 0);
  gc_frame_end(callframe978);
// compiled member node returning call981 (depth = 23)
  *var_suggestion = call981;
  if (call981 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 22)
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe982 = gc_frame_new();
// starting to compile string node (depth = 23)
  if (strlit983 == NULL) {
    strlit983 = alloc_String("0");
    gc_root(strlit983);
  }
// compiled string node returning strlit983 (depth = 23)
  gc_frame_newslot(strlit983);
// starting to compile member node (depth = 23)
  int callframe984 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  Object call985 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe984);
// compiled member node returning call985 (depth = 23)
  gc_frame_newslot(call985);
// starting to compile member node (depth = 23)
  int callframe986 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  Object call987 = callmethodflags(*var_dot, "line", 0, partcv, params, 0);
  gc_frame_end(callframe986);
// compiled member node returning call987 (depth = 23)
  gc_frame_newslot(call987);
// call case 6: other requests
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  params[0] = strlit983;
  params[1] = call985;
  params[2] = call987;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call988 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe982);
// compiled call node returning call988 (depth = 22)
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 22)
  int callframe989 = gc_frame_new();
// starting to compile string node (depth = 23)
  if (strlit990 == NULL) {
    strlit990 = alloc_String("a number must have a digit before the decimal point.");
    gc_root(strlit990);
  }
// compiled string node returning strlit990 (depth = 23)
  gc_frame_newslot(strlit990);
// Begin line 360
  setline(360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 23)
  int callframe991 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  Object call992 = callmethodflags(*var_dot, "line", 0, partcv, params, 0);
  gc_frame_end(callframe991);
// compiled member node returning call992 (depth = 23)
  gc_frame_newslot(call992);
// starting to compile member node (depth = 23)
  int callframe993 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_dot (depth = 24)
  Object call994 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe993);
// compiled member node returning call994 (depth = 23)
  gc_frame_newslot(call994);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_suggestion (depth = 23)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 359
  setline(359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_errormessages (depth = 23)
  params[0] = strlit990;
  params[1] = call992;
  params[2] = call994;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call995 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe989);
// compiled call node returning call995 (depth = 22)
    gc_frame_newslot(call995);
    if958 = call995;
  } else {
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 22)
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 23)
// starting to compile string node (depth = 24)
  if (strlit998 == NULL) {
    strlit998 = alloc_String("identifier");
    gc_root(strlit998);
  }
// compiled string node returning strlit998 (depth = 24)
  int op_slot_right_997 = gc_frame_newslot(strlit998);
// starting to compile member node (depth = 24)
  int callframe1000 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 25)
  int callframe1001 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  Object call1002 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1001);
// compiled member node returning call1002 (depth = 25)
  Object call1003 = callmethodflags(call1002, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1000);
// compiled member node returning call1003 (depth = 24)
  int op_slot_left_997 = gc_frame_newslot(call1003);
  params[0] = strlit998;
  partcv[0] = 1;
  Object opresult1004 = callmethod(call1003, "==(1)", 1, partcv, params);
// compiled op node returning opresult1004 (depth = 23)
  Object if996 = done;
  if (istrue(opresult1004)) {
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 23)
// starting to compile array node (depth = 24)
  Object array1005 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1005 (depth = 24)
  *var_suggestions = array1005;
  if (array1005 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 23)
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 23)
// starting to compile op node (depth = 24)
// starting to compile string node (depth = 25)
  if (strlit1008 == NULL) {
    strlit1008 = alloc_String("o");
    gc_root(strlit1008);
  }
// compiled string node returning strlit1008 (depth = 25)
  int op_slot_right_1007 = gc_frame_newslot(strlit1008);
// starting to compile member node (depth = 25)
  int callframe1010 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 26)
  int callframe1011 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_tokens (depth = 27)
  Object call1012 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1011);
// compiled member node returning call1012 (depth = 26)
  Object call1013 = callmethodflags(call1012, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1010);
// compiled member node returning call1013 (depth = 25)
  int op_slot_left_1007 = gc_frame_newslot(call1013);
  params[0] = strlit1008;
  partcv[0] = 1;
  Object opresult1014 = callmethod(call1013, "==(1)", 1, partcv, params);
// compiled op node returning opresult1014 (depth = 24)
  Object if1006 = done;
  if (istrue(opresult1014)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 24)
// starting to compile member node (depth = 25)
  int callframe1015 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 26)
  int callframe1016 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_errormessages (depth = 27)
  Object call1017 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1016);
// compiled member node returning call1017 (depth = 26)
  Object call1018 = callmethodflags(call1017, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1015);
// compiled member node returning call1018 (depth = 25)
  *var_suggestion = call1018;
  if (call1018 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 24)
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 24)
  int callframe1019 = gc_frame_new();
// starting to compile member node (depth = 25)
  int callframe1020 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 26)
  int callframe1021 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_tokens (depth = 27)
  Object call1022 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1021);
// compiled member node returning call1022 (depth = 26)
  Object call1023 = callmethodflags(call1022, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1020);
// compiled member node returning call1023 (depth = 25)
  gc_frame_newslot(call1023);
// starting to compile string node (depth = 25)
  if (strlit1024 == NULL) {
    strlit1024 = alloc_String("0");
    gc_root(strlit1024);
  }
// compiled string node returning strlit1024 (depth = 25)
  gc_frame_newslot(strlit1024);
// starting to compile member node (depth = 25)
  int callframe1025 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 26)
  int callframe1026 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_tokens (depth = 27)
  Object call1027 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1026);
// compiled member node returning call1027 (depth = 26)
  Object call1028 = callmethodflags(call1027, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1025);
// compiled member node returning call1028 (depth = 25)
  gc_frame_newslot(call1028);
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_suggestion (depth = 25)
  params[0] = call1023;
  params[1] = strlit1024;
  params[2] = call1028;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1029 = callmethodflags(*var_suggestion, "replaceChar(1)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1019);
// compiled call node returning call1029 (depth = 24)
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 24)
  int callframe1030 = gc_frame_new();
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_suggestion (depth = 25)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_suggestions (depth = 25)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1031 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1030);
// compiled call node returning call1031 (depth = 24)
    gc_frame_newslot(call1031);
    if1006 = call1031;
  } else {
  }
// compiled if node returning if1006 (depth = 23)
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 23)
// starting to compile member node (depth = 24)
  int callframe1032 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 25)
  int callframe1033 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_errormessages (depth = 26)
  Object call1034 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1033);
// compiled member node returning call1034 (depth = 25)
  Object call1035 = callmethodflags(call1034, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1032);
// compiled member node returning call1035 (depth = 24)
  *var_suggestion = call1035;
  if (call1035 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 23)
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe1036 = gc_frame_new();
// starting to compile member node (depth = 24)
  int callframe1037 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call1038 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1037);
// compiled member node returning call1038 (depth = 24)
  gc_frame_newslot(call1038);
// starting to compile op node (depth = 24)
// starting to compile num node (depth = 25)
  Object num1040 = alloc_Float64(1);
// compiled num node returning num1040 (depth = 25)
  int op_slot_right_1039 = gc_frame_newslot(num1040);
// starting to compile member node (depth = 25)
  int callframe1042 = gc_frame_new();
// call case 4: self request
  Object call1043 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1042);
// compiled member node returning call1043 (depth = 25)
  int op_slot_left_1039 = gc_frame_newslot(call1043);
  params[0] = num1040;
  partcv[0] = 1;
  Object diff1044 = callmethod(call1043, "-(1)", 1, partcv, params);
// compiled op node returning diff1044 (depth = 24)
  gc_frame_newslot(diff1044);
// starting to compile op node (depth = 24)
// starting to compile string node (depth = 25)
  if (strlit1046 == NULL) {
    strlit1046 = alloc_String(")");
    gc_root(strlit1046);
  }
// compiled string node returning strlit1046 (depth = 25)
  int op_slot_right_1045 = gc_frame_newslot(strlit1046);
// starting to compile op node (depth = 25)
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_accum (depth = 26)
  int op_slot_right_1048 = gc_frame_newslot(*var_accum);
// starting to compile string node (depth = 26)
  if (strlit1050 == NULL) {
    strlit1050 = alloc_String("(");
    gc_root(strlit1050);
  }
// compiled string node returning strlit1050 (depth = 26)
  int op_slot_left_1048 = gc_frame_newslot(strlit1050);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult1051 = callmethod(strlit1050, "++(1)", 1, partcv, params);
// compiled op node returning opresult1051 (depth = 25)
  int op_slot_left_1045 = gc_frame_newslot(opresult1051);
  params[0] = strlit1046;
  partcv[0] = 1;
  Object opresult1052 = callmethod(opresult1051, "++(1)", 1, partcv, params);
// compiled op node returning opresult1052 (depth = 24)
  gc_frame_newslot(opresult1052);
// starting to compile member node (depth = 24)
  int callframe1053 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 25)
  int callframe1054 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_tokens (depth = 26)
  Object call1055 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1054);
// compiled member node returning call1055 (depth = 25)
  Object call1056 = callmethodflags(call1055, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1053);
// compiled member node returning call1056 (depth = 24)
  gc_frame_newslot(call1056);
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_suggestion (depth = 24)
  params[0] = call1038;
  params[1] = diff1044;
  params[2] = opresult1052;
  params[3] = call1056;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1057 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1036);
// compiled call node returning call1057 (depth = 23)
// Begin line 370
  setline(370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe1058 = gc_frame_new();
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_suggestion (depth = 24)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_suggestions (depth = 24)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1059 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1058);
// compiled call node returning call1059 (depth = 23)
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe1060 = gc_frame_new();
// starting to compile string node (depth = 24)
  if (strlit1061 == NULL) {
    strlit1061 = alloc_String("a number may follow a '.' only if there is a number before the '.'.");
    gc_root(strlit1061);
  }
// compiled string node returning strlit1061 (depth = 24)
  gc_frame_newslot(strlit1061);
// Begin line 372
  setline(372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 24)
  int callframe1062 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call1063 = callmethodflags(*var_dot, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1062);
// compiled member node returning call1063 (depth = 24)
  gc_frame_newslot(call1063);
// starting to compile member node (depth = 24)
  int callframe1064 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call1065 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1064);
// compiled member node returning call1065 (depth = 24)
  gc_frame_newslot(call1065);
// starting to compile member node (depth = 24)
  int callframe1066 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call1067 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1066);
// compiled member node returning call1067 (depth = 24)
  gc_frame_newslot(call1067);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_suggestions (depth = 24)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 371
  setline(371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_errormessages (depth = 24)
  params[0] = strlit1061;
  params[1] = call1063;
  params[2] = call1065;
  params[3] = call1067;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1068 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1060);
// compiled call node returning call1068 (depth = 23)
    gc_frame_newslot(call1068);
    if996 = call1068;
  } else {
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe1069 = gc_frame_new();
// starting to compile string node (depth = 24)
  if (strlit1070 == NULL) {
    strlit1070 = alloc_String("a number may follow a '.' only if there is a number before the '.'.");
    gc_root(strlit1070);
  }
// compiled string node returning strlit1070 (depth = 24)
  gc_frame_newslot(strlit1070);
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 24)
  int callframe1071 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call1072 = callmethodflags(*var_dot, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1071);
// compiled member node returning call1072 (depth = 24)
  gc_frame_newslot(call1072);
// starting to compile member node (depth = 24)
  int callframe1073 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call1074 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1073);
// compiled member node returning call1074 (depth = 24)
  gc_frame_newslot(call1074);
// starting to compile member node (depth = 24)
  int callframe1075 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_dot (depth = 25)
  Object call1076 = callmethodflags(*var_dot, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1075);
// compiled member node returning call1076 (depth = 24)
  gc_frame_newslot(call1076);
// call case 6: other requests
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_errormessages (depth = 24)
  params[0] = strlit1070;
  params[1] = call1072;
  params[2] = call1074;
  params[3] = call1076;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1077 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe1069);
// compiled call node returning call1077 (depth = 23)
    gc_frame_newslot(call1077);
    if996 = call1077;
  }
// compiled if node returning if996 (depth = 22)
    gc_frame_newslot(if996);
    if958 = if996;
  }
// compiled if node returning if958 (depth = 21)
    gc_frame_newslot(if958);
    if925 = if958;
  }
// compiled if node returning if925 (depth = 20)
    gc_frame_newslot(if925);
    if759 = if925;
  }
// compiled if node returning if759 (depth = 19)
    gc_frame_newslot(if759);
    if736 = if759;
  } else {
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe1078 = gc_frame_new();
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_accum (depth = 21)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1079 = callmethodflags(self, "makeNumToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1078);
// compiled call node returning call1079 (depth = 20)
  *var_tok = call1079;
  if (call1079 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 19)
    gc_frame_newslot(done);
    if736 = done;
  }
// compiled if node returning if736 (depth = 18)
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 18)
  int callframe1081 = gc_frame_new();
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_tok (depth = 19)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_tokens (depth = 19)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1082 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1081);
// compiled call node returning call1082 (depth = 18)
    gc_frame_newslot(call1082);
    if731 = call1082;
  } else {
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 18)
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 19)
// starting to compile string node (depth = 20)
  if (strlit1085 == NULL) {
    strlit1085 = alloc_String("o");
    gc_root(strlit1085);
  }
// compiled string node returning strlit1085 (depth = 20)
  int op_slot_right_1084 = gc_frame_newslot(strlit1085);
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_mode (depth = 20)
  int op_slot_left_1084 = gc_frame_newslot(*var_mode);
  params[0] = strlit1085;
  partcv[0] = 1;
  Object opresult1087 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult1087 (depth = 19)
  Object if1083 = done;
  if (istrue(opresult1087)) {
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe1088 = gc_frame_new();
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_accum (depth = 21)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_accum;
  partcv[0] = 1;
  Object call1089 = callmethodflags(self, "opToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1088);
// compiled call node returning call1089 (depth = 20)
  *var_tok = call1089;
  if (call1089 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 19)
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 19)
// starting to compile op node (depth = 20)
// starting to compile string node (depth = 21)
  if (strlit1093 == NULL) {
    strlit1093 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit1093);
  }
// compiled string node returning strlit1093 (depth = 21)
  int op_slot_right_1092 = gc_frame_newslot(strlit1093);
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_accum (depth = 21)
  int op_slot_left_1092 = gc_frame_newslot(*var_accum);
  params[0] = strlit1093;
  partcv[0] = 1;
  Object opresult1095 = callmethod(*var_accum, "==(1)", 1, partcv, params);
// compiled op node returning opresult1095 (depth = 20)
  Object if1091 = done;
  if (istrue(opresult1095)) {
// Begin line 385
  setline(385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 20)
// starting to compile member node (depth = 21)
  int callframe1096 = gc_frame_new();
// call case 4: self request
  Object call1097 = callmethodflags(self, "arrowToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1096);
// compiled member node returning call1097 (depth = 21)
  *var_tok = call1097;
  if (call1097 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 20)
    gc_frame_newslot(done);
    if1091 = done;
  } else {
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit1101 == NULL) {
    strlit1101 = alloc_String(":=");
    gc_root(strlit1101);
  }
// compiled string node returning strlit1101 (depth = 22)
  int op_slot_right_1100 = gc_frame_newslot(strlit1101);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_accum (depth = 22)
  int op_slot_left_1100 = gc_frame_newslot(*var_accum);
  params[0] = strlit1101;
  partcv[0] = 1;
  Object opresult1103 = callmethod(*var_accum, "==(1)", 1, partcv, params);
// compiled op node returning opresult1103 (depth = 21)
  Object if1099 = done;
  if (istrue(opresult1103)) {
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 21)
// starting to compile member node (depth = 22)
  int callframe1104 = gc_frame_new();
// call case 4: self request
  Object call1105 = callmethodflags(self, "bindToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1104);
// compiled member node returning call1105 (depth = 22)
  *var_tok = call1105;
  if (call1105 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 21)
    gc_frame_newslot(done);
    if1099 = done;
  } else {
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// Begin line 388
  setline(388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 22)
// starting to compile string node (depth = 23)
  if (strlit1109 == NULL) {
    strlit1109 = alloc_String(":");
    gc_root(strlit1109);
  }
// compiled string node returning strlit1109 (depth = 23)
  int op_slot_right_1108 = gc_frame_newslot(strlit1109);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_accum (depth = 23)
  int op_slot_left_1108 = gc_frame_newslot(*var_accum);
  params[0] = strlit1109;
  partcv[0] = 1;
  Object opresult1111 = callmethod(*var_accum, "==(1)", 1, partcv, params);
// compiled op node returning opresult1111 (depth = 22)
  Object if1107 = done;
  if (istrue(opresult1111)) {
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 22)
// starting to compile member node (depth = 23)
  int callframe1112 = gc_frame_new();
// call case 4: self request
  Object call1113 = callmethodflags(self, "colonToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1112);
// compiled member node returning call1113 (depth = 23)
  *var_tok = call1113;
  if (call1113 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 22)
    gc_frame_newslot(done);
    if1107 = done;
  } else {
  }
// compiled if node returning if1107 (depth = 21)
    gc_frame_newslot(if1107);
    if1099 = if1107;
  }
// compiled if node returning if1099 (depth = 20)
    gc_frame_newslot(if1099);
    if1091 = if1099;
  }
// compiled if node returning if1091 (depth = 19)
// Begin line 391
  setline(391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 19)
  int callframe1115 = gc_frame_new();
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_tok (depth = 20)
  gc_frame_newslot(*var_tok);
// call case 6: other requests
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_tokens (depth = 20)
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call1116 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1115);
// compiled call node returning call1116 (depth = 19)
    gc_frame_newslot(call1116);
    if1083 = call1116;
  } else {
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 19)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 20)
// starting to compile string node (depth = 21)
  if (strlit1119 == NULL) {
    strlit1119 = alloc_String("d");
    gc_root(strlit1119);
  }
// compiled string node returning strlit1119 (depth = 21)
  int op_slot_right_1118 = gc_frame_newslot(strlit1119);
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_mode (depth = 21)
  int op_slot_left_1118 = gc_frame_newslot(*var_mode);
  params[0] = strlit1119;
  partcv[0] = 1;
  Object opresult1121 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult1121 (depth = 20)
  Object if1117 = done;
  if (istrue(opresult1121)) {
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 20)
  int callframe1122 = gc_frame_new();
// starting to compile op node (depth = 21)
// starting to compile num node (depth = 22)
  Object num1124 = alloc_Float64(1);
// compiled num node returning num1124 (depth = 22)
  int op_slot_right_1123 = gc_frame_newslot(num1124);
// starting to compile member node (depth = 22)
  int callframe1126 = gc_frame_new();
// call case 4: self request
  Object call1127 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1126);
// compiled member node returning call1127 (depth = 22)
  int op_slot_left_1123 = gc_frame_newslot(call1127);
  params[0] = num1124;
  partcv[0] = 1;
  Object diff1128 = callmethod(call1127, "-(1)", 1, partcv, params);
// compiled op node returning diff1128 (depth = 21)
  gc_frame_newslot(diff1128);
// call case 4: self request
  params[0] = diff1128;
  partcv[0] = 1;
  Object call1129 = callmethodflags(self, "indentLevel:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1122);
// compiled call node returning call1129 (depth = 20)
    gc_frame_newslot(call1129);
    if1117 = call1129;
  } else {
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 20)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 21)
// starting to compile string node (depth = 22)
  if (strlit1132 == NULL) {
    strlit1132 = alloc_String("n");
    gc_root(strlit1132);
  }
// compiled string node returning strlit1132 (depth = 22)
  int op_slot_right_1131 = gc_frame_newslot(strlit1132);
// starting to compile identifier node (depth = 22)
// compiled identifier node returning *var_mode (depth = 22)
  int op_slot_left_1131 = gc_frame_newslot(*var_mode);
  params[0] = strlit1132;
  partcv[0] = 1;
  Object opresult1134 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult1134 (depth = 21)
  Object if1130 = done;
  if (istrue(opresult1134)) {
    gc_frame_newslot(done);
    if1130 = done;
  } else {
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 21)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 22)
// starting to compile string node (depth = 23)
  if (strlit1137 == NULL) {
    strlit1137 = alloc_String("e");
    gc_root(strlit1137);
  }
// compiled string node returning strlit1137 (depth = 23)
  int op_slot_right_1136 = gc_frame_newslot(strlit1137);
// starting to compile identifier node (depth = 23)
// compiled identifier node returning *var_mode (depth = 23)
  int op_slot_left_1136 = gc_frame_newslot(*var_mode);
  params[0] = strlit1137;
  partcv[0] = 1;
  Object opresult1139 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult1139 (depth = 22)
  Object if1135 = done;
  if (istrue(opresult1139)) {
    gc_frame_newslot(done);
    if1135 = done;
  } else {
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 22)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 23)
// starting to compile string node (depth = 24)
  if (strlit1142 == NULL) {
    strlit1142 = alloc_String("c");
    gc_root(strlit1142);
  }
// compiled string node returning strlit1142 (depth = 24)
  int op_slot_right_1141 = gc_frame_newslot(strlit1142);
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_mode (depth = 24)
  int op_slot_left_1141 = gc_frame_newslot(*var_mode);
  params[0] = strlit1142;
  partcv[0] = 1;
  Object opresult1144 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult1144 (depth = 23)
  Object if1140 = done;
  if (istrue(opresult1144)) {
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 23)
// starting to compile num node (depth = 24)
  Object num1145 = alloc_Float64(3);
// compiled num node returning num1145 (depth = 24)
  *var_firstNonSpace = num1145;
  if (num1145 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 23)
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 23)
// starting to compile member node (depth = 24)
  int callframe1146 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_accum (depth = 25)
  Object call1147 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1146);
// compiled member node returning call1147 (depth = 24)
  *var_accumSize = call1147;
  if (call1147 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 23)
// Begin line 399
  setline(399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe1148 = gc_frame_new();
// starting to compile block node (depth = 24)
  Object block1149 = alloc_Block(NULL, NULL, "lexer", 399);
  gc_frame_newslot(block1149);
// method "_apply"
  block_savedest(block1149);
  Object closure1150 = createclosure(3, "_apply");
  setclosureframe(closure1150, stackframe);
  addtoclosure(closure1150, var_firstNonSpace);
  addtoclosure(closure1150, var_accum);
  addtoclosure(closure1150, selfslot);
  struct UserObject *uo1150 = (struct UserObject*)block1149;
  uo1150->data[0] = (Object)closure1150;
  Method *meth_meth_lexer__apply1150 = addmethod2pos(block1149, "_apply", &meth_lexer__apply1150, 0);
  int argcv_meth_lexer__apply1150[] = {0};
  meth_meth_lexer__apply1150->type = alloc_MethodType(1, argcv_meth_lexer__apply1150);
  meth_meth_lexer__apply1150->definitionModule = modulename;
  meth_meth_lexer__apply1150->definitionLine = 1119;
// compiled block node returning block1149 (depth = 24)
  gc_frame_newslot(block1149);
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 24)
  Object block1169 = alloc_Block(NULL, NULL, "lexer", 400);
  gc_frame_newslot(block1169);
// method "_apply"
  block_savedest(block1169);
  Object closure1170 = createclosure(2, "_apply");
  setclosureframe(closure1170, stackframe);
  addtoclosure(closure1170, var_firstNonSpace);
  addtoclosure(closure1170, selfslot);
  struct UserObject *uo1170 = (struct UserObject*)block1169;
  uo1170->data[0] = (Object)closure1170;
  Method *meth_meth_lexer__apply1170 = addmethod2pos(block1169, "_apply", &meth_lexer__apply1170, 0);
  int argcv_meth_lexer__apply1170[] = {0};
  meth_meth_lexer__apply1170->type = alloc_MethodType(1, argcv_meth_lexer__apply1170);
  meth_meth_lexer__apply1170->definitionModule = modulename;
  meth_meth_lexer__apply1170->definitionLine = 1119;
// compiled block node returning block1169 (depth = 24)
  gc_frame_newslot(block1169);
// call case 5: prelude request
  params[0] = block1149;
  params[1] = block1169;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1177 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1148);
// compiled call node returning call1177 (depth = 23)
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 23)
// starting to compile call node (depth = 24)
  int callframe1178 = gc_frame_new();
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_firstNonSpace (depth = 25)
  gc_frame_newslot(*var_firstNonSpace);
// starting to compile member node (depth = 25)
  int callframe1179 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_accum (depth = 26)
  Object call1180 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1179);
// compiled member node returning call1180 (depth = 25)
  gc_frame_newslot(call1180);
// call case 6: other requests
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_accum (depth = 25)
  params[0] = *var_firstNonSpace;
  params[1] = call1180;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1181 = callmethodflags(*var_accum, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1178);
// compiled call node returning call1181 (depth = 24)
  *var_cmt = call1181;
  if (call1181 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 23)
// Begin line 404
  setline(404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 23)
  int callframe1182 = gc_frame_new();
// starting to compile call node (depth = 24)
  int callframe1183 = gc_frame_new();
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_cmt (depth = 25)
  gc_frame_newslot(*var_cmt);
// call case 4: self request
  params[0] = *var_cmt;
  partcv[0] = 1;
  Object call1184 = callmethodflags(self, "commentToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1183);
// compiled call node returning call1184 (depth = 24)
  gc_frame_newslot(call1184);
// call case 6: other requests
// starting to compile identifier node (depth = 24)
// compiled identifier node returning *var_tokens (depth = 24)
  params[0] = call1184;
  partcv[0] = 1;
  Object call1185 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1182);
// compiled call node returning call1185 (depth = 23)
    gc_frame_newslot(call1185);
    if1140 = call1185;
  } else {
// Begin line 410
  setline(410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 23)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 24)
// starting to compile string node (depth = 25)
  if (strlit1188 == NULL) {
    strlit1188 = alloc_String("p");
    gc_root(strlit1188);
  }
// compiled string node returning strlit1188 (depth = 25)
  int op_slot_right_1187 = gc_frame_newslot(strlit1188);
// starting to compile identifier node (depth = 25)
// compiled identifier node returning *var_mode (depth = 25)
  int op_slot_left_1187 = gc_frame_newslot(*var_mode);
  params[0] = strlit1188;
  partcv[0] = 1;
  Object opresult1190 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult1190 (depth = 24)
  Object if1186 = done;
  if (istrue(opresult1190)) {
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 24)
// starting to compile op node (depth = 25)
// starting to compile string node (depth = 26)
  if (strlit1193 == NULL) {
    strlit1193 = alloc_String("#pragma ");
    gc_root(strlit1193);
  }
// compiled string node returning strlit1193 (depth = 26)
  int op_slot_right_1192 = gc_frame_newslot(strlit1193);
// starting to compile call node (depth = 26)
  int callframe1195 = gc_frame_new();
// starting to compile num node (depth = 27)
  Object num1196 = alloc_Float64(1);
// compiled num node returning num1196 (depth = 27)
  gc_frame_newslot(num1196);
// starting to compile num node (depth = 27)
  Object num1197 = alloc_Float64(8);
// compiled num node returning num1197 (depth = 27)
  gc_frame_newslot(num1197);
// call case 6: other requests
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_accum (depth = 27)
  params[0] = num1196;
  params[1] = num1197;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1198 = callmethodflags(*var_accum, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1195);
// compiled call node returning call1198 (depth = 26)
  int op_slot_left_1192 = gc_frame_newslot(call1198);
  params[0] = strlit1193;
  partcv[0] = 1;
  Object opresult1199 = callmethod(call1198, "==(1)", 1, partcv, params);
// compiled op node returning opresult1199 (depth = 25)
  Object if1191 = done;
  if (istrue(opresult1199)) {
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 25)
  int callframe1200 = gc_frame_new();
// Begin line 408
  setline(408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 26)
  int callframe1201 = gc_frame_new();
// starting to compile num node (depth = 27)
  Object num1202 = alloc_Float64(9);
// compiled num node returning num1202 (depth = 27)
  gc_frame_newslot(num1202);
// starting to compile member node (depth = 27)
  int callframe1203 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 28)
// compiled identifier node returning *var_accum (depth = 28)
  Object call1204 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1203);
// compiled member node returning call1204 (depth = 27)
  gc_frame_newslot(call1204);
// call case 6: other requests
// starting to compile identifier node (depth = 27)
// compiled identifier node returning *var_accum (depth = 27)
  params[0] = num1202;
  params[1] = call1204;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1205 = callmethodflags(*var_accum, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1201);
// compiled call node returning call1205 (depth = 26)
  gc_frame_newslot(call1205);
// call case 6: other requests
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 26)
// compiled identifier node returning *var_util (depth = 26)
  params[0] = call1205;
  partcv[0] = 1;
  Object call1206 = callmethodflags(*var_util, "processExtension(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1200);
// compiled call node returning call1206 (depth = 25)
    gc_frame_newslot(call1206);
    if1191 = call1206;
  } else {
  }
// compiled if node returning if1191 (depth = 24)
    gc_frame_newslot(if1191);
    if1186 = if1191;
  } else {
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 24)
  int callframe1207 = gc_frame_new();
// starting to compile op node (depth = 25)
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 26)
// starting to compile string node (depth = 27)
  if (strlit1210 == NULL) {
    strlit1210 = alloc_String("");
    gc_root(strlit1210);
  }
// compiled string node returning strlit1210 (depth = 27)
  int op_slot_right_1209 = gc_frame_newslot(strlit1210);
// starting to compile op node (depth = 27)
// starting to compile member node (depth = 28)
  int callframe1213 = gc_frame_new();
// call case 4: self request
  Object call1214 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1213);
// compiled member node returning call1214 (depth = 28)
  int op_slot_right_1212 = gc_frame_newslot(call1214);
// starting to compile op node (depth = 28)
// starting to compile string node (depth = 29)
  if (strlit1217 == NULL) {
    strlit1217 = alloc_String(":");
    gc_root(strlit1217);
  }
// compiled string node returning strlit1217 (depth = 29)
  int op_slot_right_1216 = gc_frame_newslot(strlit1217);
// starting to compile op node (depth = 29)
// starting to compile member node (depth = 30)
  int callframe1220 = gc_frame_new();
// call case 4: self request
  Object call1221 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1220);
// compiled member node returning call1221 (depth = 30)
  int op_slot_right_1219 = gc_frame_newslot(call1221);
// starting to compile string node (depth = 30)
  if (strlit1223 == NULL) {
    strlit1223 = alloc_String("at position ");
    gc_root(strlit1223);
  }
// compiled string node returning strlit1223 (depth = 30)
  int op_slot_left_1219 = gc_frame_newslot(strlit1223);
  params[0] = call1221;
  partcv[0] = 1;
  Object opresult1224 = callmethod(strlit1223, "++(1)", 1, partcv, params);
// compiled op node returning opresult1224 (depth = 29)
  int op_slot_left_1216 = gc_frame_newslot(opresult1224);
  params[0] = strlit1217;
  partcv[0] = 1;
  Object opresult1225 = callmethod(opresult1224, "++(1)", 1, partcv, params);
// compiled op node returning opresult1225 (depth = 28)
  int op_slot_left_1212 = gc_frame_newslot(opresult1225);
  params[0] = call1214;
  partcv[0] = 1;
  Object opresult1226 = callmethod(opresult1225, "++(1)", 1, partcv, params);
// compiled op node returning opresult1226 (depth = 27)
  int op_slot_left_1209 = gc_frame_newslot(opresult1226);
  params[0] = strlit1210;
  partcv[0] = 1;
  Object opresult1227 = callmethod(opresult1226, "++(1)", 1, partcv, params);
// compiled op node returning opresult1227 (depth = 26)
  int op_slot_right_1208 = gc_frame_newslot(opresult1227);
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 26)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 27)
// starting to compile string node (depth = 28)
  if (strlit1231 == NULL) {
    strlit1231 = alloc_String("""\xe2""""\x80""""\xba"" ");
    gc_root(strlit1231);
  }
// compiled string node returning strlit1231 (depth = 28)
  int op_slot_right_1230 = gc_frame_newslot(strlit1231);
// starting to compile op node (depth = 28)
// starting to compile identifier node (depth = 29)
// compiled identifier node returning *var_accum (depth = 29)
  int op_slot_right_1233 = gc_frame_newslot(*var_accum);
// starting to compile op node (depth = 29)
// starting to compile string node (depth = 30)
  if (strlit1236 == NULL) {
    strlit1236 = alloc_String(" with accum ""\xe2""""\x80""""\xb9""");
    gc_root(strlit1236);
  }
// compiled string node returning strlit1236 (depth = 30)
  int op_slot_right_1235 = gc_frame_newslot(strlit1236);
// starting to compile op node (depth = 30)
// starting to compile identifier node (depth = 31)
// compiled identifier node returning *var_mode (depth = 31)
  int op_slot_right_1238 = gc_frame_newslot(*var_mode);
// starting to compile string node (depth = 31)
  if (strlit1240 == NULL) {
    strlit1240 = alloc_String("no handler for mode ");
    gc_root(strlit1240);
  }
// compiled string node returning strlit1240 (depth = 31)
  int op_slot_left_1238 = gc_frame_newslot(strlit1240);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult1241 = callmethod(strlit1240, "++(1)", 1, partcv, params);
// compiled op node returning opresult1241 (depth = 30)
  int op_slot_left_1235 = gc_frame_newslot(opresult1241);
  params[0] = strlit1236;
  partcv[0] = 1;
  Object opresult1242 = callmethod(opresult1241, "++(1)", 1, partcv, params);
// compiled op node returning opresult1242 (depth = 29)
  int op_slot_left_1233 = gc_frame_newslot(opresult1242);
  params[0] = *var_accum;
  partcv[0] = 1;
  Object opresult1243 = callmethod(opresult1242, "++(1)", 1, partcv, params);
// compiled op node returning opresult1243 (depth = 28)
  int op_slot_left_1230 = gc_frame_newslot(opresult1243);
  params[0] = strlit1231;
  partcv[0] = 1;
  Object opresult1244 = callmethod(opresult1243, "++(1)", 1, partcv, params);
// compiled op node returning opresult1244 (depth = 27)
  int op_slot_right_1229 = gc_frame_newslot(opresult1244);
// Begin line 411
  setline(411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 27)
  if (strlit1246 == NULL) {
    strlit1246 = alloc_String("Internal error in lexer: ");
    gc_root(strlit1246);
  }
// compiled string node returning strlit1246 (depth = 27)
  int op_slot_left_1229 = gc_frame_newslot(strlit1246);
  params[0] = opresult1244;
  partcv[0] = 1;
  Object opresult1247 = callmethod(strlit1246, "++(1)", 1, partcv, params);
// compiled op node returning opresult1247 (depth = 26)
  int op_slot_left_1208 = gc_frame_newslot(opresult1247);
  params[0] = opresult1227;
  partcv[0] = 1;
  Object opresult1248 = callmethod(opresult1247, "++(1)", 1, partcv, params);
// compiled op node returning opresult1248 (depth = 25)
  gc_frame_newslot(opresult1248);
// call case 6: other requests
// starting to compile member node (depth = 25)
  int callframe1249 = gc_frame_new();
// call case 5: prelude request
  Object call1250 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1249);
// compiled member node returning call1250 (depth = 25)
  params[0] = opresult1248;
  partcv[0] = 1;
  Object call1251 = callmethodflags(call1250, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1207);
// compiled call node returning call1251 (depth = 24)
    gc_frame_newslot(call1251);
    if1186 = call1251;
  }
// compiled if node returning if1186 (depth = 23)
    gc_frame_newslot(if1186);
    if1140 = if1186;
  }
// compiled if node returning if1140 (depth = 22)
    gc_frame_newslot(if1140);
    if1135 = if1140;
  }
// compiled if node returning if1135 (depth = 21)
    gc_frame_newslot(if1135);
    if1130 = if1135;
  }
// compiled if node returning if1130 (depth = 20)
    gc_frame_newslot(if1130);
    if1117 = if1130;
  }
// compiled if node returning if1117 (depth = 19)
    gc_frame_newslot(if1117);
    if1083 = if1117;
  }
// compiled if node returning if1083 (depth = 18)
    gc_frame_newslot(if1083);
    if731 = if1083;
  }
// compiled if node returning if731 (depth = 17)
    gc_frame_newslot(if731);
    if721 = if731;
  }
// compiled if node returning if721 (depth = 16)
    gc_frame_newslot(if721);
    if711 = if721;
  }
// compiled if node returning if711 (depth = 15)
    gc_frame_newslot(if711);
    if701 = if711;
  }
// compiled if node returning if701 (depth = 14)
    gc_frame_newslot(if701);
    if691 = if701;
  }
// compiled if node returning if691 (depth = 13)
    gc_frame_newslot(if691);
    if681 = if691;
  }
// compiled if node returning if681 (depth = 12)
    gc_frame_newslot(if681);
    if647 = if681;
  }
// compiled if node returning if647 (depth = 11)
    gc_frame_newslot(if647);
    if637 = if647;
  }
// compiled if node returning if637 (depth = 10)
    gc_frame_newslot(if637);
    if627 = if637;
  }
// compiled if node returning if627 (depth = 9)
    gc_frame_newslot(if627);
    if617 = if627;
  }
// compiled if node returning if617 (depth = 8)
    gc_frame_newslot(if617);
    if607 = if617;
  }
// compiled if node returning if607 (depth = 7)
    gc_frame_newslot(if607);
    if597 = if607;
  }
// compiled if node returning if597 (depth = 6)
    gc_frame_newslot(if597);
    if587 = if597;
  }
// compiled if node returning if587 (depth = 5)
    gc_frame_newslot(if587);
    if577 = if587;
  }
// compiled if node returning if577 (depth = 4)
    gc_frame_newslot(if577);
    if562 = if577;
  }
// compiled if node returning if562 (depth = 3)
    gc_frame_newslot(if562);
    if548 = if562;
  } else {
  }
// compiled if node returning if548 (depth = 2)
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1252 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1253 = gc_frame_new();
// call case 4: self request
  Object call1254 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1253);
// compiled member node returning call1254 (depth = 3)
  gc_frame_newslot(call1254);
// call case 4: self request
  params[0] = call1254;
  partcv[0] = 1;
  Object call1255 = callmethodflags(self, "startPosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1252);
// compiled call node returning call1255 (depth = 2)
  gc_frame_end(frame);
  return call1255;
}
Object meth_lexer__apply_40_1_41_1261(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[3];
  Object *var_base = getfromclosure(closure, 0);
  Object *var_val = getfromclosure(closure, 1);
  Object *var_str = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_unicode = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
  Object *var_inc = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "inc");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_validDigits = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "validDigits");
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1262 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  Object call1263 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1262);
// compiled member node returning call1263 (depth = 5)
  *var_n = call1263;
  if (call1263 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1264 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1264 = gc_frame_newslot(*var_val);
  params[0] = *var_base;
  partcv[0] = 1;
  Object prod1266 = callmethod(*var_val, "*(1)", 1, partcv, params);
// compiled op node returning prod1266 (depth = 5)
  *var_val = prod1266;
  if (prod1266 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1268 = alloc_Float64(0);
// compiled num node returning num1268 (depth = 5)
  *var_inc = num1268;
  if (num1268 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1272 = alloc_Float64(57);
// compiled num node returning num1272 (depth = 7)
  int op_slot_right_1271 = gc_frame_newslot(num1272);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1271 = gc_frame_newslot(*var_n);
  params[0] = num1272;
  partcv[0] = 1;
  Object opresult1274 = callmethod(*var_n, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1274 (depth = 6)
  int op_slot_right_1270 = gc_frame_newslot(opresult1274);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1277 = alloc_Float64(48);
// compiled num node returning num1277 (depth = 7)
  int op_slot_right_1276 = gc_frame_newslot(num1277);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1276 = gc_frame_newslot(*var_n);
  params[0] = num1277;
  partcv[0] = 1;
  Object opresult1279 = callmethod(*var_n, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1279 (depth = 6)
  int op_slot_left_1270 = gc_frame_newslot(opresult1279);
  params[0] = opresult1274;
  partcv[0] = 1;
  Object opresult1280 = callmethod(opresult1279, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1280 (depth = 5)
  Object if1269 = done;
  if (istrue(opresult1280)) {
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1282 = alloc_Float64(48);
// compiled num node returning num1282 (depth = 7)
  int op_slot_right_1281 = gc_frame_newslot(num1282);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_1281 = gc_frame_newslot(*var_n);
  params[0] = num1282;
  partcv[0] = 1;
  Object diff1284 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1284 (depth = 6)
  *var_inc = diff1284;
  if (diff1284 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1269 = done;
  } else {
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1289 = alloc_Float64(90);
// compiled num node returning num1289 (depth = 8)
  int op_slot_right_1288 = gc_frame_newslot(num1289);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1288 = gc_frame_newslot(*var_n);
  params[0] = num1289;
  partcv[0] = 1;
  Object opresult1291 = callmethod(*var_n, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1291 (depth = 7)
  int op_slot_right_1287 = gc_frame_newslot(opresult1291);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1294 = alloc_Float64(65);
// compiled num node returning num1294 (depth = 8)
  int op_slot_right_1293 = gc_frame_newslot(num1294);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1293 = gc_frame_newslot(*var_n);
  params[0] = num1294;
  partcv[0] = 1;
  Object opresult1296 = callmethod(*var_n, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1296 (depth = 7)
  int op_slot_left_1287 = gc_frame_newslot(opresult1296);
  params[0] = opresult1291;
  partcv[0] = 1;
  Object opresult1297 = callmethod(opresult1296, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1297 (depth = 6)
  Object if1286 = done;
  if (istrue(opresult1297)) {
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1299 = alloc_Float64(55);
// compiled num node returning num1299 (depth = 8)
  int op_slot_right_1298 = gc_frame_newslot(num1299);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1298 = gc_frame_newslot(*var_n);
  params[0] = num1299;
  partcv[0] = 1;
  Object diff1301 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1301 (depth = 7)
  *var_inc = diff1301;
  if (diff1301 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1286 = done;
  } else {
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1304 = alloc_Float64(87);
// compiled num node returning num1304 (depth = 8)
  int op_slot_right_1303 = gc_frame_newslot(num1304);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  int op_slot_left_1303 = gc_frame_newslot(*var_n);
  params[0] = num1304;
  partcv[0] = 1;
  Object diff1306 = callmethod(*var_n, "-(1)", 1, partcv, params);
// compiled op node returning diff1306 (depth = 7)
  *var_inc = diff1306;
  if (diff1306 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1286 = done;
  }
// compiled if node returning if1286 (depth = 5)
    gc_frame_newslot(if1286);
    if1269 = if1286;
  }
// compiled if node returning if1269 (depth = 4)
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_base (depth = 6)
  int op_slot_right_1309 = gc_frame_newslot(*var_base);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_left_1309 = gc_frame_newslot(*var_inc);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1311 = callmethod(*var_inc, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1311 (depth = 5)
  Object if1308 = done;
  if (istrue(opresult1311)) {
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1315 = alloc_Float64(16);
// compiled num node returning num1315 (depth = 8)
  int op_slot_right_1314 = gc_frame_newslot(num1315);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_inc (depth = 8)
  int op_slot_left_1314 = gc_frame_newslot(*var_inc);
  params[0] = num1315;
  partcv[0] = 1;
  Object opresult1317 = callmethod(*var_inc, "<(1)", 1, partcv, params);
// compiled op node returning opresult1317 (depth = 7)
  int op_slot_right_1313 = gc_frame_newslot(opresult1317);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1320 == NULL) {
    strlit1320 = alloc_String("0");
    gc_root(strlit1320);
  }
// compiled string node returning strlit1320 (depth = 8)
  int op_slot_right_1319 = gc_frame_newslot(strlit1320);
// starting to compile member node (depth = 8)
  int callframe1322 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call1323 = callmethodflags(*var_str, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1322);
// compiled member node returning call1323 (depth = 8)
  int op_slot_left_1319 = gc_frame_newslot(call1323);
  params[0] = strlit1320;
  partcv[0] = 1;
  Object opresult1324 = callmethod(call1323, "==(1)", 1, partcv, params);
// compiled op node returning opresult1324 (depth = 7)
  int op_slot_left_1313 = gc_frame_newslot(opresult1324);
  params[0] = opresult1317;
  partcv[0] = 1;
  Object opresult1325 = callmethod(opresult1324, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1325 (depth = 6)
  Object if1312 = done;
  if (istrue(opresult1325)) {
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1326 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1327 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1328 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1327);
// compiled member node returning call1328 (depth = 8)
  Object call1329 = callmethodflags(call1328, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1326);
// compiled member node returning call1329 (depth = 7)
  *var_suggestion = call1329;
  if (call1329 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1330 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1331 == NULL) {
    strlit1331 = alloc_String("x");
    gc_root(strlit1331);
  }
// compiled string node returning strlit1331 (depth = 7)
  gc_frame_newslot(strlit1331);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1333 = alloc_Float64(1);
// compiled num node returning num1333 (depth = 8)
  int op_slot_right_1332 = gc_frame_newslot(num1333);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1336 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1337 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1336);
// compiled member node returning call1337 (depth = 9)
  int op_slot_right_1335 = gc_frame_newslot(call1337);
// starting to compile member node (depth = 9)
  int callframe1339 = gc_frame_new();
// call case 4: self request
  Object call1340 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1339);
// compiled member node returning call1340 (depth = 9)
  int op_slot_left_1335 = gc_frame_newslot(call1340);
  params[0] = call1337;
  partcv[0] = 1;
  Object diff1341 = callmethod(call1340, "-(1)", 1, partcv, params);
// compiled op node returning diff1341 (depth = 8)
  int op_slot_left_1332 = gc_frame_newslot(diff1341);
  params[0] = num1333;
  partcv[0] = 1;
  Object sum1342 = callmethod(diff1341, "+(1)", 1, partcv, params);
// compiled op node returning sum1342 (depth = 7)
  gc_frame_newslot(sum1342);
// starting to compile member node (depth = 7)
  int callframe1343 = gc_frame_new();
// call case 4: self request
  Object call1344 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1343);
// compiled member node returning call1344 (depth = 7)
  gc_frame_newslot(call1344);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1331;
  params[1] = sum1342;
  params[2] = call1344;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1345 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1330);
// compiled call node returning call1345 (depth = 6)
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1346 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1347 == NULL) {
    strlit1347 = alloc_String("a number in base 16 must start with '0x'.");
    gc_root(strlit1347);
  }
// compiled string node returning strlit1347 (depth = 7)
  gc_frame_newslot(strlit1347);
// Begin line 438
  setline(438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1348 = gc_frame_new();
// call case 4: self request
  Object call1349 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1348);
// compiled member node returning call1349 (depth = 7)
  gc_frame_newslot(call1349);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1351 = alloc_Float64(1);
// compiled num node returning num1351 (depth = 8)
  int op_slot_right_1350 = gc_frame_newslot(num1351);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1354 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1355 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1354);
// compiled member node returning call1355 (depth = 9)
  int op_slot_right_1353 = gc_frame_newslot(call1355);
// starting to compile member node (depth = 9)
  int callframe1357 = gc_frame_new();
// call case 4: self request
  Object call1358 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1357);
// compiled member node returning call1358 (depth = 9)
  int op_slot_left_1353 = gc_frame_newslot(call1358);
  params[0] = call1355;
  partcv[0] = 1;
  Object diff1359 = callmethod(call1358, "-(1)", 1, partcv, params);
// compiled op node returning diff1359 (depth = 8)
  int op_slot_left_1350 = gc_frame_newslot(diff1359);
  params[0] = num1351;
  partcv[0] = 1;
  Object sum1360 = callmethod(diff1359, "+(1)", 1, partcv, params);
// compiled op node returning sum1360 (depth = 7)
  gc_frame_newslot(sum1360);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1347;
  params[1] = call1349;
  params[2] = sum1360;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1361 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1346);
// compiled call node returning call1361 (depth = 6)
    gc_frame_newslot(call1361);
    if1312 = call1361;
  } else {
// Begin line 440
  setline(440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1362 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1363 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1364 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1363);
// compiled member node returning call1364 (depth = 8)
  Object call1365 = callmethodflags(call1364, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1362);
// compiled member node returning call1365 (depth = 7)
  *var_suggestion = call1365;
  if (call1365 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1368 = alloc_Float64(1);
// compiled num node returning num1368 (depth = 8)
  int op_slot_right_1367 = gc_frame_newslot(num1368);
// starting to compile member node (depth = 8)
  int callframe1370 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_str (depth = 9)
  Object call1371 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1370);
// compiled member node returning call1371 (depth = 8)
  int op_slot_left_1367 = gc_frame_newslot(call1371);
  params[0] = num1368;
  partcv[0] = 1;
  Object opresult1372 = callmethod(call1371, "==(1)", 1, partcv, params);
// compiled op node returning opresult1372 (depth = 7)
  Object if1366 = done;
  if (istrue(opresult1372)) {
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1373 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1375 = alloc_Float64(1);
// compiled num node returning num1375 (depth = 9)
  int op_slot_right_1374 = gc_frame_newslot(num1375);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1378 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  Object call1379 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1378);
// compiled member node returning call1379 (depth = 10)
  int op_slot_right_1377 = gc_frame_newslot(call1379);
// starting to compile member node (depth = 10)
  int callframe1381 = gc_frame_new();
// call case 4: self request
  Object call1382 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1381);
// compiled member node returning call1382 (depth = 10)
  int op_slot_left_1377 = gc_frame_newslot(call1382);
  params[0] = call1379;
  partcv[0] = 1;
  Object diff1383 = callmethod(call1382, "-(1)", 1, partcv, params);
// compiled op node returning diff1383 (depth = 9)
  int op_slot_left_1374 = gc_frame_newslot(diff1383);
  params[0] = num1375;
  partcv[0] = 1;
  Object diff1384 = callmethod(diff1383, "-(1)", 1, partcv, params);
// compiled op node returning diff1384 (depth = 8)
  gc_frame_newslot(diff1384);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1386 = alloc_Float64(1);
// compiled num node returning num1386 (depth = 9)
  int op_slot_right_1385 = gc_frame_newslot(num1386);
// starting to compile member node (depth = 9)
  int callframe1388 = gc_frame_new();
// call case 4: self request
  Object call1389 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1388);
// compiled member node returning call1389 (depth = 9)
  int op_slot_left_1385 = gc_frame_newslot(call1389);
  params[0] = num1386;
  partcv[0] = 1;
  Object diff1390 = callmethod(call1389, "-(1)", 1, partcv, params);
// compiled op node returning diff1390 (depth = 8)
  gc_frame_newslot(diff1390);
// starting to compile member node (depth = 8)
  int callframe1391 = gc_frame_new();
// call case 4: self request
  Object call1392 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1391);
// compiled member node returning call1392 (depth = 8)
  gc_frame_newslot(call1392);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = diff1384;
  params[1] = diff1390;
  params[2] = call1392;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1393 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1373);
// compiled call node returning call1393 (depth = 7)
    gc_frame_newslot(call1393);
    if1366 = call1393;
  } else {
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1394 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_right_1395 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1398 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_str (depth = 11)
  Object call1399 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1398);
// compiled member node returning call1399 (depth = 10)
  int op_slot_right_1397 = gc_frame_newslot(call1399);
// starting to compile member node (depth = 10)
  int callframe1401 = gc_frame_new();
// call case 4: self request
  Object call1402 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1401);
// compiled member node returning call1402 (depth = 10)
  int op_slot_left_1397 = gc_frame_newslot(call1402);
  params[0] = call1399;
  partcv[0] = 1;
  Object diff1403 = callmethod(call1402, "-(1)", 1, partcv, params);
// compiled op node returning diff1403 (depth = 9)
  int op_slot_left_1395 = gc_frame_newslot(diff1403);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1404 = callmethod(diff1403, "+(1)", 1, partcv, params);
// compiled op node returning sum1404 (depth = 8)
  gc_frame_newslot(sum1404);
// starting to compile member node (depth = 8)
  int callframe1405 = gc_frame_new();
// call case 4: self request
  Object call1406 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1405);
// compiled member node returning call1406 (depth = 8)
  gc_frame_newslot(call1406);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum1404;
  params[1] = call1406;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1407 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1394);
// compiled call node returning call1407 (depth = 7)
    gc_frame_newslot(call1407);
    if1366 = call1407;
  }
// compiled if node returning if1366 (depth = 6)
// Begin line 446
  setline(446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num1410 = alloc_Float64(10);
// compiled num node returning num1410 (depth = 9)
  int op_slot_right_1409 = gc_frame_newslot(num1410);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_base (depth = 9)
  int op_slot_left_1409 = gc_frame_newslot(*var_base);
  params[0] = num1410;
  partcv[0] = 1;
  Object opresult1412 = callmethod(*var_base, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1412 (depth = 8)
  Object if1408 = done;
struct StackFrameObject *iftmpstackframe1408 = stackframe;
  if (istrue(opresult1412)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1408);
gc_frame_newslot((Object)stackframe);
// Begin line 447
  setline(447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1414 == NULL) {
    strlit1414 = alloc_String("'");
    gc_root(strlit1414);
  }
// compiled string node returning strlit1414 (depth = 9)
  int op_slot_right_1413 = gc_frame_newslot(strlit1414);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num1418 = alloc_Float64(1);
// compiled num node returning num1418 (depth = 11)
  int op_slot_right_1417 = gc_frame_newslot(num1418);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_left_1417 = gc_frame_newslot(*var_base);
  params[0] = num1418;
  partcv[0] = 1;
  Object diff1420 = callmethod(*var_base, "-(1)", 1, partcv, params);
// compiled op node returning diff1420 (depth = 10)
  int op_slot_right_1416 = gc_frame_newslot(diff1420);
// starting to compile string node (depth = 10)
  if (strlit1422 == NULL) {
    strlit1422 = alloc_String("'0' to '");
    gc_root(strlit1422);
  }
// compiled string node returning strlit1422 (depth = 10)
  int op_slot_left_1416 = gc_frame_newslot(strlit1422);
  params[0] = diff1420;
  partcv[0] = 1;
  Object opresult1423 = callmethod(strlit1422, "++(1)", 1, partcv, params);
// compiled op node returning opresult1423 (depth = 9)
  int op_slot_left_1413 = gc_frame_newslot(opresult1423);
  params[0] = strlit1414;
  partcv[0] = 1;
  Object opresult1424 = callmethod(opresult1423, "++(1)", 1, partcv, params);
// compiled op node returning opresult1424 (depth = 8)
    gc_frame_newslot(opresult1424);
    if1408 = opresult1424;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1408);
  gc_frame_newslot((Object)stackframe);
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1426 == NULL) {
    strlit1426 = alloc_String("'");
    gc_root(strlit1426);
  }
// compiled string node returning strlit1426 (depth = 9)
  int op_slot_right_1425 = gc_frame_newslot(strlit1426);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1429 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_base (depth = 12)
  int op_slot_right_1430 = gc_frame_newslot(*var_base);
// starting to compile num node (depth = 12)
  Object num1432 = alloc_Float64(87);
// compiled num node returning num1432 (depth = 12)
  int op_slot_left_1430 = gc_frame_newslot(num1432);
  params[0] = *var_base;
  partcv[0] = 1;
  Object sum1433 = callmethod(num1432, "+(1)", 1, partcv, params);
// compiled op node returning sum1433 (depth = 11)
  gc_frame_newslot(sum1433);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = sum1433;
  partcv[0] = 1;
  Object call1434 = callmethodflags(*var_unicode, "create(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1429);
// compiled call node returning call1434 (depth = 10)
  int op_slot_right_1428 = gc_frame_newslot(call1434);
// starting to compile string node (depth = 10)
  if (strlit1436 == NULL) {
    strlit1436 = alloc_String("'0' to '9', 'a' to '");
    gc_root(strlit1436);
  }
// compiled string node returning strlit1436 (depth = 10)
  int op_slot_left_1428 = gc_frame_newslot(strlit1436);
  params[0] = call1434;
  partcv[0] = 1;
  Object opresult1437 = callmethod(strlit1436, "++(1)", 1, partcv, params);
// compiled op node returning opresult1437 (depth = 9)
  int op_slot_left_1425 = gc_frame_newslot(opresult1437);
  params[0] = strlit1426;
  partcv[0] = 1;
  Object opresult1438 = callmethod(opresult1437, "++(1)", 1, partcv, params);
// compiled op node returning opresult1438 (depth = 8)
    gc_frame_newslot(opresult1438);
    if1408 = opresult1438;
  }
stackframe = iftmpstackframe1408;
// compiled if node returning if1408 (depth = 7)
  *var_validDigits = if1408;
  if (if1408 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1439 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1441 == NULL) {
    strlit1441 = alloc_String(".");
    gc_root(strlit1441);
  }
// compiled string node returning strlit1441 (depth = 8)
  int op_slot_right_1440 = gc_frame_newslot(strlit1441);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_validDigits (depth = 9)
  int op_slot_right_1443 = gc_frame_newslot(*var_validDigits);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1446 == NULL) {
    strlit1446 = alloc_String(". Valid digits are ");
    gc_root(strlit1446);
  }
// compiled string node returning strlit1446 (depth = 10)
  int op_slot_right_1445 = gc_frame_newslot(strlit1446);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_base (depth = 11)
  int op_slot_right_1448 = gc_frame_newslot(*var_base);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1451 == NULL) {
    strlit1451 = alloc_String("' is not a valid digit in base ");
    gc_root(strlit1451);
  }
// compiled string node returning strlit1451 (depth = 12)
  int op_slot_right_1450 = gc_frame_newslot(strlit1451);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_right_1453 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 13)
  if (strlit1455 == NULL) {
    strlit1455 = alloc_String("'");
    gc_root(strlit1455);
  }
// compiled string node returning strlit1455 (depth = 13)
  int op_slot_left_1453 = gc_frame_newslot(strlit1455);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1456 = callmethod(strlit1455, "++(1)", 1, partcv, params);
// compiled op node returning opresult1456 (depth = 12)
  int op_slot_left_1450 = gc_frame_newslot(opresult1456);
  params[0] = strlit1451;
  partcv[0] = 1;
  Object opresult1457 = callmethod(opresult1456, "++(1)", 1, partcv, params);
// compiled op node returning opresult1457 (depth = 11)
  int op_slot_left_1448 = gc_frame_newslot(opresult1457);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1458 = callmethod(opresult1457, "++(1)", 1, partcv, params);
// compiled op node returning opresult1458 (depth = 10)
  int op_slot_left_1445 = gc_frame_newslot(opresult1458);
  params[0] = strlit1446;
  partcv[0] = 1;
  Object opresult1459 = callmethod(opresult1458, "++(1)", 1, partcv, params);
// compiled op node returning opresult1459 (depth = 9)
  int op_slot_left_1443 = gc_frame_newslot(opresult1459);
  params[0] = *var_validDigits;
  partcv[0] = 1;
  Object opresult1460 = callmethod(opresult1459, "++(1)", 1, partcv, params);
// compiled op node returning opresult1460 (depth = 8)
  int op_slot_left_1440 = gc_frame_newslot(opresult1460);
  params[0] = strlit1441;
  partcv[0] = 1;
  Object opresult1461 = callmethod(opresult1460, "++(1)", 1, partcv, params);
// compiled op node returning opresult1461 (depth = 7)
  gc_frame_newslot(opresult1461);
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1462 = gc_frame_new();
// call case 4: self request
  Object call1463 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1462);
// compiled member node returning call1463 (depth = 7)
  gc_frame_newslot(call1463);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1464 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1467 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1468 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1467);
// compiled member node returning call1468 (depth = 9)
  int op_slot_right_1466 = gc_frame_newslot(call1468);
// starting to compile member node (depth = 9)
  int callframe1470 = gc_frame_new();
// call case 4: self request
  Object call1471 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1470);
// compiled member node returning call1471 (depth = 9)
  int op_slot_left_1466 = gc_frame_newslot(call1471);
  params[0] = call1468;
  partcv[0] = 1;
  Object diff1472 = callmethod(call1471, "-(1)", 1, partcv, params);
// compiled op node returning diff1472 (depth = 8)
  int op_slot_left_1464 = gc_frame_newslot(diff1472);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1473 = callmethod(diff1472, "+(1)", 1, partcv, params);
// compiled op node returning sum1473 (depth = 7)
  gc_frame_newslot(sum1473);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1474 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1477 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_str (depth = 10)
  Object call1478 = callmethodflags(*var_str, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1477);
// compiled member node returning call1478 (depth = 9)
  int op_slot_right_1476 = gc_frame_newslot(call1478);
// starting to compile member node (depth = 9)
  int callframe1480 = gc_frame_new();
// call case 4: self request
  Object call1481 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1480);
// compiled member node returning call1481 (depth = 9)
  int op_slot_left_1476 = gc_frame_newslot(call1481);
  params[0] = call1478;
  partcv[0] = 1;
  Object diff1482 = callmethod(call1481, "-(1)", 1, partcv, params);
// compiled op node returning diff1482 (depth = 8)
  int op_slot_left_1474 = gc_frame_newslot(diff1482);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1483 = callmethod(diff1482, "+(1)", 1, partcv, params);
// compiled op node returning sum1483 (depth = 7)
  gc_frame_newslot(sum1483);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult1461;
  params[1] = call1463;
  params[2] = sum1473;
  params[3] = sum1483;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1484 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1439);
// compiled call node returning call1484 (depth = 6)
    gc_frame_newslot(call1484);
    if1312 = call1484;
  }
// compiled if node returning if1312 (depth = 5)
    gc_frame_newslot(if1312);
    if1308 = if1312;
  } else {
  }
// compiled if node returning if1308 (depth = 4)
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inc (depth = 6)
  int op_slot_right_1485 = gc_frame_newslot(*var_inc);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_val (depth = 6)
  int op_slot_left_1485 = gc_frame_newslot(*var_val);
  params[0] = *var_inc;
  partcv[0] = 1;
  Object sum1487 = callmethod(*var_val, "+(1)", 1, partcv, params);
// compiled op node returning sum1487 (depth = 5)
  *var_val = sum1487;
  if (sum1487 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 456
  setline(456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1490 = alloc_Float64(1);
// compiled num node returning num1490 (depth = 6)
  int op_slot_right_1489 = gc_frame_newslot(num1490);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1489 = gc_frame_newslot(*var_i);
  params[0] = num1490;
  partcv[0] = 1;
  Object sum1492 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum1492 (depth = 5)
  *var_i = sum1492;
  if (sum1492 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_fromBase_40_2_41_1256(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "fromBase(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method fromBase(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_unicode = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for fromBase(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_str = &(stackframe->slots[0]);
  *var_str = args[curarg];
  curarg++;
  Object *var_base = &(stackframe->slots[1]);
  *var_base = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part fromBase(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_val = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "val");
  Object *var_i = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "i");
// Begin line 420
  setline(420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1257 = alloc_Float64(0);
// compiled num node returning num1257 (depth = 3)
  *var_val = num1257;
  if (num1257 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1258 = alloc_Float64(0);
// compiled num node returning num1258 (depth = 3)
  *var_i = num1258;
  if (num1258 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1259 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_str (depth = 3)
  gc_frame_newslot(*var_str);
// starting to compile block node (depth = 3)
  Object block1260 = alloc_Block(NULL, NULL, "lexer", 422);
  gc_frame_newslot(block1260);
// method "_apply(_)"
  block_savedest(block1260);
  Object closure1261 = createclosure(7, "_apply(1)");
  setclosureframe(closure1261, stackframe);
  addtoclosure(closure1261, var_base);
  addtoclosure(closure1261, var_val);
  addtoclosure(closure1261, var_str);
  addtoclosure(closure1261, var_errormessages);
  addtoclosure(closure1261, var_i);
  addtoclosure(closure1261, var_unicode);
  addtoclosure(closure1261, selfslot);
  struct UserObject *uo1261 = (struct UserObject*)block1260;
  uo1261->data[0] = (Object)closure1261;
  Method *meth_meth_lexer__apply_40_1_41_1261 = addmethod2pos(block1260, "_apply(1)", &meth_lexer__apply_40_1_41_1261, 0);
  int argcv_meth_lexer__apply_40_1_41_1261[] = {1};
  meth_meth_lexer__apply_40_1_41_1261->type = alloc_MethodType(1, argcv_meth_lexer__apply_40_1_41_1261);
  meth_meth_lexer__apply_40_1_41_1261->definitionModule = modulename;
  meth_meth_lexer__apply_40_1_41_1261->definitionLine = 1119;
// compiled block node returning block1260 (depth = 3)
  gc_frame_newslot(block1260);
// call case 5: prelude request
  params[0] = *var_str;
  params[1] = block1260;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1495 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1259);
// compiled call node returning call1495 (depth = 2)
// Begin line 458
  setline(458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_val (depth = 2)
  gc_frame_end(frame);
  return *var_val;
}
Object meth_lexer_hexdecchar_40_1_41_1496(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "hexdecchar(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method hexdecchar(_)");
  Object params[4];
  int partcv[2];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for hexdecchar(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part hexdecchar(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_AOrd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "AOrd");
  Object *var_aOrd = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "aOrd");
  Object *var_zeroOrd = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "zeroOrd");
  Object *var_cOrd = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cOrd");
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1497 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1498 == NULL) {
    strlit1498 = alloc_String("A");
    gc_root(strlit1498);
  }
// compiled string node returning strlit1498 (depth = 4)
  Object call1499 = callmethodflags(strlit1498, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1497);
// compiled member node returning call1499 (depth = 3)
  *var_AOrd = call1499;
  if (call1499 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1500 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1501 == NULL) {
    strlit1501 = alloc_String("a");
    gc_root(strlit1501);
  }
// compiled string node returning strlit1501 (depth = 4)
  Object call1502 = callmethodflags(strlit1501, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1500);
// compiled member node returning call1502 (depth = 3)
  *var_aOrd = call1502;
  if (call1502 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1503 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 4)
  if (strlit1504 == NULL) {
    strlit1504 = alloc_String("0");
    gc_root(strlit1504);
  }
// compiled string node returning strlit1504 (depth = 4)
  Object call1505 = callmethodflags(strlit1504, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1503);
// compiled member node returning call1505 (depth = 3)
  *var_zeroOrd = call1505;
  if (call1505 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 466
  setline(466);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1506 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_c (depth = 4)
  Object call1507 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1506);
// compiled member node returning call1507 (depth = 3)
  *var_cOrd = call1507;
  if (call1507 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1511 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 6)
  if (strlit1512 == NULL) {
    strlit1512 = alloc_String("F");
    gc_root(strlit1512);
  }
// compiled string node returning strlit1512 (depth = 6)
  Object call1513 = callmethodflags(strlit1512, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1511);
// compiled member node returning call1513 (depth = 5)
  int op_slot_right_1510 = gc_frame_newslot(call1513);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1510 = gc_frame_newslot(*var_cOrd);
  params[0] = call1513;
  partcv[0] = 1;
  Object opresult1515 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1515 (depth = 4)
  int op_slot_right_1509 = gc_frame_newslot(opresult1515);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1517 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1517 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object opresult1519 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1519 (depth = 4)
  int op_slot_left_1509 = gc_frame_newslot(opresult1519);
  params[0] = opresult1515;
  partcv[0] = 1;
  Object opresult1520 = callmethod(opresult1519, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1520 (depth = 3)
  Object if1508 = done;
  if (istrue(opresult1520)) {
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1522 = alloc_Float64(10);
// compiled num node returning num1522 (depth = 4)
  int op_slot_right_1521 = gc_frame_newslot(num1522);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_AOrd (depth = 5)
  int op_slot_right_1524 = gc_frame_newslot(*var_AOrd);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cOrd (depth = 5)
  int op_slot_left_1524 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_AOrd;
  partcv[0] = 1;
  Object diff1526 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1526 (depth = 4)
  int op_slot_left_1521 = gc_frame_newslot(diff1526);
  params[0] = num1522;
  partcv[0] = 1;
  Object sum1527 = callmethod(diff1526, "+(1)", 1, partcv, params);
// compiled op node returning sum1527 (depth = 3)
    gc_frame_newslot(sum1527);
    if1508 = sum1527;
  } else {
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 469
  setline(469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1531 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 7)
  if (strlit1532 == NULL) {
    strlit1532 = alloc_String("f");
    gc_root(strlit1532);
  }
// compiled string node returning strlit1532 (depth = 7)
  Object call1533 = callmethodflags(strlit1532, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1531);
// compiled member node returning call1533 (depth = 6)
  int op_slot_right_1530 = gc_frame_newslot(call1533);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1530 = gc_frame_newslot(*var_cOrd);
  params[0] = call1533;
  partcv[0] = 1;
  Object opresult1535 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1535 (depth = 5)
  int op_slot_right_1529 = gc_frame_newslot(opresult1535);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1537 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1537 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object opresult1539 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1539 (depth = 5)
  int op_slot_left_1529 = gc_frame_newslot(opresult1539);
  params[0] = opresult1535;
  partcv[0] = 1;
  Object opresult1540 = callmethod(opresult1539, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1540 (depth = 4)
  Object if1528 = done;
  if (istrue(opresult1540)) {
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1542 = alloc_Float64(10);
// compiled num node returning num1542 (depth = 5)
  int op_slot_right_1541 = gc_frame_newslot(num1542);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_aOrd (depth = 6)
  int op_slot_right_1544 = gc_frame_newslot(*var_aOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1544 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_aOrd;
  partcv[0] = 1;
  Object diff1546 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1546 (depth = 5)
  int op_slot_left_1541 = gc_frame_newslot(diff1546);
  params[0] = num1542;
  partcv[0] = 1;
  Object sum1547 = callmethod(diff1546, "+(1)", 1, partcv, params);
// compiled op node returning sum1547 (depth = 4)
    gc_frame_newslot(sum1547);
    if1528 = sum1547;
  } else {
// Begin line 473
  setline(473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1551 = gc_frame_new();
// call case 6: other requests
// starting to compile string node (depth = 8)
  if (strlit1552 == NULL) {
    strlit1552 = alloc_String("9");
    gc_root(strlit1552);
  }
// compiled string node returning strlit1552 (depth = 8)
  Object call1553 = callmethodflags(strlit1552, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe1551);
// compiled member node returning call1553 (depth = 7)
  int op_slot_right_1550 = gc_frame_newslot(call1553);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1550 = gc_frame_newslot(*var_cOrd);
  params[0] = call1553;
  partcv[0] = 1;
  Object opresult1555 = callmethod(*var_cOrd, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1555 (depth = 6)
  int op_slot_right_1549 = gc_frame_newslot(opresult1555);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_zeroOrd (depth = 7)
  int op_slot_right_1557 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_cOrd (depth = 7)
  int op_slot_left_1557 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object opresult1559 = callmethod(*var_cOrd, "≥(1)", 1, partcv, params);
// compiled op node returning opresult1559 (depth = 6)
  int op_slot_left_1549 = gc_frame_newslot(opresult1559);
  params[0] = opresult1555;
  partcv[0] = 1;
  Object opresult1560 = callmethod(opresult1559, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1560 (depth = 5)
  Object if1548 = done;
  if (istrue(opresult1560)) {
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_zeroOrd (depth = 6)
  int op_slot_right_1561 = gc_frame_newslot(*var_zeroOrd);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cOrd (depth = 6)
  int op_slot_left_1561 = gc_frame_newslot(*var_cOrd);
  params[0] = *var_zeroOrd;
  partcv[0] = 1;
  Object diff1563 = callmethod(*var_cOrd, "-(1)", 1, partcv, params);
// compiled op node returning diff1563 (depth = 5)
    gc_frame_newslot(diff1563);
    if1548 = diff1563;
  } else {
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1564 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1566 == NULL) {
    strlit1566 = alloc_String("' must be a hexadecimal digit");
    gc_root(strlit1566);
  }
// compiled string node returning strlit1566 (depth = 7)
  int op_slot_right_1565 = gc_frame_newslot(strlit1566);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_right_1568 = gc_frame_newslot(*var_c);
// starting to compile string node (depth = 8)
  if (strlit1570 == NULL) {
    strlit1570 = alloc_String("the character '");
    gc_root(strlit1570);
  }
// compiled string node returning strlit1570 (depth = 8)
  int op_slot_left_1568 = gc_frame_newslot(strlit1570);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1571 = callmethod(strlit1570, "++(1)", 1, partcv, params);
// compiled op node returning opresult1571 (depth = 7)
  int op_slot_left_1565 = gc_frame_newslot(opresult1571);
  params[0] = strlit1566;
  partcv[0] = 1;
  Object opresult1572 = callmethod(opresult1571, "++(1)", 1, partcv, params);
// compiled op node returning opresult1572 (depth = 6)
  gc_frame_newslot(opresult1572);
// Begin line 475
  setline(475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1573 = gc_frame_new();
// call case 4: self request
  Object call1574 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1573);
// compiled member node returning call1574 (depth = 6)
  gc_frame_newslot(call1574);
// starting to compile member node (depth = 6)
  int callframe1575 = gc_frame_new();
// call case 4: self request
  Object call1576 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1575);
// compiled member node returning call1576 (depth = 6)
  gc_frame_newslot(call1576);
// starting to compile member node (depth = 6)
  int callframe1577 = gc_frame_new();
// call case 4: self request
  Object call1578 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1577);
// compiled member node returning call1578 (depth = 6)
  gc_frame_newslot(call1578);
// call case 6: other requests
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult1572;
  params[1] = call1574;
  params[2] = call1576;
  params[3] = call1578;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call1579 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe1564);
// compiled call node returning call1579 (depth = 5)
    gc_frame_newslot(call1579);
    if1548 = call1579;
  }
// compiled if node returning if1548 (depth = 4)
    gc_frame_newslot(if1548);
    if1528 = if1548;
  }
// compiled if node returning if1528 (depth = 3)
    gc_frame_newslot(if1528);
    if1508 = if1528;
  }
// compiled if node returning if1508 (depth = 2)
  gc_frame_end(frame);
  return if1508;
}
Object meth_lexer__apply_40_1_41_1587(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[3];
  Object *var_baseSet = getfromclosure(closure, 0);
  Object *var_sofar = getfromclosure(closure, 1);
  Object *var_base = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_i = getfromclosure(closure, 4);
  Object *var_accum = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1590 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_baseSet (depth = 7)
  partcv[0] = 0;
  Object call1591 = callmethodflags(*var_baseSet, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe1590);
// compiled call node returning call1591 (depth = 6)
  int op_slot_right_1589 = gc_frame_newslot(call1591);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1594 == NULL) {
    strlit1594 = alloc_String("x");
    gc_root(strlit1594);
  }
// compiled string node returning strlit1594 (depth = 7)
  int op_slot_right_1593 = gc_frame_newslot(strlit1594);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1593 = gc_frame_newslot(*var_c);
  params[0] = strlit1594;
  partcv[0] = 1;
  Object opresult1596 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1596 (depth = 6)
  int op_slot_left_1589 = gc_frame_newslot(opresult1596);
  params[0] = call1591;
  partcv[0] = 1;
  Object opresult1597 = callmethod(opresult1596, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1597 (depth = 5)
  Object if1588 = done;
  if (istrue(opresult1597)) {
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1598 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sofar (depth = 7)
  Object call1599 = callmethodflags(*var_sofar, "asNumber", 0, partcv, params, 0);
  gc_frame_end(callframe1598);
// compiled member node returning call1599 (depth = 6)
  *var_base = call1599;
  if (call1599 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1601 = alloc_Boolean(1);
// compiled identifier node returning bool1601 (depth = 6)
  *var_baseSet = bool1601;
  if (bool1601 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1605 = alloc_Float64(0);
// compiled num node returning num1605 (depth = 7)
  int op_slot_right_1604 = gc_frame_newslot(num1605);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_base (depth = 7)
  int op_slot_left_1604 = gc_frame_newslot(*var_base);
  params[0] = num1605;
  partcv[0] = 1;
  Object opresult1607 = callmethod(*var_base, "==(1)", 1, partcv, params);
// compiled op node returning opresult1607 (depth = 6)
  Object if1603 = done;
  if (istrue(opresult1607)) {
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1608 = alloc_Float64(16);
// compiled num node returning num1608 (depth = 7)
  *var_base = num1608;
  if (num1608 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1603 = done;
  } else {
  }
// compiled if node returning if1603 (depth = 5)
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1613 = alloc_Float64(36);
// compiled num node returning num1613 (depth = 8)
  int op_slot_right_1612 = gc_frame_newslot(num1613);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_base (depth = 8)
  int op_slot_left_1612 = gc_frame_newslot(*var_base);
  params[0] = num1613;
  partcv[0] = 1;
  Object opresult1615 = callmethod(*var_base, ">(1)", 1, partcv, params);
// compiled op node returning opresult1615 (depth = 7)
  int op_slot_right_1611 = gc_frame_newslot(opresult1615);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1618 = alloc_Float64(2);
// compiled num node returning num1618 (depth = 8)
  int op_slot_right_1617 = gc_frame_newslot(num1618);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_base (depth = 8)
  int op_slot_left_1617 = gc_frame_newslot(*var_base);
  params[0] = num1618;
  partcv[0] = 1;
  Object opresult1620 = callmethod(*var_base, "<(1)", 1, partcv, params);
// compiled op node returning opresult1620 (depth = 7)
  int op_slot_left_1611 = gc_frame_newslot(opresult1620);
  params[0] = opresult1615;
  partcv[0] = 1;
  Object opresult1621 = callmethod(opresult1620, "||(1)", 1, partcv, params);
// compiled op node returning opresult1621 (depth = 6)
  Object if1610 = done;
  if (istrue(opresult1621)) {
// Begin line 492
  setline(492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile array node (depth = 7)
  Object array1622 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1622 (depth = 7)
  *var_suggestions = array1622;
  if (array1622 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1623 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1624 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1625 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1624);
// compiled member node returning call1625 (depth = 8)
  Object call1626 = callmethodflags(call1625, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1623);
// compiled member node returning call1626 (depth = 7)
  *var_suggestion = call1626;
  if (call1626 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1627 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1628 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1631 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  Object call1632 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1631);
// compiled member node returning call1632 (depth = 9)
  int op_slot_right_1630 = gc_frame_newslot(call1632);
// starting to compile member node (depth = 9)
  int callframe1634 = gc_frame_new();
// call case 4: self request
  Object call1635 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1634);
// compiled member node returning call1635 (depth = 9)
  int op_slot_left_1630 = gc_frame_newslot(call1635);
  params[0] = call1632;
  partcv[0] = 1;
  Object diff1636 = callmethod(call1635, "-(1)", 1, partcv, params);
// compiled op node returning diff1636 (depth = 8)
  int op_slot_left_1628 = gc_frame_newslot(diff1636);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1637 = callmethod(diff1636, "+(1)", 1, partcv, params);
// compiled op node returning sum1637 (depth = 7)
  gc_frame_newslot(sum1637);
// starting to compile string node (depth = 7)
  if (strlit1638 == NULL) {
    strlit1638 = alloc_String("*");
    gc_root(strlit1638);
  }
// compiled string node returning strlit1638 (depth = 7)
  gc_frame_newslot(strlit1638);
// starting to compile member node (depth = 7)
  int callframe1639 = gc_frame_new();
// call case 4: self request
  Object call1640 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1639);
// compiled member node returning call1640 (depth = 7)
  gc_frame_newslot(call1640);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = sum1637;
  params[1] = strlit1638;
  params[2] = call1640;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1641 = callmethodflags(*var_suggestion, "replaceChar(1)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1627);
// compiled call node returning call1641 (depth = 6)
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1642 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1643 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1642);
// compiled call node returning call1643 (depth = 6)
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1644 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1645 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1646 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1645);
// compiled member node returning call1646 (depth = 8)
  Object call1647 = callmethodflags(call1646, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1644);
// compiled member node returning call1647 (depth = 7)
  *var_suggestion = call1647;
  if (call1647 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1649 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1651 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  Object call1652 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1651);
// compiled member node returning call1652 (depth = 8)
  int op_slot_right_1650 = gc_frame_newslot(call1652);
// starting to compile member node (depth = 8)
  int callframe1654 = gc_frame_new();
// call case 4: self request
  Object call1655 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1654);
// compiled member node returning call1655 (depth = 8)
  int op_slot_left_1650 = gc_frame_newslot(call1655);
  params[0] = call1652;
  partcv[0] = 1;
  Object diff1656 = callmethod(call1655, "-(1)", 1, partcv, params);
// compiled op node returning diff1656 (depth = 7)
  gc_frame_newslot(diff1656);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_i (depth = 8)
  int op_slot_right_1657 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1660 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  Object call1661 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1660);
// compiled member node returning call1661 (depth = 9)
  int op_slot_right_1659 = gc_frame_newslot(call1661);
// starting to compile member node (depth = 9)
  int callframe1663 = gc_frame_new();
// call case 4: self request
  Object call1664 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1663);
// compiled member node returning call1664 (depth = 9)
  int op_slot_left_1659 = gc_frame_newslot(call1664);
  params[0] = call1661;
  partcv[0] = 1;
  Object diff1665 = callmethod(call1664, "-(1)", 1, partcv, params);
// compiled op node returning diff1665 (depth = 8)
  int op_slot_left_1657 = gc_frame_newslot(diff1665);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1666 = callmethod(diff1665, "+(1)", 1, partcv, params);
// compiled op node returning sum1666 (depth = 7)
  gc_frame_newslot(sum1666);
// starting to compile member node (depth = 7)
  int callframe1667 = gc_frame_new();
// call case 4: self request
  Object call1668 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1667);
// compiled member node returning call1668 (depth = 7)
  gc_frame_newslot(call1668);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = diff1656;
  params[1] = sum1666;
  params[2] = call1668;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1669 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1649);
// compiled call node returning call1669 (depth = 6)
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1670 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1671 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1670);
// compiled call node returning call1671 (depth = 6)
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1672 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1674 == NULL) {
    strlit1674 = alloc_String(" is not a valid numerical base.");
    gc_root(strlit1674);
  }
// compiled string node returning strlit1674 (depth = 8)
  int op_slot_right_1673 = gc_frame_newslot(strlit1674);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_base (depth = 9)
  int op_slot_right_1676 = gc_frame_newslot(*var_base);
// starting to compile string node (depth = 9)
  if (strlit1678 == NULL) {
    strlit1678 = alloc_String("base ");
    gc_root(strlit1678);
  }
// compiled string node returning strlit1678 (depth = 9)
  int op_slot_left_1676 = gc_frame_newslot(strlit1678);
  params[0] = *var_base;
  partcv[0] = 1;
  Object opresult1679 = callmethod(strlit1678, "++(1)", 1, partcv, params);
// compiled op node returning opresult1679 (depth = 8)
  int op_slot_left_1673 = gc_frame_newslot(opresult1679);
  params[0] = strlit1674;
  partcv[0] = 1;
  Object opresult1680 = callmethod(opresult1679, "++(1)", 1, partcv, params);
// compiled op node returning opresult1680 (depth = 7)
  gc_frame_newslot(opresult1680);
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1681 = gc_frame_new();
// call case 4: self request
  Object call1682 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1681);
// compiled member node returning call1682 (depth = 7)
  gc_frame_newslot(call1682);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1684 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  Object call1685 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1684);
// compiled member node returning call1685 (depth = 8)
  int op_slot_right_1683 = gc_frame_newslot(call1685);
// starting to compile member node (depth = 8)
  int callframe1687 = gc_frame_new();
// call case 4: self request
  Object call1688 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1687);
// compiled member node returning call1688 (depth = 8)
  int op_slot_left_1683 = gc_frame_newslot(call1688);
  params[0] = call1685;
  partcv[0] = 1;
  Object diff1689 = callmethod(call1688, "-(1)", 1, partcv, params);
// compiled op node returning diff1689 (depth = 7)
  gc_frame_newslot(diff1689);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num1691 = alloc_Float64(1);
// compiled num node returning num1691 (depth = 8)
  int op_slot_right_1690 = gc_frame_newslot(num1691);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  int op_slot_right_1693 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1696 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  Object call1697 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1696);
// compiled member node returning call1697 (depth = 10)
  int op_slot_right_1695 = gc_frame_newslot(call1697);
// starting to compile member node (depth = 10)
  int callframe1699 = gc_frame_new();
// call case 4: self request
  Object call1700 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1699);
// compiled member node returning call1700 (depth = 10)
  int op_slot_left_1695 = gc_frame_newslot(call1700);
  params[0] = call1697;
  partcv[0] = 1;
  Object diff1701 = callmethod(call1700, "-(1)", 1, partcv, params);
// compiled op node returning diff1701 (depth = 9)
  int op_slot_left_1693 = gc_frame_newslot(diff1701);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1702 = callmethod(diff1701, "+(1)", 1, partcv, params);
// compiled op node returning sum1702 (depth = 8)
  int op_slot_left_1690 = gc_frame_newslot(sum1702);
  params[0] = num1691;
  partcv[0] = 1;
  Object diff1703 = callmethod(sum1702, "-(1)", 1, partcv, params);
// compiled op node returning diff1703 (depth = 7)
  gc_frame_newslot(diff1703);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 499
  setline(499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult1680;
  params[1] = call1682;
  params[2] = diff1689;
  params[3] = diff1703;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1704 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1672);
// compiled call node returning call1704 (depth = 6)
    gc_frame_newslot(call1704);
    if1610 = call1704;
  } else {
  }
// compiled if node returning if1610 (depth = 5)
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1705 == NULL) {
    strlit1705 = alloc_String("");
    gc_root(strlit1705);
  }
// compiled string node returning strlit1705 (depth = 6)
  *var_sofar = strlit1705;
  if (strlit1705 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1588 = done;
  } else {
// Begin line 504
  setline(504);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_right_1707 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sofar (depth = 7)
  int op_slot_left_1707 = gc_frame_newslot(*var_sofar);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1709 = callmethod(*var_sofar, "++(1)", 1, partcv, params);
// compiled op node returning opresult1709 (depth = 6)
  *var_sofar = opresult1709;
  if (opresult1709 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1588 = done;
  }
// compiled if node returning if1588 (depth = 4)
// Begin line 506
  setline(506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1712 = alloc_Float64(1);
// compiled num node returning num1712 (depth = 6)
  int op_slot_right_1711 = gc_frame_newslot(num1712);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_left_1711 = gc_frame_newslot(*var_i);
  params[0] = num1712;
  partcv[0] = 1;
  Object sum1714 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum1714 (depth = 5)
  *var_i = sum1714;
  if (sum1714 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_makeNumToken_40_1_41_1580(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "makeNumToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method makeNumToken(_)");
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for makeNumToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_accum = &(stackframe->slots[0]);
  *var_accum = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part makeNumToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_base = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "base");
  Object *var_baseSet = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "baseSet");
  Object *var_sofar = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "sofar");
  Object *var_i = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "i");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
  Object *var_suggestion = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestion");
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1581 = alloc_Float64(10);
// compiled num node returning num1581 (depth = 3)
  *var_base = num1581;
  if (num1581 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1582 = alloc_Boolean(0);
// compiled identifier node returning bool1582 (depth = 3)
  *var_baseSet = bool1582;
  if (bool1582 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1583 == NULL) {
    strlit1583 = alloc_String("");
    gc_root(strlit1583);
  }
// compiled string node returning strlit1583 (depth = 3)
  *var_sofar = strlit1583;
  if (strlit1583 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num1584 = alloc_Float64(0);
// compiled num node returning num1584 (depth = 3)
  *var_i = num1584;
  if (num1584 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 484
  setline(484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1585 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_accum (depth = 3)
  gc_frame_newslot(*var_accum);
// starting to compile block node (depth = 3)
  Object block1586 = alloc_Block(NULL, NULL, "lexer", 484);
  gc_frame_newslot(block1586);
// method "_apply(_)"
  block_savedest(block1586);
  Object closure1587 = createclosure(7, "_apply(1)");
  setclosureframe(closure1587, stackframe);
  addtoclosure(closure1587, var_baseSet);
  addtoclosure(closure1587, var_sofar);
  addtoclosure(closure1587, var_base);
  addtoclosure(closure1587, var_errormessages);
  addtoclosure(closure1587, var_i);
  addtoclosure(closure1587, var_accum);
  addtoclosure(closure1587, selfslot);
  struct UserObject *uo1587 = (struct UserObject*)block1586;
  uo1587->data[0] = (Object)closure1587;
  Method *meth_meth_lexer__apply_40_1_41_1587 = addmethod2pos(block1586, "_apply(1)", &meth_lexer__apply_40_1_41_1587, 0);
  int argcv_meth_lexer__apply_40_1_41_1587[] = {1};
  meth_meth_lexer__apply_40_1_41_1587->type = alloc_MethodType(1, argcv_meth_lexer__apply_40_1_41_1587);
  meth_meth_lexer__apply_40_1_41_1587->definitionModule = modulename;
  meth_meth_lexer__apply_40_1_41_1587->definitionLine = 1119;
// compiled block node returning block1586 (depth = 3)
  gc_frame_newslot(block1586);
// call case 5: prelude request
  params[0] = *var_accum;
  params[1] = block1586;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1717 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1585);
// compiled call node returning call1717 (depth = 2)
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1720 == NULL) {
    strlit1720 = alloc_String("");
    gc_root(strlit1720);
  }
// compiled string node returning strlit1720 (depth = 4)
  int op_slot_right_1719 = gc_frame_newslot(strlit1720);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sofar (depth = 4)
  int op_slot_left_1719 = gc_frame_newslot(*var_sofar);
  params[0] = strlit1720;
  partcv[0] = 1;
  Object opresult1722 = callmethod(*var_sofar, "==(1)", 1, partcv, params);
// compiled op node returning opresult1722 (depth = 3)
  Object if1718 = done;
  if (istrue(opresult1722)) {
// Begin line 509
  setline(509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array1723 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1723 (depth = 4)
  *var_suggestions = array1723;
  if (array1723 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1724 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1725 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call1726 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1725);
// compiled member node returning call1726 (depth = 5)
  Object call1727 = callmethodflags(call1726, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1724);
// compiled member node returning call1727 (depth = 4)
  *var_suggestion = call1727;
  if (call1727 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1728 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1730 = alloc_Float64(1);
// compiled num node returning num1730 (depth = 5)
  int op_slot_right_1729 = gc_frame_newslot(num1730);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_i (depth = 6)
  int op_slot_right_1732 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1735 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_accum (depth = 8)
  Object call1736 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1735);
// compiled member node returning call1736 (depth = 7)
  int op_slot_right_1734 = gc_frame_newslot(call1736);
// starting to compile member node (depth = 7)
  int callframe1738 = gc_frame_new();
// call case 4: self request
  Object call1739 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1738);
// compiled member node returning call1739 (depth = 7)
  int op_slot_left_1734 = gc_frame_newslot(call1739);
  params[0] = call1736;
  partcv[0] = 1;
  Object diff1740 = callmethod(call1739, "-(1)", 1, partcv, params);
// compiled op node returning diff1740 (depth = 6)
  int op_slot_left_1732 = gc_frame_newslot(diff1740);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1741 = callmethod(diff1740, "+(1)", 1, partcv, params);
// compiled op node returning sum1741 (depth = 5)
  int op_slot_left_1729 = gc_frame_newslot(sum1741);
  params[0] = num1730;
  partcv[0] = 1;
  Object diff1742 = callmethod(sum1741, "-(1)", 1, partcv, params);
// compiled op node returning diff1742 (depth = 4)
  gc_frame_newslot(diff1742);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1744 = alloc_Float64(1);
// compiled num node returning num1744 (depth = 5)
  int op_slot_right_1743 = gc_frame_newslot(num1744);
// starting to compile member node (depth = 5)
  int callframe1746 = gc_frame_new();
// call case 4: self request
  Object call1747 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1746);
// compiled member node returning call1747 (depth = 5)
  int op_slot_left_1743 = gc_frame_newslot(call1747);
  params[0] = num1744;
  partcv[0] = 1;
  Object diff1748 = callmethod(call1747, "-(1)", 1, partcv, params);
// compiled op node returning diff1748 (depth = 4)
  gc_frame_newslot(diff1748);
// starting to compile member node (depth = 4)
  int callframe1749 = gc_frame_new();
// call case 4: self request
  Object call1750 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1749);
// compiled member node returning call1750 (depth = 4)
  gc_frame_newslot(call1750);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = diff1742;
  params[1] = diff1748;
  params[2] = call1750;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call1751 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1728);
// compiled call node returning call1751 (depth = 3)
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1752 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1753 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1752);
// compiled call node returning call1753 (depth = 3)
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1754 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1755 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call1756 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1755);
// compiled member node returning call1756 (depth = 5)
  Object call1757 = callmethodflags(call1756, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1754);
// compiled member node returning call1757 (depth = 4)
  *var_suggestion = call1757;
  if (call1757 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1759 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1760 == NULL) {
    strlit1760 = alloc_String("0");
    gc_root(strlit1760);
  }
// compiled string node returning strlit1760 (depth = 4)
  gc_frame_newslot(strlit1760);
// starting to compile member node (depth = 4)
  int callframe1761 = gc_frame_new();
// call case 4: self request
  Object call1762 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1761);
// compiled member node returning call1762 (depth = 4)
  gc_frame_newslot(call1762);
// starting to compile member node (depth = 4)
  int callframe1763 = gc_frame_new();
// call case 4: self request
  Object call1764 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1763);
// compiled member node returning call1764 (depth = 4)
  gc_frame_newslot(call1764);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit1760;
  params[1] = call1762;
  params[2] = call1764;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1765 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1759);
// compiled call node returning call1765 (depth = 3)
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1766 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1767 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1766);
// compiled call node returning call1767 (depth = 3)
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1768 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1769 == NULL) {
    strlit1769 = alloc_String("at least one digit must follow the 'x' in a number.");
    gc_root(strlit1769);
  }
// compiled string node returning strlit1769 (depth = 4)
  gc_frame_newslot(strlit1769);
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1770 = gc_frame_new();
// call case 4: self request
  Object call1771 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1770);
// compiled member node returning call1771 (depth = 4)
  gc_frame_newslot(call1771);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_i (depth = 5)
  int op_slot_right_1772 = gc_frame_newslot(*var_i);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1775 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  Object call1776 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1775);
// compiled member node returning call1776 (depth = 6)
  int op_slot_right_1774 = gc_frame_newslot(call1776);
// starting to compile member node (depth = 6)
  int callframe1778 = gc_frame_new();
// call case 4: self request
  Object call1779 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1778);
// compiled member node returning call1779 (depth = 6)
  int op_slot_left_1774 = gc_frame_newslot(call1779);
  params[0] = call1776;
  partcv[0] = 1;
  Object diff1780 = callmethod(call1779, "-(1)", 1, partcv, params);
// compiled op node returning diff1780 (depth = 5)
  int op_slot_left_1772 = gc_frame_newslot(diff1780);
  params[0] = *var_i;
  partcv[0] = 1;
  Object sum1781 = callmethod(diff1780, "+(1)", 1, partcv, params);
// compiled op node returning sum1781 (depth = 4)
  gc_frame_newslot(sum1781);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit1769;
  params[1] = call1771;
  params[2] = sum1781;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1782 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1768);
// compiled call node returning call1782 (depth = 3)
    gc_frame_newslot(call1782);
    if1718 = call1782;
  } else {
  }
// compiled if node returning if1718 (depth = 2)
// Begin line 519
  setline(519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1783 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1784 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe1785 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sofar (depth = 5)
  gc_frame_newslot(*var_sofar);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_base (depth = 5)
  gc_frame_newslot(*var_base);
// call case 4: self request
  params[0] = *var_sofar;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1786 = callmethodflags(self, "fromBase(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1785);
// compiled call node returning call1786 (depth = 4)
  Object call1787 = callmethodflags(call1786, "asString", 0, partcv, params, 0);
  gc_frame_end(callframe1784);
// compiled member node returning call1787 (depth = 3)
  gc_frame_newslot(call1787);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_base (depth = 3)
  gc_frame_newslot(*var_base);
// call case 4: self request
  params[0] = call1787;
  params[1] = *var_base;
  partcv[0] = 2;
  Object call1788 = callmethodflags(self, "numToken(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1783);
// compiled call node returning call1788 (depth = 2)
  gc_frame_end(frame);
  return call1788;
}
Object meth_lexer__apply_40_1_41_1805(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object *var_lines = getfromclosure(closure, 1);
  Object *var_cLine = getfromclosure(closure, 2);
  Object *var_cLines = getfromclosure(closure, 3);
  Object *var_wasCR = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 534
  setline(534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1808 == NULL) {
    strlit1808 = alloc_String("""\x0d""");
    gc_root(strlit1808);
  }
// compiled string node returning strlit1808 (depth = 6)
  int op_slot_right_1807 = gc_frame_newslot(strlit1808);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  int op_slot_left_1807 = gc_frame_newslot(*var_c);
  params[0] = strlit1808;
  partcv[0] = 1;
  Object opresult1810 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1810 (depth = 5)
  Object if1806 = done;
  if (istrue(opresult1810)) {
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1811 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_line (depth = 6)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lines (depth = 6)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1812 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1811);
// compiled call node returning call1812 (depth = 5)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1813 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLine (depth = 6)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cLines (depth = 6)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1814 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1813);
// compiled call node returning call1814 (depth = 5)
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1815 == NULL) {
    strlit1815 = alloc_String("");
    gc_root(strlit1815);
  }
// compiled string node returning strlit1815 (depth = 6)
  *var_line = strlit1815;
  if (strlit1815 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1817 == NULL) {
    strlit1817 = alloc_String("");
    gc_root(strlit1817);
  }
// compiled string node returning strlit1817 (depth = 6)
  *var_cLine = strlit1817;
  if (strlit1817 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1819 = alloc_Boolean(1);
// compiled identifier node returning bool1819 (depth = 6)
  *var_wasCR = bool1819;
  if (bool1819 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if1806 = done;
  } else {
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1823 == NULL) {
    strlit1823 = alloc_String("""\x0a""");
    gc_root(strlit1823);
  }
// compiled string node returning strlit1823 (depth = 7)
  int op_slot_right_1822 = gc_frame_newslot(strlit1823);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_1822 = gc_frame_newslot(*var_c);
  params[0] = strlit1823;
  partcv[0] = 1;
  Object opresult1825 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1825 (depth = 6)
  Object if1821 = done;
  if (istrue(opresult1825)) {
// Begin line 541
  setline(541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_wasCR (depth = 7)
  Object if1826 = done;
  if (istrue(*var_wasCR)) {
    gc_frame_newslot(done);
    if1826 = done;
  } else {
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1827 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1828 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1827);
// compiled call node returning call1828 (depth = 7)
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1829 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1830 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1829);
// compiled call node returning call1830 (depth = 7)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1831 == NULL) {
    strlit1831 = alloc_String("");
    gc_root(strlit1831);
  }
// compiled string node returning strlit1831 (depth = 8)
  *var_line = strlit1831;
  if (strlit1831 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1833 == NULL) {
    strlit1833 = alloc_String("");
    gc_root(strlit1833);
  }
// compiled string node returning strlit1833 (depth = 8)
  *var_cLine = strlit1833;
  if (strlit1833 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1826 = done;
  }
// compiled if node returning if1826 (depth = 6)
// Begin line 550
  setline(550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1835 = alloc_Boolean(0);
// compiled identifier node returning bool1835 (depth = 7)
  *var_wasCR = bool1835;
  if (bool1835 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if1821 = done;
  } else {
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1839 == NULL) {
    strlit1839 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit1839);
  }
// compiled string node returning strlit1839 (depth = 8)
  int op_slot_right_1838 = gc_frame_newslot(strlit1839);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_1838 = gc_frame_newslot(*var_c);
  params[0] = strlit1839;
  partcv[0] = 1;
  Object opresult1841 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1841 (depth = 7)
  Object if1837 = done;
  if (istrue(opresult1841)) {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1842 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_line (depth = 8)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lines (depth = 8)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1843 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1842);
// compiled call node returning call1843 (depth = 7)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1844 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLine (depth = 8)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_cLines (depth = 8)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1845 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1844);
// compiled call node returning call1845 (depth = 7)
// Begin line 554
  setline(554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1846 == NULL) {
    strlit1846 = alloc_String("");
    gc_root(strlit1846);
  }
// compiled string node returning strlit1846 (depth = 8)
  *var_line = strlit1846;
  if (strlit1846 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 555
  setline(555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1848 == NULL) {
    strlit1848 = alloc_String("");
    gc_root(strlit1848);
  }
// compiled string node returning strlit1848 (depth = 8)
  *var_cLine = strlit1848;
  if (strlit1848 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool1850 = alloc_Boolean(0);
// compiled identifier node returning bool1850 (depth = 8)
  *var_wasCR = bool1850;
  if (bool1850 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1837 = done;
  } else {
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1854 == NULL) {
    strlit1854 = alloc_String("\\");
    gc_root(strlit1854);
  }
// compiled string node returning strlit1854 (depth = 9)
  int op_slot_right_1853 = gc_frame_newslot(strlit1854);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_1853 = gc_frame_newslot(*var_c);
  params[0] = strlit1854;
  partcv[0] = 1;
  Object opresult1856 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1856 (depth = 8)
  Object if1852 = done;
  if (istrue(opresult1856)) {
// Begin line 558
  setline(558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_right_1857 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  int op_slot_left_1857 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1859 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1859 (depth = 9)
  *var_line = opresult1859;
  if (opresult1859 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1862 == NULL) {
    strlit1862 = alloc_String("\\\\");
    gc_root(strlit1862);
  }
// compiled string node returning strlit1862 (depth = 10)
  int op_slot_right_1861 = gc_frame_newslot(strlit1862);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_cLine (depth = 10)
  int op_slot_left_1861 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1862;
  partcv[0] = 1;
  Object opresult1864 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1864 (depth = 9)
  *var_cLine = opresult1864;
  if (opresult1864 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool1866 = alloc_Boolean(0);
// compiled identifier node returning bool1866 (depth = 9)
  *var_wasCR = bool1866;
  if (bool1866 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if1852 = done;
  } else {
// Begin line 565
  setline(565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 561
  setline(561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1870 == NULL) {
    strlit1870 = alloc_String("""\x22""");
    gc_root(strlit1870);
  }
// compiled string node returning strlit1870 (depth = 10)
  int op_slot_right_1869 = gc_frame_newslot(strlit1870);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_1869 = gc_frame_newslot(*var_c);
  params[0] = strlit1870;
  partcv[0] = 1;
  Object opresult1872 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult1872 (depth = 9)
  Object if1868 = done;
  if (istrue(opresult1872)) {
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1873 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1873 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1875 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1875 (depth = 10)
  *var_line = opresult1875;
  if (opresult1875 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 563
  setline(563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1878 == NULL) {
    strlit1878 = alloc_String("\\""\x22""");
    gc_root(strlit1878);
  }
// compiled string node returning strlit1878 (depth = 11)
  int op_slot_right_1877 = gc_frame_newslot(strlit1878);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1877 = gc_frame_newslot(*var_cLine);
  params[0] = strlit1878;
  partcv[0] = 1;
  Object opresult1880 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1880 (depth = 10)
  *var_cLine = opresult1880;
  if (opresult1880 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1882 = alloc_Boolean(0);
// compiled identifier node returning bool1882 (depth = 10)
  *var_wasCR = bool1882;
  if (bool1882 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1868 = done;
  } else {
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1884 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_1884 = gc_frame_newslot(*var_line);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1886 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult1886 (depth = 10)
  *var_line = opresult1886;
  if (opresult1886 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_right_1888 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_cLine (depth = 11)
  int op_slot_left_1888 = gc_frame_newslot(*var_cLine);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult1890 = callmethod(*var_cLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult1890 (depth = 10)
  *var_cLine = opresult1890;
  if (opresult1890 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1892 = alloc_Boolean(0);
// compiled identifier node returning bool1892 (depth = 10)
  *var_wasCR = bool1892;
  if (bool1892 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1868 = done;
  }
// compiled if node returning if1868 (depth = 8)
    gc_frame_newslot(if1868);
    if1852 = if1868;
  }
// compiled if node returning if1852 (depth = 7)
    gc_frame_newslot(if1852);
    if1837 = if1852;
  }
// compiled if node returning if1837 (depth = 6)
    gc_frame_newslot(if1837);
    if1821 = if1837;
  }
// compiled if node returning if1821 (depth = 5)
    gc_frame_newslot(if1821);
    if1806 = if1821;
  }
// compiled if node returning if1806 (depth = 4)
  gc_frame_end(frame);
  return if1806;
}
Object meth_lexer_lexfile_40_1_41_1789(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexfile(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lexfile(_)");
  Object params[2];
  int partcv[2];
  Object *var_util = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lexfile(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_file = &(stackframe->slots[0]);
  *var_file = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lexfile(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lines = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lines");
  Object *var_cLines = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "cLines");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_cLine = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "cLine");
  Object *var_wasCR = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "wasCR");
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1790 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1791 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1792 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe1791);
// compiled member node returning call1792 (depth = 4)
  Object call1793 = callmethodflags(call1792, "makeEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1790);
// compiled member node returning call1793 (depth = 3)
  *var_lines = call1793;
  if (call1793 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1794 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1795 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call1796 = callmethodflags(*var_util, "cLines", 0, partcv, params, 0);
  gc_frame_end(callframe1795);
// compiled member node returning call1796 (depth = 4)
  Object call1797 = callmethodflags(call1796, "makeEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe1794);
// compiled member node returning call1797 (depth = 3)
  *var_cLines = call1797;
  if (call1797 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1798 == NULL) {
    strlit1798 = alloc_String("");
    gc_root(strlit1798);
  }
// compiled string node returning strlit1798 (depth = 3)
  *var_line = strlit1798;
  if (strlit1798 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit1799 == NULL) {
    strlit1799 = alloc_String("");
    gc_root(strlit1799);
  }
// compiled string node returning strlit1799 (depth = 3)
  *var_cLine = strlit1799;
  if (strlit1799 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 532
  setline(532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool1800 = alloc_Boolean(0);
// compiled identifier node returning bool1800 (depth = 3)
  *var_wasCR = bool1800;
  if (bool1800 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1801 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe1802 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_file (depth = 4)
  Object call1803 = callmethodflags(*var_file, "read", 0, partcv, params, 0);
  gc_frame_end(callframe1802);
// compiled member node returning call1803 (depth = 3)
  gc_frame_newslot(call1803);
// starting to compile block node (depth = 3)
  Object block1804 = alloc_Block(NULL, NULL, "lexer", 533);
  gc_frame_newslot(block1804);
// method "_apply(_)"
  block_savedest(block1804);
  Object closure1805 = createclosure(6, "_apply(1)");
  setclosureframe(closure1805, stackframe);
  addtoclosure(closure1805, var_line);
  addtoclosure(closure1805, var_lines);
  addtoclosure(closure1805, var_cLine);
  addtoclosure(closure1805, var_cLines);
  addtoclosure(closure1805, var_wasCR);
  addtoclosure(closure1805, selfslot);
  struct UserObject *uo1805 = (struct UserObject*)block1804;
  uo1805->data[0] = (Object)closure1805;
  Method *meth_meth_lexer__apply_40_1_41_1805 = addmethod2pos(block1804, "_apply(1)", &meth_lexer__apply_40_1_41_1805, 0);
  int argcv_meth_lexer__apply_40_1_41_1805[] = {1};
  meth_meth_lexer__apply_40_1_41_1805->type = alloc_MethodType(1, argcv_meth_lexer__apply_40_1_41_1805);
  meth_meth_lexer__apply_40_1_41_1805->definitionModule = modulename;
  meth_meth_lexer__apply_40_1_41_1805->definitionLine = 1119;
// compiled block node returning block1804 (depth = 3)
  gc_frame_newslot(block1804);
// call case 5: prelude request
  params[0] = call1803;
  params[1] = block1804;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1895 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1801);
// compiled call node returning call1895 (depth = 2)
// Begin line 571
  setline(571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit1898 == NULL) {
    strlit1898 = alloc_String("");
    gc_root(strlit1898);
  }
// compiled string node returning strlit1898 (depth = 4)
  int op_slot_right_1897 = gc_frame_newslot(strlit1898);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  int op_slot_left_1897 = gc_frame_newslot(*var_line);
  params[0] = strlit1898;
  partcv[0] = 1;
  Object opresult1900 = callmethod(*var_line, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1900 (depth = 3)
  Object if1896 = done;
  if (istrue(opresult1900)) {
// Begin line 573
  setline(573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1901 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lines (depth = 4)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call1902 = callmethodflags(*var_lines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1901);
// compiled call node returning call1902 (depth = 3)
// Begin line 574
  setline(574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1903 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLine (depth = 4)
  gc_frame_newslot(*var_cLine);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cLines (depth = 4)
  params[0] = *var_cLine;
  partcv[0] = 1;
  Object call1904 = callmethodflags(*var_cLines, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1903);
// compiled call node returning call1904 (depth = 3)
    gc_frame_newslot(call1904);
    if1896 = call1904;
  } else {
  }
// compiled if node returning if1896 (depth = 2)
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1905 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lines (depth = 3)
  gc_frame_newslot(*var_lines);
// call case 4: self request
  params[0] = *var_lines;
  partcv[0] = 1;
  Object call1906 = callmethodflags(self, "lexinput(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1905);
// compiled call node returning call1906 (depth = 2)
  gc_frame_end(frame);
  return call1906;
}
Object meth_lexer_push_40_1_41_1913(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "push(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method push(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for push(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part push(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 587
  setline(587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1916 = alloc_Boolean(0);
// compiled identifier node returning bool1916 (depth = 6)
  int op_slot_right_1915 = gc_frame_newslot(bool1916);
// starting to compile member node (depth = 6)
  int callframe1918 = gc_frame_new();
// call case 4: self request
  Object call1919 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1918);
// compiled member node returning call1919 (depth = 6)
  int op_slot_left_1915 = gc_frame_newslot(call1919);
  params[0] = bool1916;
  partcv[0] = 1;
  Object opresult1920 = callmethod(call1919, "==(1)", 1, partcv, params);
// compiled op node returning opresult1920 (depth = 5)
  Object if1914 = done;
  if (istrue(opresult1920)) {
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1921 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1922 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1921);
// compiled call node returning call1922 (depth = 5)
// Begin line 589
  setline(589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1923 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1924 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1923);
// compiled call node returning call1924 (depth = 5)
    gc_frame_newslot(call1924);
    if1914 = call1924;
  } else {
// Begin line 591
  setline(591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1925 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1926 = gc_frame_new();
// call case 4: self request
  Object call1927 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1926);
// compiled member node returning call1927 (depth = 6)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1928 = callmethodflags(call1927, "next:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1925);
// compiled call node returning call1928 (depth = 5)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1929 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1930 = gc_frame_new();
// call case 4: self request
  Object call1931 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1930);
// compiled member node returning call1931 (depth = 6)
  gc_frame_newslot(call1931);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  params[0] = call1931;
  partcv[0] = 1;
  Object call1932 = callmethodflags(*var_t, "prev:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1929);
// compiled call node returning call1932 (depth = 5)
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1933 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_t (depth = 6)
  gc_frame_newslot(*var_t);
// call case 4: self request
  params[0] = *var_t;
  partcv[0] = 1;
  Object call1934 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1933);
// compiled call node returning call1934 (depth = 5)
    gc_frame_newslot(call1934);
    if1914 = call1934;
  }
// compiled if node returning if1914 (depth = 4)
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1935 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1937 = alloc_Float64(1);
// compiled num node returning num1937 (depth = 6)
  int op_slot_right_1936 = gc_frame_newslot(num1937);
// starting to compile member node (depth = 6)
  int callframe1939 = gc_frame_new();
// call case 4: self request
  Object call1940 = callmethodflags(self, "size'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1939);
// compiled member node returning call1940 (depth = 6)
  int op_slot_left_1936 = gc_frame_newslot(call1940);
  params[0] = num1937;
  partcv[0] = 1;
  Object sum1941 = callmethod(call1940, "+(1)", 1, partcv, params);
// compiled op node returning sum1941 (depth = 5)
  gc_frame_newslot(sum1941);
// call case 4: self request
  params[0] = sum1941;
  partcv[0] = 1;
  Object call1942 = callmethodflags(self, "size':=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1935);
// compiled call node returning call1942 (depth = 4)
  gc_frame_end(frame);
  return call1942;
}
Object meth_lexer_pop1943(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "pop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_popped = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "popped");
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1946 = alloc_Boolean(0);
// compiled identifier node returning bool1946 (depth = 6)
  int op_slot_right_1945 = gc_frame_newslot(bool1946);
// starting to compile member node (depth = 6)
  int callframe1948 = gc_frame_new();
// call case 4: self request
  Object call1949 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1948);
// compiled member node returning call1949 (depth = 6)
  int op_slot_left_1945 = gc_frame_newslot(call1949);
  params[0] = bool1946;
  partcv[0] = 1;
  Object opresult1950 = callmethod(call1949, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1950 (depth = 5)
  Object if1944 = done;
  if (istrue(opresult1950)) {
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1951 = gc_frame_new();
// call case 4: self request
  Object call1952 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1951);
// compiled member node returning call1952 (depth = 6)
  *var_popped = call1952;
  if (call1952 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1953 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1954 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1955 = gc_frame_new();
// call case 4: self request
  Object call1956 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1955);
// compiled member node returning call1956 (depth = 7)
  Object call1957 = callmethodflags(call1956, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1954);
// compiled member node returning call1957 (depth = 6)
  gc_frame_newslot(call1957);
// call case 4: self request
  params[0] = call1957;
  partcv[0] = 1;
  Object call1958 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1953);
// compiled call node returning call1958 (depth = 5)
// Begin line 602
  setline(602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1961 = alloc_Boolean(0);
// compiled identifier node returning bool1961 (depth = 7)
  int op_slot_right_1960 = gc_frame_newslot(bool1961);
// starting to compile member node (depth = 7)
  int callframe1963 = gc_frame_new();
// call case 4: self request
  Object call1964 = callmethodflags(self, "last", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1963);
// compiled member node returning call1964 (depth = 7)
  int op_slot_left_1960 = gc_frame_newslot(call1964);
  params[0] = bool1961;
  partcv[0] = 1;
  Object opresult1965 = callmethod(call1964, "==(1)", 1, partcv, params);
// compiled op node returning opresult1965 (depth = 6)
  Object if1959 = done;
  if (istrue(opresult1965)) {
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1966 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool1967 = alloc_Boolean(0);
// compiled identifier node returning bool1967 (depth = 7)
  gc_frame_newslot(bool1967);
// call case 4: self request
  params[0] = bool1967;
  partcv[0] = 1;
  Object call1968 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1966);
// compiled call node returning call1968 (depth = 6)
    gc_frame_newslot(call1968);
    if1959 = call1968;
  } else {
  }
// compiled if node returning if1959 (depth = 5)
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1969 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num1971 = alloc_Float64(1);
// compiled num node returning num1971 (depth = 7)
  int op_slot_right_1970 = gc_frame_newslot(num1971);
// starting to compile member node (depth = 7)
  int callframe1973 = gc_frame_new();
// call case 4: self request
  Object call1974 = callmethodflags(self, "size'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1973);
// compiled member node returning call1974 (depth = 7)
  int op_slot_left_1970 = gc_frame_newslot(call1974);
  params[0] = num1971;
  partcv[0] = 1;
  Object diff1975 = callmethod(call1974, "-(1)", 1, partcv, params);
// compiled op node returning diff1975 (depth = 6)
  gc_frame_newslot(diff1975);
// call case 4: self request
  params[0] = diff1975;
  partcv[0] = 1;
  Object call1976 = callmethodflags(self, "size':=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1969);
// compiled call node returning call1976 (depth = 5)
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_popped (depth = 5)
    gc_frame_newslot(*var_popped);
    if1944 = *var_popped;
  } else {
  }
// compiled if node returning if1944 (depth = 4)
  gc_frame_end(frame);
  return if1944;
}
Object meth_lexer_poll1977(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "poll");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_polled = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "polled");
// Begin line 611
  setline(611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool1980 = alloc_Boolean(0);
// compiled identifier node returning bool1980 (depth = 6)
  int op_slot_right_1979 = gc_frame_newslot(bool1980);
// starting to compile member node (depth = 6)
  int callframe1982 = gc_frame_new();
// call case 4: self request
  Object call1983 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1982);
// compiled member node returning call1983 (depth = 6)
  int op_slot_left_1979 = gc_frame_newslot(call1983);
  params[0] = bool1980;
  partcv[0] = 1;
  Object opresult1984 = callmethod(call1983, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1984 (depth = 5)
  Object if1978 = done;
  if (istrue(opresult1984)) {
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1985 = gc_frame_new();
// call case 4: self request
  Object call1986 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1985);
// compiled member node returning call1986 (depth = 6)
  *var_polled = call1986;
  if (call1986 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 613
  setline(613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1987 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1988 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe1989 = gc_frame_new();
// call case 4: self request
  Object call1990 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1989);
// compiled member node returning call1990 (depth = 7)
  Object call1991 = callmethodflags(call1990, "next", 0, partcv, params, 0);
  gc_frame_end(callframe1988);
// compiled member node returning call1991 (depth = 6)
  gc_frame_newslot(call1991);
// call case 4: self request
  params[0] = call1991;
  partcv[0] = 1;
  Object call1992 = callmethodflags(self, "first:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1987);
// compiled call node returning call1992 (depth = 5)
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool1995 = alloc_Boolean(0);
// compiled identifier node returning bool1995 (depth = 7)
  int op_slot_right_1994 = gc_frame_newslot(bool1995);
// starting to compile member node (depth = 7)
  int callframe1997 = gc_frame_new();
// call case 4: self request
  Object call1998 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1997);
// compiled member node returning call1998 (depth = 7)
  int op_slot_left_1994 = gc_frame_newslot(call1998);
  params[0] = bool1995;
  partcv[0] = 1;
  Object opresult1999 = callmethod(call1998, "==(1)", 1, partcv, params);
// compiled op node returning opresult1999 (depth = 6)
  Object if1993 = done;
  if (istrue(opresult1999)) {
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2000 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool2001 = alloc_Boolean(0);
// compiled identifier node returning bool2001 (depth = 7)
  gc_frame_newslot(bool2001);
// call case 4: self request
  params[0] = bool2001;
  partcv[0] = 1;
  Object call2002 = callmethodflags(self, "last:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2000);
// compiled call node returning call2002 (depth = 6)
    gc_frame_newslot(call2002);
    if1993 = call2002;
  } else {
  }
// compiled if node returning if1993 (depth = 5)
// Begin line 617
  setline(617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2003 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2005 = alloc_Float64(1);
// compiled num node returning num2005 (depth = 7)
  int op_slot_right_2004 = gc_frame_newslot(num2005);
// starting to compile member node (depth = 7)
  int callframe2007 = gc_frame_new();
// call case 4: self request
  Object call2008 = callmethodflags(self, "size'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2007);
// compiled member node returning call2008 (depth = 7)
  int op_slot_left_2004 = gc_frame_newslot(call2008);
  params[0] = num2005;
  partcv[0] = 1;
  Object diff2009 = callmethod(call2008, "-(1)", 1, partcv, params);
// compiled op node returning diff2009 (depth = 6)
  gc_frame_newslot(diff2009);
// call case 4: self request
  params[0] = diff2009;
  partcv[0] = 1;
  Object call2010 = callmethodflags(self, "size':=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2003);
// compiled call node returning call2010 (depth = 5)
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_polled (depth = 5)
    gc_frame_newslot(*var_polled);
    if1978 = *var_polled;
  } else {
  }
// compiled if node returning if1978 (depth = 4)
  gc_frame_end(frame);
  return if1978;
}
Object meth_lexer_size2011(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "size");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2013 = alloc_Float64(0);
// compiled num node returning num2013 (depth = 5)
  int op_slot_right_2012 = gc_frame_newslot(num2013);
// starting to compile member node (depth = 5)
  int callframe2015 = gc_frame_new();
// call case 4: self request
  Object call2016 = callmethodflags(self, "size'", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2015);
// compiled member node returning call2016 (depth = 5)
  int op_slot_left_2012 = gc_frame_newslot(call2016);
  params[0] = num2013;
  partcv[0] = 1;
  Object sum2017 = callmethod(call2016, "+(1)", 1, partcv, params);
// compiled op node returning sum2017 (depth = 4)
  gc_frame_end(frame);
  return sum2017;
}
Object meth_lexer_havemore2022(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "havemore");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool2024 = alloc_Boolean(0);
// compiled identifier node returning bool2024 (depth = 5)
  int op_slot_right_2023 = gc_frame_newslot(bool2024);
// starting to compile member node (depth = 5)
  int callframe2026 = gc_frame_new();
// call case 4: self request
  Object call2027 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2026);
// compiled member node returning call2027 (depth = 5)
  int op_slot_left_2023 = gc_frame_newslot(call2027);
  params[0] = bool2024;
  partcv[0] = 1;
  Object opresult2028 = callmethod(call2027, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2028 (depth = 4)
  gc_frame_end(frame);
  return opresult2028;
}
Object meth_lexer_hasNext2029(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "hasNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool2031 = alloc_Boolean(0);
// compiled identifier node returning bool2031 (depth = 5)
  int op_slot_right_2030 = gc_frame_newslot(bool2031);
// starting to compile member node (depth = 5)
  int callframe2033 = gc_frame_new();
// call case 4: self request
  Object call2034 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2033);
// compiled member node returning call2034 (depth = 5)
  int op_slot_left_2030 = gc_frame_newslot(call2034);
  params[0] = bool2031;
  partcv[0] = 1;
  Object opresult2035 = callmethod(call2034, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2035 (depth = 4)
  gc_frame_end(frame);
  return opresult2035;
}
Object meth_lexer_next2036(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ret = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ret");
// Begin line 636
  setline(636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2037 = gc_frame_new();
// call case 4: self request
  Object call2038 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2037);
// compiled member node returning call2038 (depth = 5)
  *var_ret = call2038;
  if (call2038 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2039 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe2040 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2041 = gc_frame_new();
// call case 4: self request
  Object call2042 = callmethodflags(self, "n", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2041);
// compiled member node returning call2042 (depth = 6)
  Object call2043 = callmethodflags(call2042, "next", 0, partcv, params, 0);
  gc_frame_end(callframe2040);
// compiled member node returning call2043 (depth = 5)
  gc_frame_newslot(call2043);
// call case 4: self request
  params[0] = call2043;
  partcv[0] = 1;
  Object call2044 = callmethodflags(self, "n:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2039);
// compiled call node returning call2044 (depth = 4)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ret (depth = 4)
  gc_frame_end(frame);
  return *var_ret;
}
Object meth_lexer_iter2018(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2019 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2019 = alloc_userobj2(5,5, objclass2019);
  gc_frame_newslot(obj2019);
if (objclass2019 == NULL) {
  glfree(obj2019->class->name);
  obj2019->class->name = "obj1908.iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2019, self, 0);
  addmethodreal(obj2019,"outer", &reader_lexer_outer_2020);
  Object oldself2019 = self;
  struct StackFrameObject *oldstackframe2019 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2019);
  gc_frame_newslot((Object)stackframe);
  self = obj2019;
  Object *oldselfslot2019 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2019 = (*(struct UserObject *)self).data[0], lowerouter2019 = thisouter2019;
  if (inheritingObject2019) {
    struct UserObject *inho2019 = (struct UserObject *)inheritingObject2019;
    while (inho2019->super != GraceDefaultObject) inho2019 = (struct UserObject *)inho2019->super;
    inho2019->super = obj2019;
    self = inheritingObject2019;
    *selfslot = self;
    lowerouter2019 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2019;
  }
if (objclass2019 == NULL) {
  Method *reader2021 = addmethodrealflags(obj2019, "n", &reader_lexer_n_2021, MFLAG_CONFIDENTIAL);
  Method *writer2021 = addmethodrealflags(obj2019, "n:=(1)", &writer_lexer_n_2021, MFLAG_CONFIDENTIAL);
  reader2021->definitionModule = modulename;
  writer2021->definitionModule = modulename;
  reader2021->definitionLine = 628;
  writer2021->definitionLine = 628;
}
obj2019->flags |= OFLAG_MUTABLE;
adddatum2(obj2019, alloc_Undefined(), 1);
// method "havemore"
  struct UserObject *uo2022 = (struct UserObject*)obj2019;
  uo2022->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore2022 = addmethod2pos(obj2019, "havemore", &meth_lexer_havemore2022, 2);
  int argcv_meth_lexer_havemore2022[] = {0};
  meth_meth_lexer_havemore2022->type = alloc_MethodType(1, argcv_meth_lexer_havemore2022);
  meth_meth_lexer_havemore2022->definitionModule = modulename;
  meth_meth_lexer_havemore2022->definitionLine = 629;
// method "hasNext"
  struct UserObject *uo2029 = (struct UserObject*)obj2019;
  uo2029->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext2029 = addmethod2pos(obj2019, "hasNext", &meth_lexer_hasNext2029, 3);
  int argcv_meth_lexer_hasNext2029[] = {0};
  meth_meth_lexer_hasNext2029->type = alloc_MethodType(1, argcv_meth_lexer_hasNext2029);
  meth_meth_lexer_hasNext2029->definitionModule = modulename;
  meth_meth_lexer_hasNext2029->definitionLine = 632;
// method "next"
  struct UserObject *uo2036 = (struct UserObject*)obj2019;
  uo2036->data[4] = emptyclosure;
  Method *meth_meth_lexer_next2036 = addmethod2pos(obj2019, "next", &meth_lexer_next2036, 4);
  int argcv_meth_lexer_next2036[] = {0};
  meth_meth_lexer_next2036->type = alloc_MethodType(1, argcv_meth_lexer_next2036);
  meth_meth_lexer_next2036->definitionModule = modulename;
  meth_meth_lexer_next2036->definitionLine = 635;
  sourceObject = obj2019;
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2045 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2046 = gc_frame_new();
// call case 3: self.outer request
  Object call2047 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2046);
// compiled member node returning call2047 (depth = 5)
  Object call2048 = callmethodflags(call2047, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2045);
// compiled member node returning call2048 (depth = 4)
  adddatum2(obj2019, call2048, 1);
  sourceObject = obj2019;
  sourceObject = obj2019;
  sourceObject = obj2019;
  objclass2019 = obj2019->class;
  objclass2019->definitionModule = modulename;
  objclass2019->definitionLine = 627;
  (*(struct UserObject *)self).data[0] = lowerouter2019;
  self = oldself2019;
  selfslot = oldselfslot2019;
  stackframe = oldstackframe2019;
  gc_frame_end(frame);
  return obj2019;
}
Object meth_lexer_iter2018_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iter$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject2019 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj2019 = alloc_userobj2(5,5, objclass2019);
  gc_frame_newslot(obj2019);
if (objclass2019 == NULL) {
  glfree(obj2019->class->name);
  obj2019->class->name = "obj1908.iter";
}
// OBJECT OUTER DEC outer
  adddatum2(obj2019, self, 0);
  addmethodreal(obj2019,"outer", &reader_lexer_outer_2020);
  Object oldself2019 = self;
  struct StackFrameObject *oldstackframe2019 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe2019);
  gc_frame_newslot((Object)stackframe);
  self = obj2019;
  Object *oldselfslot2019 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter2019 = (*(struct UserObject *)self).data[0], lowerouter2019 = thisouter2019;
  if (inheritingObject2019) {
    struct UserObject *inho2019 = (struct UserObject *)inheritingObject2019;
    while (inho2019->super != GraceDefaultObject) inho2019 = (struct UserObject *)inho2019->super;
    inho2019->super = obj2019;
    self = inheritingObject2019;
    *selfslot = self;
    lowerouter2019 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter2019;
  }
if (objclass2019 == NULL) {
  Method *reader2021 = addmethodrealflags(obj2019, "n", &reader_lexer_n_2021, MFLAG_CONFIDENTIAL);
  Method *writer2021 = addmethodrealflags(obj2019, "n:=(1)", &writer_lexer_n_2021, MFLAG_CONFIDENTIAL);
  reader2021->definitionModule = modulename;
  writer2021->definitionModule = modulename;
  reader2021->definitionLine = 628;
  writer2021->definitionLine = 628;
}
obj2019->flags |= OFLAG_MUTABLE;
adddatum2(obj2019, alloc_Undefined(), 1);
// method "havemore"
  struct UserObject *uo2022 = (struct UserObject*)obj2019;
  uo2022->data[2] = emptyclosure;
  Method *meth_meth_lexer_havemore2022 = addmethod2pos(obj2019, "havemore", &meth_lexer_havemore2022, 2);
  int argcv_meth_lexer_havemore2022[] = {0};
  meth_meth_lexer_havemore2022->type = alloc_MethodType(1, argcv_meth_lexer_havemore2022);
  meth_meth_lexer_havemore2022->definitionModule = modulename;
  meth_meth_lexer_havemore2022->definitionLine = 629;
// method "hasNext"
  struct UserObject *uo2029 = (struct UserObject*)obj2019;
  uo2029->data[3] = emptyclosure;
  Method *meth_meth_lexer_hasNext2029 = addmethod2pos(obj2019, "hasNext", &meth_lexer_hasNext2029, 3);
  int argcv_meth_lexer_hasNext2029[] = {0};
  meth_meth_lexer_hasNext2029->type = alloc_MethodType(1, argcv_meth_lexer_hasNext2029);
  meth_meth_lexer_hasNext2029->definitionModule = modulename;
  meth_meth_lexer_hasNext2029->definitionLine = 632;
// method "next"
  struct UserObject *uo2036 = (struct UserObject*)obj2019;
  uo2036->data[4] = emptyclosure;
  Method *meth_meth_lexer_next2036 = addmethod2pos(obj2019, "next", &meth_lexer_next2036, 4);
  int argcv_meth_lexer_next2036[] = {0};
  meth_meth_lexer_next2036->type = alloc_MethodType(1, argcv_meth_lexer_next2036);
  meth_meth_lexer_next2036->definitionModule = modulename;
  meth_meth_lexer_next2036->definitionLine = 635;
  sourceObject = obj2019;
// Begin line 628
  setline(628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2045 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe2046 = gc_frame_new();
// call case 3: self.outer request
  Object call2047 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2046);
// compiled member node returning call2047 (depth = 5)
  Object call2048 = callmethodflags(call2047, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2045);
// compiled member node returning call2048 (depth = 4)
  adddatum2(obj2019, call2048, 1);
  sourceObject = obj2019;
  sourceObject = obj2019;
  sourceObject = obj2019;
  objclass2019 = obj2019->class;
  objclass2019->definitionModule = modulename;
  objclass2019->definitionLine = 627;
  (*(struct UserObject *)self).data[0] = lowerouter2019;
  self = oldself2019;
  selfslot = oldselfslot2019;
  stackframe = oldstackframe2019;
  gc_frame_end(frame);
  return obj2019;
}
Object meth_lexer_iterator2050(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(1, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "iterator");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2051 = gc_frame_new();
// call case 4: self request
  Object call2052 = callmethodflags(self, "iter", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2051);
// compiled member node returning call2052 (depth = 4)
  gc_frame_end(frame);
  return call2052;
}
Object meth_lexer__apply2058(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool2060 = alloc_Boolean(0);
// compiled identifier node returning bool2060 (depth = 7)
  int op_slot_right_2059 = gc_frame_newslot(bool2060);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_left_2059 = gc_frame_newslot(*var_n);
  params[0] = bool2060;
  partcv[0] = 1;
  Object opresult2062 = callmethod(*var_n, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2062 (depth = 6)
  gc_frame_end(frame);
  return opresult2062;
}
Object meth_lexer__apply2065(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_action = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 650
  setline(650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2066 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_action (depth = 7)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call2067 = callmethodflags(*var_action, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2066);
// compiled call node returning call2067 (depth = 6)
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2068 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  Object call2069 = callmethodflags(*var_n, "next", 0, partcv, params, 0);
  gc_frame_end(callframe2068);
// compiled member node returning call2069 (depth = 7)
  *var_n = call2069;
  if (call2069 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer_do_40_1_41_2053(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "do(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method do(_)");
  Object params[2];
  int partcv[2];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for do(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_action = &(stackframe->slots[0]);
  *var_action = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part do(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "n");
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2054 = gc_frame_new();
// call case 4: self request
  Object call2055 = callmethodflags(self, "first", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2054);
// compiled member node returning call2055 (depth = 5)
  *var_n = call2055;
  if (call2055 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2056 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2057 = alloc_Block(NULL, NULL, "lexer", 649);
  gc_frame_newslot(block2057);
// method "_apply"
  block_savedest(block2057);
  Object closure2058 = createclosure(2, "_apply");
  setclosureframe(closure2058, stackframe);
  addtoclosure(closure2058, var_n);
  addtoclosure(closure2058, selfslot);
  struct UserObject *uo2058 = (struct UserObject*)block2057;
  uo2058->data[0] = (Object)closure2058;
  Method *meth_meth_lexer__apply2058 = addmethod2pos(block2057, "_apply", &meth_lexer__apply2058, 0);
  int argcv_meth_lexer__apply2058[] = {0};
  meth_meth_lexer__apply2058->type = alloc_MethodType(1, argcv_meth_lexer__apply2058);
  meth_meth_lexer__apply2058->definitionModule = modulename;
  meth_meth_lexer__apply2058->definitionLine = 1119;
// compiled block node returning block2057 (depth = 5)
  gc_frame_newslot(block2057);
// starting to compile block node (depth = 5)
  Object block2064 = alloc_Block(NULL, NULL, "lexer", 649);
  gc_frame_newslot(block2064);
// method "_apply"
  block_savedest(block2064);
  Object closure2065 = createclosure(3, "_apply");
  setclosureframe(closure2065, stackframe);
  addtoclosure(closure2065, var_n);
  addtoclosure(closure2065, var_action);
  addtoclosure(closure2065, selfslot);
  struct UserObject *uo2065 = (struct UserObject*)block2064;
  uo2065->data[0] = (Object)closure2065;
  Method *meth_meth_lexer__apply2065 = addmethod2pos(block2064, "_apply", &meth_lexer__apply2065, 0);
  int argcv_meth_lexer__apply2065[] = {0};
  meth_meth_lexer__apply2065->type = alloc_MethodType(1, argcv_meth_lexer__apply2065);
  meth_meth_lexer__apply2065->definitionModule = modulename;
  meth_meth_lexer__apply2065->definitionLine = 1119;
// compiled block node returning block2064 (depth = 5)
  gc_frame_newslot(block2064);
// call case 5: prelude request
  params[0] = block2057;
  params[1] = block2064;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2072 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2056);
// compiled call node returning call2072 (depth = 4)
  gc_frame_end(frame);
  return call2072;
}
Object meth_lexer__apply2102(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2104 == NULL) {
    strlit2104 = alloc_String("q");
    gc_root(strlit2104);
  }
// compiled string node returning strlit2104 (depth = 8)
  int op_slot_right_2103 = gc_frame_newslot(strlit2104);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2103 = gc_frame_newslot(*var_mode);
  params[0] = strlit2104;
  partcv[0] = 1;
  Object opresult2106 = callmethod(*var_mode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2106 (depth = 7)
  gc_frame_end(frame);
  return opresult2106;
}
Object meth_lexer__apply2303(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2305 == NULL) {
    strlit2305 = alloc_String("q");
    gc_root(strlit2305);
  }
// compiled string node returning strlit2305 (depth = 9)
  int op_slot_right_2304 = gc_frame_newslot(strlit2305);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2304 = gc_frame_newslot(*var_mode);
  params[0] = strlit2305;
  partcv[0] = 1;
  Object opresult2307 = callmethod(*var_mode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2307 (depth = 8)
  gc_frame_end(frame);
  return opresult2307;
}
Object meth_lexer__apply2590(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2593 == NULL) {
    strlit2593 = alloc_String("e");
    gc_root(strlit2593);
  }
// compiled string node returning strlit2593 (depth = 12)
  int op_slot_right_2592 = gc_frame_newslot(strlit2593);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  int op_slot_left_2592 = gc_frame_newslot(*var_mode);
  params[0] = strlit2593;
  partcv[0] = 1;
  Object opresult2595 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2595 (depth = 11)
  int op_slot_right_2591 = gc_frame_newslot(opresult2595);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2598 == NULL) {
    strlit2598 = alloc_String("i");
    gc_root(strlit2598);
  }
// compiled string node returning strlit2598 (depth = 12)
  int op_slot_right_2597 = gc_frame_newslot(strlit2598);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  int op_slot_left_2597 = gc_frame_newslot(*var_mode);
  params[0] = strlit2598;
  partcv[0] = 1;
  Object opresult2600 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2600 (depth = 11)
  int op_slot_left_2591 = gc_frame_newslot(opresult2600);
  params[0] = opresult2595;
  partcv[0] = 1;
  Object opresult2601 = callmethod(opresult2600, "||(1)", 1, partcv, params);
// compiled op node returning opresult2601 (depth = 10)
  gc_frame_end(frame);
  return opresult2601;
}
Object meth_lexer__apply2932(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2934 == NULL) {
    strlit2934 = alloc_String("{");
    gc_root(strlit2934);
  }
// compiled string node returning strlit2934 (depth = 11)
  int op_slot_right_2933 = gc_frame_newslot(strlit2934);
// starting to compile call node (depth = 11)
  int callframe2936 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile call node (depth = 12)
  int callframe2937 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_line (depth = 13)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2938 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_util (depth = 14)
  Object call2939 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe2938);
// compiled member node returning call2939 (depth = 13)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2940 = callmethodflags(call2939, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2937);
// compiled call node returning call2940 (depth = 12)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call2941 = callmethodflags(call2940, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2936);
// compiled call node returning call2941 (depth = 11)
  int op_slot_left_2933 = gc_frame_newslot(call2941);
  params[0] = strlit2934;
  partcv[0] = 1;
  Object opresult2942 = callmethod(call2941, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2942 (depth = 10)
  gc_frame_end(frame);
  return opresult2942;
}
Object meth_lexer__apply2945(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_line = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 10)
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2947 = alloc_Float64(1);
// compiled num node returning num2947 (depth = 12)
  int op_slot_right_2946 = gc_frame_newslot(num2947);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_2946 = gc_frame_newslot(*var_i);
  params[0] = num2947;
  partcv[0] = 1;
  Object diff2949 = callmethod(*var_i, "-(1)", 1, partcv, params);
// compiled op node returning diff2949 (depth = 11)
  *var_i = diff2949;
  if (diff2949 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2953 = alloc_Float64(0);
// compiled num node returning num2953 (depth = 12)
  int op_slot_right_2952 = gc_frame_newslot(num2953);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_2952 = gc_frame_newslot(*var_i);
  params[0] = num2953;
  partcv[0] = 1;
  Object opresult2955 = callmethod(*var_i, "==(1)", 1, partcv, params);
// compiled op node returning opresult2955 (depth = 11)
  Object if2951 = done;
  if (istrue(opresult2955)) {
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2956 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num2958 = alloc_Float64(1);
// compiled num node returning num2958 (depth = 13)
  int op_slot_right_2957 = gc_frame_newslot(num2958);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_line (depth = 13)
  int op_slot_left_2957 = gc_frame_newslot(*var_line);
  params[0] = num2958;
  partcv[0] = 1;
  Object diff2960 = callmethod(*var_line, "-(1)", 1, partcv, params);
// compiled op node returning diff2960 (depth = 12)
  gc_frame_newslot(diff2960);
// call case 4: self request
  params[0] = diff2960;
  partcv[0] = 1;
  Object call2961 = callmethodflags(self, "lineNumber:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2956);
// compiled call node returning call2961 (depth = 11)
// Begin line 914
  setline(914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe2962 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 13)
  int callframe2963 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_line (depth = 14)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2964 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_util (depth = 15)
  Object call2965 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe2964);
// compiled member node returning call2965 (depth = 14)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2966 = callmethodflags(call2965, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2963);
// compiled call node returning call2966 (depth = 13)
  Object call2967 = callmethodflags(call2966, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2962);
// compiled member node returning call2967 (depth = 12)
  *var_i = call2967;
  if (call2967 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if2951 = done;
  } else {
  }
// compiled if node returning if2951 (depth = 10)
  gc_frame_end(frame);
  return if2951;
}
Object meth_lexer__apply3076(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextLine = getfromclosure(closure, 0);
  Object *var_i = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe3078 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextLine (depth = 12)
  Object call3079 = callmethodflags(*var_nextLine, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3078);
// compiled member node returning call3079 (depth = 11)
  int op_slot_right_3077 = gc_frame_newslot(call3079);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_i (depth = 11)
  int op_slot_left_3077 = gc_frame_newslot(*var_i);
  params[0] = call3079;
  partcv[0] = 1;
  Object opresult3081 = callmethod(*var_i, "≤(1)", 1, partcv, params);
// compiled op node returning opresult3081 (depth = 10)
  gc_frame_end(frame);
  return opresult3081;
}
Object meth_lexer__apply3084(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_i = getfromclosure(closure, 0);
  Object *var_nextLine = getfromclosure(closure, 1);
  Object *var_count = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 942
  setline(942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3087 == NULL) {
    strlit3087 = alloc_String("""\x22""");
    gc_root(strlit3087);
  }
// compiled string node returning strlit3087 (depth = 12)
  int op_slot_right_3086 = gc_frame_newslot(strlit3087);
// starting to compile call node (depth = 12)
  int callframe3089 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_i (depth = 13)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextLine (depth = 13)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call3090 = callmethodflags(*var_nextLine, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3089);
// compiled call node returning call3090 (depth = 12)
  int op_slot_left_3086 = gc_frame_newslot(call3090);
  params[0] = strlit3087;
  partcv[0] = 1;
  Object opresult3091 = callmethod(call3090, "==(1)", 1, partcv, params);
// compiled op node returning opresult3091 (depth = 11)
  Object if3085 = done;
  if (istrue(opresult3091)) {
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num3093 = alloc_Float64(1);
// compiled num node returning num3093 (depth = 13)
  int op_slot_right_3092 = gc_frame_newslot(num3093);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_count (depth = 13)
  int op_slot_left_3092 = gc_frame_newslot(*var_count);
  params[0] = num3093;
  partcv[0] = 1;
  Object sum3095 = callmethod(*var_count, "+(1)", 1, partcv, params);
// compiled op node returning sum3095 (depth = 12)
  *var_count = sum3095;
  if (sum3095 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3085 = done;
  } else {
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3099 == NULL) {
    strlit3099 = alloc_String("\\");
    gc_root(strlit3099);
  }
// compiled string node returning strlit3099 (depth = 13)
  int op_slot_right_3098 = gc_frame_newslot(strlit3099);
// starting to compile call node (depth = 13)
  int callframe3101 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_i (depth = 14)
  gc_frame_newslot(*var_i);
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextLine (depth = 14)
  params[0] = *var_i;
  partcv[0] = 1;
  Object call3102 = callmethodflags(*var_nextLine, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3101);
// compiled call node returning call3102 (depth = 13)
  int op_slot_left_3098 = gc_frame_newslot(call3102);
  params[0] = strlit3099;
  partcv[0] = 1;
  Object opresult3103 = callmethod(call3102, "==(1)", 1, partcv, params);
// compiled op node returning opresult3103 (depth = 12)
  Object if3097 = done;
  if (istrue(opresult3103)) {
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num3105 = alloc_Float64(1);
// compiled num node returning num3105 (depth = 14)
  int op_slot_right_3104 = gc_frame_newslot(num3105);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_i (depth = 14)
  int op_slot_left_3104 = gc_frame_newslot(*var_i);
  params[0] = num3105;
  partcv[0] = 1;
  Object sum3107 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum3107 (depth = 13)
  *var_i = sum3107;
  if (sum3107 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if3097 = done;
  } else {
  }
// compiled if node returning if3097 (depth = 11)
    gc_frame_newslot(if3097);
    if3085 = if3097;
  }
// compiled if node returning if3085 (depth = 10)
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3110 = alloc_Float64(1);
// compiled num node returning num3110 (depth = 12)
  int op_slot_right_3109 = gc_frame_newslot(num3110);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_i (depth = 12)
  int op_slot_left_3109 = gc_frame_newslot(*var_i);
  params[0] = num3110;
  partcv[0] = 1;
  Object sum3112 = callmethod(*var_i, "+(1)", 1, partcv, params);
// compiled op node returning sum3112 (depth = 11)
  *var_i = sum3112;
  if (sum3112 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_lexer__apply_40_1_41_2095(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[3];
  Object *var_mode = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_inStr = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_atStart = getfromclosure(closure, 4);
  Object *var_newmode = getfromclosure(closure, 5);
  Object *var_spaceChars = getfromclosure(closure, 6);
  Object *var_tokens = getfromclosure(closure, 7);
  Object *var_accum = getfromclosure(closure, 8);
  Object *var_util = getfromclosure(closure, 9);
  Object *var_escaped = getfromclosure(closure, 10);
  Object *var_interpString = getfromclosure(closure, 11);
  Object *var_interpdepth = getfromclosure(closure, 12);
  Object *var_unichars = getfromclosure(closure, 13);
  Object *var_codepoint = getfromclosure(closure, 14);
  Object *var_newlineFound = getfromclosure(closure, 15);
  Object self = *(getfromclosure(closure, 16));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_c = &(stackframe->slots[0]);
  *var_c = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ct = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "ct");
  Object *var_ordval = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "ordval");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_line = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "line");
  Object *var_i = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "i");
  Object *var_suggestions = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "suggestions");
  Object *var_errorLine = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "errorLine");
  Object *var_nextLine = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "nextLine");
  Object *var_count = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "count");
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit2096 == NULL) {
    strlit2096 = alloc_String("");
    gc_root(strlit2096);
  }
// compiled string node returning strlit2096 (depth = 5)
  *var_ct = strlit2096;
  if (strlit2096 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2097 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_c (depth = 6)
  Object call2098 = callmethodflags(*var_c, "ord", 0, partcv, params, 0);
  gc_frame_end(callframe2097);
// compiled member node returning call2098 (depth = 5)
  *var_ordval = call2098;
  if (call2098 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block2101 = alloc_Block(NULL, NULL, "lexer", 674);
  gc_frame_newslot(block2101);
// method "_apply"
  block_savedest(block2101);
  Object closure2102 = createclosure(2, "_apply");
  setclosureframe(closure2102, stackframe);
  addtoclosure(closure2102, var_mode);
  addtoclosure(closure2102, selfslot);
  struct UserObject *uo2102 = (struct UserObject*)block2101;
  uo2102->data[0] = (Object)closure2102;
  Method *meth_meth_lexer__apply2102 = addmethod2pos(block2101, "_apply", &meth_lexer__apply2102, 0);
  int argcv_meth_lexer__apply2102[] = {0};
  meth_meth_lexer__apply2102->type = alloc_MethodType(1, argcv_meth_lexer__apply2102);
  meth_meth_lexer__apply2102->definitionModule = modulename;
  meth_meth_lexer__apply2102->definitionLine = 1119;
// compiled block node returning block2101 (depth = 6)
  int op_slot_right_2100 = gc_frame_newslot(block2101);
// starting to compile call node (depth = 6)
  int callframe2109 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2110 = gc_frame_new();
// call case 3: self.outer request
  Object call2111 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2110);
// compiled member node returning call2111 (depth = 7)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2112 = callmethodflags(call2111, "isBadSeparator(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2109);
// compiled call node returning call2112 (depth = 6)
  int op_slot_left_2100 = gc_frame_newslot(call2112);
  params[0] = block2101;
  partcv[0] = 1;
  Object opresult2113 = callmethod(call2112, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2113 (depth = 5)
  Object if2099 = done;
  if (istrue(opresult2113)) {
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2114 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2115 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call2116 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2115);
// compiled member node returning call2116 (depth = 7)
  Object call2117 = callmethodflags(call2116, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2114);
// compiled member node returning call2117 (depth = 6)
  *var_suggestion = call2117;
  if (call2117 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2118 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe2119 = gc_frame_new();
// call case 4: self request
  Object call2120 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2119);
// compiled member node returning call2120 (depth = 6)
  gc_frame_newslot(call2120);
// starting to compile string node (depth = 6)
  if (strlit2121 == NULL) {
    strlit2121 = alloc_String(" ");
    gc_root(strlit2121);
  }
// compiled string node returning strlit2121 (depth = 6)
  gc_frame_newslot(strlit2121);
// starting to compile member node (depth = 6)
  int callframe2122 = gc_frame_new();
// call case 4: self request
  Object call2123 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2122);
// compiled member node returning call2123 (depth = 6)
  gc_frame_newslot(call2123);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = call2120;
  params[1] = strlit2121;
  params[2] = call2123;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2124 = callmethodflags(*var_suggestion, "replaceChar(1)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2118);
// compiled call node returning call2124 (depth = 5)
// Begin line 679
  setline(679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2127 = alloc_Float64(9);
// compiled num node returning num2127 (depth = 7)
  int op_slot_right_2126 = gc_frame_newslot(num2127);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ordval (depth = 7)
  int op_slot_left_2126 = gc_frame_newslot(*var_ordval);
  params[0] = num2127;
  partcv[0] = 1;
  Object opresult2129 = callmethod(*var_ordval, "==(1)", 1, partcv, params);
// compiled op node returning opresult2129 (depth = 6)
  Object if2125 = done;
  if (istrue(opresult2129)) {
// Begin line 680
  setline(680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_inStr (depth = 7)
  Object if2130 = done;
  if (istrue(*var_inStr)) {
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2131 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe2132 = gc_frame_new();
// call case 4: self request
  Object call2133 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2132);
// compiled member node returning call2133 (depth = 8)
  gc_frame_newslot(call2133);
// starting to compile member node (depth = 8)
  int callframe2134 = gc_frame_new();
// call case 4: self request
  Object call2135 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2134);
// compiled member node returning call2135 (depth = 8)
  gc_frame_newslot(call2135);
// Begin line 682
  setline(682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2136 == NULL) {
    strlit2136 = alloc_String("\\t");
    gc_root(strlit2136);
  }
// compiled string node returning strlit2136 (depth = 8)
  gc_frame_newslot(strlit2136);
// Begin line 683
  setline(683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2137 = gc_frame_new();
// call case 4: self request
  Object call2138 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2137);
// compiled member node returning call2138 (depth = 8)
  gc_frame_newslot(call2138);
// call case 6: other requests
// Begin line 681
  setline(681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = call2133;
  params[1] = call2135;
  params[2] = strlit2136;
  params[3] = call2138;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2139 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2131);
// compiled call node returning call2139 (depth = 7)
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2140 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2142 == NULL) {
    strlit2142 = alloc_String("use the string escape \\t instead");
    gc_root(strlit2142);
  }
// compiled string node returning strlit2142 (depth = 9)
  int op_slot_right_2141 = gc_frame_newslot(strlit2142);
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 685
  setline(685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit2145 == NULL) {
    strlit2145 = alloc_String("written in the source code; ");
    gc_root(strlit2145);
  }
// compiled string node returning strlit2145 (depth = 10)
  int op_slot_right_2144 = gc_frame_newslot(strlit2145);
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit2147 == NULL) {
    strlit2147 = alloc_String("tabs cannot be ");
    gc_root(strlit2147);
  }
// compiled string node returning strlit2147 (depth = 10)
  int op_slot_left_2144 = gc_frame_newslot(strlit2147);
  params[0] = strlit2145;
  partcv[0] = 1;
  Object opresult2148 = callmethod(strlit2147, "++(1)", 1, partcv, params);
// compiled op node returning opresult2148 (depth = 9)
  int op_slot_left_2141 = gc_frame_newslot(opresult2148);
  params[0] = strlit2142;
  partcv[0] = 1;
  Object opresult2149 = callmethod(opresult2148, "++(1)", 1, partcv, params);
// compiled op node returning opresult2149 (depth = 8)
  gc_frame_newslot(opresult2149);
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2150 = gc_frame_new();
// call case 4: self request
  Object call2151 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2150);
// compiled member node returning call2151 (depth = 8)
  gc_frame_newslot(call2151);
// starting to compile member node (depth = 8)
  int callframe2152 = gc_frame_new();
// call case 4: self request
  Object call2153 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2152);
// compiled member node returning call2153 (depth = 8)
  gc_frame_newslot(call2153);
// starting to compile member node (depth = 8)
  int callframe2154 = gc_frame_new();
// call case 4: self request
  Object call2155 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2154);
// compiled member node returning call2155 (depth = 8)
  gc_frame_newslot(call2155);
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 684
  setline(684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2149;
  params[1] = call2151;
  params[2] = call2153;
  params[3] = call2155;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2156 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2140);
// compiled call node returning call2156 (depth = 7)
    gc_frame_newslot(call2156);
    if2130 = call2156;
  } else {
  }
// compiled if node returning if2130 (depth = 6)
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2157 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit2158 == NULL) {
    strlit2158 = alloc_String("tabs are not allowed; use spaces instead.");
    gc_root(strlit2158);
  }
// compiled string node returning strlit2158 (depth = 7)
  gc_frame_newslot(strlit2158);
// starting to compile member node (depth = 7)
  int callframe2159 = gc_frame_new();
// call case 4: self request
  Object call2160 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2159);
// compiled member node returning call2160 (depth = 7)
  gc_frame_newslot(call2160);
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2161 = gc_frame_new();
// call case 4: self request
  Object call2162 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2161);
// compiled member node returning call2162 (depth = 7)
  gc_frame_newslot(call2162);
// starting to compile member node (depth = 7)
  int callframe2163 = gc_frame_new();
// call case 4: self request
  Object call2164 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2163);
// compiled member node returning call2164 (depth = 7)
  gc_frame_newslot(call2164);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit2158;
  params[1] = call2160;
  params[2] = call2162;
  params[3] = call2164;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2165 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2157);
// compiled call node returning call2165 (depth = 6)
    gc_frame_newslot(call2165);
    if2125 = call2165;
  } else {
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2168 == NULL) {
    strlit2168 = alloc_String("""\x22""");
    gc_root(strlit2168);
  }
// compiled string node returning strlit2168 (depth = 8)
  int op_slot_right_2167 = gc_frame_newslot(strlit2168);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2167 = gc_frame_newslot(*var_mode);
  params[0] = strlit2168;
  partcv[0] = 1;
  Object opresult2170 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2170 (depth = 7)
  Object if2166 = done;
  if (istrue(opresult2170)) {
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2171 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe2172 = gc_frame_new();
// call case 4: self request
  Object call2173 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2172);
// compiled member node returning call2173 (depth = 8)
  gc_frame_newslot(call2173);
// starting to compile member node (depth = 8)
  int callframe2174 = gc_frame_new();
// call case 4: self request
  Object call2175 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2174);
// compiled member node returning call2175 (depth = 8)
  gc_frame_newslot(call2175);
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2177 == NULL) {
    strlit2177 = alloc_String("");
    gc_root(strlit2177);
  }
// compiled string node returning strlit2177 (depth = 9)
  int op_slot_right_2176 = gc_frame_newslot(strlit2177);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2180 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2181 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2182 = alloc_Float64(16);
// compiled num node returning num2182 (depth = 12)
  gc_frame_newslot(num2182);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2182;
  partcv[0] = 1;
  Object call2183 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2181);
// compiled call node returning call2183 (depth = 11)
  gc_frame_newslot(call2183);
// starting to compile num node (depth = 11)
  Object num2184 = alloc_Float64(4);
// compiled num node returning num2184 (depth = 11)
  gc_frame_newslot(num2184);
// starting to compile string node (depth = 11)
  if (strlit2185 == NULL) {
    strlit2185 = alloc_String("0");
    gc_root(strlit2185);
  }
// compiled string node returning strlit2185 (depth = 11)
  gc_frame_newslot(strlit2185);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2186 = gc_frame_new();
// call case 3: self.outer request
  Object call2187 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2186);
// compiled member node returning call2187 (depth = 11)
  params[0] = call2183;
  params[1] = num2184;
  params[2] = strlit2185;
  partcv[0] = 3;
  Object call2188 = callmethodflags(call2187, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2180);
// compiled call node returning call2188 (depth = 10)
  int op_slot_right_2179 = gc_frame_newslot(call2188);
// starting to compile string node (depth = 10)
  if (strlit2190 == NULL) {
    strlit2190 = alloc_String("\\u");
    gc_root(strlit2190);
  }
// compiled string node returning strlit2190 (depth = 10)
  int op_slot_left_2179 = gc_frame_newslot(strlit2190);
  params[0] = call2188;
  partcv[0] = 1;
  Object opresult2191 = callmethod(strlit2190, "++(1)", 1, partcv, params);
// compiled op node returning opresult2191 (depth = 9)
  int op_slot_left_2176 = gc_frame_newslot(opresult2191);
  params[0] = strlit2177;
  partcv[0] = 1;
  Object opresult2192 = callmethod(opresult2191, "++(1)", 1, partcv, params);
// compiled op node returning opresult2192 (depth = 8)
  gc_frame_newslot(opresult2192);
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2193 = gc_frame_new();
// call case 4: self request
  Object call2194 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2193);
// compiled member node returning call2194 (depth = 8)
  gc_frame_newslot(call2194);
// call case 6: other requests
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = call2173;
  params[1] = call2175;
  params[2] = opresult2192;
  params[3] = call2194;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2195 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2171);
// compiled call node returning call2195 (depth = 7)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2196 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 703
  setline(703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2198 == NULL) {
    strlit2198 = alloc_String(" instead");
    gc_root(strlit2198);
  }
// compiled string node returning strlit2198 (depth = 9)
  int op_slot_right_2197 = gc_frame_newslot(strlit2198);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2201 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2202 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2203 = alloc_Float64(16);
// compiled num node returning num2203 (depth = 12)
  gc_frame_newslot(num2203);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2203;
  partcv[0] = 1;
  Object call2204 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2202);
// compiled call node returning call2204 (depth = 11)
  gc_frame_newslot(call2204);
// starting to compile num node (depth = 11)
  Object num2205 = alloc_Float64(4);
// compiled num node returning num2205 (depth = 11)
  gc_frame_newslot(num2205);
// starting to compile string node (depth = 11)
  if (strlit2206 == NULL) {
    strlit2206 = alloc_String("0");
    gc_root(strlit2206);
  }
// compiled string node returning strlit2206 (depth = 11)
  gc_frame_newslot(strlit2206);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2207 = gc_frame_new();
// call case 3: self.outer request
  Object call2208 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2207);
// compiled member node returning call2208 (depth = 11)
  params[0] = call2204;
  params[1] = num2205;
  params[2] = strlit2206;
  partcv[0] = 3;
  Object call2209 = callmethodflags(call2208, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2201);
// compiled call node returning call2209 (depth = 10)
  int op_slot_right_2200 = gc_frame_newslot(call2209);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit2212 == NULL) {
    strlit2212 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2212);
  }
// compiled string node returning strlit2212 (depth = 11)
  int op_slot_right_2211 = gc_frame_newslot(strlit2212);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// Begin line 700
  setline(700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2215 == NULL) {
    strlit2215 = alloc_String("written in the source code; ");
    gc_root(strlit2215);
  }
// compiled string node returning strlit2215 (depth = 12)
  int op_slot_right_2214 = gc_frame_newslot(strlit2215);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit2218 == NULL) {
    strlit2218 = alloc_String(" and cannot be ");
    gc_root(strlit2218);
  }
// compiled string node returning strlit2218 (depth = 13)
  int op_slot_right_2217 = gc_frame_newslot(strlit2218);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 14)
  if (strlit2221 == NULL) {
    strlit2221 = alloc_String("is not a valid whitespace character");
    gc_root(strlit2221);
  }
// compiled string node returning strlit2221 (depth = 14)
  int op_slot_right_2220 = gc_frame_newslot(strlit2221);
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2224 == NULL) {
    strlit2224 = alloc_String(") ");
    gc_root(strlit2224);
  }
// compiled string node returning strlit2224 (depth = 15)
  int op_slot_right_2223 = gc_frame_newslot(strlit2224);
// starting to compile op node (depth = 15)
// starting to compile call node (depth = 16)
  int callframe2227 = gc_frame_new();
// starting to compile call node (depth = 17)
  int callframe2228 = gc_frame_new();
// starting to compile num node (depth = 18)
  Object num2229 = alloc_Float64(16);
// compiled num node returning num2229 (depth = 18)
  gc_frame_newslot(num2229);
// call case 6: other requests
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_ordval (depth = 18)
  params[0] = num2229;
  partcv[0] = 1;
  Object call2230 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2228);
// compiled call node returning call2230 (depth = 17)
  gc_frame_newslot(call2230);
// starting to compile num node (depth = 17)
  Object num2231 = alloc_Float64(4);
// compiled num node returning num2231 (depth = 17)
  gc_frame_newslot(num2231);
// starting to compile string node (depth = 17)
  if (strlit2232 == NULL) {
    strlit2232 = alloc_String("0");
    gc_root(strlit2232);
  }
// compiled string node returning strlit2232 (depth = 17)
  gc_frame_newslot(strlit2232);
// call case 6: other requests
// starting to compile member node (depth = 17)
  int callframe2233 = gc_frame_new();
// call case 3: self.outer request
  Object call2234 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2233);
// compiled member node returning call2234 (depth = 17)
  params[0] = call2230;
  params[1] = num2231;
  params[2] = strlit2232;
  partcv[0] = 3;
  Object call2235 = callmethodflags(call2234, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2227);
// compiled call node returning call2235 (depth = 16)
  int op_slot_right_2226 = gc_frame_newslot(call2235);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit2238 == NULL) {
    strlit2238 = alloc_String(" (U+");
    gc_root(strlit2238);
  }
// compiled string node returning strlit2238 (depth = 17)
  int op_slot_right_2237 = gc_frame_newslot(strlit2238);
// starting to compile op node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe2241 = gc_frame_new();
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_c (depth = 19)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_unicode (depth = 19)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2242 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2241);
// compiled call node returning call2242 (depth = 18)
  int op_slot_right_2240 = gc_frame_newslot(call2242);
// starting to compile string node (depth = 18)
  if (strlit2244 == NULL) {
    strlit2244 = alloc_String("");
    gc_root(strlit2244);
  }
// compiled string node returning strlit2244 (depth = 18)
  int op_slot_left_2240 = gc_frame_newslot(strlit2244);
  params[0] = call2242;
  partcv[0] = 1;
  Object opresult2245 = callmethod(strlit2244, "++(1)", 1, partcv, params);
// compiled op node returning opresult2245 (depth = 17)
  int op_slot_left_2237 = gc_frame_newslot(opresult2245);
  params[0] = strlit2238;
  partcv[0] = 1;
  Object opresult2246 = callmethod(opresult2245, "++(1)", 1, partcv, params);
// compiled op node returning opresult2246 (depth = 16)
  int op_slot_left_2226 = gc_frame_newslot(opresult2246);
  params[0] = call2235;
  partcv[0] = 1;
  Object opresult2247 = callmethod(opresult2246, "++(1)", 1, partcv, params);
// compiled op node returning opresult2247 (depth = 15)
  int op_slot_left_2223 = gc_frame_newslot(opresult2247);
  params[0] = strlit2224;
  partcv[0] = 1;
  Object opresult2248 = callmethod(opresult2247, "++(1)", 1, partcv, params);
// compiled op node returning opresult2248 (depth = 14)
  int op_slot_left_2220 = gc_frame_newslot(opresult2248);
  params[0] = strlit2221;
  partcv[0] = 1;
  Object opresult2249 = callmethod(opresult2248, "++(1)", 1, partcv, params);
// compiled op node returning opresult2249 (depth = 13)
  int op_slot_left_2217 = gc_frame_newslot(opresult2249);
  params[0] = strlit2218;
  partcv[0] = 1;
  Object opresult2250 = callmethod(opresult2249, "++(1)", 1, partcv, params);
// compiled op node returning opresult2250 (depth = 12)
  int op_slot_left_2214 = gc_frame_newslot(opresult2250);
  params[0] = strlit2215;
  partcv[0] = 1;
  Object opresult2251 = callmethod(opresult2250, "++(1)", 1, partcv, params);
// compiled op node returning opresult2251 (depth = 11)
  int op_slot_left_2211 = gc_frame_newslot(opresult2251);
  params[0] = strlit2212;
  partcv[0] = 1;
  Object opresult2252 = callmethod(opresult2251, "++(1)", 1, partcv, params);
// compiled op node returning opresult2252 (depth = 10)
  int op_slot_left_2200 = gc_frame_newslot(opresult2252);
  params[0] = call2209;
  partcv[0] = 1;
  Object opresult2253 = callmethod(opresult2252, "++(1)", 1, partcv, params);
// compiled op node returning opresult2253 (depth = 9)
  int op_slot_left_2197 = gc_frame_newslot(opresult2253);
  params[0] = strlit2198;
  partcv[0] = 1;
  Object opresult2254 = callmethod(opresult2253, "++(1)", 1, partcv, params);
// compiled op node returning opresult2254 (depth = 8)
  gc_frame_newslot(opresult2254);
// Begin line 704
  setline(704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2255 = gc_frame_new();
// call case 4: self request
  Object call2256 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2255);
// compiled member node returning call2256 (depth = 8)
  gc_frame_newslot(call2256);
// starting to compile member node (depth = 8)
  int callframe2257 = gc_frame_new();
// call case 4: self request
  Object call2258 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2257);
// compiled member node returning call2258 (depth = 8)
  gc_frame_newslot(call2258);
// starting to compile member node (depth = 8)
  int callframe2259 = gc_frame_new();
// call case 4: self request
  Object call2260 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2259);
// compiled member node returning call2260 (depth = 8)
  gc_frame_newslot(call2260);
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2254;
  params[1] = call2256;
  params[2] = call2258;
  params[3] = call2260;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2261 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2196);
// compiled call node returning call2261 (depth = 7)
    gc_frame_newslot(call2261);
    if2166 = call2261;
  } else {
  }
// compiled if node returning if2166 (depth = 6)
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2262 = gc_frame_new();
// starting to compile op node (depth = 7)
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2264 == NULL) {
    strlit2264 = alloc_String("is not a valid whitespace character; use spaces instead.");
    gc_root(strlit2264);
  }
// compiled string node returning strlit2264 (depth = 8)
  int op_slot_right_2263 = gc_frame_newslot(strlit2264);
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2267 == NULL) {
    strlit2267 = alloc_String(") ");
    gc_root(strlit2267);
  }
// compiled string node returning strlit2267 (depth = 9)
  int op_slot_right_2266 = gc_frame_newslot(strlit2267);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2270 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2271 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2272 = alloc_Float64(16);
// compiled num node returning num2272 (depth = 12)
  gc_frame_newslot(num2272);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2272;
  partcv[0] = 1;
  Object call2273 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2271);
// compiled call node returning call2273 (depth = 11)
  gc_frame_newslot(call2273);
// starting to compile num node (depth = 11)
  Object num2274 = alloc_Float64(4);
// compiled num node returning num2274 (depth = 11)
  gc_frame_newslot(num2274);
// starting to compile string node (depth = 11)
  if (strlit2275 == NULL) {
    strlit2275 = alloc_String("0");
    gc_root(strlit2275);
  }
// compiled string node returning strlit2275 (depth = 11)
  gc_frame_newslot(strlit2275);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2276 = gc_frame_new();
// call case 3: self.outer request
  Object call2277 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2276);
// compiled member node returning call2277 (depth = 11)
  params[0] = call2273;
  params[1] = num2274;
  params[2] = strlit2275;
  partcv[0] = 3;
  Object call2278 = callmethodflags(call2277, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2270);
// compiled call node returning call2278 (depth = 10)
  int op_slot_right_2269 = gc_frame_newslot(call2278);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2281 == NULL) {
    strlit2281 = alloc_String(" (U+");
    gc_root(strlit2281);
  }
// compiled string node returning strlit2281 (depth = 11)
  int op_slot_right_2280 = gc_frame_newslot(strlit2281);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2284 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2285 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2284);
// compiled call node returning call2285 (depth = 12)
  int op_slot_right_2283 = gc_frame_newslot(call2285);
// starting to compile string node (depth = 12)
  if (strlit2287 == NULL) {
    strlit2287 = alloc_String("");
    gc_root(strlit2287);
  }
// compiled string node returning strlit2287 (depth = 12)
  int op_slot_left_2283 = gc_frame_newslot(strlit2287);
  params[0] = call2285;
  partcv[0] = 1;
  Object opresult2288 = callmethod(strlit2287, "++(1)", 1, partcv, params);
// compiled op node returning opresult2288 (depth = 11)
  int op_slot_left_2280 = gc_frame_newslot(opresult2288);
  params[0] = strlit2281;
  partcv[0] = 1;
  Object opresult2289 = callmethod(opresult2288, "++(1)", 1, partcv, params);
// compiled op node returning opresult2289 (depth = 10)
  int op_slot_left_2269 = gc_frame_newslot(opresult2289);
  params[0] = call2278;
  partcv[0] = 1;
  Object opresult2290 = callmethod(opresult2289, "++(1)", 1, partcv, params);
// compiled op node returning opresult2290 (depth = 9)
  int op_slot_left_2266 = gc_frame_newslot(opresult2290);
  params[0] = strlit2267;
  partcv[0] = 1;
  Object opresult2291 = callmethod(opresult2290, "++(1)", 1, partcv, params);
// compiled op node returning opresult2291 (depth = 8)
  int op_slot_left_2263 = gc_frame_newslot(opresult2291);
  params[0] = strlit2264;
  partcv[0] = 1;
  Object opresult2292 = callmethod(opresult2291, "++(1)", 1, partcv, params);
// compiled op node returning opresult2292 (depth = 7)
  gc_frame_newslot(opresult2292);
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2293 = gc_frame_new();
// call case 4: self request
  Object call2294 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2293);
// compiled member node returning call2294 (depth = 7)
  gc_frame_newslot(call2294);
// Begin line 709
  setline(709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2295 = gc_frame_new();
// call case 4: self request
  Object call2296 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2295);
// compiled member node returning call2296 (depth = 7)
  gc_frame_newslot(call2296);
// starting to compile member node (depth = 7)
  int callframe2297 = gc_frame_new();
// call case 4: self request
  Object call2298 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2297);
// compiled member node returning call2298 (depth = 7)
  gc_frame_newslot(call2298);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult2292;
  params[1] = call2294;
  params[2] = call2296;
  params[3] = call2298;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2299 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2262);
// compiled call node returning call2299 (depth = 6)
    gc_frame_newslot(call2299);
    if2125 = call2299;
  }
// compiled if node returning if2125 (depth = 5)
    gc_frame_newslot(if2125);
    if2099 = if2125;
  } else {
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block2302 = alloc_Block(NULL, NULL, "lexer", 711);
  gc_frame_newslot(block2302);
// method "_apply"
  block_savedest(block2302);
  Object closure2303 = createclosure(2, "_apply");
  setclosureframe(closure2303, stackframe);
  addtoclosure(closure2303, var_mode);
  addtoclosure(closure2303, selfslot);
  struct UserObject *uo2303 = (struct UserObject*)block2302;
  uo2303->data[0] = (Object)closure2303;
  Method *meth_meth_lexer__apply2303 = addmethod2pos(block2302, "_apply", &meth_lexer__apply2303, 0);
  int argcv_meth_lexer__apply2303[] = {0};
  meth_meth_lexer__apply2303->type = alloc_MethodType(1, argcv_meth_lexer__apply2303);
  meth_meth_lexer__apply2303->definitionModule = modulename;
  meth_meth_lexer__apply2303->definitionLine = 1119;
// compiled block node returning block2302 (depth = 7)
  int op_slot_right_2301 = gc_frame_newslot(block2302);
// starting to compile call node (depth = 7)
  int callframe2310 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2311 = gc_frame_new();
// call case 3: self.outer request
  Object call2312 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2311);
// compiled member node returning call2312 (depth = 8)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2313 = callmethodflags(call2312, "isBadControl(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2310);
// compiled call node returning call2313 (depth = 7)
  int op_slot_left_2301 = gc_frame_newslot(call2313);
  params[0] = block2302;
  partcv[0] = 1;
  Object opresult2314 = callmethod(call2313, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2314 (depth = 6)
  Object if2300 = done;
  if (istrue(opresult2314)) {
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2315 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2316 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call2317 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2316);
// compiled member node returning call2317 (depth = 8)
  Object call2318 = callmethodflags(call2317, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2315);
// compiled member node returning call2318 (depth = 7)
  *var_suggestion = call2318;
  if (call2318 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 715
  setline(715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_inStr (depth = 7)
  Object if2319 = done;
  if (istrue(*var_inStr)) {
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2320 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe2321 = gc_frame_new();
// call case 4: self request
  Object call2322 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2321);
// compiled member node returning call2322 (depth = 8)
  gc_frame_newslot(call2322);
// starting to compile member node (depth = 8)
  int callframe2323 = gc_frame_new();
// call case 4: self request
  Object call2324 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2323);
// compiled member node returning call2324 (depth = 8)
  gc_frame_newslot(call2324);
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2326 == NULL) {
    strlit2326 = alloc_String("");
    gc_root(strlit2326);
  }
// compiled string node returning strlit2326 (depth = 9)
  int op_slot_right_2325 = gc_frame_newslot(strlit2326);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2329 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2330 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2331 = alloc_Float64(16);
// compiled num node returning num2331 (depth = 12)
  gc_frame_newslot(num2331);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2331;
  partcv[0] = 1;
  Object call2332 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2330);
// compiled call node returning call2332 (depth = 11)
  gc_frame_newslot(call2332);
// starting to compile num node (depth = 11)
  Object num2333 = alloc_Float64(4);
// compiled num node returning num2333 (depth = 11)
  gc_frame_newslot(num2333);
// starting to compile string node (depth = 11)
  if (strlit2334 == NULL) {
    strlit2334 = alloc_String("0");
    gc_root(strlit2334);
  }
// compiled string node returning strlit2334 (depth = 11)
  gc_frame_newslot(strlit2334);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2335 = gc_frame_new();
// call case 3: self.outer request
  Object call2336 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2335);
// compiled member node returning call2336 (depth = 11)
  params[0] = call2332;
  params[1] = num2333;
  params[2] = strlit2334;
  partcv[0] = 3;
  Object call2337 = callmethodflags(call2336, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2329);
// compiled call node returning call2337 (depth = 10)
  int op_slot_right_2328 = gc_frame_newslot(call2337);
// starting to compile string node (depth = 10)
  if (strlit2339 == NULL) {
    strlit2339 = alloc_String("\\u");
    gc_root(strlit2339);
  }
// compiled string node returning strlit2339 (depth = 10)
  int op_slot_left_2328 = gc_frame_newslot(strlit2339);
  params[0] = call2337;
  partcv[0] = 1;
  Object opresult2340 = callmethod(strlit2339, "++(1)", 1, partcv, params);
// compiled op node returning opresult2340 (depth = 9)
  int op_slot_left_2325 = gc_frame_newslot(opresult2340);
  params[0] = strlit2326;
  partcv[0] = 1;
  Object opresult2341 = callmethod(opresult2340, "++(1)", 1, partcv, params);
// compiled op node returning opresult2341 (depth = 8)
  gc_frame_newslot(opresult2341);
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2342 = gc_frame_new();
// call case 4: self request
  Object call2343 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2342);
// compiled member node returning call2343 (depth = 8)
  gc_frame_newslot(call2343);
// call case 6: other requests
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = call2322;
  params[1] = call2324;
  params[2] = opresult2341;
  params[3] = call2343;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2344 = callmethodflags(*var_suggestion, "replaceRange(2)with(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2320);
// compiled call node returning call2344 (depth = 7)
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2345 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2347 == NULL) {
    strlit2347 = alloc_String(" instead");
    gc_root(strlit2347);
  }
// compiled string node returning strlit2347 (depth = 9)
  int op_slot_right_2346 = gc_frame_newslot(strlit2347);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 723
  setline(723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2350 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2351 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2352 = alloc_Float64(16);
// compiled num node returning num2352 (depth = 12)
  gc_frame_newslot(num2352);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2352;
  partcv[0] = 1;
  Object call2353 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2351);
// compiled call node returning call2353 (depth = 11)
  gc_frame_newslot(call2353);
// starting to compile num node (depth = 11)
  Object num2354 = alloc_Float64(4);
// compiled num node returning num2354 (depth = 11)
  gc_frame_newslot(num2354);
// starting to compile string node (depth = 11)
  if (strlit2355 == NULL) {
    strlit2355 = alloc_String("0");
    gc_root(strlit2355);
  }
// compiled string node returning strlit2355 (depth = 11)
  gc_frame_newslot(strlit2355);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2356 = gc_frame_new();
// call case 3: self.outer request
  Object call2357 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2356);
// compiled member node returning call2357 (depth = 11)
  params[0] = call2353;
  params[1] = num2354;
  params[2] = strlit2355;
  partcv[0] = 3;
  Object call2358 = callmethodflags(call2357, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2350);
// compiled call node returning call2358 (depth = 10)
  int op_slot_right_2349 = gc_frame_newslot(call2358);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit2361 == NULL) {
    strlit2361 = alloc_String("use the Unicode escape \\u");
    gc_root(strlit2361);
  }
// compiled string node returning strlit2361 (depth = 11)
  int op_slot_right_2360 = gc_frame_newslot(strlit2361);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 12)
  if (strlit2364 == NULL) {
    strlit2364 = alloc_String("written in the source code; ");
    gc_root(strlit2364);
  }
// compiled string node returning strlit2364 (depth = 12)
  int op_slot_right_2363 = gc_frame_newslot(strlit2364);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 13)
  if (strlit2367 == NULL) {
    strlit2367 = alloc_String("is a control character and cannot be ");
    gc_root(strlit2367);
  }
// compiled string node returning strlit2367 (depth = 13)
  int op_slot_right_2366 = gc_frame_newslot(strlit2367);
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2370 == NULL) {
    strlit2370 = alloc_String(") ");
    gc_root(strlit2370);
  }
// compiled string node returning strlit2370 (depth = 14)
  int op_slot_right_2369 = gc_frame_newslot(strlit2370);
// starting to compile op node (depth = 14)
// starting to compile call node (depth = 15)
  int callframe2373 = gc_frame_new();
// starting to compile call node (depth = 16)
  int callframe2374 = gc_frame_new();
// starting to compile num node (depth = 17)
  Object num2375 = alloc_Float64(16);
// compiled num node returning num2375 (depth = 17)
  gc_frame_newslot(num2375);
// call case 6: other requests
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_ordval (depth = 17)
  params[0] = num2375;
  partcv[0] = 1;
  Object call2376 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2374);
// compiled call node returning call2376 (depth = 16)
  gc_frame_newslot(call2376);
// starting to compile num node (depth = 16)
  Object num2377 = alloc_Float64(4);
// compiled num node returning num2377 (depth = 16)
  gc_frame_newslot(num2377);
// starting to compile string node (depth = 16)
  if (strlit2378 == NULL) {
    strlit2378 = alloc_String("0");
    gc_root(strlit2378);
  }
// compiled string node returning strlit2378 (depth = 16)
  gc_frame_newslot(strlit2378);
// call case 6: other requests
// starting to compile member node (depth = 16)
  int callframe2379 = gc_frame_new();
// call case 3: self.outer request
  Object call2380 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2379);
// compiled member node returning call2380 (depth = 16)
  params[0] = call2376;
  params[1] = num2377;
  params[2] = strlit2378;
  partcv[0] = 3;
  Object call2381 = callmethodflags(call2380, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2373);
// compiled call node returning call2381 (depth = 15)
  int op_slot_right_2372 = gc_frame_newslot(call2381);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit2384 == NULL) {
    strlit2384 = alloc_String(" (U+");
    gc_root(strlit2384);
  }
// compiled string node returning strlit2384 (depth = 16)
  int op_slot_right_2383 = gc_frame_newslot(strlit2384);
// starting to compile op node (depth = 16)
// starting to compile call node (depth = 17)
  int callframe2387 = gc_frame_new();
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_c (depth = 18)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_unicode (depth = 18)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2388 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2387);
// compiled call node returning call2388 (depth = 17)
  int op_slot_right_2386 = gc_frame_newslot(call2388);
// starting to compile string node (depth = 17)
  if (strlit2390 == NULL) {
    strlit2390 = alloc_String("");
    gc_root(strlit2390);
  }
// compiled string node returning strlit2390 (depth = 17)
  int op_slot_left_2386 = gc_frame_newslot(strlit2390);
  params[0] = call2388;
  partcv[0] = 1;
  Object opresult2391 = callmethod(strlit2390, "++(1)", 1, partcv, params);
// compiled op node returning opresult2391 (depth = 16)
  int op_slot_left_2383 = gc_frame_newslot(opresult2391);
  params[0] = strlit2384;
  partcv[0] = 1;
  Object opresult2392 = callmethod(opresult2391, "++(1)", 1, partcv, params);
// compiled op node returning opresult2392 (depth = 15)
  int op_slot_left_2372 = gc_frame_newslot(opresult2392);
  params[0] = call2381;
  partcv[0] = 1;
  Object opresult2393 = callmethod(opresult2392, "++(1)", 1, partcv, params);
// compiled op node returning opresult2393 (depth = 14)
  int op_slot_left_2369 = gc_frame_newslot(opresult2393);
  params[0] = strlit2370;
  partcv[0] = 1;
  Object opresult2394 = callmethod(opresult2393, "++(1)", 1, partcv, params);
// compiled op node returning opresult2394 (depth = 13)
  int op_slot_left_2366 = gc_frame_newslot(opresult2394);
  params[0] = strlit2367;
  partcv[0] = 1;
  Object opresult2395 = callmethod(opresult2394, "++(1)", 1, partcv, params);
// compiled op node returning opresult2395 (depth = 12)
  int op_slot_left_2363 = gc_frame_newslot(opresult2395);
  params[0] = strlit2364;
  partcv[0] = 1;
  Object opresult2396 = callmethod(opresult2395, "++(1)", 1, partcv, params);
// compiled op node returning opresult2396 (depth = 11)
  int op_slot_left_2360 = gc_frame_newslot(opresult2396);
  params[0] = strlit2361;
  partcv[0] = 1;
  Object opresult2397 = callmethod(opresult2396, "++(1)", 1, partcv, params);
// compiled op node returning opresult2397 (depth = 10)
  int op_slot_left_2349 = gc_frame_newslot(opresult2397);
  params[0] = call2358;
  partcv[0] = 1;
  Object opresult2398 = callmethod(opresult2397, "++(1)", 1, partcv, params);
// compiled op node returning opresult2398 (depth = 9)
  int op_slot_left_2346 = gc_frame_newslot(opresult2398);
  params[0] = strlit2347;
  partcv[0] = 1;
  Object opresult2399 = callmethod(opresult2398, "++(1)", 1, partcv, params);
// compiled op node returning opresult2399 (depth = 8)
  gc_frame_newslot(opresult2399);
// Begin line 725
  setline(725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2400 = gc_frame_new();
// call case 4: self request
  Object call2401 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2400);
// compiled member node returning call2401 (depth = 8)
  gc_frame_newslot(call2401);
// starting to compile member node (depth = 8)
  int callframe2402 = gc_frame_new();
// call case 4: self request
  Object call2403 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2402);
// compiled member node returning call2403 (depth = 8)
  gc_frame_newslot(call2403);
// starting to compile member node (depth = 8)
  int callframe2404 = gc_frame_new();
// call case 4: self request
  Object call2405 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2404);
// compiled member node returning call2405 (depth = 8)
  gc_frame_newslot(call2405);
// Begin line 726
  setline(726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2399;
  params[1] = call2401;
  params[2] = call2403;
  params[3] = call2405;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2406 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2345);
// compiled call node returning call2406 (depth = 7)
    gc_frame_newslot(call2406);
    if2319 = call2406;
  } else {
  }
// compiled if node returning if2319 (depth = 6)
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2407 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe2408 = gc_frame_new();
// call case 4: self request
  Object call2409 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2408);
// compiled member node returning call2409 (depth = 7)
  gc_frame_newslot(call2409);
// starting to compile member node (depth = 7)
  int callframe2410 = gc_frame_new();
// call case 4: self request
  Object call2411 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2410);
// compiled member node returning call2411 (depth = 7)
  gc_frame_newslot(call2411);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = call2409;
  params[1] = call2411;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2412 = callmethodflags(*var_suggestion, "deleteChar(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2407);
// compiled call node returning call2412 (depth = 6)
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2413 = gc_frame_new();
// starting to compile op node (depth = 7)
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2415 == NULL) {
    strlit2415 = alloc_String("is a control character and cannot be written in the source code; consider using spaces instead.");
    gc_root(strlit2415);
  }
// compiled string node returning strlit2415 (depth = 8)
  int op_slot_right_2414 = gc_frame_newslot(strlit2415);
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2418 == NULL) {
    strlit2418 = alloc_String(") ");
    gc_root(strlit2418);
  }
// compiled string node returning strlit2418 (depth = 9)
  int op_slot_right_2417 = gc_frame_newslot(strlit2418);
// starting to compile op node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2421 = gc_frame_new();
// starting to compile call node (depth = 11)
  int callframe2422 = gc_frame_new();
// starting to compile num node (depth = 12)
  Object num2423 = alloc_Float64(16);
// compiled num node returning num2423 (depth = 12)
  gc_frame_newslot(num2423);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  params[0] = num2423;
  partcv[0] = 1;
  Object call2424 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2422);
// compiled call node returning call2424 (depth = 11)
  gc_frame_newslot(call2424);
// starting to compile num node (depth = 11)
  Object num2425 = alloc_Float64(4);
// compiled num node returning num2425 (depth = 11)
  gc_frame_newslot(num2425);
// starting to compile string node (depth = 11)
  if (strlit2426 == NULL) {
    strlit2426 = alloc_String("0");
    gc_root(strlit2426);
  }
// compiled string node returning strlit2426 (depth = 11)
  gc_frame_newslot(strlit2426);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2427 = gc_frame_new();
// call case 3: self.outer request
  Object call2428 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2427);
// compiled member node returning call2428 (depth = 11)
  params[0] = call2424;
  params[1] = num2425;
  params[2] = strlit2426;
  partcv[0] = 3;
  Object call2429 = callmethodflags(call2428, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2421);
// compiled call node returning call2429 (depth = 10)
  int op_slot_right_2420 = gc_frame_newslot(call2429);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2432 == NULL) {
    strlit2432 = alloc_String(" (U+");
    gc_root(strlit2432);
  }
// compiled string node returning strlit2432 (depth = 11)
  int op_slot_right_2431 = gc_frame_newslot(strlit2432);
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe2435 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2436 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2435);
// compiled call node returning call2436 (depth = 12)
  int op_slot_right_2434 = gc_frame_newslot(call2436);
// starting to compile string node (depth = 12)
  if (strlit2438 == NULL) {
    strlit2438 = alloc_String("");
    gc_root(strlit2438);
  }
// compiled string node returning strlit2438 (depth = 12)
  int op_slot_left_2434 = gc_frame_newslot(strlit2438);
  params[0] = call2436;
  partcv[0] = 1;
  Object opresult2439 = callmethod(strlit2438, "++(1)", 1, partcv, params);
// compiled op node returning opresult2439 (depth = 11)
  int op_slot_left_2431 = gc_frame_newslot(opresult2439);
  params[0] = strlit2432;
  partcv[0] = 1;
  Object opresult2440 = callmethod(opresult2439, "++(1)", 1, partcv, params);
// compiled op node returning opresult2440 (depth = 10)
  int op_slot_left_2420 = gc_frame_newslot(opresult2440);
  params[0] = call2429;
  partcv[0] = 1;
  Object opresult2441 = callmethod(opresult2440, "++(1)", 1, partcv, params);
// compiled op node returning opresult2441 (depth = 9)
  int op_slot_left_2417 = gc_frame_newslot(opresult2441);
  params[0] = strlit2418;
  partcv[0] = 1;
  Object opresult2442 = callmethod(opresult2441, "++(1)", 1, partcv, params);
// compiled op node returning opresult2442 (depth = 8)
  int op_slot_left_2414 = gc_frame_newslot(opresult2442);
  params[0] = strlit2415;
  partcv[0] = 1;
  Object opresult2443 = callmethod(opresult2442, "++(1)", 1, partcv, params);
// compiled op node returning opresult2443 (depth = 7)
  gc_frame_newslot(opresult2443);
// Begin line 730
  setline(730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2444 = gc_frame_new();
// call case 4: self request
  Object call2445 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2444);
// compiled member node returning call2445 (depth = 7)
  gc_frame_newslot(call2445);
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2446 = gc_frame_new();
// call case 4: self request
  Object call2447 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2446);
// compiled member node returning call2447 (depth = 7)
  gc_frame_newslot(call2447);
// starting to compile member node (depth = 7)
  int callframe2448 = gc_frame_new();
// call case 4: self request
  Object call2449 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2448);
// compiled member node returning call2449 (depth = 7)
  gc_frame_newslot(call2449);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult2443;
  params[1] = call2445;
  params[2] = call2447;
  params[3] = call2449;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2450 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2413);
// compiled call node returning call2450 (depth = 6)
    gc_frame_newslot(call2450);
    if2300 = call2450;
  } else {
  }
// compiled if node returning if2300 (depth = 5)
    gc_frame_newslot(if2300);
    if2099 = if2300;
  }
// compiled if node returning if2099 (depth = 4)
// Begin line 733
  setline(733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_atStart (depth = 5)
  Object if2451 = done;
  if (istrue(*var_atStart)) {
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2454 = alloc_Float64(1);
// compiled num node returning num2454 (depth = 7)
  int op_slot_right_2453 = gc_frame_newslot(num2454);
// starting to compile member node (depth = 7)
  int callframe2456 = gc_frame_new();
// call case 4: self request
  Object call2457 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2456);
// compiled member node returning call2457 (depth = 7)
  int op_slot_left_2453 = gc_frame_newslot(call2457);
  params[0] = num2454;
  partcv[0] = 1;
  Object opresult2458 = callmethod(call2457, "==(1)", 1, partcv, params);
// compiled op node returning opresult2458 (depth = 6)
  Object if2452 = done;
  if (istrue(opresult2458)) {
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2461 == NULL) {
    strlit2461 = alloc_String("#");
    gc_root(strlit2461);
  }
// compiled string node returning strlit2461 (depth = 8)
  int op_slot_right_2460 = gc_frame_newslot(strlit2461);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2460 = gc_frame_newslot(*var_c);
  params[0] = strlit2461;
  partcv[0] = 1;
  Object opresult2463 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2463 (depth = 7)
  Object if2459 = done;
  if (istrue(opresult2463)) {
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2464 == NULL) {
    strlit2464 = alloc_String("p");
    gc_root(strlit2464);
  }
// compiled string node returning strlit2464 (depth = 8)
  *var_mode = strlit2464;
  if (strlit2464 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2459 = done;
  } else {
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2467 = alloc_Boolean(0);
// compiled identifier node returning bool2467 (depth = 8)
  *var_atStart = bool2467;
  if (bool2467 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2459 = done;
  }
// compiled if node returning if2459 (depth = 6)
    gc_frame_newslot(if2459);
    if2452 = if2459;
  } else {
  }
// compiled if node returning if2452 (depth = 5)
    gc_frame_newslot(if2452);
    if2451 = if2452;
  } else {
  }
// compiled if node returning if2451 (depth = 4)
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_inStr (depth = 5)
  Object if2469 = done;
  if (istrue(*var_inStr)) {
    gc_frame_newslot(done);
    if2469 = done;
  } else {
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2473 == NULL) {
    strlit2473 = alloc_String("p");
    gc_root(strlit2473);
  }
// compiled string node returning strlit2473 (depth = 8)
  int op_slot_right_2472 = gc_frame_newslot(strlit2473);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2472 = gc_frame_newslot(*var_mode);
  params[0] = strlit2473;
  partcv[0] = 1;
  Object opresult2475 = callmethod(*var_mode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2475 (depth = 7)
  int op_slot_right_2471 = gc_frame_newslot(opresult2475);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2478 == NULL) {
    strlit2478 = alloc_String("c");
    gc_root(strlit2478);
  }
// compiled string node returning strlit2478 (depth = 8)
  int op_slot_right_2477 = gc_frame_newslot(strlit2478);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2477 = gc_frame_newslot(*var_mode);
  params[0] = strlit2478;
  partcv[0] = 1;
  Object opresult2480 = callmethod(*var_mode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2480 (depth = 7)
  int op_slot_left_2471 = gc_frame_newslot(opresult2480);
  params[0] = opresult2475;
  partcv[0] = 1;
  Object opresult2481 = callmethod(opresult2480, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2481 (depth = 6)
  Object if2470 = done;
  if (istrue(opresult2481)) {
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2485 == NULL) {
    strlit2485 = alloc_String("d");
    gc_root(strlit2485);
  }
// compiled string node returning strlit2485 (depth = 9)
  int op_slot_right_2484 = gc_frame_newslot(strlit2485);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2484 = gc_frame_newslot(*var_mode);
  params[0] = strlit2485;
  partcv[0] = 1;
  Object opresult2487 = callmethod(*var_mode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2487 (depth = 8)
  int op_slot_right_2483 = gc_frame_newslot(opresult2487);
// starting to compile call node (depth = 8)
  int callframe2489 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_spaceChars (depth = 9)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2490 = callmethodflags(*var_spaceChars, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2489);
// compiled call node returning call2490 (depth = 8)
  int op_slot_left_2483 = gc_frame_newslot(call2490);
  params[0] = opresult2487;
  partcv[0] = 1;
  Object opresult2491 = callmethod(call2490, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2491 (depth = 7)
  Object if2482 = done;
  if (istrue(opresult2491)) {
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2492 == NULL) {
    strlit2492 = alloc_String("n");
    gc_root(strlit2492);
  }
// compiled string node returning strlit2492 (depth = 8)
  *var_newmode = strlit2492;
  if (strlit2492 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2482 = done;
  } else {
  }
// compiled if node returning if2482 (depth = 6)
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2496 == NULL) {
    strlit2496 = alloc_String("""\x22""");
    gc_root(strlit2496);
  }
// compiled string node returning strlit2496 (depth = 8)
  int op_slot_right_2495 = gc_frame_newslot(strlit2496);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2495 = gc_frame_newslot(*var_c);
  params[0] = strlit2496;
  partcv[0] = 1;
  Object opresult2498 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2498 (depth = 7)
  Object if2494 = done;
  if (istrue(opresult2498)) {
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2499 == NULL) {
    strlit2499 = alloc_String("""\x22""");
    gc_root(strlit2499);
  }
// compiled string node returning strlit2499 (depth = 8)
  *var_newmode = strlit2499;
  if (strlit2499 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2501 = alloc_Boolean(1);
// compiled identifier node returning bool2501 (depth = 8)
  *var_inStr = bool2501;
  if (bool2501 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2503 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe2504 = gc_frame_new();
// call case 4: self request
  Object call2505 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2504);
// compiled member node returning call2505 (depth = 8)
  gc_frame_newslot(call2505);
// call case 4: self request
  params[0] = call2505;
  partcv[0] = 1;
  Object call2506 = callmethodflags(self, "stringStart:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2503);
// compiled call node returning call2506 (depth = 7)
    gc_frame_newslot(call2506);
    if2494 = call2506;
  } else {
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2509 == NULL) {
    strlit2509 = alloc_String("""\xe2""""\x80""""\xb9""");
    gc_root(strlit2509);
  }
// compiled string node returning strlit2509 (depth = 9)
  int op_slot_right_2508 = gc_frame_newslot(strlit2509);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_2508 = gc_frame_newslot(*var_c);
  params[0] = strlit2509;
  partcv[0] = 1;
  Object opresult2511 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2511 (depth = 8)
  Object if2507 = done;
  if (istrue(opresult2511)) {
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2512 == NULL) {
    strlit2512 = alloc_String("q");
    gc_root(strlit2512);
  }
// compiled string node returning strlit2512 (depth = 9)
  *var_newmode = strlit2512;
  if (strlit2512 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2514 = alloc_Boolean(1);
// compiled identifier node returning bool2514 (depth = 9)
  *var_inStr = bool2514;
  if (bool2514 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2516 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe2517 = gc_frame_new();
// call case 4: self request
  Object call2518 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2517);
// compiled member node returning call2518 (depth = 9)
  gc_frame_newslot(call2518);
// call case 4: self request
  params[0] = call2518;
  partcv[0] = 1;
  Object call2519 = callmethodflags(self, "startLine:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2516);
// compiled call node returning call2519 (depth = 8)
// Begin line 760
  setline(760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2520 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe2521 = gc_frame_new();
// call case 4: self request
  Object call2522 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2521);
// compiled member node returning call2522 (depth = 9)
  gc_frame_newslot(call2522);
// call case 4: self request
  params[0] = call2522;
  partcv[0] = 1;
  Object call2523 = callmethodflags(self, "stringStart:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2520);
// compiled call node returning call2523 (depth = 8)
    gc_frame_newslot(call2523);
    if2507 = call2523;
  } else {
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2525 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2526 = gc_frame_new();
// call case 3: self.outer request
  Object call2527 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2526);
// compiled member node returning call2527 (depth = 10)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2528 = callmethodflags(call2527, "isIdentifierChar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2525);
// compiled call node returning call2528 (depth = 9)
  Object if2524 = done;
  if (istrue(call2528)) {
// Begin line 762
  setline(762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2529 == NULL) {
    strlit2529 = alloc_String("i");
    gc_root(strlit2529);
  }
// compiled string node returning strlit2529 (depth = 10)
  *var_newmode = strlit2529;
  if (strlit2529 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2524 = done;
  } else {
  }
// compiled if node returning if2524 (depth = 8)
    gc_frame_newslot(if2524);
    if2507 = if2524;
  }
// compiled if node returning if2507 (depth = 7)
    gc_frame_newslot(if2507);
    if2494 = if2507;
  }
// compiled if node returning if2494 (depth = 6)
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2532 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2533 = gc_frame_new();
// call case 3: self.outer request
  Object call2534 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2533);
// compiled member node returning call2534 (depth = 8)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2535 = callmethodflags(call2534, "isDigit(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2532);
// compiled call node returning call2535 (depth = 7)
  Object if2531 = done;
  if (istrue(call2535)) {
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2538 == NULL) {
    strlit2538 = alloc_String("i");
    gc_root(strlit2538);
  }
// compiled string node returning strlit2538 (depth = 9)
  int op_slot_right_2537 = gc_frame_newslot(strlit2538);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2537 = gc_frame_newslot(*var_mode);
  params[0] = strlit2538;
  partcv[0] = 1;
  Object opresult2540 = callmethod(*var_mode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2540 (depth = 8)
  Object if2536 = done;
  if (istrue(opresult2540)) {
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2541 == NULL) {
    strlit2541 = alloc_String("m");
    gc_root(strlit2541);
  }
// compiled string node returning strlit2541 (depth = 9)
  *var_newmode = strlit2541;
  if (strlit2541 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2536 = done;
  } else {
  }
// compiled if node returning if2536 (depth = 7)
    gc_frame_newslot(if2536);
    if2531 = if2536;
  } else {
  }
// compiled if node returning if2531 (depth = 6)
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2545 == NULL) {
    strlit2545 = alloc_String("m");
    gc_root(strlit2545);
  }
// compiled string node returning strlit2545 (depth = 8)
  int op_slot_right_2544 = gc_frame_newslot(strlit2545);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2544 = gc_frame_newslot(*var_mode);
  params[0] = strlit2545;
  partcv[0] = 1;
  Object opresult2547 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2547 (depth = 7)
  Object if2543 = done;
  if (istrue(opresult2547)) {
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2549 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2550 = gc_frame_new();
// call case 3: self.outer request
  Object call2551 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2550);
// compiled member node returning call2551 (depth = 9)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2552 = callmethodflags(call2551, "isLetter(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2549);
// compiled call node returning call2552 (depth = 8)
  Object if2548 = done;
  if (istrue(call2552)) {
// Begin line 773
  setline(773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2553 == NULL) {
    strlit2553 = alloc_String("m");
    gc_root(strlit2553);
  }
// compiled string node returning strlit2553 (depth = 9)
  *var_newmode = strlit2553;
  if (strlit2553 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2548 = done;
  } else {
  }
// compiled if node returning if2548 (depth = 7)
    gc_frame_newslot(if2548);
    if2543 = if2548;
  } else {
  }
// compiled if node returning if2543 (depth = 6)
// Begin line 776
  setline(776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2557 == NULL) {
    strlit2557 = alloc_String("<");
    gc_root(strlit2557);
  }
// compiled string node returning strlit2557 (depth = 8)
  int op_slot_right_2556 = gc_frame_newslot(strlit2557);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2556 = gc_frame_newslot(*var_c);
  params[0] = strlit2557;
  partcv[0] = 1;
  Object opresult2559 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2559 (depth = 7)
  Object if2555 = done;
  if (istrue(opresult2559)) {
// Begin line 777
  setline(777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2562 == NULL) {
    strlit2562 = alloc_String("i");
    gc_root(strlit2562);
  }
// compiled string node returning strlit2562 (depth = 9)
  int op_slot_right_2561 = gc_frame_newslot(strlit2562);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2561 = gc_frame_newslot(*var_mode);
  params[0] = strlit2562;
  partcv[0] = 1;
  Object opresult2564 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2564 (depth = 8)
  Object if2560 = done;
  if (istrue(opresult2564)) {
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2565 == NULL) {
    strlit2565 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit2565);
  }
// compiled string node returning strlit2565 (depth = 9)
  *var_newmode = strlit2565;
  if (strlit2565 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2560 = done;
  } else {
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2570 == NULL) {
    strlit2570 = alloc_String("op");
    gc_root(strlit2570);
  }
// compiled string node returning strlit2570 (depth = 11)
  int op_slot_right_2569 = gc_frame_newslot(strlit2570);
// starting to compile member node (depth = 11)
  int callframe2572 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2573 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tokens (depth = 13)
  Object call2574 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2573);
// compiled member node returning call2574 (depth = 12)
  Object call2575 = callmethodflags(call2574, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2572);
// compiled member node returning call2575 (depth = 11)
  int op_slot_left_2569 = gc_frame_newslot(call2575);
  params[0] = strlit2570;
  partcv[0] = 1;
  Object opresult2576 = callmethod(call2575, "==(1)", 1, partcv, params);
// compiled op node returning opresult2576 (depth = 10)
  int op_slot_right_2568 = gc_frame_newslot(opresult2576);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2579 == NULL) {
    strlit2579 = alloc_String("n");
    gc_root(strlit2579);
  }
// compiled string node returning strlit2579 (depth = 11)
  int op_slot_right_2578 = gc_frame_newslot(strlit2579);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  int op_slot_left_2578 = gc_frame_newslot(*var_mode);
  params[0] = strlit2579;
  partcv[0] = 1;
  Object opresult2581 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2581 (depth = 10)
  int op_slot_left_2568 = gc_frame_newslot(opresult2581);
  params[0] = opresult2576;
  partcv[0] = 1;
  Object opresult2582 = callmethod(opresult2581, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2582 (depth = 9)
  Object if2567 = done;
  if (istrue(opresult2582)) {
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2583 == NULL) {
    strlit2583 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit2583);
  }
// compiled string node returning strlit2583 (depth = 10)
  *var_newmode = strlit2583;
  if (strlit2583 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2567 = done;
  } else {
// Begin line 782
  setline(782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2585 == NULL) {
    strlit2585 = alloc_String("o");
    gc_root(strlit2585);
  }
// compiled string node returning strlit2585 (depth = 10)
  *var_newmode = strlit2585;
  if (strlit2585 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2567 = done;
  }
// compiled if node returning if2567 (depth = 8)
    gc_frame_newslot(if2567);
    if2560 = if2567;
  }
// compiled if node returning if2560 (depth = 7)
    gc_frame_newslot(if2560);
    if2555 = if2560;
  } else {
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block2589 = alloc_Block(NULL, NULL, "lexer", 784);
  gc_frame_newslot(block2589);
// method "_apply"
  block_savedest(block2589);
  Object closure2590 = createclosure(2, "_apply");
  setclosureframe(closure2590, stackframe);
  addtoclosure(closure2590, var_mode);
  addtoclosure(closure2590, selfslot);
  struct UserObject *uo2590 = (struct UserObject*)block2589;
  uo2590->data[0] = (Object)closure2590;
  Method *meth_meth_lexer__apply2590 = addmethod2pos(block2589, "_apply", &meth_lexer__apply2590, 0);
  int argcv_meth_lexer__apply2590[] = {0};
  meth_meth_lexer__apply2590->type = alloc_MethodType(1, argcv_meth_lexer__apply2590);
  meth_meth_lexer__apply2590->definitionModule = modulename;
  meth_meth_lexer__apply2590->definitionLine = 1119;
// compiled block node returning block2589 (depth = 9)
  int op_slot_right_2588 = gc_frame_newslot(block2589);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2605 == NULL) {
    strlit2605 = alloc_String(">");
    gc_root(strlit2605);
  }
// compiled string node returning strlit2605 (depth = 10)
  int op_slot_right_2604 = gc_frame_newslot(strlit2605);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_2604 = gc_frame_newslot(*var_c);
  params[0] = strlit2605;
  partcv[0] = 1;
  Object opresult2607 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2607 (depth = 9)
  int op_slot_left_2588 = gc_frame_newslot(opresult2607);
  params[0] = block2589;
  partcv[0] = 1;
  Object opresult2608 = callmethod(opresult2607, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2608 (depth = 8)
  Object if2587 = done;
  if (istrue(opresult2608)) {
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2611 == NULL) {
    strlit2611 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit2611);
  }
// compiled string node returning strlit2611 (depth = 10)
  int op_slot_right_2610 = gc_frame_newslot(strlit2611);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  int op_slot_left_2610 = gc_frame_newslot(*var_mode);
  params[0] = strlit2611;
  partcv[0] = 1;
  Object opresult2613 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2613 (depth = 9)
  Object if2609 = done;
  if (istrue(opresult2613)) {
// Begin line 786
  setline(786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2614 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2615 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2614);
// compiled call node returning call2615 (depth = 9)
    gc_frame_newslot(call2615);
    if2609 = call2615;
  } else {
  }
// compiled if node returning if2609 (depth = 8)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2616 == NULL) {
    strlit2616 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit2616);
  }
// compiled string node returning strlit2616 (depth = 9)
  *var_newmode = strlit2616;
  if (strlit2616 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2587 = done;
  } else {
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2619 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ordval (depth = 10)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2620 = gc_frame_new();
// call case 3: self.outer request
  Object call2621 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2620);
// compiled member node returning call2621 (depth = 10)
  params[0] = *var_c;
  params[1] = *var_ordval;
  partcv[0] = 2;
  Object call2622 = callmethodflags(call2621, "isOperatorChar(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2619);
// compiled call node returning call2622 (depth = 9)
  Object if2618 = done;
  if (istrue(call2622)) {
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2623 == NULL) {
    strlit2623 = alloc_String("o");
    gc_root(strlit2623);
  }
// compiled string node returning strlit2623 (depth = 10)
  *var_newmode = strlit2623;
  if (strlit2623 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2618 = done;
  } else {
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2626 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2627 = gc_frame_new();
// call case 3: self.outer request
  Object call2628 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2627);
// compiled member node returning call2628 (depth = 11)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2629 = callmethodflags(call2628, "isSelfMode(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2626);
// compiled call node returning call2629 (depth = 10)
  Object if2625 = done;
  if (istrue(call2629)) {
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  *var_newmode = *var_c;
  if (*var_c == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if2625 = done;
  } else {
  }
// compiled if node returning if2625 (depth = 9)
    gc_frame_newslot(if2625);
    if2618 = if2625;
  }
// compiled if node returning if2618 (depth = 8)
    gc_frame_newslot(if2618);
    if2587 = if2618;
  }
// compiled if node returning if2587 (depth = 7)
    gc_frame_newslot(if2587);
    if2555 = if2587;
  }
// compiled if node returning if2555 (depth = 6)
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2633 == NULL) {
    strlit2633 = alloc_String("#");
    gc_root(strlit2633);
  }
// compiled string node returning strlit2633 (depth = 8)
  int op_slot_right_2632 = gc_frame_newslot(strlit2633);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2632 = gc_frame_newslot(*var_c);
  params[0] = strlit2633;
  partcv[0] = 1;
  Object opresult2635 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2635 (depth = 7)
  Object if2631 = done;
  if (istrue(opresult2635)) {
// Begin line 795
  setline(795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2638 == NULL) {
    strlit2638 = alloc_String("#pragma");
    gc_root(strlit2638);
  }
// compiled string node returning strlit2638 (depth = 9)
  int op_slot_right_2637 = gc_frame_newslot(strlit2638);
// starting to compile call node (depth = 9)
  int callframe2640 = gc_frame_new();
// starting to compile num node (depth = 10)
  Object num2641 = alloc_Float64(1);
// compiled num node returning num2641 (depth = 10)
  gc_frame_newslot(num2641);
// starting to compile num node (depth = 10)
  Object num2642 = alloc_Float64(7);
// compiled num node returning num2642 (depth = 10)
  gc_frame_newslot(num2642);
// call case 6: other requests
// starting to compile call node (depth = 10)
  int callframe2643 = gc_frame_new();
// starting to compile member node (depth = 11)
  int callframe2644 = gc_frame_new();
// call case 4: self request
  Object call2645 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2644);
// compiled member node returning call2645 (depth = 11)
  gc_frame_newslot(call2645);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2646 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_util (depth = 12)
  Object call2647 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe2646);
// compiled member node returning call2647 (depth = 11)
  params[0] = call2645;
  partcv[0] = 1;
  Object call2648 = callmethodflags(call2647, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2643);
// compiled call node returning call2648 (depth = 10)
  params[0] = num2641;
  params[1] = num2642;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2649 = callmethodflags(call2648, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2640);
// compiled call node returning call2649 (depth = 9)
  int op_slot_left_2637 = gc_frame_newslot(call2649);
  params[0] = strlit2638;
  partcv[0] = 1;
  Object opresult2650 = callmethod(call2649, "==(1)", 1, partcv, params);
// compiled op node returning opresult2650 (depth = 8)
  Object if2636 = done;
  if (istrue(opresult2650)) {
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_atStart (depth = 9)
  Object if2651 = done;
  if (istrue(*var_atStart)) {
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2652 == NULL) {
    strlit2652 = alloc_String("p");
    gc_root(strlit2652);
  }
// compiled string node returning strlit2652 (depth = 10)
  *var_mode = strlit2652;
  if (strlit2652 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 798
  setline(798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2654 == NULL) {
    strlit2654 = alloc_String("p");
    gc_root(strlit2654);
  }
// compiled string node returning strlit2654 (depth = 10)
  *var_newmode = strlit2654;
  if (strlit2654 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2651 = done;
  } else {
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2656 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2657 == NULL) {
    strlit2657 = alloc_String("pragmas must be at the start of the file.");
    gc_root(strlit2657);
  }
// compiled string node returning strlit2657 (depth = 10)
  gc_frame_newslot(strlit2657);
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe2658 = gc_frame_new();
// call case 4: self request
  Object call2659 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2658);
// compiled member node returning call2659 (depth = 10)
  gc_frame_newslot(call2659);
// call case 6: other requests
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2657;
  params[1] = call2659;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2660 = callmethodflags(*var_errormessages, "syntaxError(1)atLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2656);
// compiled call node returning call2660 (depth = 9)
    gc_frame_newslot(call2660);
    if2651 = call2660;
  }
// compiled if node returning if2651 (depth = 8)
    gc_frame_newslot(if2651);
    if2636 = if2651;
  } else {
  }
// compiled if node returning if2636 (depth = 7)
    gc_frame_newslot(if2636);
    if2631 = if2636;
  } else {
  }
// compiled if node returning if2631 (depth = 6)
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2663 == NULL) {
    strlit2663 = alloc_String(".");
    gc_root(strlit2663);
  }
// compiled string node returning strlit2663 (depth = 8)
  int op_slot_right_2662 = gc_frame_newslot(strlit2663);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2662 = gc_frame_newslot(*var_c);
  params[0] = strlit2663;
  partcv[0] = 1;
  Object opresult2665 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2665 (depth = 7)
  Object if2661 = done;
  if (istrue(opresult2665)) {
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2668 == NULL) {
    strlit2668 = alloc_String(".");
    gc_root(strlit2668);
  }
// compiled string node returning strlit2668 (depth = 9)
  int op_slot_right_2667 = gc_frame_newslot(strlit2668);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_2667 = gc_frame_newslot(*var_accum);
  params[0] = strlit2668;
  partcv[0] = 1;
  Object opresult2670 = callmethod(*var_accum, "==(1)", 1, partcv, params);
// compiled op node returning opresult2670 (depth = 8)
  Object if2666 = done;
  if (istrue(opresult2670)) {
// Begin line 808
  setline(808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2671 == NULL) {
    strlit2671 = alloc_String("o");
    gc_root(strlit2671);
  }
// compiled string node returning strlit2671 (depth = 9)
  *var_mode = strlit2671;
  if (strlit2671 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 809
  setline(809);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2666 = done;
  } else {
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 810
  setline(810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2676 == NULL) {
    strlit2676 = alloc_String("..");
    gc_root(strlit2676);
  }
// compiled string node returning strlit2676 (depth = 10)
  int op_slot_right_2675 = gc_frame_newslot(strlit2676);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  int op_slot_left_2675 = gc_frame_newslot(*var_accum);
  params[0] = strlit2676;
  partcv[0] = 1;
  Object opresult2678 = callmethod(*var_accum, "==(1)", 1, partcv, params);
// compiled op node returning opresult2678 (depth = 9)
  Object if2674 = done;
  if (istrue(opresult2678)) {
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2679 == NULL) {
    strlit2679 = alloc_String("n");
    gc_root(strlit2679);
  }
// compiled string node returning strlit2679 (depth = 10)
  *var_mode = strlit2679;
  if (strlit2679 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mode (depth = 10)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2682 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tokens (depth = 10)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 10)
  if (strlit2683 == NULL) {
    strlit2683 = alloc_String("i");
    gc_root(strlit2683);
  }
// compiled string node returning strlit2683 (depth = 10)
  gc_frame_newslot(strlit2683);
// starting to compile string node (depth = 10)
  if (strlit2684 == NULL) {
    strlit2684 = alloc_String("...");
    gc_root(strlit2684);
  }
// compiled string node returning strlit2684 (depth = 10)
  gc_frame_newslot(strlit2684);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2683;
  params[2] = strlit2684;
  partcv[0] = 3;
  Object call2685 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2682);
// compiled call node returning call2685 (depth = 9)
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2686 == NULL) {
    strlit2686 = alloc_String("");
    gc_root(strlit2686);
  }
// compiled string node returning strlit2686 (depth = 10)
  *var_accum = strlit2686;
  if (strlit2686 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2674 = done;
  } else {
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2688 == NULL) {
    strlit2688 = alloc_String(".");
    gc_root(strlit2688);
  }
// compiled string node returning strlit2688 (depth = 10)
  *var_newmode = strlit2688;
  if (strlit2688 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if2674 = done;
  }
// compiled if node returning if2674 (depth = 8)
    gc_frame_newslot(if2674);
    if2666 = if2674;
  }
// compiled if node returning if2666 (depth = 7)
    gc_frame_newslot(if2666);
    if2661 = if2666;
  } else {
  }
// compiled if node returning if2661 (depth = 6)
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2692 == NULL) {
    strlit2692 = alloc_String("/");
    gc_root(strlit2692);
  }
// compiled string node returning strlit2692 (depth = 8)
  int op_slot_right_2691 = gc_frame_newslot(strlit2692);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2691 = gc_frame_newslot(*var_c);
  params[0] = strlit2692;
  partcv[0] = 1;
  Object opresult2694 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2694 (depth = 7)
  Object if2690 = done;
  if (istrue(opresult2694)) {
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2697 == NULL) {
    strlit2697 = alloc_String("/");
    gc_root(strlit2697);
  }
// compiled string node returning strlit2697 (depth = 9)
  int op_slot_right_2696 = gc_frame_newslot(strlit2697);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_2696 = gc_frame_newslot(*var_accum);
  params[0] = strlit2697;
  partcv[0] = 1;
  Object opresult2699 = callmethod(*var_accum, "==(1)", 1, partcv, params);
// compiled op node returning opresult2699 (depth = 8)
  Object if2695 = done;
  if (istrue(opresult2699)) {
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2700 == NULL) {
    strlit2700 = alloc_String("c");
    gc_root(strlit2700);
  }
// compiled string node returning strlit2700 (depth = 9)
  *var_mode = strlit2700;
  if (strlit2700 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2695 = done;
  } else {
  }
// compiled if node returning if2695 (depth = 7)
    gc_frame_newslot(if2695);
    if2690 = if2695;
  } else {
  }
// compiled if node returning if2690 (depth = 6)
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2705 == NULL) {
    strlit2705 = alloc_String("n");
    gc_root(strlit2705);
  }
// compiled string node returning strlit2705 (depth = 8)
  int op_slot_right_2704 = gc_frame_newslot(strlit2705);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_mode (depth = 8)
  int op_slot_left_2704 = gc_frame_newslot(*var_mode);
  params[0] = strlit2705;
  partcv[0] = 1;
  Object opresult2707 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2707 (depth = 7)
  Object if2703 = done;
  if (istrue(opresult2707)) {
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newmode (depth = 9)
  int op_slot_right_2709 = gc_frame_newslot(*var_newmode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_2709 = gc_frame_newslot(*var_mode);
  params[0] = *var_newmode;
  partcv[0] = 1;
  Object opresult2711 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2711 (depth = 8)
  Object if2708 = done;
  if (istrue(opresult2711)) {
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2713 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 10)
  int callframe2714 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ordval (depth = 11)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unicode (depth = 11)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2715 = callmethodflags(*var_unicode, "isSeparator(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2714);
// compiled call node returning call2715 (depth = 10)
  Object call2716 = callmethodflags(call2715, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2713);
// compiled member node returning call2716 (depth = 9)
  Object if2712 = done;
  if (istrue(call2716)) {
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe2718 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 11)
  int callframe2719 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  gc_frame_newslot(*var_ordval);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_unicode (depth = 12)
  params[0] = *var_ordval;
  partcv[0] = 1;
  Object call2720 = callmethodflags(*var_unicode, "isControl(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2719);
// compiled call node returning call2720 (depth = 11)
  Object call2721 = callmethodflags(call2720, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2718);
// compiled member node returning call2721 (depth = 10)
  Object if2717 = done;
  if (istrue(call2721)) {
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2724 = alloc_Float64(10);
// compiled num node returning num2724 (depth = 12)
  int op_slot_right_2723 = gc_frame_newslot(num2724);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_ordval (depth = 12)
  int op_slot_left_2723 = gc_frame_newslot(*var_ordval);
  params[0] = num2724;
  partcv[0] = 1;
  Object opresult2726 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2726 (depth = 11)
  Object if2722 = done;
  if (istrue(opresult2726)) {
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num2729 = alloc_Float64(13);
// compiled num node returning num2729 (depth = 13)
  int op_slot_right_2728 = gc_frame_newslot(num2729);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_ordval (depth = 13)
  int op_slot_left_2728 = gc_frame_newslot(*var_ordval);
  params[0] = num2729;
  partcv[0] = 1;
  Object opresult2731 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2731 (depth = 12)
  Object if2727 = done;
  if (istrue(opresult2731)) {
// Begin line 833
  setline(833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile num node (depth = 14)
  Object num2734 = alloc_Float64(32);
// compiled num node returning num2734 (depth = 14)
  int op_slot_right_2733 = gc_frame_newslot(num2734);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_ordval (depth = 14)
  int op_slot_left_2733 = gc_frame_newslot(*var_ordval);
  params[0] = num2734;
  partcv[0] = 1;
  Object opresult2736 = callmethod(*var_ordval, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2736 (depth = 13)
  Object if2732 = done;
  if (istrue(opresult2736)) {
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2739 == NULL) {
    strlit2739 = alloc_String(".");
    gc_root(strlit2739);
  }
// compiled string node returning strlit2739 (depth = 15)
  int op_slot_right_2738 = gc_frame_newslot(strlit2739);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_2738 = gc_frame_newslot(*var_c);
  params[0] = strlit2739;
  partcv[0] = 1;
  Object opresult2741 = callmethod(*var_c, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2741 (depth = 14)
  Object if2737 = done;
  if (istrue(opresult2741)) {
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 14)
  int callframe2742 = gc_frame_new();
// starting to compile op node (depth = 15)
// Begin line 836
  setline(836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 16)
  if (strlit2744 == NULL) {
    strlit2744 = alloc_String("is not a valid character; use spaces instead.");
    gc_root(strlit2744);
  }
// compiled string node returning strlit2744 (depth = 16)
  int op_slot_right_2743 = gc_frame_newslot(strlit2744);
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit2747 == NULL) {
    strlit2747 = alloc_String(") ");
    gc_root(strlit2747);
  }
// compiled string node returning strlit2747 (depth = 17)
  int op_slot_right_2746 = gc_frame_newslot(strlit2747);
// starting to compile op node (depth = 17)
// starting to compile call node (depth = 18)
  int callframe2750 = gc_frame_new();
// starting to compile call node (depth = 19)
  int callframe2751 = gc_frame_new();
// starting to compile num node (depth = 20)
  Object num2752 = alloc_Float64(16);
// compiled num node returning num2752 (depth = 20)
  gc_frame_newslot(num2752);
// call case 6: other requests
// starting to compile identifier node (depth = 20)
// compiled identifier node returning *var_ordval (depth = 20)
  params[0] = num2752;
  partcv[0] = 1;
  Object call2753 = callmethodflags(*var_ordval, "inBase(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2751);
// compiled call node returning call2753 (depth = 19)
  gc_frame_newslot(call2753);
// starting to compile num node (depth = 19)
  Object num2754 = alloc_Float64(4);
// compiled num node returning num2754 (depth = 19)
  gc_frame_newslot(num2754);
// starting to compile string node (depth = 19)
  if (strlit2755 == NULL) {
    strlit2755 = alloc_String("0");
    gc_root(strlit2755);
  }
// compiled string node returning strlit2755 (depth = 19)
  gc_frame_newslot(strlit2755);
// call case 6: other requests
// starting to compile member node (depth = 19)
  int callframe2756 = gc_frame_new();
// call case 3: self.outer request
  Object call2757 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2756);
// compiled member node returning call2757 (depth = 19)
  params[0] = call2753;
  params[1] = num2754;
  params[2] = strlit2755;
  partcv[0] = 3;
  Object call2758 = callmethodflags(call2757, "padl(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2750);
// compiled call node returning call2758 (depth = 18)
  int op_slot_right_2749 = gc_frame_newslot(call2758);
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit2761 == NULL) {
    strlit2761 = alloc_String(" (U+");
    gc_root(strlit2761);
  }
// compiled string node returning strlit2761 (depth = 19)
  int op_slot_right_2760 = gc_frame_newslot(strlit2761);
// starting to compile op node (depth = 19)
// starting to compile call node (depth = 20)
  int callframe2764 = gc_frame_new();
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_c (depth = 21)
  gc_frame_newslot(*var_c);
// call case 6: other requests
// starting to compile identifier node (depth = 21)
// compiled identifier node returning *var_unicode (depth = 21)
  params[0] = *var_c;
  partcv[0] = 1;
  Object call2765 = callmethodflags(*var_unicode, "name(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2764);
// compiled call node returning call2765 (depth = 20)
  int op_slot_right_2763 = gc_frame_newslot(call2765);
// starting to compile string node (depth = 20)
  if (strlit2767 == NULL) {
    strlit2767 = alloc_String("");
    gc_root(strlit2767);
  }
// compiled string node returning strlit2767 (depth = 20)
  int op_slot_left_2763 = gc_frame_newslot(strlit2767);
  params[0] = call2765;
  partcv[0] = 1;
  Object opresult2768 = callmethod(strlit2767, "++(1)", 1, partcv, params);
// compiled op node returning opresult2768 (depth = 19)
  int op_slot_left_2760 = gc_frame_newslot(opresult2768);
  params[0] = strlit2761;
  partcv[0] = 1;
  Object opresult2769 = callmethod(opresult2768, "++(1)", 1, partcv, params);
// compiled op node returning opresult2769 (depth = 18)
  int op_slot_left_2749 = gc_frame_newslot(opresult2769);
  params[0] = call2758;
  partcv[0] = 1;
  Object opresult2770 = callmethod(opresult2769, "++(1)", 1, partcv, params);
// compiled op node returning opresult2770 (depth = 17)
  int op_slot_left_2746 = gc_frame_newslot(opresult2770);
  params[0] = strlit2747;
  partcv[0] = 1;
  Object opresult2771 = callmethod(opresult2770, "++(1)", 1, partcv, params);
// compiled op node returning opresult2771 (depth = 16)
  int op_slot_left_2743 = gc_frame_newslot(opresult2771);
  params[0] = strlit2744;
  partcv[0] = 1;
  Object opresult2772 = callmethod(opresult2771, "++(1)", 1, partcv, params);
// compiled op node returning opresult2772 (depth = 15)
  gc_frame_newslot(opresult2772);
// Begin line 837
  setline(837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 15)
  int callframe2773 = gc_frame_new();
// call case 4: self request
  Object call2774 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2773);
// compiled member node returning call2774 (depth = 15)
  gc_frame_newslot(call2774);
// starting to compile member node (depth = 15)
  int callframe2775 = gc_frame_new();
// call case 4: self request
  Object call2776 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2775);
// compiled member node returning call2776 (depth = 15)
  gc_frame_newslot(call2776);
// starting to compile member node (depth = 15)
  int callframe2777 = gc_frame_new();
// call case 4: self request
  Object call2778 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2777);
// compiled member node returning call2778 (depth = 15)
  gc_frame_newslot(call2778);
// call case 6: other requests
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_errormessages (depth = 15)
  params[0] = opresult2772;
  params[1] = call2774;
  params[2] = call2776;
  params[3] = call2778;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call2779 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe2742);
// compiled call node returning call2779 (depth = 14)
    gc_frame_newslot(call2779);
    if2737 = call2779;
  } else {
  }
// compiled if node returning if2737 (depth = 13)
    gc_frame_newslot(if2737);
    if2732 = if2737;
  } else {
  }
// compiled if node returning if2732 (depth = 12)
    gc_frame_newslot(if2732);
    if2727 = if2732;
  } else {
  }
// compiled if node returning if2727 (depth = 11)
    gc_frame_newslot(if2727);
    if2722 = if2727;
  } else {
  }
// compiled if node returning if2722 (depth = 10)
    gc_frame_newslot(if2722);
    if2717 = if2722;
  } else {
  }
// compiled if node returning if2717 (depth = 9)
    gc_frame_newslot(if2717);
    if2712 = if2717;
  } else {
  }
// compiled if node returning if2712 (depth = 8)
    gc_frame_newslot(if2712);
    if2708 = if2712;
  } else {
  }
// compiled if node returning if2708 (depth = 7)
    gc_frame_newslot(if2708);
    if2703 = if2708;
  } else {
  }
// compiled if node returning if2703 (depth = 6)
    gc_frame_newslot(if2703);
    if2470 = if2703;
  } else {
  }
// compiled if node returning if2470 (depth = 5)
    gc_frame_newslot(if2470);
    if2469 = if2470;
  }
// compiled if node returning if2469 (depth = 4)
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2782 == NULL) {
    strlit2782 = alloc_String("""\x22""");
    gc_root(strlit2782);
  }
// compiled string node returning strlit2782 (depth = 6)
  int op_slot_right_2781 = gc_frame_newslot(strlit2782);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_2781 = gc_frame_newslot(*var_mode);
  params[0] = strlit2782;
  partcv[0] = 1;
  Object opresult2784 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2784 (depth = 5)
  Object if2780 = done;
  if (istrue(opresult2784)) {
// Begin line 848
  setline(848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2787 == NULL) {
    strlit2787 = alloc_String("""\x22""");
    gc_root(strlit2787);
  }
// compiled string node returning strlit2787 (depth = 7)
  int op_slot_right_2786 = gc_frame_newslot(strlit2787);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  int op_slot_left_2786 = gc_frame_newslot(*var_c);
  params[0] = strlit2787;
  partcv[0] = 1;
  Object opresult2789 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2789 (depth = 6)
  Object if2785 = done;
  if (istrue(opresult2789)) {
// Begin line 849
  setline(849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2791 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_escaped (depth = 8)
  Object call2792 = callmethodflags(*var_escaped, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2791);
// compiled member node returning call2792 (depth = 7)
  Object if2790 = done;
  if (istrue(call2792)) {
// Begin line 851
  setline(851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2793 == NULL) {
    strlit2793 = alloc_String("n");
    gc_root(strlit2793);
  }
// compiled string node returning strlit2793 (depth = 8)
  *var_newmode = strlit2793;
  if (strlit2793 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 852
  setline(852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2795 = alloc_Boolean(0);
// compiled identifier node returning bool2795 (depth = 8)
  *var_inStr = bool2795;
  if (bool2795 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_interpString (depth = 8)
  Object if2797 = done;
  if (istrue(*var_interpString)) {
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2798 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2799 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2798);
// compiled call node returning call2799 (depth = 8)
// Begin line 855
  setline(855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2800 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 9)
  if (strlit2801 == NULL) {
    strlit2801 = alloc_String(")");
    gc_root(strlit2801);
  }
// compiled string node returning strlit2801 (depth = 9)
  gc_frame_newslot(strlit2801);
// starting to compile string node (depth = 9)
  if (strlit2802 == NULL) {
    strlit2802 = alloc_String(")");
    gc_root(strlit2802);
  }
// compiled string node returning strlit2802 (depth = 9)
  gc_frame_newslot(strlit2802);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2801;
  params[2] = strlit2802;
  partcv[0] = 3;
  Object call2803 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2800);
// compiled call node returning call2803 (depth = 8)
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_newmode (depth = 9)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool2805 = alloc_Boolean(0);
// compiled identifier node returning bool2805 (depth = 9)
  *var_interpString = bool2805;
  if (bool2805 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if2797 = done;
  } else {
  }
// compiled if node returning if2797 (depth = 7)
    gc_frame_newslot(if2797);
    if2790 = if2797;
  } else {
  }
// compiled if node returning if2790 (depth = 6)
    gc_frame_newslot(if2790);
    if2785 = if2790;
  } else {
  }
// compiled if node returning if2785 (depth = 5)
    gc_frame_newslot(if2785);
    if2780 = if2785;
  } else {
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2809 == NULL) {
    strlit2809 = alloc_String("q");
    gc_root(strlit2809);
  }
// compiled string node returning strlit2809 (depth = 7)
  int op_slot_right_2808 = gc_frame_newslot(strlit2809);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_2808 = gc_frame_newslot(*var_mode);
  params[0] = strlit2809;
  partcv[0] = 1;
  Object opresult2811 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2811 (depth = 6)
  Object if2807 = done;
  if (istrue(opresult2811)) {
// Begin line 862
  setline(862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2814 == NULL) {
    strlit2814 = alloc_String("""\xe2""""\x80""""\xba""");
    gc_root(strlit2814);
  }
// compiled string node returning strlit2814 (depth = 8)
  int op_slot_right_2813 = gc_frame_newslot(strlit2814);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2813 = gc_frame_newslot(*var_c);
  params[0] = strlit2814;
  partcv[0] = 1;
  Object opresult2816 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2816 (depth = 7)
  Object if2812 = done;
  if (istrue(opresult2816)) {
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2817 == NULL) {
    strlit2817 = alloc_String("n");
    gc_root(strlit2817);
  }
// compiled string node returning strlit2817 (depth = 8)
  *var_newmode = strlit2817;
  if (strlit2817 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 865
  setline(865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2819 = alloc_Boolean(0);
// compiled identifier node returning bool2819 (depth = 8)
  *var_inStr = bool2819;
  if (bool2819 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2812 = done;
  } else {
  }
// compiled if node returning if2812 (depth = 6)
    gc_frame_newslot(if2812);
    if2807 = if2812;
  } else {
  }
// compiled if node returning if2807 (depth = 5)
    gc_frame_newslot(if2807);
    if2780 = if2807;
  }
// compiled if node returning if2780 (depth = 4)
// Begin line 868
  setline(868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_right_2822 = gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newmode (depth = 6)
  int op_slot_left_2822 = gc_frame_newslot(*var_newmode);
  params[0] = *var_mode;
  partcv[0] = 1;
  Object opresult2824 = callmethod(*var_newmode, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2824 (depth = 5)
  Object if2821 = done;
  if (istrue(opresult2824)) {
// Begin line 871
  setline(871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2825 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2826 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2825);
// compiled call node returning call2826 (depth = 5)
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2829 = alloc_Float64(0);
// compiled num node returning num2829 (depth = 7)
  int op_slot_right_2828 = gc_frame_newslot(num2829);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_interpdepth (depth = 7)
  int op_slot_left_2828 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2829;
  partcv[0] = 1;
  Object opresult2831 = callmethod(*var_interpdepth, ">(1)", 1, partcv, params);
// compiled op node returning opresult2831 (depth = 6)
  Object if2827 = done;
  if (istrue(opresult2831)) {
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2834 == NULL) {
    strlit2834 = alloc_String("}");
    gc_root(strlit2834);
  }
// compiled string node returning strlit2834 (depth = 8)
  int op_slot_right_2833 = gc_frame_newslot(strlit2834);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newmode (depth = 8)
  int op_slot_left_2833 = gc_frame_newslot(*var_newmode);
  params[0] = strlit2834;
  partcv[0] = 1;
  Object opresult2836 = callmethod(*var_newmode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2836 (depth = 7)
  Object if2832 = done;
  if (istrue(opresult2836)) {
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2839 == NULL) {
    strlit2839 = alloc_String("lbrace");
    gc_root(strlit2839);
  }
// compiled string node returning strlit2839 (depth = 9)
  int op_slot_right_2838 = gc_frame_newslot(strlit2839);
// starting to compile member node (depth = 9)
  int callframe2841 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2842 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  Object call2843 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2842);
// compiled member node returning call2843 (depth = 10)
  Object call2844 = callmethodflags(call2843, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2841);
// compiled member node returning call2844 (depth = 9)
  int op_slot_left_2838 = gc_frame_newslot(call2844);
  params[0] = strlit2839;
  partcv[0] = 1;
  Object opresult2845 = callmethod(call2844, "==(1)", 1, partcv, params);
// compiled op node returning opresult2845 (depth = 8)
  Object if2837 = done;
  if (istrue(opresult2845)) {
// Begin line 877
  setline(877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2846 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2847 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call2848 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2847);
// compiled member node returning call2848 (depth = 10)
  Object call2849 = callmethodflags(call2848, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2846);
// compiled member node returning call2849 (depth = 9)
  *var_suggestion = call2849;
  if (call2849 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2850 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2852 = alloc_Float64(1);
// compiled num node returning num2852 (depth = 10)
  int op_slot_right_2851 = gc_frame_newslot(num2852);
// starting to compile member node (depth = 10)
  int callframe2854 = gc_frame_new();
// call case 4: self request
  Object call2855 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2854);
// compiled member node returning call2855 (depth = 10)
  int op_slot_left_2851 = gc_frame_newslot(call2855);
  params[0] = num2852;
  partcv[0] = 1;
  Object diff2856 = callmethod(call2855, "-(1)", 1, partcv, params);
// compiled op node returning diff2856 (depth = 9)
  gc_frame_newslot(diff2856);
// starting to compile member node (depth = 9)
  int callframe2857 = gc_frame_new();
// call case 4: self request
  Object call2858 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2857);
// compiled member node returning call2858 (depth = 9)
  gc_frame_newslot(call2858);
// starting to compile member node (depth = 9)
  int callframe2859 = gc_frame_new();
// call case 4: self request
  Object call2860 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2859);
// compiled member node returning call2860 (depth = 9)
  gc_frame_newslot(call2860);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = diff2856;
  params[1] = call2858;
  params[2] = call2860;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call2861 = callmethodflags(*var_suggestion, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2850);
// compiled call node returning call2861 (depth = 8)
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2862 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2863 == NULL) {
    strlit2863 = alloc_String("a string interpolation cannot be empty.");
    gc_root(strlit2863);
  }
// compiled string node returning strlit2863 (depth = 9)
  gc_frame_newslot(strlit2863);
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe2864 = gc_frame_new();
// call case 4: self request
  Object call2865 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2864);
// compiled member node returning call2865 (depth = 9)
  gc_frame_newslot(call2865);
// starting to compile member node (depth = 9)
  int callframe2866 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2867 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  Object call2868 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe2867);
// compiled member node returning call2868 (depth = 10)
  Object call2869 = callmethodflags(call2868, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2866);
// compiled member node returning call2869 (depth = 9)
  gc_frame_newslot(call2869);
// starting to compile member node (depth = 9)
  int callframe2870 = gc_frame_new();
// call case 4: self request
  Object call2871 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2870);
// compiled member node returning call2871 (depth = 9)
  gc_frame_newslot(call2871);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit2863;
  params[1] = call2865;
  params[2] = call2869;
  params[3] = call2871;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2872 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2862);
// compiled call node returning call2872 (depth = 8)
    gc_frame_newslot(call2872);
    if2837 = call2872;
  } else {
  }
// compiled if node returning if2837 (depth = 7)
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2873 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 8)
  if (strlit2874 == NULL) {
    strlit2874 = alloc_String(")");
    gc_root(strlit2874);
  }
// compiled string node returning strlit2874 (depth = 8)
  gc_frame_newslot(strlit2874);
// starting to compile string node (depth = 8)
  if (strlit2875 == NULL) {
    strlit2875 = alloc_String(")");
    gc_root(strlit2875);
  }
// compiled string node returning strlit2875 (depth = 8)
  gc_frame_newslot(strlit2875);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2874;
  params[2] = strlit2875;
  partcv[0] = 3;
  Object call2876 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2873);
// compiled call node returning call2876 (depth = 7)
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2877 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 8)
  if (strlit2878 == NULL) {
    strlit2878 = alloc_String("o");
    gc_root(strlit2878);
  }
// compiled string node returning strlit2878 (depth = 8)
  gc_frame_newslot(strlit2878);
// starting to compile string node (depth = 8)
  if (strlit2879 == NULL) {
    strlit2879 = alloc_String("++");
    gc_root(strlit2879);
  }
// compiled string node returning strlit2879 (depth = 8)
  gc_frame_newslot(strlit2879);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit2878;
  params[2] = strlit2879;
  partcv[0] = 3;
  Object call2880 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2877);
// compiled call node returning call2880 (depth = 7)
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2881 == NULL) {
    strlit2881 = alloc_String("""\x22""");
    gc_root(strlit2881);
  }
// compiled string node returning strlit2881 (depth = 8)
  *var_newmode = strlit2881;
  if (strlit2881 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 885
  setline(885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool2883 = alloc_Boolean(1);
// compiled identifier node returning bool2883 (depth = 8)
  *var_inStr = bool2883;
  if (bool2883 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2886 = alloc_Float64(1);
// compiled num node returning num2886 (depth = 9)
  int op_slot_right_2885 = gc_frame_newslot(num2886);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_interpdepth (depth = 9)
  int op_slot_left_2885 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2886;
  partcv[0] = 1;
  Object diff2888 = callmethod(*var_interpdepth, "-(1)", 1, partcv, params);
// compiled op node returning diff2888 (depth = 8)
  *var_interpdepth = diff2888;
  if (diff2888 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2832 = done;
  } else {
  }
// compiled if node returning if2832 (depth = 6)
    gc_frame_newslot(if2832);
    if2827 = if2832;
  } else {
  }
// compiled if node returning if2827 (depth = 5)
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newmode (depth = 6)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inStr (depth = 6)
  Object if2891 = done;
  if (istrue(*var_inStr)) {
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2892 == NULL) {
    strlit2892 = alloc_String("");
    gc_root(strlit2892);
  }
// compiled string node returning strlit2892 (depth = 7)
  *var_accum = strlit2892;
  if (strlit2892 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2891 = done;
  } else {
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_c (depth = 7)
  *var_accum = *var_c;
  if (*var_c == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2891 = done;
  }
// compiled if node returning if2891 (depth = 5)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2896 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  gc_frame_newslot(*var_mode);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2897 = gc_frame_new();
// call case 3: self.outer request
  Object call2898 = callmethod3(self, "outer", 0, 0, NULL, ((flags >> 24) & 0xff));
  gc_frame_end(callframe2897);
// compiled member node returning call2898 (depth = 7)
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call2899 = callmethodflags(call2898, "isBracket(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2896);
// compiled call node returning call2899 (depth = 6)
  Object if2895 = done;
  if (istrue(call2899)) {
// Begin line 899
  setline(899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2900 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_accum (depth = 7)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call2901 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2900);
// compiled call node returning call2901 (depth = 6)
// Begin line 900
  setline(900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2902 == NULL) {
    strlit2902 = alloc_String("e");
    gc_root(strlit2902);
  }
// compiled string node returning strlit2902 (depth = 7)
  *var_mode = strlit2902;
  if (strlit2902 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 902
  setline(902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2905 == NULL) {
    strlit2905 = alloc_String("");
    gc_root(strlit2905);
  }
// compiled string node returning strlit2905 (depth = 7)
  *var_accum = strlit2905;
  if (strlit2905 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2895 = done;
  } else {
  }
// compiled if node returning if2895 (depth = 5)
    gc_frame_newslot(if2895);
    if2821 = if2895;
  } else {
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2909 == NULL) {
    strlit2909 = alloc_String("""\x22""");
    gc_root(strlit2909);
  }
// compiled string node returning strlit2909 (depth = 7)
  int op_slot_right_2908 = gc_frame_newslot(strlit2909);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_2908 = gc_frame_newslot(*var_mode);
  params[0] = strlit2909;
  partcv[0] = 1;
  Object opresult2911 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult2911 (depth = 6)
  Object if2907 = done;
  if (istrue(opresult2911)) {
// Begin line 905
  setline(905);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2914 == NULL) {
    strlit2914 = alloc_String("""\x0a""");
    gc_root(strlit2914);
  }
// compiled string node returning strlit2914 (depth = 8)
  int op_slot_right_2913 = gc_frame_newslot(strlit2914);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_2913 = gc_frame_newslot(*var_c);
  params[0] = strlit2914;
  partcv[0] = 1;
  Object opresult2916 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult2916 (depth = 7)
  Object if2912 = done;
  if (istrue(opresult2916)) {
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2919 = alloc_Float64(0);
// compiled num node returning num2919 (depth = 9)
  int op_slot_right_2918 = gc_frame_newslot(num2919);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_interpdepth (depth = 9)
  int op_slot_left_2918 = gc_frame_newslot(*var_interpdepth);
  params[0] = num2919;
  partcv[0] = 1;
  Object opresult2921 = callmethod(*var_interpdepth, ">(1)", 1, partcv, params);
// compiled op node returning opresult2921 (depth = 8)
  Object if2917 = done;
  if (istrue(opresult2921)) {
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2922 = gc_frame_new();
// call case 4: self request
  Object call2923 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2922);
// compiled member node returning call2923 (depth = 9)
  *var_line = call2923;
  if (call2923 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2924 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 10)
  int callframe2925 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2926 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_util (depth = 12)
  Object call2927 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe2926);
// compiled member node returning call2927 (depth = 11)
  params[0] = *var_line;
  partcv[0] = 1;
  Object call2928 = callmethodflags(call2927, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2925);
// compiled call node returning call2928 (depth = 10)
  Object call2929 = callmethodflags(call2928, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2924);
// compiled member node returning call2929 (depth = 9)
  *var_i = call2929;
  if (call2929 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2930 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2931 = alloc_Block(NULL, NULL, "lexer", 910);
  gc_frame_newslot(block2931);
// method "_apply"
  block_savedest(block2931);
  Object closure2932 = createclosure(4, "_apply");
  setclosureframe(closure2932, stackframe);
  addtoclosure(closure2932, var_i);
  addtoclosure(closure2932, var_line);
  addtoclosure(closure2932, var_util);
  addtoclosure(closure2932, selfslot);
  struct UserObject *uo2932 = (struct UserObject*)block2931;
  uo2932->data[0] = (Object)closure2932;
  Method *meth_meth_lexer__apply2932 = addmethod2pos(block2931, "_apply", &meth_lexer__apply2932, 0);
  int argcv_meth_lexer__apply2932[] = {0};
  meth_meth_lexer__apply2932->type = alloc_MethodType(1, argcv_meth_lexer__apply2932);
  meth_meth_lexer__apply2932->definitionModule = modulename;
  meth_meth_lexer__apply2932->definitionLine = 1119;
// compiled block node returning block2931 (depth = 9)
  gc_frame_newslot(block2931);
// starting to compile block node (depth = 9)
  Object block2944 = alloc_Block(NULL, NULL, "lexer", 910);
  gc_frame_newslot(block2944);
// method "_apply"
  block_savedest(block2944);
  Object closure2945 = createclosure(4, "_apply");
  setclosureframe(closure2945, stackframe);
  addtoclosure(closure2945, var_i);
  addtoclosure(closure2945, var_line);
  addtoclosure(closure2945, var_util);
  addtoclosure(closure2945, selfslot);
  struct UserObject *uo2945 = (struct UserObject*)block2944;
  uo2945->data[0] = (Object)closure2945;
  Method *meth_meth_lexer__apply2945 = addmethod2pos(block2944, "_apply", &meth_lexer__apply2945, 0);
  int argcv_meth_lexer__apply2945[] = {0};
  meth_meth_lexer__apply2945->type = alloc_MethodType(1, argcv_meth_lexer__apply2945);
  meth_meth_lexer__apply2945->definitionModule = modulename;
  meth_meth_lexer__apply2945->definitionLine = 1119;
// compiled block node returning block2944 (depth = 9)
  gc_frame_newslot(block2944);
// call case 5: prelude request
  params[0] = block2931;
  params[1] = block2944;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2970 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2930);
// compiled call node returning call2970 (depth = 8)
// Begin line 917
  setline(917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile array node (depth = 9)
  Object array2971 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2971 (depth = 9)
  *var_suggestions = array2971;
  if (array2971 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 918
  setline(918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2972 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2973 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call2974 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2973);
// compiled member node returning call2974 (depth = 10)
  Object call2975 = callmethodflags(call2974, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2972);
// compiled member node returning call2975 (depth = 9)
  *var_suggestion = call2975;
  if (call2975 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2976 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2977 == NULL) {
    strlit2977 = alloc_String("\\");
    gc_root(strlit2977);
  }
// compiled string node returning strlit2977 (depth = 9)
  gc_frame_newslot(strlit2977);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_i (depth = 9)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_line (depth = 9)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit2977;
  params[1] = *var_i;
  params[2] = *var_line;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2978 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2976);
// compiled call node returning call2978 (depth = 8)
// Begin line 920
  setline(920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2979 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call2980 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2979);
// compiled call node returning call2980 (depth = 8)
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2985 = alloc_Float64(2);
// compiled num node returning num2985 (depth = 12)
  int op_slot_right_2984 = gc_frame_newslot(num2985);
// starting to compile member node (depth = 12)
  int callframe2987 = gc_frame_new();
// call case 4: self request
  Object call2988 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2987);
// compiled member node returning call2988 (depth = 12)
  int op_slot_left_2984 = gc_frame_newslot(call2988);
  params[0] = num2985;
  partcv[0] = 1;
  Object diff2989 = callmethod(call2988, "-(1)", 1, partcv, params);
// compiled op node returning diff2989 (depth = 11)
  int op_slot_right_2983 = gc_frame_newslot(diff2989);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_i (depth = 11)
  int op_slot_left_2983 = gc_frame_newslot(*var_i);
  params[0] = diff2989;
  partcv[0] = 1;
  Object opresult2991 = callmethod(*var_i, "==(1)", 1, partcv, params);
// compiled op node returning opresult2991 (depth = 10)
  int op_slot_right_2982 = gc_frame_newslot(opresult2991);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe2994 = gc_frame_new();
// call case 4: self request
  Object call2995 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2994);
// compiled member node returning call2995 (depth = 11)
  int op_slot_right_2993 = gc_frame_newslot(call2995);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_line (depth = 11)
  int op_slot_left_2993 = gc_frame_newslot(*var_line);
  params[0] = call2995;
  partcv[0] = 1;
  Object opresult2997 = callmethod(*var_line, "==(1)", 1, partcv, params);
// compiled op node returning opresult2997 (depth = 10)
  int op_slot_left_2982 = gc_frame_newslot(opresult2997);
  params[0] = opresult2991;
  partcv[0] = 1;
  Object opresult2998 = callmethod(opresult2997, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2998 (depth = 9)
  Object if2981 = done;
  if (istrue(opresult2998)) {
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2999 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3000 == NULL) {
    strlit3000 = alloc_String("for a '{' character in a string use '\\{'.");
    gc_root(strlit3000);
  }
// compiled string node returning strlit3000 (depth = 10)
  gc_frame_newslot(strlit3000);
// Begin line 923
  setline(923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_i (depth = 10)
  gc_frame_newslot(*var_i);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit3000;
  params[1] = *var_line;
  params[2] = *var_i;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3001 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2999);
// compiled call node returning call3001 (depth = 9)
    gc_frame_newslot(call3001);
    if2981 = call3001;
  } else {
// Begin line 925
  setline(925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe3002 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3003 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  Object call3004 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3003);
// compiled member node returning call3004 (depth = 11)
  Object call3005 = callmethodflags(call3004, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3002);
// compiled member node returning call3005 (depth = 10)
  *var_suggestion = call3005;
  if (call3005 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 926
  setline(926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3007 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3008 == NULL) {
    strlit3008 = alloc_String("}");
    gc_root(strlit3008);
  }
// compiled string node returning strlit3008 (depth = 10)
  gc_frame_newslot(strlit3008);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3010 = alloc_Float64(1);
// compiled num node returning num3010 (depth = 11)
  int op_slot_right_3009 = gc_frame_newslot(num3010);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe3013 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_accum (depth = 13)
  Object call3014 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3013);
// compiled member node returning call3014 (depth = 12)
  int op_slot_right_3012 = gc_frame_newslot(call3014);
// starting to compile member node (depth = 12)
  int callframe3016 = gc_frame_new();
// call case 4: self request
  Object call3017 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3016);
// compiled member node returning call3017 (depth = 12)
  int op_slot_left_3012 = gc_frame_newslot(call3017);
  params[0] = call3014;
  partcv[0] = 1;
  Object diff3018 = callmethod(call3017, "-(1)", 1, partcv, params);
// compiled op node returning diff3018 (depth = 11)
  int op_slot_left_3009 = gc_frame_newslot(diff3018);
  params[0] = num3010;
  partcv[0] = 1;
  Object diff3019 = callmethod(diff3018, "-(1)", 1, partcv, params);
// compiled op node returning diff3019 (depth = 10)
  gc_frame_newslot(diff3019);
// starting to compile member node (depth = 10)
  int callframe3020 = gc_frame_new();
// call case 4: self request
  Object call3021 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3020);
// compiled member node returning call3021 (depth = 10)
  gc_frame_newslot(call3021);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit3008;
  params[1] = diff3019;
  params[2] = call3021;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3022 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3007);
// compiled call node returning call3022 (depth = 9)
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3023 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3024 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3023);
// compiled call node returning call3024 (depth = 9)
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3025 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3026 == NULL) {
    strlit3026 = alloc_String("a string interpolation must end with a '}'. For a '{' character in a string use '\\{'.");
    gc_root(strlit3026);
  }
// compiled string node returning strlit3026 (depth = 10)
  gc_frame_newslot(strlit3026);
// Begin line 929
  setline(929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe3027 = gc_frame_new();
// call case 4: self request
  Object call3028 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3027);
// compiled member node returning call3028 (depth = 10)
  gc_frame_newslot(call3028);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3030 = alloc_Float64(1);
// compiled num node returning num3030 (depth = 11)
  int op_slot_right_3029 = gc_frame_newslot(num3030);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe3033 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_accum (depth = 13)
  Object call3034 = callmethodflags(*var_accum, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3033);
// compiled member node returning call3034 (depth = 12)
  int op_slot_right_3032 = gc_frame_newslot(call3034);
// starting to compile member node (depth = 12)
  int callframe3036 = gc_frame_new();
// call case 4: self request
  Object call3037 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3036);
// compiled member node returning call3037 (depth = 12)
  int op_slot_left_3032 = gc_frame_newslot(call3037);
  params[0] = call3034;
  partcv[0] = 1;
  Object diff3038 = callmethod(call3037, "-(1)", 1, partcv, params);
// compiled op node returning diff3038 (depth = 11)
  int op_slot_left_3029 = gc_frame_newslot(diff3038);
  params[0] = num3030;
  partcv[0] = 1;
  Object diff3039 = callmethod(diff3038, "-(1)", 1, partcv, params);
// compiled op node returning diff3039 (depth = 10)
  gc_frame_newslot(diff3039);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit3026;
  params[1] = call3028;
  params[2] = diff3039;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3040 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3025);
// compiled call node returning call3040 (depth = 9)
    gc_frame_newslot(call3040);
    if2981 = call3040;
  }
// compiled if node returning if2981 (depth = 8)
    gc_frame_newslot(if2981);
    if2917 = if2981;
  } else {
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3041 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe3042 = gc_frame_new();
// call case 4: self request
  Object call3043 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3042);
// compiled member node returning call3043 (depth = 10)
  gc_frame_newslot(call3043);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3044 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_util (depth = 11)
  Object call3045 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe3044);
// compiled member node returning call3045 (depth = 10)
  params[0] = call3043;
  partcv[0] = 1;
  Object call3046 = callmethodflags(call3045, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3041);
// compiled call node returning call3046 (depth = 9)
  *var_errorLine = call3046;
  if (call3046 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3050 = alloc_Float64(1);
// compiled num node returning num3050 (depth = 12)
  int op_slot_right_3049 = gc_frame_newslot(num3050);
// starting to compile member node (depth = 12)
  int callframe3052 = gc_frame_new();
// call case 4: self request
  Object call3053 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3052);
// compiled member node returning call3053 (depth = 12)
  int op_slot_left_3049 = gc_frame_newslot(call3053);
  params[0] = num3050;
  partcv[0] = 1;
  Object sum3054 = callmethod(call3053, "+(1)", 1, partcv, params);
// compiled op node returning sum3054 (depth = 11)
  int op_slot_right_3048 = gc_frame_newslot(sum3054);
// starting to compile member node (depth = 11)
  int callframe3056 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe3057 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_util (depth = 13)
  Object call3058 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe3057);
// compiled member node returning call3058 (depth = 12)
  Object call3059 = callmethodflags(call3058, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3056);
// compiled member node returning call3059 (depth = 11)
  int op_slot_left_3048 = gc_frame_newslot(call3059);
  params[0] = sum3054;
  partcv[0] = 1;
  Object opresult3060 = callmethod(call3059, "≥(1)", 1, partcv, params);
// compiled op node returning opresult3060 (depth = 10)
  Object if3047 = done;
struct StackFrameObject *iftmpstackframe3047 = stackframe;
  if (istrue(opresult3060)) {
stackframe = alloc_StackFrame(0, iftmpstackframe3047);
gc_frame_newslot((Object)stackframe);
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3061 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3063 = alloc_Float64(1);
// compiled num node returning num3063 (depth = 12)
  int op_slot_right_3062 = gc_frame_newslot(num3063);
// starting to compile member node (depth = 12)
  int callframe3065 = gc_frame_new();
// call case 4: self request
  Object call3066 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3065);
// compiled member node returning call3066 (depth = 12)
  int op_slot_left_3062 = gc_frame_newslot(call3066);
  params[0] = num3063;
  partcv[0] = 1;
  Object sum3067 = callmethod(call3066, "+(1)", 1, partcv, params);
// compiled op node returning sum3067 (depth = 11)
  gc_frame_newslot(sum3067);
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3068 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_util (depth = 12)
  Object call3069 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe3068);
// compiled member node returning call3069 (depth = 11)
  params[0] = sum3067;
  partcv[0] = 1;
  Object call3070 = callmethodflags(call3069, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3061);
// compiled call node returning call3070 (depth = 10)
    gc_frame_newslot(call3070);
    if3047 = call3070;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe3047);
  gc_frame_newslot((Object)stackframe);
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit3071 == NULL) {
    strlit3071 = alloc_String("");
    gc_root(strlit3071);
  }
// compiled string node returning strlit3071 (depth = 10)
    gc_frame_newslot(strlit3071);
    if3047 = strlit3071;
  }
stackframe = iftmpstackframe3047;
// compiled if node returning if3047 (depth = 9)
  *var_nextLine = if3047;
  if (if3047 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 939
  setline(939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3072 = alloc_Float64(1);
// compiled num node returning num3072 (depth = 9)
  *var_i = num3072;
  if (num3072 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3073 = alloc_Float64(0);
// compiled num node returning num3073 (depth = 9)
  *var_count = num3073;
  if (num3073 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 941
  setline(941);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3074 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block3075 = alloc_Block(NULL, NULL, "lexer", 941);
  gc_frame_newslot(block3075);
// method "_apply"
  block_savedest(block3075);
  Object closure3076 = createclosure(3, "_apply");
  setclosureframe(closure3076, stackframe);
  addtoclosure(closure3076, var_nextLine);
  addtoclosure(closure3076, var_i);
  addtoclosure(closure3076, selfslot);
  struct UserObject *uo3076 = (struct UserObject*)block3075;
  uo3076->data[0] = (Object)closure3076;
  Method *meth_meth_lexer__apply3076 = addmethod2pos(block3075, "_apply", &meth_lexer__apply3076, 0);
  int argcv_meth_lexer__apply3076[] = {0};
  meth_meth_lexer__apply3076->type = alloc_MethodType(1, argcv_meth_lexer__apply3076);
  meth_meth_lexer__apply3076->definitionModule = modulename;
  meth_meth_lexer__apply3076->definitionLine = 1119;
// compiled block node returning block3075 (depth = 9)
  gc_frame_newslot(block3075);
// starting to compile block node (depth = 9)
  Object block3083 = alloc_Block(NULL, NULL, "lexer", 941);
  gc_frame_newslot(block3083);
// method "_apply"
  block_savedest(block3083);
  Object closure3084 = createclosure(4, "_apply");
  setclosureframe(closure3084, stackframe);
  addtoclosure(closure3084, var_i);
  addtoclosure(closure3084, var_nextLine);
  addtoclosure(closure3084, var_count);
  addtoclosure(closure3084, selfslot);
  struct UserObject *uo3084 = (struct UserObject*)block3083;
  uo3084->data[0] = (Object)closure3084;
  Method *meth_meth_lexer__apply3084 = addmethod2pos(block3083, "_apply", &meth_lexer__apply3084, 0);
  int argcv_meth_lexer__apply3084[] = {0};
  meth_meth_lexer__apply3084->type = alloc_MethodType(1, argcv_meth_lexer__apply3084);
  meth_meth_lexer__apply3084->definitionModule = modulename;
  meth_meth_lexer__apply3084->definitionLine = 1119;
// compiled block node returning block3083 (depth = 9)
  gc_frame_newslot(block3083);
// call case 5: prelude request
  params[0] = block3075;
  params[1] = block3083;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3115 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3074);
// compiled call node returning call3115 (depth = 8)
// Begin line 946
  setline(946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3118 = alloc_Float64(1);
// compiled num node returning num3118 (depth = 10)
  int op_slot_right_3117 = gc_frame_newslot(num3118);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3121 = alloc_Float64(2);
// compiled num node returning num3121 (depth = 11)
  int op_slot_right_3120 = gc_frame_newslot(num3121);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_count (depth = 11)
  int op_slot_left_3120 = gc_frame_newslot(*var_count);
  params[0] = num3121;
  partcv[0] = 1;
  Object modulus3123 = callmethod(*var_count, "%(1)", 1, partcv, params);
// compiled op node returning modulus3123 (depth = 10)
  int op_slot_left_3117 = gc_frame_newslot(modulus3123);
  params[0] = num3118;
  partcv[0] = 1;
  Object opresult3124 = callmethod(modulus3123, "==(1)", 1, partcv, params);
// compiled op node returning opresult3124 (depth = 9)
  Object if3116 = done;
  if (istrue(opresult3124)) {
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile array node (depth = 10)
  Object array3125 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3125 (depth = 10)
  *var_suggestions = array3125;
  if (array3125 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe3126 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3127 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  Object call3128 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3127);
// compiled member node returning call3128 (depth = 11)
  Object call3129 = callmethodflags(call3128, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3126);
// compiled member node returning call3129 (depth = 10)
  *var_suggestion = call3129;
  if (call3129 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 9)
// Begin line 949
  setline(949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3130 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe3131 = gc_frame_new();
// call case 4: self request
  Object call3132 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3131);
// compiled member node returning call3132 (depth = 10)
  gc_frame_newslot(call3132);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3133 = gc_frame_newslot(*var_nextLine);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3133 = gc_frame_newslot(*var_errorLine);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3135 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult3135 (depth = 10)
  gc_frame_newslot(opresult3135);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = call3132;
  params[1] = opresult3135;
  partcv[0] = 2;
  Object call3136 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3130);
// compiled call node returning call3136 (depth = 9)
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3137 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3139 = alloc_Float64(1);
// compiled num node returning num3139 (depth = 11)
  int op_slot_right_3138 = gc_frame_newslot(num3139);
// starting to compile member node (depth = 11)
  int callframe3141 = gc_frame_new();
// call case 4: self request
  Object call3142 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3141);
// compiled member node returning call3142 (depth = 11)
  int op_slot_left_3138 = gc_frame_newslot(call3142);
  params[0] = num3139;
  partcv[0] = 1;
  Object sum3143 = callmethod(call3142, "+(1)", 1, partcv, params);
// compiled op node returning sum3143 (depth = 10)
  gc_frame_newslot(sum3143);
// starting to compile string node (depth = 10)
  if (strlit3144 == NULL) {
    strlit3144 = alloc_String("");
    gc_root(strlit3144);
  }
// compiled string node returning strlit3144 (depth = 10)
  gc_frame_newslot(strlit3144);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3143;
  params[1] = strlit3144;
  partcv[0] = 2;
  Object call3145 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3137);
// compiled call node returning call3145 (depth = 9)
// Begin line 951
  setline(951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3146 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3147 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3146);
// compiled call node returning call3147 (depth = 9)
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe3148 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3149 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  Object call3150 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3149);
// compiled member node returning call3150 (depth = 11)
  Object call3151 = callmethodflags(call3150, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3148);
// compiled member node returning call3151 (depth = 10)
  *var_suggestion = call3151;
  if (call3151 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3153 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe3154 = gc_frame_new();
// call case 4: self request
  Object call3155 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3154);
// compiled member node returning call3155 (depth = 10)
  gc_frame_newslot(call3155);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3157 == NULL) {
    strlit3157 = alloc_String("""\x22""");
    gc_root(strlit3157);
  }
// compiled string node returning strlit3157 (depth = 11)
  int op_slot_right_3156 = gc_frame_newslot(strlit3157);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3156 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3157;
  partcv[0] = 1;
  Object opresult3159 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult3159 (depth = 10)
  gc_frame_newslot(opresult3159);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = call3155;
  params[1] = opresult3159;
  partcv[0] = 2;
  Object call3160 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3153);
// compiled call node returning call3160 (depth = 9)
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3161 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3163 = alloc_Float64(1);
// compiled num node returning num3163 (depth = 11)
  int op_slot_right_3162 = gc_frame_newslot(num3163);
// starting to compile member node (depth = 11)
  int callframe3165 = gc_frame_new();
// call case 4: self request
  Object call3166 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3165);
// compiled member node returning call3166 (depth = 11)
  int op_slot_left_3162 = gc_frame_newslot(call3166);
  params[0] = num3163;
  partcv[0] = 1;
  Object sum3167 = callmethod(call3166, "+(1)", 1, partcv, params);
// compiled op node returning sum3167 (depth = 10)
  gc_frame_newslot(sum3167);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3168 = gc_frame_newslot(*var_nextLine);
// starting to compile string node (depth = 11)
  if (strlit3170 == NULL) {
    strlit3170 = alloc_String("    ++ ""\x22""");
    gc_root(strlit3170);
  }
// compiled string node returning strlit3170 (depth = 11)
  int op_slot_left_3168 = gc_frame_newslot(strlit3170);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3171 = callmethod(strlit3170, "++(1)", 1, partcv, params);
// compiled op node returning opresult3171 (depth = 10)
  gc_frame_newslot(opresult3171);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3167;
  params[1] = opresult3171;
  partcv[0] = 2;
  Object call3172 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3161);
// compiled call node returning call3172 (depth = 9)
// Begin line 955
  setline(955);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3173 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3174 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3173);
// compiled call node returning call3174 (depth = 9)
// Begin line 956
  setline(956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe3175 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3176 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  Object call3177 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3176);
// compiled member node returning call3177 (depth = 11)
  Object call3178 = callmethodflags(call3177, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3175);
// compiled member node returning call3178 (depth = 10)
  *var_suggestion = call3178;
  if (call3178 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3180 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe3181 = gc_frame_new();
// call case 4: self request
  Object call3182 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3181);
// compiled member node returning call3182 (depth = 10)
  gc_frame_newslot(call3182);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextLine (depth = 11)
  int op_slot_right_3183 = gc_frame_newslot(*var_nextLine);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3186 == NULL) {
    strlit3186 = alloc_String("\\n");
    gc_root(strlit3186);
  }
// compiled string node returning strlit3186 (depth = 12)
  int op_slot_right_3185 = gc_frame_newslot(strlit3186);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errorLine (depth = 12)
  int op_slot_left_3185 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3186;
  partcv[0] = 1;
  Object opresult3188 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult3188 (depth = 11)
  int op_slot_left_3183 = gc_frame_newslot(opresult3188);
  params[0] = *var_nextLine;
  partcv[0] = 1;
  Object opresult3189 = callmethod(opresult3188, "++(1)", 1, partcv, params);
// compiled op node returning opresult3189 (depth = 10)
  gc_frame_newslot(opresult3189);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = call3182;
  params[1] = opresult3189;
  partcv[0] = 2;
  Object call3190 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3180);
// compiled call node returning call3190 (depth = 9)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3191 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3193 = alloc_Float64(1);
// compiled num node returning num3193 (depth = 11)
  int op_slot_right_3192 = gc_frame_newslot(num3193);
// starting to compile member node (depth = 11)
  int callframe3195 = gc_frame_new();
// call case 4: self request
  Object call3196 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3195);
// compiled member node returning call3196 (depth = 11)
  int op_slot_left_3192 = gc_frame_newslot(call3196);
  params[0] = num3193;
  partcv[0] = 1;
  Object sum3197 = callmethod(call3196, "+(1)", 1, partcv, params);
// compiled op node returning sum3197 (depth = 10)
  gc_frame_newslot(sum3197);
// starting to compile string node (depth = 10)
  if (strlit3198 == NULL) {
    strlit3198 = alloc_String("");
    gc_root(strlit3198);
  }
// compiled string node returning strlit3198 (depth = 10)
  gc_frame_newslot(strlit3198);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum3197;
  params[1] = strlit3198;
  partcv[0] = 2;
  Object call3199 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3191);
// compiled call node returning call3199 (depth = 9)
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3200 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3201 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3200);
// compiled call node returning call3201 (depth = 9)
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3202 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3203 == NULL) {
    strlit3203 = alloc_String("a string must be terminated by a ""\x22"" before the end of the line. To insert a newline in a string, use '\\n'. To split a string over multiple lines, use '++' to join strings together.");
    gc_root(strlit3203);
  }
// compiled string node returning strlit3203 (depth = 10)
  gc_frame_newslot(strlit3203);
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe3204 = gc_frame_new();
// call case 4: self request
  Object call3205 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3204);
// compiled member node returning call3205 (depth = 10)
  gc_frame_newslot(call3205);
// starting to compile member node (depth = 10)
  int callframe3206 = gc_frame_new();
// call case 4: self request
  Object call3207 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3206);
// compiled member node returning call3207 (depth = 10)
  gc_frame_newslot(call3207);
// starting to compile member node (depth = 10)
  int callframe3208 = gc_frame_new();
// call case 4: self request
  Object call3209 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3208);
// compiled member node returning call3209 (depth = 10)
  gc_frame_newslot(call3209);
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit3203;
  params[1] = call3205;
  params[2] = call3207;
  params[3] = call3209;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3210 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3202);
// compiled call node returning call3210 (depth = 9)
    gc_frame_newslot(call3210);
    if3116 = call3210;
  } else {
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe3211 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe3212 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  Object call3213 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3212);
// compiled member node returning call3213 (depth = 11)
  Object call3214 = callmethodflags(call3213, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3211);
// compiled member node returning call3214 (depth = 10)
  *var_suggestion = call3214;
  if (call3214 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3215 = gc_frame_new();
// starting to compile member node (depth = 10)
  int callframe3216 = gc_frame_new();
// call case 4: self request
  Object call3217 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3216);
// compiled member node returning call3217 (depth = 10)
  gc_frame_newslot(call3217);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3219 == NULL) {
    strlit3219 = alloc_String("""\x22""");
    gc_root(strlit3219);
  }
// compiled string node returning strlit3219 (depth = 11)
  int op_slot_right_3218 = gc_frame_newslot(strlit3219);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errorLine (depth = 11)
  int op_slot_left_3218 = gc_frame_newslot(*var_errorLine);
  params[0] = strlit3219;
  partcv[0] = 1;
  Object opresult3221 = callmethod(*var_errorLine, "++(1)", 1, partcv, params);
// compiled op node returning opresult3221 (depth = 10)
  gc_frame_newslot(opresult3221);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = call3217;
  params[1] = opresult3221;
  partcv[0] = 2;
  Object call3222 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3215);
// compiled call node returning call3222 (depth = 9)
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe3223 = gc_frame_new();
// starting to compile op node (depth = 10)
// Begin line 967
  setline(967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit3225 == NULL) {
    strlit3225 = alloc_String("by a ""\x22"" before the end of the line.");
    gc_root(strlit3225);
  }
// compiled string node returning strlit3225 (depth = 11)
  int op_slot_right_3224 = gc_frame_newslot(strlit3225);
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 11)
  if (strlit3227 == NULL) {
    strlit3227 = alloc_String("a string must be terminated ");
    gc_root(strlit3227);
  }
// compiled string node returning strlit3227 (depth = 11)
  int op_slot_left_3224 = gc_frame_newslot(strlit3227);
  params[0] = strlit3225;
  partcv[0] = 1;
  Object opresult3228 = callmethod(strlit3227, "++(1)", 1, partcv, params);
// compiled op node returning opresult3228 (depth = 10)
  gc_frame_newslot(opresult3228);
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe3229 = gc_frame_new();
// call case 4: self request
  Object call3230 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3229);
// compiled member node returning call3230 (depth = 10)
  gc_frame_newslot(call3230);
// starting to compile member node (depth = 10)
  int callframe3231 = gc_frame_new();
// call case 4: self request
  Object call3232 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3231);
// compiled member node returning call3232 (depth = 10)
  gc_frame_newslot(call3232);
// Begin line 969
  setline(969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 966
  setline(966);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = opresult3228;
  params[1] = call3230;
  params[2] = call3232;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3233 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3223);
// compiled call node returning call3233 (depth = 9)
    gc_frame_newslot(call3233);
    if3116 = call3233;
  }
// compiled if node returning if3116 (depth = 8)
    gc_frame_newslot(if3116);
    if2917 = if3116;
  }
// compiled if node returning if2917 (depth = 7)
    gc_frame_newslot(if2917);
    if2912 = if2917;
  } else {
  }
// compiled if node returning if2912 (depth = 6)
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_escaped (depth = 7)
  Object if3234 = done;
  if (istrue(*var_escaped)) {
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3237 == NULL) {
    strlit3237 = alloc_String("n");
    gc_root(strlit3237);
  }
// compiled string node returning strlit3237 (depth = 9)
  int op_slot_right_3236 = gc_frame_newslot(strlit3237);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_3236 = gc_frame_newslot(*var_c);
  params[0] = strlit3237;
  partcv[0] = 1;
  Object opresult3239 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3239 (depth = 8)
  Object if3235 = done;
  if (istrue(opresult3239)) {
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3241 == NULL) {
    strlit3241 = alloc_String("""\x0a""");
    gc_root(strlit3241);
  }
// compiled string node returning strlit3241 (depth = 10)
  int op_slot_right_3240 = gc_frame_newslot(strlit3241);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  int op_slot_left_3240 = gc_frame_newslot(*var_accum);
  params[0] = strlit3241;
  partcv[0] = 1;
  Object opresult3243 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3243 (depth = 9)
  *var_accum = opresult3243;
  if (opresult3243 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3235 = done;
  } else {
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3247 == NULL) {
    strlit3247 = alloc_String("u");
    gc_root(strlit3247);
  }
// compiled string node returning strlit3247 (depth = 10)
  int op_slot_right_3246 = gc_frame_newslot(strlit3247);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_left_3246 = gc_frame_newslot(*var_c);
  params[0] = strlit3247;
  partcv[0] = 1;
  Object opresult3249 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3249 (depth = 9)
  Object if3245 = done;
  if (istrue(opresult3249)) {
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3250 = alloc_Float64(4);
// compiled num node returning num3250 (depth = 10)
  *var_unichars = num3250;
  if (num3250 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 981
  setline(981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3252 = alloc_Float64(0);
// compiled num node returning num3252 (depth = 10)
  *var_codepoint = num3252;
  if (num3252 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if3245 = done;
  } else {
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 982
  setline(982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3256 == NULL) {
    strlit3256 = alloc_String("U");
    gc_root(strlit3256);
  }
// compiled string node returning strlit3256 (depth = 11)
  int op_slot_right_3255 = gc_frame_newslot(strlit3256);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_3255 = gc_frame_newslot(*var_c);
  params[0] = strlit3256;
  partcv[0] = 1;
  Object opresult3258 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3258 (depth = 10)
  Object if3254 = done;
  if (istrue(opresult3258)) {
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3259 = alloc_Float64(6);
// compiled num node returning num3259 (depth = 11)
  *var_unichars = num3259;
  if (num3259 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
// Begin line 986
  setline(986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3261 = alloc_Float64(0);
// compiled num node returning num3261 (depth = 11)
  *var_codepoint = num3261;
  if (num3261 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3254 = done;
  } else {
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3265 == NULL) {
    strlit3265 = alloc_String("t");
    gc_root(strlit3265);
  }
// compiled string node returning strlit3265 (depth = 12)
  int op_slot_right_3264 = gc_frame_newslot(strlit3265);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_left_3264 = gc_frame_newslot(*var_c);
  params[0] = strlit3265;
  partcv[0] = 1;
  Object opresult3267 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3267 (depth = 11)
  Object if3263 = done;
  if (istrue(opresult3267)) {
// Begin line 989
  setline(989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3269 == NULL) {
    strlit3269 = alloc_String("""\x09""");
    gc_root(strlit3269);
  }
// compiled string node returning strlit3269 (depth = 13)
  int op_slot_right_3268 = gc_frame_newslot(strlit3269);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_accum (depth = 13)
  int op_slot_left_3268 = gc_frame_newslot(*var_accum);
  params[0] = strlit3269;
  partcv[0] = 1;
  Object opresult3271 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3271 (depth = 12)
  *var_accum = opresult3271;
  if (opresult3271 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3263 = done;
  } else {
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 990
  setline(990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3275 == NULL) {
    strlit3275 = alloc_String("r");
    gc_root(strlit3275);
  }
// compiled string node returning strlit3275 (depth = 13)
  int op_slot_right_3274 = gc_frame_newslot(strlit3275);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_c (depth = 13)
  int op_slot_left_3274 = gc_frame_newslot(*var_c);
  params[0] = strlit3275;
  partcv[0] = 1;
  Object opresult3277 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3277 (depth = 12)
  Object if3273 = done;
  if (istrue(opresult3277)) {
// Begin line 992
  setline(992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3279 == NULL) {
    strlit3279 = alloc_String("""\x0d""");
    gc_root(strlit3279);
  }
// compiled string node returning strlit3279 (depth = 14)
  int op_slot_right_3278 = gc_frame_newslot(strlit3279);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_accum (depth = 14)
  int op_slot_left_3278 = gc_frame_newslot(*var_accum);
  params[0] = strlit3279;
  partcv[0] = 1;
  Object opresult3281 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3281 (depth = 13)
  *var_accum = opresult3281;
  if (opresult3281 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 12)
    gc_frame_newslot(done);
    if3273 = done;
  } else {
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 993
  setline(993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3285 == NULL) {
    strlit3285 = alloc_String("b");
    gc_root(strlit3285);
  }
// compiled string node returning strlit3285 (depth = 14)
  int op_slot_right_3284 = gc_frame_newslot(strlit3285);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_c (depth = 14)
  int op_slot_left_3284 = gc_frame_newslot(*var_c);
  params[0] = strlit3285;
  partcv[0] = 1;
  Object opresult3287 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3287 (depth = 13)
  Object if3283 = done;
  if (istrue(opresult3287)) {
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 13)
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit3289 == NULL) {
    strlit3289 = alloc_String("""\x08""");
    gc_root(strlit3289);
  }
// compiled string node returning strlit3289 (depth = 15)
  int op_slot_right_3288 = gc_frame_newslot(strlit3289);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_accum (depth = 15)
  int op_slot_left_3288 = gc_frame_newslot(*var_accum);
  params[0] = strlit3289;
  partcv[0] = 1;
  Object opresult3291 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3291 (depth = 14)
  *var_accum = opresult3291;
  if (opresult3291 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 13)
    gc_frame_newslot(done);
    if3283 = done;
  } else {
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 13)
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit3295 == NULL) {
    strlit3295 = alloc_String("l");
    gc_root(strlit3295);
  }
// compiled string node returning strlit3295 (depth = 15)
  int op_slot_right_3294 = gc_frame_newslot(strlit3295);
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_c (depth = 15)
  int op_slot_left_3294 = gc_frame_newslot(*var_c);
  params[0] = strlit3295;
  partcv[0] = 1;
  Object opresult3297 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3297 (depth = 14)
  Object if3293 = done;
  if (istrue(opresult3297)) {
// Begin line 998
  setline(998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 14)
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit3299 == NULL) {
    strlit3299 = alloc_String("""\xe2""""\x80""""\xa8""");
    gc_root(strlit3299);
  }
// compiled string node returning strlit3299 (depth = 16)
  int op_slot_right_3298 = gc_frame_newslot(strlit3299);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_accum (depth = 16)
  int op_slot_left_3298 = gc_frame_newslot(*var_accum);
  params[0] = strlit3299;
  partcv[0] = 1;
  Object opresult3301 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3301 (depth = 15)
  *var_accum = opresult3301;
  if (opresult3301 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 14)
    gc_frame_newslot(done);
    if3293 = done;
  } else {
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 14)
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 15)
// starting to compile string node (depth = 16)
  if (strlit3305 == NULL) {
    strlit3305 = alloc_String("f");
    gc_root(strlit3305);
  }
// compiled string node returning strlit3305 (depth = 16)
  int op_slot_right_3304 = gc_frame_newslot(strlit3305);
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_c (depth = 16)
  int op_slot_left_3304 = gc_frame_newslot(*var_c);
  params[0] = strlit3305;
  partcv[0] = 1;
  Object opresult3307 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3307 (depth = 15)
  Object if3303 = done;
  if (istrue(opresult3307)) {
// Begin line 1001
  setline(1001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 15)
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit3309 == NULL) {
    strlit3309 = alloc_String("""\x0c""");
    gc_root(strlit3309);
  }
// compiled string node returning strlit3309 (depth = 17)
  int op_slot_right_3308 = gc_frame_newslot(strlit3309);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_accum (depth = 17)
  int op_slot_left_3308 = gc_frame_newslot(*var_accum);
  params[0] = strlit3309;
  partcv[0] = 1;
  Object opresult3311 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3311 (depth = 16)
  *var_accum = opresult3311;
  if (opresult3311 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 15)
    gc_frame_newslot(done);
    if3303 = done;
  } else {
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 15)
// Begin line 1002
  setline(1002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 16)
// starting to compile string node (depth = 17)
  if (strlit3315 == NULL) {
    strlit3315 = alloc_String("e");
    gc_root(strlit3315);
  }
// compiled string node returning strlit3315 (depth = 17)
  int op_slot_right_3314 = gc_frame_newslot(strlit3315);
// starting to compile identifier node (depth = 17)
// compiled identifier node returning *var_c (depth = 17)
  int op_slot_left_3314 = gc_frame_newslot(*var_c);
  params[0] = strlit3315;
  partcv[0] = 1;
  Object opresult3317 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3317 (depth = 16)
  Object if3313 = done;
  if (istrue(opresult3317)) {
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 16)
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit3319 == NULL) {
    strlit3319 = alloc_String("""\x1b""");
    gc_root(strlit3319);
  }
// compiled string node returning strlit3319 (depth = 18)
  int op_slot_right_3318 = gc_frame_newslot(strlit3319);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_accum (depth = 18)
  int op_slot_left_3318 = gc_frame_newslot(*var_accum);
  params[0] = strlit3319;
  partcv[0] = 1;
  Object opresult3321 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3321 (depth = 17)
  *var_accum = opresult3321;
  if (opresult3321 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 16)
    gc_frame_newslot(done);
    if3313 = done;
  } else {
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 16)
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 17)
// starting to compile string node (depth = 18)
  if (strlit3325 == NULL) {
    strlit3325 = alloc_String("_");
    gc_root(strlit3325);
  }
// compiled string node returning strlit3325 (depth = 18)
  int op_slot_right_3324 = gc_frame_newslot(strlit3325);
// starting to compile identifier node (depth = 18)
// compiled identifier node returning *var_c (depth = 18)
  int op_slot_left_3324 = gc_frame_newslot(*var_c);
  params[0] = strlit3325;
  partcv[0] = 1;
  Object opresult3327 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3327 (depth = 17)
  Object if3323 = done;
  if (istrue(opresult3327)) {
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile op node (depth = 18)
// starting to compile string node (depth = 19)
  if (strlit3329 == NULL) {
    strlit3329 = alloc_String("""\xc2""""\xa0""");
    gc_root(strlit3329);
  }
// compiled string node returning strlit3329 (depth = 19)
  int op_slot_right_3328 = gc_frame_newslot(strlit3329);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_accum (depth = 19)
  int op_slot_left_3328 = gc_frame_newslot(*var_accum);
  params[0] = strlit3329;
  partcv[0] = 1;
  Object opresult3331 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3331 (depth = 18)
  *var_accum = opresult3331;
  if (opresult3331 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 17)
    gc_frame_newslot(done);
    if3323 = done;
  } else {
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 17)
// starting to compile op node (depth = 18)
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_c (depth = 19)
  int op_slot_right_3333 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 19)
// compiled identifier node returning *var_accum (depth = 19)
  int op_slot_left_3333 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3335 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3335 (depth = 18)
  *var_accum = opresult3335;
  if (opresult3335 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 17)
    gc_frame_newslot(done);
    if3323 = done;
  }
// compiled if node returning if3323 (depth = 16)
    gc_frame_newslot(if3323);
    if3313 = if3323;
  }
// compiled if node returning if3313 (depth = 15)
    gc_frame_newslot(if3313);
    if3303 = if3313;
  }
// compiled if node returning if3303 (depth = 14)
    gc_frame_newslot(if3303);
    if3293 = if3303;
  }
// compiled if node returning if3293 (depth = 13)
    gc_frame_newslot(if3293);
    if3283 = if3293;
  }
// compiled if node returning if3283 (depth = 12)
    gc_frame_newslot(if3283);
    if3273 = if3283;
  }
// compiled if node returning if3273 (depth = 11)
    gc_frame_newslot(if3273);
    if3263 = if3273;
  }
// compiled if node returning if3263 (depth = 10)
    gc_frame_newslot(if3263);
    if3254 = if3263;
  }
// compiled if node returning if3254 (depth = 9)
    gc_frame_newslot(if3254);
    if3245 = if3254;
  }
// compiled if node returning if3245 (depth = 8)
    gc_frame_newslot(if3245);
    if3235 = if3245;
  }
// compiled if node returning if3235 (depth = 7)
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool3337 = alloc_Boolean(0);
// compiled identifier node returning bool3337 (depth = 8)
  *var_escaped = bool3337;
  if (bool3337 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3234 = done;
  } else {
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3341 == NULL) {
    strlit3341 = alloc_String("\\");
    gc_root(strlit3341);
  }
// compiled string node returning strlit3341 (depth = 9)
  int op_slot_right_3340 = gc_frame_newslot(strlit3341);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_left_3340 = gc_frame_newslot(*var_c);
  params[0] = strlit3341;
  partcv[0] = 1;
  Object opresult3343 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3343 (depth = 8)
  Object if3339 = done;
  if (istrue(opresult3343)) {
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
  Object bool3344 = alloc_Boolean(1);
// compiled identifier node returning bool3344 (depth = 9)
  *var_escaped = bool3344;
  if (bool3344 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3339 = done;
  } else {
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1017
  setline(1017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3348 = alloc_Float64(0);
// compiled num node returning num3348 (depth = 10)
  int op_slot_right_3347 = gc_frame_newslot(num3348);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_unichars (depth = 10)
  int op_slot_left_3347 = gc_frame_newslot(*var_unichars);
  params[0] = num3348;
  partcv[0] = 1;
  Object opresult3350 = callmethod(*var_unichars, ">(1)", 1, partcv, params);
// compiled op node returning opresult3350 (depth = 9)
  Object if3346 = done;
  if (istrue(opresult3350)) {
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3352 = alloc_Float64(1);
// compiled num node returning num3352 (depth = 11)
  int op_slot_right_3351 = gc_frame_newslot(num3352);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unichars (depth = 11)
  int op_slot_left_3351 = gc_frame_newslot(*var_unichars);
  params[0] = num3352;
  partcv[0] = 1;
  Object diff3354 = callmethod(*var_unichars, "-(1)", 1, partcv, params);
// compiled op node returning diff3354 (depth = 10)
  *var_unichars = diff3354;
  if (diff3354 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3357 = alloc_Float64(16);
// compiled num node returning num3357 (depth = 11)
  int op_slot_right_3356 = gc_frame_newslot(num3357);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_codepoint (depth = 11)
  int op_slot_left_3356 = gc_frame_newslot(*var_codepoint);
  params[0] = num3357;
  partcv[0] = 1;
  Object prod3359 = callmethod(*var_codepoint, "*(1)", 1, partcv, params);
// compiled op node returning prod3359 (depth = 10)
  *var_codepoint = prod3359;
  if (prod3359 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile call node (depth = 11)
  int callframe3362 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  gc_frame_newslot(*var_c);
// call case 4: self request
  params[0] = *var_c;
  partcv[0] = 1;
  Object call3363 = callmethodflags(self, "hexdecchar(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3362);
// compiled call node returning call3363 (depth = 11)
  int op_slot_right_3361 = gc_frame_newslot(call3363);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_codepoint (depth = 11)
  int op_slot_left_3361 = gc_frame_newslot(*var_codepoint);
  params[0] = call3363;
  partcv[0] = 1;
  Object sum3365 = callmethod(*var_codepoint, "+(1)", 1, partcv, params);
// compiled op node returning sum3365 (depth = 10)
  *var_codepoint = sum3365;
  if (sum3365 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num3369 = alloc_Float64(0);
// compiled num node returning num3369 (depth = 11)
  int op_slot_right_3368 = gc_frame_newslot(num3369);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_unichars (depth = 11)
  int op_slot_left_3368 = gc_frame_newslot(*var_unichars);
  params[0] = num3369;
  partcv[0] = 1;
  Object opresult3371 = callmethod(*var_unichars, "==(1)", 1, partcv, params);
// compiled op node returning opresult3371 (depth = 10)
  Object if3367 = done;
  if (istrue(opresult3371)) {
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe3373 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_codepoint (depth = 13)
  gc_frame_newslot(*var_codepoint);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_unicode (depth = 13)
  params[0] = *var_codepoint;
  partcv[0] = 1;
  Object call3374 = callmethodflags(*var_unicode, "create(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3373);
// compiled call node returning call3374 (depth = 12)
  int op_slot_right_3372 = gc_frame_newslot(call3374);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  int op_slot_left_3372 = gc_frame_newslot(*var_accum);
  params[0] = call3374;
  partcv[0] = 1;
  Object opresult3376 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3376 (depth = 11)
  *var_accum = opresult3376;
  if (opresult3376 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3367 = done;
  } else {
  }
// compiled if node returning if3367 (depth = 9)
    gc_frame_newslot(if3367);
    if3346 = if3367;
  } else {
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3380 == NULL) {
    strlit3380 = alloc_String("{");
    gc_root(strlit3380);
  }
// compiled string node returning strlit3380 (depth = 11)
  int op_slot_right_3379 = gc_frame_newslot(strlit3380);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_c (depth = 11)
  int op_slot_left_3379 = gc_frame_newslot(*var_c);
  params[0] = strlit3380;
  partcv[0] = 1;
  Object opresult3382 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3382 (depth = 10)
  Object if3378 = done;
  if (istrue(opresult3382)) {
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe3384 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_interpString (depth = 12)
  Object call3385 = callmethodflags(*var_interpString, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3384);
// compiled member node returning call3385 (depth = 11)
  Object if3383 = done;
  if (istrue(call3385)) {
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe3386 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tokens (depth = 12)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 12)
  if (strlit3387 == NULL) {
    strlit3387 = alloc_String("(");
    gc_root(strlit3387);
  }
// compiled string node returning strlit3387 (depth = 12)
  gc_frame_newslot(strlit3387);
// starting to compile string node (depth = 12)
  if (strlit3388 == NULL) {
    strlit3388 = alloc_String("(");
    gc_root(strlit3388);
  }
// compiled string node returning strlit3388 (depth = 12)
  gc_frame_newslot(strlit3388);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3387;
  params[2] = strlit3388;
  partcv[0] = 3;
  Object call3389 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3386);
// compiled call node returning call3389 (depth = 11)
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 11)
// starting to compile identifier node (depth = 12)
  Object bool3390 = alloc_Boolean(1);
// compiled identifier node returning bool3390 (depth = 12)
  *var_interpString = bool3390;
  if (bool3390 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 11)
    gc_frame_newslot(done);
    if3383 = done;
  } else {
  }
// compiled if node returning if3383 (depth = 10)
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3392 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mode (depth = 11)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_accum (depth = 11)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3393 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3392);
// compiled call node returning call3393 (depth = 10)
// Begin line 1036
  setline(1036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3394 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 11)
  if (strlit3395 == NULL) {
    strlit3395 = alloc_String("o");
    gc_root(strlit3395);
  }
// compiled string node returning strlit3395 (depth = 11)
  gc_frame_newslot(strlit3395);
// starting to compile string node (depth = 11)
  if (strlit3396 == NULL) {
    strlit3396 = alloc_String("++");
    gc_root(strlit3396);
  }
// compiled string node returning strlit3396 (depth = 11)
  gc_frame_newslot(strlit3396);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3395;
  params[2] = strlit3396;
  partcv[0] = 3;
  Object call3397 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3394);
// compiled call node returning call3397 (depth = 10)
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3398 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tokens (depth = 11)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 11)
  if (strlit3399 == NULL) {
    strlit3399 = alloc_String("(");
    gc_root(strlit3399);
  }
// compiled string node returning strlit3399 (depth = 11)
  gc_frame_newslot(strlit3399);
// starting to compile string node (depth = 11)
  if (strlit3400 == NULL) {
    strlit3400 = alloc_String("(");
    gc_root(strlit3400);
  }
// compiled string node returning strlit3400 (depth = 11)
  gc_frame_newslot(strlit3400);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3399;
  params[2] = strlit3400;
  partcv[0] = 3;
  Object call3401 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3398);
// compiled call node returning call3401 (depth = 10)
// Begin line 1038
  setline(1038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3402 == NULL) {
    strlit3402 = alloc_String("n");
    gc_root(strlit3402);
  }
// compiled string node returning strlit3402 (depth = 11)
  *var_mode = strlit3402;
  if (strlit3402 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3404 == NULL) {
    strlit3404 = alloc_String("n");
    gc_root(strlit3404);
  }
// compiled string node returning strlit3404 (depth = 11)
  *var_newmode = strlit3404;
  if (strlit3404 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3406 == NULL) {
    strlit3406 = alloc_String("");
    gc_root(strlit3406);
  }
// compiled string node returning strlit3406 (depth = 11)
  *var_accum = strlit3406;
  if (strlit3406 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile identifier node (depth = 11)
  Object bool3408 = alloc_Boolean(0);
// compiled identifier node returning bool3408 (depth = 11)
  *var_inStr = bool3408;
  if (bool3408 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3411 = alloc_Float64(1);
// compiled num node returning num3411 (depth = 12)
  int op_slot_right_3410 = gc_frame_newslot(num3411);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_interpdepth (depth = 12)
  int op_slot_left_3410 = gc_frame_newslot(*var_interpdepth);
  params[0] = num3411;
  partcv[0] = 1;
  Object sum3413 = callmethod(*var_interpdepth, "+(1)", 1, partcv, params);
// compiled op node returning sum3413 (depth = 11)
  *var_interpdepth = sum3413;
  if (sum3413 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3378 = done;
  } else {
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_c (depth = 12)
  int op_slot_right_3415 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_accum (depth = 12)
  int op_slot_left_3415 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3417 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3417 (depth = 11)
  *var_accum = opresult3417;
  if (opresult3417 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if3378 = done;
  }
// compiled if node returning if3378 (depth = 9)
    gc_frame_newslot(if3378);
    if3346 = if3378;
  }
// compiled if node returning if3346 (depth = 8)
    gc_frame_newslot(if3346);
    if3339 = if3346;
  }
// compiled if node returning if3339 (depth = 7)
    gc_frame_newslot(if3339);
    if3234 = if3339;
  }
// compiled if node returning if3234 (depth = 6)
    gc_frame_newslot(if3234);
    if2907 = if3234;
  } else {
// Begin line 1057
  setline(1057);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3421 == NULL) {
    strlit3421 = alloc_String("""\x0a""");
    gc_root(strlit3421);
  }
// compiled string node returning strlit3421 (depth = 8)
  int op_slot_right_3420 = gc_frame_newslot(strlit3421);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_c (depth = 8)
  int op_slot_left_3420 = gc_frame_newslot(*var_c);
  params[0] = strlit3421;
  partcv[0] = 1;
  Object opresult3423 = callmethod(*var_c, "==(1)", 1, partcv, params);
// compiled op node returning opresult3423 (depth = 7)
  Object if3419 = done;
  if (istrue(opresult3423)) {
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool3424 = alloc_Boolean(1);
// compiled identifier node returning bool3424 (depth = 8)
  *var_newlineFound = bool3424;
  if (bool3424 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1048
  setline(1048);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3428 == NULL) {
    strlit3428 = alloc_String("q");
    gc_root(strlit3428);
  }
// compiled string node returning strlit3428 (depth = 9)
  int op_slot_right_3427 = gc_frame_newslot(strlit3428);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  int op_slot_left_3427 = gc_frame_newslot(*var_mode);
  params[0] = strlit3428;
  partcv[0] = 1;
  Object opresult3430 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult3430 (depth = 8)
  Object if3426 = done;
  if (istrue(opresult3430)) {
// Begin line 1049
  setline(1049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_c (depth = 10)
  int op_slot_right_3431 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_accum (depth = 10)
  int op_slot_left_3431 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3433 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3433 (depth = 9)
  *var_accum = opresult3433;
  if (opresult3433 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3426 = done;
  } else {
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3435 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mode (depth = 9)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3436 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3435);
// compiled call node returning call3436 (depth = 8)
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3437 == NULL) {
    strlit3437 = alloc_String("d");
    gc_root(strlit3437);
  }
// compiled string node returning strlit3437 (depth = 9)
  *var_mode = strlit3437;
  if (strlit3437 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3439 == NULL) {
    strlit3439 = alloc_String("d");
    gc_root(strlit3439);
  }
// compiled string node returning strlit3439 (depth = 9)
  *var_newmode = strlit3439;
  if (strlit3439 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3441 == NULL) {
    strlit3441 = alloc_String("");
    gc_root(strlit3441);
  }
// compiled string node returning strlit3441 (depth = 9)
  *var_accum = strlit3441;
  if (strlit3441 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if3426 = done;
  }
// compiled if node returning if3426 (depth = 7)
    gc_frame_newslot(if3426);
    if3419 = if3426;
  } else {
// Begin line 1058
  setline(1058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_c (depth = 9)
  int op_slot_right_3443 = gc_frame_newslot(*var_c);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_accum (depth = 9)
  int op_slot_left_3443 = gc_frame_newslot(*var_accum);
  params[0] = *var_c;
  partcv[0] = 1;
  Object opresult3445 = callmethod(*var_accum, "++(1)", 1, partcv, params);
// compiled op node returning opresult3445 (depth = 8)
  *var_accum = opresult3445;
  if (opresult3445 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if3419 = done;
  }
// compiled if node returning if3419 (depth = 6)
    gc_frame_newslot(if3419);
    if2907 = if3419;
  }
// compiled if node returning if2907 (depth = 5)
    gc_frame_newslot(if2907);
    if2821 = if2907;
  }
// compiled if node returning if2821 (depth = 4)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3449 == NULL) {
    strlit3449 = alloc_String("...");
    gc_root(strlit3449);
  }
// compiled string node returning strlit3449 (depth = 6)
  int op_slot_right_3448 = gc_frame_newslot(strlit3449);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_accum (depth = 6)
  int op_slot_left_3448 = gc_frame_newslot(*var_accum);
  params[0] = strlit3449;
  partcv[0] = 1;
  Object opresult3451 = callmethod(*var_accum, "==(1)", 1, partcv, params);
// compiled op node returning opresult3451 (depth = 5)
  Object if3447 = done;
  if (istrue(opresult3451)) {
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3454 == NULL) {
    strlit3454 = alloc_String("o");
    gc_root(strlit3454);
  }
// compiled string node returning strlit3454 (depth = 7)
  int op_slot_right_3453 = gc_frame_newslot(strlit3454);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_mode (depth = 7)
  int op_slot_left_3453 = gc_frame_newslot(*var_mode);
  params[0] = strlit3454;
  partcv[0] = 1;
  Object opresult3456 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult3456 (depth = 6)
  Object if3452 = done;
  if (istrue(opresult3456)) {
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3457 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  gc_frame_newslot(*var_tokens);
// starting to compile string node (depth = 7)
  if (strlit3458 == NULL) {
    strlit3458 = alloc_String("i");
    gc_root(strlit3458);
  }
// compiled string node returning strlit3458 (depth = 7)
  gc_frame_newslot(strlit3458);
// starting to compile string node (depth = 7)
  if (strlit3459 == NULL) {
    strlit3459 = alloc_String("...");
    gc_root(strlit3459);
  }
// compiled string node returning strlit3459 (depth = 7)
  gc_frame_newslot(strlit3459);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = strlit3458;
  params[2] = strlit3459;
  partcv[0] = 3;
  Object call3460 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3457);
// compiled call node returning call3460 (depth = 6)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3461 == NULL) {
    strlit3461 = alloc_String("n");
    gc_root(strlit3461);
  }
// compiled string node returning strlit3461 (depth = 7)
  *var_newmode = strlit3461;
  if (strlit3461 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newmode (depth = 7)
  *var_mode = *var_newmode;
  if (*var_newmode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3464 == NULL) {
    strlit3464 = alloc_String("");
    gc_root(strlit3464);
  }
// compiled string node returning strlit3464 (depth = 7)
  *var_accum = strlit3464;
  if (strlit3464 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if3452 = done;
  } else {
  }
// compiled if node returning if3452 (depth = 5)
    gc_frame_newslot(if3452);
    if3447 = if3452;
  } else {
  }
// compiled if node returning if3447 (depth = 4)
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_newlineFound (depth = 5)
  Object if3466 = done;
  if (istrue(*var_newlineFound)) {
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool3467 = alloc_Boolean(0);
// compiled identifier node returning bool3467 (depth = 6)
  *var_newlineFound = bool3467;
  if (bool3467 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3469 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num3471 = alloc_Float64(1);
// compiled num node returning num3471 (depth = 7)
  int op_slot_right_3470 = gc_frame_newslot(num3471);
// starting to compile member node (depth = 7)
  int callframe3473 = gc_frame_new();
// call case 4: self request
  Object call3474 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3473);
// compiled member node returning call3474 (depth = 7)
  int op_slot_left_3470 = gc_frame_newslot(call3474);
  params[0] = num3471;
  partcv[0] = 1;
  Object sum3475 = callmethod(call3474, "+(1)", 1, partcv, params);
// compiled op node returning sum3475 (depth = 6)
  gc_frame_newslot(sum3475);
// call case 4: self request
  params[0] = sum3475;
  partcv[0] = 1;
  Object call3476 = callmethodflags(self, "lineNumber:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3469);
// compiled call node returning call3476 (depth = 5)
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3477 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3478 = alloc_Float64(0);
// compiled num node returning num3478 (depth = 6)
  gc_frame_newslot(num3478);
// call case 4: self request
  params[0] = num3478;
  partcv[0] = 1;
  Object call3479 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3477);
// compiled call node returning call3479 (depth = 5)
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3480 = gc_frame_new();
// starting to compile num node (depth = 6)
  Object num3481 = alloc_Float64(1);
// compiled num node returning num3481 (depth = 6)
  gc_frame_newslot(num3481);
// call case 4: self request
  params[0] = num3481;
  partcv[0] = 1;
  Object call3482 = callmethodflags(self, "startPosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3480);
// compiled call node returning call3482 (depth = 5)
    gc_frame_newslot(call3482);
    if3466 = call3482;
  } else {
  }
// compiled if node returning if3466 (depth = 4)
  gc_frame_end(frame);
  return if3466;
}
Object meth_lexer__apply3491(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_charS = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
  int callframe3492 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_charS (depth = 7)
  Object call3493 = callmethodflags(*var_charS, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe3492);
// compiled member node returning call3493 (depth = 6)
  gc_frame_end(frame);
  return call3493;
}
Object meth_lexer__apply3514(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ch = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe3515 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ch (depth = 11)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile string node (depth = 11)
  if (strlit3516 == NULL) {
    strlit3516 = alloc_String("><![]-");
    gc_root(strlit3516);
  }
// compiled string node returning strlit3516 (depth = 11)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call3517 = callmethodflags(strlit3516, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3515);
// compiled call node returning call3517 (depth = 10)
  gc_frame_end(frame);
  return call3517;
}
Object meth_lexer__apply3609(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_mode = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe3610 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mode (depth = 12)
  gc_frame_newslot(*var_mode);
// call case 6: other requests
// starting to compile string node (depth = 12)
  if (strlit3611 == NULL) {
    strlit3611 = alloc_String("dn");
    gc_root(strlit3611);
  }
// compiled string node returning strlit3611 (depth = 12)
  params[0] = *var_mode;
  partcv[0] = 1;
  Object call3612 = callmethodflags(strlit3611, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3610);
// compiled call node returning call3612 (depth = 11)
  gc_frame_end(frame);
  return call3612;
}
Object meth_lexer__apply3496(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_charS = getfromclosure(closure, 0);
  Object *var_inStr = getfromclosure(closure, 1);
  Object *var_mainBlock = getfromclosure(closure, 2);
  Object *var_mode = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_ch = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "ch");
  Object *var_nextCh = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextCh");
  Object *var_bigraph = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "bigraph");
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3497 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_charS (depth = 8)
  Object call3498 = callmethodflags(*var_charS, "next", 0, partcv, params, 0);
  gc_frame_end(callframe3497);
// compiled member node returning call3498 (depth = 7)
  *var_ch = call3498;
  if (call3498 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3499 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num3501 = alloc_Float64(1);
// compiled num node returning num3501 (depth = 8)
  int op_slot_right_3500 = gc_frame_newslot(num3501);
// starting to compile member node (depth = 8)
  int callframe3503 = gc_frame_new();
// call case 4: self request
  Object call3504 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3503);
// compiled member node returning call3504 (depth = 8)
  int op_slot_left_3500 = gc_frame_newslot(call3504);
  params[0] = num3501;
  partcv[0] = 1;
  Object sum3505 = callmethod(call3504, "+(1)", 1, partcv, params);
// compiled op node returning sum3505 (depth = 7)
  gc_frame_newslot(sum3505);
// call case 4: self request
  params[0] = sum3505;
  partcv[0] = 1;
  Object call3506 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3499);
// compiled call node returning call3506 (depth = 6)
// Begin line 1081
  setline(1081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3509 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_charS (depth = 9)
  Object call3510 = callmethodflags(*var_charS, "hasNext", 0, partcv, params, 0);
  gc_frame_end(callframe3509);
// compiled member node returning call3510 (depth = 8)
  int op_slot_right_3508 = gc_frame_newslot(call3510);
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block3513 = alloc_Block(NULL, NULL, "lexer", 1081);
  gc_frame_newslot(block3513);
// method "_apply"
  block_savedest(block3513);
  Object closure3514 = createclosure(2, "_apply");
  setclosureframe(closure3514, stackframe);
  addtoclosure(closure3514, var_ch);
  addtoclosure(closure3514, selfslot);
  struct UserObject *uo3514 = (struct UserObject*)block3513;
  uo3514->data[0] = (Object)closure3514;
  Method *meth_meth_lexer__apply3514 = addmethod2pos(block3513, "_apply", &meth_lexer__apply3514, 0);
  int argcv_meth_lexer__apply3514[] = {0};
  meth_meth_lexer__apply3514->type = alloc_MethodType(1, argcv_meth_lexer__apply3514);
  meth_meth_lexer__apply3514->definitionModule = modulename;
  meth_meth_lexer__apply3514->definitionLine = 1119;
// compiled block node returning block3513 (depth = 9)
  int op_slot_right_3512 = gc_frame_newslot(block3513);
// starting to compile member node (depth = 9)
  int callframe3520 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_inStr (depth = 10)
  Object call3521 = callmethodflags(*var_inStr, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3520);
// compiled member node returning call3521 (depth = 9)
  int op_slot_left_3512 = gc_frame_newslot(call3521);
  params[0] = block3513;
  partcv[0] = 1;
  Object opresult3522 = callmethod(call3521, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3522 (depth = 8)
  int op_slot_left_3508 = gc_frame_newslot(opresult3522);
  params[0] = call3510;
  partcv[0] = 1;
  Object opresult3523 = callmethod(opresult3522, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3523 (depth = 7)
  Object if3507 = done;
  if (istrue(opresult3523)) {
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3524 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_charS (depth = 9)
  Object call3525 = callmethodflags(*var_charS, "next", 0, partcv, params, 0);
  gc_frame_end(callframe3524);
// compiled member node returning call3525 (depth = 8)
  *var_nextCh = call3525;
  if (call3525 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3526 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3528 = alloc_Float64(1);
// compiled num node returning num3528 (depth = 9)
  int op_slot_right_3527 = gc_frame_newslot(num3528);
// starting to compile member node (depth = 9)
  int callframe3530 = gc_frame_new();
// call case 4: self request
  Object call3531 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3530);
// compiled member node returning call3531 (depth = 9)
  int op_slot_left_3527 = gc_frame_newslot(call3531);
  params[0] = num3528;
  partcv[0] = 1;
  Object sum3532 = callmethod(call3531, "+(1)", 1, partcv, params);
// compiled op node returning sum3532 (depth = 8)
  gc_frame_newslot(sum3532);
// call case 4: self request
  params[0] = sum3532;
  partcv[0] = 1;
  Object call3533 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3526);
// compiled call node returning call3533 (depth = 7)
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextCh (depth = 9)
  int op_slot_right_3534 = gc_frame_newslot(*var_nextCh);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ch (depth = 9)
  int op_slot_left_3534 = gc_frame_newslot(*var_ch);
  params[0] = *var_nextCh;
  partcv[0] = 1;
  Object opresult3536 = callmethod(*var_ch, "++(1)", 1, partcv, params);
// compiled op node returning opresult3536 (depth = 8)
  *var_bigraph = opresult3536;
  if (opresult3536 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3539 == NULL) {
    strlit3539 = alloc_String(">=");
    gc_root(strlit3539);
  }
// compiled string node returning strlit3539 (depth = 9)
  int op_slot_right_3538 = gc_frame_newslot(strlit3539);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_bigraph (depth = 9)
  int op_slot_left_3538 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit3539;
  partcv[0] = 1;
  Object opresult3541 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult3541 (depth = 8)
  Object if3537 = done;
  if (istrue(opresult3541)) {
// starting to compile call node (depth = 8)
  int callframe3542 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3543 == NULL) {
    strlit3543 = alloc_String("""\xe2""""\x89""""\xa5""");
    gc_root(strlit3543);
  }
// compiled string node returning strlit3543 (depth = 9)
  gc_frame_newslot(strlit3543);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mainBlock (depth = 9)
  params[0] = strlit3543;
  partcv[0] = 1;
  Object call3544 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3542);
// compiled call node returning call3544 (depth = 8)
    gc_frame_newslot(call3544);
    if3537 = call3544;
  } else {
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3547 == NULL) {
    strlit3547 = alloc_String("<=");
    gc_root(strlit3547);
  }
// compiled string node returning strlit3547 (depth = 10)
  int op_slot_right_3546 = gc_frame_newslot(strlit3547);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_bigraph (depth = 10)
  int op_slot_left_3546 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit3547;
  partcv[0] = 1;
  Object opresult3549 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult3549 (depth = 9)
  Object if3545 = done;
  if (istrue(opresult3549)) {
// starting to compile call node (depth = 9)
  int callframe3550 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit3551 == NULL) {
    strlit3551 = alloc_String("""\xe2""""\x89""""\xa4""");
    gc_root(strlit3551);
  }
// compiled string node returning strlit3551 (depth = 10)
  gc_frame_newslot(strlit3551);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_mainBlock (depth = 10)
  params[0] = strlit3551;
  partcv[0] = 1;
  Object call3552 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3550);
// compiled call node returning call3552 (depth = 9)
    gc_frame_newslot(call3552);
    if3545 = call3552;
  } else {
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1088
  setline(1088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3555 == NULL) {
    strlit3555 = alloc_String("!=");
    gc_root(strlit3555);
  }
// compiled string node returning strlit3555 (depth = 11)
  int op_slot_right_3554 = gc_frame_newslot(strlit3555);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_bigraph (depth = 11)
  int op_slot_left_3554 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit3555;
  partcv[0] = 1;
  Object opresult3557 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult3557 (depth = 10)
  Object if3553 = done;
  if (istrue(opresult3557)) {
// starting to compile call node (depth = 10)
  int callframe3558 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit3559 == NULL) {
    strlit3559 = alloc_String("""\xe2""""\x89""""\xa0""");
    gc_root(strlit3559);
  }
// compiled string node returning strlit3559 (depth = 11)
  gc_frame_newslot(strlit3559);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_mainBlock (depth = 11)
  params[0] = strlit3559;
  partcv[0] = 1;
  Object call3560 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3558);
// compiled call node returning call3560 (depth = 10)
    gc_frame_newslot(call3560);
    if3553 = call3560;
  } else {
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit3563 == NULL) {
    strlit3563 = alloc_String("[[");
    gc_root(strlit3563);
  }
// compiled string node returning strlit3563 (depth = 12)
  int op_slot_right_3562 = gc_frame_newslot(strlit3563);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_bigraph (depth = 12)
  int op_slot_left_3562 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit3563;
  partcv[0] = 1;
  Object opresult3565 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult3565 (depth = 11)
  Object if3561 = done;
  if (istrue(opresult3565)) {
// starting to compile call node (depth = 11)
  int callframe3566 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit3567 == NULL) {
    strlit3567 = alloc_String("""\xe2""""\x9f""""\xa6""");
    gc_root(strlit3567);
  }
// compiled string node returning strlit3567 (depth = 12)
  gc_frame_newslot(strlit3567);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_mainBlock (depth = 12)
  params[0] = strlit3567;
  partcv[0] = 1;
  Object call3568 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3566);
// compiled call node returning call3568 (depth = 11)
    gc_frame_newslot(call3568);
    if3561 = call3568;
  } else {
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit3571 == NULL) {
    strlit3571 = alloc_String("]]");
    gc_root(strlit3571);
  }
// compiled string node returning strlit3571 (depth = 13)
  int op_slot_right_3570 = gc_frame_newslot(strlit3571);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_bigraph (depth = 13)
  int op_slot_left_3570 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit3571;
  partcv[0] = 1;
  Object opresult3573 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult3573 (depth = 12)
  Object if3569 = done;
  if (istrue(opresult3573)) {
// starting to compile call node (depth = 12)
  int callframe3574 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit3575 == NULL) {
    strlit3575 = alloc_String("""\xe2""""\x9f""""\xa7""");
    gc_root(strlit3575);
  }
// compiled string node returning strlit3575 (depth = 13)
  gc_frame_newslot(strlit3575);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_mainBlock (depth = 13)
  params[0] = strlit3575;
  partcv[0] = 1;
  Object call3576 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3574);
// compiled call node returning call3576 (depth = 12)
    gc_frame_newslot(call3576);
    if3569 = call3576;
  } else {
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit3579 == NULL) {
    strlit3579 = alloc_String("->");
    gc_root(strlit3579);
  }
// compiled string node returning strlit3579 (depth = 14)
  int op_slot_right_3578 = gc_frame_newslot(strlit3579);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_bigraph (depth = 14)
  int op_slot_left_3578 = gc_frame_newslot(*var_bigraph);
  params[0] = strlit3579;
  partcv[0] = 1;
  Object opresult3581 = callmethod(*var_bigraph, "==(1)", 1, partcv, params);
// compiled op node returning opresult3581 (depth = 13)
  Object if3577 = done;
  if (istrue(opresult3581)) {
// starting to compile call node (depth = 13)
  int callframe3582 = gc_frame_new();
// starting to compile string node (depth = 14)
  if (strlit3583 == NULL) {
    strlit3583 = alloc_String("""\xe2""""\x86""""\x92""");
    gc_root(strlit3583);
  }
// compiled string node returning strlit3583 (depth = 14)
  gc_frame_newslot(strlit3583);
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mainBlock (depth = 14)
  params[0] = strlit3583;
  partcv[0] = 1;
  Object call3584 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3582);
// compiled call node returning call3584 (depth = 13)
    gc_frame_newslot(call3584);
    if3577 = call3584;
  } else {
// Begin line 1093
  setline(1093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe3585 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile num node (depth = 15)
  Object num3587 = alloc_Float64(1);
// compiled num node returning num3587 (depth = 15)
  int op_slot_right_3586 = gc_frame_newslot(num3587);
// starting to compile member node (depth = 15)
  int callframe3589 = gc_frame_new();
// call case 4: self request
  Object call3590 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3589);
// compiled member node returning call3590 (depth = 15)
  int op_slot_left_3586 = gc_frame_newslot(call3590);
  params[0] = num3587;
  partcv[0] = 1;
  Object diff3591 = callmethod(call3590, "-(1)", 1, partcv, params);
// compiled op node returning diff3591 (depth = 14)
  gc_frame_newslot(diff3591);
// call case 4: self request
  params[0] = diff3591;
  partcv[0] = 1;
  Object call3592 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3585);
// compiled call node returning call3592 (depth = 13)
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe3593 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_ch (depth = 14)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mainBlock (depth = 14)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call3594 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3593);
// compiled call node returning call3594 (depth = 13)
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe3595 = gc_frame_new();
// starting to compile op node (depth = 14)
// starting to compile num node (depth = 15)
  Object num3597 = alloc_Float64(1);
// compiled num node returning num3597 (depth = 15)
  int op_slot_right_3596 = gc_frame_newslot(num3597);
// starting to compile member node (depth = 15)
  int callframe3599 = gc_frame_new();
// call case 4: self request
  Object call3600 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3599);
// compiled member node returning call3600 (depth = 15)
  int op_slot_left_3596 = gc_frame_newslot(call3600);
  params[0] = num3597;
  partcv[0] = 1;
  Object sum3601 = callmethod(call3600, "+(1)", 1, partcv, params);
// compiled op node returning sum3601 (depth = 14)
  gc_frame_newslot(sum3601);
// call case 4: self request
  params[0] = sum3601;
  partcv[0] = 1;
  Object call3602 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3595);
// compiled call node returning call3602 (depth = 13)
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe3603 = gc_frame_new();
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextCh (depth = 14)
  gc_frame_newslot(*var_nextCh);
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_mainBlock (depth = 14)
  params[0] = *var_nextCh;
  partcv[0] = 1;
  Object call3604 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3603);
// compiled call node returning call3604 (depth = 13)
    gc_frame_newslot(call3604);
    if3577 = call3604;
  }
// compiled if node returning if3577 (depth = 12)
    gc_frame_newslot(if3577);
    if3569 = if3577;
  }
// compiled if node returning if3569 (depth = 11)
    gc_frame_newslot(if3569);
    if3561 = if3569;
  }
// compiled if node returning if3561 (depth = 10)
    gc_frame_newslot(if3561);
    if3553 = if3561;
  }
// compiled if node returning if3553 (depth = 9)
    gc_frame_newslot(if3553);
    if3545 = if3553;
  }
// compiled if node returning if3545 (depth = 8)
    gc_frame_newslot(if3545);
    if3537 = if3545;
  }
// compiled if node returning if3537 (depth = 7)
    gc_frame_newslot(if3537);
    if3507 = if3537;
  } else {
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe3606 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 9)
// starting to compile block node (depth = 10)
  Object block3608 = alloc_Block(NULL, NULL, "lexer", 1098);
  gc_frame_newslot(block3608);
// method "_apply"
  block_savedest(block3608);
  Object closure3609 = createclosure(2, "_apply");
  setclosureframe(closure3609, stackframe);
  addtoclosure(closure3609, var_mode);
  addtoclosure(closure3609, selfslot);
  struct UserObject *uo3609 = (struct UserObject*)block3608;
  uo3609->data[0] = (Object)closure3609;
  Method *meth_meth_lexer__apply3609 = addmethod2pos(block3608, "_apply", &meth_lexer__apply3609, 0);
  int argcv_meth_lexer__apply3609[] = {0};
  meth_meth_lexer__apply3609->type = alloc_MethodType(1, argcv_meth_lexer__apply3609);
  meth_meth_lexer__apply3609->definitionModule = modulename;
  meth_meth_lexer__apply3609->definitionLine = 1119;
// compiled block node returning block3608 (depth = 10)
  int op_slot_right_3607 = gc_frame_newslot(block3608);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3616 == NULL) {
    strlit3616 = alloc_String(" ");
    gc_root(strlit3616);
  }
// compiled string node returning strlit3616 (depth = 11)
  int op_slot_right_3615 = gc_frame_newslot(strlit3616);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ch (depth = 11)
  int op_slot_left_3615 = gc_frame_newslot(*var_ch);
  params[0] = strlit3616;
  partcv[0] = 1;
  Object opresult3618 = callmethod(*var_ch, "==(1)", 1, partcv, params);
// compiled op node returning opresult3618 (depth = 10)
  int op_slot_left_3607 = gc_frame_newslot(opresult3618);
  params[0] = block3608;
  partcv[0] = 1;
  Object opresult3619 = callmethod(opresult3618, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3619 (depth = 9)
  Object call3620 = callmethodflags(opresult3619, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3606);
// compiled member node returning call3620 (depth = 8)
  Object if3605 = done;
  if (istrue(call3620)) {
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3621 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ch (depth = 9)
  gc_frame_newslot(*var_ch);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_mainBlock (depth = 9)
  params[0] = *var_ch;
  partcv[0] = 1;
  Object call3622 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3621);
// compiled call node returning call3622 (depth = 8)
    gc_frame_newslot(call3622);
    if3605 = call3622;
  } else {
  }
// compiled if node returning if3605 (depth = 7)
    gc_frame_newslot(if3605);
    if3507 = if3605;
  }
// compiled if node returning if3507 (depth = 6)
  gc_frame_end(frame);
  return if3507;
}
Object meth_lexer__apply_40_1_41_3486(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_inStr = getfromclosure(closure, 0);
  Object *var_mainBlock = getfromclosure(closure, 1);
  Object *var_mode = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_eachLine = &(stackframe->slots[0]);
  *var_eachLine = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_charS = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "charS");
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3487 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_eachLine (depth = 6)
  Object call3488 = callmethodflags(*var_eachLine, "iterator", 0, partcv, params, 0);
  gc_frame_end(callframe3487);
// compiled member node returning call3488 (depth = 5)
  *var_charS = call3488;
  if (call3488 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3489 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block3490 = alloc_Block(NULL, NULL, "lexer", 1078);
  gc_frame_newslot(block3490);
// method "_apply"
  block_savedest(block3490);
  Object closure3491 = createclosure(2, "_apply");
  setclosureframe(closure3491, stackframe);
  addtoclosure(closure3491, var_charS);
  addtoclosure(closure3491, selfslot);
  struct UserObject *uo3491 = (struct UserObject*)block3490;
  uo3491->data[0] = (Object)closure3491;
  Method *meth_meth_lexer__apply3491 = addmethod2pos(block3490, "_apply", &meth_lexer__apply3491, 0);
  int argcv_meth_lexer__apply3491[] = {0};
  meth_meth_lexer__apply3491->type = alloc_MethodType(1, argcv_meth_lexer__apply3491);
  meth_meth_lexer__apply3491->definitionModule = modulename;
  meth_meth_lexer__apply3491->definitionLine = 1119;
// compiled block node returning block3490 (depth = 5)
  gc_frame_newslot(block3490);
// starting to compile block node (depth = 5)
  Object block3495 = alloc_Block(NULL, NULL, "lexer", 1078);
  gc_frame_newslot(block3495);
// method "_apply"
  block_savedest(block3495);
  Object closure3496 = createclosure(5, "_apply");
  setclosureframe(closure3496, stackframe);
  addtoclosure(closure3496, var_charS);
  addtoclosure(closure3496, var_inStr);
  addtoclosure(closure3496, var_mainBlock);
  addtoclosure(closure3496, var_mode);
  addtoclosure(closure3496, selfslot);
  struct UserObject *uo3496 = (struct UserObject*)block3495;
  uo3496->data[0] = (Object)closure3496;
  Method *meth_meth_lexer__apply3496 = addmethod2pos(block3495, "_apply", &meth_lexer__apply3496, 0);
  int argcv_meth_lexer__apply3496[] = {0};
  meth_meth_lexer__apply3496->type = alloc_MethodType(1, argcv_meth_lexer__apply3496);
  meth_meth_lexer__apply3496->definitionModule = modulename;
  meth_meth_lexer__apply3496->definitionLine = 1119;
// compiled block node returning block3495 (depth = 5)
  gc_frame_newslot(block3495);
// call case 5: prelude request
  params[0] = block3490;
  params[1] = block3495;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3624 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3489);
// compiled call node returning call3624 (depth = 4)
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3625 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3626 == NULL) {
    strlit3626 = alloc_String("""\x0a""");
    gc_root(strlit3626);
  }
// compiled string node returning strlit3626 (depth = 5)
  gc_frame_newslot(strlit3626);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mainBlock (depth = 5)
  params[0] = strlit3626;
  partcv[0] = 1;
  Object call3627 = callmethodflags(*var_mainBlock, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3625);
// compiled call node returning call3627 (depth = 4)
  gc_frame_end(frame);
  return call3627;
}
Object meth_lexer_lexinput_40_1_41_1907(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lexinput(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lexinput(_)");
  Object params[4];
  int partcv[3];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_unicode = getfromclosure(closure, 2);
  Object *var_spaceChars = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lexinput(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_inputLines = &(stackframe->slots[0]);
  *var_inputLines = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lexinput(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tokens");
  Object *var_mode = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "mode");
  Object *var_newmode = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "newmode");
  Object *var_inStr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "inStr");
  Object *var_inBackticks = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "inBackticks");
  Object *var_backtickIdent = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "backtickIdent");
  Object *var_accum = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "accum");
  Object *var_escaped = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "escaped");
  Object *var_unichars = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "unichars");
  Object *var_codepoint = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "codepoint");
  Object *var_interpdepth = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "interpdepth");
  Object *var_interpString = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "interpString");
  Object *var_atStart = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "atStart");
  Object *var_newlineFound = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "newlineFound");
  Object *var_mainBlock = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "mainBlock");
  Object *var_suggestion = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "suggestion");
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject1908 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj1908 = alloc_userobj2(14,12, objclass1908);
  gc_frame_newslot(obj1908);
// OBJECT OUTER DEC outer
  adddatum2(obj1908, self, 0);
  addmethodreal(obj1908,"outer", &reader_lexer_outer_1909);
  Object oldself1908 = self;
  struct StackFrameObject *oldstackframe1908 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe1908);
  gc_frame_newslot((Object)stackframe);
  self = obj1908;
  Object *oldselfslot1908 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter1908 = (*(struct UserObject *)self).data[0], lowerouter1908 = thisouter1908;
  if (inheritingObject1908) {
    struct UserObject *inho1908 = (struct UserObject *)inheritingObject1908;
    while (inho1908->super != GraceDefaultObject) inho1908 = (struct UserObject *)inho1908->super;
    inho1908->super = obj1908;
    self = inheritingObject1908;
    *selfslot = self;
    lowerouter1908 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter1908;
  }
if (objclass1908 == NULL) {
  Method *reader1910 = addmethodrealflags(obj1908, "first", &reader_lexer_first_1910, 0);
  Method *writer1910 = addmethodrealflags(obj1908, "first:=(1)", &writer_lexer_first_1910, MFLAG_CONFIDENTIAL);
  reader1910->definitionModule = modulename;
  writer1910->definitionModule = modulename;
  reader1910->definitionLine = 582;
  writer1910->definitionLine = 582;
}
obj1908->flags |= OFLAG_MUTABLE;
adddatum2(obj1908, alloc_Undefined(), 1);
if (objclass1908 == NULL) {
  Method *reader1911 = addmethodrealflags(obj1908, "last", &reader_lexer_last_1911, 0);
  Method *writer1911 = addmethodrealflags(obj1908, "last:=(1)", &writer_lexer_last_1911, MFLAG_CONFIDENTIAL);
  reader1911->definitionModule = modulename;
  writer1911->definitionModule = modulename;
  reader1911->definitionLine = 583;
  writer1911->definitionLine = 583;
}
obj1908->flags |= OFLAG_MUTABLE;
adddatum2(obj1908, alloc_Undefined(), 2);
if (objclass1908 == NULL) {
  Method *reader1912 = addmethodrealflags(obj1908, "size'", &reader_lexer_size_39__1912, MFLAG_CONFIDENTIAL);
  Method *writer1912 = addmethodrealflags(obj1908, "size':=(1)", &writer_lexer_size_39__1912, MFLAG_CONFIDENTIAL);
  reader1912->definitionModule = modulename;
  writer1912->definitionModule = modulename;
  reader1912->definitionLine = 584;
  writer1912->definitionLine = 584;
}
obj1908->flags |= OFLAG_MUTABLE;
adddatum2(obj1908, alloc_Undefined(), 3);
// method "push(_)"
  struct UserObject *uo1913 = (struct UserObject*)obj1908;
  uo1913->data[4] = emptyclosure;
  Method *meth_meth_lexer_push_40_1_41_1913 = addmethod2pos(obj1908, "push(1)", &meth_lexer_push_40_1_41_1913, 4);
  int argcv_meth_lexer_push_40_1_41_1913[] = {1};
  meth_meth_lexer_push_40_1_41_1913->type = alloc_MethodType(1, argcv_meth_lexer_push_40_1_41_1913);
  meth_meth_lexer_push_40_1_41_1913->definitionModule = modulename;
  meth_meth_lexer_push_40_1_41_1913->definitionLine = 586;
// method "pop"
  struct UserObject *uo1943 = (struct UserObject*)obj1908;
  uo1943->data[5] = emptyclosure;
  Method *meth_meth_lexer_pop1943 = addmethod2pos(obj1908, "pop", &meth_lexer_pop1943, 5);
  int argcv_meth_lexer_pop1943[] = {0};
  meth_meth_lexer_pop1943->type = alloc_MethodType(1, argcv_meth_lexer_pop1943);
  meth_meth_lexer_pop1943->definitionModule = modulename;
  meth_meth_lexer_pop1943->definitionLine = 598;
// method "poll"
  struct UserObject *uo1977 = (struct UserObject*)obj1908;
  uo1977->data[6] = emptyclosure;
  Method *meth_meth_lexer_poll1977 = addmethod2pos(obj1908, "poll", &meth_lexer_poll1977, 6);
  int argcv_meth_lexer_poll1977[] = {0};
  meth_meth_lexer_poll1977->type = alloc_MethodType(1, argcv_meth_lexer_poll1977);
  meth_meth_lexer_poll1977->definitionModule = modulename;
  meth_meth_lexer_poll1977->definitionLine = 610;
// method "size"
  struct UserObject *uo2011 = (struct UserObject*)obj1908;
  uo2011->data[7] = emptyclosure;
  Method *meth_meth_lexer_size2011 = addmethod2pos(obj1908, "size", &meth_lexer_size2011, 7);
  int argcv_meth_lexer_size2011[] = {0};
  meth_meth_lexer_size2011->type = alloc_MethodType(1, argcv_meth_lexer_size2011);
  meth_meth_lexer_size2011->definitionModule = modulename;
  meth_meth_lexer_size2011->definitionLine = 622;
// method "iter"
  struct UserObject *uo2018 = (struct UserObject*)obj1908;
  uo2018->data[8] = emptyclosure;
  Method *meth_meth_lexer_iter2018 = addmethod2pos(obj1908, "iter", &meth_lexer_iter2018, 8);
  int argcv_meth_lexer_iter2018[] = {0};
  meth_meth_lexer_iter2018->type = alloc_MethodType(1, argcv_meth_lexer_iter2018);
  meth_meth_lexer_iter2018->definitionModule = modulename;
  meth_meth_lexer_iter2018->definitionLine = 626;
  Method *meth_meth_lexer_iter2018_object = addmethod2pos(obj1908, "iter$object(1)", &meth_lexer_iter2018_object, 8);
  int argcv_meth_lexer_iter2018_object[] = {0};
  meth_meth_lexer_iter2018_object->type = alloc_MethodType(1, argcv_meth_lexer_iter2018_object);
  meth_meth_lexer_iter2018_object->definitionModule = modulename;
  meth_meth_lexer_iter2018_object->definitionLine = 626;
// method "iterator"
  struct UserObject *uo2050 = (struct UserObject*)obj1908;
  uo2050->data[9] = emptyclosure;
  Method *meth_meth_lexer_iterator2050 = addmethod2pos(obj1908, "iterator", &meth_lexer_iterator2050, 9);
  int argcv_meth_lexer_iterator2050[] = {0};
  meth_meth_lexer_iterator2050->type = alloc_MethodType(1, argcv_meth_lexer_iterator2050);
  meth_meth_lexer_iterator2050->definitionModule = modulename;
  meth_meth_lexer_iterator2050->definitionLine = 643;
// method "do(_)"
  struct UserObject *uo2053 = (struct UserObject*)obj1908;
  uo2053->data[10] = emptyclosure;
  Method *meth_meth_lexer_do_40_1_41_2053 = addmethod2pos(obj1908, "do(1)", &meth_lexer_do_40_1_41_2053, 10);
  int argcv_meth_lexer_do_40_1_41_2053[] = {1};
  meth_meth_lexer_do_40_1_41_2053->type = alloc_MethodType(1, argcv_meth_lexer_do_40_1_41_2053);
  meth_meth_lexer_do_40_1_41_2053->definitionModule = modulename;
  meth_meth_lexer_do_40_1_41_2053->definitionLine = 647;
  sourceObject = obj1908;
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2073 = alloc_Boolean(0);
// compiled identifier node returning bool2073 (depth = 4)
  adddatum2(obj1908, bool2073, 1);
  sourceObject = obj1908;
// Begin line 583
  setline(583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool2074 = alloc_Boolean(0);
// compiled identifier node returning bool2074 (depth = 4)
  adddatum2(obj1908, bool2074, 2);
  sourceObject = obj1908;
// Begin line 584
  setline(584);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 4)
  Object num2075 = alloc_Float64(0);
// compiled num node returning num2075 (depth = 4)
  adddatum2(obj1908, num2075, 3);
  sourceObject = obj1908;
  sourceObject = obj1908;
  sourceObject = obj1908;
  sourceObject = obj1908;
  sourceObject = obj1908;
  sourceObject = obj1908;
  sourceObject = obj1908;
  objclass1908 = obj1908->class;
  objclass1908->definitionModule = modulename;
  objclass1908->definitionLine = 581;
  (*(struct UserObject *)self).data[0] = lowerouter1908;
  self = oldself1908;
  selfslot = oldselfslot1908;
  stackframe = oldstackframe1908;
// compiled object node returning obj1908 (depth = 3)
  *var_tokens = obj1908;
  if (obj1908 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2076 == NULL) {
    strlit2076 = alloc_String("d");
    gc_root(strlit2076);
  }
// compiled string node returning strlit2076 (depth = 3)
  *var_mode = strlit2076;
  if (strlit2076 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 657
  setline(657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_mode (depth = 3)
  *var_newmode = *var_mode;
  if (*var_mode == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2077 = alloc_Boolean(0);
// compiled identifier node returning bool2077 (depth = 3)
  *var_inStr = bool2077;
  if (bool2077 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2078 = alloc_Boolean(0);
// compiled identifier node returning bool2078 (depth = 3)
  *var_inBackticks = bool2078;
  if (bool2078 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2079 = alloc_Boolean(0);
// compiled identifier node returning bool2079 (depth = 3)
  *var_backtickIdent = bool2079;
  if (bool2079 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit2080 == NULL) {
    strlit2080 = alloc_String("");
    gc_root(strlit2080);
  }
// compiled string node returning strlit2080 (depth = 3)
  *var_accum = strlit2080;
  if (strlit2080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2081 = alloc_Boolean(0);
// compiled identifier node returning bool2081 (depth = 3)
  *var_escaped = bool2081;
  if (bool2081 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2082 = alloc_Float64(0);
// compiled num node returning num2082 (depth = 3)
  *var_unichars = num2082;
  if (num2082 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 664
  setline(664);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2083 = alloc_Float64(0);
// compiled num node returning num2083 (depth = 3)
  *var_codepoint = num2083;
  if (num2083 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 665
  setline(665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num2084 = alloc_Float64(0);
// compiled num node returning num2084 (depth = 3)
  *var_interpdepth = num2084;
  if (num2084 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 666
  setline(666);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2085 = alloc_Boolean(0);
// compiled identifier node returning bool2085 (depth = 3)
  *var_interpString = bool2085;
  if (bool2085 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2086 = alloc_Boolean(1);
// compiled identifier node returning bool2086 (depth = 3)
  *var_atStart = bool2086;
  if (bool2086 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool2087 = alloc_Boolean(0);
// compiled identifier node returning bool2087 (depth = 3)
  *var_newlineFound = bool2087;
  if (bool2087 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2088 = gc_frame_new();
// starting to compile num node (depth = 3)
  Object num2089 = alloc_Float64(0);
// compiled num node returning num2089 (depth = 3)
  gc_frame_newslot(num2089);
// call case 4: self request
  params[0] = num2089;
  partcv[0] = 1;
  Object call2090 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2088);
// compiled call node returning call2090 (depth = 2)
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe2091 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit2092 == NULL) {
    strlit2092 = alloc_String("lexing.");
    gc_root(strlit2092);
  }
// compiled string node returning strlit2092 (depth = 3)
  gc_frame_newslot(strlit2092);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit2092;
  partcv[0] = 1;
  Object call2093 = callmethodflags(*var_util, "log_verbose(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2091);
// compiled call node returning call2093 (depth = 2)
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile block node (depth = 3)
  Object block2094 = alloc_Block(NULL, NULL, "lexer", 671);
  gc_frame_newslot(block2094);
// method "_apply(_)"
  block_savedest(block2094);
  Object closure2095 = createclosure(17, "_apply(1)");
  setclosureframe(closure2095, stackframe);
  addtoclosure(closure2095, var_mode);
  addtoclosure(closure2095, var_errormessages);
  addtoclosure(closure2095, var_inStr);
  addtoclosure(closure2095, var_unicode);
  addtoclosure(closure2095, var_atStart);
  addtoclosure(closure2095, var_newmode);
  addtoclosure(closure2095, var_spaceChars);
  addtoclosure(closure2095, var_tokens);
  addtoclosure(closure2095, var_accum);
  addtoclosure(closure2095, var_util);
  addtoclosure(closure2095, var_escaped);
  addtoclosure(closure2095, var_interpString);
  addtoclosure(closure2095, var_interpdepth);
  addtoclosure(closure2095, var_unichars);
  addtoclosure(closure2095, var_codepoint);
  addtoclosure(closure2095, var_newlineFound);
  addtoclosure(closure2095, selfslot);
  struct UserObject *uo2095 = (struct UserObject*)block2094;
  uo2095->data[0] = (Object)closure2095;
  Method *meth_meth_lexer__apply_40_1_41_2095 = addmethod2pos(block2094, "_apply(1)", &meth_lexer__apply_40_1_41_2095, 0);
  int argcv_meth_lexer__apply_40_1_41_2095[] = {1};
  meth_meth_lexer__apply_40_1_41_2095->type = alloc_MethodType(1, argcv_meth_lexer__apply_40_1_41_2095);
  meth_meth_lexer__apply_40_1_41_2095->definitionModule = modulename;
  meth_meth_lexer__apply_40_1_41_2095->definitionLine = 1119;
// compiled block node returning block2094 (depth = 3)
  *var_mainBlock = block2094;
  if (block2094 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3484 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inputLines (depth = 3)
  gc_frame_newslot(*var_inputLines);
// starting to compile block node (depth = 3)
  Object block3485 = alloc_Block(NULL, NULL, "lexer", 1076);
  gc_frame_newslot(block3485);
// method "_apply(_)"
  block_savedest(block3485);
  Object closure3486 = createclosure(4, "_apply(1)");
  setclosureframe(closure3486, stackframe);
  addtoclosure(closure3486, var_inStr);
  addtoclosure(closure3486, var_mainBlock);
  addtoclosure(closure3486, var_mode);
  addtoclosure(closure3486, selfslot);
  struct UserObject *uo3486 = (struct UserObject*)block3485;
  uo3486->data[0] = (Object)closure3486;
  Method *meth_meth_lexer__apply_40_1_41_3486 = addmethod2pos(block3485, "_apply(1)", &meth_lexer__apply_40_1_41_3486, 0);
  int argcv_meth_lexer__apply_40_1_41_3486[] = {1};
  meth_meth_lexer__apply_40_1_41_3486->type = alloc_MethodType(1, argcv_meth_lexer__apply_40_1_41_3486);
  meth_meth_lexer__apply_40_1_41_3486->definitionModule = modulename;
  meth_meth_lexer__apply_40_1_41_3486->definitionLine = 1119;
// compiled block node returning block3485 (depth = 3)
  gc_frame_newslot(block3485);
// call case 5: prelude request
  params[0] = *var_inputLines;
  params[1] = block3485;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3629 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3484);
// compiled call node returning call3629 (depth = 2)
// Begin line 1104
  setline(1104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3630 = gc_frame_new();
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3632 = alloc_Float64(1);
// compiled num node returning num3632 (depth = 4)
  int op_slot_right_3631 = gc_frame_newslot(num3632);
// starting to compile member node (depth = 4)
  int callframe3634 = gc_frame_new();
// call case 4: self request
  Object call3635 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3634);
// compiled member node returning call3635 (depth = 4)
  int op_slot_left_3631 = gc_frame_newslot(call3635);
  params[0] = num3632;
  partcv[0] = 1;
  Object sum3636 = callmethod(call3635, "+(1)", 1, partcv, params);
// compiled op node returning sum3636 (depth = 3)
  gc_frame_newslot(sum3636);
// call case 4: self request
  params[0] = sum3636;
  partcv[0] = 1;
  Object call3637 = callmethodflags(self, "linePosition:=(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3630);
// compiled call node returning call3637 (depth = 2)
// Begin line 1105
  setline(1105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_inStr (depth = 3)
  Object if3638 = done;
  if (istrue(*var_inStr)) {
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3641 == NULL) {
    strlit3641 = alloc_String("""\x22""");
    gc_root(strlit3641);
  }
// compiled string node returning strlit3641 (depth = 5)
  int op_slot_right_3640 = gc_frame_newslot(strlit3641);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_mode (depth = 5)
  int op_slot_left_3640 = gc_frame_newslot(*var_mode);
  params[0] = strlit3641;
  partcv[0] = 1;
  Object opresult3643 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult3643 (depth = 4)
  Object if3639 = done;
  if (istrue(opresult3643)) {
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3644 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3645 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3646 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3645);
// compiled member node returning call3646 (depth = 6)
  Object call3647 = callmethodflags(call3646, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3644);
// compiled member node returning call3647 (depth = 5)
  *var_suggestion = call3647;
  if (call3647 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3648 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3649 = gc_frame_new();
// call case 4: self request
  Object call3650 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3649);
// compiled member node returning call3650 (depth = 5)
  gc_frame_newslot(call3650);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3652 == NULL) {
    strlit3652 = alloc_String("""\x22""");
    gc_root(strlit3652);
  }
// compiled string node returning strlit3652 (depth = 6)
  int op_slot_right_3651 = gc_frame_newslot(strlit3652);
// starting to compile call node (depth = 6)
  int callframe3654 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3655 = gc_frame_new();
// call case 4: self request
  Object call3656 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3655);
// compiled member node returning call3656 (depth = 7)
  gc_frame_newslot(call3656);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3657 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_util (depth = 8)
  Object call3658 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe3657);
// compiled member node returning call3658 (depth = 7)
  params[0] = call3656;
  partcv[0] = 1;
  Object call3659 = callmethodflags(call3658, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3654);
// compiled call node returning call3659 (depth = 6)
  int op_slot_left_3651 = gc_frame_newslot(call3659);
  params[0] = strlit3652;
  partcv[0] = 1;
  Object opresult3660 = callmethod(call3659, "++(1)", 1, partcv, params);
// compiled op node returning opresult3660 (depth = 5)
  gc_frame_newslot(opresult3660);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = call3650;
  params[1] = opresult3660;
  partcv[0] = 2;
  Object call3661 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3648);
// compiled call node returning call3661 (depth = 4)
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3662 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3663 == NULL) {
    strlit3663 = alloc_String("a string must be terminated with a ""\x22"" before the end of the line.");
    gc_root(strlit3663);
  }
// compiled string node returning strlit3663 (depth = 5)
  gc_frame_newslot(strlit3663);
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3664 = gc_frame_new();
// call case 4: self request
  Object call3665 = callmethodflags(self, "lineNumber", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3664);
// compiled member node returning call3665 (depth = 5)
  gc_frame_newslot(call3665);
// starting to compile member node (depth = 5)
  int callframe3666 = gc_frame_new();
// call case 4: self request
  Object call3667 = callmethodflags(self, "linePosition", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3666);
// compiled member node returning call3667 (depth = 5)
  gc_frame_newslot(call3667);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3663;
  params[1] = call3665;
  params[2] = call3667;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3668 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3662);
// compiled call node returning call3668 (depth = 4)
    gc_frame_newslot(call3668);
    if3639 = call3668;
  } else {
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1111
  setline(1111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3671 == NULL) {
    strlit3671 = alloc_String("q");
    gc_root(strlit3671);
  }
// compiled string node returning strlit3671 (depth = 6)
  int op_slot_right_3670 = gc_frame_newslot(strlit3671);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_mode (depth = 6)
  int op_slot_left_3670 = gc_frame_newslot(*var_mode);
  params[0] = strlit3671;
  partcv[0] = 1;
  Object opresult3673 = callmethod(*var_mode, "==(1)", 1, partcv, params);
// compiled op node returning opresult3673 (depth = 5)
  Object if3669 = done;
  if (istrue(opresult3673)) {
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3674 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3677 == NULL) {
    strlit3677 = alloc_String(" and unclosed at end of input.");
    gc_root(strlit3677);
  }
// compiled string node returning strlit3677 (depth = 8)
  int op_slot_right_3676 = gc_frame_newslot(strlit3677);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3680 = gc_frame_new();
// call case 4: self request
  Object call3681 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3680);
// compiled member node returning call3681 (depth = 9)
  int op_slot_right_3679 = gc_frame_newslot(call3681);
// starting to compile string node (depth = 9)
  if (strlit3683 == NULL) {
    strlit3683 = alloc_String("String opened on line ");
    gc_root(strlit3683);
  }
// compiled string node returning strlit3683 (depth = 9)
  int op_slot_left_3679 = gc_frame_newslot(strlit3683);
  params[0] = call3681;
  partcv[0] = 1;
  Object opresult3684 = callmethod(strlit3683, "++(1)", 1, partcv, params);
// compiled op node returning opresult3684 (depth = 8)
  int op_slot_left_3676 = gc_frame_newslot(opresult3684);
  params[0] = strlit3677;
  partcv[0] = 1;
  Object opresult3685 = callmethod(opresult3684, "++(1)", 1, partcv, params);
// compiled op node returning opresult3685 (depth = 7)
  int op_slot_right_3675 = gc_frame_newslot(opresult3685);
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit3687 == NULL) {
    strlit3687 = alloc_String("a multi-line string must end with a '""\xe2""""\x80""""\xba""'.""\x0a""");
    gc_root(strlit3687);
  }
// compiled string node returning strlit3687 (depth = 7)
  int op_slot_left_3675 = gc_frame_newslot(strlit3687);
  params[0] = opresult3685;
  partcv[0] = 1;
  Object opresult3688 = callmethod(strlit3687, "++(1)", 1, partcv, params);
// compiled op node returning opresult3688 (depth = 6)
  gc_frame_newslot(opresult3688);
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3689 = gc_frame_new();
// call case 4: self request
  Object call3690 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3689);
// compiled member node returning call3690 (depth = 6)
  gc_frame_newslot(call3690);
// starting to compile member node (depth = 6)
  int callframe3691 = gc_frame_new();
// call case 4: self request
  Object call3692 = callmethodflags(self, "stringStart", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3691);
// compiled member node returning call3692 (depth = 6)
  gc_frame_newslot(call3692);
// starting to compile member node (depth = 6)
  int callframe3693 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe3694 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe3695 = gc_frame_new();
// call case 4: self request
  Object call3696 = callmethodflags(self, "startLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3695);
// compiled member node returning call3696 (depth = 8)
  gc_frame_newslot(call3696);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3697 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  Object call3698 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe3697);
// compiled member node returning call3698 (depth = 8)
  params[0] = call3696;
  partcv[0] = 1;
  Object call3699 = callmethodflags(call3698, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3694);
// compiled call node returning call3699 (depth = 7)
  Object call3700 = callmethodflags(call3699, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3693);
// compiled member node returning call3700 (depth = 6)
  gc_frame_newslot(call3700);
// call case 6: other requests
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult3688;
  params[1] = call3690;
  params[2] = call3692;
  params[3] = call3700;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call3701 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe3674);
// compiled call node returning call3701 (depth = 5)
    gc_frame_newslot(call3701);
    if3669 = call3701;
  } else {
  }
// compiled if node returning if3669 (depth = 4)
    gc_frame_newslot(if3669);
    if3639 = if3669;
  }
// compiled if node returning if3639 (depth = 3)
    gc_frame_newslot(if3639);
    if3638 = if3639;
  } else {
  }
// compiled if node returning if3638 (depth = 2)
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3702 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tokens (depth = 3)
  gc_frame_newslot(*var_tokens);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_mode (depth = 3)
  gc_frame_newslot(*var_mode);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_accum (depth = 3)
  gc_frame_newslot(*var_accum);
// call case 4: self request
  params[0] = *var_tokens;
  params[1] = *var_mode;
  params[2] = *var_accum;
  partcv[0] = 3;
  Object call3703 = callmethodflags(self, "modechange(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3702);
// compiled call node returning call3703 (depth = 2)
// Begin line 1118
  setline(1118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3704 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe3705 = gc_frame_new();
// call case 4: self request
  Object call3706 = callmethodflags(self, "eofToken", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3705);
// compiled member node returning call3706 (depth = 3)
  gc_frame_newslot(call3706);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tokens (depth = 3)
  params[0] = call3706;
  partcv[0] = 1;
  Object call3707 = callmethodflags(*var_tokens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3704);
// compiled call node returning call3707 (depth = 2)
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_tokens (depth = 2)
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_lexer_new97(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_keywords = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_spaceChars = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject98 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj98 = alloc_userobj2(64,59, objclass98);
  gc_frame_newslot(obj98);
if (objclass98 == NULL) {
  glfree(obj98->class->name);
  obj98->class->name = "new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj98, self, 0);
  addmethodreal(obj98,"outer", &reader_lexer_outer_99);
  Object oldself98 = self;
  struct StackFrameObject *oldstackframe98 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe98);
  gc_frame_newslot((Object)stackframe);
  self = obj98;
  Object *oldselfslot98 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter98 = (*(struct UserObject *)self).data[0], lowerouter98 = thisouter98;
  if (inheritingObject98) {
    struct UserObject *inho98 = (struct UserObject *)inheritingObject98;
    while (inho98->super != GraceDefaultObject) inho98 = (struct UserObject *)inho98->super;
    inho98->super = obj98;
    self = inheritingObject98;
    *selfslot = self;
    lowerouter98 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter98;
  }
if (objclass98 == NULL) {
  Method *reader100 = addmethodrealflags(obj98, "lineNumber", &reader_lexer_lineNumber_100, MFLAG_CONFIDENTIAL);
  Method *writer100 = addmethodrealflags(obj98, "lineNumber:=(1)", &writer_lexer_lineNumber_100, MFLAG_CONFIDENTIAL);
  reader100->definitionModule = modulename;
  writer100->definitionModule = modulename;
  reader100->definitionLine = 83;
  writer100->definitionLine = 83;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 1);
if (objclass98 == NULL) {
  Method *reader101 = addmethodrealflags(obj98, "linePosition", &reader_lexer_linePosition_101, MFLAG_CONFIDENTIAL);
  Method *writer101 = addmethodrealflags(obj98, "linePosition:=(1)", &writer_lexer_linePosition_101, MFLAG_CONFIDENTIAL);
  reader101->definitionModule = modulename;
  writer101->definitionModule = modulename;
  reader101->definitionLine = 84;
  writer101->definitionLine = 84;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 2);
if (objclass98 == NULL) {
  Method *reader102 = addmethodrealflags(obj98, "startPosition", &reader_lexer_startPosition_102, MFLAG_CONFIDENTIAL);
  Method *writer102 = addmethodrealflags(obj98, "startPosition:=(1)", &writer_lexer_startPosition_102, MFLAG_CONFIDENTIAL);
  reader102->definitionModule = modulename;
  writer102->definitionModule = modulename;
  reader102->definitionLine = 85;
  writer102->definitionLine = 85;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 3);
if (objclass98 == NULL) {
  Method *reader103 = addmethodrealflags(obj98, "indentLevel", &reader_lexer_indentLevel_103, MFLAG_CONFIDENTIAL);
  Method *writer103 = addmethodrealflags(obj98, "indentLevel:=(1)", &writer_lexer_indentLevel_103, MFLAG_CONFIDENTIAL);
  reader103->definitionModule = modulename;
  writer103->definitionModule = modulename;
  reader103->definitionLine = 86;
  writer103->definitionLine = 86;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 4);
if (objclass98 == NULL) {
  Method *reader104 = addmethodrealflags(obj98, "startLine", &reader_lexer_startLine_104, MFLAG_CONFIDENTIAL);
  Method *writer104 = addmethodrealflags(obj98, "startLine:=(1)", &writer_lexer_startLine_104, MFLAG_CONFIDENTIAL);
  reader104->definitionModule = modulename;
  writer104->definitionModule = modulename;
  reader104->definitionLine = 87;
  writer104->definitionLine = 87;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 5);
if (objclass98 == NULL) {
  Method *reader105 = addmethodrealflags(obj98, "stringStart", &reader_lexer_stringStart_105, MFLAG_CONFIDENTIAL);
  Method *writer105 = addmethodrealflags(obj98, "stringStart:=(1)", &writer_lexer_stringStart_105, MFLAG_CONFIDENTIAL);
  reader105->definitionModule = modulename;
  writer105->definitionModule = modulename;
  reader105->definitionLine = 88;
  writer105->definitionLine = 88;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 6);
// method "token"
  struct UserObject *uo106 = (struct UserObject*)obj98;
  uo106->data[7] = emptyclosure;
  Method *meth_meth_lexer_token106 = addmethod2pos(obj98, "token", &meth_lexer_token106, 7);
  int argcv_meth_lexer_token106[] = {0};
  meth_meth_lexer_token106->type = alloc_MethodType(1, argcv_meth_lexer_token106);
  meth_meth_lexer_token106->definitionModule = modulename;
  meth_meth_lexer_token106->definitionLine = 90;
  Method *meth_meth_lexer_token106_object = addmethod2pos(obj98, "token$object(1)", &meth_lexer_token106_object, 7);
  int argcv_meth_lexer_token106_object[] = {0};
  meth_meth_lexer_token106_object->type = alloc_MethodType(1, argcv_meth_lexer_token106_object);
  meth_meth_lexer_token106_object->definitionModule = modulename;
  meth_meth_lexer_token106_object->definitionLine = 90;
// method "identifierToken(_)"
  struct UserObject *uo191 = (struct UserObject*)obj98;
  uo191->data[8] = emptyclosure;
  Method *meth_meth_lexer_identifierToken_40_1_41_191 = addmethod2pos(obj98, "identifierToken(1)", &meth_lexer_identifierToken_40_1_41_191, 8);
  int argcv_meth_lexer_identifierToken_40_1_41_191[] = {1};
  meth_meth_lexer_identifierToken_40_1_41_191->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken_40_1_41_191);
  meth_meth_lexer_identifierToken_40_1_41_191->definitionModule = modulename;
  meth_meth_lexer_identifierToken_40_1_41_191->definitionLine = 109;
  Method *meth_meth_lexer_identifierToken_40_1_41_191_object = addmethod2pos(obj98, "identifierToken(1)$object(1)", &meth_lexer_identifierToken_40_1_41_191_object, 8);
  int argcv_meth_lexer_identifierToken_40_1_41_191_object[] = {1};
  meth_meth_lexer_identifierToken_40_1_41_191_object->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken_40_1_41_191_object);
  meth_meth_lexer_identifierToken_40_1_41_191_object->definitionModule = modulename;
  meth_meth_lexer_identifierToken_40_1_41_191_object->definitionLine = 109;
// method "stringToken(_)"
  struct UserObject *uo205 = (struct UserObject*)obj98;
  uo205->data[9] = emptyclosure;
  Method *meth_meth_lexer_stringToken_40_1_41_205 = addmethod2pos(obj98, "stringToken(1)", &meth_lexer_stringToken_40_1_41_205, 9);
  int argcv_meth_lexer_stringToken_40_1_41_205[] = {1};
  meth_meth_lexer_stringToken_40_1_41_205->type = alloc_MethodType(1, argcv_meth_lexer_stringToken_40_1_41_205);
  meth_meth_lexer_stringToken_40_1_41_205->definitionModule = modulename;
  meth_meth_lexer_stringToken_40_1_41_205->definitionLine = 115;
  Method *meth_meth_lexer_stringToken_40_1_41_205_object = addmethod2pos(obj98, "stringToken(1)$object(1)", &meth_lexer_stringToken_40_1_41_205_object, 9);
  int argcv_meth_lexer_stringToken_40_1_41_205_object[] = {1};
  meth_meth_lexer_stringToken_40_1_41_205_object->type = alloc_MethodType(1, argcv_meth_lexer_stringToken_40_1_41_205_object);
  meth_meth_lexer_stringToken_40_1_41_205_object->definitionModule = modulename;
  meth_meth_lexer_stringToken_40_1_41_205_object->definitionLine = 115;
// method "multiLineStringToken(_)"
  struct UserObject *uo232 = (struct UserObject*)obj98;
  uo232->data[10] = emptyclosure;
  Method *meth_meth_lexer_multiLineStringToken_40_1_41_232 = addmethod2pos(obj98, "multiLineStringToken(1)", &meth_lexer_multiLineStringToken_40_1_41_232, 10);
  int argcv_meth_lexer_multiLineStringToken_40_1_41_232[] = {1};
  meth_meth_lexer_multiLineStringToken_40_1_41_232->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken_40_1_41_232);
  meth_meth_lexer_multiLineStringToken_40_1_41_232->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken_40_1_41_232->definitionLine = 121;
  Method *meth_meth_lexer_multiLineStringToken_40_1_41_232_object = addmethod2pos(obj98, "multiLineStringToken(1)$object(1)", &meth_lexer_multiLineStringToken_40_1_41_232_object, 10);
  int argcv_meth_lexer_multiLineStringToken_40_1_41_232_object[] = {1};
  meth_meth_lexer_multiLineStringToken_40_1_41_232_object->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken_40_1_41_232_object);
  meth_meth_lexer_multiLineStringToken_40_1_41_232_object->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken_40_1_41_232_object->definitionLine = 121;
// method "commentToken(_)"
  struct UserObject *uo266 = (struct UserObject*)obj98;
  uo266->data[11] = emptyclosure;
  Method *meth_meth_lexer_commentToken_40_1_41_266 = addmethod2pos(obj98, "commentToken(1)", &meth_lexer_commentToken_40_1_41_266, 11);
  int argcv_meth_lexer_commentToken_40_1_41_266[] = {1};
  meth_meth_lexer_commentToken_40_1_41_266->type = alloc_MethodType(1, argcv_meth_lexer_commentToken_40_1_41_266);
  meth_meth_lexer_commentToken_40_1_41_266->definitionModule = modulename;
  meth_meth_lexer_commentToken_40_1_41_266->definitionLine = 131;
  Method *meth_meth_lexer_commentToken_40_1_41_266_object = addmethod2pos(obj98, "commentToken(1)$object(1)", &meth_lexer_commentToken_40_1_41_266_object, 11);
  int argcv_meth_lexer_commentToken_40_1_41_266_object[] = {1};
  meth_meth_lexer_commentToken_40_1_41_266_object->type = alloc_MethodType(1, argcv_meth_lexer_commentToken_40_1_41_266_object);
  meth_meth_lexer_commentToken_40_1_41_266_object->definitionModule = modulename;
  meth_meth_lexer_commentToken_40_1_41_266_object->definitionLine = 131;
// method "lBraceToken"
  struct UserObject *uo284 = (struct UserObject*)obj98;
  uo284->data[12] = emptyclosure;
  Method *meth_meth_lexer_lBraceToken284 = addmethod2pos(obj98, "lBraceToken", &meth_lexer_lBraceToken284, 12);
  int argcv_meth_lexer_lBraceToken284[] = {0};
  meth_meth_lexer_lBraceToken284->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken284);
  meth_meth_lexer_lBraceToken284->definitionModule = modulename;
  meth_meth_lexer_lBraceToken284->definitionLine = 137;
  Method *meth_meth_lexer_lBraceToken284_object = addmethod2pos(obj98, "lBraceToken$object(1)", &meth_lexer_lBraceToken284_object, 12);
  int argcv_meth_lexer_lBraceToken284_object[] = {0};
  meth_meth_lexer_lBraceToken284_object->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken284_object);
  meth_meth_lexer_lBraceToken284_object->definitionModule = modulename;
  meth_meth_lexer_lBraceToken284_object->definitionLine = 137;
// method "rBraceToken"
  struct UserObject *uo298 = (struct UserObject*)obj98;
  uo298->data[13] = emptyclosure;
  Method *meth_meth_lexer_rBraceToken298 = addmethod2pos(obj98, "rBraceToken", &meth_lexer_rBraceToken298, 13);
  int argcv_meth_lexer_rBraceToken298[] = {0};
  meth_meth_lexer_rBraceToken298->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken298);
  meth_meth_lexer_rBraceToken298->definitionModule = modulename;
  meth_meth_lexer_rBraceToken298->definitionLine = 143;
  Method *meth_meth_lexer_rBraceToken298_object = addmethod2pos(obj98, "rBraceToken$object(1)", &meth_lexer_rBraceToken298_object, 13);
  int argcv_meth_lexer_rBraceToken298_object[] = {0};
  meth_meth_lexer_rBraceToken298_object->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken298_object);
  meth_meth_lexer_rBraceToken298_object->definitionModule = modulename;
  meth_meth_lexer_rBraceToken298_object->definitionLine = 143;
// method "lParenToken"
  struct UserObject *uo312 = (struct UserObject*)obj98;
  uo312->data[14] = emptyclosure;
  Method *meth_meth_lexer_lParenToken312 = addmethod2pos(obj98, "lParenToken", &meth_lexer_lParenToken312, 14);
  int argcv_meth_lexer_lParenToken312[] = {0};
  meth_meth_lexer_lParenToken312->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken312);
  meth_meth_lexer_lParenToken312->definitionModule = modulename;
  meth_meth_lexer_lParenToken312->definitionLine = 149;
  Method *meth_meth_lexer_lParenToken312_object = addmethod2pos(obj98, "lParenToken$object(1)", &meth_lexer_lParenToken312_object, 14);
  int argcv_meth_lexer_lParenToken312_object[] = {0};
  meth_meth_lexer_lParenToken312_object->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken312_object);
  meth_meth_lexer_lParenToken312_object->definitionModule = modulename;
  meth_meth_lexer_lParenToken312_object->definitionLine = 149;
// method "rParenToken"
  struct UserObject *uo326 = (struct UserObject*)obj98;
  uo326->data[15] = emptyclosure;
  Method *meth_meth_lexer_rParenToken326 = addmethod2pos(obj98, "rParenToken", &meth_lexer_rParenToken326, 15);
  int argcv_meth_lexer_rParenToken326[] = {0};
  meth_meth_lexer_rParenToken326->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken326);
  meth_meth_lexer_rParenToken326->definitionModule = modulename;
  meth_meth_lexer_rParenToken326->definitionLine = 155;
  Method *meth_meth_lexer_rParenToken326_object = addmethod2pos(obj98, "rParenToken$object(1)", &meth_lexer_rParenToken326_object, 15);
  int argcv_meth_lexer_rParenToken326_object[] = {0};
  meth_meth_lexer_rParenToken326_object->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken326_object);
  meth_meth_lexer_rParenToken326_object->definitionModule = modulename;
  meth_meth_lexer_rParenToken326_object->definitionLine = 155;
// method "lSquareToken"
  struct UserObject *uo340 = (struct UserObject*)obj98;
  uo340->data[16] = emptyclosure;
  Method *meth_meth_lexer_lSquareToken340 = addmethod2pos(obj98, "lSquareToken", &meth_lexer_lSquareToken340, 16);
  int argcv_meth_lexer_lSquareToken340[] = {0};
  meth_meth_lexer_lSquareToken340->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken340);
  meth_meth_lexer_lSquareToken340->definitionModule = modulename;
  meth_meth_lexer_lSquareToken340->definitionLine = 161;
  Method *meth_meth_lexer_lSquareToken340_object = addmethod2pos(obj98, "lSquareToken$object(1)", &meth_lexer_lSquareToken340_object, 16);
  int argcv_meth_lexer_lSquareToken340_object[] = {0};
  meth_meth_lexer_lSquareToken340_object->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken340_object);
  meth_meth_lexer_lSquareToken340_object->definitionModule = modulename;
  meth_meth_lexer_lSquareToken340_object->definitionLine = 161;
// method "rSquareToken"
  struct UserObject *uo354 = (struct UserObject*)obj98;
  uo354->data[17] = emptyclosure;
  Method *meth_meth_lexer_rSquareToken354 = addmethod2pos(obj98, "rSquareToken", &meth_lexer_rSquareToken354, 17);
  int argcv_meth_lexer_rSquareToken354[] = {0};
  meth_meth_lexer_rSquareToken354->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken354);
  meth_meth_lexer_rSquareToken354->definitionModule = modulename;
  meth_meth_lexer_rSquareToken354->definitionLine = 167;
  Method *meth_meth_lexer_rSquareToken354_object = addmethod2pos(obj98, "rSquareToken$object(1)", &meth_lexer_rSquareToken354_object, 17);
  int argcv_meth_lexer_rSquareToken354_object[] = {0};
  meth_meth_lexer_rSquareToken354_object->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken354_object);
  meth_meth_lexer_rSquareToken354_object->definitionModule = modulename;
  meth_meth_lexer_rSquareToken354_object->definitionLine = 167;
// method "commaToken"
  struct UserObject *uo368 = (struct UserObject*)obj98;
  uo368->data[18] = emptyclosure;
  Method *meth_meth_lexer_commaToken368 = addmethod2pos(obj98, "commaToken", &meth_lexer_commaToken368, 18);
  int argcv_meth_lexer_commaToken368[] = {0};
  meth_meth_lexer_commaToken368->type = alloc_MethodType(1, argcv_meth_lexer_commaToken368);
  meth_meth_lexer_commaToken368->definitionModule = modulename;
  meth_meth_lexer_commaToken368->definitionLine = 173;
  Method *meth_meth_lexer_commaToken368_object = addmethod2pos(obj98, "commaToken$object(1)", &meth_lexer_commaToken368_object, 18);
  int argcv_meth_lexer_commaToken368_object[] = {0};
  meth_meth_lexer_commaToken368_object->type = alloc_MethodType(1, argcv_meth_lexer_commaToken368_object);
  meth_meth_lexer_commaToken368_object->definitionModule = modulename;
  meth_meth_lexer_commaToken368_object->definitionLine = 173;
// method "colonToken"
  struct UserObject *uo382 = (struct UserObject*)obj98;
  uo382->data[19] = emptyclosure;
  Method *meth_meth_lexer_colonToken382 = addmethod2pos(obj98, "colonToken", &meth_lexer_colonToken382, 19);
  int argcv_meth_lexer_colonToken382[] = {0};
  meth_meth_lexer_colonToken382->type = alloc_MethodType(1, argcv_meth_lexer_colonToken382);
  meth_meth_lexer_colonToken382->definitionModule = modulename;
  meth_meth_lexer_colonToken382->definitionLine = 179;
  Method *meth_meth_lexer_colonToken382_object = addmethod2pos(obj98, "colonToken$object(1)", &meth_lexer_colonToken382_object, 19);
  int argcv_meth_lexer_colonToken382_object[] = {0};
  meth_meth_lexer_colonToken382_object->type = alloc_MethodType(1, argcv_meth_lexer_colonToken382_object);
  meth_meth_lexer_colonToken382_object->definitionModule = modulename;
  meth_meth_lexer_colonToken382_object->definitionLine = 179;
// method "dotToken"
  struct UserObject *uo396 = (struct UserObject*)obj98;
  uo396->data[20] = emptyclosure;
  Method *meth_meth_lexer_dotToken396 = addmethod2pos(obj98, "dotToken", &meth_lexer_dotToken396, 20);
  int argcv_meth_lexer_dotToken396[] = {0};
  meth_meth_lexer_dotToken396->type = alloc_MethodType(1, argcv_meth_lexer_dotToken396);
  meth_meth_lexer_dotToken396->definitionModule = modulename;
  meth_meth_lexer_dotToken396->definitionLine = 185;
  Method *meth_meth_lexer_dotToken396_object = addmethod2pos(obj98, "dotToken$object(1)", &meth_lexer_dotToken396_object, 20);
  int argcv_meth_lexer_dotToken396_object[] = {0};
  meth_meth_lexer_dotToken396_object->type = alloc_MethodType(1, argcv_meth_lexer_dotToken396_object);
  meth_meth_lexer_dotToken396_object->definitionModule = modulename;
  meth_meth_lexer_dotToken396_object->definitionLine = 185;
// method "numToken(_,_)"
  struct UserObject *uo410 = (struct UserObject*)obj98;
  uo410->data[21] = emptyclosure;
  Method *meth_meth_lexer_numToken_40_2_41_410 = addmethod2pos(obj98, "numToken(2)", &meth_lexer_numToken_40_2_41_410, 21);
  int argcv_meth_lexer_numToken_40_2_41_410[] = {2};
  meth_meth_lexer_numToken_40_2_41_410->type = alloc_MethodType(1, argcv_meth_lexer_numToken_40_2_41_410);
  meth_meth_lexer_numToken_40_2_41_410->definitionModule = modulename;
  meth_meth_lexer_numToken_40_2_41_410->definitionLine = 191;
  Method *meth_meth_lexer_numToken_40_2_41_410_object = addmethod2pos(obj98, "numToken(2)$object(1)", &meth_lexer_numToken_40_2_41_410_object, 21);
  int argcv_meth_lexer_numToken_40_2_41_410_object[] = {2};
  meth_meth_lexer_numToken_40_2_41_410_object->type = alloc_MethodType(1, argcv_meth_lexer_numToken_40_2_41_410_object);
  meth_meth_lexer_numToken_40_2_41_410_object->definitionModule = modulename;
  meth_meth_lexer_numToken_40_2_41_410_object->definitionLine = 191;
// method "keywordToken(_)"
  struct UserObject *uo434 = (struct UserObject*)obj98;
  uo434->data[22] = emptyclosure;
  Method *meth_meth_lexer_keywordToken_40_1_41_434 = addmethod2pos(obj98, "keywordToken(1)", &meth_lexer_keywordToken_40_1_41_434, 22);
  int argcv_meth_lexer_keywordToken_40_1_41_434[] = {1};
  meth_meth_lexer_keywordToken_40_1_41_434->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken_40_1_41_434);
  meth_meth_lexer_keywordToken_40_1_41_434->definitionModule = modulename;
  meth_meth_lexer_keywordToken_40_1_41_434->definitionLine = 198;
  Method *meth_meth_lexer_keywordToken_40_1_41_434_object = addmethod2pos(obj98, "keywordToken(1)$object(1)", &meth_lexer_keywordToken_40_1_41_434_object, 22);
  int argcv_meth_lexer_keywordToken_40_1_41_434_object[] = {1};
  meth_meth_lexer_keywordToken_40_1_41_434_object->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken_40_1_41_434_object);
  meth_meth_lexer_keywordToken_40_1_41_434_object->definitionModule = modulename;
  meth_meth_lexer_keywordToken_40_1_41_434_object->definitionLine = 198;
// method "opToken(_)"
  struct UserObject *uo448 = (struct UserObject*)obj98;
  uo448->data[23] = emptyclosure;
  Method *meth_meth_lexer_opToken_40_1_41_448 = addmethod2pos(obj98, "opToken(1)", &meth_lexer_opToken_40_1_41_448, 23);
  int argcv_meth_lexer_opToken_40_1_41_448[] = {1};
  meth_meth_lexer_opToken_40_1_41_448->type = alloc_MethodType(1, argcv_meth_lexer_opToken_40_1_41_448);
  meth_meth_lexer_opToken_40_1_41_448->definitionModule = modulename;
  meth_meth_lexer_opToken_40_1_41_448->definitionLine = 204;
  Method *meth_meth_lexer_opToken_40_1_41_448_object = addmethod2pos(obj98, "opToken(1)$object(1)", &meth_lexer_opToken_40_1_41_448_object, 23);
  int argcv_meth_lexer_opToken_40_1_41_448_object[] = {1};
  meth_meth_lexer_opToken_40_1_41_448_object->type = alloc_MethodType(1, argcv_meth_lexer_opToken_40_1_41_448_object);
  meth_meth_lexer_opToken_40_1_41_448_object->definitionModule = modulename;
  meth_meth_lexer_opToken_40_1_41_448_object->definitionLine = 204;
// method "arrowToken"
  struct UserObject *uo462 = (struct UserObject*)obj98;
  uo462->data[24] = emptyclosure;
  Method *meth_meth_lexer_arrowToken462 = addmethod2pos(obj98, "arrowToken", &meth_lexer_arrowToken462, 24);
  int argcv_meth_lexer_arrowToken462[] = {0};
  meth_meth_lexer_arrowToken462->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken462);
  meth_meth_lexer_arrowToken462->definitionModule = modulename;
  meth_meth_lexer_arrowToken462->definitionLine = 210;
  Method *meth_meth_lexer_arrowToken462_object = addmethod2pos(obj98, "arrowToken$object(1)", &meth_lexer_arrowToken462_object, 24);
  int argcv_meth_lexer_arrowToken462_object[] = {0};
  meth_meth_lexer_arrowToken462_object->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken462_object);
  meth_meth_lexer_arrowToken462_object->definitionModule = modulename;
  meth_meth_lexer_arrowToken462_object->definitionLine = 210;
// method "bindToken"
  struct UserObject *uo476 = (struct UserObject*)obj98;
  uo476->data[25] = emptyclosure;
  Method *meth_meth_lexer_bindToken476 = addmethod2pos(obj98, "bindToken", &meth_lexer_bindToken476, 25);
  int argcv_meth_lexer_bindToken476[] = {0};
  meth_meth_lexer_bindToken476->type = alloc_MethodType(1, argcv_meth_lexer_bindToken476);
  meth_meth_lexer_bindToken476->definitionModule = modulename;
  meth_meth_lexer_bindToken476->definitionLine = 216;
  Method *meth_meth_lexer_bindToken476_object = addmethod2pos(obj98, "bindToken$object(1)", &meth_lexer_bindToken476_object, 25);
  int argcv_meth_lexer_bindToken476_object[] = {0};
  meth_meth_lexer_bindToken476_object->type = alloc_MethodType(1, argcv_meth_lexer_bindToken476_object);
  meth_meth_lexer_bindToken476_object->definitionModule = modulename;
  meth_meth_lexer_bindToken476_object->definitionLine = 216;
// method "semicolonToken"
  struct UserObject *uo490 = (struct UserObject*)obj98;
  uo490->data[26] = emptyclosure;
  Method *meth_meth_lexer_semicolonToken490 = addmethod2pos(obj98, "semicolonToken", &meth_lexer_semicolonToken490, 26);
  int argcv_meth_lexer_semicolonToken490[] = {0};
  meth_meth_lexer_semicolonToken490->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken490);
  meth_meth_lexer_semicolonToken490->definitionModule = modulename;
  meth_meth_lexer_semicolonToken490->definitionLine = 222;
  Method *meth_meth_lexer_semicolonToken490_object = addmethod2pos(obj98, "semicolonToken$object(1)", &meth_lexer_semicolonToken490_object, 26);
  int argcv_meth_lexer_semicolonToken490_object[] = {0};
  meth_meth_lexer_semicolonToken490_object->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken490_object);
  meth_meth_lexer_semicolonToken490_object->definitionModule = modulename;
  meth_meth_lexer_semicolonToken490_object->definitionLine = 222;
// method "lGenericToken"
  struct UserObject *uo504 = (struct UserObject*)obj98;
  uo504->data[27] = emptyclosure;
  Method *meth_meth_lexer_lGenericToken504 = addmethod2pos(obj98, "lGenericToken", &meth_lexer_lGenericToken504, 27);
  int argcv_meth_lexer_lGenericToken504[] = {0};
  meth_meth_lexer_lGenericToken504->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken504);
  meth_meth_lexer_lGenericToken504->definitionModule = modulename;
  meth_meth_lexer_lGenericToken504->definitionLine = 228;
  Method *meth_meth_lexer_lGenericToken504_object = addmethod2pos(obj98, "lGenericToken$object(1)", &meth_lexer_lGenericToken504_object, 27);
  int argcv_meth_lexer_lGenericToken504_object[] = {0};
  meth_meth_lexer_lGenericToken504_object->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken504_object);
  meth_meth_lexer_lGenericToken504_object->definitionModule = modulename;
  meth_meth_lexer_lGenericToken504_object->definitionLine = 228;
// method "rGenericToken"
  struct UserObject *uo518 = (struct UserObject*)obj98;
  uo518->data[28] = emptyclosure;
  Method *meth_meth_lexer_rGenericToken518 = addmethod2pos(obj98, "rGenericToken", &meth_lexer_rGenericToken518, 28);
  int argcv_meth_lexer_rGenericToken518[] = {0};
  meth_meth_lexer_rGenericToken518->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken518);
  meth_meth_lexer_rGenericToken518->definitionModule = modulename;
  meth_meth_lexer_rGenericToken518->definitionLine = 234;
  Method *meth_meth_lexer_rGenericToken518_object = addmethod2pos(obj98, "rGenericToken$object(1)", &meth_lexer_rGenericToken518_object, 28);
  int argcv_meth_lexer_rGenericToken518_object[] = {0};
  meth_meth_lexer_rGenericToken518_object->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken518_object);
  meth_meth_lexer_rGenericToken518_object->definitionModule = modulename;
  meth_meth_lexer_rGenericToken518_object->definitionLine = 234;
// method "eofToken"
  struct UserObject *uo532 = (struct UserObject*)obj98;
  uo532->data[29] = emptyclosure;
  Method *meth_meth_lexer_eofToken532 = addmethod2pos(obj98, "eofToken", &meth_lexer_eofToken532, 29);
  int argcv_meth_lexer_eofToken532[] = {0};
  meth_meth_lexer_eofToken532->type = alloc_MethodType(1, argcv_meth_lexer_eofToken532);
  meth_meth_lexer_eofToken532->definitionModule = modulename;
  meth_meth_lexer_eofToken532->definitionLine = 240;
  Method *meth_meth_lexer_eofToken532_object = addmethod2pos(obj98, "eofToken$object(1)", &meth_lexer_eofToken532_object, 29);
  int argcv_meth_lexer_eofToken532_object[] = {0};
  meth_meth_lexer_eofToken532_object->type = alloc_MethodType(1, argcv_meth_lexer_eofToken532_object);
  meth_meth_lexer_eofToken532_object->definitionModule = modulename;
  meth_meth_lexer_eofToken532_object->definitionLine = 240;
// method "modechange(_,_,_)"
  block_savedest(obj98);
  Object closure546 = createclosure(3, "modechange(3)");
  setclosureframe(closure546, stackframe);
  addtoclosure(closure546, var_keywords);
  addtoclosure(closure546, var_errormessages);
  addtoclosure(closure546, var_util);
  struct UserObject *uo546 = (struct UserObject*)obj98;
  uo546->data[30] = (Object)closure546;
  Method *meth_meth_lexer_modechange_40_3_41_546 = addmethod2pos(obj98, "modechange(3)", &meth_lexer_modechange_40_3_41_546, 30);
  int argcv_meth_lexer_modechange_40_3_41_546[] = {3};
  meth_meth_lexer_modechange_40_3_41_546->type = alloc_MethodType(1, argcv_meth_lexer_modechange_40_3_41_546);
  meth_meth_lexer_modechange_40_3_41_546->definitionModule = modulename;
  meth_meth_lexer_modechange_40_3_41_546->definitionLine = 248;
// method "fromBase(_,_)"
  block_savedest(obj98);
  Object closure1256 = createclosure(2, "fromBase(2)");
  setclosureframe(closure1256, stackframe);
  addtoclosure(closure1256, var_errormessages);
  addtoclosure(closure1256, var_unicode);
  struct UserObject *uo1256 = (struct UserObject*)obj98;
  uo1256->data[31] = (Object)closure1256;
  Method *meth_meth_lexer_fromBase_40_2_41_1256 = addmethod2pos(obj98, "fromBase(2)", &meth_lexer_fromBase_40_2_41_1256, 31);
  int argcv_meth_lexer_fromBase_40_2_41_1256[] = {2};
  meth_meth_lexer_fromBase_40_2_41_1256->type = alloc_MethodType(1, argcv_meth_lexer_fromBase_40_2_41_1256);
  meth_meth_lexer_fromBase_40_2_41_1256->definitionModule = modulename;
  meth_meth_lexer_fromBase_40_2_41_1256->definitionLine = 419;
// method "hexdecchar(_)"
  block_savedest(obj98);
  Object closure1496 = createclosure(1, "hexdecchar(1)");
  setclosureframe(closure1496, stackframe);
  addtoclosure(closure1496, var_errormessages);
  struct UserObject *uo1496 = (struct UserObject*)obj98;
  uo1496->data[32] = (Object)closure1496;
  Method *meth_meth_lexer_hexdecchar_40_1_41_1496 = addmethod2pos(obj98, "hexdecchar(1)", &meth_lexer_hexdecchar_40_1_41_1496, 32);
  int argcv_meth_lexer_hexdecchar_40_1_41_1496[] = {1};
  meth_meth_lexer_hexdecchar_40_1_41_1496->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar_40_1_41_1496);
  meth_meth_lexer_hexdecchar_40_1_41_1496->definitionModule = modulename;
  meth_meth_lexer_hexdecchar_40_1_41_1496->definitionLine = 461;
// method "makeNumToken(_)"
  block_savedest(obj98);
  Object closure1580 = createclosure(1, "makeNumToken(1)");
  setclosureframe(closure1580, stackframe);
  addtoclosure(closure1580, var_errormessages);
  struct UserObject *uo1580 = (struct UserObject*)obj98;
  uo1580->data[33] = (Object)closure1580;
  Method *meth_meth_lexer_makeNumToken_40_1_41_1580 = addmethod2pos(obj98, "makeNumToken(1)", &meth_lexer_makeNumToken_40_1_41_1580, 33);
  int argcv_meth_lexer_makeNumToken_40_1_41_1580[] = {1};
  meth_meth_lexer_makeNumToken_40_1_41_1580->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken_40_1_41_1580);
  meth_meth_lexer_makeNumToken_40_1_41_1580->definitionModule = modulename;
  meth_meth_lexer_makeNumToken_40_1_41_1580->definitionLine = 479;
// method "lexfile(_)"
  block_savedest(obj98);
  Object closure1789 = createclosure(1, "lexfile(1)");
  setclosureframe(closure1789, stackframe);
  addtoclosure(closure1789, var_util);
  struct UserObject *uo1789 = (struct UserObject*)obj98;
  uo1789->data[34] = (Object)closure1789;
  Method *meth_meth_lexer_lexfile_40_1_41_1789 = addmethod2pos(obj98, "lexfile(1)", &meth_lexer_lexfile_40_1_41_1789, 34);
  int argcv_meth_lexer_lexfile_40_1_41_1789[] = {1};
  meth_meth_lexer_lexfile_40_1_41_1789->type = alloc_MethodType(1, argcv_meth_lexer_lexfile_40_1_41_1789);
  meth_meth_lexer_lexfile_40_1_41_1789->definitionModule = modulename;
  meth_meth_lexer_lexfile_40_1_41_1789->definitionLine = 524;
// method "lexinput(_)"
  block_savedest(obj98);
  Object closure1907 = createclosure(4, "lexinput(1)");
  setclosureframe(closure1907, stackframe);
  addtoclosure(closure1907, var_util);
  addtoclosure(closure1907, var_errormessages);
  addtoclosure(closure1907, var_unicode);
  addtoclosure(closure1907, var_spaceChars);
  struct UserObject *uo1907 = (struct UserObject*)obj98;
  uo1907->data[35] = (Object)closure1907;
  Method *meth_meth_lexer_lexinput_40_1_41_1907 = addmethod2pos(obj98, "lexinput(1)", &meth_lexer_lexinput_40_1_41_1907, 35);
  int argcv_meth_lexer_lexinput_40_1_41_1907[] = {1};
  meth_meth_lexer_lexinput_40_1_41_1907->type = alloc_MethodType(1, argcv_meth_lexer_lexinput_40_1_41_1907);
  meth_meth_lexer_lexinput_40_1_41_1907->definitionModule = modulename;
  meth_meth_lexer_lexinput_40_1_41_1907->definitionLine = 579;
  sourceObject = obj98;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3708 = alloc_Float64(1);
// compiled num node returning num3708 (depth = 2)
  adddatum2(obj98, num3708, 1);
  sourceObject = obj98;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3709 = alloc_Float64(0);
// compiled num node returning num3709 (depth = 2)
  adddatum2(obj98, num3709, 2);
  sourceObject = obj98;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3710 = alloc_Float64(1);
// compiled num node returning num3710 (depth = 2)
  adddatum2(obj98, num3710, 3);
  sourceObject = obj98;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3711 = alloc_Float64(0);
// compiled num node returning num3711 (depth = 2)
  adddatum2(obj98, num3711, 4);
  sourceObject = obj98;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3712 = alloc_Float64(1);
// compiled num node returning num3712 (depth = 2)
  adddatum2(obj98, num3712, 5);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 6);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  objclass98 = obj98->class;
  objclass98->definitionModule = modulename;
  objclass98->definitionLine = 82;
  (*(struct UserObject *)self).data[0] = lowerouter98;
  self = oldself98;
  selfslot = oldselfslot98;
  stackframe = oldstackframe98;
  gc_frame_end(frame);
  return obj98;
}
Object meth_lexer_new97_object(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "new$object(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = args[0 + argcv[0]];
  Object params[1];
  int partcv[1];
  Object *var_keywords = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_unicode = getfromclosure(closure, 3);
  Object *var_spaceChars = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  isTailObject = 1;
  inheritingObject = methodInheritingObject;
  Object inheritingObject98 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj98 = alloc_userobj2(64,59, objclass98);
  gc_frame_newslot(obj98);
if (objclass98 == NULL) {
  glfree(obj98->class->name);
  obj98->class->name = "new";
}
// OBJECT OUTER DEC outer
  adddatum2(obj98, self, 0);
  addmethodreal(obj98,"outer", &reader_lexer_outer_99);
  Object oldself98 = self;
  struct StackFrameObject *oldstackframe98 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe98);
  gc_frame_newslot((Object)stackframe);
  self = obj98;
  Object *oldselfslot98 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter98 = (*(struct UserObject *)self).data[0], lowerouter98 = thisouter98;
  if (inheritingObject98) {
    struct UserObject *inho98 = (struct UserObject *)inheritingObject98;
    while (inho98->super != GraceDefaultObject) inho98 = (struct UserObject *)inho98->super;
    inho98->super = obj98;
    self = inheritingObject98;
    *selfslot = self;
    lowerouter98 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter98;
  }
if (objclass98 == NULL) {
  Method *reader100 = addmethodrealflags(obj98, "lineNumber", &reader_lexer_lineNumber_100, MFLAG_CONFIDENTIAL);
  Method *writer100 = addmethodrealflags(obj98, "lineNumber:=(1)", &writer_lexer_lineNumber_100, MFLAG_CONFIDENTIAL);
  reader100->definitionModule = modulename;
  writer100->definitionModule = modulename;
  reader100->definitionLine = 83;
  writer100->definitionLine = 83;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 1);
if (objclass98 == NULL) {
  Method *reader101 = addmethodrealflags(obj98, "linePosition", &reader_lexer_linePosition_101, MFLAG_CONFIDENTIAL);
  Method *writer101 = addmethodrealflags(obj98, "linePosition:=(1)", &writer_lexer_linePosition_101, MFLAG_CONFIDENTIAL);
  reader101->definitionModule = modulename;
  writer101->definitionModule = modulename;
  reader101->definitionLine = 84;
  writer101->definitionLine = 84;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 2);
if (objclass98 == NULL) {
  Method *reader102 = addmethodrealflags(obj98, "startPosition", &reader_lexer_startPosition_102, MFLAG_CONFIDENTIAL);
  Method *writer102 = addmethodrealflags(obj98, "startPosition:=(1)", &writer_lexer_startPosition_102, MFLAG_CONFIDENTIAL);
  reader102->definitionModule = modulename;
  writer102->definitionModule = modulename;
  reader102->definitionLine = 85;
  writer102->definitionLine = 85;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 3);
if (objclass98 == NULL) {
  Method *reader103 = addmethodrealflags(obj98, "indentLevel", &reader_lexer_indentLevel_103, MFLAG_CONFIDENTIAL);
  Method *writer103 = addmethodrealflags(obj98, "indentLevel:=(1)", &writer_lexer_indentLevel_103, MFLAG_CONFIDENTIAL);
  reader103->definitionModule = modulename;
  writer103->definitionModule = modulename;
  reader103->definitionLine = 86;
  writer103->definitionLine = 86;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 4);
if (objclass98 == NULL) {
  Method *reader104 = addmethodrealflags(obj98, "startLine", &reader_lexer_startLine_104, MFLAG_CONFIDENTIAL);
  Method *writer104 = addmethodrealflags(obj98, "startLine:=(1)", &writer_lexer_startLine_104, MFLAG_CONFIDENTIAL);
  reader104->definitionModule = modulename;
  writer104->definitionModule = modulename;
  reader104->definitionLine = 87;
  writer104->definitionLine = 87;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 5);
if (objclass98 == NULL) {
  Method *reader105 = addmethodrealflags(obj98, "stringStart", &reader_lexer_stringStart_105, MFLAG_CONFIDENTIAL);
  Method *writer105 = addmethodrealflags(obj98, "stringStart:=(1)", &writer_lexer_stringStart_105, MFLAG_CONFIDENTIAL);
  reader105->definitionModule = modulename;
  writer105->definitionModule = modulename;
  reader105->definitionLine = 88;
  writer105->definitionLine = 88;
}
obj98->flags |= OFLAG_MUTABLE;
adddatum2(obj98, alloc_Undefined(), 6);
// method "token"
  struct UserObject *uo106 = (struct UserObject*)obj98;
  uo106->data[7] = emptyclosure;
  Method *meth_meth_lexer_token106 = addmethod2pos(obj98, "token", &meth_lexer_token106, 7);
  int argcv_meth_lexer_token106[] = {0};
  meth_meth_lexer_token106->type = alloc_MethodType(1, argcv_meth_lexer_token106);
  meth_meth_lexer_token106->definitionModule = modulename;
  meth_meth_lexer_token106->definitionLine = 90;
  Method *meth_meth_lexer_token106_object = addmethod2pos(obj98, "token$object(1)", &meth_lexer_token106_object, 7);
  int argcv_meth_lexer_token106_object[] = {0};
  meth_meth_lexer_token106_object->type = alloc_MethodType(1, argcv_meth_lexer_token106_object);
  meth_meth_lexer_token106_object->definitionModule = modulename;
  meth_meth_lexer_token106_object->definitionLine = 90;
// method "identifierToken(_)"
  struct UserObject *uo191 = (struct UserObject*)obj98;
  uo191->data[8] = emptyclosure;
  Method *meth_meth_lexer_identifierToken_40_1_41_191 = addmethod2pos(obj98, "identifierToken(1)", &meth_lexer_identifierToken_40_1_41_191, 8);
  int argcv_meth_lexer_identifierToken_40_1_41_191[] = {1};
  meth_meth_lexer_identifierToken_40_1_41_191->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken_40_1_41_191);
  meth_meth_lexer_identifierToken_40_1_41_191->definitionModule = modulename;
  meth_meth_lexer_identifierToken_40_1_41_191->definitionLine = 109;
  Method *meth_meth_lexer_identifierToken_40_1_41_191_object = addmethod2pos(obj98, "identifierToken(1)$object(1)", &meth_lexer_identifierToken_40_1_41_191_object, 8);
  int argcv_meth_lexer_identifierToken_40_1_41_191_object[] = {1};
  meth_meth_lexer_identifierToken_40_1_41_191_object->type = alloc_MethodType(1, argcv_meth_lexer_identifierToken_40_1_41_191_object);
  meth_meth_lexer_identifierToken_40_1_41_191_object->definitionModule = modulename;
  meth_meth_lexer_identifierToken_40_1_41_191_object->definitionLine = 109;
// method "stringToken(_)"
  struct UserObject *uo205 = (struct UserObject*)obj98;
  uo205->data[9] = emptyclosure;
  Method *meth_meth_lexer_stringToken_40_1_41_205 = addmethod2pos(obj98, "stringToken(1)", &meth_lexer_stringToken_40_1_41_205, 9);
  int argcv_meth_lexer_stringToken_40_1_41_205[] = {1};
  meth_meth_lexer_stringToken_40_1_41_205->type = alloc_MethodType(1, argcv_meth_lexer_stringToken_40_1_41_205);
  meth_meth_lexer_stringToken_40_1_41_205->definitionModule = modulename;
  meth_meth_lexer_stringToken_40_1_41_205->definitionLine = 115;
  Method *meth_meth_lexer_stringToken_40_1_41_205_object = addmethod2pos(obj98, "stringToken(1)$object(1)", &meth_lexer_stringToken_40_1_41_205_object, 9);
  int argcv_meth_lexer_stringToken_40_1_41_205_object[] = {1};
  meth_meth_lexer_stringToken_40_1_41_205_object->type = alloc_MethodType(1, argcv_meth_lexer_stringToken_40_1_41_205_object);
  meth_meth_lexer_stringToken_40_1_41_205_object->definitionModule = modulename;
  meth_meth_lexer_stringToken_40_1_41_205_object->definitionLine = 115;
// method "multiLineStringToken(_)"
  struct UserObject *uo232 = (struct UserObject*)obj98;
  uo232->data[10] = emptyclosure;
  Method *meth_meth_lexer_multiLineStringToken_40_1_41_232 = addmethod2pos(obj98, "multiLineStringToken(1)", &meth_lexer_multiLineStringToken_40_1_41_232, 10);
  int argcv_meth_lexer_multiLineStringToken_40_1_41_232[] = {1};
  meth_meth_lexer_multiLineStringToken_40_1_41_232->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken_40_1_41_232);
  meth_meth_lexer_multiLineStringToken_40_1_41_232->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken_40_1_41_232->definitionLine = 121;
  Method *meth_meth_lexer_multiLineStringToken_40_1_41_232_object = addmethod2pos(obj98, "multiLineStringToken(1)$object(1)", &meth_lexer_multiLineStringToken_40_1_41_232_object, 10);
  int argcv_meth_lexer_multiLineStringToken_40_1_41_232_object[] = {1};
  meth_meth_lexer_multiLineStringToken_40_1_41_232_object->type = alloc_MethodType(1, argcv_meth_lexer_multiLineStringToken_40_1_41_232_object);
  meth_meth_lexer_multiLineStringToken_40_1_41_232_object->definitionModule = modulename;
  meth_meth_lexer_multiLineStringToken_40_1_41_232_object->definitionLine = 121;
// method "commentToken(_)"
  struct UserObject *uo266 = (struct UserObject*)obj98;
  uo266->data[11] = emptyclosure;
  Method *meth_meth_lexer_commentToken_40_1_41_266 = addmethod2pos(obj98, "commentToken(1)", &meth_lexer_commentToken_40_1_41_266, 11);
  int argcv_meth_lexer_commentToken_40_1_41_266[] = {1};
  meth_meth_lexer_commentToken_40_1_41_266->type = alloc_MethodType(1, argcv_meth_lexer_commentToken_40_1_41_266);
  meth_meth_lexer_commentToken_40_1_41_266->definitionModule = modulename;
  meth_meth_lexer_commentToken_40_1_41_266->definitionLine = 131;
  Method *meth_meth_lexer_commentToken_40_1_41_266_object = addmethod2pos(obj98, "commentToken(1)$object(1)", &meth_lexer_commentToken_40_1_41_266_object, 11);
  int argcv_meth_lexer_commentToken_40_1_41_266_object[] = {1};
  meth_meth_lexer_commentToken_40_1_41_266_object->type = alloc_MethodType(1, argcv_meth_lexer_commentToken_40_1_41_266_object);
  meth_meth_lexer_commentToken_40_1_41_266_object->definitionModule = modulename;
  meth_meth_lexer_commentToken_40_1_41_266_object->definitionLine = 131;
// method "lBraceToken"
  struct UserObject *uo284 = (struct UserObject*)obj98;
  uo284->data[12] = emptyclosure;
  Method *meth_meth_lexer_lBraceToken284 = addmethod2pos(obj98, "lBraceToken", &meth_lexer_lBraceToken284, 12);
  int argcv_meth_lexer_lBraceToken284[] = {0};
  meth_meth_lexer_lBraceToken284->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken284);
  meth_meth_lexer_lBraceToken284->definitionModule = modulename;
  meth_meth_lexer_lBraceToken284->definitionLine = 137;
  Method *meth_meth_lexer_lBraceToken284_object = addmethod2pos(obj98, "lBraceToken$object(1)", &meth_lexer_lBraceToken284_object, 12);
  int argcv_meth_lexer_lBraceToken284_object[] = {0};
  meth_meth_lexer_lBraceToken284_object->type = alloc_MethodType(1, argcv_meth_lexer_lBraceToken284_object);
  meth_meth_lexer_lBraceToken284_object->definitionModule = modulename;
  meth_meth_lexer_lBraceToken284_object->definitionLine = 137;
// method "rBraceToken"
  struct UserObject *uo298 = (struct UserObject*)obj98;
  uo298->data[13] = emptyclosure;
  Method *meth_meth_lexer_rBraceToken298 = addmethod2pos(obj98, "rBraceToken", &meth_lexer_rBraceToken298, 13);
  int argcv_meth_lexer_rBraceToken298[] = {0};
  meth_meth_lexer_rBraceToken298->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken298);
  meth_meth_lexer_rBraceToken298->definitionModule = modulename;
  meth_meth_lexer_rBraceToken298->definitionLine = 143;
  Method *meth_meth_lexer_rBraceToken298_object = addmethod2pos(obj98, "rBraceToken$object(1)", &meth_lexer_rBraceToken298_object, 13);
  int argcv_meth_lexer_rBraceToken298_object[] = {0};
  meth_meth_lexer_rBraceToken298_object->type = alloc_MethodType(1, argcv_meth_lexer_rBraceToken298_object);
  meth_meth_lexer_rBraceToken298_object->definitionModule = modulename;
  meth_meth_lexer_rBraceToken298_object->definitionLine = 143;
// method "lParenToken"
  struct UserObject *uo312 = (struct UserObject*)obj98;
  uo312->data[14] = emptyclosure;
  Method *meth_meth_lexer_lParenToken312 = addmethod2pos(obj98, "lParenToken", &meth_lexer_lParenToken312, 14);
  int argcv_meth_lexer_lParenToken312[] = {0};
  meth_meth_lexer_lParenToken312->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken312);
  meth_meth_lexer_lParenToken312->definitionModule = modulename;
  meth_meth_lexer_lParenToken312->definitionLine = 149;
  Method *meth_meth_lexer_lParenToken312_object = addmethod2pos(obj98, "lParenToken$object(1)", &meth_lexer_lParenToken312_object, 14);
  int argcv_meth_lexer_lParenToken312_object[] = {0};
  meth_meth_lexer_lParenToken312_object->type = alloc_MethodType(1, argcv_meth_lexer_lParenToken312_object);
  meth_meth_lexer_lParenToken312_object->definitionModule = modulename;
  meth_meth_lexer_lParenToken312_object->definitionLine = 149;
// method "rParenToken"
  struct UserObject *uo326 = (struct UserObject*)obj98;
  uo326->data[15] = emptyclosure;
  Method *meth_meth_lexer_rParenToken326 = addmethod2pos(obj98, "rParenToken", &meth_lexer_rParenToken326, 15);
  int argcv_meth_lexer_rParenToken326[] = {0};
  meth_meth_lexer_rParenToken326->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken326);
  meth_meth_lexer_rParenToken326->definitionModule = modulename;
  meth_meth_lexer_rParenToken326->definitionLine = 155;
  Method *meth_meth_lexer_rParenToken326_object = addmethod2pos(obj98, "rParenToken$object(1)", &meth_lexer_rParenToken326_object, 15);
  int argcv_meth_lexer_rParenToken326_object[] = {0};
  meth_meth_lexer_rParenToken326_object->type = alloc_MethodType(1, argcv_meth_lexer_rParenToken326_object);
  meth_meth_lexer_rParenToken326_object->definitionModule = modulename;
  meth_meth_lexer_rParenToken326_object->definitionLine = 155;
// method "lSquareToken"
  struct UserObject *uo340 = (struct UserObject*)obj98;
  uo340->data[16] = emptyclosure;
  Method *meth_meth_lexer_lSquareToken340 = addmethod2pos(obj98, "lSquareToken", &meth_lexer_lSquareToken340, 16);
  int argcv_meth_lexer_lSquareToken340[] = {0};
  meth_meth_lexer_lSquareToken340->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken340);
  meth_meth_lexer_lSquareToken340->definitionModule = modulename;
  meth_meth_lexer_lSquareToken340->definitionLine = 161;
  Method *meth_meth_lexer_lSquareToken340_object = addmethod2pos(obj98, "lSquareToken$object(1)", &meth_lexer_lSquareToken340_object, 16);
  int argcv_meth_lexer_lSquareToken340_object[] = {0};
  meth_meth_lexer_lSquareToken340_object->type = alloc_MethodType(1, argcv_meth_lexer_lSquareToken340_object);
  meth_meth_lexer_lSquareToken340_object->definitionModule = modulename;
  meth_meth_lexer_lSquareToken340_object->definitionLine = 161;
// method "rSquareToken"
  struct UserObject *uo354 = (struct UserObject*)obj98;
  uo354->data[17] = emptyclosure;
  Method *meth_meth_lexer_rSquareToken354 = addmethod2pos(obj98, "rSquareToken", &meth_lexer_rSquareToken354, 17);
  int argcv_meth_lexer_rSquareToken354[] = {0};
  meth_meth_lexer_rSquareToken354->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken354);
  meth_meth_lexer_rSquareToken354->definitionModule = modulename;
  meth_meth_lexer_rSquareToken354->definitionLine = 167;
  Method *meth_meth_lexer_rSquareToken354_object = addmethod2pos(obj98, "rSquareToken$object(1)", &meth_lexer_rSquareToken354_object, 17);
  int argcv_meth_lexer_rSquareToken354_object[] = {0};
  meth_meth_lexer_rSquareToken354_object->type = alloc_MethodType(1, argcv_meth_lexer_rSquareToken354_object);
  meth_meth_lexer_rSquareToken354_object->definitionModule = modulename;
  meth_meth_lexer_rSquareToken354_object->definitionLine = 167;
// method "commaToken"
  struct UserObject *uo368 = (struct UserObject*)obj98;
  uo368->data[18] = emptyclosure;
  Method *meth_meth_lexer_commaToken368 = addmethod2pos(obj98, "commaToken", &meth_lexer_commaToken368, 18);
  int argcv_meth_lexer_commaToken368[] = {0};
  meth_meth_lexer_commaToken368->type = alloc_MethodType(1, argcv_meth_lexer_commaToken368);
  meth_meth_lexer_commaToken368->definitionModule = modulename;
  meth_meth_lexer_commaToken368->definitionLine = 173;
  Method *meth_meth_lexer_commaToken368_object = addmethod2pos(obj98, "commaToken$object(1)", &meth_lexer_commaToken368_object, 18);
  int argcv_meth_lexer_commaToken368_object[] = {0};
  meth_meth_lexer_commaToken368_object->type = alloc_MethodType(1, argcv_meth_lexer_commaToken368_object);
  meth_meth_lexer_commaToken368_object->definitionModule = modulename;
  meth_meth_lexer_commaToken368_object->definitionLine = 173;
// method "colonToken"
  struct UserObject *uo382 = (struct UserObject*)obj98;
  uo382->data[19] = emptyclosure;
  Method *meth_meth_lexer_colonToken382 = addmethod2pos(obj98, "colonToken", &meth_lexer_colonToken382, 19);
  int argcv_meth_lexer_colonToken382[] = {0};
  meth_meth_lexer_colonToken382->type = alloc_MethodType(1, argcv_meth_lexer_colonToken382);
  meth_meth_lexer_colonToken382->definitionModule = modulename;
  meth_meth_lexer_colonToken382->definitionLine = 179;
  Method *meth_meth_lexer_colonToken382_object = addmethod2pos(obj98, "colonToken$object(1)", &meth_lexer_colonToken382_object, 19);
  int argcv_meth_lexer_colonToken382_object[] = {0};
  meth_meth_lexer_colonToken382_object->type = alloc_MethodType(1, argcv_meth_lexer_colonToken382_object);
  meth_meth_lexer_colonToken382_object->definitionModule = modulename;
  meth_meth_lexer_colonToken382_object->definitionLine = 179;
// method "dotToken"
  struct UserObject *uo396 = (struct UserObject*)obj98;
  uo396->data[20] = emptyclosure;
  Method *meth_meth_lexer_dotToken396 = addmethod2pos(obj98, "dotToken", &meth_lexer_dotToken396, 20);
  int argcv_meth_lexer_dotToken396[] = {0};
  meth_meth_lexer_dotToken396->type = alloc_MethodType(1, argcv_meth_lexer_dotToken396);
  meth_meth_lexer_dotToken396->definitionModule = modulename;
  meth_meth_lexer_dotToken396->definitionLine = 185;
  Method *meth_meth_lexer_dotToken396_object = addmethod2pos(obj98, "dotToken$object(1)", &meth_lexer_dotToken396_object, 20);
  int argcv_meth_lexer_dotToken396_object[] = {0};
  meth_meth_lexer_dotToken396_object->type = alloc_MethodType(1, argcv_meth_lexer_dotToken396_object);
  meth_meth_lexer_dotToken396_object->definitionModule = modulename;
  meth_meth_lexer_dotToken396_object->definitionLine = 185;
// method "numToken(_,_)"
  struct UserObject *uo410 = (struct UserObject*)obj98;
  uo410->data[21] = emptyclosure;
  Method *meth_meth_lexer_numToken_40_2_41_410 = addmethod2pos(obj98, "numToken(2)", &meth_lexer_numToken_40_2_41_410, 21);
  int argcv_meth_lexer_numToken_40_2_41_410[] = {2};
  meth_meth_lexer_numToken_40_2_41_410->type = alloc_MethodType(1, argcv_meth_lexer_numToken_40_2_41_410);
  meth_meth_lexer_numToken_40_2_41_410->definitionModule = modulename;
  meth_meth_lexer_numToken_40_2_41_410->definitionLine = 191;
  Method *meth_meth_lexer_numToken_40_2_41_410_object = addmethod2pos(obj98, "numToken(2)$object(1)", &meth_lexer_numToken_40_2_41_410_object, 21);
  int argcv_meth_lexer_numToken_40_2_41_410_object[] = {2};
  meth_meth_lexer_numToken_40_2_41_410_object->type = alloc_MethodType(1, argcv_meth_lexer_numToken_40_2_41_410_object);
  meth_meth_lexer_numToken_40_2_41_410_object->definitionModule = modulename;
  meth_meth_lexer_numToken_40_2_41_410_object->definitionLine = 191;
// method "keywordToken(_)"
  struct UserObject *uo434 = (struct UserObject*)obj98;
  uo434->data[22] = emptyclosure;
  Method *meth_meth_lexer_keywordToken_40_1_41_434 = addmethod2pos(obj98, "keywordToken(1)", &meth_lexer_keywordToken_40_1_41_434, 22);
  int argcv_meth_lexer_keywordToken_40_1_41_434[] = {1};
  meth_meth_lexer_keywordToken_40_1_41_434->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken_40_1_41_434);
  meth_meth_lexer_keywordToken_40_1_41_434->definitionModule = modulename;
  meth_meth_lexer_keywordToken_40_1_41_434->definitionLine = 198;
  Method *meth_meth_lexer_keywordToken_40_1_41_434_object = addmethod2pos(obj98, "keywordToken(1)$object(1)", &meth_lexer_keywordToken_40_1_41_434_object, 22);
  int argcv_meth_lexer_keywordToken_40_1_41_434_object[] = {1};
  meth_meth_lexer_keywordToken_40_1_41_434_object->type = alloc_MethodType(1, argcv_meth_lexer_keywordToken_40_1_41_434_object);
  meth_meth_lexer_keywordToken_40_1_41_434_object->definitionModule = modulename;
  meth_meth_lexer_keywordToken_40_1_41_434_object->definitionLine = 198;
// method "opToken(_)"
  struct UserObject *uo448 = (struct UserObject*)obj98;
  uo448->data[23] = emptyclosure;
  Method *meth_meth_lexer_opToken_40_1_41_448 = addmethod2pos(obj98, "opToken(1)", &meth_lexer_opToken_40_1_41_448, 23);
  int argcv_meth_lexer_opToken_40_1_41_448[] = {1};
  meth_meth_lexer_opToken_40_1_41_448->type = alloc_MethodType(1, argcv_meth_lexer_opToken_40_1_41_448);
  meth_meth_lexer_opToken_40_1_41_448->definitionModule = modulename;
  meth_meth_lexer_opToken_40_1_41_448->definitionLine = 204;
  Method *meth_meth_lexer_opToken_40_1_41_448_object = addmethod2pos(obj98, "opToken(1)$object(1)", &meth_lexer_opToken_40_1_41_448_object, 23);
  int argcv_meth_lexer_opToken_40_1_41_448_object[] = {1};
  meth_meth_lexer_opToken_40_1_41_448_object->type = alloc_MethodType(1, argcv_meth_lexer_opToken_40_1_41_448_object);
  meth_meth_lexer_opToken_40_1_41_448_object->definitionModule = modulename;
  meth_meth_lexer_opToken_40_1_41_448_object->definitionLine = 204;
// method "arrowToken"
  struct UserObject *uo462 = (struct UserObject*)obj98;
  uo462->data[24] = emptyclosure;
  Method *meth_meth_lexer_arrowToken462 = addmethod2pos(obj98, "arrowToken", &meth_lexer_arrowToken462, 24);
  int argcv_meth_lexer_arrowToken462[] = {0};
  meth_meth_lexer_arrowToken462->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken462);
  meth_meth_lexer_arrowToken462->definitionModule = modulename;
  meth_meth_lexer_arrowToken462->definitionLine = 210;
  Method *meth_meth_lexer_arrowToken462_object = addmethod2pos(obj98, "arrowToken$object(1)", &meth_lexer_arrowToken462_object, 24);
  int argcv_meth_lexer_arrowToken462_object[] = {0};
  meth_meth_lexer_arrowToken462_object->type = alloc_MethodType(1, argcv_meth_lexer_arrowToken462_object);
  meth_meth_lexer_arrowToken462_object->definitionModule = modulename;
  meth_meth_lexer_arrowToken462_object->definitionLine = 210;
// method "bindToken"
  struct UserObject *uo476 = (struct UserObject*)obj98;
  uo476->data[25] = emptyclosure;
  Method *meth_meth_lexer_bindToken476 = addmethod2pos(obj98, "bindToken", &meth_lexer_bindToken476, 25);
  int argcv_meth_lexer_bindToken476[] = {0};
  meth_meth_lexer_bindToken476->type = alloc_MethodType(1, argcv_meth_lexer_bindToken476);
  meth_meth_lexer_bindToken476->definitionModule = modulename;
  meth_meth_lexer_bindToken476->definitionLine = 216;
  Method *meth_meth_lexer_bindToken476_object = addmethod2pos(obj98, "bindToken$object(1)", &meth_lexer_bindToken476_object, 25);
  int argcv_meth_lexer_bindToken476_object[] = {0};
  meth_meth_lexer_bindToken476_object->type = alloc_MethodType(1, argcv_meth_lexer_bindToken476_object);
  meth_meth_lexer_bindToken476_object->definitionModule = modulename;
  meth_meth_lexer_bindToken476_object->definitionLine = 216;
// method "semicolonToken"
  struct UserObject *uo490 = (struct UserObject*)obj98;
  uo490->data[26] = emptyclosure;
  Method *meth_meth_lexer_semicolonToken490 = addmethod2pos(obj98, "semicolonToken", &meth_lexer_semicolonToken490, 26);
  int argcv_meth_lexer_semicolonToken490[] = {0};
  meth_meth_lexer_semicolonToken490->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken490);
  meth_meth_lexer_semicolonToken490->definitionModule = modulename;
  meth_meth_lexer_semicolonToken490->definitionLine = 222;
  Method *meth_meth_lexer_semicolonToken490_object = addmethod2pos(obj98, "semicolonToken$object(1)", &meth_lexer_semicolonToken490_object, 26);
  int argcv_meth_lexer_semicolonToken490_object[] = {0};
  meth_meth_lexer_semicolonToken490_object->type = alloc_MethodType(1, argcv_meth_lexer_semicolonToken490_object);
  meth_meth_lexer_semicolonToken490_object->definitionModule = modulename;
  meth_meth_lexer_semicolonToken490_object->definitionLine = 222;
// method "lGenericToken"
  struct UserObject *uo504 = (struct UserObject*)obj98;
  uo504->data[27] = emptyclosure;
  Method *meth_meth_lexer_lGenericToken504 = addmethod2pos(obj98, "lGenericToken", &meth_lexer_lGenericToken504, 27);
  int argcv_meth_lexer_lGenericToken504[] = {0};
  meth_meth_lexer_lGenericToken504->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken504);
  meth_meth_lexer_lGenericToken504->definitionModule = modulename;
  meth_meth_lexer_lGenericToken504->definitionLine = 228;
  Method *meth_meth_lexer_lGenericToken504_object = addmethod2pos(obj98, "lGenericToken$object(1)", &meth_lexer_lGenericToken504_object, 27);
  int argcv_meth_lexer_lGenericToken504_object[] = {0};
  meth_meth_lexer_lGenericToken504_object->type = alloc_MethodType(1, argcv_meth_lexer_lGenericToken504_object);
  meth_meth_lexer_lGenericToken504_object->definitionModule = modulename;
  meth_meth_lexer_lGenericToken504_object->definitionLine = 228;
// method "rGenericToken"
  struct UserObject *uo518 = (struct UserObject*)obj98;
  uo518->data[28] = emptyclosure;
  Method *meth_meth_lexer_rGenericToken518 = addmethod2pos(obj98, "rGenericToken", &meth_lexer_rGenericToken518, 28);
  int argcv_meth_lexer_rGenericToken518[] = {0};
  meth_meth_lexer_rGenericToken518->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken518);
  meth_meth_lexer_rGenericToken518->definitionModule = modulename;
  meth_meth_lexer_rGenericToken518->definitionLine = 234;
  Method *meth_meth_lexer_rGenericToken518_object = addmethod2pos(obj98, "rGenericToken$object(1)", &meth_lexer_rGenericToken518_object, 28);
  int argcv_meth_lexer_rGenericToken518_object[] = {0};
  meth_meth_lexer_rGenericToken518_object->type = alloc_MethodType(1, argcv_meth_lexer_rGenericToken518_object);
  meth_meth_lexer_rGenericToken518_object->definitionModule = modulename;
  meth_meth_lexer_rGenericToken518_object->definitionLine = 234;
// method "eofToken"
  struct UserObject *uo532 = (struct UserObject*)obj98;
  uo532->data[29] = emptyclosure;
  Method *meth_meth_lexer_eofToken532 = addmethod2pos(obj98, "eofToken", &meth_lexer_eofToken532, 29);
  int argcv_meth_lexer_eofToken532[] = {0};
  meth_meth_lexer_eofToken532->type = alloc_MethodType(1, argcv_meth_lexer_eofToken532);
  meth_meth_lexer_eofToken532->definitionModule = modulename;
  meth_meth_lexer_eofToken532->definitionLine = 240;
  Method *meth_meth_lexer_eofToken532_object = addmethod2pos(obj98, "eofToken$object(1)", &meth_lexer_eofToken532_object, 29);
  int argcv_meth_lexer_eofToken532_object[] = {0};
  meth_meth_lexer_eofToken532_object->type = alloc_MethodType(1, argcv_meth_lexer_eofToken532_object);
  meth_meth_lexer_eofToken532_object->definitionModule = modulename;
  meth_meth_lexer_eofToken532_object->definitionLine = 240;
// method "modechange(_,_,_)"
  block_savedest(obj98);
  Object closure546 = createclosure(3, "modechange(3)");
  setclosureframe(closure546, stackframe);
  addtoclosure(closure546, var_keywords);
  addtoclosure(closure546, var_errormessages);
  addtoclosure(closure546, var_util);
  struct UserObject *uo546 = (struct UserObject*)obj98;
  uo546->data[30] = (Object)closure546;
  Method *meth_meth_lexer_modechange_40_3_41_546 = addmethod2pos(obj98, "modechange(3)", &meth_lexer_modechange_40_3_41_546, 30);
  int argcv_meth_lexer_modechange_40_3_41_546[] = {3};
  meth_meth_lexer_modechange_40_3_41_546->type = alloc_MethodType(1, argcv_meth_lexer_modechange_40_3_41_546);
  meth_meth_lexer_modechange_40_3_41_546->definitionModule = modulename;
  meth_meth_lexer_modechange_40_3_41_546->definitionLine = 248;
// method "fromBase(_,_)"
  block_savedest(obj98);
  Object closure1256 = createclosure(2, "fromBase(2)");
  setclosureframe(closure1256, stackframe);
  addtoclosure(closure1256, var_errormessages);
  addtoclosure(closure1256, var_unicode);
  struct UserObject *uo1256 = (struct UserObject*)obj98;
  uo1256->data[31] = (Object)closure1256;
  Method *meth_meth_lexer_fromBase_40_2_41_1256 = addmethod2pos(obj98, "fromBase(2)", &meth_lexer_fromBase_40_2_41_1256, 31);
  int argcv_meth_lexer_fromBase_40_2_41_1256[] = {2};
  meth_meth_lexer_fromBase_40_2_41_1256->type = alloc_MethodType(1, argcv_meth_lexer_fromBase_40_2_41_1256);
  meth_meth_lexer_fromBase_40_2_41_1256->definitionModule = modulename;
  meth_meth_lexer_fromBase_40_2_41_1256->definitionLine = 419;
// method "hexdecchar(_)"
  block_savedest(obj98);
  Object closure1496 = createclosure(1, "hexdecchar(1)");
  setclosureframe(closure1496, stackframe);
  addtoclosure(closure1496, var_errormessages);
  struct UserObject *uo1496 = (struct UserObject*)obj98;
  uo1496->data[32] = (Object)closure1496;
  Method *meth_meth_lexer_hexdecchar_40_1_41_1496 = addmethod2pos(obj98, "hexdecchar(1)", &meth_lexer_hexdecchar_40_1_41_1496, 32);
  int argcv_meth_lexer_hexdecchar_40_1_41_1496[] = {1};
  meth_meth_lexer_hexdecchar_40_1_41_1496->type = alloc_MethodType(1, argcv_meth_lexer_hexdecchar_40_1_41_1496);
  meth_meth_lexer_hexdecchar_40_1_41_1496->definitionModule = modulename;
  meth_meth_lexer_hexdecchar_40_1_41_1496->definitionLine = 461;
// method "makeNumToken(_)"
  block_savedest(obj98);
  Object closure1580 = createclosure(1, "makeNumToken(1)");
  setclosureframe(closure1580, stackframe);
  addtoclosure(closure1580, var_errormessages);
  struct UserObject *uo1580 = (struct UserObject*)obj98;
  uo1580->data[33] = (Object)closure1580;
  Method *meth_meth_lexer_makeNumToken_40_1_41_1580 = addmethod2pos(obj98, "makeNumToken(1)", &meth_lexer_makeNumToken_40_1_41_1580, 33);
  int argcv_meth_lexer_makeNumToken_40_1_41_1580[] = {1};
  meth_meth_lexer_makeNumToken_40_1_41_1580->type = alloc_MethodType(1, argcv_meth_lexer_makeNumToken_40_1_41_1580);
  meth_meth_lexer_makeNumToken_40_1_41_1580->definitionModule = modulename;
  meth_meth_lexer_makeNumToken_40_1_41_1580->definitionLine = 479;
// method "lexfile(_)"
  block_savedest(obj98);
  Object closure1789 = createclosure(1, "lexfile(1)");
  setclosureframe(closure1789, stackframe);
  addtoclosure(closure1789, var_util);
  struct UserObject *uo1789 = (struct UserObject*)obj98;
  uo1789->data[34] = (Object)closure1789;
  Method *meth_meth_lexer_lexfile_40_1_41_1789 = addmethod2pos(obj98, "lexfile(1)", &meth_lexer_lexfile_40_1_41_1789, 34);
  int argcv_meth_lexer_lexfile_40_1_41_1789[] = {1};
  meth_meth_lexer_lexfile_40_1_41_1789->type = alloc_MethodType(1, argcv_meth_lexer_lexfile_40_1_41_1789);
  meth_meth_lexer_lexfile_40_1_41_1789->definitionModule = modulename;
  meth_meth_lexer_lexfile_40_1_41_1789->definitionLine = 524;
// method "lexinput(_)"
  block_savedest(obj98);
  Object closure1907 = createclosure(4, "lexinput(1)");
  setclosureframe(closure1907, stackframe);
  addtoclosure(closure1907, var_util);
  addtoclosure(closure1907, var_errormessages);
  addtoclosure(closure1907, var_unicode);
  addtoclosure(closure1907, var_spaceChars);
  struct UserObject *uo1907 = (struct UserObject*)obj98;
  uo1907->data[35] = (Object)closure1907;
  Method *meth_meth_lexer_lexinput_40_1_41_1907 = addmethod2pos(obj98, "lexinput(1)", &meth_lexer_lexinput_40_1_41_1907, 35);
  int argcv_meth_lexer_lexinput_40_1_41_1907[] = {1};
  meth_meth_lexer_lexinput_40_1_41_1907->type = alloc_MethodType(1, argcv_meth_lexer_lexinput_40_1_41_1907);
  meth_meth_lexer_lexinput_40_1_41_1907->definitionModule = modulename;
  meth_meth_lexer_lexinput_40_1_41_1907->definitionLine = 579;
  sourceObject = obj98;
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3708 = alloc_Float64(1);
// compiled num node returning num3708 (depth = 2)
  adddatum2(obj98, num3708, 1);
  sourceObject = obj98;
// Begin line 84
  setline(84);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3709 = alloc_Float64(0);
// compiled num node returning num3709 (depth = 2)
  adddatum2(obj98, num3709, 2);
  sourceObject = obj98;
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3710 = alloc_Float64(1);
// compiled num node returning num3710 (depth = 2)
  adddatum2(obj98, num3710, 3);
  sourceObject = obj98;
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3711 = alloc_Float64(0);
// compiled num node returning num3711 (depth = 2)
  adddatum2(obj98, num3711, 4);
  sourceObject = obj98;
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num3712 = alloc_Float64(1);
// compiled num node returning num3712 (depth = 2)
  adddatum2(obj98, num3712, 5);
  sourceObject = obj98;
  adddatum2(obj98, undefined, 6);
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  sourceObject = obj98;
  objclass98 = obj98->class;
  objclass98->definitionModule = modulename;
  objclass98->definitionLine = 82;
  (*(struct UserObject *)self).data[0] = lowerouter98;
  self = oldself98;
  selfslot = oldselfslot98;
  stackframe = oldstackframe98;
  gc_frame_end(frame);
  return obj98;
}
Object meth_lexer_keywords3716(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "keywords");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_keywords = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_keywords (depth = 3)
  gc_frame_end(frame);
  return *var_keywords;
}
Object meth_lexer_operatorChars3786(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "operatorChars");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_operatorChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_operatorChars (depth = 3)
  gc_frame_end(frame);
  return *var_operatorChars;
}
Object meth_lexer_spaceChars3788(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "spaceChars");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_spaceChars = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_spaceChars (depth = 3)
  gc_frame_end(frame);
  return *var_spaceChars;
}
Object meth_lexer_tab3790(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tab");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tab = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tab (depth = 3)
  gc_frame_end(frame);
  return *var_tab;
}
Object meth_lexer_nl_cr3792(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "nl_cr");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nl_cr = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_nl_cr (depth = 3)
  gc_frame_end(frame);
  return *var_nl_cr;
}
Object meth_lexer_selfModes3794(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "selfModes");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_selfModes = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_selfModes (depth = 3)
  gc_frame_end(frame);
  return *var_selfModes;
}
Object meth_lexer_brackets3796(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "brackets");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_brackets = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_brackets (depth = 3)
  gc_frame_end(frame);
  return *var_brackets;
}
Object meth_lexer_alphaNums3798(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "alphaNums");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_alphaNums = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_alphaNums (depth = 3)
  gc_frame_end(frame);
  return *var_alphaNums;
}
Object meth_lexer_digits3800(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "digits");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_digits = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_digits (depth = 3)
  gc_frame_end(frame);
  return *var_digits;
}
Object meth_lexer_asciiLetters3802(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "asciiLetters");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_asciiLetters = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_asciiLetters (depth = 3)
  gc_frame_end(frame);
  return *var_asciiLetters;
}
Object module_lexer_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(23, 23);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<lexer>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(23, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[2];
  int partcv[1];
  Object *var_util = alloc_var();
  Object *var_unicode = alloc_var();
  Object *var_errormessages = alloc_var();
  Object *var_map = alloc_var();
  Object *var_keywords = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "keywords");
  Object *var_operatorChars = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "operatorChars");
  Object *var_spaceChars = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "spaceChars");
  Object *var_tab = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "tab");
  Object *var_nl_cr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nl_cr");
  Object *var_selfModes = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "selfModes");
  Object *var_brackets = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "brackets");
  Object *var_alphaNums = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "alphaNums");
  Object *var_digits = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "digits");
  Object *var_asciiLetters = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "asciiLetters");
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isOperatorChar(_,_)"
  block_savedest(self);
  Object closure1 = createclosure(2, "isOperatorChar(2)");
  setclosureframe(closure1, stackframe);
  addtoclosure(closure1, var_operatorChars);
  addtoclosure(closure1, var_unicode);
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = (Object)closure1;
  Method *meth_meth_lexer_isOperatorChar_40_2_41_1 = addmethod2pos(self, "isOperatorChar(2)", &meth_lexer_isOperatorChar_40_2_41_1, 1);
  int argcv_meth_lexer_isOperatorChar_40_2_41_1[] = {2};
  meth_meth_lexer_isOperatorChar_40_2_41_1->type = alloc_MethodType(1, argcv_meth_lexer_isOperatorChar_40_2_41_1);
  meth_meth_lexer_isOperatorChar_40_2_41_1->definitionModule = modulename;
  meth_meth_lexer_isOperatorChar_40_2_41_1->definitionLine = 27;
// compiled method node returning  (depth = 1)
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBadSeparator(_)"
  block_savedest(self);
  Object closure16 = createclosure(3, "isBadSeparator(1)");
  setclosureframe(closure16, stackframe);
  addtoclosure(closure16, var_spaceChars);
  addtoclosure(closure16, var_tab);
  addtoclosure(closure16, var_unicode);
  struct UserObject *uo16 = (struct UserObject*)self;
  uo16->data[2] = (Object)closure16;
  Method *meth_meth_lexer_isBadSeparator_40_1_41_16 = addmethod2pos(self, "isBadSeparator(1)", &meth_lexer_isBadSeparator_40_1_41_16, 2);
  int argcv_meth_lexer_isBadSeparator_40_1_41_16[] = {1};
  meth_meth_lexer_isBadSeparator_40_1_41_16->type = alloc_MethodType(1, argcv_meth_lexer_isBadSeparator_40_1_41_16);
  meth_meth_lexer_isBadSeparator_40_1_41_16->definitionModule = modulename;
  meth_meth_lexer_isBadSeparator_40_1_41_16->definitionLine = 36;
// compiled method node returning  (depth = 1)
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBadControl(_)"
  block_savedest(self);
  Object closure29 = createclosure(2, "isBadControl(1)");
  setclosureframe(closure29, stackframe);
  addtoclosure(closure29, var_nl_cr);
  addtoclosure(closure29, var_unicode);
  struct UserObject *uo29 = (struct UserObject*)self;
  uo29->data[3] = (Object)closure29;
  Method *meth_meth_lexer_isBadControl_40_1_41_29 = addmethod2pos(self, "isBadControl(1)", &meth_lexer_isBadControl_40_1_41_29, 3);
  int argcv_meth_lexer_isBadControl_40_1_41_29[] = {1};
  meth_meth_lexer_isBadControl_40_1_41_29->type = alloc_MethodType(1, argcv_meth_lexer_isBadControl_40_1_41_29);
  meth_meth_lexer_isBadControl_40_1_41_29->definitionModule = modulename;
  meth_meth_lexer_isBadControl_40_1_41_29->definitionLine = 43;
// compiled method node returning  (depth = 1)
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isSelfMode(_)"
  block_savedest(self);
  Object closure37 = createclosure(1, "isSelfMode(1)");
  setclosureframe(closure37, stackframe);
  addtoclosure(closure37, var_selfModes);
  struct UserObject *uo37 = (struct UserObject*)self;
  uo37->data[4] = (Object)closure37;
  Method *meth_meth_lexer_isSelfMode_40_1_41_37 = addmethod2pos(self, "isSelfMode(1)", &meth_lexer_isSelfMode_40_1_41_37, 4);
  int argcv_meth_lexer_isSelfMode_40_1_41_37[] = {1};
  meth_meth_lexer_isSelfMode_40_1_41_37->type = alloc_MethodType(1, argcv_meth_lexer_isSelfMode_40_1_41_37);
  meth_meth_lexer_isSelfMode_40_1_41_37->definitionModule = modulename;
  meth_meth_lexer_isSelfMode_40_1_41_37->definitionLine = 49;
// compiled method node returning  (depth = 1)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isBracket(_)"
  block_savedest(self);
  Object closure40 = createclosure(1, "isBracket(1)");
  setclosureframe(closure40, stackframe);
  addtoclosure(closure40, var_brackets);
  struct UserObject *uo40 = (struct UserObject*)self;
  uo40->data[5] = (Object)closure40;
  Method *meth_meth_lexer_isBracket_40_1_41_40 = addmethod2pos(self, "isBracket(1)", &meth_lexer_isBracket_40_1_41_40, 5);
  int argcv_meth_lexer_isBracket_40_1_41_40[] = {1};
  meth_meth_lexer_isBracket_40_1_41_40->type = alloc_MethodType(1, argcv_meth_lexer_isBracket_40_1_41_40);
  meth_meth_lexer_isBracket_40_1_41_40->definitionModule = modulename;
  meth_meth_lexer_isBracket_40_1_41_40->definitionLine = 52;
// compiled method node returning  (depth = 1)
// Begin line 55
  setline(55);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isIdentifierChar(_)"
  block_savedest(self);
  Object closure43 = createclosure(2, "isIdentifierChar(1)");
  setclosureframe(closure43, stackframe);
  addtoclosure(closure43, var_alphaNums);
  addtoclosure(closure43, var_unicode);
  struct UserObject *uo43 = (struct UserObject*)self;
  uo43->data[6] = (Object)closure43;
  Method *meth_meth_lexer_isIdentifierChar_40_1_41_43 = addmethod2pos(self, "isIdentifierChar(1)", &meth_lexer_isIdentifierChar_40_1_41_43, 6);
  int argcv_meth_lexer_isIdentifierChar_40_1_41_43[] = {1};
  meth_meth_lexer_isIdentifierChar_40_1_41_43->type = alloc_MethodType(1, argcv_meth_lexer_isIdentifierChar_40_1_41_43);
  meth_meth_lexer_isIdentifierChar_40_1_41_43->definitionModule = modulename;
  meth_meth_lexer_isIdentifierChar_40_1_41_43->definitionLine = 55;
// compiled method node returning  (depth = 1)
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isDigit(_)"
  block_savedest(self);
  Object closure59 = createclosure(1, "isDigit(1)");
  setclosureframe(closure59, stackframe);
  addtoclosure(closure59, var_digits);
  struct UserObject *uo59 = (struct UserObject*)self;
  uo59->data[7] = (Object)closure59;
  Method *meth_meth_lexer_isDigit_40_1_41_59 = addmethod2pos(self, "isDigit(1)", &meth_lexer_isDigit_40_1_41_59, 7);
  int argcv_meth_lexer_isDigit_40_1_41_59[] = {1};
  meth_meth_lexer_isDigit_40_1_41_59->type = alloc_MethodType(1, argcv_meth_lexer_isDigit_40_1_41_59);
  meth_meth_lexer_isDigit_40_1_41_59->definitionModule = modulename;
  meth_meth_lexer_isDigit_40_1_41_59->definitionLine = 62;
// compiled method node returning  (depth = 1)
// Begin line 65
  setline(65);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "isLetter(_)"
  block_savedest(self);
  Object closure62 = createclosure(2, "isLetter(1)");
  setclosureframe(closure62, stackframe);
  addtoclosure(closure62, var_asciiLetters);
  addtoclosure(closure62, var_unicode);
  struct UserObject *uo62 = (struct UserObject*)self;
  uo62->data[8] = (Object)closure62;
  Method *meth_meth_lexer_isLetter_40_1_41_62 = addmethod2pos(self, "isLetter(1)", &meth_lexer_isLetter_40_1_41_62, 8);
  int argcv_meth_lexer_isLetter_40_1_41_62[] = {1};
  meth_meth_lexer_isLetter_40_1_41_62->type = alloc_MethodType(1, argcv_meth_lexer_isLetter_40_1_41_62);
  meth_meth_lexer_isLetter_40_1_41_62->definitionModule = modulename;
  meth_meth_lexer_isLetter_40_1_41_62->definitionLine = 65;
// compiled method node returning  (depth = 1)
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "padl(_,_,_)"
  struct UserObject *uo73 = (struct UserObject*)self;
  uo73->data[9] = emptyclosure;
  Method *meth_meth_lexer_padl_40_3_41_73 = addmethod2pos(self, "padl(3)", &meth_lexer_padl_40_3_41_73, 9);
  int argcv_meth_lexer_padl_40_3_41_73[] = {3};
  meth_meth_lexer_padl_40_3_41_73->type = alloc_MethodType(1, argcv_meth_lexer_padl_40_3_41_73);
  meth_meth_lexer_padl_40_3_41_73->definitionModule = modulename;
  meth_meth_lexer_padl_40_3_41_73->definitionLine = 71;
// compiled method node returning  (depth = 1)
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "new"
  block_savedest(self);
  Object closure97 = createclosure(5, "new");
  setclosureframe(closure97, stackframe);
  addtoclosure(closure97, var_keywords);
  addtoclosure(closure97, var_errormessages);
  addtoclosure(closure97, var_util);
  addtoclosure(closure97, var_unicode);
  addtoclosure(closure97, var_spaceChars);
  struct UserObject *uo97 = (struct UserObject*)self;
  uo97->data[10] = (Object)closure97;
  Method *meth_meth_lexer_new97 = addmethod2pos(self, "new", &meth_lexer_new97, 10);
  int argcv_meth_lexer_new97[] = {0};
  meth_meth_lexer_new97->type = alloc_MethodType(1, argcv_meth_lexer_new97);
  meth_meth_lexer_new97->definitionModule = modulename;
  meth_meth_lexer_new97->definitionLine = 82;
  block_savedest(self);
  Object closure3713 = createclosure(5, "new$object(1)");
  setclosureframe(closure3713, stackframe);
  addtoclosure(closure3713, var_keywords);
  addtoclosure(closure3713, var_errormessages);
  addtoclosure(closure3713, var_util);
  addtoclosure(closure3713, var_unicode);
  addtoclosure(closure3713, var_spaceChars);
  Method *meth_meth_lexer_new97_object = addmethod2pos(self, "new$object(1)", &meth_lexer_new97_object, 10);
  meth_meth_lexer_new97_object->definitionModule = modulename;
  meth_meth_lexer_new97_object->definitionLine = 82;
// compiled method node returning  (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of unicode as unicode
  if (module_unicode == NULL)
    module_unicode = dlmodule("unicode");
  *var_unicode = module_unicode;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = LOAD_MODULE(errormessages);
  *var_errormessages = module_errormessages;
// compiled import node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of stringMap as map
  if (module_stringMap == NULL)
    module_stringMap = LOAD_MODULE(stringMap);
  *var_map = module_stringMap;
// compiled import node returning done (depth = 1)
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe3714 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_map (depth = 3)
  Object call3715 = callmethodflags(*var_map, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3714);
// compiled member node returning call3715 (depth = 2)
  *var_keywords = call3715;
  if (call3715 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "keywords"
  block_savedest(self);
  Object closure3716 = createclosure(1, "keywords");
  setclosureframe(closure3716, stackframe);
  addtoclosure(closure3716, var_keywords);
  struct UserObject *uo3716 = (struct UserObject*)self;
  uo3716->data[11] = (Object)closure3716;
  Method *meth_meth_lexer_keywords3716 = addmethod2pos(self, "keywords", &meth_lexer_keywords3716, 11);
  int argcv_meth_lexer_keywords3716[] = {0};
  meth_meth_lexer_keywords3716->type = alloc_MethodType(1, argcv_meth_lexer_keywords3716);
  meth_meth_lexer_keywords3716->definitionModule = modulename;
  meth_meth_lexer_keywords3716->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3717 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3718 == NULL) {
    strlit3718 = alloc_String("alias");
    gc_root(strlit3718);
  }
// compiled string node returning strlit3718 (depth = 2)
  gc_frame_newslot(strlit3718);
// starting to compile identifier node (depth = 2)
  Object bool3719 = alloc_Boolean(1);
// compiled identifier node returning bool3719 (depth = 2)
  gc_frame_newslot(bool3719);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3718;
  params[1] = bool3719;
  partcv[0] = 2;
  Object call3720 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3717);
// compiled call node returning call3720 (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3721 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3722 == NULL) {
    strlit3722 = alloc_String("class");
    gc_root(strlit3722);
  }
// compiled string node returning strlit3722 (depth = 2)
  gc_frame_newslot(strlit3722);
// starting to compile identifier node (depth = 2)
  Object bool3723 = alloc_Boolean(1);
// compiled identifier node returning bool3723 (depth = 2)
  gc_frame_newslot(bool3723);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3722;
  params[1] = bool3723;
  partcv[0] = 2;
  Object call3724 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3721);
// compiled call node returning call3724 (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3725 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3726 == NULL) {
    strlit3726 = alloc_String("def");
    gc_root(strlit3726);
  }
// compiled string node returning strlit3726 (depth = 2)
  gc_frame_newslot(strlit3726);
// starting to compile identifier node (depth = 2)
  Object bool3727 = alloc_Boolean(1);
// compiled identifier node returning bool3727 (depth = 2)
  gc_frame_newslot(bool3727);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3726;
  params[1] = bool3727;
  partcv[0] = 2;
  Object call3728 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3725);
// compiled call node returning call3728 (depth = 1)
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3729 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3730 == NULL) {
    strlit3730 = alloc_String("dialect");
    gc_root(strlit3730);
  }
// compiled string node returning strlit3730 (depth = 2)
  gc_frame_newslot(strlit3730);
// starting to compile identifier node (depth = 2)
  Object bool3731 = alloc_Boolean(1);
// compiled identifier node returning bool3731 (depth = 2)
  gc_frame_newslot(bool3731);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3730;
  params[1] = bool3731;
  partcv[0] = 2;
  Object call3732 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3729);
// compiled call node returning call3732 (depth = 1)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3733 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3734 == NULL) {
    strlit3734 = alloc_String("exclude");
    gc_root(strlit3734);
  }
// compiled string node returning strlit3734 (depth = 2)
  gc_frame_newslot(strlit3734);
// starting to compile identifier node (depth = 2)
  Object bool3735 = alloc_Boolean(1);
// compiled identifier node returning bool3735 (depth = 2)
  gc_frame_newslot(bool3735);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3734;
  params[1] = bool3735;
  partcv[0] = 2;
  Object call3736 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3733);
// compiled call node returning call3736 (depth = 1)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3737 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3738 == NULL) {
    strlit3738 = alloc_String("factory");
    gc_root(strlit3738);
  }
// compiled string node returning strlit3738 (depth = 2)
  gc_frame_newslot(strlit3738);
// starting to compile identifier node (depth = 2)
  Object bool3739 = alloc_Boolean(1);
// compiled identifier node returning bool3739 (depth = 2)
  gc_frame_newslot(bool3739);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3738;
  params[1] = bool3739;
  partcv[0] = 2;
  Object call3740 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3737);
// compiled call node returning call3740 (depth = 1)
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3741 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3742 == NULL) {
    strlit3742 = alloc_String("import");
    gc_root(strlit3742);
  }
// compiled string node returning strlit3742 (depth = 2)
  gc_frame_newslot(strlit3742);
// starting to compile identifier node (depth = 2)
  Object bool3743 = alloc_Boolean(1);
// compiled identifier node returning bool3743 (depth = 2)
  gc_frame_newslot(bool3743);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3742;
  params[1] = bool3743;
  partcv[0] = 2;
  Object call3744 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3741);
// compiled call node returning call3744 (depth = 1)
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3745 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3746 == NULL) {
    strlit3746 = alloc_String("inherits");
    gc_root(strlit3746);
  }
// compiled string node returning strlit3746 (depth = 2)
  gc_frame_newslot(strlit3746);
// starting to compile identifier node (depth = 2)
  Object bool3747 = alloc_Boolean(1);
// compiled identifier node returning bool3747 (depth = 2)
  gc_frame_newslot(bool3747);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3746;
  params[1] = bool3747;
  partcv[0] = 2;
  Object call3748 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3745);
// compiled call node returning call3748 (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3749 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3750 == NULL) {
    strlit3750 = alloc_String("inherit");
    gc_root(strlit3750);
  }
// compiled string node returning strlit3750 (depth = 2)
  gc_frame_newslot(strlit3750);
// starting to compile identifier node (depth = 2)
  Object bool3751 = alloc_Boolean(1);
// compiled identifier node returning bool3751 (depth = 2)
  gc_frame_newslot(bool3751);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3750;
  params[1] = bool3751;
  partcv[0] = 2;
  Object call3752 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3749);
// compiled call node returning call3752 (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3753 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3754 == NULL) {
    strlit3754 = alloc_String("is");
    gc_root(strlit3754);
  }
// compiled string node returning strlit3754 (depth = 2)
  gc_frame_newslot(strlit3754);
// starting to compile identifier node (depth = 2)
  Object bool3755 = alloc_Boolean(1);
// compiled identifier node returning bool3755 (depth = 2)
  gc_frame_newslot(bool3755);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3754;
  params[1] = bool3755;
  partcv[0] = 2;
  Object call3756 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3753);
// compiled call node returning call3756 (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3757 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3758 == NULL) {
    strlit3758 = alloc_String("method");
    gc_root(strlit3758);
  }
// compiled string node returning strlit3758 (depth = 2)
  gc_frame_newslot(strlit3758);
// starting to compile identifier node (depth = 2)
  Object bool3759 = alloc_Boolean(1);
// compiled identifier node returning bool3759 (depth = 2)
  gc_frame_newslot(bool3759);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3758;
  params[1] = bool3759;
  partcv[0] = 2;
  Object call3760 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3757);
// compiled call node returning call3760 (depth = 1)
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3761 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3762 == NULL) {
    strlit3762 = alloc_String("object");
    gc_root(strlit3762);
  }
// compiled string node returning strlit3762 (depth = 2)
  gc_frame_newslot(strlit3762);
// starting to compile identifier node (depth = 2)
  Object bool3763 = alloc_Boolean(1);
// compiled identifier node returning bool3763 (depth = 2)
  gc_frame_newslot(bool3763);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3762;
  params[1] = bool3763;
  partcv[0] = 2;
  Object call3764 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3761);
// compiled call node returning call3764 (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3765 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3766 == NULL) {
    strlit3766 = alloc_String("return");
    gc_root(strlit3766);
  }
// compiled string node returning strlit3766 (depth = 2)
  gc_frame_newslot(strlit3766);
// starting to compile identifier node (depth = 2)
  Object bool3767 = alloc_Boolean(1);
// compiled identifier node returning bool3767 (depth = 2)
  gc_frame_newslot(bool3767);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3766;
  params[1] = bool3767;
  partcv[0] = 2;
  Object call3768 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3765);
// compiled call node returning call3768 (depth = 1)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3769 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3770 == NULL) {
    strlit3770 = alloc_String("trait");
    gc_root(strlit3770);
  }
// compiled string node returning strlit3770 (depth = 2)
  gc_frame_newslot(strlit3770);
// starting to compile identifier node (depth = 2)
  Object bool3771 = alloc_Boolean(1);
// compiled identifier node returning bool3771 (depth = 2)
  gc_frame_newslot(bool3771);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3770;
  params[1] = bool3771;
  partcv[0] = 2;
  Object call3772 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3769);
// compiled call node returning call3772 (depth = 1)
// Begin line 22
  setline(22);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3773 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3774 == NULL) {
    strlit3774 = alloc_String("type");
    gc_root(strlit3774);
  }
// compiled string node returning strlit3774 (depth = 2)
  gc_frame_newslot(strlit3774);
// starting to compile identifier node (depth = 2)
  Object bool3775 = alloc_Boolean(1);
// compiled identifier node returning bool3775 (depth = 2)
  gc_frame_newslot(bool3775);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3774;
  params[1] = bool3775;
  partcv[0] = 2;
  Object call3776 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3773);
// compiled call node returning call3776 (depth = 1)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3777 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3778 == NULL) {
    strlit3778 = alloc_String("use");
    gc_root(strlit3778);
  }
// compiled string node returning strlit3778 (depth = 2)
  gc_frame_newslot(strlit3778);
// starting to compile identifier node (depth = 2)
  Object bool3779 = alloc_Boolean(1);
// compiled identifier node returning bool3779 (depth = 2)
  gc_frame_newslot(bool3779);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3778;
  params[1] = bool3779;
  partcv[0] = 2;
  Object call3780 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3777);
// compiled call node returning call3780 (depth = 1)
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 1)
  int callframe3781 = gc_frame_new();
// starting to compile string node (depth = 2)
  if (strlit3782 == NULL) {
    strlit3782 = alloc_String("var");
    gc_root(strlit3782);
  }
// compiled string node returning strlit3782 (depth = 2)
  gc_frame_newslot(strlit3782);
// starting to compile identifier node (depth = 2)
  Object bool3783 = alloc_Boolean(1);
// compiled identifier node returning bool3783 (depth = 2)
  gc_frame_newslot(bool3783);
// call case 6: other requests
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_keywords (depth = 2)
  params[0] = strlit3782;
  params[1] = bool3783;
  partcv[0] = 2;
  Object call3784 = callmethodflags(*var_keywords, "put(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3781);
// compiled call node returning call3784 (depth = 1)
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3785 == NULL) {
    strlit3785 = alloc_String("-&|:$#\\%^@?*/+!~");
    gc_root(strlit3785);
  }
// compiled string node returning strlit3785 (depth = 2)
  *var_operatorChars = strlit3785;
  if (strlit3785 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "operatorChars"
  block_savedest(self);
  Object closure3786 = createclosure(1, "operatorChars");
  setclosureframe(closure3786, stackframe);
  addtoclosure(closure3786, var_operatorChars);
  struct UserObject *uo3786 = (struct UserObject*)self;
  uo3786->data[12] = (Object)closure3786;
  Method *meth_meth_lexer_operatorChars3786 = addmethod2pos(self, "operatorChars", &meth_lexer_operatorChars3786, 12);
  int argcv_meth_lexer_operatorChars3786[] = {0};
  meth_meth_lexer_operatorChars3786->type = alloc_MethodType(1, argcv_meth_lexer_operatorChars3786);
  meth_meth_lexer_operatorChars3786->definitionModule = modulename;
  meth_meth_lexer_operatorChars3786->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3787 == NULL) {
    strlit3787 = alloc_String(" ""\xc2""""\xa0""");
    gc_root(strlit3787);
  }
// compiled string node returning strlit3787 (depth = 2)
  *var_spaceChars = strlit3787;
  if (strlit3787 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "spaceChars"
  block_savedest(self);
  Object closure3788 = createclosure(1, "spaceChars");
  setclosureframe(closure3788, stackframe);
  addtoclosure(closure3788, var_spaceChars);
  struct UserObject *uo3788 = (struct UserObject*)self;
  uo3788->data[13] = (Object)closure3788;
  Method *meth_meth_lexer_spaceChars3788 = addmethod2pos(self, "spaceChars", &meth_lexer_spaceChars3788, 13);
  int argcv_meth_lexer_spaceChars3788[] = {0};
  meth_meth_lexer_spaceChars3788->type = alloc_MethodType(1, argcv_meth_lexer_spaceChars3788);
  meth_meth_lexer_spaceChars3788->definitionModule = modulename;
  meth_meth_lexer_spaceChars3788->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3789 == NULL) {
    strlit3789 = alloc_String("""\x09""");
    gc_root(strlit3789);
  }
// compiled string node returning strlit3789 (depth = 2)
  *var_tab = strlit3789;
  if (strlit3789 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "tab"
  block_savedest(self);
  Object closure3790 = createclosure(1, "tab");
  setclosureframe(closure3790, stackframe);
  addtoclosure(closure3790, var_tab);
  struct UserObject *uo3790 = (struct UserObject*)self;
  uo3790->data[14] = (Object)closure3790;
  Method *meth_meth_lexer_tab3790 = addmethod2pos(self, "tab", &meth_lexer_tab3790, 14);
  int argcv_meth_lexer_tab3790[] = {0};
  meth_meth_lexer_tab3790->type = alloc_MethodType(1, argcv_meth_lexer_tab3790);
  meth_meth_lexer_tab3790->definitionModule = modulename;
  meth_meth_lexer_tab3790->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3791 == NULL) {
    strlit3791 = alloc_String("""\x0a""""\x0d""");
    gc_root(strlit3791);
  }
// compiled string node returning strlit3791 (depth = 2)
  *var_nl_cr = strlit3791;
  if (strlit3791 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "nl_cr"
  block_savedest(self);
  Object closure3792 = createclosure(1, "nl_cr");
  setclosureframe(closure3792, stackframe);
  addtoclosure(closure3792, var_nl_cr);
  struct UserObject *uo3792 = (struct UserObject*)self;
  uo3792->data[15] = (Object)closure3792;
  Method *meth_meth_lexer_nl_cr3792 = addmethod2pos(self, "nl_cr", &meth_lexer_nl_cr3792, 15);
  int argcv_meth_lexer_nl_cr3792[] = {0};
  meth_meth_lexer_nl_cr3792->type = alloc_MethodType(1, argcv_meth_lexer_nl_cr3792);
  meth_meth_lexer_nl_cr3792->definitionModule = modulename;
  meth_meth_lexer_nl_cr3792->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3793 == NULL) {
    strlit3793 = alloc_String("(),{}[];""\xe2""""\x9f""""\xa6""""\xe2""""\x9f""""\xa7""");
    gc_root(strlit3793);
  }
// compiled string node returning strlit3793 (depth = 2)
  *var_selfModes = strlit3793;
  if (strlit3793 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "selfModes"
  block_savedest(self);
  Object closure3794 = createclosure(1, "selfModes");
  setclosureframe(closure3794, stackframe);
  addtoclosure(closure3794, var_selfModes);
  struct UserObject *uo3794 = (struct UserObject*)self;
  uo3794->data[16] = (Object)closure3794;
  Method *meth_meth_lexer_selfModes3794 = addmethod2pos(self, "selfModes", &meth_lexer_selfModes3794, 16);
  int argcv_meth_lexer_selfModes3794[] = {0};
  meth_meth_lexer_selfModes3794->type = alloc_MethodType(1, argcv_meth_lexer_selfModes3794);
  meth_meth_lexer_selfModes3794->definitionModule = modulename;
  meth_meth_lexer_selfModes3794->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3795 == NULL) {
    strlit3795 = alloc_String("(){}[]""\xe2""""\x9f""""\xa6""""\xe2""""\x9f""""\xa7""");
    gc_root(strlit3795);
  }
// compiled string node returning strlit3795 (depth = 2)
  *var_brackets = strlit3795;
  if (strlit3795 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "brackets"
  block_savedest(self);
  Object closure3796 = createclosure(1, "brackets");
  setclosureframe(closure3796, stackframe);
  addtoclosure(closure3796, var_brackets);
  struct UserObject *uo3796 = (struct UserObject*)self;
  uo3796->data[17] = (Object)closure3796;
  Method *meth_meth_lexer_brackets3796 = addmethod2pos(self, "brackets", &meth_lexer_brackets3796, 17);
  int argcv_meth_lexer_brackets3796[] = {0};
  meth_meth_lexer_brackets3796->type = alloc_MethodType(1, argcv_meth_lexer_brackets3796);
  meth_meth_lexer_brackets3796->definitionModule = modulename;
  meth_meth_lexer_brackets3796->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3797 == NULL) {
    strlit3797 = alloc_String("_'0123456789abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
    gc_root(strlit3797);
  }
// compiled string node returning strlit3797 (depth = 2)
  *var_alphaNums = strlit3797;
  if (strlit3797 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "alphaNums"
  block_savedest(self);
  Object closure3798 = createclosure(1, "alphaNums");
  setclosureframe(closure3798, stackframe);
  addtoclosure(closure3798, var_alphaNums);
  struct UserObject *uo3798 = (struct UserObject*)self;
  uo3798->data[18] = (Object)closure3798;
  Method *meth_meth_lexer_alphaNums3798 = addmethod2pos(self, "alphaNums", &meth_lexer_alphaNums3798, 18);
  int argcv_meth_lexer_alphaNums3798[] = {0};
  meth_meth_lexer_alphaNums3798->type = alloc_MethodType(1, argcv_meth_lexer_alphaNums3798);
  meth_meth_lexer_alphaNums3798->definitionModule = modulename;
  meth_meth_lexer_alphaNums3798->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 61
  setline(61);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3799 == NULL) {
    strlit3799 = alloc_String("0123456789");
    gc_root(strlit3799);
  }
// compiled string node returning strlit3799 (depth = 2)
  *var_digits = strlit3799;
  if (strlit3799 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "digits"
  block_savedest(self);
  Object closure3800 = createclosure(1, "digits");
  setclosureframe(closure3800, stackframe);
  addtoclosure(closure3800, var_digits);
  struct UserObject *uo3800 = (struct UserObject*)self;
  uo3800->data[19] = (Object)closure3800;
  Method *meth_meth_lexer_digits3800 = addmethod2pos(self, "digits", &meth_lexer_digits3800, 19);
  int argcv_meth_lexer_digits3800[] = {0};
  meth_meth_lexer_digits3800->type = alloc_MethodType(1, argcv_meth_lexer_digits3800);
  meth_meth_lexer_digits3800->definitionModule = modulename;
  meth_meth_lexer_digits3800->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 64
  setline(64);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile string node (depth = 2)
  if (strlit3801 == NULL) {
    strlit3801 = alloc_String("abcdefghijklmnopqrstuvwzyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
    gc_root(strlit3801);
  }
// compiled string node returning strlit3801 (depth = 2)
  *var_asciiLetters = strlit3801;
  if (strlit3801 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 1119
  setline(1119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "asciiLetters"
  block_savedest(self);
  Object closure3802 = createclosure(1, "asciiLetters");
  setclosureframe(closure3802, stackframe);
  addtoclosure(closure3802, var_asciiLetters);
  struct UserObject *uo3802 = (struct UserObject*)self;
  uo3802->data[20] = (Object)closure3802;
  Method *meth_meth_lexer_asciiLetters3802 = addmethod2pos(self, "asciiLetters", &meth_lexer_asciiLetters3802, 20);
  int argcv_meth_lexer_asciiLetters3802[] = {0};
  meth_meth_lexer_asciiLetters3802->type = alloc_MethodType(1, argcv_meth_lexer_asciiLetters3802);
  meth_meth_lexer_asciiLetters3802->definitionModule = modulename;
  meth_meth_lexer_asciiLetters3802->definitionLine = 1119;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1123
  setline(1123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
