#include <gracelib.h>
#include <stdlib.h>
#include <math.h>
#include <float.h>
static char compilerRevision[] = "5585c0e69862e890e55fad7079c674a0c95c200b";
static Object undefined;
extern Object done;
extern Object _prelude;
extern Object ObjectType;
extern Object String;
extern Object Number;
extern Object Boolean;
extern Object Dynamic;
extern Object Unknown;
extern Object Block;
extern Object Done;
extern Object Type;
extern Object GraceDefaultObject;
extern Object sourceObject;
static Object type_Object;
static Object type_String;
static Object type_Number;
static Object type_Boolean;
static Object type_Block;
static Object type_Done;
static Object type_Type;
static Object argv;
static Object emptyclosure;
static Object prelude;
static int isTailObject = 0;
static Object inheritingObject = NULL;
static const char modulename[] = "parser";
Object module_StandardPrelude_init();
static char *originalSourceLines[] = {
  "#pragma ExtendedLineups",
  "import \"io\" as io",
  "import \"ast\" as ast",
  "import \"util\" as util",
  "import \"errormessages\" as errormessages",
  "",
  "var blankLocation := 0",
  "var lastLine := 0",
  "var lastIndent := 0",
  "var indentFreePass := false",
  "var minIndentLevel := 0",
  "var statementIndent := 0",
  "var tokens := false",
  "var values := [ ]",
  "var moduleObject",
  "var comments := emptyList   // so we can request `removeAt`",
  "var auto_count := 0",
  "def noBlocks = false",
  "def blocksOK = true",
  "var braceIsType := false",
  "",
  "// sym is a module-level field containing the current token",
  "var sym := object {",
  "    def kind is public = \"start\"",
  "    def line is public = 0",
  "    def linePos is public = 0",
  "    def indent is public = 0",
  "    def value is public = \"\"",
  "    def size is public = 0",
  "}",
  "",
  "var lastToken := sym",
  "var previousCommentToken := lastToken",
  "var statementToken := lastToken     // the token starting the current statement",
  "var comment := false",
  "",
  "method noteBlank {",
  "    blankLocation := sym.line - 1",
  "}",
  "",
  "var firstCallOfNext := true",
  "",
  "method next {",
  "    // Advance to the next token in the stream, assigning it to sym.",
  "    // Put the position in the input into util module variables.",
  "",
  "    if (tokens.size > 0) then {",
  "        lastToken := sym",
  "        lastLine := lastToken.line",
  "        lastIndent := lastToken.indent",
  "        sym := tokens.poll",
  "        if (sym.line > (lastLine + 1)) then { noteBlank }",
  "        pushComments",
  "        util.setPosition(sym.line, sym.linePos)",
  "    } else {",
  "        errormessages.syntaxError(\"unexpectedly found the end of the input. \" ",
  "            ++ \"This is often caused by a missing '\\}'\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "    }",
  "}",
  "",
  "",
  "method findNextToken(tokenMatcher) {",
  "    // Search for the next token for which the given block returns true.",
  "    // Used for generating suggestions.",
  "",
  "    if (tokenMatcher.apply(sym)) then {",
  "        return sym",
  "    }",
  "    var nextTok := false",
  "    var n := sym",
  "    while {(false != n) && { false == nextTok } && { n.indent >= lastToken.indent }} do {",
  "        if(tokenMatcher.apply(n)) then {",
  "            nextTok := n",
  "        }",
  "        n := n.next",
  "    }",
  "    nextTok",
  "}",
  "",
  "method findNextTokenIndentedAt(tok) {",
  "    if(((sym.line > tok.line) && (sym.indent <= tok.indent)) || (sym.kind == \"eof\")) then {",
  "        return sym",
  "    }",
  "    var nextTok := false",
  "    var n := sym",
  "    while {(false != n) && { false == nextTok }} do {",
  "        if(((n.line > tok.line) && (n.indent <= tok.indent)) || (sym.kind == \"eof\")) then {",
  "            nextTok := n",
  "        }",
  "        n := n.next",
  "    }",
  "    nextTok",
  "}",
  "",
  "method findNextValidToken(validFollowTokens) {",
  "    // Tokens that cannot start an expression.",
  "    def invalidTokens = set [\"dot\", \"comma\", \"colon\", \"rparen\",",
  "            \"rbrace\", \"rsquare\", \"arrow\", \"bind\"];",
  "    var validToken := sym",
  "    while {validToken.kind != \"eof\"} do {",
  "        // If the token is a valid follow token, then return that token.",
  "        if(validFollowTokens.contains(validToken.kind)) then {",
  "            return validToken",
  "        }",
  "        // If the token is not an invalid token for starting an expression, return that token.",
  "        if(!invalidTokens.contains(validToken.kind)) then {",
  "            return validToken",
  "        }",
  "        // The token is invalid, go to the next one.",
  "        validToken := validToken.next",
  "    }",
  "    return validToken",
  "}",
  "",
  "// Finds the closing brace for token (that is the beginning of a control",
  "// structure) -- an opening brace. Returns an object with two fields: found",
  "// and tok. If a closing brace is found, found is set to true, and tok is set to",
  "// the closing brace. Otherwise found is set to false, and tok is set to the",
  "// token that the closing brace should appear after.",
  "method findClosingBrace(token, inserted) {",
  "    var n := sym",
  "    var numOpening := if(inserted) then {1} else {0}",
  "    var numClosing := 0",
  "    def result = object {",
  "        var found is public",
  "        var tok is public",
  "    }",
  "    // Skip all tokens on the same line first.",
  "    while {(n.kind != \"eof\") && (n.line == token.line)} do {",
  "        if(n.kind == \"lbrace\") then { numOpening := numOpening + 1 }",
  "        elseif { n.kind == \"rbrace\" } then { numClosing := numClosing + 1 }",
  "        n := n.next",
  "    }",
  "    // Skip all tokens that have greater indent than the target closing brace.",
  "    while {(n.kind != \"eof\") && (n.indent > token.indent)} do {",
  "        if (n.kind == \"lbrace\") then {",
  "            numOpening := numOpening + 1",
  "        } elseif { n.kind == \"rbrace\" } then {",
  "            numClosing := numClosing + 1 ",
  "        }",
  "        n := n.next",
  "    }",
  "    if (n.kind == \"rbrace\") then {",
  "        result.found := true",
  "        result.tok := n",
  "    } elseif {(n.prev.kind == \"rbrace\") && (numOpening == numClosing)} then {",
  "        // Check that the number of opening and closing braces matches.",
  "        result.found := true",
  "        result.tok := n.prev",
  "    } else {",
  "        result.found := false",
  "        result.tok := n.prev",
  "    }",
  "    result",
  "}",
  "",
  "",
  "method accept(t) {",
  "    // True if the current token has kind t, where",
  "    // t is \"num\", \"string\", \"method\", etc.",
  "    sym.kind == t",
  "}",
  "",
  "method acceptKeyword (kw) {",
  "    if (sym.kind != \"keyword\") then { return false }",
  "    return sym.value == kw",
  "}",
  "",
  "method acceptSameLine (t) {",
  "    // True if the current token is a t, and it is on the same logical",
  "    // line (either because it's on the same physical line, or because",
  "    // it's on an indented continuation line).",
  "",
  "    (sym.kind == t) && ",
  "        ((lastLine == sym.line) || (sym.indent > lastIndent))",
  "}",
  "method acceptWithoutSpaces (t) {",
  "    // True if the current token is a t, and follows the previous token",
  "    // without any intervening spaces or continuation lines.",
  "",
  "    (sym.kind == t) && ",
  "        (lastLine == sym.line) && (sym.linePos == (lastToken.linePos + lastToken.size))",
  "}",
  "method acceptAfterSpaces (t) {",
  "    // True if the current token is a t, and is separated from the previous token",
  "    // by one or more spaces, or a continuation line.",
  "",
  "    if (sym.kind != t) then { return false }",
  "    if (lastLine == sym.line) then {",
  "        return sym.linePos != (lastToken.linePos + lastToken.size)",
  "    }",
  "    return sym.linePos == (sym.indent + 1)",
  "}",
  "method accept (t) onLineOf (other) {",
  "    // True if the current token is a t, and it is on the same logical",
  "    // line as other (either because it's on the same physical",
  "    // line, or because it's on an indented continuation line).",
  "    (sym.kind == t) && ((other.line == sym.line) ||",
  "        (sym.indent > other.indent))",
  "}",
  "method acceptAfterSpaces (t) onLineOf (other) {",
  "    // True if the current token is a t, is on the same logical line as other,",
  "    // and is separated from the previous token by one or more spaces, ",
  "    // or a continuation line.",
  "",
  "    if (sym.kind != t) then { return false }",
  "    if (sym.line == other.line) then {",
  "        return sym.linePos != (lastToken.linePos + lastToken.size)",
  "    } else {",
  "        return sym.linePos == (sym.indent + 1)",
  "    }",
  "}",
  "method accept (t) onLineOfLastOr (other) {",
  "    // True if the current token is a t, and it is on the same logical",
  "    // line as the last token, or the other token.",
  "    (sym.kind == t) && (((other.line == sym.line) ||",
  "        (sym.indent > other.indent)) || (lastToken.line == sym.line))",
  "}",
  "method acceptArgumentOnLineOf(tok) {",
  "    // True if the current token can start an argument to a request",
  "    if (accept \"string\" onLineOf(tok)) then { return true }",
  "    if (accept \"num\" onLineOf(tok)) then { return true }",
  "    if (accept \"lbrace\" onLineOf(tok)) then { return true }",
  "    if (acceptAfterSpaces \"lsquare\" onLineOf(tok)) then { return true }",
  "    if (accept \"identifier\" onLineOf(tok)) then { ",
  "        return (sym.value == \"true\") || (sym.value == \"false\")",
  "    }",
  "    return false",
  "}",
  "method tokenOnSameLine {",
  "    // True if there is a token on the current logical line",
  "    (lastLine == sym.line) || (sym.indent > lastIndent)",
  "}",
  "method didConsume(aParsingBlock) {",
  "    // True if executing aParsingBlock consumes at least one token.",
  "    var sz := tokens.size",
  "    aParsingBlock.apply",
  "    tokens.size != sz",
  "}",
  "method ifConsume(ablock)then(tblock) {",
  "    // If ablock consumes at least one token, execute tblock.",
  "    var sz := tokens.size",
  "    ablock.apply",
  "    if (tokens.size != sz) then {",
  "        tblock.apply",
  "    }",
  "}",
  "",
  "// Push the current token onto the output stack as a number",
  "method pushnum {",
  "    var o := ast.numNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as a string",
  "method pushstring {",
  "    var o := ast.stringNode.new(sym.value)",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "// Push the current token onto the output stack as an identifier.",
  "// false means that this identifier has not been assigned a dtype (yet).",
  "method pushidentifier {",
  "    util.setPosition(sym.line, sym.linePos)",
  "    var o := ast.identifierNode.new(sym.value, false)",
  "    if (o.value == \"_\") then {",
  "        o.value := \"__\" ++ auto_count",
  "        o.wildcard := true",
  "        auto_count := auto_count + 1",
  "    }",
  "    values.push(o)",
  "    next",
  "}",
  "",
  "method checkAnnotation(ann) {",
  "    if (ann.kind == \"call\") then {",
  "        for (ann.with) do {p->",
  "            for (p.args) do {a->",
  "                if ((a.kind == \"identifier\") && {false != a.dtype}) then {",
  "                    var tok := sym",
  "                    // Look back from the current token to try and find the tokens that cause this error.",
  "                    while {tok.value != \":\"} do { tok := tok.prev }",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(tok, tok.next)leading(true)trailing(false)",
  "                    errormessages.syntaxError(\"an argument to an annotation cannot have a type.\")atRange(",
  "                        tok.line, tok.linePos, tok.next.linePos + tok.next.size - 1)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "    }",
  "    ann",
  "}",
  "method doannotation {",
  "    if (acceptKeyword \"is\" .not) then {",
  "        return false",
  "    }",
  "    next",
  "    def anns = [ ]",
  "    if(didConsume({expression(noBlocks)}).not) then {",
  "        def suggestions = [ ]",
  "        var suggestion := errormessages.suggestion.new",
  "        def nextTok = findNextValidToken( [\"bind\"] )",
  "        if(nextTok == sym) then {",
  "            suggestion.insert(\" «annotation»\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «annotation»\")",
  "        }",
  "        suggestions.push(suggestion)",
  "        suggestion := errormessages.suggestion.new",
  "        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "        suggestions.push(suggestion)",
  "        errormessages.syntaxError(\"one or more annotations separated by commas must follow 'is'.\")",
  "            atRange(lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "            withSuggestions(suggestions)",
  "    }",
  "    while {accept(\"comma\")} do {",
  "        anns.push(checkAnnotation(values.pop))",
  "        next",
  "        if(didConsume({expression(noBlocks)}).not) then {",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken( [\"bind\"] )",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\" «annotation»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «annotation»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"one or more annotations separated by commas must follow 'is'.\")",
  "                atRange(lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "                withSuggestions(suggestions)",
  "        }",
  "    }",
  "    anns.push(checkAnnotation(values.pop))",
  "    anns",
  "}",
  "",
  "method blank {",
  "    if (blankLocation == 0) then {",
  "        if ( sym.line <= (lastToken.line + 1) ) then { return }",
  "        if ( sym.line <= (previousCommentToken.line + 1) ) then { return }",
  "    }",
  "    pushComments",
  "    if ((values.size == 0) || ",
  "            ((values.size > 0) && { values.last.kind != \"blank\" })) then {",
  "        if (blankLocation > 0) then {",
  "            util.setPosition(blankLocation, 0)",
  "            blankLocation := 0",
  "        } else {",
  "            util.setPosition(sym.line - 1, 0)",
  "        }",
  "        values.push(ast.blankNode.new)",
  "    }",
  "}",
  "",
  "method dotypeterm {",
  "    if (accept \"identifier\") then {",
  "        pushidentifier",
  "        generic",
  "        dotrest(noBlocks)",
  "    } else {",
  "        if (acceptKeyword \"type\") then {",
  "            dotypeLiteral",
  "        }",
  "    }",
  "}",
  "",
  "method typeexpression {",
  "    var sz := values.size",
  "    if (accept \"lparen\") then {",
  "        def prevStatementToken = statementToken",
  "        statementToken := sym",
  "        next",
  "        if(didConsume({typeexpression}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken( [\"rparen\"] )",
  "            if (nextTok == sym) then {",
  "                suggestion.insert(\"«type expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev) leading (true)",
  "                    trailing(false) with \"«type expression»\"",
  "            }",
  "            errormessages.syntaxError \"parentheses must contain a valid type expression.\"",
  "                atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError \"a type expression beginning with a '(' must end with a ')'.\"",
  "                atRange(lastToken.line, lastToken.linePos + lastToken.size)",
  "                withSuggestion(suggestion)",
  "        }",
  "        statementToken := prevStatementToken",
  "        next",
  "    } else {",
  "        dotypeterm",
  "    }",
  "    if (values.size > sz) then {",
  "        dotrest(noBlocks)",
  "        typeexpressionrest",
  "    }",
  "    // TODO: check that the expression doesn't contain requests or var references.",
  "    // This has to happen in the identifier resolution phase.",
  "}",
  "",
  "method newIf(cond, thenList, elseList) {",
  "    def thenBlock = ast.blockNode.new(emptySequence, thenList)",
  "    def elseBlock = ast.blockNode.new(emptySequence, elseList)",
  "    ast.ifNode.new(cond, thenBlock, elseBlock)",
  "}",
  "",
  "method block {",
  "    // parse a block",
  "    if (accept \"lbrace\") then {",
  "        def btok = sym",
  "        next",
  "        var minInd := statementIndent + 2",
  "        var startIndent := statementIndent",
  "        var expr1",
  "        var s := sym",
  "        var tmp",
  "        var params := [ ]",
  "        var body := [ ]",
  "        var havearrow := true",
  "        var found := false",
  "        var i := 0",
  "        var isMatchingBlock := false",
  "        statementToken := sym",
  "        if (sym.kind == \"lparen\") then {",
  "            isMatchingBlock := true",
  "        }",
  "        // Parsing the expression ‹(a)› will return an identifierNode‹a› .",
  "        // The paren lets us distinguish parameter ‹a› from pattern ‹(a)› .",
  "        ifConsume {expression(blocksOK)} then {",
  "            if (accept(\"comma\") || accept(\"arrow\") || accept(\"colon\")) then {",
  "                // This block has parameters or patterns",
  "                expr1 := values.pop",
  "                if (accept \"colon\") then {",
  "                    // We allow an expression here for the case of v : T",
  "                    // patterns, where T may be \"Pair(hd, tl)\" or similar.",
  "                    next",
  "                    braceIsType := true",
  "                    if(didConsume({expression(blocksOK)}).not) then {",
  "                        def suggestions = [ ]",
  "                        var suggestion := errormessages.suggestion.new",
  "                        def nextTok = findNextValidToken( [\"arrow\", \"rbrace\"] )",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                        }",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                        suggestions.push(suggestion)",
  "                        errormessages.syntaxError(\"a block must have an expression after the ':'.\")",
  "                            atPosition(sym.line, sym.linePos)",
  "                            withSuggestions(suggestions)",
  "                    }",
  "                    braceIsType := false",
  "                    expr1.dtype := values.pop",
  "                }",
  "                params.push(expr1)",
  "                if (isMatchingBlock.not && expr1.isIdentifier) then {",
  "                    expr1.isBindingOccurrence := true",
  "                } else {",
  "                    isMatchingBlock := true",
  "                }",
  "                if (isMatchingBlock && {accept(\"comma\")}) then {",
  "                    def suggestions = [ ]",
  "                    var suggestion",
  "                    def arrow = findNextToken({ t -> t.kind == \"arrow\" })",
  "                    if(false != arrow) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(sym, arrow.prev)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceToken(sym)leading(true)trailing(false)with(\" |\")",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"a matching block may only have one parameter.\")atRange(",
  "                        sym.line, sym.linePos, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                while {accept(\"comma\")} do {",
  "                    // Keep doing the above for the rest of the parameters.",
  "                    next",
  "                    pushidentifier",
  "                    expr1 := values.pop",
  "                    expr1.isBindingOccurrence := true",
  "                    expr1.dtype := optionalTypeAnnotation",
  "                    params.push(expr1)",
  "                }",
  "                if ((accept(\"arrow\")).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if((sym.kind == \"bind\") || (sym.value == \"=\")) then {",
  "                        suggestion.replaceToken(sym)with(\"->\")",
  "                    } else {",
  "                        suggestion.insert(\" ->\")afterToken(lastToken)",
  "                    }",
  "                    errormessages.syntaxError(\"a block must have one or more parameters followed by '->' and an expression.\")",
  "                        atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "                }",
  "                next",
  "            } elseif { accept \"semicolon\" } then {",
  "                body.push(values.pop)",
  "                next",
  "                if (accept \"semicolon\") then {",
  "                    next",
  "                    if (sym.line == lastToken.line) then {",
  "                        indentFreePass := true",
  "                    }",
  "                }",
  "            } elseif { ((values.last.kind == \"member\")",
  "                        || (values.last.kind == \"identifier\")",
  "                        || (values.last.kind == \"index\"))",
  "                        && accept(\"bind\") } then {",
  "                var lhs := values.pop",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = [ ]",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken( [\"rbrace\"] )",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"a valid expression must follow ':='.\")",
  "                        atPosition(sym.line, sym.linePos) withSuggestions(suggestions)",
  "                }",
  "                var rhs := values.pop",
  "                util.setPosition(btok.line, btok.linePos)",
  "                body.push(ast.bindNode.new(lhs, rhs))",
  "                if (accept \"semicolon\") then {",
  "                    next",
  "                    if (sym.line == lastToken.line) then {",
  "                        indentFreePass := true",
  "                    }",
  "                }",
  "            } else {",
  "                checkUnexpectedTokenAfterStatement",
  "                body.push(values.pop)",
  "            }",
  "        }",
  "        if (accept \"arrow\") then {",
  "            next",
  "        }",
  "        if (sym.line == lastToken.line) then {",
  "            minIndentLevel := sym.linePos - 1",
  "        } else {",
  "            minIndentLevel := minInd",
  "        }",
  "        while {(accept(\"rbrace\")).not} do {",
  "            // Take the body of the block",
  "            if(didConsume({statement}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\"}\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"a block must end with a '}'.\")",
  "                    atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "            }",
  "            tmp := values.pop",
  "            body.push(tmp)",
  "        }",
  "        minIndentLevel := minInd - 2",
  "        statementIndent := startIndent",
  "        next",
  "        util.setPosition(btok.line, btok.linePos)",
  "        var o := ast.blockNode.new(params, body)",
  "        if (isMatchingBlock) then {",
  "            if (params.size > 0) then {",
  "                o.matchingPattern := params.first",
  "            }",
  "        }",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "// Accept an \"if\" statement. This is a special syntactic case, rather",
  "// than just a call with a multi-part method name - it might be possible",
  "// to change that and compensate later on.",
  "method doif {",
  "    if (accept(\"identifier\") && (sym.value == \"if\")) then {",
  "        def btok = sym",
  "        next",
  "        def opener = if ((sym.kind == \"lparen\") || {sym.kind == \"lbrace\"})",
  "                        then { sym.value } else { \"-missing-\" }",
  "        def closer = if (opener == \"(\") then { \")\" }",
  "                        else { if (opener == \"\\{\") then { \"\\}\" } else { \"-nothing-\" } }",
  "        if (opener == \"-missing-\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rparen or then.",
  "            def nextTok = findNextToken({ t -> (t.line == btok.line)",
  "                && ((t.kind == \"rparen\") || (t.kind == \"rbrace\") || (t.kind == \"lbrace\")",
  "                || ((t.kind == \"identifier\") && (t.value == \"then\"))) })",
  "            if (false == nextTok) then {",
  "                suggestion.insert(\" («condition») then \\{\")afterToken(btok)",
  "            } elseif { nextTok.kind == \"rparen\" } then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«condition»\")beforeToken(sym)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                }",
  "            } elseif { nextTok.kind == \"lbrace\" } then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" («condition») then\")afterToken(btok)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                    suggestion.insert(\") then\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                }",
  "            } elseif { nextTok.kind == \"identifier\" } then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«condition») \")beforeToken(sym)",
  "                } else {",
  "                    suggestion.insert(\"(\")beforeToken(sym)",
  "                    suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                }",
  "            }",
  "            errormessages.syntaxError(\"an if statement must have a condition \" ++",
  "                \"in parentheses or braces after the 'if'.\")",
  "                atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if (didConsume({expression(blocksOK)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rparen.",
  "            var nextTok := findNextToken({ t -> (t.line == lastToken.line) && (t.kind == \"rparen\") })",
  "            if (false == nextTok) then {",
  "                nextTok := findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression») then \\{\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)",
  "                          leading(true)trailing(false)with(\"«expression») then \\{\")",
  "                }",
  "                errormessages.syntaxError(\"an if statement must have a \" ++",
  "                      \"condition in parentheses or braces after the 'if'.\")",
  "                      atPosition(sym.line, sym.linePos)",
  "                      withSuggestion(suggestion)",
  "            } else {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"an if statement must have a \" ++",
  "                        \"condition in parentheses or braces after the 'if'.\")",
  "                        atPosition(sym.line, sym.linePos)",
  "                        withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)",
  "                        leading(false)trailing(true)with(\"«expression»\")",
  "                    errormessages.syntaxError(\"an if statement must have a \" ++",
  "                        \"condition in parentheses or braces after the 'if'.\")",
  "                        atRange(sym.line, sym.linePos, nextTok.linePos - 1)",
  "                        withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if (sym.value != closer) then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"an expression beginning with a \"++",
  "                  \"'{opener}' must end with a '{closer}'.\")",
  "                  atPosition(lastToken.line, lastToken.linePos + lastToken.size)",
  "                  withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var cond := values.pop",
  "        var body := []",
  "",
  "        // These two are for else/elseif handling. elseif is turned into",
  "        // nested if statements for the AST, so curelse points to the",
  "        // most deeply-nested of those (where any eventual \"else\" block's",
  "        // statements will go). elseblock contains the statements of the",
  "        // top-level \"else\" block - if there are any elseifs, that",
  "        // consists of only one statement, another if.",
  "        var elseblock := []",
  "        var curelse := elseblock",
  "        var v",
  "        def localMin = minIndentLevel",
  "        def localStatementIndent = statementIndent",
  "        var minInd := statementIndent + 2",
  "        if (accept(\"identifier\") && (sym.value == \"then\")) then {",
  "            next",
  "            if(sym.kind != \"lbrace\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def closingBrace = findClosingBrace(btok, true)",
  "                if (closingBrace.found.not) then {",
  "                    if(closingBrace.tok == lastToken) then {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{}\")",
  "                    } else {",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                    }",
  "                } else {",
  "                    suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                }",
  "                errormessages.syntaxError(\"an if statement must have a '\\{' after the 'then'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "            if (sym.line == lastToken.line) then {",
  "                minIndentLevel := sym.linePos - 1",
  "            } else {",
  "                minIndentLevel := minInd",
  "            }",
  "            while {(accept(\"rbrace\")).not} do {",
  "                if(didConsume({statement}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, false)",
  "                    if (closingBrace.found.not) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.insert(\"}\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                        }",
  "                    }",
  "                    suggestion.deleteToken(sym)",
  "                    errormessages.syntaxError(\"an if statement must end with a '}'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                v := values.pop",
  "                body.push(v)",
  "            }",
  "            next",
  "            var econd",
  "            var eif",
  "            var newelse",
  "            var ebody",
  "            while {accept(\"identifier\") && (sym.value == \"elseif\")} do {",
  "                // Currently, the parser just accepts arbitrarily many",
  "                // \"elseifs\", turning them into ifs inside the else.",
  "                // TODO: allow blocks after elseif to contain a sequence of expressions.",
  "                statementToken := sym",
  "                next",
  "                def elopener = if ((sym.kind == \"lparen\") || {sym.kind == \"lbrace\"})",
  "                                then { sym.value } else { \"-missing-\" }",
  "                def elcloser = if (elopener == \"(\") then { \")\" }",
  "                                else { if (elopener == \"\\{\") then { \"\\}\" } else { \"-nothing-\" } }",
  "                if (elopener == \"-missing-\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    // Look ahead for a rparen or then.",
  "                    def nextTok = findNextToken({ t -> (t.line == statementToken.line)",
  "                        && ((t.kind == \"rparen\") || (t.kind == \"rbrace\") || (t.kind == \"lbrace\")",
  "                        || ((t.kind == \"identifier\") && (t.value == \"then\"))) })",
  "                    if(false == nextTok) then {",
  "                        suggestion.insert(\" («expression») then \\{\")afterToken(statementToken)",
  "                    } elseif { nextTok.kind == \"rparen\" } then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                        }",
  "                    } elseif { nextTok.kind == \"lbrace\" } then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\" («expression») then\")afterToken(statementToken)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                            suggestion.insert(\") then\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                        }",
  "                    } elseif { nextTok.kind == \"identifier\" } then {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"(«expression») \")beforeToken(sym)",
  "                        } else {",
  "                            suggestion.insert(\"(\")beforeToken(sym)",
  "                            suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "                        }",
  "                    }",
  "                    errormessages.syntaxError(\"an elseif statement must have a \" ++",
  "                          \"condition in parentheses or braces after the 'elseif'.\")",
  "                          atPosition(sym.line, sym.linePos)",
  "                          withSuggestion(suggestion)",
  "                }",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    // Look ahead for a rparen or then.",
  "                    var nextTok := findNextToken({ t -> (t.line == lastToken.line) && ",
  "                        ((t.kind == \"rparen\") || (t.kind == \"rbrace\"))})",
  "                    if(false == nextTok) then {",
  "                        nextTok := findNextValidToken( [\"rparen\"] )",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"«expression») then \\{\")afterToken(lastToken)",
  "                        } else {",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression») then \\{\")",
  "                        }",
  "                        errormessages.syntaxError(\"an elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    } else {",
  "                        if(nextTok == sym) then {",
  "                            suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                            errormessages.syntaxError(\"an elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atPosition(",
  "                                sym.line, sym.linePos)withSuggestion(suggestion)",
  "                        } else {",
  "                            //checkInvalidExpression",
  "                            suggestion.replaceTokenRange(sym, nextTok.prev)leading(false)trailing(true)with(\"«expression»\")",
  "                            errormessages.syntaxError(\"4: An elseif statement must have an expression in parentheses or braces after the 'elseif'.\")atRange(",
  "                                sym.line, sym.linePos, nextTok.linePos - 1)withSuggestion(suggestion)",
  "                        }",
  "                    }",
  "                }",
  "                if(sym.value != elcloser) then {",
  "                    checkBadOperators",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"an expression beginning with a \" ++",
  "                        \"'{elopener}' must end with a '{elcloser}'.\")",
  "                        atPosition(lastToken.line, lastToken.linePos + lastToken.size)",
  "                        withSuggestion(suggestion)",
  "                }",
  "                next",
  "                econd := values.pop",
  "                if ((accept(\"identifier\") &&",
  "                    (sym.value == \"then\"))) then {",
  "                    next",
  "                    ebody := []",
  "                } else {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(sym.kind == \"lbrace\") then {",
  "                        def closingBrace = findClosingBrace(statementToken, false)",
  "                        if(closingBrace.found.not) then {",
  "                            if(closingBrace.tok == sym) then {",
  "                                suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{}\")",
  "                            } else {",
  "                                suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        } else {",
  "                            suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                        }",
  "                    } else {",
  "                        def closingBrace = findClosingBrace(statementToken, true)",
  "                        if(closingBrace.found.not) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\" then \\{}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        } else {",
  "                            suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                        }",
  "                    }",
  "                    errormessages.syntaxError(\"an elseif statement must have 'then' after the expression in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                if(sym.kind != \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, true)",
  "                    if(closingBrace.found.not) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{}\")",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                        }",
  "                    } else {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"then \\{\")",
  "                    }",
  "                    errormessages.syntaxError(\"an elseif statement must have a '\\{' after the 'then'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                if (sym.line == lastToken.line) then {",
  "                    minIndentLevel := sym.linePos - 1",
  "                } else {",
  "                    minIndentLevel := minInd",
  "                }",
  "                while {(accept(\"rbrace\")).not} do {",
  "                    if(didConsume({statement}).not) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        def closingBrace = findClosingBrace(btok, false)",
  "                        if(closingBrace.found.not) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\"}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        }",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"an elseif statement must end with a '}'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                    v := values.pop",
  "                    ebody.push(v)",
  "                }",
  "                next",
  "                newelse := []",
  "                eif := newIf(econd, ebody, newelse)",
  "                // Construct the inner \"if\" AST node, and then push it",
  "                // inside the current \"else\" block.",
  "                curelse.push(eif)",
  "                // Update curelse to point to the new, empty, nested",
  "                // else block.",
  "                curelse := newelse",
  "            }",
  "            if (accept(\"identifier\") && (sym.value == \"else\")) then {",
  "                next",
  "                if(sym.kind != \"lbrace\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    def closingBrace = findClosingBrace(btok, true)",
  "                    if(closingBrace.found.not) then {",
  "                        if(closingBrace.tok == lastToken) then {",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{}\")",
  "                        } else {",
  "                            suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{\")",
  "                        }",
  "                    } else {",
  "                        suggestion.replaceToken(lastToken)leading(false)trailing(true)with(\"else \\{\")",
  "                    }",
  "                    errormessages.syntaxError(\"an else statement must have a '\\{' after the 'else'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "                next",
  "                // Just take all the statements and put them into",
  "                // curelse.",
  "                if (sym.line == lastToken.line) then {",
  "                    minIndentLevel := sym.linePos - 1",
  "                } else {",
  "                    minIndentLevel := minInd",
  "                }",
  "                while {(accept(\"rbrace\")).not} do {",
  "                    if(didConsume({statement}).not) then {",
  "                        def suggestion = errormessages.suggestion.new",
  "                        def closingBrace = findClosingBrace(btok, false)",
  "                        if(closingBrace.found.not) then {",
  "                            if(closingBrace.tok == lastToken) then {",
  "                                suggestion.insert(\"}\")afterToken(lastToken)",
  "                            } else {",
  "                                suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                            }",
  "                        }",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"an else statement must end with a '}'.\")atPosition(",
  "                            sym.line, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                    v := values.pop",
  "                    curelse.push(v)",
  "                }",
  "                next",
  "            }",
  "            util.setPosition(btok.line, btok.linePos)",
  "            var o := newIf(cond, body, elseblock)",
  "            values.push(o)",
  "        } else {",
  "            // Raise an error here, or it will spin nastily forever.",
  "            def suggestion = errormessages.suggestion.new",
  "            if(sym.kind == \"lbrace\") then {",
  "                def closingBrace = findClosingBrace(btok, false)",
  "                if(closingBrace.found.not) then {",
  "                    if(closingBrace.tok == sym) then {",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{}\")",
  "                    } else {",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                } else {",
  "                    suggestion.replaceToken(sym)leading(true)trailing(false)with(\" then \\{\")",
  "                }",
  "            } else {",
  "                def closingBrace = findClosingBrace(btok, true)",
  "                if(closingBrace.found.not) then {",
  "                    if(closingBrace.tok == lastToken) then {",
  "                        suggestion.insert(\" then \\{}\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                } else {",
  "                    suggestion.insert(\" then \\{\")afterToken(lastToken)",
  "                }",
  "            }",
  "            errormessages.syntaxError(\"an if statement must have 'then' after \" ++",
  "                  \"the condition in parentheses.\")",
  "                  atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "        }",
  "        minIndentLevel := localMin",
  "        statementIndent := localStatementIndent",
  "    }",
  "}",
  "",
  "// Accept an identifier. Handle \"if\" specially by",
  "// passing it to the method above.",
  "method identifier {",
  "    if (accept \"identifier\") then {",
  "        if (sym.value == \"if\") then {",
  "            doif",
  "        } else {",
  "            pushidentifier",
  "        }",
  "    }",
  "}",
  "",
  "method prefixop {",
  "    if (accept \"op\") then {",
  "        var op := sym.value",
  "        next",
  "        if (accept \"lparen\") then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"parentheses must contain a valid expression.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"an expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            if(didConsume({term}).not) then {",
  "                def suggestions = [ ]",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                if(lastToken.prev.kind == \"bind\") then {",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestion.deleteToken(lastToken.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"a prefix operator must be followed by an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "        }",
  "        dotrest(blocksOK)",
  "        callrest(blocksOK)",
  "        postfixsquare",
  "        def rcvr = values.pop",
  "        def call = ast.callNode.new(rcvr,",
  "            [ ast.requestPart.request(\"prefix\" ++ op) withArgs( [] ) ] )",
  "        values.push(call)",
  "    }",
  "}",
  "",
  "method generic {",
  "    if (accept \"lgeneric\") then {",
  "        def id = values.pop",
  "        def gens = [ ]",
  "        def startToken = sym",
  "        next",
  "        while {accept(\"identifier\")} do {",
  "            identifier",
  "            while {accept(\"dot\")} do {",
  "                next",
  "                def memberIn = values.pop",
  "                if(sym.kind != \"identifier\") then {",
  "                    def suggestions = [ ]",
  "                    var suggestion := errormessages.suggestion.new",
  "                    suggestion.insert(\"«type name»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"a type name must follow the '.'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + 1)withSuggestions(suggestions)",
  "                }",
  "                identifier",
  "                def memberName = values.pop",
  "                def memberNd = ast.memberNode.new(memberName.value, memberIn)",
  "                memberNd.line := memberName.line",
  "                memberNd.linePos := memberName.linePos",
  "                values.push(memberNd)",
  "            }",
  "            generic",
  "            gens.push(values.pop)",
  "            if (accept \"comma\") then {",
  "                next",
  "            } else {",
  "                if(sym.kind != \"rgeneric\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\">\")afterToken(lastToken)",
  "                    def suggestion2 = errormessages.suggestion.new",
  "                    suggestion2.insert(\" \")beforeToken(startToken)",
  "                    def suggestions = [suggestion, suggestion2]",
  "                    errormessages.syntaxError(\"a type containing a '<' must end with a '>', or the '<' operator must have a space before it.\")atPosition(",
  "                            lastToken.line, lastToken.linePos + lastToken.size)",
  "                        withSuggestions(suggestions)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rgeneric\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\">\")afterToken(lastToken)",
  "            def suggestion2 = errormessages.suggestion.new",
  "            suggestion2.insert(\" \")beforeToken(startToken)",
  "            def suggestions = [suggestion, suggestion2]",
  "            errormessages.syntaxError(\"a type containing a '<' must end with a '>', or the '<' operator must have a space before it.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)",
  "                withSuggestions(suggestions)",
  "        }",
  "        next",
  "        values.push(ast.genericNode.new(id, gens))",
  "    }",
  "}",
  "method trycatch {",
  "    if (!(accept(\"identifier\") && (sym.value == \"try\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def catchTok = sym",
  "    next",
  "    if (accept \"lbrace\") then {",
  "        block",
  "    } else {",
  "        if(sym.kind != \"lparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            // Look ahead for a rbrace, rparen, or catch.",
  "            def nextTok = findNextToken({ t -> (t.kind == \"rbrace\")",
  "                || ((t.kind == \"rparen\") && (t.line == catchTok.line))",
  "                || ((t.kind == \"identifier\") && (t.value == \"catch\")) })",
  "            if(false == nextTok) then {",
  "                suggestion.insert(\" \\{}\")afterToken(catchTok)",
  "            } elseif { nextTok.kind == \"rbrace\" } then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "            } elseif { nextTok.kind == \"rparen\" } then {",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"(«expression»\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.insert(\"(\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } elseif { nextTok.kind == \"identifier\" } then {",
  "                suggestion.insert(\" \\{\")afterToken(catchTok)",
  "                suggestion.insert(\"\\} \")beforeToken(nextTok)",
  "            }",
  "            errormessages.syntaxError(\"a catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                catchTok.line, catchTok.linePos + catchTok.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken( [\"rparen\"] )",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"a catch statement must have either a block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"an expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "    }",
  "    def mainblock = values.pop",
  "    def cases = []",
  "    var finally := false",
  "    while {accept(\"identifier\") && (sym.value == \"catch\")} do {",
  "        next",
  "        if (accept \"lbrace\") then {",
  "            block",
  "        } elseif { accept \"lparen\" } then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"a try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"an expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = [ ]",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(false == nextTok) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif { nextTok == sym } then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"a try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    if (accept(\"identifier\")onLineOf(catchTok) && (sym.value == \"case\")) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.replaceToken(sym)with(\"catch\")",
  "        errormessages.syntaxError(\"a try-catch statement starts with a \"",
  "                ++ \"'try' and then zero or more 'catch' blocks; there \"",
  "                ++ \"are no 'case' blocks.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos + 3)",
  "            withSuggestion(suggestion)",
  "    }",
  "    if (accept(\"identifier\") && (sym.value == \"finally\")) then {",
  "        next",
  "        if (accept \"lbrace\") then {",
  "            block",
  "        } elseif { accept \"lparen\" } then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"a catch statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"an expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = [ ]",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(false == nextTok) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.first)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif { nextTok == sym } then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"a try-finally statement must have either a block or an expression in parentheses after the 'finally'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        finally := values.pop",
  "    }",
  "    util.setPosition(catchTok.line, catchTok.linePos)",
  "    values.push(ast.tryCatchNode.new(mainblock, cases, finally))",
  "    minIndentLevel := localmin",
  "}",
  "method matchcase {",
  "    if (!(accept(\"identifier\") && (sym.value == \"match\"))) then {",
  "        return 0",
  "    }",
  "    def localmin = minIndentLevel",
  "    def matchTok = sym",
  "    next",
  "    if(sym.kind != \"lparen\") then {",
  "        def suggestion = errormessages.suggestion.new",
  "        // Look ahead for a rparen or case.",
  "        def nextTok = findNextToken({ t -> ((t.kind == \"rparen\") && (t.line == matchTok.line))",
  "            || ((t.kind == \"identifier\") && (t.value == \"case\")) })",
  "        if(false == nextTok) then {",
  "            suggestion.insert(\"(«expression»)\")afterToken(matchTok)",
  "        } elseif { nextTok.kind == \"rparen\" } then {",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"(«expression»\")beforeToken(sym)",
  "            } else {",
  "                suggestion.insert(\"(\")beforeToken(sym)",
  "            }",
  "        } elseif { nextTok.kind == \"identifier\" } then {",
  "            suggestion.insert(\"(\")beforeToken(sym)",
  "            suggestion.insert(\")\")afterToken(nextTok.prev)andTrailingSpace(true)",
  "        }",
  "        errormessages.syntaxError(\"a match statement must have an expression in parentheses after the 'match'.\")atPosition(",
  "            matchTok.line, matchTok.linePos + matchTok.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    if(didConsume({expression(blocksOK)}).not) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        def nextTok = findNextValidToken( [\"rparen\"] )",
  "        if(nextTok == sym) then {",
  "            suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "        }",
  "        errormessages.syntaxError(\"a match statement must have an expression in parentheses after the 'match'.\")atPosition(",
  "            sym.line, sym.linePos)withSuggestion(suggestion)",
  "    }",
  "    def matchee = values.pop",
  "    if(sym.kind != \"rparen\") then {",
  "        checkBadOperators",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\")\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"an expression beginning with a '(' must end with a ')'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    def cases = []",
  "    var elsecase := false",
  "    while {accept(\"identifier\") && (sym.value == \"case\")} do {",
  "        next",
  "        if (accept \"lbrace\") then {",
  "            block",
  "        } elseif { accept \"lparen\" } then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                }",
  "                errormessages.syntaxError(\"a match statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"an expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            def suggestions = [ ]",
  "            def nextTok = findNextTokenIndentedAt(lastToken)",
  "            var suggestion := errormessages.suggestion.new",
  "            if(false == nextTok) then {",
  "                suggestion.insert(\" }\")afterToken(tokens.last)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } elseif { nextTok == sym } then {",
  "                suggestion.insert(\" («expression»)\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \\{ «match expression» }\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion.insert(\" }\")afterToken(nextTok.prev)",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"a match statement must have either a matching block or an expression in parentheses after the 'case'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        cases.push(values.pop)",
  "    }",
  "    util.setPosition(matchTok.line, matchTok.linePos)",
  "    values.push(ast.matchCaseNode.new(matchee, cases, elsecase))",
  "    minIndentLevel := localmin",
  "}",
  "// Accept a term. Terms consist only of single syntactic units and",
  "// do not contain any operators or parentheses, unlike expression.",
  "method term {",
  "    util.setPosition(sym.line, sym.linePos)",
  "    if (accept \"num\") then {",
  "        pushnum",
  "    } elseif { accept \"string\" } then {",
  "        pushstring",
  "    } elseif { accept \"identifier\" && (sym.value == \"match\") } then {",
  "        matchcase",
  "    } elseif { accept(\"identifier\") && (sym.value == \"try\") } then {",
  "        trycatch",
  "    } elseif { accept \"identifier\" } then {",
  "        identifier",
  "    } elseif { acceptKeyword \"object\" } then {",
  "        doobject",
  "    } elseif { acceptKeyword \"type\" } then {",
  "        dotypeLiteral",
  "    } elseif { accept \"lbrace\" } then {",
  "        block",
  "    } elseif { acceptAfterSpaces \"lsquare\" } then {",
  "        doarray",
  "    } elseif { (lastToken.kind != \"identifier\") && (accept \"lsquare\") } then {",
  "        doarray",
  "    } elseif { accept \"op\" } then {",
  "        // Prefix operator",
  "        prefixop",
  "    }",
  "}",
  "",
  "// Accept an expression. Expressions may consist of parenthesised",
  "// subexpressions or terms, which may be followed by method invocations",
  "// (dotrest), postcircumfix square brackets, the rest of a method call,",
  "// or an operator expression.",
  "method expression(acceptBlocks) {",
  "    var sz := values.size",
  "    util.setPosition(sym.line, sym.linePos)",
  "    if (accept \"lparen\") then {",
  "        def tmpStatementToken = statementToken",
  "        statementToken := sym",
  "        util.setPosition(sym.line, sym.linePos)",
  "        next",
  "        if (didConsume{expression(acceptBlocks)}.not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextTok = findNextValidToken( [\"rparen\"] )",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)",
  "                      leading(true)trailing(false)with(\"«expression»\")",
  "            }",
  "            errormessages.syntaxError(\"parentheses must contain a valid expression.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            checkBadOperators",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"an expression beginning with a '(' must end with a ')'.\")",
  "                  atPosition(lastToken.line, lastToken.linePos + lastToken.size)",
  "                  withSuggestion(suggestion)",
  "        }",
  "        statementToken := tmpStatementToken",
  "        next",
  "    } else {",
  "        term",
  "    }",
  "    if (values.size > sz) then {",
  "        dotrest(acceptBlocks)",
  "        callrest(acceptBlocks)",
  "        postfixsquare",
  "        valueexpressionrest",
  "    }",
  "}",
  "",
  "// Accept postcircumfix square brackets (as in x[y]) and replace the",
  "// preceding expression with an index node into itself.",
  "method postfixsquare {",
  "    if (acceptWithoutSpaces(\"lsquare\")) then {",
  "        def opening = sym",
  "        next",
  "        def expr = values.pop",
  "        if(didConsume({expression(blocksOK)}).not) then {",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken( [\"rsquare\"] )",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\"«index»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«index»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            if(nextTok.kind == \"rsquare\") then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"a '[' in an expression must be followed by another expression and a ']'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "        if(sym.kind != \"rsquare\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"]\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"a '[' in an expression must be followed by another expression and a ']'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        errormessages.syntaxError(\"'[ ... ]' without preceeding space is no longer part of Grace. \" ++",
  "            \"For a Lineup, add a space.  For an indexing operation, use `at(_)` or `at(_)put(_)`.\")",
  "                atPosition(opening.line, opening.linePos)",
  "    }",
  "}",
  "",
  "// Calculate the precedence of an operator. In this case, only",
  "// multiplication and division have nontrivial precedence. Used in",
  "// expressionrest.",
  "method oprec(o) {",
  "    if (o == \"*\") then {",
  "        return 10",
  "    } elseif { o == \"/\" } then {",
  "        return 10",
  "    }",
  "    return 5",
  "}",
  "",
  "// Return the precedence of the operator at the top of the \"ops\" stack.",
  "method toprec(ops) {",
  "    if (ops.size > 0) then {",
  "        var o := ops.last",
  "        return oprec(o)",
  "    }",
  "    0",
  "}",
  "",
  "",
  "method typeexpressionrest {",
  "    if (acceptSameLine(\"op\")) then {",
  "        expressionrest \"type expression\" recursingWith {typeexpression} blocks (noBlocks)",
  "    }",
  "}",
  "",
  "method valueexpressionrest {",
  "    if (accept \"op\") then {",
  "        expressionrest \"expression\" recursingWith {expression(blocksOK)} blocks (blocksOK)",
  "    }",
  "}",
  "",
  "method expressionrest(name) recursingWith (recurse) blocks (acceptBlocks) {",
  "    // Process the rest of an operator expression using the shunting-yard",
  "    // algorithm. This method uses the oprec and toprec methods above to",
  "    // ensure the correct precedence, and treats all operators as",
  "    // left-associative.  It is parametrised so that it",
  "    // can be used for both type- and value- expressions.",
  "    var terms := [] // List of operands yet to be used",
  "    var ops := [] // Operator stack",
  "    var o",
  "    var o2",
  "    var tmp2",
  "    var tmp := values.pop",
  "    terms.push(tmp)",
  "    var prec",
  "    var allarith := true // Consists only of arithmetic operators",
  "    var opcount := 0",
  "    var opdtype := \"\" // The single operator being used in this expression",
  "    while {accept(\"op\")onLineOfLastOr(statementToken) && ",
  "            {sym.value != \"=\"}} do {",
  "        opcount := opcount + 1",
  "        o := sym.value",
  "        next",
  "        prec := oprec(o)",
  "        if ((o != \"*\") && (o != \"/\") && (o != \"+\") && (o != \"-\")) then {",
  "            allarith := false",
  "        }",
  "        if ((opdtype != \"\") && (opdtype != o) && (allarith.not)) then {",
  "            // If: this is not the first operator, it is not the same",
  "            // as the last operator, and the expression has not been",
  "            // entirely arithmetic, raise a syntax error.",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(sym)",
  "            suggestion.insert(\"(\")beforeToken(lastToken.prev)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken.prev)",
  "            suggestion.insert(\"(\")beforeToken(lastToken.prev.prev.prev)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"an expression containing both arithmetic and non-arithmetic operators requires parentheses.\")atPosition(",
  "                lastToken.prev.line, lastToken.prev.linePos)withSuggestions(suggestions)",
  "        }",
  "        opdtype := o",
  "        while {(ops.size > 0) && (prec <= toprec(ops))} do {",
  "            // Do the shunting: for as long as the current operator",
  "            // has lesser or equal precedence than the one on the",
  "            // top of the stack, take the operator off the stack and",
  "            // replace its two operands with the combined operator node.",
  "            // This corresponds to left-associative operators only.",
  "            o2 := ops.pop",
  "            tmp2 := terms.pop",
  "            tmp := terms.pop",
  "            util.setPosition(tmp.line, tmp.linePos)",
  "            tmp := ast.opNode.new(o2, tmp, tmp2)",
  "            terms.push(tmp)",
  "        }",
  "        ops.push(o)",
  "        if (accept \"lparen\") then {",
  "            // When a parenthesis is found, take an expression from",
  "            // *within* the parentheses and add it to the stack. Do",
  "            // not delegate entirely to expression, because it will",
  "            // then consume all the following operators and break",
  "            // precedence. Possibly parenthesised expressions could",
  "            // be allowed in term above?",
  "            next",
  "            if(didConsume(recurse).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\"«{name}»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«{name}»\")",
  "                }",
  "                errormessages.syntaxError(\"parentheses must contain a valid {name}.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"an expression beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "            next",
  "        } else {",
  "            if (!tokenOnSameLine) then {",
  "                def suggestions = [ ]",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.deleteToken(lastToken)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «{name}»\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" \" ++ util.lines.at(sym.line))afterToken(lastToken)",
  "                suggestion.deleteLine(sym.line)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a valid expression must follow '{lastToken.value}'. This is often caused by a new line in the middle of an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "            if(didConsume({term}).not) then {",
  "                def suggestions = [ ]",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"comma\", \"rparen\", \"rsquare\", \"rbrace\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «{name}»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «{name}»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a valid {name} must follow '{lastToken.value}'. This is often caused by a new line in the middle of an expression.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "        }",
  "",
  "        // Regardless of where the last value came from, it may have",
  "        // method invocations, indexes, or method call happening to it,",
  "        // which should be applied and the result put into the operands",
  "        // list.",
  "        dotrest(acceptBlocks)",
  "        callrest(acceptBlocks)",
  "        postfixsquare",
  "        tmp := values.pop",
  "        terms.push(tmp)",
  "    }",
  "    while {ops.size > 0} do {",
  "        // Shunt off any remaining operators at the end",
  "        o := ops.pop",
  "        tmp2 := terms.pop",
  "        tmp := terms.pop",
  "        util.setPosition(tmp.line, tmp.linePos)",
  "        tmp := ast.opNode.new(o, tmp, tmp2)",
  "        terms.push(tmp)",
  "    }",
  "    tmp := terms.pop",
  "    values.push(tmp)",
  "    if (terms.size > 0) then {",
  "        errormessages.syntaxError(\"values left on term stack.\")atPosition(sym.line, sym.linePos)",
  "    }",
  "}",
  "",
  "// Accept a member lookup with \".\". This consumes the dot and",
  "// a following identifier, and will pass along to further lookups or",
  "// method calls on the result.",
  "method dotrest(acceptBlocks) {",
  "    if (acceptSameLine(\"dot\")) then {",
  "        util.setPosition(sym.line, sym.linePos)",
  "        var lookuptarget := values.pop",
  "        next",
  "        if (accept \"identifier\") then {",
  "            util.setPosition(sym.line, sym.linePos)",
  "            var dro := ast.memberNode.new(sym.value, lookuptarget)",
  "            values.push(dro)",
  "            next",
  "            if (accept \"dot\") then {",
  "                dotrest(acceptBlocks)",
  "            } elseif { accept \"lparen\" || (acceptBlocks && accept \"lbrace\")",
  "                  || accept(\"num\") || accept(\"string\") || accept(\"lsquare\")",
  "                  || accept(\"lgeneric\") } then {",
  "                callrest(acceptBlocks)",
  "            }",
  "        } else {",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.deleteToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\"«method name»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"a field or method name must follow a '.'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    }",
  "}",
  "",
  "// Accept a method invocation indicated by parentheses. Unparenthesised",
  "// method calls are left as \"member\" AST nodes and processed correctly at",
  "// a later stage.",
  "method callrest(acceptBlocks) {",
  "    if (values.size == 0) then {",
  "        return 0",
  "    }",
  "    var meth := values.pop",
  "    if (meth.kind != \"identifier\") then {",
  "        if (meth.kind != \"member\") then {",
  "            values.push(meth)",
  "            return 0",
  "        }",
  "    }",
  "    def lnum = meth.line",
  "    def lpos = meth.linePos",
  "    var methn := meth.nameString",
  "    def btok = sym",
  "    util.setPosition(sym.line, sym.linePos)",
  "    var signature := []",
  "    var part := ast.requestPart.new",
  "    signature.push(part)",
  "    var hadcall := false",
  "    var tok := lastToken",
  "    var startInd := minIndentLevel",
  "    var genericIdents := false",
  "    if (acceptSameLine \"lgeneric\") then {",
  "        genericIdents := typeArgs",
  "    }",
  "    if (acceptSameLine(\"lparen\")) then {",
  "        part.line := sym.line",
  "        part.linePos := sym.linePos",
  "        part.name := methn",
  "        tok := sym",
  "        hadcall := true",
  "        parenthesizedArg(part)",
  "    } elseif { acceptBlocks.not && {accept(\"lbrace\")onLineOf(tok)} } then {",
  "        values.push(meth)",
  "    } elseif { acceptArgumentOnLineOf(tok) } then {",
  "        tok := sym",
  "        hadcall := true",
  "        part.name := methn",
  "        term",
  "        var ar := values.pop",
  "        part.args.push(ar)",
  "    } elseif { meth.kind == \"identifier\" } then {",
  "        values.push(meth)",
  "    } elseif { meth.kind == \"member\" } then {",
  "        var root := meth.receiver",
  "        var outroot := meth",
  "        while {root.kind == \"member\"} do {",
  "            outroot := root",
  "            root := root.receiver",
  "        }",
  "        if (root.kind == \"identifier\") then {",
  "            values.push(meth)",
  "        } else {",
  "            meth.generics := genericIdents",
  "            values.push(meth)",
  "        }",
  "    }",
  "    if (hadcall) then {",
  "        if (accept(\"identifier\")onLineOfLastOr(tok)) then {",
  "            // Multi-part method name",
  "            def meth' = ast.identifierNode.new(methn, false)",
  "            meth'.line := lnum",
  "            meth'.linePos := lpos",
  "            methn := callmprest(meth', signature, tok)",
  "            if (meth.kind == \"member\") then {",
  "                // callmprest loses this information, so restore",
  "                // the member lookup (for x.between(3)and(10)-type",
  "                // calls).",
  "                meth := ast.memberNode.new(methn.value, meth.receiver)",
  "                meth.line := methn.line",
  "                meth.linePos := methn.linePos",
  "            } else {",
  "                meth := methn",
  "            }",
  "        }",
  "        util.setline(lnum)",
  "        if (meth.isIdentifier) then {",
  "            meth := ast.implicit",
  "        } else {",
  "            meth := meth.receiver     // because the final \"with\" part duplicates",
  "                                // first part of the method name",
  "        }",
  "        def call = ast.callNode.new(meth, signature)",
  "        call.generics := genericIdents",
  "        values.push(call)",
  "    } elseif {false != genericIdents} then {",
  "        meth.generics := genericIdents",
  "    }",
  "    minIndentLevel := startInd",
  "    dotrest(acceptBlocks)",
  "}",
  "",
  "method parenthesizedArg(part) {",
  "    next",
  "    ifConsume {expression(blocksOK)} then {",
  "        // For matching blocks - same as below",
  "        if (accept \"colon\") then {",
  "            def expr = values.pop",
  "            if (expr.kind != \"identifier\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                if(sym.next.kind == \"identifier\") then {",
  "                    suggestion.deleteTokenRange(sym, sym.next)leading(true)trailing(false)",
  "                    errormessages.syntaxError(\"only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                        sym.line, sym.linePos, sym.next.linePos + sym.next.size - 1)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.deleteToken(sym)leading(true)trailing(false)",
  "                    errormessages.syntaxError(\"only variables and constants may be followed by a ':' and a type.\")atRange(",
  "                        sym.line, sym.linePos, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "            }",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                checkBadTypeLiteral",
  "                def suggestions = [ ]",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «type name»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a type name or type expression must follow ':'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestions(suggestions)",
  "            }",
  "            expr.dtype := values.pop",
  "            values.push(expr)",
  "        }",
  "        while {accept(\"comma\")} do {",
  "            part.args.push(values.pop)",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestions = [ ]",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rparen\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a method request must have an expression after a ','.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestions(suggestions)",
  "            }",
  "            // For matching blocks - same as above",
  "            if (accept \"colon\") then {",
  "                def arg = values.pop",
  "                if (arg.kind != \"identifier\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    if(sym.next.kind == \"identifier\") then {",
  "                        suggestion.deleteTokenRange(sym, sym.next)leading(true)trailing(false)",
  "                        errormessages.syntaxError(\"only declarations may be followed by a ':' and a type.\")atRange(",
  "                            sym.line, sym.linePos, sym.next.linePos + sym.next.size - 1)withSuggestion(suggestion)",
  "                    } else {",
  "                        suggestion.deleteToken(sym)",
  "                        errormessages.syntaxError(\"only declarations may be followed by a ':' and a type.\")atRange(",
  "                            sym.line, sym.linePos, sym.linePos)withSuggestion(suggestion)",
  "                    }",
  "                }",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    checkBadTypeLiteral",
  "                    def suggestions = [ ]",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken( [\"rparen\"] )",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «type name»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"a type name or type expression must follow ':'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                arg.dtype := values.pop",
  "                values.push(arg)",
  "            }",
  "        }",
  "        part.args.push(values.pop)",
  "    }",
  "    if(sym.kind != \"rparen\") then {",
  "        checkBadOperators",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\")\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"a method request beginning with a '(' must end with a ')'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    if (sym.line == part.line) then {",
  "        part.lineLength := sym.linePos - part.linePos",
  "    }",
  "    next",
  "}",
  "",
  "method typeArgs {",
  "    // Parse one or more type arguments, if present, and answer them as a list.",
  "    def startToken = sym",
  "    def args = [ ]",
  "    if (sym.kind != \"lgeneric\") then { return args }",
  "    next",
  "    while {didConsume{typeArg}} do {",
  "        args.add(values.pop)",
  "        if (sym.kind == \"comma\") then { next }",
  "    }",
  "    if(sym.kind != \"rgeneric\") then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\">\")afterToken(lastToken)",
  "        def suggestion2 = errormessages.suggestion.new",
  "        suggestion2.insert(\" \")beforeToken(startToken)",
  "        def suggestions = [suggestion, suggestion2]",
  "        errormessages.syntaxError(\"a method request containing a '<' must have a matching '>'. \"",
  "            ++ \"If '<' is intended as an operator, precede it by a space.\")",
  "            atPosition(lastToken.line, lastToken.linePos + lastToken.size)",
  "            withSuggestions(suggestions)",
  "    }",
  "    next",
  "    return args",
  "}",
  "",
  "method typeArg {",
  "    // Parses a single type argument, and leave it on the values stack.",
  "    // TODO: 'identifier' could be a dotted identifier, ",
  "    //        or perhaps a type expression?",
  "    if (accept \"identifier\") then {",
  "        identifier",
  "        if (sym.kind == \"lgeneric\") then {",
  "            values.push(ast.genericNode.new(values.pop, typeArgs))",
  "        } else {",
  "            // values.push(values.pop)",
  "        }",
  "    } elseif {didConsume{dotypeLiteral}} then {",
  "        // values.push(values.pop)",
  "    }",
  "}",
  "",
  "method callmprest(meth, signature, tok) {",
  "    // Parses the rest of a multi-part method name.",
  "    // meth is an identifierNode representing the first part of the name.",
  "    // Returns a new identifierNode, representing the full method name,",
  "    // and updates signature.params with the parsed arguments.",
  "    var methname := meth.value",
  "    var nxt",
  "    var lp := meth.linePos",
  "    var part",
  "    while {accept(\"identifier\")onLineOf(tok)",
  "           || accept(\"identifier\")onLineOf(lastToken)} do {",
  "        // Each word must start on the same line as the preceding parameter",
  "        // ended.",
  "        part := ast.requestPart.new",
  "        signature.push(part)",
  "        methname := methname ++ \"()\"",
  "        pushidentifier",
  "        nxt := values.pop",
  "        methname := methname ++ nxt.value",
  "        part.name := nxt.value",
  "        var isTerm := false",
  "        if (accept \"lparen\") then {",
  "            next    // skip over the `(`",
  "        } elseif { acceptArgumentOnLineOf(lastToken) } then {",
  "            isTerm := true",
  "        } else {",
  "            def suggestion = errormessages.suggestion.new",
  "            if(sym.kind == \"identifier\") then {",
  "                suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value})\")",
  "                if(methname == \"while()do\") then {",
  "                    errormessages.syntaxError(\"a while loop must have either a loop body in braces, or a block in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } elseif { methname == \"for()do\" } then {",
  "                    errormessages.syntaxError(\"a for loop must have either a loop body in braces, or a block in parentheses.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "                errormessages.syntaxError(\"each argument list in a multi-part method request must be parenthesized, unless it is self-delimiting.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            } else {",
  "                if (methname == \"while()do\") then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"a while loop must have a body.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } elseif { methname == \"for()do\" } then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"a for loop must have a body.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                } else {",
  "                    suggestion.insert(\"()\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"a multi-part method request must end with '()'.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        def isEmpty = accept \"rparen\"",
  "        if (isTerm) then {",
  "            term",
  "        } else {",
  "            if(sym.kind != \"rparen\") then {",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = [ ]",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken( [\"rparen\"] )",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\"«expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\"«expression»\")",
  "                        suggestions.push(suggestion)",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"a method request must have an expression or a ')' after a '('.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "            while {accept(\"comma\")} do {",
  "                nxt := values.pop",
  "                part.args.push(nxt)",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = [ ]",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken( [\"rparen\"] )",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"a method request must have an expression after a ','.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "            }",
  "        }",
  "        if (!isEmpty) then {",
  "            nxt := values.pop",
  "            part.args.push(nxt)",
  "        }",
  "        if (isTerm.not) then {",
  "            if(sym.kind != \"rparen\") then {",
  "                checkBadOperators",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\")\")afterToken(lastToken)",
  "                errormessages.syntaxError(\"a part of a multi-part method request beginning with a '(' must end with a ')'.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "            }",
  "        }",
  "        if (accept(\"rparen\") && isTerm.not) then {",
  "            next",
  "        }",
  "    }",
  "    def meth' = ast.identifierNode.new(methname, false)",
  "    meth'.line := meth.line",
  "    meth'.linePos := meth.linePos",
  "    meth'",
  "}",
  "",
  "// Accept a const declaration",
  "method defdec {",
  "    if (acceptKeyword \"def\") then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        def defTok = sym",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextToken = findNextToken({ t -> (t.kind == \"op\")",
  "                && (t.value == \"=\") && (t.line == sym.line)})",
  "            if (false == nextToken) then {",
  "                suggestion.insert(\" «name» =\")afterToken(lastToken)",
  "            } elseif { nextToken == sym } then {",
  "                suggestion.insert(\" «name»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextToken.prev)",
  "                      leading(false)trailing(true)with(\"«name» \")",
  "            }",
  "            errormessages.syntaxError(\"a definition must have a name, '=', \" ++",
  "                  \"and a value after the 'def'.\") atPosition(sym.line, sym.linePos)",
  "                  withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        var val := false",
  "        var name := values.pop",
  "        name.isBindingOccurrence := true",
  "        var dtype := optionalTypeAnnotation",
  "        def anns = doannotation",
  "        if (accept(\"op\") && (sym.value == \"=\")) then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [ ] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)",
  "                          leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                errormessages.syntaxError(\"a definition must have a value after the '='.\")",
  "                      atPosition(lastToken.line, lastToken.linePos + lastToken.size)",
  "                      withSuggestion(suggestion)",
  "            }",
  "            val := values.pop",
  "        } elseif { accept \"bind\" } then {",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(sym)with(\"=\")",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(defTok)with(\"var\")",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"a definition must use '=' instead of ':='. \" ++",
  "                \"A variable declaration uses 'var' and ':='.\")atRange(",
  "                sym.line, sym.linePos, sym.linePos + 1) withSuggestions(suggestions)",
  "        } else {",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" = «expression»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(defTok)with(\"var\")",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"a definition must have '=' and a value after the name. \"",
  "                ++ \"A variable declaration does not require a value but uses 'var', not 'def'.\")",
  "                atPosition(sym.line, sym.linePos) withSuggestions(suggestions)",
  "        }",
  "        util.setPosition(defTok.line, defTok.linePos)",
  "        var o := ast.defDecNode.new(name, val, dtype)",
  "        if (false != anns) then { o.annotations.addAll(anns) }",
  "        o.startToken := defTok",
  "        values.push(o)",
  "        reconcileComments",
  "    }",
  "}",
  "",
  "// Accept a var declaration",
  "method vardec {",
  "    if (acceptKeyword \"var\") then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        def varTok = sym",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def nextToken = findNextToken({ t -> (t.kind == \"bind\")",
  "                && (t.line == sym.line)})",
  "            if ((false == nextToken) || {nextToken == sym}) then {",
  "                suggestion.insert(\" «name»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextToken.prev)",
  "                      leading(false)trailing(true)with(\"«name» \")",
  "            }",
  "            errormessages.syntaxError \"a variable declaration must have a name after the 'var'.\"",
  "                  atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        var val := false",
  "        var name := values.pop",
  "        name.isBindingOccurrence := true",
  "        def dtype = optionalTypeAnnotation",
  "        def anns = doannotation",
  "        if (accept \"bind\") then {",
  "            next",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestions = [ ]",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [ ] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)",
  "                          leading(true)trailing(false)with(\" «expression»\")",
  "                }",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a variable declaration must have a value after the ':='. \"",
  "                    ++ \"A variable without a value can be declared with 'var' followed only by the variable name.\")atPosition(",
  "                    lastToken.line, lastToken.linePos + lastToken.size)withSuggestions(suggestions)",
  "            }",
  "            val := values.pop",
  "        } else {",
  "            if (accept(\"op\") && (sym.value == \"=\")) then {",
  "                def suggestions = [ ]",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(sym)with(\":=\")",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(varTok)with(\"def\")",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a variable declaration must use ':=' instead of '='. A definition uses 'def' and '='.\")",
  "                    atRange(sym.line, sym.linePos, sym.linePos)",
  "                    withSuggestions(suggestions)",
  "            }",
  "        }",
  "        util.setPosition(line, pos)",
  "        def o = ast.varDecNode.new(name, val, dtype)",
  "        if (false != anns) then { o.annotations.addAll(anns) }",
  "        values.push(o)",
  "        reconcileComments",
  "    }",
  "}",
  "",
  "// Accept a square-bracketed list literal like [1,2,3].",
  "method doarray {",
  "    if (accept \"lsquare\") then {",
  "        next",
  "        var tmp",
  "        var params := []",
  "        ifConsume {expression(blocksOK)} then {",
  "            while {accept(\"comma\")} do {",
  "                tmp := values.pop",
  "                params.push(tmp)",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = [ ]",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken( [\"rsquare\"] )",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"a Lineup must contain zero or more expressions separated by commas.\")",
  "                        atPosition(sym.line, sym.linePos) withSuggestions(suggestions)",
  "                }",
  "            }",
  "            tmp := values.pop",
  "            params.push(tmp)",
  "        }",
  "        if(sym.kind != \"rsquare\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"]\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"a Lineup beginning with a '[' must end with a ']'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        var o := ast.arrayNode.new(params)",
  "        values.push(o)",
  "        next",
  "    }",
  "}",
  "",
  "// Accept \"dialect \"X\"\"",
  "method dodialect {",
  "    if (acceptKeyword \"dialect\") then {",
  "        next",
  "        if(sym.kind != \"string\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"\\\"{sym.value}\\\"\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" \\\"«dialect name»\\\"\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"a dialect statement must have the name of the dialect in quotes after the 'dialect'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        values.push(ast.dialectNode.new(sym.value))",
  "        next",
  "    }",
  "}",
  "",
  "method inheritsOrUses {",
  "    // Parses \"inherit «object expression»\"",
  "",
  "    if (! accept \"keyword\") then { return }",
  "    if ((sym.value == \"inherits\") || (sym.value == \"inherit\") || (sym.value == \"use\")) then {",
  "        def btok = sym",
  "        checkIndent",
  "        next",
  "        if(didConsume({expression(noBlocks)}).not) then {",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextValidToken( [\"rsquare\"] )",
  "            if(nextTok == sym) then {",
  "                suggestion.insert(\" «parent»\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «parent»\")",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            var msg := \"The {btok.value} keyword must be followed by an expression that creates \"",
  "            if (btok.value == \"use\") then {",
  "                msg := msg ++ \"the trait being used.\"",
  "            } else {",
  "                msg := msg ++ \"the object being inherited.\"",
  "            }",
  "            errormessages.syntaxError(msg)",
  "                atPosition(lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "                withSuggestions(suggestions)",
  "        }",
  "        util.setPosition(btok.line, btok.linePos)",
  "        def inhNode = ast.inheritsNode.new(values.pop)",
  "        if (btok.value == \"use\") then {",
  "            inhNode.isUse := true",
  "        }",
  "        while { inheritsModifier(inhNode) onLineOf(btok) } do { }",
  "        values.push(inhNode)",
  "    }",
  "}",
  "",
  "method inheritsModifier(node) onLineOf(startToken) {",
  "    // parse an alias or excludes modifier on an `inherits` clause",
  "    if (! accept \"keyword\" onLineOf(startToken) ) then { ",
  "        return false",
  "    }",
  "    if (sym.value == \"alias\") then { ",
  "        parseAlias(node) ",
  "    } elseif {sym.value == \"exclude\"} then {",
  "        parseExclude(node)",
  "    } else {",
  "        false",
  "    }",
  "}",
  "",
  "method parseAlias(node) {",
  "    next    // skip the alias keyword",
  "    def newSig = methodsignature(true)",
  "    def newMeth = newSig.nameString",
  "    if (accept \"op\" && (sym.value == \"=\")) then {",
  "        next",
  "        def oldSig = methodsignature(true)",
  "        def oldMeth = oldSig.nameString",
  "        oldMeth.isBindingOccurrence := false",
  "        node.addAlias (newMeth) for (oldMeth)",
  "    } else {",
  "        errormessages.syntaxError (\"An alias modifier must take the form \" ++",
  "            \"'newMethodName = oldMethodName'\") ",
  "            atPosition (lastToken.line, lastToken.linePos + lastToken.size)",
  "    }",
  "    return true",
  "}",
  "method parseExclude(node) {",
  "    next    // skip the exclude keyword",
  "    def exSig = methodsignature(true)",
  "    def excludedMeth = exSig.nameString",
  "    excludedMeth.isBindingOccurrence := false",
  "    node.addExclusion (excludedMeth)",
  "    return true",
  "}",
  "",
  "method doobject {",
  "    // Parse an object constructor.",
  "    // this method is called doobject because \"object\" is a keyword",
  "",
  "    if (acceptKeyword \"object\") then {",
  "        next",
  "        parseObjectConstructorBody \"an object constructor\" ",
  "            startingWith (lastToken) after \"'object'\"",
  "    }",
  "}",
  "",
  "method parseObjectConstructorBody(constructName) startingWith (btok) after (prev) {",
  "    // Parse the body of an object constructor, leaving the node on the",
  "    // values stack.  Common code for parsing object, class, and factory method",
  "    // bodies; constructName says which, so that error messages are correct.",
  "    // btok is the keyword token that started the construct: class, object, or trait.",
  "    def localMinIndentLevel = minIndentLevel",
  "    def anns = doannotation",
  "    if (sym.kind != \"lbrace\") then {",
  "        def suggestion = errormessages.suggestion.new",
  "        def nextTok = findNextToken { t -> t.kind == \"rbrace\" }",
  "        if (false == nextTok) then {",
  "            suggestion.insert(\" \\{}\")afterToken(lastToken)",
  "        } else {",
  "            suggestion.insert(\" \\{\")afterToken(lastToken)",
  "        }",
  "        errormessages.syntaxError \"{constructName} must have a '\\{' after the {prev}.\"",
  "            atPosition(lastToken.line, lastToken.linePos + lastToken.size)",
  "            withSuggestion(suggestion)",
  "    }",
  "    next",
  "    if (sym.line == statementToken.line) then {",
  "        minIndentLevel := sym.linePos - 2",
  "    } else {",
  "        minIndentLevel := statementToken.indent + 2",
  "    }",
  "    def body = []",
  "    var superObject := false",
  "    def usedTraits = []",
  "    var inPreamble := true  // => processing inherit and use statements",
  "    while {(accept(\"rbrace\")).not && {sym.kind != \"eof\"}} do {",
  "        if (didConsume {inheritsOrUses}) then {",
  "            def parentNode = values.pop",
  "            if (inPreamble) then {",
  "                if (parentNode.isUse) then {",
  "                    usedTraits.add(parentNode)",
  "                } elseif { usedTraits.isEmpty } then {",
  "                    superObject := parentNode",
  "                } else {",
  "                    errormessages.syntaxError(\"'inherit' must come \" ++",
  "                        \"before 'use' in {constructName}\")",
  "                        atRange(parentNode.line, parentNode.linePos,",
  "                        parentNode.linePos + 7)",
  "                }",
  "            } else {",
  "                errormessages.syntaxError(\"'{parentNode.statementName}' must \" ++",
  "                    \"come at the start of {constructName}\")",
  "                    atRange(parentNode.line, parentNode.linePos,",
  "                            parentNode.linePos + parentNode.statementName.size)",
  "            }",
  "        } elseif { didConsume {methoddec} } then {",
  "            inPreamble := false",
  "            body.push(values.pop)",
  "        } elseif { didConsume {statement} } then {",
  "            inPreamble := false",
  "            body.push(values.pop)",
  "        } else {",
  "            errormessages.syntaxError(\"unexpected symbol '{sym.value}' in body \" ++",
  "                \"of of {constructName}\")",
  "                atRange(sym.line, sym.linePos, sym.linePos + sym.value.size - 1)",
  "        }",
  "    }",
  "    next",
  "    util.setPosition(btok.line, btok.linePos)",
  "    def objNode = ast.objectNode.new(body, superObject)",
  "    if (false != anns) then { objNode.annotations.addAll(anns) }",
  "    objNode.usedTraits := usedTraits",
  "    values.push(objNode)",
  "    minIndentLevel := localMinIndentLevel",
  "}",
  "",
  "method doclass {",
  "    // Accepts a class declaration with or without a `dot`",
  "    // Class declarations were formerly of the form:",
  "    //",
  "    //   class objName.methodName (param1, param2) {",
  "    //     inherits <expr>",
  "    //     var x",
  "    //     method y(z) { ... }",
  "    // }",
  "    // Now they are of the form:",
  "    //",
  "    // class methodName (param1, param2) {",
  "    //     inherits <expr>",
  "    //     var x",
  "    //     method y(z) { ... }",
  "    // }",
  "    // The old \"dotted\" form is compiled into a defDecNode that contains",
  "    // an objectNode that contains the class method and an asString method.",
  "    // The current form is compiled into a methodNode that contains",
  "    // an objectNode, i.e., it is treated as syntactic sugar for",
  "    //",
  "    // method methodName (param1, param2) {",
  "    //     object {",
  "    //         inherits <expr>",
  "    //         var x",
  "    //         method y(z) { ... }",
  "    //     }",
  "    // }",
  "",
  "    def btok = sym",
  "    next",
  "    def localMinIndentLevel = minIndentLevel",
  "    if(sym.kind != \"identifier\") then {",
  "        def suggestions = [ ]",
  "        if(sym.kind == \"lbrace\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" «class name».new\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.replaceToken(lastToken)with(\"object\")",
  "            suggestions.push(suggestion)",
  "        } else {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" «class name».new \\{}\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "        }",
  "        errormessages.syntaxError(\"a class must have a name after the 'class'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestions(suggestions)",
  "    }",
  "    var objName := false",
  "    if (tokens.first.kind == \"dot\") then {",
  "        pushidentifier // the name of the class object",
  "        objName := values.pop",
  "        objName.isBindingOccurrence := true",
  "        next    // skip over the dot",
  "    }",
  "    def meth = methodsignature(false)",
  "    meth.setPositionFrom(btok)",
  "    parseObjectConstructorBody \"a class\" startingWith (btok) after \"method header\"",
  "    def objNode = values.pop",
  "    meth.body := [objNode]",
  "    meth.usesClassSyntax := true",
  "    meth.annotations.addAll(objNode.annotations)  // TODO: sort this out!",
  "    // see comment in dofactoryMethod",
  "    if (false != objName) then {   // deal with (deprecated) dotted class",
  "        objNode.name := objName.nameString ++ \".\" ++ meth.canonicalName",
  "        def asStringBody = [ ast.stringNode.new(\"class {objName.nameString}\") ]",
  "        def signature = [ ast.signaturePart.partName \"asString\" ]",
  "        def asStringMeth = ast.methodNode.new(signature, asStringBody, false)",
  "        def metaBody = [meth, asStringMeth]",
  "        def metaObj = ast.objectNode.body (metaBody) named \"class {objName.nameString}\"",
  "        def defDec = ast.defDecNode.new(objName, metaObj, ast.unknownType)",
  "        defDec.startToken := btok",
  "        defDec.annotations.add(ast.identifierNode.new(\"public\", false))",
  "        values.push(defDec)",
  "    } else {",
  "        objNode.name := meth.canonicalName",
  "        if (btok.value == \"class\") then {",
  "            objNode.inClass := true",
  "        } elseif { btok.value == \"trait\" } then {",
  "            objNode.inTrait := true",
  "        }",
  "        values.push(meth)",
  "    }",
  "    reconcileComments",
  "    minIndentLevel := localMinIndentLevel",
  "}",
  "",
  "method dofactoryMethod {",
  "    // Accept a factory method declaration",
  "    if ((acceptKeyword \"factory\") && {",
  "            tokens.first.kind == \"keyword\"} && {",
  "            tokens.first.value == \"method\"}) then {",
  "        def btok = sym",
  "        next",
  "        next",
  "        def localMinIndentLevel = minIndentLevel",
  "        if (sym.kind != \"identifier\") then {",
  "            def suggestions = [ ]",
  "            if(sym.kind == \"lbrace\") then {",
  "                var suggestion := errormessages.suggestion.new",
  "                suggestion.insert(\" «method name»\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(lastToken)with(\"object\")",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                def suggestion = errormessages.suggestion.new",
  "                suggestion.insert(\" «method name» \\{}\")afterToken(lastToken)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError \"a factory method must have a name after the 'method'.\"",
  "                atPosition (lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "                withSuggestions (suggestions)",
  "        }",
  "        var meth := methodsignature(false)",
  "        parseObjectConstructorBody \"a factory method\" startingWith (btok) after \"method header\"",
  "        def objNode = values.pop",
  "        objNode.name := meth.nameString",
  "        util.setPosition(btok.line, btok.linePos)",
  "        meth.body := [objNode]",
  "        meth.annotations.addAll(objNode.annotations)  // TODO: sort this out!",
  "        // In a class or factory method declaration, there is just one place",
  "        // for annotations.  These might include annotations on the method (such",
  "        // as confidential), and annotations on the object (such as imutable)",
  "        values.push(meth)",
  "        reconcileComments",
  "        minIndentLevel := localMinIndentLevel",
  "    }",
  "}",
  "",
  "method methoddec {",
  "    // Parse a method declaration",
  "",
  "    if (acceptKeyword \"method\") then {",
  "        def btok = sym",
  "        checkIndent",
  "        statementToken := sym",
  "        var stok := sym",
  "        next",
  "        def methNode = methodsignature(false).setPositionFrom(btok)",
  "        def body = []",
  "        var localMin",
  "        def anns = doannotation",
  "        if (accept \"lbrace\") then {",
  "            next",
  "            localMin := minIndentLevel",
  "            if (sym.line == stok.line) then {",
  "                minIndentLevel := sym.linePos - 1",
  "            } else {",
  "                minIndentLevel := stok.indent + 1",
  "            }",
  "            values.push(object {",
  "                def kind is public = \"lbrace\"",
  "                var register is public := \"\"",
  "            })  // a dummy token to mark the position in the values stack",
  "            statement",
  "            var s := values.pop",
  "            while {s.kind != \"lbrace\"} do {",
  "                // The body is a sequence of statements, and",
  "                // the method ends when no further statement",
  "                // is found.",
  "                body.push(s)",
  "                statement",
  "                s := values.pop",
  "            }",
  "            if(sym.kind != \"rbrace\") then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def closingBrace = findClosingBrace(btok, false)",
  "                if(closingBrace.found.not) then {",
  "                    if(closingBrace.tok == sym) then {",
  "                        suggestion.insert(\"}\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    }",
  "                }",
  "                suggestion.deleteToken(sym)",
  "                errormessages.syntaxError(\"a method must end with a '}'.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "            next",
  "            minIndentLevel := localMin",
  "        } else {",
  "            def suggestion = errormessages.suggestion.new",
  "            def closingBrace = findClosingBrace(btok, true)",
  "            if(closingBrace.found.not) then {",
  "                if(closingBrace.tok == lastToken) then {",
  "                    suggestion.insert(\" \\{}\")afterToken(lastToken)andTrailingSpace(true)",
  "                } else {",
  "                    suggestion.addLine(closingBrace.tok.line + 0.1, \"}\")",
  "                    suggestion.insert(\" \\{\")afterToken(lastToken)andTrailingSpace(true)",
  "                }",
  "            } else {",
  "                suggestion.insert(\" \\{\")afterToken(lastToken)andTrailingSpace(true)",
  "            }",
  "            errormessages.syntaxError(\"a method must have a '\\{' after the name.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        methNode.body := body",
  "        util.setline(btok.line)",
  "        if (false != anns) then { methNode.annotations.addAll(anns) }",
  "        values.push(methNode)",
  "        reconcileComments",
  "    }",
  "}",
  "",
  "",
  "method methodDecRest(tm, sameline) {",
  "    // Process the remainder of a method header. These follow",
  "    // mostly the same rules as calls, but aren't strictly enforced to be on",
  "    // a single line (because they are ended by \"{\"). ",
  "    //",
  "    // tm is a methodNode.  This method modifies tm.params in place.",
  "",
  "    var signature := tm.signature",
  "    while {(!sameline && accept(\"identifier\")) || acceptSameLine(\"identifier\")} do {",
  "        pushidentifier",
  "        def part = ast.signaturePart.partName(values.pop.nameString)",
  "        if ((accept(\"lparen\")).not) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\"()\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"the declaration of a method with multiple \" ++",
  "                  \"parameter lists must have parentheses around each parameter list.\")",
  "                  atPosition(sym.line, sym.linePos)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        var comma := false",
  "        while {accept(\"identifier\")",
  "                || (accept(\"op\") && (sym.value == \"*\"))} do {",
  "            if (accept \"op\") then {",
  "                next",
  "                errormessages.syntaxError(\"variable length parameters (parameters prefixed by '*') are no longer part of Grace.  Consider making {sym.value} an Iterable.\")",
  "                    atPosition(lastToken.line, lastToken.linePos)",
  "            }",
  "            pushidentifier",
  "            def nxt = values.pop",
  "            nxt.isBindingOccurrence := true",
  "            nxt.dtype := optionalTypeAnnotation",
  "            part.params.push(nxt)",
  "            if (accept \"comma\") then {",
  "                comma := sym",
  "                next",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\")\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"a part of a multi-part method beginning with a '(' must end with a ')'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        signature.push(part)",
  "    }",
  "}",
  "",
  "method optionalTypeAnnotation {",
  "    // Accept a type annotation if present.",
  "    // Returns the type, or false if there is no annotation",
  "    if (accept \"colon\") then {",
  "        next",
  "        if (didConsume { typeexpression }) then {",
  "            values.pop",
  "        } else {",
  "            checkBadTypeLiteral",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            suggestion.deleteToken(lastToken)leading(true)trailing(false)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"a type name or type expression must follow ':'.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    } else {",
  "        false",
  "    }",
  "}",
  "",
  "method methodsignature(sameline) {",
  "    // Accept a method signature",
  "    if((sym.kind != \"identifier\") && (sym.kind != \"op\") && (sym.kind != \"lsquare\")) then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\" «method name»\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"a method name must start with an identifier, or be an operator.\")",
  "            atPosition(lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "                withSuggestion(suggestion)",
  "    }",
  "    def startToken = sym",
  "    def part = ast.signaturePart.partName(startToken.value)",
  "    next",
  "    def result = ast.methodNode.new( [ part ], [], false)",
  "    if ((startToken.value == \"[\") && {sym.kind == \"rsquare\"}) then {",
  "        errormessages.syntaxError(\"methods named '[]' and '[]:=' are no longer part of Grace.\")",
  "            atRange(lastToken.line, lastToken.linePos, sym.linePos)",
  "    }",
  "    if (accept \"lgeneric\") then { result.typeParams := typeparameters }",
  "    if (accept \"bind\") then {",
  "        part.name := part.name ++ \":=\"",
  "        next",
  "    } elseif { accept \"op\"  && (startToken.value == \"prefix\") } then {",
  "        part.name := part.name ++ sym.value",
  "        next",
  "    }",
  "    if (accept \"lparen\") then {",
  "        def lparen = sym",
  "        next",
  "        var id",
  "        var comma := false",
  "        while {accept(\"identifier\") ||",
  "                (accept(\"op\") && (sym.value == \"*\"))} do {",
  "            // Parse the parameter list, including optional dtype",
  "            // annotations.",
  "            if (accept \"op\") then {",
  "                next",
  "                errormessages.syntaxError(\"variable length parameters (parameters prefixed by '*') are no longer part of Grace.  Consider making {sym.value} an Iterable.\")",
  "                    atPosition(lastToken.line, lastToken.linePos)",
  "            }",
  "            pushidentifier",
  "            id := values.pop",
  "            id.isBindingOccurrence := true",
  "            id.dtype := optionalTypeAnnotation",
  "            part.params.push(id)",
  "            if (accept \"comma\") then {",
  "                comma := sym",
  "                next",
  "            } elseif { sym.kind != \"rparen\" } then {",
  "                if(sym.kind != \"rparen\") then {",
  "                    def suggestion = errormessages.suggestion.new",
  "                    suggestion.insert(\")\")afterToken(lastToken)",
  "                    errormessages.syntaxError(\"a part of a method beginning with a '(' must end with a ')'.\")atPosition(",
  "                        lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "                }",
  "            }",
  "        }",
  "        if(sym.kind != \"rparen\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            def rparen = findNextToken({ t -> (t.kind == \"rparen\") && (t.line == lastToken.line) })",
  "            if(false == rparen) then {",
  "                suggestion.replaceToken(lastToken)with(\")\")",
  "            } else {",
  "                suggestion.deleteToken(sym)",
  "            }",
  "            errormessages.syntaxError(\"a part of a method beginning with a '(' must end with a ')'.\")atRange(",
  "                lastToken.line, lastToken.linePos, lastToken.linePos)withSuggestion(suggestion)",
  "        }",
  "        if (sym.line == part.line) then {",
  "            part.lineLength := sym.linePos - part.linePos",
  "        }",
  "        next",
  "        if ((!sameline && accept(\"identifier\")) ||",
  "            acceptSameLine(\"identifier\")) then {",
  "            // The presence of an identifier here means",
  "            // a multi-part method name.",
  "            methodDecRest(result, sameline)",
  "        }",
  "    }",
  "    if (accept \"arrow\") then {",
  "        // Return dtype",
  "        next",
  "        typeexpression",
  "        result.dtype := values.pop",
  "    }",
  "    result",
  "}",
  "",
  "method typeparameters {",
  "    next",
  "    def typeIds = [ ]",
  "    while {accept(\"identifier\")} do {",
  "        identifier",
  "        def id = values.pop",
  "        id.isBindingOccurrence := true",
  "        typeIds.push(id)",
  "        if (accept \"comma\") then {",
  "            next",
  "        }",
  "    }",
  "    typeIds.do { each -> each.isBindingOccurrence := true }",
  "    def result = ast.typeParametersNode.new(typeIds)",
  "    if(sym.kind != \"rgeneric\") then {",
  "        def suggestion = errormessages.suggestion.new",
  "        suggestion.insert(\">\")afterToken(lastToken)",
  "        errormessages.syntaxError(\"a list of type parameters starting with '<' must end with '>'.\")atPosition(",
  "            lastToken.line, lastToken.linePos + lastToken.size)withSuggestion(suggestion)",
  "    }",
  "    next",
  "    result",
  "}",
  "",
  "method doimport {",
  "    // Accept an import statement, which has the form",
  "    //      import ‹string› as ‹identifier›:‹type expression› is ‹annotation›",
  "    if (acceptKeyword \"import\") then {",
  "        def importline = sym.line",
  "        next",
  "        if(sym.kind != \"string\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"\\\"{sym.value}\\\"\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" \\\"«module name»\\\"\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"an import statement must have the name of the module in quotes, 'as', and an identifier after 'import'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        pushstring",
  "        def p = values.pop",
  "        if((sym.kind != \"identifier\") || (sym.value != \"as\")) then {",
  "            var suggestion := errormessages.suggestion.new",
  "            if((sym.kind == \"identifier\") && (sym.line == lastToken.line)) then {",
  "                suggestion.insert(\" as\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.insert(\" as {p.value}\")afterToken(lastToken)",
  "            }",
  "            errormessages.syntaxError(\"an import statement must have 'as', and an identifier after the name of the module in quotes.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            var suggestion := errormessages.suggestion.new",
  "            var errorPos",
  "            if((sym.kind == \"string\") && (sym.line == lastToken.line)) then {",
  "                suggestion.replaceToken(sym)with(\"{sym.value}\")",
  "                errorPos := sym.linePos",
  "            } else {",
  "                suggestion.insert(\" {p.value}\")afterToken(lastToken)",
  "                errorPos := lastToken.linePos + lastToken.size + 1",
  "            }",
  "            errormessages.syntaxError(\"an import statement must have an identifier after 'as'.\")atPosition(",
  "                lastToken.line, errorPos)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        def name = values.pop",
  "        name.isBindingOccurrence := true",
  "        def dtype = optionalTypeAnnotation",
  "        util.setline(importline)",
  "        def o = ast.importNode.new(p.value, name, dtype)",
  "        def anns = doannotation",
  "        if (false != anns) then { o.annotations.addAll(anns) }",
  "        values.push(o)",
  "        reconcileComments",
  "    }",
  "}",
  "",
  "method doreturn {",
  "    // Accept a return statement; 'return' is followed by an optional expression.",
  "    if (acceptKeyword \"return\") then {",
  "        def retTok = sym",
  "        next",
  "        var retval",
  "        if ((tokenOnSameLine) && {accept(\"rbrace\").not}) then {",
  "            if(didConsume({expression(blocksOK)}).not) then {",
  "                def suggestions = [ ]",
  "                var suggestion := errormessages.suggestion.new",
  "                def nextTok = findNextValidToken( [\"rbrace\"] )",
  "                if(nextTok == sym) then {",
  "                    suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteToken(sym)leading(true)trailing(false)",
  "                } else {",
  "                    suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                }",
  "                suggestions.push(suggestion)",
  "                errormessages.syntaxError(\"a return statement must have either an expression or a new-line after 'return'.\")atRange(",
  "                    sym.line, sym.linePos, sym.linePos + sym.size - 1)withSuggestions(suggestions)",
  "            }",
  "            retval := values.pop",
  "        } else {",
  "            retval := ast.identifierNode.new(\"done\", false)",
  "        }",
  "        util.setPosition(retTok.line, retTok.linePos)",
  "        var o := ast.returnNode.new(retval)",
  "        values.push(o)",
  "    }",
  "}",
  "",
  "method domethodtype {",
  "    // parses a method in a type literal",
  "    def methodTypeTok = sym",
  "    var methNode := methodsignature(true)",
  "    var dtype := methNode.dtype",
  "    if (false == methNode.dtype) then {",
  "        dtype := ast.identifierNode.new(\"Done\", false)",
  "    }",
  "    def o = ast.methodTypeNode.new(methNode.signature, dtype)",
  "                                            .setPositionFrom(methodTypeTok)",
  "    o.typeParams := methNode.typeParams",
  "    values.push(o)",
  "    reconcileComments",
  "    if (accept \"semicolon\") then {",
  "        next",
  "    } else {",
  "        if (!accept(\"rbrace\")) then {",
  "            if (lastToken.line == sym.line) then {",
  "                def suggestion = errormessages.suggestion.new",
  "                def newLine = util.lines.at(sym.line).substringFrom(1)to(lastToken.linePos - 1) ++ sym.value",
  "                suggestion.addLine(sym.line + 0.1, newLine)",
  "                suggestion.deleteToken(sym)leading(true)trailing(true)",
  "                errormessages.syntaxError(\"methods in a type literal must be on separate lines, or separated by semicolons.\")atPosition(",
  "                    sym.line, sym.linePos)withSuggestion(suggestion)",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method dotypeLiteral {",
  "    // parses a type literal between braces, with optional leading 'type' keyword.",
  "    def typeLiteralTok = sym",
  "    if (acceptKeyword \"type\") then {",
  "        next",
  "        if (!accept(\"lbrace\")) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.replaceToken(sym) with(\"\\{\")",
  "            errormessages.syntaxError \"type literals must open with a brace.\"",
  "                atPosition(sym.line, sym.linePos) withSuggestion(suggestion)",
  "            return",
  "        }",
  "    }",
  "    if (accept \"lbrace\") then {",
  "        def meths = []",
  "        def types = []",
  "        def mc = auto_count",
  "        auto_count := auto_count + 1",
  "        next",
  "        while {accept(\"rbrace\").not} do {",
  "            if (acceptKeyword \"type\") then {",
  "                typedec",
  "                types.push(values.pop)",
  "            } else {",
  "                domethodtype",
  "                meths.push(values.pop)",
  "            }",
  "        }",
  "        next",
  "        util.setPosition(typeLiteralTok.line, typeLiteralTok.linePos)",
  "        def t = ast.typeLiteralNode.new(meths, types)",
  "        values.push(t)",
  "    }",
  "}",
  "",
  "method typedec {",
  "    // Accept a declaration: 'type = <type expression>'",
  "    if (acceptKeyword \"type\") then {",
  "        def line = sym.line",
  "        def pos = sym.linePos",
  "        next",
  "        if(sym.kind != \"identifier\") then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.insert(\" «type name»\")afterToken(lastToken)",
  "            errormessages.syntaxError(\"a type declaration must have a name after the 'type'.\")atPosition(",
  "                lastToken.line, lastToken.linePos + lastToken.size + 1)withSuggestion(suggestion)",
  "        }",
  "        pushidentifier",
  "        util.setPosition(line, pos)",
  "        def nt = ast.typeDecNode.new(values.pop, false)",
  "        if (accept \"lgeneric\") then { nt.typeParams := typeparameters }",
  "        nt.name.isBindingOccurrence := true",
  "        def anns = doannotation",
  "        if((sym.kind != \"op\") || (sym.value != \"=\")) then {",
  "            var suggestion := errormessages.suggestion.new",
  "            def nextTok = findNextToken({ t -> t.kind == \"lbrace\" })",
  "            if ((false == nextTok) || {nextTok == sym}) then {",
  "                suggestion.insert(\" =\")afterToken(lastToken)",
  "            } else {",
  "                suggestion.replaceTokenRange(sym, nextTok.prev)with(\"=\")",
  "            }",
  "            errormessages.syntaxError \"a type declaration must have an '=' after the type name.\"",
  "                  atPosition(lastToken.line, lastToken.linePos + lastToken.size + 1)",
  "                  withSuggestion(suggestion)",
  "        }",
  "        next",
  "        // Special case for type Literals without leading 'type' keyword.",
  "        if (accept \"lbrace\") then {",
  "            dotypeLiteral",
  "        } else {",
  "            expression(noBlocks)",
  "        }",
  "        nt.value := values.pop",
  "        if (false != anns) then {",
  "            nt.annotations.addAll(anns)",
  "        }",
  "        values.push(nt)",
  "        reconcileComments",
  "    }",
  "}",
  "",
  "method checkIndent {",
  "    if (indentFreePass) then {",
  "        indentFreePass := false",
  "    } elseif { sym.kind == \"semicolon\" } then {",
  "        // pass",
  "    } elseif {(sym.kind == \"rbrace\") || (sym.kind == \"rparen\")",
  "          || (sym.kind == \"rsquare\")} then {",
  "        // pass",
  "    } elseif { sym.kind == \"eof\" } then {",
  "    } elseif { sym.indent < minIndentLevel } then {",
  "        if ((sym.linePos - 1) != minIndentLevel) then {",
  "            def suggestions = [ ]",
  "            var suggestion := errormessages.suggestion.new",
  "            for(1..(minIndentLevel - (sym.linePos - 1))) do { _ ->",
  "                suggestion.insert \" \" atPosition 1 onLine(sym.line)",
  "            }",
  "            suggestions.push(suggestion)",
  "            suggestion := errormessages.suggestion.new",
  "            // Find the indent level for the opening brace.",
  "            var tok := lastToken",
  "            while {(tok.linePos != (tok.indent + 1)) || (tok.indent >= minIndentLevel)} do { ",
  "                tok := tok.prev ",
  "            }",
  "            var line := \"\"",
  "            for(1..(tok.indent)) do { _ ->",
  "                line := line ++ \" \"",
  "            }",
  "            line := line ++ \"}\"",
  "            suggestion.addLine(sym.line - 0.9, line)",
  "            suggestions.push(suggestion)",
  "            errormessages.syntaxError(\"the indentation for this line must be \" ++",
  "                  \"at least {minIndentLevel}. This is often caused by a missing '}'.\")",
  "                  atPosition(sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    } elseif { sym.indent > (minIndentLevel + 1) } then {",
  "        minIndentLevel := sym.indent",
  "    } elseif { (sym.indent - lastIndent).abs == 1 } then {",
  "        def m1 = \"the indentation for this line can't differ \"",
  "        def m2 = \"from that of the previous line by 1.\\n  To start a block, or \"",
  "        def m3 = \"to signal a continuation line, increase the indent by 2 or more. \"",
  "        def m4 = \"To end a block, or end the continuation, decrease the indent \"",
  "        def m5 = \"to the prior level. Otherwise, use the same indent as the previous line.\"",
  "        def msg = m1 ++ m2 ++ m3 ++ m4 ++ m5",
  "        errormessages.syntaxError(msg) atPosition(sym.line, sym.linePos)",
  "    }",
  "}",
  "",
  "method statement {",
  "    // Accept a statement. A statement is any of the above that may exist",
  "    // at the top level, and includes expressions.",
  "    // A statement may also be a bind statement x := y, which creates a",
  "    // bind AST node out of the expressions on either side (which at this point",
  "    // can be any arbitrary expression).",
  "",
  "    statementIndent := sym.indent",
  "    statementToken := sym",
  "    def btok = sym",
  "    checkIndent",
  "    if (accept \"keyword\") then {",
  "        if (sym.value == \"var\") then {",
  "            vardec",
  "        } elseif { sym.value == \"def\" } then {",
  "            defdec",
  "        } elseif { sym.value == \"import\" } then {",
  "            doimport",
  "        } elseif { sym.value == \"dialect\" } then {",
  "            dodialect",
  "        } elseif { sym.value == \"type\" } then {",
  "            typedec",
  "        } elseif { sym.value == \"class\" } then {",
  "            doclass",
  "        } elseif { sym.value == \"trait\" } then {",
  "            doclass",
  "        } elseif { sym.value == \"factory\" } then {",
  "            dofactoryMethod",
  "        } elseif { sym.value == \"return\" } then {",
  "            doreturn",
  "        } else {",
  "            expression(blocksOK)",
  "        }",
  "    } else {",
  "        ifConsume {expression(blocksOK)} then {",
  "            if (((values.last.kind == \"identifier\")",
  "                || (values.last.kind == \"member\")",
  "                || (values.last.kind == \"index\"))",
  "                && accept(\"bind\")) then {",
  "                var dest := values.pop",
  "                if (dest.kind == \"lbrace\") then {",
  "                    print \"sym = {sym}, sym.line = {sym.line}\"",
  "                    ProgrammingError.raise \"popped lbrace token while parsing statement\"",
  "                }",
  "                next",
  "                if(didConsume({expression(blocksOK)}).not) then {",
  "                    def suggestions = [ ]",
  "                    var suggestion := errormessages.suggestion.new",
  "                    def nextTok = findNextValidToken( [\"rbrace\"] )",
  "                    if(nextTok == sym) then {",
  "                        suggestion.insert(\" «expression»\")afterToken(lastToken)",
  "                    } else {",
  "                        suggestion.replaceTokenRange(sym, nextTok.prev)leading(true)trailing(false)with(\" «expression»\")",
  "                    }",
  "                    suggestions.push(suggestion)",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.deleteTokenRange(lastToken, nextTok.prev)leading(true)trailing(false)",
  "                    suggestions.push(suggestion)",
  "                    errormessages.syntaxError(\"a valid expression must follow ':='.\")atPosition(",
  "                        sym.line, sym.linePos)withSuggestions(suggestions)",
  "                }",
  "                var val := values.pop",
  "                util.setPosition(btok.line, btok.linePos)",
  "                var o := ast.bindNode.new(dest, val)",
  "                values.push(o)",
  "            }",
  "        }",
  "    }",
  "    reconcileComments",
  "    if (accept \"eof\") then {",
  "        return true",
  "    }",
  "    if (accept \"semicolon\") then {",
  "        def oldLine = sym.line",
  "        next",
  "        if (sym.line == oldLine) then {",
  "            indentFreePass := true",
  "        }",
  "    } else {",
  "        checkUnexpectedTokenAfterStatement",
  "    }",
  "}",
  "",
  "method pushComments {",
  "    // Push a comment onto the comments stack as a commentNode. If",
  "    // there are consecutive comments following, deal with them all.",
  "    // Adjacent comments extend the first; a break of a blank line",
  "    // starts a new comment node.",
  "",
  "    if ( ! accept \"comment\" ) then { return }",
  "    util.setPosition(sym.line, sym.linePos)",
  "    var o := ast.commentNode.new(sym.value)",
  "    if ((lastToken.line == sym.line) && (lastToken.kind != \"comment\")) then {",
  "        o.isPartialLine := true",
  "    } elseif { lastToken.line < (sym.line - 1) } then {",
  "        o.isPreceededByBlankLine := true",
  "    }",
  "    comments.push(o)",
  "    while { ",
  "        previousCommentToken := sym",
  "        sym := tokens.poll",
  "        if (sym.line > (previousCommentToken.line + 1)) then { noteBlank }",
  "        accept \"comment\"",
  "    } do {",
  "        util.setPosition(sym.line, sym.linePos)",
  "        o := ast.commentNode.new(sym.value)",
  "        if ( comments.last.endLine == (sym.line - 1) ) then {",
  "            comments.last.extendCommentUsing(o)",
  "        } else {",
  "            comments.push(o)",
  "            if ( lastToken.line < (sym.line - 1) ) then {",
  "                o.isPreceededByBlankLine := true",
  "            }",
  "        }",
  "    }",
  "}",
  "",
  "method reconcileComments {",
  "    // Should be requested after a new node that represents a \"syntactic unit\"",
  "    // to which comments can be attached is pushed onto `values`",
  "    // Finds comments associated with that node, remove thems from comments",
  "    // stack, and puts them in that node's comments attribute.",
  "",
  "    pushComments",
  "    def node = if (values.isEmpty) then {",
  "        moduleObject ",
  "    } else {",
  "        values.last",
  "    }",
  "    if (node.kind == \"lbrace\") then {",
  "        // lbrace nodes are not AST nodes.  They are used to mark the stack for",
  "        // nested expressions.  Hence, no comments should be attached to them.",
  "        return",
  "    }",
  "    def oLine = node.line",
  "    def preComments = emptyList",
  "    def postComments = emptyList",
  "",
  "    var ix := comments.size",
  "    while { ix > 0 } do {",
  "        def each = comments.at(ix)",
  "        def isPostComment = (each.line == oLine) || (each.line == (oLine+1))",
  "        def isPreComment = each.isPreceededByBlankLine && (each.endLine == (oLine-1))",
  "        if (isPostComment) then {",
  "            postComments.push(comments.removeAt(ix))",
  "        } elseif { isPreComment } then {",
  "            preComments.addFirst(comments.removeAt(ix))",
  "        } elseif { each.endLine < (oLine-1) } then {",
  "            ix := 0     // exit from while",
  "        }",
  "        ix := ix - 1",
  "    }",
  "",
  "    def postSz = postComments.size",
  "    def preSz = preComments.size",
  "",
  "    if ((postSz > 1) && (preSz > 1)) then {",
  "        preComments.last.value := preComments.last.value ++ \"\\n\"",
  "    }",
  "    node.addComments(preComments)",
  "    node.addComments(postComments)",
  "}",
  "",
  "method checkBadOperators {",
  "    if (sym.value == \"=\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\"=\")afterToken(sym)",
  "        errormessages.syntaxError(\"use '==' to test equality, not '='.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "    if (sym.kind == \"rgeneric\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\" \")beforeToken(sym)",
  "        errormessages.syntaxError(\"the '>' operator must be preceded by a space.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "}",
  "",
  "method checkBadTypeLiteral {",
  "    if (sym.kind == \"lbrace\") then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.insert(\"type \") beforeToken(sym)",
  "        errormessages.syntaxError(\"type literals must start with the keyword 'type'.\")",
  "            atRange(sym.line, sym.linePos, sym.linePos)",
  "            withSuggestion(sugg)",
  "    }",
  "}",
  "",
  "method checkUnexpectedTokenAfterStatement {",
  "    if (sym.line == lastToken.line) then {",
  "        if ((sym.kind == \"op\") && (sym.value == \"=\")",
  "            && (lastToken.kind == \"identifier\")) then {",
  "            def sugg = errormessages.suggestion.new",
  "            def suggestions = [ ]",
  "            sugg.replaceToken(sym)leading(false)trailing(false)with(\":=\")",
  "            suggestions.push(sugg)",
  "            def sugg2 = errormessages.suggestion.new",
  "            sugg2.replaceToken(sym)leading(false)trailing(false)with \"==\"",
  "            suggestions.push(sugg2)",
  "            errormessages.syntaxError(\"assignment uses ':=', not '='.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos)",
  "                withSuggestions (suggestions)",
  "        }",
  "        if (sym.kind == \"rgeneric\") then {",
  "            def sugg = errormessages.suggestion.new",
  "            sugg.insert(\" \")atPosition(sym.linePos)onLine(sym.line)",
  "            errormessages.syntaxError(",
  "                    \"The '>' operator must have a space before it.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos)",
  "                withSuggestion(sugg)",
  "        }",
  "        if (sym.kind != \"rbrace\") then {",
  "            def suggestions = [ ]",
  "            var suggestion",
  "            if ( (values.size > 0) && { (values.last.kind == \"identifier\") || { values.last.kind == \"member\" }} && { sym.kind == \"identifier\" } ) then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value})\")",
  "                suggestions.push(suggestion)",
  "                if (false != sym.next) then {",
  "                    def n = sym.next",
  "                    if (n.line == sym.line) then {",
  "                        suggestion := errormessages.suggestion.new",
  "                        suggestion.replaceToken(sym)leading(true)trailing(false)with(\"({sym.value}\")",
  "                        suggestion.append \")\" onLine(sym.line)",
  "                        suggestions.push(suggestion)",
  "                    }",
  "                }",
  "                if (values.last.kind == \"identifier\") then {",
  "                    suggestion := errormessages.suggestion.new",
  "                    suggestion.replaceToken(sym)leading(false)trailing(false)with(\"\\\"{sym.value}\\\"\")",
  "                    suggestions.push(suggestion)",
  "                }",
  "            }",
  "            def nextTok = findNextValidToken( [\"rbrace\"] )",
  "            if(nextTok == sym) then {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.addLine(lastToken.line, util.lines.at(lastToken.line).substringFrom(1)to(lastToken.linePos + lastToken.size - 1))",
  "                def newLine = util.lines.at(sym.line).substringFrom(sym.linePos)to(util.lines.at(sym.line).size)",
  "                suggestion.addLine(lastToken.line + 0.1, newLine)",
  "                suggestions.push(suggestion)",
  "            } else {",
  "                suggestion := errormessages.suggestion.new",
  "                suggestion.deleteTokenRange(sym, nextTok.prev)leading(true)trailing(false)",
  "                suggestions.push(suggestion)",
  "            }",
  "            errormessages.syntaxError(\"multiple statements must be separated by a newline or a semicolon. This is often caused by missing parentheses.\")atPosition(",
  "                sym.line, sym.linePos)withSuggestions(suggestions)",
  "        }",
  "    }",
  "}",
  "",
  "",
  "method parse(toks) {",
  "    // Parse the given list of tokens, toks, returning an AST moduleNode",
  "    // corresponding to it.",
  "",
  "    util.log_verbose \"parsing.\"",
  "    moduleObject := ast.moduleNode.body(values) named (util.modname)",
  "",
  "    if (toks.size == 0) then {",
  "        return moduleObject",
  "    }",
  "    tokens := toks",
  "    next",
  "    if (sym.indent > 0) then {",
  "        def sugg = errormessages.suggestion.new",
  "        sugg.deleteRange(1, sym.indent) onLine(sym.line)",
  "        errormessages.syntaxError \"the first line must not be indented.\"",
  "            atRange(sym.line, 1, sym.indent)",
  "            withSuggestion(sugg)",
  "    }",
  "    var oldlength := tokens.size",
  "    while {tokens.size > 0} do {",
  "        blank",
  "        methoddec",
  "        blank",
  "        ifConsume { inheritsOrUses } then {",
  "            def parentNode = values.pop",
  "            if (parentNode.isUse) then {",
  "                moduleObject.usedTraits.add(parentNode)",
  "            } elseif { moduleObject.usedTraits.isEmpty } then {",
  "                moduleObject.superclass := parentNode",
  "            } else {",
  "                errormessages.syntaxError(\"'inherit' must come \" ++",
  "                    \"before 'use' in a module.\")",
  "                    atRange(parentNode.line, parentNode.linePos,",
  "                    parentNode.linePos + 7)",
  "            }",
  "        }",
  "        blank",
  "        statement",
  "        blank",
  "        if (tokens.size == oldlength) then {",
  "            def suggestion = errormessages.suggestion.new",
  "            suggestion.deleteToken(sym)",
  "            errormessages.syntaxError(\"invalid statement. This is often \" ++",
  "                \"caused by an extra '}', ')', or ']'.\")",
  "                atRange(sym.line, sym.linePos, sym.linePos + sym.size - 1)",
  "                withSuggestion(suggestion)",
  "        }",
  "        oldlength := tokens.size",
  "    }",
  "    blank",
  "    statement",
  "    blank",
  "    return moduleObject",
  "}",
  NULL
};
Object reader_parser_outer_236(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_found_237(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object writer_parser_found_237(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[1] = args[0];
  return done;
}
Object reader_parser_tok_238(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_tok_238(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_8236(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_8237(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_parser_register_8238(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object writer_parser_register_8238(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  uo->data[2] = args[0];
  return done;
}
Object reader_parser_outer_11097(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject*)self;
  return uo->data[0];
}
Object reader_parser_kind_11098(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[1];
}
Object reader_parser_line_11099(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[2];
}
Object reader_parser_linePos_11100(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[3];
}
Object reader_parser_indent_11101(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[4];
}
Object reader_parser_value_11102(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[5];
}
Object reader_parser_size_11103(Object self, int nparams, int *argcv, Object* args, int flags) {
  struct UserObject *uo = (struct UserObject *)self;
  return uo->data[6];
}
static Object strlit49;
static Object strlit51;
static Object strlit111;
static Object strlit159;
static Object strlit192;
static Object strlit193;
static Object strlit194;
static Object strlit195;
static Object strlit196;
static Object strlit197;
static Object strlit198;
static Object strlit199;
static Object strlit205;
static ClassData objclass235;
static Object strlit252;
static Object strlit263;
static Object strlit275;
static Object strlit303;
static Object strlit314;
static Object strlit326;
static Object strlit343;
static Object strlit360;
static Object strlit391;
static Object strlit594;
static Object strlit599;
static Object strlit604;
static Object strlit609;
static Object strlit614;
static Object strlit618;
static Object strlit625;
static Object strlit707;
static Object strlit715;
static Object strlit733;
static Object strlit761;
static Object strlit771;
static Object strlit795;
static Object strlit824;
static Object strlit848;
static Object strlit855;
static Object strlit862;
static Object strlit880;
static Object strlit899;
static Object strlit929;
static Object strlit936;
static Object strlit943;
static Object strlit961;
static Object strlit1022;
static Object strlit1074;
static Object strlit1084;
static Object strlit1093;
static Object strlit1114;
static Object strlit1121;
static Object strlit1128;
static Object strlit1131;
static Object strlit1139;
static Object strlit1151;
static Object strlit1154;
static Object strlit1200;
static Object strlit1217;
static Object strlit1235;
static Object strlit1240;
static Object strlit1244;
static Object strlit1253;
static Object strlit1276;
static Object strlit1277;
static Object strlit1284;
static Object strlit1291;
static Object strlit1309;
static Object strlit1341;
static Object strlit1351;
static Object strlit1382;
static Object strlit1387;
static Object strlit1399;
static Object strlit1425;
static Object strlit1435;
static Object strlit1442;
static Object strlit1449;
static Object strlit1452;
static Object strlit1455;
static Object strlit1465;
static Object strlit1475;
static Object strlit1492;
static Object strlit1497;
static Object strlit1507;
static Object strlit1516;
static Object strlit1547;
static Object strlit1554;
static Object strlit1561;
static Object strlit1579;
static Object strlit1601;
static Object strlit1625;
static Object strlit1650;
static Object strlit1671;
static Object strlit1674;
static Object strlit1723;
static Object strlit1730;
static Object strlit1740;
static Object strlit1748;
static Object strlit1756;
static Object strlit1759;
static Object strlit1762;
static Object strlit1765;
static Object strlit1768;
static Object strlit1769;
static Object strlit1772;
static Object strlit1786;
static Object strlit1793;
static Object strlit1802;
static Object strlit1810;
static Object strlit1817;
static Object strlit1842;
static Object strlit1846;
static Object strlit1856;
static Object strlit1859;
static Object strlit1863;
static Object strlit1873;
static Object strlit1876;
static Object strlit1879;
static Object strlit1886;
static Object strlit1896;
static Object strlit1899;
static Object strlit1902;
static Object strlit1909;
static Object strlit1911;
static Object strlit1939;
static Object strlit1962;
static Object strlit1970;
static Object strlit1977;
static Object strlit1981;
static Object strlit1983;
static Object strlit1995;
static Object strlit1999;
static Object strlit2001;
static Object strlit2013;
static Object strlit2017;
static Object strlit2019;
static Object strlit2045;
static Object strlit2050;
static Object strlit2055;
static Object strlit2059;
static Object strlit2065;
static Object strlit2090;
static Object strlit2097;
static Object strlit2104;
static Object strlit2130;
static Object strlit2141;
static Object strlit2146;
static Object strlit2151;
static Object strlit2154;
static Object strlit2188;
static Object strlit2223;
static Object strlit2234;
static Object strlit2239;
static Object strlit2259;
static Object strlit2266;
static Object strlit2280;
static Object strlit2288;
static Object strlit2296;
static Object strlit2299;
static Object strlit2302;
static Object strlit2305;
static Object strlit2308;
static Object strlit2309;
static Object strlit2312;
static Object strlit2326;
static Object strlit2333;
static Object strlit2342;
static Object strlit2350;
static Object strlit2357;
static Object strlit2382;
static Object strlit2386;
static Object strlit2396;
static Object strlit2399;
static Object strlit2403;
static Object strlit2413;
static Object strlit2416;
static Object strlit2419;
static Object strlit2426;
static Object strlit2436;
static Object strlit2439;
static Object strlit2442;
static Object strlit2449;
static Object strlit2451;
static Object strlit2480;
static Object strlit2487;
static Object strlit2511;
static Object strlit2519;
static Object strlit2526;
static Object strlit2529;
static Object strlit2540;
static Object strlit2543;
static Object strlit2554;
static Object strlit2557;
static Object strlit2582;
static Object strlit2587;
static Object strlit2592;
static Object strlit2596;
static Object strlit2602;
static Object strlit2622;
static Object strlit2629;
static Object strlit2642;
static Object strlit2664;
static Object strlit2669;
static Object strlit2680;
static Object strlit2685;
static Object strlit2702;
static Object strlit2705;
static Object strlit2716;
static Object strlit2719;
static Object strlit2722;
static Object strlit2730;
static Object strlit2756;
static Object strlit2767;
static Object strlit2772;
static Object strlit2777;
static Object strlit2780;
static Object strlit2814;
static Object strlit2849;
static Object strlit2860;
static Object strlit2865;
static Object strlit2893;
static Object strlit2900;
static Object strlit2907;
static Object strlit2933;
static Object strlit2944;
static Object strlit2949;
static Object strlit2954;
static Object strlit2957;
static Object strlit2991;
static Object strlit3026;
static Object strlit3037;
static Object strlit3042;
static Object strlit3073;
static Object strlit3095;
static Object strlit3100;
static Object strlit3111;
static Object strlit3116;
static Object strlit3133;
static Object strlit3136;
static Object strlit3147;
static Object strlit3150;
static Object strlit3154;
static Object strlit3156;
static Object strlit3168;
static Object strlit3172;
static Object strlit3184;
static Object strlit3192;
static Object strlit3212;
static Object strlit3219;
static Object strlit3226;
static Object strlit3229;
static Object strlit3237;
static Object strlit3249;
static Object strlit3252;
static Object strlit3282;
static Object strlit3289;
static Object strlit3296;
static Object strlit3302;
static Object strlit3329;
static Object strlit3353;
static Object strlit3367;
static Object strlit3378;
static Object strlit3389;
static Object strlit3400;
static Object strlit3411;
static Object strlit3425;
static Object strlit3465;
static Object strlit3471;
static Object strlit3481;
static Object strlit3488;
static Object strlit3492;
static Object strlit3507;
static Object strlit3517;
static Object strlit3524;
static Object strlit3528;
static Object strlit3552;
static Object strlit3559;
static Object strlit3568;
static Object strlit3574;
static Object strlit3589;
static Object strlit3596;
static Object strlit3614;
static Object strlit3622;
static Object strlit3637;
static Object strlit3641;
static Object strlit3647;
static Object strlit3651;
static Object strlit3661;
static Object strlit3665;
static Object strlit3670;
static Object strlit3676;
static Object strlit3679;
static Object strlit3682;
static Object strlit3715;
static Object strlit3722;
static Object strlit3729;
static Object strlit3732;
static Object strlit3740;
static Object strlit3752;
static Object strlit3755;
static Object strlit3777;
static Object strlit3784;
static Object strlit3794;
static Object strlit3800;
static Object strlit3820;
static Object strlit3827;
static Object strlit3834;
static Object strlit3837;
static Object strlit3845;
static Object strlit3857;
static Object strlit3860;
static Object strlit3886;
static Object strlit3891;
static Object strlit3900;
static Object strlit3910;
static Object strlit3915;
static Object strlit3920;
static Object strlit3925;
static Object strlit3940;
static Object strlit3947;
static Object strlit3955;
static Object strlit3959;
static Object strlit3962;
static Object strlit3964;
static Object strlit3981;
static Object strlit3988;
static Object strlit3995;
static Object strlit4001;
static Object strlit4021;
static Object strlit4028;
static Object strlit4035;
static Object strlit4038;
static Object strlit4046;
static Object strlit4058;
static Object strlit4061;
static Object strlit4087;
static Object strlit4092;
static Object strlit4101;
static Object strlit4111;
static Object strlit4116;
static Object strlit4121;
static Object strlit4126;
static Object strlit4153;
static Object strlit4160;
static Object strlit4169;
static Object strlit4184;
static Object strlit4191;
static Object strlit4208;
static Object strlit4223;
static Object strlit4227;
static Object strlit4237;
static Object strlit4240;
static Object strlit4244;
static Object strlit4250;
static Object strlit4253;
static Object strlit4259;
static Object strlit4288;
static Object strlit4295;
static Object strlit4302;
static Object strlit4305;
static Object strlit4315;
static Object strlit4327;
static Object strlit4330;
static Object strlit4350;
static Object strlit4357;
static Object strlit4367;
static Object strlit4373;
static Object strlit4393;
static Object strlit4400;
static Object strlit4407;
static Object strlit4410;
static Object strlit4418;
static Object strlit4430;
static Object strlit4433;
static Object strlit4459;
static Object strlit4464;
static Object strlit4473;
static Object strlit4483;
static Object strlit4488;
static Object strlit4493;
static Object strlit4498;
static Object strlit4532;
static Object strlit4538;
static Object strlit4545;
static Object strlit4552;
static Object strlit4560;
static Object strlit4567;
static Object strlit4574;
static Object strlit4580;
static Object strlit4586;
static Object strlit4592;
static Object strlit4598;
static Object strlit4605;
static Object strlit4609;
static Object strlit4619;
static Object strlit4634;
static Object strlit4661;
static Object strlit4668;
static Object strlit4675;
static Object strlit4678;
static Object strlit4686;
static Object strlit4698;
static Object strlit4701;
static Object strlit4734;
static Object strlit4757;
static Object strlit4764;
static Object strlit4771;
static Object strlit4777;
static Object strlit4794;
static Object strlit4802;
static Object strlit4812;
static Object strlit4815;
static Object strlit4828;
static Object strlit4830;
static Object strlit4840;
static Object strlit4846;
static Object strlit4867;
static Object strlit4870;
static Object strlit4880;
static Object strlit4883;
static Object strlit4899;
static Object strlit4907;
static Object strlit4915;
static Object strlit4937;
static Object strlit4943;
static Object strlit4949;
static Object strlit4954;
static Object strlit4973;
static Object strlit4984;
static Object strlit4987;
static Object strlit4999;
static Object strlit5004;
static Object strlit5015;
static Object strlit5074;
static Object strlit5089;
static Object strlit5097;
static Object strlit5101;
static Object strlit5111;
static Object strlit5115;
static Object strlit5121;
static Object strlit5125;
static Object strlit5135;
static Object strlit5147;
static Object strlit5150;
static Object strlit5186;
static Object strlit5190;
static Object strlit5210;
static Object strlit5221;
static Object strlit5227;
static Object strlit5257;
static Object strlit5258;
static Object strlit5259;
static Object strlit5260;
static Object strlit5268;
static Object strlit5272;
static Object strlit5282;
static Object strlit5286;
static Object strlit5307;
static Object strlit5314;
static Object strlit5318;
static Object strlit5395;
static Object strlit5404;
static Object strlit5418;
static Object strlit5438;
static Object strlit5445;
static Object strlit5450;
static Object strlit5455;
static Object strlit5460;
static Object strlit5466;
static Object strlit5472;
static Object strlit5496;
static Object strlit5501;
static Object strlit5520;
static Object strlit5527;
static Object strlit5558;
static Object strlit5565;
static Object strlit5587;
static Object strlit5614;
static Object strlit5623;
static Object strlit5634;
static Object strlit5650;
static Object strlit5664;
static Object strlit5680;
static Object strlit5745;
static Object strlit5751;
static Object strlit5762;
static Object strlit5776;
static Object strlit5802;
static Object strlit5831;
static Object strlit5838;
static Object strlit5845;
static Object strlit5863;
static Object strlit5879;
static Object strlit5909;
static Object strlit5916;
static Object strlit5923;
static Object strlit5941;
static Object strlit5949;
static Object strlit5955;
static Object strlit5966;
static Object strlit5980;
static Object strlit6004;
static Object strlit6033;
static Object strlit6040;
static Object strlit6047;
static Object strlit6065;
static Object strlit6089;
static Object strlit6101;
static Object strlit6104;
static Object strlit6138;
static Object strlit6164;
static Object strlit6175;
static Object strlit6185;
static Object strlit6192;
static Object strlit6197;
static Object strlit6199;
static Object strlit6216;
static Object strlit6222;
static Object strlit6255;
static Object strlit6259;
static Object strlit6273;
static Object strlit6295;
static Object strlit6310;
static Object strlit6319;
static Object strlit6325;
static Object strlit6331;
static Object strlit6335;
static Object strlit6343;
static Object strlit6347;
static Object strlit6354;
static Object strlit6362;
static Object strlit6366;
static Object strlit6369;
static Object strlit6377;
static Object strlit6381;
static Object strlit6384;
static Object strlit6391;
static Object strlit6394;
static Object strlit6401;
static Object strlit6408;
static Object strlit6430;
static Object strlit6437;
static Object strlit6444;
static Object strlit6462;
static Object strlit6472;
static Object strlit6503;
static Object strlit6510;
static Object strlit6517;
static Object strlit6535;
static Object strlit6558;
static Object strlit6570;
static Object strlit6573;
static Object strlit6590;
static Object strlit6613;
static Object strlit6623;
static Object strlit6646;
static Object strlit6653;
static Object strlit6668;
static Object strlit6675;
static Object strlit6682;
static Object strlit6686;
static Object strlit6688;
static Object strlit6710;
static Object strlit6717;
static Object strlit6744;
static Object strlit6751;
static Object strlit6754;
static Object strlit6770;
static Object strlit6778;
static Object strlit6788;
static Object strlit6794;
static Object strlit6796;
static Object strlit6815;
static Object strlit6825;
static Object strlit6831;
static Object strlit6833;
static Object strlit6868;
static Object strlit6878;
static Object strlit6900;
static Object strlit6923;
static Object strlit6930;
static Object strlit6933;
static Object strlit6953;
static Object strlit6980;
static Object strlit6987;
static Object strlit7006;
static Object strlit7008;
static Object strlit7026;
static Object strlit7033;
static Object strlit7042;
static Object strlit7052;
static Object strlit7057;
static Object strlit7087;
static Object strlit7104;
static Object strlit7133;
static Object strlit7140;
static Object strlit7147;
static Object strlit7165;
static Object strlit7182;
static Object strlit7192;
static Object strlit7195;
static Object strlit7217;
static Object strlit7223;
static Object strlit7243;
static Object strlit7251;
static Object strlit7257;
static Object strlit7265;
static Object strlit7280;
static Object strlit7298;
static Object strlit7304;
static Object strlit7312;
static Object strlit7319;
static Object strlit7347;
static Object strlit7354;
static Object strlit7361;
static Object strlit7379;
static Object strlit7385;
static Object strlit7390;
static Object strlit7396;
static Object strlit7401;
static Object strlit7434;
static Object strlit7458;
static Object strlit7464;
static Object strlit7473;
static Object strlit7492;
static Object strlit7499;
static Object strlit7516;
static Object strlit7518;
static Object strlit7548;
static Object strlit7553;
static Object strlit7554;
static Object strlit7561;
static Object strlit7574;
static Object strlit7587;
static Object strlit7590;
static Object strlit7594;
static Object strlit7599;
static Object strlit7603;
static Object strlit7653;
static Object strlit7662;
static Object strlit7692;
static Object strlit7696;
static Object strlit7700;
static Object strlit7716;
static Object strlit7720;
static Object strlit7725;
static Object strlit7731;
static Object strlit7780;
static Object strlit7784;
static Object strlit7789;
static Object strlit7795;
static Object strlit7850;
static Object strlit7858;
static Object strlit7868;
static Object strlit7878;
static Object strlit7887;
static Object strlit7892;
static Object strlit7910;
static Object strlit7933;
static Object strlit7934;
static Object strlit7961;
static Object strlit7971;
static Object strlit7977;
static Object strlit7985;
static Object strlit7997;
static Object strlit8003;
static Object strlit8019;
static Object strlit8035;
static Object strlit8045;
static Object strlit8064;
static Object strlit8077;
static Object strlit8087;
static Object strlit8097;
static Object strlit8105;
static Object strlit8115;
static Object strlit8125;
static Object strlit8134;
static Object strlit8139;
static Object strlit8158;
static Object strlit8159;
static Object strlit8190;
static Object strlit8207;
static ClassData objclass8235;
static Object strlit8239;
static Object strlit8240;
static Object strlit8250;
static Object strlit8269;
static Object strlit8293;
static Object strlit8304;
static Object strlit8309;
static Object strlit8337;
static Object strlit8349;
static Object strlit8352;
static Object strlit8356;
static Object strlit8360;
static Object strlit8398;
static Object strlit8403;
static Object strlit8426;
static Object strlit8434;
static Object strlit8438;
static Object strlit8440;
static Object strlit8456;
static Object strlit8463;
static Object strlit8468;
static Object strlit8476;
static Object strlit8482;
static Object strlit8488;
static Object strlit8513;
static Object strlit8522;
static Object strlit8532;
static Object strlit8535;
static Object strlit8555;
static Object strlit8577;
static Object strlit8593;
static Object strlit8604;
static Object strlit8612;
static Object strlit8619;
static Object strlit8631;
static Object strlit8634;
static Object strlit8669;
static Object strlit8677;
static Object strlit8684;
static Object strlit8694;
static Object strlit8702;
static Object strlit8706;
static Object strlit8717;
static Object strlit8724;
static Object strlit8740;
static Object strlit8751;
static Object strlit8758;
static Object strlit8763;
static Object strlit8771;
static Object strlit8777;
static Object strlit8783;
static Object strlit8809;
static Object strlit8816;
static Object strlit8823;
static Object strlit8833;
static Object strlit8836;
static Object strlit8851;
static Object strlit8873;
static Object strlit8887;
static Object strlit8892;
static Object strlit8922;
static Object strlit8927;
static Object strlit8938;
static Object strlit8956;
static Object strlit8972;
static Object strlit8992;
static Object strlit9002;
static Object strlit9005;
static Object strlit9021;
static Object strlit9029;
static Object strlit9049;
static Object strlit9057;
static Object strlit9063;
static Object strlit9071;
static Object strlit9086;
static Object strlit9097;
static Object strlit9104;
static Object strlit9125;
static Object strlit9132;
static Object strlit9136;
static Object strlit9142;
static Object strlit9147;
static Object strlit9166;
static Object strlit9186;
static Object strlit9194;
static Object strlit9200;
static Object strlit9209;
static Object strlit9215;
static Object strlit9232;
static Object strlit9271;
static Object strlit9281;
static Object strlit9306;
static Object strlit9313;
static Object strlit9331;
static Object strlit9349;
static Object strlit9370;
static Object strlit9402;
static Object strlit9426;
static Object strlit9433;
static Object strlit9481;
static Object strlit9490;
static Object strlit9497;
static Object strlit9505;
static Object strlit9508;
static Object strlit9516;
static Object strlit9532;
static Object strlit9540;
static Object strlit9573;
static Object strlit9583;
static Object strlit9593;
static Object strlit9596;
static Object strlit9624;
static Object strlit9640;
static Object strlit9647;
static Object strlit9661;
static Object strlit9683;
static Object strlit9688;
static Object strlit9691;
static Object strlit9710;
static Object strlit9739;
static Object strlit9747;
static Object strlit9755;
static Object strlit9762;
static Object strlit9771;
static Object strlit9814;
static Object strlit9858;
static Object strlit9869;
static Object strlit9876;
static Object strlit9893;
static Object strlit9897;
static Object strlit9901;
static Object strlit9933;
static Object strlit9934;
static Object strlit9935;
static Object strlit9936;
static Object strlit9937;
static Object strlit9965;
static Object strlit9969;
static Object strlit9978;
static Object strlit9987;
static Object strlit9996;
static Object strlit10005;
static Object strlit10014;
static Object strlit10023;
static Object strlit10032;
static Object strlit10041;
static Object strlit10061;
static Object strlit10066;
static Object strlit10076;
static Object strlit10085;
static Object strlit10099;
static Object strlit10105;
static Object strlit10112;
static Object strlit10116;
static Object strlit10123;
static Object strlit10146;
static Object strlit10153;
static Object strlit10160;
static Object strlit10178;
static Object strlit10204;
static Object strlit10209;
static Object strlit10229;
static Object strlit10247;
static Object strlit10303;
static Object strlit10368;
static Object strlit10471;
static Object strlit10488;
static Object strlit10498;
static Object strlit10501;
static Object strlit10511;
static Object strlit10521;
static Object strlit10524;
static Object strlit10535;
static Object strlit10545;
static Object strlit10548;
static Object strlit10568;
static Object strlit10576;
static Object strlit10583;
static Object strlit10598;
static Object strlit10609;
static Object strlit10614;
static Object strlit10624;
static Object strlit10634;
static Object strlit10641;
static Object strlit10651;
static Object strlit10662;
static Object strlit10676;
static Object strlit10686;
static Object strlit10713;
static Object strlit10719;
static Object strlit10751;
static Object strlit10757;
static Object strlit10762;
static Object strlit10770;
static Object strlit10786;
static Object strlit10792;
static Object strlit10800;
static Object strlit10877;
static Object strlit10885;
static Object strlit10923;
static Object strlit10976;
static Object strlit10978;
static Object strlit11013;
static Object strlit11015;
Object module_io;
Object module_io_init();
Object module_ast;
Object module_ast_init();
Object module_util;
Object module_util_init();
Object module_errormessages;
Object module_errormessages_init();
static ClassData objclass11096;
static Object strlit11104;
static Object strlit11108;
Object meth_parser_noteBlank1(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 1, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "noteBlank");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_blankLocation = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 38
  setline(38);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3 = alloc_Float64(1);
// compiled num node returning num3 (depth = 4)
  int op_slot_right_2 = gc_frame_newslot(num3);
// starting to compile member node (depth = 4)
  int callframe5 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5);
// compiled member node returning call6 (depth = 4)
  int op_slot_left_2 = gc_frame_newslot(call6);
  params[0] = num3;
  partcv[0] = 1;
  Object diff7 = callmethod(call6, "-(1)", 1, partcv, params);
// compiled op node returning diff7 (depth = 3)
  *var_blankLocation = diff7;
  if (diff7 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_next9(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 2, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "next");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[2];
  Object *var_tokens = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_lastLine = getfromclosure(closure, 3);
  Object *var_lastIndent = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 47
  setline(47);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num12 = alloc_Float64(0);
// compiled num node returning num12 (depth = 4)
  int op_slot_right_11 = gc_frame_newslot(num12);
// starting to compile member node (depth = 4)
  int callframe14 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  Object call15 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe14);
// compiled member node returning call15 (depth = 4)
  int op_slot_left_11 = gc_frame_newslot(call15);
  params[0] = num12;
  partcv[0] = 1;
  Object opresult16 = callmethod(call15, ">(1)", 1, partcv, params);
// compiled op node returning opresult16 (depth = 3)
  Object if10 = done;
  if (istrue(opresult16)) {
// Begin line 48
  setline(48);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_lastToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 49
  setline(49);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe18 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call19 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe18);
// compiled member node returning call19 (depth = 4)
  *var_lastLine = call19;
  if (call19 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 50
  setline(50);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe21 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call22 = callmethodflags(*var_lastToken, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe21);
// compiled member node returning call22 (depth = 4)
  *var_lastIndent = call22;
  if (call22 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 51
  setline(51);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe24 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  Object call25 = callmethodflags(*var_tokens, "poll", 0, partcv, params, 0);
  gc_frame_end(callframe24);
// compiled member node returning call25 (depth = 4)
  *var_sym = call25;
  if (call25 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 52
  setline(52);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num30 = alloc_Float64(1);
// compiled num node returning num30 (depth = 6)
  int op_slot_right_29 = gc_frame_newslot(num30);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastLine (depth = 6)
  int op_slot_left_29 = gc_frame_newslot(*var_lastLine);
  params[0] = num30;
  partcv[0] = 1;
  Object sum32 = callmethod(*var_lastLine, "+(1)", 1, partcv, params);
// compiled op node returning sum32 (depth = 5)
  int op_slot_right_28 = gc_frame_newslot(sum32);
// starting to compile member node (depth = 5)
  int callframe34 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call35 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe34);
// compiled member node returning call35 (depth = 5)
  int op_slot_left_28 = gc_frame_newslot(call35);
  params[0] = sum32;
  partcv[0] = 1;
  Object opresult36 = callmethod(call35, ">(1)", 1, partcv, params);
// compiled op node returning opresult36 (depth = 4)
  Object if27 = done;
  if (istrue(opresult36)) {
// starting to compile member node (depth = 4)
  int callframe37 = gc_frame_new();
// call case 4: self request
  Object call38 = callmethodflags(self, "noteBlank", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe37);
// compiled member node returning call38 (depth = 4)
    gc_frame_newslot(call38);
    if27 = call38;
  } else {
  }
// compiled if node returning if27 (depth = 3)
// Begin line 53
  setline(53);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe39 = gc_frame_new();
// call case 4: self request
  Object call40 = callmethodflags(self, "pushComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe39);
// compiled member node returning call40 (depth = 3)
// Begin line 54
  setline(54);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe41 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe42 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call43 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe42);
// compiled member node returning call43 (depth = 4)
  gc_frame_newslot(call43);
// starting to compile member node (depth = 4)
  int callframe44 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call45 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe44);
// compiled member node returning call45 (depth = 4)
  gc_frame_newslot(call45);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call43;
  params[1] = call45;
  partcv[0] = 2;
  Object call46 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe41);
// compiled call node returning call46 (depth = 3)
    gc_frame_newslot(call46);
    if10 = call46;
  } else {
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe47 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 57
  setline(57);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit49 == NULL) {
    strlit49 = alloc_String("This is often caused by a missing '}'");
    gc_root(strlit49);
  }
// compiled string node returning strlit49 (depth = 5)
  int op_slot_right_48 = gc_frame_newslot(strlit49);
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit51 == NULL) {
    strlit51 = alloc_String("unexpectedly found the end of the input. ");
    gc_root(strlit51);
  }
// compiled string node returning strlit51 (depth = 5)
  int op_slot_left_48 = gc_frame_newslot(strlit51);
  params[0] = strlit49;
  partcv[0] = 1;
  Object opresult52 = callmethod(strlit51, "++(1)", 1, partcv, params);
// compiled op node returning opresult52 (depth = 4)
  gc_frame_newslot(opresult52);
// Begin line 58
  setline(58);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe53 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call54 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe53);
// compiled member node returning call54 (depth = 4)
  gc_frame_newslot(call54);
// starting to compile member node (depth = 4)
  int callframe55 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call56 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe55);
// compiled member node returning call56 (depth = 4)
  gc_frame_newslot(call56);
// starting to compile member node (depth = 4)
  int callframe57 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call58 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe57);
// compiled member node returning call58 (depth = 4)
  gc_frame_newslot(call58);
// call case 6: other requests
// Begin line 56
  setline(56);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult52;
  params[1] = call54;
  params[2] = call56;
  params[3] = call58;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call59 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe47);
// compiled call node returning call59 (depth = 3)
    gc_frame_newslot(call59);
    if10 = call59;
  }
// compiled if node returning if10 (depth = 2)
  gc_frame_end(frame);
  return if10;
}
Object meth_parser__apply70(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe72 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call73 = callmethodflags(*var_lastToken, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe72);
// compiled member node returning call73 (depth = 7)
  int op_slot_right_71 = gc_frame_newslot(call73);
// starting to compile member node (depth = 7)
  int callframe75 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  Object call76 = callmethodflags(*var_n, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe75);
// compiled member node returning call76 (depth = 7)
  int op_slot_left_71 = gc_frame_newslot(call76);
  params[0] = call73;
  partcv[0] = 1;
  Object opresult77 = callmethod(call76, "≥(1)", 1, partcv, params);
// compiled op node returning opresult77 (depth = 6)
  gc_frame_end(frame);
  return opresult77;
}
Object meth_parser__apply82(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_right_83 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 8)
  Object bool85 = alloc_Boolean(0);
// compiled identifier node returning bool85 (depth = 8)
  int op_slot_left_83 = gc_frame_newslot(bool85);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult86 = callmethod(bool85, "==(1)", 1, partcv, params);
// compiled op node returning opresult86 (depth = 7)
  gc_frame_end(frame);
  return opresult86;
}
Object meth_parser__apply67(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object *var_nextTok = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block69 = alloc_Block(NULL, NULL, "parser", 72);
  gc_frame_newslot(block69);
// method "_apply"
  block_savedest(block69);
  Object closure70 = createclosure(3, "_apply");
  setclosureframe(closure70, stackframe);
  addtoclosure(closure70, var_lastToken);
  addtoclosure(closure70, var_n);
  addtoclosure(closure70, selfslot);
  struct UserObject *uo70 = (struct UserObject*)block69;
  uo70->data[0] = (Object)closure70;
  Method *meth_meth_parser__apply70 = addmethod2pos(block69, "_apply", &meth_parser__apply70, 0);
  int argcv_meth_parser__apply70[] = {0};
  meth_meth_parser__apply70->type = alloc_MethodType(1, argcv_meth_parser__apply70);
  meth_meth_parser__apply70->definitionModule = modulename;
  meth_meth_parser__apply70->definitionLine = 3404;
// compiled block node returning block69 (depth = 5)
  int op_slot_right_68 = gc_frame_newslot(block69);
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block81 = alloc_Block(NULL, NULL, "parser", 72);
  gc_frame_newslot(block81);
// method "_apply"
  block_savedest(block81);
  Object closure82 = createclosure(2, "_apply");
  setclosureframe(closure82, stackframe);
  addtoclosure(closure82, var_nextTok);
  addtoclosure(closure82, selfslot);
  struct UserObject *uo82 = (struct UserObject*)block81;
  uo82->data[0] = (Object)closure82;
  Method *meth_meth_parser__apply82 = addmethod2pos(block81, "_apply", &meth_parser__apply82, 0);
  int argcv_meth_parser__apply82[] = {0};
  meth_meth_parser__apply82->type = alloc_MethodType(1, argcv_meth_parser__apply82);
  meth_meth_parser__apply82->definitionModule = modulename;
  meth_meth_parser__apply82->definitionLine = 3404;
// compiled block node returning block81 (depth = 6)
  int op_slot_right_80 = gc_frame_newslot(block81);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  int op_slot_right_89 = gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 7)
  Object bool91 = alloc_Boolean(0);
// compiled identifier node returning bool91 (depth = 7)
  int op_slot_left_89 = gc_frame_newslot(bool91);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult92 = callmethod(bool91, "≠(1)", 1, partcv, params);
// compiled op node returning opresult92 (depth = 6)
  int op_slot_left_80 = gc_frame_newslot(opresult92);
  params[0] = block81;
  partcv[0] = 1;
  Object opresult93 = callmethod(opresult92, "&&(1)", 1, partcv, params);
// compiled op node returning opresult93 (depth = 5)
  int op_slot_left_68 = gc_frame_newslot(opresult93);
  params[0] = block69;
  partcv[0] = 1;
  Object opresult94 = callmethod(opresult93, "&&(1)", 1, partcv, params);
// compiled op node returning opresult94 (depth = 4)
  gc_frame_end(frame);
  return opresult94;
}
Object meth_parser__apply97(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_tokenMatcher = getfromclosure(closure, 1);
  Object *var_nextTok = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 73
  setline(73);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe99 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokenMatcher (depth = 6)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call100 = callmethodflags(*var_tokenMatcher, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe99);
// compiled call node returning call100 (depth = 5)
  Object if98 = done;
  if (istrue(call100)) {
// Begin line 74
  setline(74);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  *var_nextTok = *var_n;
  if (*var_n == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if98 = done;
  } else {
  }
// compiled if node returning if98 (depth = 4)
// Begin line 76
  setline(76);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe102 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  Object call103 = callmethodflags(*var_n, "next", 0, partcv, params, 0);
  gc_frame_end(callframe102);
// compiled member node returning call103 (depth = 5)
  *var_n = call103;
  if (call103 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextToken_40_1_41_60(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 3, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method findNextToken(_)");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findNextToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tokenMatcher = &(stackframe->slots[0]);
  *var_tokenMatcher = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part findNextToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 67
  setline(67);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe62 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tokenMatcher (depth = 4)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call63 = callmethodflags(*var_tokenMatcher, "apply(1)", 1, partcv, params, 0);
  gc_frame_end(callframe62);
// compiled call node returning call63 (depth = 3)
  Object if61 = done;
  if (istrue(call63)) {
// Begin line 68
  setline(68);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  return *var_sym;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if61 = undefined;
  } else {
  }
// compiled if node returning if61 (depth = 2)
// Begin line 70
  setline(70);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool64 = alloc_Boolean(0);
// compiled identifier node returning bool64 (depth = 3)
  *var_nextTok = bool64;
  if (bool64 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 71
  setline(71);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 72
  setline(72);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe65 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block66 = alloc_Block(NULL, NULL, "parser", 72);
  gc_frame_newslot(block66);
// method "_apply"
  block_savedest(block66);
  Object closure67 = createclosure(4, "_apply");
  setclosureframe(closure67, stackframe);
  addtoclosure(closure67, var_lastToken);
  addtoclosure(closure67, var_n);
  addtoclosure(closure67, var_nextTok);
  addtoclosure(closure67, selfslot);
  struct UserObject *uo67 = (struct UserObject*)block66;
  uo67->data[0] = (Object)closure67;
  Method *meth_meth_parser__apply67 = addmethod2pos(block66, "_apply", &meth_parser__apply67, 0);
  int argcv_meth_parser__apply67[] = {0};
  meth_meth_parser__apply67->type = alloc_MethodType(1, argcv_meth_parser__apply67);
  meth_meth_parser__apply67->definitionModule = modulename;
  meth_meth_parser__apply67->definitionLine = 3404;
// compiled block node returning block66 (depth = 3)
  gc_frame_newslot(block66);
// starting to compile block node (depth = 3)
  Object block96 = alloc_Block(NULL, NULL, "parser", 72);
  gc_frame_newslot(block96);
// method "_apply"
  block_savedest(block96);
  Object closure97 = createclosure(4, "_apply");
  setclosureframe(closure97, stackframe);
  addtoclosure(closure97, var_n);
  addtoclosure(closure97, var_tokenMatcher);
  addtoclosure(closure97, var_nextTok);
  addtoclosure(closure97, selfslot);
  struct UserObject *uo97 = (struct UserObject*)block96;
  uo97->data[0] = (Object)closure97;
  Method *meth_meth_parser__apply97 = addmethod2pos(block96, "_apply", &meth_parser__apply97, 0);
  int argcv_meth_parser__apply97[] = {0};
  meth_meth_parser__apply97->type = alloc_MethodType(1, argcv_meth_parser__apply97);
  meth_meth_parser__apply97->definitionModule = modulename;
  meth_meth_parser__apply97->definitionLine = 3404;
// compiled block node returning block96 (depth = 3)
  gc_frame_newslot(block96);
// call case 5: prelude request
  params[0] = block66;
  params[1] = block96;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call106 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe65);
// compiled call node returning call106 (depth = 2)
// Begin line 78
  setline(78);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_nextTok (depth = 2)
  gc_frame_end(frame);
  return *var_nextTok;
}
Object meth_parser__apply141(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_right_142 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 7)
  Object bool144 = alloc_Boolean(0);
// compiled identifier node returning bool144 (depth = 7)
  int op_slot_left_142 = gc_frame_newslot(bool144);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult145 = callmethod(bool144, "==(1)", 1, partcv, params);
// compiled op node returning opresult145 (depth = 6)
  gc_frame_end(frame);
  return opresult145;
}
Object meth_parser__apply138(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_nextTok = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block140 = alloc_Block(NULL, NULL, "parser", 87);
  gc_frame_newslot(block140);
// method "_apply"
  block_savedest(block140);
  Object closure141 = createclosure(2, "_apply");
  setclosureframe(closure141, stackframe);
  addtoclosure(closure141, var_nextTok);
  addtoclosure(closure141, selfslot);
  struct UserObject *uo141 = (struct UserObject*)block140;
  uo141->data[0] = (Object)closure141;
  Method *meth_meth_parser__apply141 = addmethod2pos(block140, "_apply", &meth_parser__apply141, 0);
  int argcv_meth_parser__apply141[] = {0};
  meth_meth_parser__apply141->type = alloc_MethodType(1, argcv_meth_parser__apply141);
  meth_meth_parser__apply141->definitionModule = modulename;
  meth_meth_parser__apply141->definitionLine = 3404;
// compiled block node returning block140 (depth = 5)
  int op_slot_right_139 = gc_frame_newslot(block140);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  int op_slot_right_148 = gc_frame_newslot(*var_n);
// starting to compile identifier node (depth = 6)
  Object bool150 = alloc_Boolean(0);
// compiled identifier node returning bool150 (depth = 6)
  int op_slot_left_148 = gc_frame_newslot(bool150);
  params[0] = *var_n;
  partcv[0] = 1;
  Object opresult151 = callmethod(bool150, "≠(1)", 1, partcv, params);
// compiled op node returning opresult151 (depth = 5)
  int op_slot_left_139 = gc_frame_newslot(opresult151);
  params[0] = block140;
  partcv[0] = 1;
  Object opresult152 = callmethod(opresult151, "&&(1)", 1, partcv, params);
// compiled op node returning opresult152 (depth = 4)
  gc_frame_end(frame);
  return opresult152;
}
Object meth_parser__apply155(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object *var_n = getfromclosure(closure, 2);
  Object *var_nextTok = getfromclosure(closure, 3);
  Object self = *(getfromclosure(closure, 4));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 88
  setline(88);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit159 == NULL) {
    strlit159 = alloc_String("eof");
    gc_root(strlit159);
  }
// compiled string node returning strlit159 (depth = 7)
  int op_slot_right_158 = gc_frame_newslot(strlit159);
// starting to compile member node (depth = 7)
  int callframe161 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call162 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe161);
// compiled member node returning call162 (depth = 7)
  int op_slot_left_158 = gc_frame_newslot(call162);
  params[0] = strlit159;
  partcv[0] = 1;
  Object opresult163 = callmethod(call162, "==(1)", 1, partcv, params);
// compiled op node returning opresult163 (depth = 6)
  int op_slot_right_157 = gc_frame_newslot(opresult163);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe167 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  Object call168 = callmethodflags(*var_tok, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe167);
// compiled member node returning call168 (depth = 8)
  int op_slot_right_166 = gc_frame_newslot(call168);
// starting to compile member node (depth = 8)
  int callframe170 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_n (depth = 9)
  Object call171 = callmethodflags(*var_n, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe170);
// compiled member node returning call171 (depth = 8)
  int op_slot_left_166 = gc_frame_newslot(call171);
  params[0] = call168;
  partcv[0] = 1;
  Object opresult172 = callmethod(call171, "≤(1)", 1, partcv, params);
// compiled op node returning opresult172 (depth = 7)
  int op_slot_right_165 = gc_frame_newslot(opresult172);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe175 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  Object call176 = callmethodflags(*var_tok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe175);
// compiled member node returning call176 (depth = 8)
  int op_slot_right_174 = gc_frame_newslot(call176);
// starting to compile member node (depth = 8)
  int callframe178 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_n (depth = 9)
  Object call179 = callmethodflags(*var_n, "line", 0, partcv, params, 0);
  gc_frame_end(callframe178);
// compiled member node returning call179 (depth = 8)
  int op_slot_left_174 = gc_frame_newslot(call179);
  params[0] = call176;
  partcv[0] = 1;
  Object opresult180 = callmethod(call179, ">(1)", 1, partcv, params);
// compiled op node returning opresult180 (depth = 7)
  int op_slot_left_165 = gc_frame_newslot(opresult180);
  params[0] = opresult172;
  partcv[0] = 1;
  Object opresult181 = callmethod(opresult180, "&&(1)", 1, partcv, params);
// compiled op node returning opresult181 (depth = 6)
  int op_slot_left_157 = gc_frame_newslot(opresult181);
  params[0] = opresult163;
  partcv[0] = 1;
  Object opresult182 = callmethod(opresult181, "||(1)", 1, partcv, params);
// compiled op node returning opresult182 (depth = 5)
  Object if156 = done;
  if (istrue(opresult182)) {
// Begin line 89
  setline(89);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  *var_nextTok = *var_n;
  if (*var_n == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if156 = done;
  } else {
  }
// compiled if node returning if156 (depth = 4)
// Begin line 91
  setline(91);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe184 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  Object call185 = callmethodflags(*var_n, "next", 0, partcv, params, 0);
  gc_frame_end(callframe184);
// compiled member node returning call185 (depth = 5)
  *var_n = call185;
  if (call185 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextTokenIndentedAt_40_1_41_107(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 4, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextTokenIndentedAt(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method findNextTokenIndentedAt(_)");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findNextTokenIndentedAt(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part findNextTokenIndentedAt(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
// Begin line 82
  setline(82);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit111 == NULL) {
    strlit111 = alloc_String("eof");
    gc_root(strlit111);
  }
// compiled string node returning strlit111 (depth = 5)
  int op_slot_right_110 = gc_frame_newslot(strlit111);
// starting to compile member node (depth = 5)
  int callframe113 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call114 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe113);
// compiled member node returning call114 (depth = 5)
  int op_slot_left_110 = gc_frame_newslot(call114);
  params[0] = strlit111;
  partcv[0] = 1;
  Object opresult115 = callmethod(call114, "==(1)", 1, partcv, params);
// compiled op node returning opresult115 (depth = 4)
  int op_slot_right_109 = gc_frame_newslot(opresult115);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe119 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tok (depth = 7)
  Object call120 = callmethodflags(*var_tok, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe119);
// compiled member node returning call120 (depth = 6)
  int op_slot_right_118 = gc_frame_newslot(call120);
// starting to compile member node (depth = 6)
  int callframe122 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call123 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe122);
// compiled member node returning call123 (depth = 6)
  int op_slot_left_118 = gc_frame_newslot(call123);
  params[0] = call120;
  partcv[0] = 1;
  Object opresult124 = callmethod(call123, "≤(1)", 1, partcv, params);
// compiled op node returning opresult124 (depth = 5)
  int op_slot_right_117 = gc_frame_newslot(opresult124);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe127 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tok (depth = 7)
  Object call128 = callmethodflags(*var_tok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe127);
// compiled member node returning call128 (depth = 6)
  int op_slot_right_126 = gc_frame_newslot(call128);
// starting to compile member node (depth = 6)
  int callframe130 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call131 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe130);
// compiled member node returning call131 (depth = 6)
  int op_slot_left_126 = gc_frame_newslot(call131);
  params[0] = call128;
  partcv[0] = 1;
  Object opresult132 = callmethod(call131, ">(1)", 1, partcv, params);
// compiled op node returning opresult132 (depth = 5)
  int op_slot_left_117 = gc_frame_newslot(opresult132);
  params[0] = opresult124;
  partcv[0] = 1;
  Object opresult133 = callmethod(opresult132, "&&(1)", 1, partcv, params);
// compiled op node returning opresult133 (depth = 4)
  int op_slot_left_109 = gc_frame_newslot(opresult133);
  params[0] = opresult115;
  partcv[0] = 1;
  Object opresult134 = callmethod(opresult133, "||(1)", 1, partcv, params);
// compiled op node returning opresult134 (depth = 3)
  Object if108 = done;
  if (istrue(opresult134)) {
// Begin line 83
  setline(83);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  return *var_sym;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if108 = undefined;
  } else {
  }
// compiled if node returning if108 (depth = 2)
// Begin line 85
  setline(85);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool135 = alloc_Boolean(0);
// compiled identifier node returning bool135 (depth = 3)
  *var_nextTok = bool135;
  if (bool135 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 86
  setline(86);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 87
  setline(87);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe136 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block137 = alloc_Block(NULL, NULL, "parser", 87);
  gc_frame_newslot(block137);
// method "_apply"
  block_savedest(block137);
  Object closure138 = createclosure(3, "_apply");
  setclosureframe(closure138, stackframe);
  addtoclosure(closure138, var_nextTok);
  addtoclosure(closure138, var_n);
  addtoclosure(closure138, selfslot);
  struct UserObject *uo138 = (struct UserObject*)block137;
  uo138->data[0] = (Object)closure138;
  Method *meth_meth_parser__apply138 = addmethod2pos(block137, "_apply", &meth_parser__apply138, 0);
  int argcv_meth_parser__apply138[] = {0};
  meth_meth_parser__apply138->type = alloc_MethodType(1, argcv_meth_parser__apply138);
  meth_meth_parser__apply138->definitionModule = modulename;
  meth_meth_parser__apply138->definitionLine = 3404;
// compiled block node returning block137 (depth = 3)
  gc_frame_newslot(block137);
// starting to compile block node (depth = 3)
  Object block154 = alloc_Block(NULL, NULL, "parser", 87);
  gc_frame_newslot(block154);
// method "_apply"
  block_savedest(block154);
  Object closure155 = createclosure(5, "_apply");
  setclosureframe(closure155, stackframe);
  addtoclosure(closure155, var_sym);
  addtoclosure(closure155, var_tok);
  addtoclosure(closure155, var_n);
  addtoclosure(closure155, var_nextTok);
  addtoclosure(closure155, selfslot);
  struct UserObject *uo155 = (struct UserObject*)block154;
  uo155->data[0] = (Object)closure155;
  Method *meth_meth_parser__apply155 = addmethod2pos(block154, "_apply", &meth_parser__apply155, 0);
  int argcv_meth_parser__apply155[] = {0};
  meth_meth_parser__apply155->type = alloc_MethodType(1, argcv_meth_parser__apply155);
  meth_meth_parser__apply155->definitionModule = modulename;
  meth_meth_parser__apply155->definitionLine = 3404;
// compiled block node returning block154 (depth = 3)
  gc_frame_newslot(block154);
// call case 5: prelude request
  params[0] = block137;
  params[1] = block154;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call188 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe136);
// compiled call node returning call188 (depth = 2)
// Begin line 93
  setline(93);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_nextTok (depth = 2)
  gc_frame_end(frame);
  return *var_nextTok;
}
Object meth_parser__apply203(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_validToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit205 == NULL) {
    strlit205 = alloc_String("eof");
    gc_root(strlit205);
  }
// compiled string node returning strlit205 (depth = 5)
  int op_slot_right_204 = gc_frame_newslot(strlit205);
// starting to compile member node (depth = 5)
  int callframe207 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_validToken (depth = 6)
  Object call208 = callmethodflags(*var_validToken, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe207);
// compiled member node returning call208 (depth = 5)
  int op_slot_left_204 = gc_frame_newslot(call208);
  params[0] = strlit205;
  partcv[0] = 1;
  Object opresult209 = callmethod(call208, "≠(1)", 1, partcv, params);
// compiled op node returning opresult209 (depth = 4)
  gc_frame_end(frame);
  return opresult209;
}
Object meth_parser__apply212(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_validToken = getfromclosure(closure, 0);
  Object *var_validFollowTokens = getfromclosure(closure, 1);
  Object *var_invalidTokens = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 103
  setline(103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe214 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe215 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_validToken (depth = 7)
  Object call216 = callmethodflags(*var_validToken, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe215);
// compiled member node returning call216 (depth = 6)
  gc_frame_newslot(call216);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_validFollowTokens (depth = 6)
  params[0] = call216;
  partcv[0] = 1;
  Object call217 = callmethodflags(*var_validFollowTokens, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe214);
// compiled call node returning call217 (depth = 5)
  Object if213 = done;
  if (istrue(call217)) {
// Begin line 104
  setline(104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_validToken (depth = 6)
  block_return(realself, *var_validToken);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if213 = undefined;
  } else {
  }
// compiled if node returning if213 (depth = 4)
// Begin line 107
  setline(107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe219 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe220 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe221 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_validToken (depth = 8)
  Object call222 = callmethodflags(*var_validToken, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe221);
// compiled member node returning call222 (depth = 7)
  gc_frame_newslot(call222);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_invalidTokens (depth = 7)
  params[0] = call222;
  partcv[0] = 1;
  Object call223 = callmethodflags(*var_invalidTokens, "contains(1)", 1, partcv, params, 0);
  gc_frame_end(callframe220);
// compiled call node returning call223 (depth = 6)
  partcv[0] = 0;
  Object call224 = callmethodflags(call223, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe219);
// compiled call node returning call224 (depth = 5)
  Object if218 = done;
  if (istrue(call224)) {
// Begin line 108
  setline(108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_validToken (depth = 6)
  block_return(realself, *var_validToken);
// compiled return node returning undefined (depth = 5)
    gc_frame_newslot(undefined);
    if218 = undefined;
  } else {
  }
// compiled if node returning if218 (depth = 4)
// Begin line 111
  setline(111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe225 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_validToken (depth = 6)
  Object call226 = callmethodflags(*var_validToken, "next", 0, partcv, params, 0);
  gc_frame_end(callframe225);
// compiled member node returning call226 (depth = 5)
  *var_validToken = call226;
  if (call226 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findNextValidToken_40_1_41_189(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 5, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findNextValidToken(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method findNextValidToken(_)");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findNextValidToken(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_validFollowTokens = &(stackframe->slots[0]);
  *var_validFollowTokens = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part findNextValidToken(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_invalidTokens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "invalidTokens");
  Object *var_validToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "validToken");
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe190 = gc_frame_new();
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 4)
  Object array191 = alloc_BuiltinList();
  gc_pause();
// Begin line 98
  setline(98);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit192 == NULL) {
    strlit192 = alloc_String("dot");
    gc_root(strlit192);
  }
// compiled string node returning strlit192 (depth = 5)
  params[0] = strlit192;
  partcv[0] = 1;
  callmethodflags(array191, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 5)
  if (strlit193 == NULL) {
    strlit193 = alloc_String("comma");
    gc_root(strlit193);
  }
// compiled string node returning strlit193 (depth = 5)
  params[0] = strlit193;
  partcv[0] = 1;
  callmethodflags(array191, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 5)
  if (strlit194 == NULL) {
    strlit194 = alloc_String("colon");
    gc_root(strlit194);
  }
// compiled string node returning strlit194 (depth = 5)
  params[0] = strlit194;
  partcv[0] = 1;
  callmethodflags(array191, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 5)
  if (strlit195 == NULL) {
    strlit195 = alloc_String("rparen");
    gc_root(strlit195);
  }
// compiled string node returning strlit195 (depth = 5)
  params[0] = strlit195;
  partcv[0] = 1;
  callmethodflags(array191, "push(1)", 1, partcv, params, CFLAG_SELF);
// Begin line 99
  setline(99);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit196 == NULL) {
    strlit196 = alloc_String("rbrace");
    gc_root(strlit196);
  }
// compiled string node returning strlit196 (depth = 5)
  params[0] = strlit196;
  partcv[0] = 1;
  callmethodflags(array191, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 5)
  if (strlit197 == NULL) {
    strlit197 = alloc_String("rsquare");
    gc_root(strlit197);
  }
// compiled string node returning strlit197 (depth = 5)
  params[0] = strlit197;
  partcv[0] = 1;
  callmethodflags(array191, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 5)
  if (strlit198 == NULL) {
    strlit198 = alloc_String("arrow");
    gc_root(strlit198);
  }
// compiled string node returning strlit198 (depth = 5)
  params[0] = strlit198;
  partcv[0] = 1;
  callmethodflags(array191, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 5)
  if (strlit199 == NULL) {
    strlit199 = alloc_String("bind");
    gc_root(strlit199);
  }
// compiled string node returning strlit199 (depth = 5)
  params[0] = strlit199;
  partcv[0] = 1;
  callmethodflags(array191, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array191 (depth = 4)
  gc_frame_newslot(array191);
// call case 5: prelude request
  params[0] = array191;
  partcv[0] = 1;
  Object call200 = callmethodflags(prelude, "set(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe190);
// compiled call node returning call200 (depth = 3)
  *var_invalidTokens = call200;
  if (call200 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 100
  setline(100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_validToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 101
  setline(101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe201 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block202 = alloc_Block(NULL, NULL, "parser", 101);
  gc_frame_newslot(block202);
// method "_apply"
  block_savedest(block202);
  Object closure203 = createclosure(2, "_apply");
  setclosureframe(closure203, stackframe);
  addtoclosure(closure203, var_validToken);
  addtoclosure(closure203, selfslot);
  struct UserObject *uo203 = (struct UserObject*)block202;
  uo203->data[0] = (Object)closure203;
  Method *meth_meth_parser__apply203 = addmethod2pos(block202, "_apply", &meth_parser__apply203, 0);
  int argcv_meth_parser__apply203[] = {0};
  meth_meth_parser__apply203->type = alloc_MethodType(1, argcv_meth_parser__apply203);
  meth_meth_parser__apply203->definitionModule = modulename;
  meth_meth_parser__apply203->definitionLine = 3404;
// compiled block node returning block202 (depth = 3)
  gc_frame_newslot(block202);
// starting to compile block node (depth = 3)
  Object block211 = alloc_Block(NULL, NULL, "parser", 101);
  gc_frame_newslot(block211);
// method "_apply"
  block_savedest(block211);
  Object closure212 = createclosure(4, "_apply");
  setclosureframe(closure212, stackframe);
  addtoclosure(closure212, var_validToken);
  addtoclosure(closure212, var_validFollowTokens);
  addtoclosure(closure212, var_invalidTokens);
  addtoclosure(closure212, selfslot);
  struct UserObject *uo212 = (struct UserObject*)block211;
  uo212->data[0] = (Object)closure212;
  Method *meth_meth_parser__apply212 = addmethod2pos(block211, "_apply", &meth_parser__apply212, 0);
  int argcv_meth_parser__apply212[] = {0};
  meth_meth_parser__apply212->type = alloc_MethodType(1, argcv_meth_parser__apply212);
  meth_meth_parser__apply212->definitionModule = modulename;
  meth_meth_parser__apply212->definitionLine = 3404;
// compiled block node returning block211 (depth = 3)
  gc_frame_newslot(block211);
// call case 5: prelude request
  params[0] = block202;
  params[1] = block211;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call229 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe201);
// compiled call node returning call229 (depth = 2)
// Begin line 113
  setline(113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_validToken (depth = 3)
  return *var_validToken;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser__apply241(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe244 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_token (depth = 7)
  Object call245 = callmethodflags(*var_token, "line", 0, partcv, params, 0);
  gc_frame_end(callframe244);
// compiled member node returning call245 (depth = 6)
  int op_slot_right_243 = gc_frame_newslot(call245);
// starting to compile member node (depth = 6)
  int callframe247 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call248 = callmethodflags(*var_n, "line", 0, partcv, params, 0);
  gc_frame_end(callframe247);
// compiled member node returning call248 (depth = 6)
  int op_slot_left_243 = gc_frame_newslot(call248);
  params[0] = call245;
  partcv[0] = 1;
  Object opresult249 = callmethod(call248, "==(1)", 1, partcv, params);
// compiled op node returning opresult249 (depth = 5)
  int op_slot_right_242 = gc_frame_newslot(opresult249);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit252 == NULL) {
    strlit252 = alloc_String("eof");
    gc_root(strlit252);
  }
// compiled string node returning strlit252 (depth = 6)
  int op_slot_right_251 = gc_frame_newslot(strlit252);
// starting to compile member node (depth = 6)
  int callframe254 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call255 = callmethodflags(*var_n, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe254);
// compiled member node returning call255 (depth = 6)
  int op_slot_left_251 = gc_frame_newslot(call255);
  params[0] = strlit252;
  partcv[0] = 1;
  Object opresult256 = callmethod(call255, "≠(1)", 1, partcv, params);
// compiled op node returning opresult256 (depth = 5)
  int op_slot_left_242 = gc_frame_newslot(opresult256);
  params[0] = opresult249;
  partcv[0] = 1;
  Object opresult257 = callmethod(opresult256, "&&(1)", 1, partcv, params);
// compiled op node returning opresult257 (depth = 4)
  gc_frame_end(frame);
  return opresult257;
}
Object meth_parser__apply260(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_numOpening = getfromclosure(closure, 1);
  Object *var_numClosing = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 131
  setline(131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit263 == NULL) {
    strlit263 = alloc_String("lbrace");
    gc_root(strlit263);
  }
// compiled string node returning strlit263 (depth = 6)
  int op_slot_right_262 = gc_frame_newslot(strlit263);
// starting to compile member node (depth = 6)
  int callframe265 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call266 = callmethodflags(*var_n, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe265);
// compiled member node returning call266 (depth = 6)
  int op_slot_left_262 = gc_frame_newslot(call266);
  params[0] = strlit263;
  partcv[0] = 1;
  Object opresult267 = callmethod(call266, "==(1)", 1, partcv, params);
// compiled op node returning opresult267 (depth = 5)
  Object if261 = done;
  if (istrue(opresult267)) {
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num269 = alloc_Float64(1);
// compiled num node returning num269 (depth = 7)
  int op_slot_right_268 = gc_frame_newslot(num269);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_numOpening (depth = 7)
  int op_slot_left_268 = gc_frame_newslot(*var_numOpening);
  params[0] = num269;
  partcv[0] = 1;
  Object sum271 = callmethod(*var_numOpening, "+(1)", 1, partcv, params);
// compiled op node returning sum271 (depth = 6)
  *var_numOpening = sum271;
  if (sum271 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if261 = done;
  } else {
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 132
  setline(132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit275 == NULL) {
    strlit275 = alloc_String("rbrace");
    gc_root(strlit275);
  }
// compiled string node returning strlit275 (depth = 7)
  int op_slot_right_274 = gc_frame_newslot(strlit275);
// starting to compile member node (depth = 7)
  int callframe277 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  Object call278 = callmethodflags(*var_n, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe277);
// compiled member node returning call278 (depth = 7)
  int op_slot_left_274 = gc_frame_newslot(call278);
  params[0] = strlit275;
  partcv[0] = 1;
  Object opresult279 = callmethod(call278, "==(1)", 1, partcv, params);
// compiled op node returning opresult279 (depth = 6)
  Object if273 = done;
  if (istrue(opresult279)) {
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num281 = alloc_Float64(1);
// compiled num node returning num281 (depth = 8)
  int op_slot_right_280 = gc_frame_newslot(num281);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_numClosing (depth = 8)
  int op_slot_left_280 = gc_frame_newslot(*var_numClosing);
  params[0] = num281;
  partcv[0] = 1;
  Object sum283 = callmethod(*var_numClosing, "+(1)", 1, partcv, params);
// compiled op node returning sum283 (depth = 7)
  *var_numClosing = sum283;
  if (sum283 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if273 = done;
  } else {
  }
// compiled if node returning if273 (depth = 5)
    gc_frame_newslot(if273);
    if261 = if273;
  }
// compiled if node returning if261 (depth = 4)
// Begin line 133
  setline(133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe285 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  Object call286 = callmethodflags(*var_n, "next", 0, partcv, params, 0);
  gc_frame_end(callframe285);
// compiled member node returning call286 (depth = 5)
  *var_n = call286;
  if (call286 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply292(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_token = getfromclosure(closure, 0);
  Object *var_n = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe295 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_token (depth = 7)
  Object call296 = callmethodflags(*var_token, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe295);
// compiled member node returning call296 (depth = 6)
  int op_slot_right_294 = gc_frame_newslot(call296);
// starting to compile member node (depth = 6)
  int callframe298 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call299 = callmethodflags(*var_n, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe298);
// compiled member node returning call299 (depth = 6)
  int op_slot_left_294 = gc_frame_newslot(call299);
  params[0] = call296;
  partcv[0] = 1;
  Object opresult300 = callmethod(call299, ">(1)", 1, partcv, params);
// compiled op node returning opresult300 (depth = 5)
  int op_slot_right_293 = gc_frame_newslot(opresult300);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit303 == NULL) {
    strlit303 = alloc_String("eof");
    gc_root(strlit303);
  }
// compiled string node returning strlit303 (depth = 6)
  int op_slot_right_302 = gc_frame_newslot(strlit303);
// starting to compile member node (depth = 6)
  int callframe305 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call306 = callmethodflags(*var_n, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe305);
// compiled member node returning call306 (depth = 6)
  int op_slot_left_302 = gc_frame_newslot(call306);
  params[0] = strlit303;
  partcv[0] = 1;
  Object opresult307 = callmethod(call306, "≠(1)", 1, partcv, params);
// compiled op node returning opresult307 (depth = 5)
  int op_slot_left_293 = gc_frame_newslot(opresult307);
  params[0] = opresult300;
  partcv[0] = 1;
  Object opresult308 = callmethod(opresult307, "&&(1)", 1, partcv, params);
// compiled op node returning opresult308 (depth = 4)
  gc_frame_end(frame);
  return opresult308;
}
Object meth_parser__apply311(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_n = getfromclosure(closure, 0);
  Object *var_numOpening = getfromclosure(closure, 1);
  Object *var_numClosing = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 137
  setline(137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit314 == NULL) {
    strlit314 = alloc_String("lbrace");
    gc_root(strlit314);
  }
// compiled string node returning strlit314 (depth = 6)
  int op_slot_right_313 = gc_frame_newslot(strlit314);
// starting to compile member node (depth = 6)
  int callframe316 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_n (depth = 7)
  Object call317 = callmethodflags(*var_n, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe316);
// compiled member node returning call317 (depth = 6)
  int op_slot_left_313 = gc_frame_newslot(call317);
  params[0] = strlit314;
  partcv[0] = 1;
  Object opresult318 = callmethod(call317, "==(1)", 1, partcv, params);
// compiled op node returning opresult318 (depth = 5)
  Object if312 = done;
  if (istrue(opresult318)) {
// Begin line 138
  setline(138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num320 = alloc_Float64(1);
// compiled num node returning num320 (depth = 7)
  int op_slot_right_319 = gc_frame_newslot(num320);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_numOpening (depth = 7)
  int op_slot_left_319 = gc_frame_newslot(*var_numOpening);
  params[0] = num320;
  partcv[0] = 1;
  Object sum322 = callmethod(*var_numOpening, "+(1)", 1, partcv, params);
// compiled op node returning sum322 (depth = 6)
  *var_numOpening = sum322;
  if (sum322 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if312 = done;
  } else {
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 139
  setline(139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit326 == NULL) {
    strlit326 = alloc_String("rbrace");
    gc_root(strlit326);
  }
// compiled string node returning strlit326 (depth = 7)
  int op_slot_right_325 = gc_frame_newslot(strlit326);
// starting to compile member node (depth = 7)
  int callframe328 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  Object call329 = callmethodflags(*var_n, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe328);
// compiled member node returning call329 (depth = 7)
  int op_slot_left_325 = gc_frame_newslot(call329);
  params[0] = strlit326;
  partcv[0] = 1;
  Object opresult330 = callmethod(call329, "==(1)", 1, partcv, params);
// compiled op node returning opresult330 (depth = 6)
  Object if324 = done;
  if (istrue(opresult330)) {
// Begin line 140
  setline(140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num332 = alloc_Float64(1);
// compiled num node returning num332 (depth = 8)
  int op_slot_right_331 = gc_frame_newslot(num332);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_numClosing (depth = 8)
  int op_slot_left_331 = gc_frame_newslot(*var_numClosing);
  params[0] = num332;
  partcv[0] = 1;
  Object sum334 = callmethod(*var_numClosing, "+(1)", 1, partcv, params);
// compiled op node returning sum334 (depth = 7)
  *var_numClosing = sum334;
  if (sum334 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if324 = done;
  } else {
  }
// compiled if node returning if324 (depth = 5)
    gc_frame_newslot(if324);
    if312 = if324;
  }
// compiled if node returning if312 (depth = 4)
// Begin line 142
  setline(142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe336 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  Object call337 = callmethodflags(*var_n, "next", 0, partcv, params, 0);
  gc_frame_end(callframe336);
// compiled member node returning call337 (depth = 5)
  *var_n = call337;
  if (call337 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_findClosingBrace_40_2_41_230(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 6, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "findClosingBrace(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method findClosingBrace(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for findClosingBrace(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_token = &(stackframe->slots[0]);
  *var_token = args[curarg];
  curarg++;
  Object *var_inserted = &(stackframe->slots[1]);
  *var_inserted = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part findClosingBrace(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_n = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "n");
  Object *var_numOpening = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "numOpening");
  Object *var_numClosing = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "numClosing");
  Object *var_result = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "result");
// Begin line 122
  setline(122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_n = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 123
  setline(123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile if node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_inserted (depth = 4)
  Object if231 = done;
struct StackFrameObject *iftmpstackframe231 = stackframe;
  if (istrue(*var_inserted)) {
stackframe = alloc_StackFrame(0, iftmpstackframe231);
gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 4)
  Object num232 = alloc_Float64(1);
// compiled num node returning num232 (depth = 4)
    gc_frame_newslot(num232);
    if231 = num232;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe231);
  gc_frame_newslot((Object)stackframe);
// starting to compile num node (depth = 4)
  Object num233 = alloc_Float64(0);
// compiled num node returning num233 (depth = 4)
    gc_frame_newslot(num233);
    if231 = num233;
  }
stackframe = iftmpstackframe231;
// compiled if node returning if231 (depth = 3)
  *var_numOpening = if231;
  if (if231 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 124
  setline(124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num234 = alloc_Float64(0);
// compiled num node returning num234 (depth = 3)
  *var_numClosing = num234;
  if (num234 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 125
  setline(125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile object node (depth = 3)
  Object inheritingObject235 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj235 = alloc_userobj2(4,4, objclass235);
  gc_frame_newslot(obj235);
if (objclass235 == NULL) {
  glfree(obj235->class->name);
  obj235->class->name = "result";
}
// OBJECT OUTER DEC outer
  adddatum2(obj235, self, 0);
  addmethodreal(obj235,"outer", &reader_parser_outer_236);
  Object oldself235 = self;
  struct StackFrameObject *oldstackframe235 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe235);
  gc_frame_newslot((Object)stackframe);
  self = obj235;
  Object *oldselfslot235 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter235 = (*(struct UserObject *)self).data[0], lowerouter235 = thisouter235;
  if (inheritingObject235) {
    struct UserObject *inho235 = (struct UserObject *)inheritingObject235;
    while (inho235->super != GraceDefaultObject) inho235 = (struct UserObject *)inho235->super;
    inho235->super = obj235;
    self = inheritingObject235;
    *selfslot = self;
    lowerouter235 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter235;
  }
if (objclass235 == NULL) {
  Method *reader237 = addmethodrealflags(obj235, "found", &reader_parser_found_237, 0);
  Method *writer237 = addmethodrealflags(obj235, "found:=(1)", &writer_parser_found_237, 0);
  reader237->definitionModule = modulename;
  writer237->definitionModule = modulename;
  reader237->definitionLine = 126;
  writer237->definitionLine = 126;
}
obj235->flags |= OFLAG_MUTABLE;
adddatum2(obj235, alloc_Undefined(), 1);
if (objclass235 == NULL) {
  Method *reader238 = addmethodrealflags(obj235, "tok", &reader_parser_tok_238, 0);
  Method *writer238 = addmethodrealflags(obj235, "tok:=(1)", &writer_parser_tok_238, 0);
  reader238->definitionModule = modulename;
  writer238->definitionModule = modulename;
  reader238->definitionLine = 127;
  writer238->definitionLine = 127;
}
obj235->flags |= OFLAG_MUTABLE;
adddatum2(obj235, alloc_Undefined(), 2);
  sourceObject = obj235;
  adddatum2(obj235, undefined, 1);
  sourceObject = obj235;
  adddatum2(obj235, undefined, 2);
  objclass235 = obj235->class;
  objclass235->definitionModule = modulename;
  objclass235->definitionLine = 125;
  (*(struct UserObject *)self).data[0] = lowerouter235;
  self = oldself235;
  selfslot = oldselfslot235;
  stackframe = oldstackframe235;
// compiled object node returning obj235 (depth = 3)
  *var_result = obj235;
  if (obj235 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 130
  setline(130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe239 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block240 = alloc_Block(NULL, NULL, "parser", 130);
  gc_frame_newslot(block240);
// method "_apply"
  block_savedest(block240);
  Object closure241 = createclosure(3, "_apply");
  setclosureframe(closure241, stackframe);
  addtoclosure(closure241, var_token);
  addtoclosure(closure241, var_n);
  addtoclosure(closure241, selfslot);
  struct UserObject *uo241 = (struct UserObject*)block240;
  uo241->data[0] = (Object)closure241;
  Method *meth_meth_parser__apply241 = addmethod2pos(block240, "_apply", &meth_parser__apply241, 0);
  int argcv_meth_parser__apply241[] = {0};
  meth_meth_parser__apply241->type = alloc_MethodType(1, argcv_meth_parser__apply241);
  meth_meth_parser__apply241->definitionModule = modulename;
  meth_meth_parser__apply241->definitionLine = 3404;
// compiled block node returning block240 (depth = 3)
  gc_frame_newslot(block240);
// starting to compile block node (depth = 3)
  Object block259 = alloc_Block(NULL, NULL, "parser", 130);
  gc_frame_newslot(block259);
// method "_apply"
  block_savedest(block259);
  Object closure260 = createclosure(4, "_apply");
  setclosureframe(closure260, stackframe);
  addtoclosure(closure260, var_n);
  addtoclosure(closure260, var_numOpening);
  addtoclosure(closure260, var_numClosing);
  addtoclosure(closure260, selfslot);
  struct UserObject *uo260 = (struct UserObject*)block259;
  uo260->data[0] = (Object)closure260;
  Method *meth_meth_parser__apply260 = addmethod2pos(block259, "_apply", &meth_parser__apply260, 0);
  int argcv_meth_parser__apply260[] = {0};
  meth_meth_parser__apply260->type = alloc_MethodType(1, argcv_meth_parser__apply260);
  meth_meth_parser__apply260->definitionModule = modulename;
  meth_meth_parser__apply260->definitionLine = 3404;
// compiled block node returning block259 (depth = 3)
  gc_frame_newslot(block259);
// call case 5: prelude request
  params[0] = block240;
  params[1] = block259;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call289 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe239);
// compiled call node returning call289 (depth = 2)
// Begin line 136
  setline(136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe290 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block291 = alloc_Block(NULL, NULL, "parser", 136);
  gc_frame_newslot(block291);
// method "_apply"
  block_savedest(block291);
  Object closure292 = createclosure(3, "_apply");
  setclosureframe(closure292, stackframe);
  addtoclosure(closure292, var_token);
  addtoclosure(closure292, var_n);
  addtoclosure(closure292, selfslot);
  struct UserObject *uo292 = (struct UserObject*)block291;
  uo292->data[0] = (Object)closure292;
  Method *meth_meth_parser__apply292 = addmethod2pos(block291, "_apply", &meth_parser__apply292, 0);
  int argcv_meth_parser__apply292[] = {0};
  meth_meth_parser__apply292->type = alloc_MethodType(1, argcv_meth_parser__apply292);
  meth_meth_parser__apply292->definitionModule = modulename;
  meth_meth_parser__apply292->definitionLine = 3404;
// compiled block node returning block291 (depth = 3)
  gc_frame_newslot(block291);
// starting to compile block node (depth = 3)
  Object block310 = alloc_Block(NULL, NULL, "parser", 136);
  gc_frame_newslot(block310);
// method "_apply"
  block_savedest(block310);
  Object closure311 = createclosure(4, "_apply");
  setclosureframe(closure311, stackframe);
  addtoclosure(closure311, var_n);
  addtoclosure(closure311, var_numOpening);
  addtoclosure(closure311, var_numClosing);
  addtoclosure(closure311, selfslot);
  struct UserObject *uo311 = (struct UserObject*)block310;
  uo311->data[0] = (Object)closure311;
  Method *meth_meth_parser__apply311 = addmethod2pos(block310, "_apply", &meth_parser__apply311, 0);
  int argcv_meth_parser__apply311[] = {0};
  meth_meth_parser__apply311->type = alloc_MethodType(1, argcv_meth_parser__apply311);
  meth_meth_parser__apply311->definitionModule = modulename;
  meth_meth_parser__apply311->definitionLine = 3404;
// compiled block node returning block310 (depth = 3)
  gc_frame_newslot(block310);
// call case 5: prelude request
  params[0] = block291;
  params[1] = block310;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call340 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe290);
// compiled call node returning call340 (depth = 2)
// Begin line 144
  setline(144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit343 == NULL) {
    strlit343 = alloc_String("rbrace");
    gc_root(strlit343);
  }
// compiled string node returning strlit343 (depth = 4)
  int op_slot_right_342 = gc_frame_newslot(strlit343);
// starting to compile member node (depth = 4)
  int callframe345 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_n (depth = 5)
  Object call346 = callmethodflags(*var_n, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe345);
// compiled member node returning call346 (depth = 4)
  int op_slot_left_342 = gc_frame_newslot(call346);
  params[0] = strlit343;
  partcv[0] = 1;
  Object opresult347 = callmethod(call346, "==(1)", 1, partcv, params);
// compiled op node returning opresult347 (depth = 3)
  Object if341 = done;
  if (istrue(opresult347)) {
// Begin line 145
  setline(145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe348 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool349 = alloc_Boolean(1);
// compiled identifier node returning bool349 (depth = 4)
  gc_frame_newslot(bool349);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = bool349;
  partcv[0] = 1;
  Object call350 = callmethodflags(*var_result, "found:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe348);
// compiled call node returning call350 (depth = 3)
// Begin line 146
  setline(146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe351 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_n (depth = 4)
  gc_frame_newslot(*var_n);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = *var_n;
  partcv[0] = 1;
  Object call352 = callmethodflags(*var_result, "tok:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe351);
// compiled call node returning call352 (depth = 3)
    gc_frame_newslot(call352);
    if341 = call352;
  } else {
// Begin line 151
  setline(151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 147
  setline(147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_numClosing (depth = 6)
  int op_slot_right_355 = gc_frame_newslot(*var_numClosing);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_numOpening (depth = 6)
  int op_slot_left_355 = gc_frame_newslot(*var_numOpening);
  params[0] = *var_numClosing;
  partcv[0] = 1;
  Object opresult357 = callmethod(*var_numOpening, "==(1)", 1, partcv, params);
// compiled op node returning opresult357 (depth = 5)
  int op_slot_right_354 = gc_frame_newslot(opresult357);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit360 == NULL) {
    strlit360 = alloc_String("rbrace");
    gc_root(strlit360);
  }
// compiled string node returning strlit360 (depth = 6)
  int op_slot_right_359 = gc_frame_newslot(strlit360);
// starting to compile member node (depth = 6)
  int callframe362 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe363 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_n (depth = 8)
  Object call364 = callmethodflags(*var_n, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe363);
// compiled member node returning call364 (depth = 7)
  Object call365 = callmethodflags(call364, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe362);
// compiled member node returning call365 (depth = 6)
  int op_slot_left_359 = gc_frame_newslot(call365);
  params[0] = strlit360;
  partcv[0] = 1;
  Object opresult366 = callmethod(call365, "==(1)", 1, partcv, params);
// compiled op node returning opresult366 (depth = 5)
  int op_slot_left_354 = gc_frame_newslot(opresult366);
  params[0] = opresult357;
  partcv[0] = 1;
  Object opresult367 = callmethod(opresult366, "&&(1)", 1, partcv, params);
// compiled op node returning opresult367 (depth = 4)
  Object if353 = done;
  if (istrue(opresult367)) {
// Begin line 149
  setline(149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe368 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool369 = alloc_Boolean(1);
// compiled identifier node returning bool369 (depth = 5)
  gc_frame_newslot(bool369);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = bool369;
  partcv[0] = 1;
  Object call370 = callmethodflags(*var_result, "found:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe368);
// compiled call node returning call370 (depth = 4)
// Begin line 150
  setline(150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe371 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe372 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  Object call373 = callmethodflags(*var_n, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe372);
// compiled member node returning call373 (depth = 5)
  gc_frame_newslot(call373);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = call373;
  partcv[0] = 1;
  Object call374 = callmethodflags(*var_result, "tok:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe371);
// compiled call node returning call374 (depth = 4)
    gc_frame_newslot(call374);
    if353 = call374;
  } else {
// Begin line 152
  setline(152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe375 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool376 = alloc_Boolean(0);
// compiled identifier node returning bool376 (depth = 5)
  gc_frame_newslot(bool376);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = bool376;
  partcv[0] = 1;
  Object call377 = callmethodflags(*var_result, "found:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe375);
// compiled call node returning call377 (depth = 4)
// Begin line 153
  setline(153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe378 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe379 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_n (depth = 6)
  Object call380 = callmethodflags(*var_n, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe379);
// compiled member node returning call380 (depth = 5)
  gc_frame_newslot(call380);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  params[0] = call380;
  partcv[0] = 1;
  Object call381 = callmethodflags(*var_result, "tok:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe378);
// compiled call node returning call381 (depth = 4)
    gc_frame_newslot(call381);
    if353 = call381;
  }
// compiled if node returning if353 (depth = 3)
    gc_frame_newslot(if353);
    if341 = if353;
  }
// compiled if node returning if341 (depth = 2)
// Begin line 155
  setline(155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_parser_accept_40_1_41_382(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 7, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for accept(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 162
  setline(162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_t (depth = 3)
  int op_slot_right_383 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 3)
  int callframe385 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call386 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe385);
// compiled member node returning call386 (depth = 3)
  int op_slot_left_383 = gc_frame_newslot(call386);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult387 = callmethod(call386, "==(1)", 1, partcv, params);
// compiled op node returning opresult387 (depth = 2)
  gc_frame_end(frame);
  return opresult387;
}
Object meth_parser_acceptKeyword_40_1_41_388(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 8, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptKeyword(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method acceptKeyword(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for acceptKeyword(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_kw = &(stackframe->slots[0]);
  *var_kw = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part acceptKeyword(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 166
  setline(166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit391 == NULL) {
    strlit391 = alloc_String("keyword");
    gc_root(strlit391);
  }
// compiled string node returning strlit391 (depth = 4)
  int op_slot_right_390 = gc_frame_newslot(strlit391);
// starting to compile member node (depth = 4)
  int callframe393 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call394 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe393);
// compiled member node returning call394 (depth = 4)
  int op_slot_left_390 = gc_frame_newslot(call394);
  params[0] = strlit391;
  partcv[0] = 1;
  Object opresult395 = callmethod(call394, "≠(1)", 1, partcv, params);
// compiled op node returning opresult395 (depth = 3)
  Object if389 = done;
  if (istrue(opresult395)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool396 = alloc_Boolean(0);
// compiled identifier node returning bool396 (depth = 4)
  return bool396;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if389 = undefined;
  } else {
  }
// compiled if node returning if389 (depth = 2)
// Begin line 167
  setline(167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_kw (depth = 4)
  int op_slot_right_397 = gc_frame_newslot(*var_kw);
// starting to compile member node (depth = 4)
  int callframe399 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call400 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe399);
// compiled member node returning call400 (depth = 4)
  int op_slot_left_397 = gc_frame_newslot(call400);
  params[0] = *var_kw;
  partcv[0] = 1;
  Object opresult401 = callmethod(call400, "==(1)", 1, partcv, params);
// compiled op node returning opresult401 (depth = 3)
  return opresult401;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_acceptSameLine_40_1_41_402(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 9, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptSameLine(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method acceptSameLine(_)");
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastLine = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for acceptSameLine(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part acceptSameLine(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 176
  setline(176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastIndent (depth = 5)
  int op_slot_right_405 = gc_frame_newslot(*var_lastIndent);
// starting to compile member node (depth = 5)
  int callframe407 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call408 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe407);
// compiled member node returning call408 (depth = 5)
  int op_slot_left_405 = gc_frame_newslot(call408);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object opresult409 = callmethod(call408, ">(1)", 1, partcv, params);
// compiled op node returning opresult409 (depth = 4)
  int op_slot_right_404 = gc_frame_newslot(opresult409);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe412 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call413 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe412);
// compiled member node returning call413 (depth = 5)
  int op_slot_right_411 = gc_frame_newslot(call413);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastLine (depth = 5)
  int op_slot_left_411 = gc_frame_newslot(*var_lastLine);
  params[0] = call413;
  partcv[0] = 1;
  Object opresult415 = callmethod(*var_lastLine, "==(1)", 1, partcv, params);
// compiled op node returning opresult415 (depth = 4)
  int op_slot_left_404 = gc_frame_newslot(opresult415);
  params[0] = opresult409;
  partcv[0] = 1;
  Object opresult416 = callmethod(opresult415, "||(1)", 1, partcv, params);
// compiled op node returning opresult416 (depth = 3)
  int op_slot_right_403 = gc_frame_newslot(opresult416);
// Begin line 175
  setline(175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  int op_slot_right_418 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 4)
  int callframe420 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call421 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe420);
// compiled member node returning call421 (depth = 4)
  int op_slot_left_418 = gc_frame_newslot(call421);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult422 = callmethod(call421, "==(1)", 1, partcv, params);
// compiled op node returning opresult422 (depth = 3)
  int op_slot_left_403 = gc_frame_newslot(opresult422);
  params[0] = opresult416;
  partcv[0] = 1;
  Object opresult423 = callmethod(opresult422, "&&(1)", 1, partcv, params);
// compiled op node returning opresult423 (depth = 2)
  gc_frame_end(frame);
  return opresult423;
}
Object meth_parser_acceptWithoutSpaces_40_1_41_424(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 10, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptWithoutSpaces(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method acceptWithoutSpaces(_)");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastLine = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for acceptWithoutSpaces(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part acceptWithoutSpaces(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe428 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call429 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe428);
// compiled member node returning call429 (depth = 5)
  int op_slot_right_427 = gc_frame_newslot(call429);
// starting to compile member node (depth = 5)
  int callframe431 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call432 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe431);
// compiled member node returning call432 (depth = 5)
  int op_slot_left_427 = gc_frame_newslot(call432);
  params[0] = call429;
  partcv[0] = 1;
  Object sum433 = callmethod(call432, "+(1)", 1, partcv, params);
// compiled op node returning sum433 (depth = 4)
  int op_slot_right_426 = gc_frame_newslot(sum433);
// starting to compile member node (depth = 4)
  int callframe435 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call436 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe435);
// compiled member node returning call436 (depth = 4)
  int op_slot_left_426 = gc_frame_newslot(call436);
  params[0] = sum433;
  partcv[0] = 1;
  Object opresult437 = callmethod(call436, "==(1)", 1, partcv, params);
// compiled op node returning opresult437 (depth = 3)
  int op_slot_right_425 = gc_frame_newslot(opresult437);
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 3)
// Begin line 183
  setline(183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe441 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call442 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe441);
// compiled member node returning call442 (depth = 5)
  int op_slot_right_440 = gc_frame_newslot(call442);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastLine (depth = 5)
  int op_slot_left_440 = gc_frame_newslot(*var_lastLine);
  params[0] = call442;
  partcv[0] = 1;
  Object opresult444 = callmethod(*var_lastLine, "==(1)", 1, partcv, params);
// compiled op node returning opresult444 (depth = 4)
  int op_slot_right_439 = gc_frame_newslot(opresult444);
// Begin line 182
  setline(182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_t (depth = 5)
  int op_slot_right_446 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 5)
  int callframe448 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call449 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe448);
// compiled member node returning call449 (depth = 5)
  int op_slot_left_446 = gc_frame_newslot(call449);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult450 = callmethod(call449, "==(1)", 1, partcv, params);
// compiled op node returning opresult450 (depth = 4)
  int op_slot_left_439 = gc_frame_newslot(opresult450);
  params[0] = opresult444;
  partcv[0] = 1;
  Object opresult451 = callmethod(opresult450, "&&(1)", 1, partcv, params);
// compiled op node returning opresult451 (depth = 3)
  int op_slot_left_425 = gc_frame_newslot(opresult451);
  params[0] = opresult437;
  partcv[0] = 1;
  Object opresult452 = callmethod(opresult451, "&&(1)", 1, partcv, params);
// compiled op node returning opresult452 (depth = 2)
  gc_frame_end(frame);
  return opresult452;
}
Object meth_parser_acceptAfterSpaces_40_1_41_453(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 11, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptAfterSpaces(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method acceptAfterSpaces(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastLine = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for acceptAfterSpaces(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part acceptAfterSpaces(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 189
  setline(189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  int op_slot_right_455 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 4)
  int callframe457 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call458 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe457);
// compiled member node returning call458 (depth = 4)
  int op_slot_left_455 = gc_frame_newslot(call458);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult459 = callmethod(call458, "≠(1)", 1, partcv, params);
// compiled op node returning opresult459 (depth = 3)
  Object if454 = done;
  if (istrue(opresult459)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool460 = alloc_Boolean(0);
// compiled identifier node returning bool460 (depth = 4)
  return bool460;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if454 = undefined;
  } else {
  }
// compiled if node returning if454 (depth = 2)
// Begin line 190
  setline(190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe463 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call464 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe463);
// compiled member node returning call464 (depth = 4)
  int op_slot_right_462 = gc_frame_newslot(call464);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastLine (depth = 4)
  int op_slot_left_462 = gc_frame_newslot(*var_lastLine);
  params[0] = call464;
  partcv[0] = 1;
  Object opresult466 = callmethod(*var_lastLine, "==(1)", 1, partcv, params);
// compiled op node returning opresult466 (depth = 3)
  Object if461 = done;
  if (istrue(opresult466)) {
// Begin line 191
  setline(191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe469 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call470 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe469);
// compiled member node returning call470 (depth = 6)
  int op_slot_right_468 = gc_frame_newslot(call470);
// starting to compile member node (depth = 6)
  int callframe472 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call473 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe472);
// compiled member node returning call473 (depth = 6)
  int op_slot_left_468 = gc_frame_newslot(call473);
  params[0] = call470;
  partcv[0] = 1;
  Object sum474 = callmethod(call473, "+(1)", 1, partcv, params);
// compiled op node returning sum474 (depth = 5)
  int op_slot_right_467 = gc_frame_newslot(sum474);
// starting to compile member node (depth = 5)
  int callframe476 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call477 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe476);
// compiled member node returning call477 (depth = 5)
  int op_slot_left_467 = gc_frame_newslot(call477);
  params[0] = sum474;
  partcv[0] = 1;
  Object opresult478 = callmethod(call477, "≠(1)", 1, partcv, params);
// compiled op node returning opresult478 (depth = 4)
  return opresult478;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if461 = undefined;
  } else {
  }
// compiled if node returning if461 (depth = 2)
// Begin line 193
  setline(193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num481 = alloc_Float64(1);
// compiled num node returning num481 (depth = 5)
  int op_slot_right_480 = gc_frame_newslot(num481);
// starting to compile member node (depth = 5)
  int callframe483 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call484 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe483);
// compiled member node returning call484 (depth = 5)
  int op_slot_left_480 = gc_frame_newslot(call484);
  params[0] = num481;
  partcv[0] = 1;
  Object sum485 = callmethod(call484, "+(1)", 1, partcv, params);
// compiled op node returning sum485 (depth = 4)
  int op_slot_right_479 = gc_frame_newslot(sum485);
// starting to compile member node (depth = 4)
  int callframe487 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call488 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe487);
// compiled member node returning call488 (depth = 4)
  int op_slot_left_479 = gc_frame_newslot(call488);
  params[0] = sum485;
  partcv[0] = 1;
  Object opresult489 = callmethod(call488, "==(1)", 1, partcv, params);
// compiled op node returning opresult489 (depth = 3)
  return opresult489;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_accept_40_1_41_onLineOf_40_1_41_490(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 12, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept(1)onLineOf(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)onLineOf(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)onLineOf(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)onLineOf(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onLineOf(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 200
  setline(200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe494 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call495 = callmethodflags(*var_other, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe494);
// compiled member node returning call495 (depth = 5)
  int op_slot_right_493 = gc_frame_newslot(call495);
// starting to compile member node (depth = 5)
  int callframe497 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call498 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe497);
// compiled member node returning call498 (depth = 5)
  int op_slot_left_493 = gc_frame_newslot(call498);
  params[0] = call495;
  partcv[0] = 1;
  Object opresult499 = callmethod(call498, ">(1)", 1, partcv, params);
// compiled op node returning opresult499 (depth = 4)
  int op_slot_right_492 = gc_frame_newslot(opresult499);
// Begin line 199
  setline(199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe502 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call503 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe502);
// compiled member node returning call503 (depth = 5)
  int op_slot_right_501 = gc_frame_newslot(call503);
// starting to compile member node (depth = 5)
  int callframe505 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_other (depth = 6)
  Object call506 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe505);
// compiled member node returning call506 (depth = 5)
  int op_slot_left_501 = gc_frame_newslot(call506);
  params[0] = call503;
  partcv[0] = 1;
  Object opresult507 = callmethod(call506, "==(1)", 1, partcv, params);
// compiled op node returning opresult507 (depth = 4)
  int op_slot_left_492 = gc_frame_newslot(opresult507);
  params[0] = opresult499;
  partcv[0] = 1;
  Object opresult508 = callmethod(opresult507, "||(1)", 1, partcv, params);
// compiled op node returning opresult508 (depth = 3)
  int op_slot_right_491 = gc_frame_newslot(opresult508);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  int op_slot_right_510 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 4)
  int callframe512 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call513 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe512);
// compiled member node returning call513 (depth = 4)
  int op_slot_left_510 = gc_frame_newslot(call513);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult514 = callmethod(call513, "==(1)", 1, partcv, params);
// compiled op node returning opresult514 (depth = 3)
  int op_slot_left_491 = gc_frame_newslot(opresult514);
  params[0] = opresult508;
  partcv[0] = 1;
  Object opresult515 = callmethod(opresult514, "&&(1)", 1, partcv, params);
// compiled op node returning opresult515 (depth = 2)
  gc_frame_end(frame);
  return opresult515;
}
Object meth_parser_acceptAfterSpaces_40_1_41_onLineOf_40_1_41_516(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 13, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptAfterSpaces(1)onLineOf(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method acceptAfterSpaces(_)onLineOf(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method acceptAfterSpaces(_)onLineOf(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for acceptAfterSpaces(_)onLineOf(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part acceptAfterSpaces(_)");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onLineOf(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 207
  setline(207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  int op_slot_right_518 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 4)
  int callframe520 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call521 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe520);
// compiled member node returning call521 (depth = 4)
  int op_slot_left_518 = gc_frame_newslot(call521);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult522 = callmethod(call521, "≠(1)", 1, partcv, params);
// compiled op node returning opresult522 (depth = 3)
  Object if517 = done;
  if (istrue(opresult522)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool523 = alloc_Boolean(0);
// compiled identifier node returning bool523 (depth = 4)
  return bool523;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if517 = undefined;
  } else {
  }
// compiled if node returning if517 (depth = 2)
// Begin line 208
  setline(208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe526 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_other (depth = 5)
  Object call527 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe526);
// compiled member node returning call527 (depth = 4)
  int op_slot_right_525 = gc_frame_newslot(call527);
// starting to compile member node (depth = 4)
  int callframe529 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call530 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe529);
// compiled member node returning call530 (depth = 4)
  int op_slot_left_525 = gc_frame_newslot(call530);
  params[0] = call527;
  partcv[0] = 1;
  Object opresult531 = callmethod(call530, "==(1)", 1, partcv, params);
// compiled op node returning opresult531 (depth = 3)
  Object if524 = done;
  if (istrue(opresult531)) {
// Begin line 209
  setline(209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe534 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call535 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe534);
// compiled member node returning call535 (depth = 6)
  int op_slot_right_533 = gc_frame_newslot(call535);
// starting to compile member node (depth = 6)
  int callframe537 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call538 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe537);
// compiled member node returning call538 (depth = 6)
  int op_slot_left_533 = gc_frame_newslot(call538);
  params[0] = call535;
  partcv[0] = 1;
  Object sum539 = callmethod(call538, "+(1)", 1, partcv, params);
// compiled op node returning sum539 (depth = 5)
  int op_slot_right_532 = gc_frame_newslot(sum539);
// starting to compile member node (depth = 5)
  int callframe541 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call542 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe541);
// compiled member node returning call542 (depth = 5)
  int op_slot_left_532 = gc_frame_newslot(call542);
  params[0] = sum539;
  partcv[0] = 1;
  Object opresult543 = callmethod(call542, "≠(1)", 1, partcv, params);
// compiled op node returning opresult543 (depth = 4)
  return opresult543;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if524 = undefined;
  } else {
// Begin line 211
  setline(211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num546 = alloc_Float64(1);
// compiled num node returning num546 (depth = 6)
  int op_slot_right_545 = gc_frame_newslot(num546);
// starting to compile member node (depth = 6)
  int callframe548 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call549 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe548);
// compiled member node returning call549 (depth = 6)
  int op_slot_left_545 = gc_frame_newslot(call549);
  params[0] = num546;
  partcv[0] = 1;
  Object sum550 = callmethod(call549, "+(1)", 1, partcv, params);
// compiled op node returning sum550 (depth = 5)
  int op_slot_right_544 = gc_frame_newslot(sum550);
// starting to compile member node (depth = 5)
  int callframe552 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call553 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe552);
// compiled member node returning call553 (depth = 5)
  int op_slot_left_544 = gc_frame_newslot(call553);
  params[0] = sum550;
  partcv[0] = 1;
  Object opresult554 = callmethod(call553, "==(1)", 1, partcv, params);
// compiled op node returning opresult554 (depth = 4)
  return opresult554;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if524 = undefined;
  }
// compiled if node returning if524 (depth = 2)
  gc_frame_end(frame);
  return if524;
}
Object meth_parser_accept_40_1_41_onLineOfLastOr_40_1_41_555(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 14, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "accept(1)onLineOfLastOr(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)onLineOfLastOr(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method accept(_)onLineOfLastOr(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for accept(_)onLineOfLastOr(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part accept(_)");
  Object *var_other = &(stackframe->slots[1]);
  *var_other = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onLineOfLastOr(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe559 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call560 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe559);
// compiled member node returning call560 (depth = 5)
  int op_slot_right_558 = gc_frame_newslot(call560);
// starting to compile member node (depth = 5)
  int callframe562 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call563 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe562);
// compiled member node returning call563 (depth = 5)
  int op_slot_left_558 = gc_frame_newslot(call563);
  params[0] = call560;
  partcv[0] = 1;
  Object opresult564 = callmethod(call563, "==(1)", 1, partcv, params);
// compiled op node returning opresult564 (depth = 4)
  int op_slot_right_557 = gc_frame_newslot(opresult564);
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// Begin line 218
  setline(218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe568 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  Object call569 = callmethodflags(*var_other, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe568);
// compiled member node returning call569 (depth = 6)
  int op_slot_right_567 = gc_frame_newslot(call569);
// starting to compile member node (depth = 6)
  int callframe571 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call572 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe571);
// compiled member node returning call572 (depth = 6)
  int op_slot_left_567 = gc_frame_newslot(call572);
  params[0] = call569;
  partcv[0] = 1;
  Object opresult573 = callmethod(call572, ">(1)", 1, partcv, params);
// compiled op node returning opresult573 (depth = 5)
  int op_slot_right_566 = gc_frame_newslot(opresult573);
// Begin line 217
  setline(217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe576 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call577 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe576);
// compiled member node returning call577 (depth = 6)
  int op_slot_right_575 = gc_frame_newslot(call577);
// starting to compile member node (depth = 6)
  int callframe579 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_other (depth = 7)
  Object call580 = callmethodflags(*var_other, "line", 0, partcv, params, 0);
  gc_frame_end(callframe579);
// compiled member node returning call580 (depth = 6)
  int op_slot_left_575 = gc_frame_newslot(call580);
  params[0] = call577;
  partcv[0] = 1;
  Object opresult581 = callmethod(call580, "==(1)", 1, partcv, params);
// compiled op node returning opresult581 (depth = 5)
  int op_slot_left_566 = gc_frame_newslot(opresult581);
  params[0] = opresult573;
  partcv[0] = 1;
  Object opresult582 = callmethod(opresult581, "||(1)", 1, partcv, params);
// compiled op node returning opresult582 (depth = 4)
  int op_slot_left_557 = gc_frame_newslot(opresult582);
  params[0] = opresult564;
  partcv[0] = 1;
  Object opresult583 = callmethod(opresult582, "||(1)", 1, partcv, params);
// compiled op node returning opresult583 (depth = 3)
  int op_slot_right_556 = gc_frame_newslot(opresult583);
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  int op_slot_right_585 = gc_frame_newslot(*var_t);
// starting to compile member node (depth = 4)
  int callframe587 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call588 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe587);
// compiled member node returning call588 (depth = 4)
  int op_slot_left_585 = gc_frame_newslot(call588);
  params[0] = *var_t;
  partcv[0] = 1;
  Object opresult589 = callmethod(call588, "==(1)", 1, partcv, params);
// compiled op node returning opresult589 (depth = 3)
  int op_slot_left_556 = gc_frame_newslot(opresult589);
  params[0] = opresult583;
  partcv[0] = 1;
  Object opresult590 = callmethod(opresult589, "&&(1)", 1, partcv, params);
// compiled op node returning opresult590 (depth = 2)
  gc_frame_end(frame);
  return opresult590;
}
Object meth_parser_acceptArgumentOnLineOf_40_1_41_591(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 15, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "acceptArgumentOnLineOf(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method acceptArgumentOnLineOf(_)");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for acceptArgumentOnLineOf(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tok = &(stackframe->slots[0]);
  *var_tok = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part acceptArgumentOnLineOf(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 222
  setline(222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe593 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit594 == NULL) {
    strlit594 = alloc_String("string");
    gc_root(strlit594);
  }
// compiled string node returning strlit594 (depth = 4)
  gc_frame_newslot(strlit594);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tok (depth = 4)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit594;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call595 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe593);
// compiled call node returning call595 (depth = 3)
  Object if592 = done;
  if (istrue(call595)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool596 = alloc_Boolean(1);
// compiled identifier node returning bool596 (depth = 4)
  return bool596;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if592 = undefined;
  } else {
  }
// compiled if node returning if592 (depth = 2)
// Begin line 223
  setline(223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe598 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit599 == NULL) {
    strlit599 = alloc_String("num");
    gc_root(strlit599);
  }
// compiled string node returning strlit599 (depth = 4)
  gc_frame_newslot(strlit599);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tok (depth = 4)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit599;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call600 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe598);
// compiled call node returning call600 (depth = 3)
  Object if597 = done;
  if (istrue(call600)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool601 = alloc_Boolean(1);
// compiled identifier node returning bool601 (depth = 4)
  return bool601;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if597 = undefined;
  } else {
  }
// compiled if node returning if597 (depth = 2)
// Begin line 224
  setline(224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe603 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit604 == NULL) {
    strlit604 = alloc_String("lbrace");
    gc_root(strlit604);
  }
// compiled string node returning strlit604 (depth = 4)
  gc_frame_newslot(strlit604);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tok (depth = 4)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit604;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call605 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe603);
// compiled call node returning call605 (depth = 3)
  Object if602 = done;
  if (istrue(call605)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool606 = alloc_Boolean(1);
// compiled identifier node returning bool606 (depth = 4)
  return bool606;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if602 = undefined;
  } else {
  }
// compiled if node returning if602 (depth = 2)
// Begin line 225
  setline(225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe608 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit609 == NULL) {
    strlit609 = alloc_String("lsquare");
    gc_root(strlit609);
  }
// compiled string node returning strlit609 (depth = 4)
  gc_frame_newslot(strlit609);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tok (depth = 4)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit609;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call610 = callmethodflags(self, "acceptAfterSpaces(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe608);
// compiled call node returning call610 (depth = 3)
  Object if607 = done;
  if (istrue(call610)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool611 = alloc_Boolean(1);
// compiled identifier node returning bool611 (depth = 4)
  return bool611;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if607 = undefined;
  } else {
  }
// compiled if node returning if607 (depth = 2)
// Begin line 226
  setline(226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe613 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit614 == NULL) {
    strlit614 = alloc_String("identifier");
    gc_root(strlit614);
  }
// compiled string node returning strlit614 (depth = 4)
  gc_frame_newslot(strlit614);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tok (depth = 4)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit614;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call615 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe613);
// compiled call node returning call615 (depth = 3)
  Object if612 = done;
  if (istrue(call615)) {
// Begin line 227
  setline(227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit618 == NULL) {
    strlit618 = alloc_String("false");
    gc_root(strlit618);
  }
// compiled string node returning strlit618 (depth = 6)
  int op_slot_right_617 = gc_frame_newslot(strlit618);
// starting to compile member node (depth = 6)
  int callframe620 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call621 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe620);
// compiled member node returning call621 (depth = 6)
  int op_slot_left_617 = gc_frame_newslot(call621);
  params[0] = strlit618;
  partcv[0] = 1;
  Object opresult622 = callmethod(call621, "==(1)", 1, partcv, params);
// compiled op node returning opresult622 (depth = 5)
  int op_slot_right_616 = gc_frame_newslot(opresult622);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit625 == NULL) {
    strlit625 = alloc_String("true");
    gc_root(strlit625);
  }
// compiled string node returning strlit625 (depth = 6)
  int op_slot_right_624 = gc_frame_newslot(strlit625);
// starting to compile member node (depth = 6)
  int callframe627 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call628 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe627);
// compiled member node returning call628 (depth = 6)
  int op_slot_left_624 = gc_frame_newslot(call628);
  params[0] = strlit625;
  partcv[0] = 1;
  Object opresult629 = callmethod(call628, "==(1)", 1, partcv, params);
// compiled op node returning opresult629 (depth = 5)
  int op_slot_left_616 = gc_frame_newslot(opresult629);
  params[0] = opresult622;
  partcv[0] = 1;
  Object opresult630 = callmethod(opresult629, "||(1)", 1, partcv, params);
// compiled op node returning opresult630 (depth = 4)
  return opresult630;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if612 = undefined;
  } else {
  }
// compiled if node returning if612 (depth = 2)
// Begin line 229
  setline(229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool631 = alloc_Boolean(0);
// compiled identifier node returning bool631 (depth = 3)
  return bool631;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_tokenOnSameLine632(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 16, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokenOnSameLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_lastLine = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 233
  setline(233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastIndent (depth = 4)
  int op_slot_right_634 = gc_frame_newslot(*var_lastIndent);
// starting to compile member node (depth = 4)
  int callframe636 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call637 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe636);
// compiled member node returning call637 (depth = 4)
  int op_slot_left_634 = gc_frame_newslot(call637);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object opresult638 = callmethod(call637, ">(1)", 1, partcv, params);
// compiled op node returning opresult638 (depth = 3)
  int op_slot_right_633 = gc_frame_newslot(opresult638);
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe641 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call642 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe641);
// compiled member node returning call642 (depth = 4)
  int op_slot_right_640 = gc_frame_newslot(call642);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastLine (depth = 4)
  int op_slot_left_640 = gc_frame_newslot(*var_lastLine);
  params[0] = call642;
  partcv[0] = 1;
  Object opresult644 = callmethod(*var_lastLine, "==(1)", 1, partcv, params);
// compiled op node returning opresult644 (depth = 3)
  int op_slot_left_633 = gc_frame_newslot(opresult644);
  params[0] = opresult638;
  partcv[0] = 1;
  Object opresult645 = callmethod(opresult644, "||(1)", 1, partcv, params);
// compiled op node returning opresult645 (depth = 2)
  gc_frame_end(frame);
  return opresult645;
}
Object meth_parser_didConsume_40_1_41_646(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 17, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "didConsume(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method didConsume(_)");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for didConsume(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_aParsingBlock = &(stackframe->slots[0]);
  *var_aParsingBlock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part didConsume(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sz");
// Begin line 237
  setline(237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe647 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tokens (depth = 4)
  Object call648 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe647);
// compiled member node returning call648 (depth = 3)
  *var_sz = call648;
  if (call648 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 238
  setline(238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe649 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_aParsingBlock (depth = 3)
  Object call650 = callmethodflags(*var_aParsingBlock, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe649);
// compiled member node returning call650 (depth = 2)
// Begin line 239
  setline(239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sz (depth = 3)
  int op_slot_right_651 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 3)
  int callframe653 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tokens (depth = 4)
  Object call654 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe653);
// compiled member node returning call654 (depth = 3)
  int op_slot_left_651 = gc_frame_newslot(call654);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult655 = callmethod(call654, "≠(1)", 1, partcv, params);
// compiled op node returning opresult655 (depth = 2)
  gc_frame_end(frame);
  return opresult655;
}
Object meth_parser_ifConsume_40_1_41_then_40_1_41_656(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 18, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "ifConsume(1)then(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ifConsume(_)then(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method ifConsume(_)then(_)");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for ifConsume(_)then(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_ablock = &(stackframe->slots[0]);
  *var_ablock = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part ifConsume(_)");
  Object *var_tblock = &(stackframe->slots[1]);
  *var_tblock = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part then(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sz");
// Begin line 243
  setline(243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe657 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tokens (depth = 4)
  Object call658 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe657);
// compiled member node returning call658 (depth = 3)
  *var_sz = call658;
  if (call658 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 244
  setline(244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe659 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_ablock (depth = 3)
  Object call660 = callmethodflags(*var_ablock, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe659);
// compiled member node returning call660 (depth = 2)
// Begin line 245
  setline(245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_right_662 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 4)
  int callframe664 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tokens (depth = 5)
  Object call665 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe664);
// compiled member node returning call665 (depth = 4)
  int op_slot_left_662 = gc_frame_newslot(call665);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult666 = callmethod(call665, "≠(1)", 1, partcv, params);
// compiled op node returning opresult666 (depth = 3)
  Object if661 = done;
  if (istrue(opresult666)) {
// Begin line 246
  setline(246);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe667 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tblock (depth = 4)
  Object call668 = callmethodflags(*var_tblock, "apply", 0, partcv, params, 0);
  gc_frame_end(callframe667);
// compiled member node returning call668 (depth = 3)
    gc_frame_newslot(call668);
    if661 = call668;
  } else {
  }
// compiled if node returning if661 (depth = 2)
  gc_frame_end(frame);
  return if661;
}
Object meth_parser_pushnum669(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 19, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushnum");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 252
  setline(252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe670 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe671 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call672 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe671);
// compiled member node returning call672 (depth = 4)
  gc_frame_newslot(call672);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe673 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call674 = callmethodflags(*var_ast, "numNode", 0, partcv, params, 0);
  gc_frame_end(callframe673);
// compiled member node returning call674 (depth = 4)
  params[0] = call672;
  partcv[0] = 1;
  Object call675 = callmethodflags(call674, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe670);
// compiled call node returning call675 (depth = 3)
  *var_o = call675;
  if (call675 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 253
  setline(253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe676 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call677 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe676);
// compiled call node returning call677 (depth = 2)
// Begin line 254
  setline(254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe678 = gc_frame_new();
// call case 4: self request
  Object call679 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe678);
// compiled member node returning call679 (depth = 2)
  gc_frame_end(frame);
  return call679;
}
Object meth_parser_pushstring680(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 20, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushstring");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 259
  setline(259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe681 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe682 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call683 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe682);
// compiled member node returning call683 (depth = 4)
  gc_frame_newslot(call683);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe684 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call685 = callmethodflags(*var_ast, "stringNode", 0, partcv, params, 0);
  gc_frame_end(callframe684);
// compiled member node returning call685 (depth = 4)
  params[0] = call683;
  partcv[0] = 1;
  Object call686 = callmethodflags(call685, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe681);
// compiled call node returning call686 (depth = 3)
  *var_o = call686;
  if (call686 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 260
  setline(260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe687 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call688 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe687);
// compiled call node returning call688 (depth = 2)
// Begin line 261
  setline(261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe689 = gc_frame_new();
// call case 4: self request
  Object call690 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe689);
// compiled member node returning call690 (depth = 2)
  gc_frame_end(frame);
  return call690;
}
Object meth_parser_pushidentifier691(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 21, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushidentifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_auto_count = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 267
  setline(267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe692 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe693 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call694 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe693);
// compiled member node returning call694 (depth = 3)
  gc_frame_newslot(call694);
// starting to compile member node (depth = 3)
  int callframe695 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call696 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe695);
// compiled member node returning call696 (depth = 3)
  gc_frame_newslot(call696);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call694;
  params[1] = call696;
  partcv[0] = 2;
  Object call697 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe692);
// compiled call node returning call697 (depth = 2)
// Begin line 268
  setline(268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe698 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe699 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call700 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe699);
// compiled member node returning call700 (depth = 4)
  gc_frame_newslot(call700);
// starting to compile identifier node (depth = 4)
  Object bool701 = alloc_Boolean(0);
// compiled identifier node returning bool701 (depth = 4)
  gc_frame_newslot(bool701);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe702 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call703 = callmethodflags(*var_ast, "identifierNode", 0, partcv, params, 0);
  gc_frame_end(callframe702);
// compiled member node returning call703 (depth = 4)
  params[0] = call700;
  params[1] = bool701;
  partcv[0] = 2;
  Object call704 = callmethodflags(call703, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe698);
// compiled call node returning call704 (depth = 3)
  *var_o = call704;
  if (call704 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 269
  setline(269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit707 == NULL) {
    strlit707 = alloc_String("_");
    gc_root(strlit707);
  }
// compiled string node returning strlit707 (depth = 4)
  int op_slot_right_706 = gc_frame_newslot(strlit707);
// starting to compile member node (depth = 4)
  int callframe709 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  Object call710 = callmethodflags(*var_o, "value", 0, partcv, params, 0);
  gc_frame_end(callframe709);
// compiled member node returning call710 (depth = 4)
  int op_slot_left_706 = gc_frame_newslot(call710);
  params[0] = strlit707;
  partcv[0] = 1;
  Object opresult711 = callmethod(call710, "==(1)", 1, partcv, params);
// compiled op node returning opresult711 (depth = 3)
  Object if705 = done;
  if (istrue(opresult711)) {
// Begin line 270
  setline(270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe712 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_auto_count (depth = 5)
  int op_slot_right_713 = gc_frame_newslot(*var_auto_count);
// starting to compile string node (depth = 5)
  if (strlit715 == NULL) {
    strlit715 = alloc_String("__");
    gc_root(strlit715);
  }
// compiled string node returning strlit715 (depth = 5)
  int op_slot_left_713 = gc_frame_newslot(strlit715);
  params[0] = *var_auto_count;
  partcv[0] = 1;
  Object opresult716 = callmethod(strlit715, "++(1)", 1, partcv, params);
// compiled op node returning opresult716 (depth = 4)
  gc_frame_newslot(opresult716);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = opresult716;
  partcv[0] = 1;
  Object call717 = callmethodflags(*var_o, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe712);
// compiled call node returning call717 (depth = 3)
// Begin line 271
  setline(271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe718 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool719 = alloc_Boolean(1);
// compiled identifier node returning bool719 (depth = 4)
  gc_frame_newslot(bool719);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = bool719;
  partcv[0] = 1;
  Object call720 = callmethodflags(*var_o, "wildcard:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe718);
// compiled call node returning call720 (depth = 3)
// Begin line 272
  setline(272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num722 = alloc_Float64(1);
// compiled num node returning num722 (depth = 5)
  int op_slot_right_721 = gc_frame_newslot(num722);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_auto_count (depth = 5)
  int op_slot_left_721 = gc_frame_newslot(*var_auto_count);
  params[0] = num722;
  partcv[0] = 1;
  Object sum724 = callmethod(*var_auto_count, "+(1)", 1, partcv, params);
// compiled op node returning sum724 (depth = 4)
  *var_auto_count = sum724;
  if (sum724 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if705 = done;
  } else {
  }
// compiled if node returning if705 (depth = 2)
// Begin line 274
  setline(274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe726 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call727 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe726);
// compiled call node returning call727 (depth = 2)
// Begin line 275
  setline(275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe728 = gc_frame_new();
// call case 4: self request
  Object call729 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe728);
// compiled member node returning call729 (depth = 2)
  gc_frame_end(frame);
  return call729;
}
Object meth_parser__apply751(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_a = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe753 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_a (depth = 12)
  Object call754 = callmethodflags(*var_a, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe753);
// compiled member node returning call754 (depth = 11)
  int op_slot_right_752 = gc_frame_newslot(call754);
// starting to compile identifier node (depth = 11)
  Object bool756 = alloc_Boolean(0);
// compiled identifier node returning bool756 (depth = 11)
  int op_slot_left_752 = gc_frame_newslot(bool756);
  params[0] = call754;
  partcv[0] = 1;
  Object opresult757 = callmethod(bool756, "≠(1)", 1, partcv, params);
// compiled op node returning opresult757 (depth = 10)
  gc_frame_end(frame);
  return opresult757;
}
Object meth_parser__apply769(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit771 == NULL) {
    strlit771 = alloc_String(":");
    gc_root(strlit771);
  }
// compiled string node returning strlit771 (depth = 11)
  int op_slot_right_770 = gc_frame_newslot(strlit771);
// starting to compile member node (depth = 11)
  int callframe773 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tok (depth = 12)
  Object call774 = callmethodflags(*var_tok, "value", 0, partcv, params, 0);
  gc_frame_end(callframe773);
// compiled member node returning call774 (depth = 11)
  int op_slot_left_770 = gc_frame_newslot(call774);
  params[0] = strlit771;
  partcv[0] = 1;
  Object opresult775 = callmethod(call774, "≠(1)", 1, partcv, params);
// compiled op node returning opresult775 (depth = 10)
  gc_frame_end(frame);
  return opresult775;
}
Object meth_parser__apply778(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe779 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tok (depth = 12)
  Object call780 = callmethodflags(*var_tok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe779);
// compiled member node returning call780 (depth = 11)
  *var_tok = call780;
  if (call780 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply_40_1_41_747(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_a = &(stackframe->slots[0]);
  *var_a = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "tok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 282
  setline(282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block750 = alloc_Block(NULL, NULL, "parser", 282);
  gc_frame_newslot(block750);
// method "_apply"
  block_savedest(block750);
  Object closure751 = createclosure(2, "_apply");
  setclosureframe(closure751, stackframe);
  addtoclosure(closure751, var_a);
  addtoclosure(closure751, selfslot);
  struct UserObject *uo751 = (struct UserObject*)block750;
  uo751->data[0] = (Object)closure751;
  Method *meth_meth_parser__apply751 = addmethod2pos(block750, "_apply", &meth_parser__apply751, 0);
  int argcv_meth_parser__apply751[] = {0};
  meth_meth_parser__apply751->type = alloc_MethodType(1, argcv_meth_parser__apply751);
  meth_meth_parser__apply751->definitionModule = modulename;
  meth_meth_parser__apply751->definitionLine = 3404;
// compiled block node returning block750 (depth = 9)
  int op_slot_right_749 = gc_frame_newslot(block750);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit761 == NULL) {
    strlit761 = alloc_String("identifier");
    gc_root(strlit761);
  }
// compiled string node returning strlit761 (depth = 10)
  int op_slot_right_760 = gc_frame_newslot(strlit761);
// starting to compile member node (depth = 10)
  int callframe763 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_a (depth = 11)
  Object call764 = callmethodflags(*var_a, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe763);
// compiled member node returning call764 (depth = 10)
  int op_slot_left_760 = gc_frame_newslot(call764);
  params[0] = strlit761;
  partcv[0] = 1;
  Object opresult765 = callmethod(call764, "==(1)", 1, partcv, params);
// compiled op node returning opresult765 (depth = 9)
  int op_slot_left_749 = gc_frame_newslot(opresult765);
  params[0] = block750;
  partcv[0] = 1;
  Object opresult766 = callmethod(opresult765, "&&(1)", 1, partcv, params);
// compiled op node returning opresult766 (depth = 8)
  Object if748 = done;
  if (istrue(opresult766)) {
// Begin line 283
  setline(283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 285
  setline(285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe767 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block768 = alloc_Block(NULL, NULL, "parser", 285);
  gc_frame_newslot(block768);
// method "_apply"
  block_savedest(block768);
  Object closure769 = createclosure(2, "_apply");
  setclosureframe(closure769, stackframe);
  addtoclosure(closure769, var_tok);
  addtoclosure(closure769, selfslot);
  struct UserObject *uo769 = (struct UserObject*)block768;
  uo769->data[0] = (Object)closure769;
  Method *meth_meth_parser__apply769 = addmethod2pos(block768, "_apply", &meth_parser__apply769, 0);
  int argcv_meth_parser__apply769[] = {0};
  meth_meth_parser__apply769->type = alloc_MethodType(1, argcv_meth_parser__apply769);
  meth_meth_parser__apply769->definitionModule = modulename;
  meth_meth_parser__apply769->definitionLine = 3404;
// compiled block node returning block768 (depth = 9)
  gc_frame_newslot(block768);
// starting to compile block node (depth = 9)
  Object block777 = alloc_Block(NULL, NULL, "parser", 285);
  gc_frame_newslot(block777);
// method "_apply"
  block_savedest(block777);
  Object closure778 = createclosure(2, "_apply");
  setclosureframe(closure778, stackframe);
  addtoclosure(closure778, var_tok);
  addtoclosure(closure778, selfslot);
  struct UserObject *uo778 = (struct UserObject*)block777;
  uo778->data[0] = (Object)closure778;
  Method *meth_meth_parser__apply778 = addmethod2pos(block777, "_apply", &meth_parser__apply778, 0);
  int argcv_meth_parser__apply778[] = {0};
  meth_meth_parser__apply778->type = alloc_MethodType(1, argcv_meth_parser__apply778);
  meth_meth_parser__apply778->definitionModule = modulename;
  meth_meth_parser__apply778->definitionLine = 3404;
// compiled block node returning block777 (depth = 9)
  gc_frame_newslot(block777);
// call case 5: prelude request
  params[0] = block768;
  params[1] = block777;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call783 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe767);
// compiled call node returning call783 (depth = 8)
// Begin line 286
  setline(286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe784 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe785 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call786 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe785);
// compiled member node returning call786 (depth = 10)
  Object call787 = callmethodflags(call786, "new", 0, partcv, params, 0);
  gc_frame_end(callframe784);
// compiled member node returning call787 (depth = 9)
  *var_suggestion = call787;
  if (call787 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 287
  setline(287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe788 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tok (depth = 9)
  gc_frame_newslot(*var_tok);
// starting to compile member node (depth = 9)
  int callframe789 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  Object call790 = callmethodflags(*var_tok, "next", 0, partcv, params, 0);
  gc_frame_end(callframe789);
// compiled member node returning call790 (depth = 9)
  gc_frame_newslot(call790);
// starting to compile identifier node (depth = 9)
  Object bool791 = alloc_Boolean(1);
// compiled identifier node returning bool791 (depth = 9)
  gc_frame_newslot(bool791);
// starting to compile identifier node (depth = 9)
  Object bool792 = alloc_Boolean(0);
// compiled identifier node returning bool792 (depth = 9)
  gc_frame_newslot(bool792);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_tok;
  params[1] = call790;
  params[2] = bool791;
  params[3] = bool792;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call793 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe788);
// compiled call node returning call793 (depth = 8)
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe794 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit795 == NULL) {
    strlit795 = alloc_String("an argument to an annotation cannot have a type.");
    gc_root(strlit795);
  }
// compiled string node returning strlit795 (depth = 9)
  gc_frame_newslot(strlit795);
// Begin line 289
  setline(289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe796 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  Object call797 = callmethodflags(*var_tok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe796);
// compiled member node returning call797 (depth = 9)
  gc_frame_newslot(call797);
// starting to compile member node (depth = 9)
  int callframe798 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_tok (depth = 10)
  Object call799 = callmethodflags(*var_tok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe798);
// compiled member node returning call799 (depth = 9)
  gc_frame_newslot(call799);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num801 = alloc_Float64(1);
// compiled num node returning num801 (depth = 10)
  int op_slot_right_800 = gc_frame_newslot(num801);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe804 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe805 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  Object call806 = callmethodflags(*var_tok, "next", 0, partcv, params, 0);
  gc_frame_end(callframe805);
// compiled member node returning call806 (depth = 12)
  Object call807 = callmethodflags(call806, "size", 0, partcv, params, 0);
  gc_frame_end(callframe804);
// compiled member node returning call807 (depth = 11)
  int op_slot_right_803 = gc_frame_newslot(call807);
// starting to compile member node (depth = 11)
  int callframe809 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe810 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  Object call811 = callmethodflags(*var_tok, "next", 0, partcv, params, 0);
  gc_frame_end(callframe810);
// compiled member node returning call811 (depth = 12)
  Object call812 = callmethodflags(call811, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe809);
// compiled member node returning call812 (depth = 11)
  int op_slot_left_803 = gc_frame_newslot(call812);
  params[0] = call807;
  partcv[0] = 1;
  Object sum813 = callmethod(call812, "+(1)", 1, partcv, params);
// compiled op node returning sum813 (depth = 10)
  int op_slot_left_800 = gc_frame_newslot(sum813);
  params[0] = num801;
  partcv[0] = 1;
  Object diff814 = callmethod(sum813, "-(1)", 1, partcv, params);
// compiled op node returning diff814 (depth = 9)
  gc_frame_newslot(diff814);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 288
  setline(288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit795;
  params[1] = call797;
  params[2] = call799;
  params[3] = diff814;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call815 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe794);
// compiled call node returning call815 (depth = 8)
    gc_frame_newslot(call815);
    if748 = call815;
  } else {
  }
// compiled if node returning if748 (depth = 7)
  gc_frame_end(frame);
  return if748;
}
Object meth_parser__apply_40_1_41_742(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_p = &(stackframe->slots[0]);
  *var_p = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 281
  setline(281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe743 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe744 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_p (depth = 7)
  Object call745 = callmethodflags(*var_p, "args", 0, partcv, params, 0);
  gc_frame_end(callframe744);
// compiled member node returning call745 (depth = 6)
  gc_frame_newslot(call745);
// starting to compile block node (depth = 6)
  Object block746 = alloc_Block(NULL, NULL, "parser", 281);
  gc_frame_newslot(block746);
// method "_apply(_)"
  block_savedest(block746);
  Object closure747 = createclosure(3, "_apply(1)");
  setclosureframe(closure747, stackframe);
  addtoclosure(closure747, var_sym);
  addtoclosure(closure747, var_errormessages);
  addtoclosure(closure747, selfslot);
  struct UserObject *uo747 = (struct UserObject*)block746;
  uo747->data[0] = (Object)closure747;
  Method *meth_meth_parser__apply_40_1_41_747 = addmethod2pos(block746, "_apply(1)", &meth_parser__apply_40_1_41_747, 0);
  int argcv_meth_parser__apply_40_1_41_747[] = {1};
  meth_meth_parser__apply_40_1_41_747->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_747);
  meth_meth_parser__apply_40_1_41_747->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_747->definitionLine = 3404;
// compiled block node returning block746 (depth = 6)
  gc_frame_newslot(block746);
// call case 5: prelude request
  params[0] = call745;
  params[1] = block746;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call817 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe743);
// compiled call node returning call817 (depth = 5)
  gc_frame_end(frame);
  return call817;
}
Object meth_parser_checkAnnotation_40_1_41_730(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 22, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkAnnotation(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method checkAnnotation(_)");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for checkAnnotation(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ann = &(stackframe->slots[0]);
  *var_ann = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part checkAnnotation(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 279
  setline(279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit733 == NULL) {
    strlit733 = alloc_String("call");
    gc_root(strlit733);
  }
// compiled string node returning strlit733 (depth = 4)
  int op_slot_right_732 = gc_frame_newslot(strlit733);
// starting to compile member node (depth = 4)
  int callframe735 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ann (depth = 5)
  Object call736 = callmethodflags(*var_ann, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe735);
// compiled member node returning call736 (depth = 4)
  int op_slot_left_732 = gc_frame_newslot(call736);
  params[0] = strlit733;
  partcv[0] = 1;
  Object opresult737 = callmethod(call736, "==(1)", 1, partcv, params);
// compiled op node returning opresult737 (depth = 3)
  Object if731 = done;
  if (istrue(opresult737)) {
// Begin line 280
  setline(280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe738 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe739 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ann (depth = 5)
  Object call740 = callmethodflags(*var_ann, "with", 0, partcv, params, 0);
  gc_frame_end(callframe739);
// compiled member node returning call740 (depth = 4)
  gc_frame_newslot(call740);
// starting to compile block node (depth = 4)
  Object block741 = alloc_Block(NULL, NULL, "parser", 280);
  gc_frame_newslot(block741);
// method "_apply(_)"
  block_savedest(block741);
  Object closure742 = createclosure(3, "_apply(1)");
  setclosureframe(closure742, stackframe);
  addtoclosure(closure742, var_sym);
  addtoclosure(closure742, var_errormessages);
  addtoclosure(closure742, selfslot);
  struct UserObject *uo742 = (struct UserObject*)block741;
  uo742->data[0] = (Object)closure742;
  Method *meth_meth_parser__apply_40_1_41_742 = addmethod2pos(block741, "_apply(1)", &meth_parser__apply_40_1_41_742, 0);
  int argcv_meth_parser__apply_40_1_41_742[] = {1};
  meth_meth_parser__apply_40_1_41_742->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_742);
  meth_meth_parser__apply_40_1_41_742->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_742->definitionLine = 3404;
// compiled block node returning block741 (depth = 4)
  gc_frame_newslot(block741);
// call case 5: prelude request
  params[0] = call740;
  params[1] = block741;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call819 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe738);
// compiled call node returning call819 (depth = 3)
    gc_frame_newslot(call819);
    if731 = call819;
  } else {
  }
// compiled if node returning if731 (depth = 2)
// Begin line 294
  setline(294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_ann (depth = 2)
  gc_frame_end(frame);
  return *var_ann;
}
Object meth_parser__apply835(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe836 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_noBlocks (depth = 7)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call837 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe836);
// compiled call node returning call837 (depth = 6)
  gc_frame_end(frame);
  return call837;
}
Object meth_parser__apply897(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe898 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit899 == NULL) {
    strlit899 = alloc_String("comma");
    gc_root(strlit899);
  }
// compiled string node returning strlit899 (depth = 5)
  gc_frame_newslot(strlit899);
// call case 4: self request
  params[0] = strlit899;
  partcv[0] = 1;
  Object call900 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe898);
// compiled call node returning call900 (depth = 4)
  gc_frame_end(frame);
  return call900;
}
Object meth_parser__apply916(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe917 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_noBlocks (depth = 9)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call918 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe917);
// compiled call node returning call918 (depth = 8)
  gc_frame_end(frame);
  return call918;
}
Object meth_parser__apply903(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_anns = getfromclosure(closure, 1);
  Object *var_noBlocks = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// Begin line 320
  setline(320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe904 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe905 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe906 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call907 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe906);
// compiled member node returning call907 (depth = 6)
  gc_frame_newslot(call907);
// call case 4: self request
  params[0] = call907;
  partcv[0] = 1;
  Object call908 = callmethodflags(self, "checkAnnotation(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe905);
// compiled call node returning call908 (depth = 5)
  gc_frame_newslot(call908);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  params[0] = call908;
  partcv[0] = 1;
  Object call909 = callmethodflags(*var_anns, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe904);
// compiled call node returning call909 (depth = 4)
// Begin line 321
  setline(321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe910 = gc_frame_new();
// call case 4: self request
  Object call911 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe910);
// compiled member node returning call911 (depth = 4)
// Begin line 322
  setline(322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe913 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe914 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block915 = alloc_Block(NULL, NULL, "parser", 322);
  gc_frame_newslot(block915);
// method "_apply"
  block_savedest(block915);
  Object closure916 = createclosure(2, "_apply");
  setclosureframe(closure916, stackframe);
  addtoclosure(closure916, var_noBlocks);
  addtoclosure(closure916, selfslot);
  struct UserObject *uo916 = (struct UserObject*)block915;
  uo916->data[0] = (Object)closure916;
  Method *meth_meth_parser__apply916 = addmethod2pos(block915, "_apply", &meth_parser__apply916, 0);
  int argcv_meth_parser__apply916[] = {0};
  meth_meth_parser__apply916->type = alloc_MethodType(1, argcv_meth_parser__apply916);
  meth_meth_parser__apply916->definitionModule = modulename;
  meth_meth_parser__apply916->definitionLine = 3404;
// compiled block node returning block915 (depth = 7)
  gc_frame_newslot(block915);
// call case 4: self request
  params[0] = block915;
  partcv[0] = 1;
  Object call920 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe914);
// compiled call node returning call920 (depth = 6)
  Object call921 = callmethodflags(call920, "not", 0, partcv, params, 0);
  gc_frame_end(callframe913);
// compiled member node returning call921 (depth = 5)
  Object if912 = done;
  if (istrue(call921)) {
// Begin line 323
  setline(323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array922 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array922 (depth = 6)
  *var_suggestions = array922;
  if (array922 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 324
  setline(324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe923 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe924 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call925 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe924);
// compiled member node returning call925 (depth = 7)
  Object call926 = callmethodflags(call925, "new", 0, partcv, params, 0);
  gc_frame_end(callframe923);
// compiled member node returning call926 (depth = 6)
  *var_suggestion = call926;
  if (call926 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 325
  setline(325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe927 = gc_frame_new();
// starting to compile array node (depth = 7)
  Object array928 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 8)
  if (strlit929 == NULL) {
    strlit929 = alloc_String("bind");
    gc_root(strlit929);
  }
// compiled string node returning strlit929 (depth = 8)
  params[0] = strlit929;
  partcv[0] = 1;
  callmethodflags(array928, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array928 (depth = 7)
  gc_frame_newslot(array928);
// call case 4: self request
  params[0] = array928;
  partcv[0] = 1;
  Object call930 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe927);
// compiled call node returning call930 (depth = 6)
  *var_nextTok = call930;
  if (call930 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 326
  setline(326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_932 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_932 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult934 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult934 (depth = 6)
  Object if931 = done;
  if (istrue(opresult934)) {
// Begin line 327
  setline(327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe935 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit936 == NULL) {
    strlit936 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit936);
  }
// compiled string node returning strlit936 (depth = 7)
  gc_frame_newslot(strlit936);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit936;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call937 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe935);
// compiled call node returning call937 (depth = 6)
    gc_frame_newslot(call937);
    if931 = call937;
  } else {
// Begin line 329
  setline(329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe938 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe939 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call940 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe939);
// compiled member node returning call940 (depth = 7)
  gc_frame_newslot(call940);
// starting to compile identifier node (depth = 7)
  Object bool941 = alloc_Boolean(1);
// compiled identifier node returning bool941 (depth = 7)
  gc_frame_newslot(bool941);
// starting to compile identifier node (depth = 7)
  Object bool942 = alloc_Boolean(0);
// compiled identifier node returning bool942 (depth = 7)
  gc_frame_newslot(bool942);
// starting to compile string node (depth = 7)
  if (strlit943 == NULL) {
    strlit943 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit943);
  }
// compiled string node returning strlit943 (depth = 7)
  gc_frame_newslot(strlit943);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call940;
  params[2] = bool941;
  params[3] = bool942;
  params[4] = strlit943;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call944 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe938);
// compiled call node returning call944 (depth = 6)
    gc_frame_newslot(call944);
    if931 = call944;
  }
// compiled if node returning if931 (depth = 5)
// Begin line 331
  setline(331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe945 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call946 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe945);
// compiled call node returning call946 (depth = 5)
// Begin line 332
  setline(332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe947 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe948 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call949 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe948);
// compiled member node returning call949 (depth = 7)
  Object call950 = callmethodflags(call949, "new", 0, partcv, params, 0);
  gc_frame_end(callframe947);
// compiled member node returning call950 (depth = 6)
  *var_suggestion = call950;
  if (call950 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 333
  setline(333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe952 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 6)
  int callframe953 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call954 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe953);
// compiled member node returning call954 (depth = 6)
  gc_frame_newslot(call954);
// starting to compile identifier node (depth = 6)
  Object bool955 = alloc_Boolean(1);
// compiled identifier node returning bool955 (depth = 6)
  gc_frame_newslot(bool955);
// starting to compile identifier node (depth = 6)
  Object bool956 = alloc_Boolean(0);
// compiled identifier node returning bool956 (depth = 6)
  gc_frame_newslot(bool956);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = call954;
  params[2] = bool955;
  params[3] = bool956;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call957 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe952);
// compiled call node returning call957 (depth = 5)
// Begin line 334
  setline(334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe958 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call959 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe958);
// compiled call node returning call959 (depth = 5)
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe960 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit961 == NULL) {
    strlit961 = alloc_String("one or more annotations separated by commas must follow 'is'.");
    gc_root(strlit961);
  }
// compiled string node returning strlit961 (depth = 6)
  gc_frame_newslot(strlit961);
// Begin line 336
  setline(336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe962 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call963 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe962);
// compiled member node returning call963 (depth = 6)
  gc_frame_newslot(call963);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num965 = alloc_Float64(1);
// compiled num node returning num965 (depth = 7)
  int op_slot_right_964 = gc_frame_newslot(num965);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe968 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call969 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe968);
// compiled member node returning call969 (depth = 8)
  int op_slot_right_967 = gc_frame_newslot(call969);
// starting to compile member node (depth = 8)
  int callframe971 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call972 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe971);
// compiled member node returning call972 (depth = 8)
  int op_slot_left_967 = gc_frame_newslot(call972);
  params[0] = call969;
  partcv[0] = 1;
  Object sum973 = callmethod(call972, "+(1)", 1, partcv, params);
// compiled op node returning sum973 (depth = 7)
  int op_slot_left_964 = gc_frame_newslot(sum973);
  params[0] = num965;
  partcv[0] = 1;
  Object sum974 = callmethod(sum973, "+(1)", 1, partcv, params);
// compiled op node returning sum974 (depth = 6)
  gc_frame_newslot(sum974);
// Begin line 337
  setline(337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 335
  setline(335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit961;
  params[1] = call963;
  params[2] = sum974;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call975 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe960);
// compiled call node returning call975 (depth = 5)
    gc_frame_newslot(call975);
    if912 = call975;
  } else {
  }
// compiled if node returning if912 (depth = 4)
  gc_frame_end(frame);
  return if912;
}
Object meth_parser_doannotation820(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 23, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doannotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_anns = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "anns");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 297
  setline(297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe822 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe823 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit824 == NULL) {
    strlit824 = alloc_String("is");
    gc_root(strlit824);
  }
// compiled string node returning strlit824 (depth = 5)
  gc_frame_newslot(strlit824);
// call case 4: self request
  params[0] = strlit824;
  partcv[0] = 1;
  Object call825 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe823);
// compiled call node returning call825 (depth = 4)
  Object call826 = callmethodflags(call825, "not", 0, partcv, params, 0);
  gc_frame_end(callframe822);
// compiled member node returning call826 (depth = 3)
  Object if821 = done;
  if (istrue(call826)) {
// Begin line 298
  setline(298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool827 = alloc_Boolean(0);
// compiled identifier node returning bool827 (depth = 4)
  return bool827;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if821 = undefined;
  } else {
  }
// compiled if node returning if821 (depth = 2)
// Begin line 300
  setline(300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe828 = gc_frame_new();
// call case 4: self request
  Object call829 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe828);
// compiled member node returning call829 (depth = 2)
// Begin line 301
  setline(301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array830 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array830 (depth = 3)
  *var_anns = array830;
  if (array830 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 302
  setline(302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe832 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe833 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block834 = alloc_Block(NULL, NULL, "parser", 302);
  gc_frame_newslot(block834);
// method "_apply"
  block_savedest(block834);
  Object closure835 = createclosure(2, "_apply");
  setclosureframe(closure835, stackframe);
  addtoclosure(closure835, var_noBlocks);
  addtoclosure(closure835, selfslot);
  struct UserObject *uo835 = (struct UserObject*)block834;
  uo835->data[0] = (Object)closure835;
  Method *meth_meth_parser__apply835 = addmethod2pos(block834, "_apply", &meth_parser__apply835, 0);
  int argcv_meth_parser__apply835[] = {0};
  meth_meth_parser__apply835->type = alloc_MethodType(1, argcv_meth_parser__apply835);
  meth_meth_parser__apply835->definitionModule = modulename;
  meth_meth_parser__apply835->definitionLine = 3404;
// compiled block node returning block834 (depth = 5)
  gc_frame_newslot(block834);
// call case 4: self request
  params[0] = block834;
  partcv[0] = 1;
  Object call839 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe833);
// compiled call node returning call839 (depth = 4)
  Object call840 = callmethodflags(call839, "not", 0, partcv, params, 0);
  gc_frame_end(callframe832);
// compiled member node returning call840 (depth = 3)
  Object if831 = done;
  if (istrue(call840)) {
// Begin line 303
  setline(303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array841 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array841 (depth = 4)
  *var_suggestions = array841;
  if (array841 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 304
  setline(304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe842 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe843 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call844 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe843);
// compiled member node returning call844 (depth = 5)
  Object call845 = callmethodflags(call844, "new", 0, partcv, params, 0);
  gc_frame_end(callframe842);
// compiled member node returning call845 (depth = 4)
  *var_suggestion = call845;
  if (call845 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 305
  setline(305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe846 = gc_frame_new();
// starting to compile array node (depth = 5)
  Object array847 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 6)
  if (strlit848 == NULL) {
    strlit848 = alloc_String("bind");
    gc_root(strlit848);
  }
// compiled string node returning strlit848 (depth = 6)
  params[0] = strlit848;
  partcv[0] = 1;
  callmethodflags(array847, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array847 (depth = 5)
  gc_frame_newslot(array847);
// call case 4: self request
  params[0] = array847;
  partcv[0] = 1;
  Object call849 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe846);
// compiled call node returning call849 (depth = 4)
  *var_nextTok = call849;
  if (call849 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 306
  setline(306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  int op_slot_right_851 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nextTok (depth = 5)
  int op_slot_left_851 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult853 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult853 (depth = 4)
  Object if850 = done;
  if (istrue(opresult853)) {
// Begin line 307
  setline(307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe854 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit855 == NULL) {
    strlit855 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit855);
  }
// compiled string node returning strlit855 (depth = 5)
  gc_frame_newslot(strlit855);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit855;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call856 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe854);
// compiled call node returning call856 (depth = 4)
    gc_frame_newslot(call856);
    if850 = call856;
  } else {
// Begin line 309
  setline(309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe857 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 5)
  int callframe858 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  Object call859 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe858);
// compiled member node returning call859 (depth = 5)
  gc_frame_newslot(call859);
// starting to compile identifier node (depth = 5)
  Object bool860 = alloc_Boolean(1);
// compiled identifier node returning bool860 (depth = 5)
  gc_frame_newslot(bool860);
// starting to compile identifier node (depth = 5)
  Object bool861 = alloc_Boolean(0);
// compiled identifier node returning bool861 (depth = 5)
  gc_frame_newslot(bool861);
// starting to compile string node (depth = 5)
  if (strlit862 == NULL) {
    strlit862 = alloc_String(" ""\xc2""""\xab""annotation""\xc2""""\xbb""");
    gc_root(strlit862);
  }
// compiled string node returning strlit862 (depth = 5)
  gc_frame_newslot(strlit862);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_sym;
  params[1] = call859;
  params[2] = bool860;
  params[3] = bool861;
  params[4] = strlit862;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call863 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe857);
// compiled call node returning call863 (depth = 4)
    gc_frame_newslot(call863);
    if850 = call863;
  }
// compiled if node returning if850 (depth = 3)
// Begin line 311
  setline(311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe864 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call865 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe864);
// compiled call node returning call865 (depth = 3)
// Begin line 312
  setline(312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe866 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe867 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call868 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe867);
// compiled member node returning call868 (depth = 5)
  Object call869 = callmethodflags(call868, "new", 0, partcv, params, 0);
  gc_frame_end(callframe866);
// compiled member node returning call869 (depth = 4)
  *var_suggestion = call869;
  if (call869 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 313
  setline(313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe871 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 4)
  int callframe872 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nextTok (depth = 5)
  Object call873 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe872);
// compiled member node returning call873 (depth = 4)
  gc_frame_newslot(call873);
// starting to compile identifier node (depth = 4)
  Object bool874 = alloc_Boolean(1);
// compiled identifier node returning bool874 (depth = 4)
  gc_frame_newslot(bool874);
// starting to compile identifier node (depth = 4)
  Object bool875 = alloc_Boolean(0);
// compiled identifier node returning bool875 (depth = 4)
  gc_frame_newslot(bool875);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = *var_lastToken;
  params[1] = call873;
  params[2] = bool874;
  params[3] = bool875;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call876 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe871);
// compiled call node returning call876 (depth = 3)
// Begin line 314
  setline(314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe877 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call878 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe877);
// compiled call node returning call878 (depth = 3)
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe879 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit880 == NULL) {
    strlit880 = alloc_String("one or more annotations separated by commas must follow 'is'.");
    gc_root(strlit880);
  }
// compiled string node returning strlit880 (depth = 4)
  gc_frame_newslot(strlit880);
// Begin line 316
  setline(316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe881 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call882 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe881);
// compiled member node returning call882 (depth = 4)
  gc_frame_newslot(call882);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num884 = alloc_Float64(1);
// compiled num node returning num884 (depth = 5)
  int op_slot_right_883 = gc_frame_newslot(num884);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe887 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call888 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe887);
// compiled member node returning call888 (depth = 6)
  int op_slot_right_886 = gc_frame_newslot(call888);
// starting to compile member node (depth = 6)
  int callframe890 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call891 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe890);
// compiled member node returning call891 (depth = 6)
  int op_slot_left_886 = gc_frame_newslot(call891);
  params[0] = call888;
  partcv[0] = 1;
  Object sum892 = callmethod(call891, "+(1)", 1, partcv, params);
// compiled op node returning sum892 (depth = 5)
  int op_slot_left_883 = gc_frame_newslot(sum892);
  params[0] = num884;
  partcv[0] = 1;
  Object sum893 = callmethod(sum892, "+(1)", 1, partcv, params);
// compiled op node returning sum893 (depth = 4)
  gc_frame_newslot(sum893);
// Begin line 317
  setline(317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 315
  setline(315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit880;
  params[1] = call882;
  params[2] = sum893;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call894 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe879);
// compiled call node returning call894 (depth = 3)
    gc_frame_newslot(call894);
    if831 = call894;
  } else {
  }
// compiled if node returning if831 (depth = 2)
// Begin line 319
  setline(319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe895 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block896 = alloc_Block(NULL, NULL, "parser", 319);
  gc_frame_newslot(block896);
// method "_apply"
  block_savedest(block896);
  Object closure897 = createclosure(1, "_apply");
  setclosureframe(closure897, stackframe);
  addtoclosure(closure897, selfslot);
  struct UserObject *uo897 = (struct UserObject*)block896;
  uo897->data[0] = (Object)closure897;
  Method *meth_meth_parser__apply897 = addmethod2pos(block896, "_apply", &meth_parser__apply897, 0);
  int argcv_meth_parser__apply897[] = {0};
  meth_meth_parser__apply897->type = alloc_MethodType(1, argcv_meth_parser__apply897);
  meth_meth_parser__apply897->definitionModule = modulename;
  meth_meth_parser__apply897->definitionLine = 3404;
// compiled block node returning block896 (depth = 3)
  gc_frame_newslot(block896);
// starting to compile block node (depth = 3)
  Object block902 = alloc_Block(NULL, NULL, "parser", 319);
  gc_frame_newslot(block902);
// method "_apply"
  block_savedest(block902);
  Object closure903 = createclosure(7, "_apply");
  setclosureframe(closure903, stackframe);
  addtoclosure(closure903, var_values);
  addtoclosure(closure903, var_anns);
  addtoclosure(closure903, var_noBlocks);
  addtoclosure(closure903, var_errormessages);
  addtoclosure(closure903, var_sym);
  addtoclosure(closure903, var_lastToken);
  addtoclosure(closure903, selfslot);
  struct UserObject *uo903 = (struct UserObject*)block902;
  uo903->data[0] = (Object)closure903;
  Method *meth_meth_parser__apply903 = addmethod2pos(block902, "_apply", &meth_parser__apply903, 0);
  int argcv_meth_parser__apply903[] = {0};
  meth_meth_parser__apply903->type = alloc_MethodType(1, argcv_meth_parser__apply903);
  meth_meth_parser__apply903->definitionModule = modulename;
  meth_meth_parser__apply903->definitionLine = 3404;
// compiled block node returning block902 (depth = 3)
  gc_frame_newslot(block902);
// call case 5: prelude request
  params[0] = block896;
  params[1] = block902;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call977 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe895);
// compiled call node returning call977 (depth = 2)
// Begin line 340
  setline(340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe978 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe979 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe980 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call981 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe980);
// compiled member node returning call981 (depth = 4)
  gc_frame_newslot(call981);
// call case 4: self request
  params[0] = call981;
  partcv[0] = 1;
  Object call982 = callmethodflags(self, "checkAnnotation(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe979);
// compiled call node returning call982 (depth = 3)
  gc_frame_newslot(call982);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_anns (depth = 3)
  params[0] = call982;
  partcv[0] = 1;
  Object call983 = callmethodflags(*var_anns, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe978);
// compiled call node returning call983 (depth = 2)
// Begin line 341
  setline(341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_anns (depth = 2)
  gc_frame_end(frame);
  return *var_anns;
}
Object meth_parser__apply1020(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1022 == NULL) {
    strlit1022 = alloc_String("blank");
    gc_root(strlit1022);
  }
// compiled string node returning strlit1022 (depth = 7)
  int op_slot_right_1021 = gc_frame_newslot(strlit1022);
// starting to compile member node (depth = 7)
  int callframe1024 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1025 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call1026 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1025);
// compiled member node returning call1026 (depth = 8)
  Object call1027 = callmethodflags(call1026, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1024);
// compiled member node returning call1027 (depth = 7)
  int op_slot_left_1021 = gc_frame_newslot(call1027);
  params[0] = strlit1022;
  partcv[0] = 1;
  Object opresult1028 = callmethod(call1027, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1028 (depth = 6)
  gc_frame_end(frame);
  return opresult1028;
}
Object meth_parser_blank984(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 24, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blank");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_blankLocation = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_done = getfromclosure(closure, 3);
  Object *var_previousCommentToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 345
  setline(345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num987 = alloc_Float64(0);
// compiled num node returning num987 (depth = 4)
  int op_slot_right_986 = gc_frame_newslot(num987);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blankLocation (depth = 4)
  int op_slot_left_986 = gc_frame_newslot(*var_blankLocation);
  params[0] = num987;
  partcv[0] = 1;
  Object opresult989 = callmethod(*var_blankLocation, "==(1)", 1, partcv, params);
// compiled op node returning opresult989 (depth = 3)
  Object if985 = done;
  if (istrue(opresult989)) {
// Begin line 346
  setline(346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num993 = alloc_Float64(1);
// compiled num node returning num993 (depth = 6)
  int op_slot_right_992 = gc_frame_newslot(num993);
// starting to compile member node (depth = 6)
  int callframe995 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call996 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe995);
// compiled member node returning call996 (depth = 6)
  int op_slot_left_992 = gc_frame_newslot(call996);
  params[0] = num993;
  partcv[0] = 1;
  Object sum997 = callmethod(call996, "+(1)", 1, partcv, params);
// compiled op node returning sum997 (depth = 5)
  int op_slot_right_991 = gc_frame_newslot(sum997);
// starting to compile member node (depth = 5)
  int callframe999 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1000 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe999);
// compiled member node returning call1000 (depth = 5)
  int op_slot_left_991 = gc_frame_newslot(call1000);
  params[0] = sum997;
  partcv[0] = 1;
  Object opresult1001 = callmethod(call1000, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1001 (depth = 4)
  Object if990 = done;
  if (istrue(opresult1001)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_done (depth = 5)
  return *var_done;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if990 = undefined;
  } else {
  }
// compiled if node returning if990 (depth = 3)
// Begin line 347
  setline(347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1005 = alloc_Float64(1);
// compiled num node returning num1005 (depth = 6)
  int op_slot_right_1004 = gc_frame_newslot(num1005);
// starting to compile member node (depth = 6)
  int callframe1007 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_previousCommentToken (depth = 7)
  Object call1008 = callmethodflags(*var_previousCommentToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1007);
// compiled member node returning call1008 (depth = 6)
  int op_slot_left_1004 = gc_frame_newslot(call1008);
  params[0] = num1005;
  partcv[0] = 1;
  Object sum1009 = callmethod(call1008, "+(1)", 1, partcv, params);
// compiled op node returning sum1009 (depth = 5)
  int op_slot_right_1003 = gc_frame_newslot(sum1009);
// starting to compile member node (depth = 5)
  int callframe1011 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1012 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1011);
// compiled member node returning call1012 (depth = 5)
  int op_slot_left_1003 = gc_frame_newslot(call1012);
  params[0] = sum1009;
  partcv[0] = 1;
  Object opresult1013 = callmethod(call1012, "≤(1)", 1, partcv, params);
// compiled op node returning opresult1013 (depth = 4)
  Object if1002 = done;
  if (istrue(opresult1013)) {
// starting to compile return node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_done (depth = 5)
  return *var_done;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if1002 = undefined;
  } else {
  }
// compiled if node returning if1002 (depth = 3)
    gc_frame_newslot(if1002);
    if985 = if1002;
  } else {
  }
// compiled if node returning if985 (depth = 2)
// Begin line 349
  setline(349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe1014 = gc_frame_new();
// call case 4: self request
  Object call1015 = callmethodflags(self, "pushComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1014);
// compiled member node returning call1015 (depth = 2)
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 351
  setline(351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block1019 = alloc_Block(NULL, NULL, "parser", 351);
  gc_frame_newslot(block1019);
// method "_apply"
  block_savedest(block1019);
  Object closure1020 = createclosure(2, "_apply");
  setclosureframe(closure1020, stackframe);
  addtoclosure(closure1020, var_values);
  addtoclosure(closure1020, selfslot);
  struct UserObject *uo1020 = (struct UserObject*)block1019;
  uo1020->data[0] = (Object)closure1020;
  Method *meth_meth_parser__apply1020 = addmethod2pos(block1019, "_apply", &meth_parser__apply1020, 0);
  int argcv_meth_parser__apply1020[] = {0};
  meth_meth_parser__apply1020->type = alloc_MethodType(1, argcv_meth_parser__apply1020);
  meth_meth_parser__apply1020->definitionModule = modulename;
  meth_meth_parser__apply1020->definitionLine = 3404;
// compiled block node returning block1019 (depth = 5)
  int op_slot_right_1018 = gc_frame_newslot(block1019);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1032 = alloc_Float64(0);
// compiled num node returning num1032 (depth = 6)
  int op_slot_right_1031 = gc_frame_newslot(num1032);
// starting to compile member node (depth = 6)
  int callframe1034 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call1035 = callmethodflags(*var_values, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1034);
// compiled member node returning call1035 (depth = 6)
  int op_slot_left_1031 = gc_frame_newslot(call1035);
  params[0] = num1032;
  partcv[0] = 1;
  Object opresult1036 = callmethod(call1035, ">(1)", 1, partcv, params);
// compiled op node returning opresult1036 (depth = 5)
  int op_slot_left_1018 = gc_frame_newslot(opresult1036);
  params[0] = block1019;
  partcv[0] = 1;
  Object opresult1037 = callmethod(opresult1036, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1037 (depth = 4)
  int op_slot_right_1017 = gc_frame_newslot(opresult1037);
// Begin line 350
  setline(350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1040 = alloc_Float64(0);
// compiled num node returning num1040 (depth = 5)
  int op_slot_right_1039 = gc_frame_newslot(num1040);
// starting to compile member node (depth = 5)
  int callframe1042 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call1043 = callmethodflags(*var_values, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1042);
// compiled member node returning call1043 (depth = 5)
  int op_slot_left_1039 = gc_frame_newslot(call1043);
  params[0] = num1040;
  partcv[0] = 1;
  Object opresult1044 = callmethod(call1043, "==(1)", 1, partcv, params);
// compiled op node returning opresult1044 (depth = 4)
  int op_slot_left_1017 = gc_frame_newslot(opresult1044);
  params[0] = opresult1037;
  partcv[0] = 1;
  Object opresult1045 = callmethod(opresult1044, "||(1)", 1, partcv, params);
// compiled op node returning opresult1045 (depth = 3)
  Object if1016 = done;
  if (istrue(opresult1045)) {
// Begin line 352
  setline(352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1048 = alloc_Float64(0);
// compiled num node returning num1048 (depth = 5)
  int op_slot_right_1047 = gc_frame_newslot(num1048);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blankLocation (depth = 5)
  int op_slot_left_1047 = gc_frame_newslot(*var_blankLocation);
  params[0] = num1048;
  partcv[0] = 1;
  Object opresult1050 = callmethod(*var_blankLocation, ">(1)", 1, partcv, params);
// compiled op node returning opresult1050 (depth = 4)
  Object if1046 = done;
  if (istrue(opresult1050)) {
// Begin line 353
  setline(353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1051 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blankLocation (depth = 5)
  gc_frame_newslot(*var_blankLocation);
// starting to compile num node (depth = 5)
  Object num1052 = alloc_Float64(0);
// compiled num node returning num1052 (depth = 5)
  gc_frame_newslot(num1052);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  params[0] = *var_blankLocation;
  params[1] = num1052;
  partcv[0] = 2;
  Object call1053 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1051);
// compiled call node returning call1053 (depth = 4)
// Begin line 354
  setline(354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1054 = alloc_Float64(0);
// compiled num node returning num1054 (depth = 5)
  *var_blankLocation = num1054;
  if (num1054 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1046 = done;
  } else {
// Begin line 356
  setline(356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1056 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1058 = alloc_Float64(1);
// compiled num node returning num1058 (depth = 6)
  int op_slot_right_1057 = gc_frame_newslot(num1058);
// starting to compile member node (depth = 6)
  int callframe1060 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call1061 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1060);
// compiled member node returning call1061 (depth = 6)
  int op_slot_left_1057 = gc_frame_newslot(call1061);
  params[0] = num1058;
  partcv[0] = 1;
  Object diff1062 = callmethod(call1061, "-(1)", 1, partcv, params);
// compiled op node returning diff1062 (depth = 5)
  gc_frame_newslot(diff1062);
// starting to compile num node (depth = 5)
  Object num1063 = alloc_Float64(0);
// compiled num node returning num1063 (depth = 5)
  gc_frame_newslot(num1063);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  params[0] = diff1062;
  params[1] = num1063;
  partcv[0] = 2;
  Object call1064 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1056);
// compiled call node returning call1064 (depth = 4)
    gc_frame_newslot(call1064);
    if1046 = call1064;
  }
// compiled if node returning if1046 (depth = 3)
// Begin line 358
  setline(358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1065 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1066 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1067 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call1068 = callmethodflags(*var_ast, "blankNode", 0, partcv, params, 0);
  gc_frame_end(callframe1067);
// compiled member node returning call1068 (depth = 5)
  Object call1069 = callmethodflags(call1068, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1066);
// compiled member node returning call1069 (depth = 4)
  gc_frame_newslot(call1069);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = call1069;
  partcv[0] = 1;
  Object call1070 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1065);
// compiled call node returning call1070 (depth = 3)
    gc_frame_newslot(call1070);
    if1016 = call1070;
  } else {
  }
// compiled if node returning if1016 (depth = 2)
  gc_frame_end(frame);
  return if1016;
}
Object meth_parser_dotypeterm1071(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 25, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotypeterm");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 363
  setline(363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1073 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1074 == NULL) {
    strlit1074 = alloc_String("identifier");
    gc_root(strlit1074);
  }
// compiled string node returning strlit1074 (depth = 4)
  gc_frame_newslot(strlit1074);
// call case 4: self request
  params[0] = strlit1074;
  partcv[0] = 1;
  Object call1075 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1073);
// compiled call node returning call1075 (depth = 3)
  Object if1072 = done;
  if (istrue(call1075)) {
// Begin line 364
  setline(364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1076 = gc_frame_new();
// call case 4: self request
  Object call1077 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1076);
// compiled member node returning call1077 (depth = 3)
// Begin line 365
  setline(365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1078 = gc_frame_new();
// call case 4: self request
  Object call1079 = callmethodflags(self, "generic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1078);
// compiled member node returning call1079 (depth = 3)
// Begin line 366
  setline(366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1080 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noBlocks (depth = 4)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call1081 = callmethodflags(self, "dotrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1080);
// compiled call node returning call1081 (depth = 3)
    gc_frame_newslot(call1081);
    if1072 = call1081;
  } else {
// Begin line 368
  setline(368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1083 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1084 == NULL) {
    strlit1084 = alloc_String("type");
    gc_root(strlit1084);
  }
// compiled string node returning strlit1084 (depth = 5)
  gc_frame_newslot(strlit1084);
// call case 4: self request
  params[0] = strlit1084;
  partcv[0] = 1;
  Object call1085 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1083);
// compiled call node returning call1085 (depth = 4)
  Object if1082 = done;
  if (istrue(call1085)) {
// Begin line 369
  setline(369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1086 = gc_frame_new();
// call case 4: self request
  Object call1087 = callmethodflags(self, "dotypeLiteral", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1086);
// compiled member node returning call1087 (depth = 4)
    gc_frame_newslot(call1087);
    if1082 = call1087;
  } else {
  }
// compiled if node returning if1082 (depth = 3)
    gc_frame_newslot(if1082);
    if1072 = if1082;
  }
// compiled if node returning if1072 (depth = 2)
  gc_frame_end(frame);
  return if1072;
}
Object meth_parser__apply1102(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
  int callframe1103 = gc_frame_new();
// call case 4: self request
  Object call1104 = callmethodflags(self, "typeexpression", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1103);
// compiled member node returning call1104 (depth = 7)
  gc_frame_end(frame);
  return call1104;
}
Object meth_parser_typeexpression1088(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 26, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeexpression");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_noBlocks = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sz");
  Object *var_prevStatementToken = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "prevStatementToken");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 375
  setline(375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe1089 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  Object call1090 = callmethodflags(*var_values, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1089);
// compiled member node returning call1090 (depth = 3)
  *var_sz = call1090;
  if (call1090 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 376
  setline(376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1092 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1093 == NULL) {
    strlit1093 = alloc_String("lparen");
    gc_root(strlit1093);
  }
// compiled string node returning strlit1093 (depth = 4)
  gc_frame_newslot(strlit1093);
// call case 4: self request
  params[0] = strlit1093;
  partcv[0] = 1;
  Object call1094 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1092);
// compiled call node returning call1094 (depth = 3)
  Object if1091 = done;
  if (istrue(call1094)) {
// Begin line 377
  setline(377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_statementToken (depth = 4)
  *var_prevStatementToken = *var_statementToken;
  if (*var_statementToken == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 378
  setline(378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 379
  setline(379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1096 = gc_frame_new();
// call case 4: self request
  Object call1097 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1096);
// compiled member node returning call1097 (depth = 3)
// Begin line 380
  setline(380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1099 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe1100 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block1101 = alloc_Block(NULL, NULL, "parser", 380);
  gc_frame_newslot(block1101);
// method "_apply"
  block_savedest(block1101);
  Object closure1102 = createclosure(1, "_apply");
  setclosureframe(closure1102, stackframe);
  addtoclosure(closure1102, selfslot);
  struct UserObject *uo1102 = (struct UserObject*)block1101;
  uo1102->data[0] = (Object)closure1102;
  Method *meth_meth_parser__apply1102 = addmethod2pos(block1101, "_apply", &meth_parser__apply1102, 0);
  int argcv_meth_parser__apply1102[] = {0};
  meth_meth_parser__apply1102->type = alloc_MethodType(1, argcv_meth_parser__apply1102);
  meth_meth_parser__apply1102->definitionModule = modulename;
  meth_meth_parser__apply1102->definitionLine = 3404;
// compiled block node returning block1101 (depth = 6)
  gc_frame_newslot(block1101);
// call case 4: self request
  params[0] = block1101;
  partcv[0] = 1;
  Object call1106 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1100);
// compiled call node returning call1106 (depth = 5)
  Object call1107 = callmethodflags(call1106, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1099);
// compiled member node returning call1107 (depth = 4)
  Object if1098 = done;
  if (istrue(call1107)) {
// Begin line 381
  setline(381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1108 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1109 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call1110 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1109);
// compiled member node returning call1110 (depth = 6)
  Object call1111 = callmethodflags(call1110, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1108);
// compiled member node returning call1111 (depth = 5)
  *var_suggestion = call1111;
  if (call1111 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 382
  setline(382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1112 = gc_frame_new();
// starting to compile array node (depth = 6)
  Object array1113 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 7)
  if (strlit1114 == NULL) {
    strlit1114 = alloc_String("rparen");
    gc_root(strlit1114);
  }
// compiled string node returning strlit1114 (depth = 7)
  params[0] = strlit1114;
  partcv[0] = 1;
  callmethodflags(array1113, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array1113 (depth = 6)
  gc_frame_newslot(array1113);
// call case 4: self request
  params[0] = array1113;
  partcv[0] = 1;
  Object call1115 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1112);
// compiled call node returning call1115 (depth = 5)
  *var_nextTok = call1115;
  if (call1115 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 383
  setline(383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_1117 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_1117 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1119 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult1119 (depth = 5)
  Object if1116 = done;
  if (istrue(opresult1119)) {
// Begin line 384
  setline(384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1120 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1121 == NULL) {
    strlit1121 = alloc_String("""\xc2""""\xab""type expression""\xc2""""\xbb""");
    gc_root(strlit1121);
  }
// compiled string node returning strlit1121 (depth = 6)
  gc_frame_newslot(strlit1121);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit1121;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1122 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1120);
// compiled call node returning call1122 (depth = 5)
    gc_frame_newslot(call1122);
    if1116 = call1122;
  } else {
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1123 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
  int callframe1124 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call1125 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1124);
// compiled member node returning call1125 (depth = 6)
  gc_frame_newslot(call1125);
// starting to compile identifier node (depth = 6)
  Object bool1126 = alloc_Boolean(1);
// compiled identifier node returning bool1126 (depth = 6)
  gc_frame_newslot(bool1126);
// Begin line 387
  setline(387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool1127 = alloc_Boolean(0);
// compiled identifier node returning bool1127 (depth = 6)
  gc_frame_newslot(bool1127);
// starting to compile string node (depth = 6)
  if (strlit1128 == NULL) {
    strlit1128 = alloc_String("""\xc2""""\xab""type expression""\xc2""""\xbb""");
    gc_root(strlit1128);
  }
// compiled string node returning strlit1128 (depth = 6)
  gc_frame_newslot(strlit1128);
// call case 6: other requests
// Begin line 386
  setline(386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call1125;
  params[2] = bool1126;
  params[3] = bool1127;
  params[4] = strlit1128;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1129 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe1123);
// compiled call node returning call1129 (depth = 5)
    gc_frame_newslot(call1129);
    if1116 = call1129;
  }
// compiled if node returning if1116 (depth = 4)
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1130 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1131 == NULL) {
    strlit1131 = alloc_String("parentheses must contain a valid type expression.");
    gc_root(strlit1131);
  }
// compiled string node returning strlit1131 (depth = 5)
  gc_frame_newslot(strlit1131);
// Begin line 390
  setline(390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1132 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1133 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1132);
// compiled member node returning call1133 (depth = 5)
  gc_frame_newslot(call1133);
// starting to compile member node (depth = 5)
  int callframe1134 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1135 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1134);
// compiled member node returning call1135 (depth = 5)
  gc_frame_newslot(call1135);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 389
  setline(389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1131;
  params[1] = call1133;
  params[2] = call1135;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1136 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1130);
// compiled call node returning call1136 (depth = 4)
    gc_frame_newslot(call1136);
    if1098 = call1136;
  } else {
  }
// compiled if node returning if1098 (depth = 3)
// Begin line 392
  setline(392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1139 == NULL) {
    strlit1139 = alloc_String("rparen");
    gc_root(strlit1139);
  }
// compiled string node returning strlit1139 (depth = 5)
  int op_slot_right_1138 = gc_frame_newslot(strlit1139);
// starting to compile member node (depth = 5)
  int callframe1141 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1142 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1141);
// compiled member node returning call1142 (depth = 5)
  int op_slot_left_1138 = gc_frame_newslot(call1142);
  params[0] = strlit1139;
  partcv[0] = 1;
  Object opresult1143 = callmethod(call1142, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1143 (depth = 4)
  Object if1137 = done;
  if (istrue(opresult1143)) {
// Begin line 393
  setline(393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1144 = gc_frame_new();
// call case 4: self request
  Object call1145 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1144);
// compiled member node returning call1145 (depth = 4)
// Begin line 394
  setline(394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1146 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1147 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call1148 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1147);
// compiled member node returning call1148 (depth = 6)
  Object call1149 = callmethodflags(call1148, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1146);
// compiled member node returning call1149 (depth = 5)
  *var_suggestion = call1149;
  if (call1149 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 395
  setline(395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1150 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1151 == NULL) {
    strlit1151 = alloc_String(")");
    gc_root(strlit1151);
  }
// compiled string node returning strlit1151 (depth = 5)
  gc_frame_newslot(strlit1151);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit1151;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1152 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1150);
// compiled call node returning call1152 (depth = 4)
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1153 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1154 == NULL) {
    strlit1154 = alloc_String("a type expression beginning with a '(' must end with a ')'.");
    gc_root(strlit1154);
  }
// compiled string node returning strlit1154 (depth = 5)
  gc_frame_newslot(strlit1154);
// Begin line 397
  setline(397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1155 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call1156 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1155);
// compiled member node returning call1156 (depth = 5)
  gc_frame_newslot(call1156);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1158 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call1159 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1158);
// compiled member node returning call1159 (depth = 6)
  int op_slot_right_1157 = gc_frame_newslot(call1159);
// starting to compile member node (depth = 6)
  int callframe1161 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call1162 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1161);
// compiled member node returning call1162 (depth = 6)
  int op_slot_left_1157 = gc_frame_newslot(call1162);
  params[0] = call1159;
  partcv[0] = 1;
  Object sum1163 = callmethod(call1162, "+(1)", 1, partcv, params);
// compiled op node returning sum1163 (depth = 5)
  gc_frame_newslot(sum1163);
// Begin line 398
  setline(398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 396
  setline(396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit1154;
  params[1] = call1156;
  params[2] = sum1163;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1164 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1153);
// compiled call node returning call1164 (depth = 4)
    gc_frame_newslot(call1164);
    if1137 = call1164;
  } else {
  }
// compiled if node returning if1137 (depth = 3)
// Begin line 400
  setline(400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_prevStatementToken (depth = 4)
  *var_statementToken = *var_prevStatementToken;
  if (*var_prevStatementToken == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 401
  setline(401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1166 = gc_frame_new();
// call case 4: self request
  Object call1167 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1166);
// compiled member node returning call1167 (depth = 3)
    gc_frame_newslot(call1167);
    if1091 = call1167;
  } else {
// Begin line 403
  setline(403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1168 = gc_frame_new();
// call case 4: self request
  Object call1169 = callmethodflags(self, "dotypeterm", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1168);
// compiled member node returning call1169 (depth = 3)
    gc_frame_newslot(call1169);
    if1091 = call1169;
  }
// compiled if node returning if1091 (depth = 2)
// Begin line 405
  setline(405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_right_1171 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 4)
  int callframe1173 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call1174 = callmethodflags(*var_values, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1173);
// compiled member node returning call1174 (depth = 4)
  int op_slot_left_1171 = gc_frame_newslot(call1174);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult1175 = callmethod(call1174, ">(1)", 1, partcv, params);
// compiled op node returning opresult1175 (depth = 3)
  Object if1170 = done;
  if (istrue(opresult1175)) {
// Begin line 406
  setline(406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1176 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noBlocks (depth = 4)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call1177 = callmethodflags(self, "dotrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1176);
// compiled call node returning call1177 (depth = 3)
// Begin line 407
  setline(407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1178 = gc_frame_new();
// call case 4: self request
  Object call1179 = callmethodflags(self, "typeexpressionrest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1178);
// compiled member node returning call1179 (depth = 3)
    gc_frame_newslot(call1179);
    if1170 = call1179;
  } else {
  }
// compiled if node returning if1170 (depth = 2)
  gc_frame_end(frame);
  return if1170;
}
Object meth_parser_newIf_40_3_41_1180(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 27, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "newIf(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method newIf(_,_,_)");
  Object params[3];
  int partcv[1];
  Object *var_ast = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for newIf(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_cond = &(stackframe->slots[0]);
  *var_cond = args[curarg];
  curarg++;
  Object *var_thenList = &(stackframe->slots[1]);
  *var_thenList = args[curarg];
  curarg++;
  Object *var_elseList = &(stackframe->slots[2]);
  *var_elseList = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part newIf(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_thenBlock = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "thenBlock");
  Object *var_elseBlock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "elseBlock");
// Begin line 414
  setline(414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1181 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1182 = gc_frame_new();
// call case 5: prelude request
  Object call1183 = callmethodflags(prelude, "emptySequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1182);
// compiled member node returning call1183 (depth = 4)
  gc_frame_newslot(call1183);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_thenList (depth = 4)
  gc_frame_newslot(*var_thenList);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1184 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call1185 = callmethodflags(*var_ast, "blockNode", 0, partcv, params, 0);
  gc_frame_end(callframe1184);
// compiled member node returning call1185 (depth = 4)
  params[0] = call1183;
  params[1] = *var_thenList;
  partcv[0] = 2;
  Object call1186 = callmethodflags(call1185, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1181);
// compiled call node returning call1186 (depth = 3)
  *var_thenBlock = call1186;
  if (call1186 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 415
  setline(415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1187 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1188 = gc_frame_new();
// call case 5: prelude request
  Object call1189 = callmethodflags(prelude, "emptySequence", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1188);
// compiled member node returning call1189 (depth = 4)
  gc_frame_newslot(call1189);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elseList (depth = 4)
  gc_frame_newslot(*var_elseList);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe1190 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call1191 = callmethodflags(*var_ast, "blockNode", 0, partcv, params, 0);
  gc_frame_end(callframe1190);
// compiled member node returning call1191 (depth = 4)
  params[0] = call1189;
  params[1] = *var_elseList;
  partcv[0] = 2;
  Object call1192 = callmethodflags(call1191, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1187);
// compiled call node returning call1192 (depth = 3)
  *var_elseBlock = call1192;
  if (call1192 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 416
  setline(416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe1193 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_cond (depth = 3)
  gc_frame_newslot(*var_cond);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_thenBlock (depth = 3)
  gc_frame_newslot(*var_thenBlock);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_elseBlock (depth = 3)
  gc_frame_newslot(*var_elseBlock);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe1194 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_ast (depth = 4)
  Object call1195 = callmethodflags(*var_ast, "ifNode", 0, partcv, params, 0);
  gc_frame_end(callframe1194);
// compiled member node returning call1195 (depth = 3)
  params[0] = *var_cond;
  params[1] = *var_thenBlock;
  params[2] = *var_elseBlock;
  partcv[0] = 3;
  Object call1196 = callmethodflags(call1195, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe1193);
// compiled call node returning call1196 (depth = 2)
  gc_frame_end(frame);
  return call1196;
}
Object meth_parser__apply1226(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe1227 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blocksOK (depth = 6)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1228 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1227);
// compiled call node returning call1228 (depth = 5)
  gc_frame_end(frame);
  return call1228;
}
Object meth_parser__apply1263(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe1264 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1265 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1264);
// compiled call node returning call1265 (depth = 11)
  gc_frame_end(frame);
  return call1265;
}
Object meth_parser__apply1339(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe1340 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1341 == NULL) {
    strlit1341 = alloc_String("comma");
    gc_root(strlit1341);
  }
// compiled string node returning strlit1341 (depth = 10)
  gc_frame_newslot(strlit1341);
// call case 4: self request
  params[0] = strlit1341;
  partcv[0] = 1;
  Object call1342 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1340);
// compiled call node returning call1342 (depth = 9)
  gc_frame_end(frame);
  return call1342;
}
Object meth_parser__apply_40_1_41_1349(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1351 == NULL) {
    strlit1351 = alloc_String("arrow");
    gc_root(strlit1351);
  }
// compiled string node returning strlit1351 (depth = 11)
  int op_slot_right_1350 = gc_frame_newslot(strlit1351);
// starting to compile member node (depth = 11)
  int callframe1353 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  Object call1354 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1353);
// compiled member node returning call1354 (depth = 11)
  int op_slot_left_1350 = gc_frame_newslot(call1354);
  params[0] = strlit1351;
  partcv[0] = 1;
  Object opresult1355 = callmethod(call1354, "==(1)", 1, partcv, params);
// compiled op node returning opresult1355 (depth = 10)
  gc_frame_end(frame);
  return opresult1355;
}
Object meth_parser__apply1397(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe1398 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1399 == NULL) {
    strlit1399 = alloc_String("comma");
    gc_root(strlit1399);
  }
// compiled string node returning strlit1399 (depth = 9)
  gc_frame_newslot(strlit1399);
// call case 4: self request
  params[0] = strlit1399;
  partcv[0] = 1;
  Object call1400 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1398);
// compiled call node returning call1400 (depth = 8)
  gc_frame_end(frame);
  return call1400;
}
Object meth_parser__apply1403(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_expr1 = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 493
  setline(493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe1404 = gc_frame_new();
// call case 4: self request
  Object call1405 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1404);
// compiled member node returning call1405 (depth = 8)
// Begin line 494
  setline(494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe1406 = gc_frame_new();
// call case 4: self request
  Object call1407 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1406);
// compiled member node returning call1407 (depth = 8)
// Begin line 495
  setline(495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1408 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  Object call1409 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe1408);
// compiled member node returning call1409 (depth = 9)
  *var_expr1 = call1409;
  if (call1409 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 496
  setline(496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1411 = gc_frame_new();
// starting to compile identifier node (depth = 9)
  Object bool1412 = alloc_Boolean(1);
// compiled identifier node returning bool1412 (depth = 9)
  gc_frame_newslot(bool1412);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_expr1 (depth = 9)
  params[0] = bool1412;
  partcv[0] = 1;
  Object call1413 = callmethodflags(*var_expr1, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1411);
// compiled call node returning call1413 (depth = 8)
// Begin line 497
  setline(497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1414 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe1415 = gc_frame_new();
// call case 4: self request
  Object call1416 = callmethodflags(self, "optionalTypeAnnotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1415);
// compiled member node returning call1416 (depth = 9)
  gc_frame_newslot(call1416);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_expr1 (depth = 9)
  params[0] = call1416;
  partcv[0] = 1;
  Object call1417 = callmethodflags(*var_expr1, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1414);
// compiled call node returning call1417 (depth = 8)
// Begin line 498
  setline(498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1418 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_expr1 (depth = 9)
  gc_frame_newslot(*var_expr1);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_params (depth = 9)
  params[0] = *var_expr1;
  partcv[0] = 1;
  Object call1419 = callmethodflags(*var_params, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1418);
// compiled call node returning call1419 (depth = 8)
  gc_frame_end(frame);
  return call1419;
}
Object meth_parser__apply1534(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 12)
  int callframe1535 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_blocksOK (depth = 13)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1536 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1535);
// compiled call node returning call1536 (depth = 12)
  gc_frame_end(frame);
  return call1536;
}
Object meth_parser__apply1231(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(13, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_expr1 = getfromclosure(closure, 1);
  Object *var_braceIsType = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object *var_params = getfromclosure(closure, 7);
  Object *var_isMatchingBlock = getfromclosure(closure, 8);
  Object *var_body = getfromclosure(closure, 9);
  Object *var_indentFreePass = getfromclosure(closure, 10);
  Object *var_btok = getfromclosure(closure, 11);
  Object *var_util = getfromclosure(closure, 12);
  Object *var_ast = getfromclosure(closure, 13);
  Object self = *(getfromclosure(closure, 14));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_arrow = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arrow");
  Object *var_lhs = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "lhs");
  Object *var_rhs = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "rhs");
// Begin line 442
  setline(442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1234 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1235 == NULL) {
    strlit1235 = alloc_String("colon");
    gc_root(strlit1235);
  }
// compiled string node returning strlit1235 (depth = 8)
  gc_frame_newslot(strlit1235);
// call case 4: self request
  params[0] = strlit1235;
  partcv[0] = 1;
  Object call1236 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1234);
// compiled call node returning call1236 (depth = 7)
  int op_slot_right_1233 = gc_frame_newslot(call1236);
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1239 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1240 == NULL) {
    strlit1240 = alloc_String("arrow");
    gc_root(strlit1240);
  }
// compiled string node returning strlit1240 (depth = 9)
  gc_frame_newslot(strlit1240);
// call case 4: self request
  params[0] = strlit1240;
  partcv[0] = 1;
  Object call1241 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1239);
// compiled call node returning call1241 (depth = 8)
  int op_slot_right_1238 = gc_frame_newslot(call1241);
// starting to compile call node (depth = 8)
  int callframe1243 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1244 == NULL) {
    strlit1244 = alloc_String("comma");
    gc_root(strlit1244);
  }
// compiled string node returning strlit1244 (depth = 9)
  gc_frame_newslot(strlit1244);
// call case 4: self request
  params[0] = strlit1244;
  partcv[0] = 1;
  Object call1245 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1243);
// compiled call node returning call1245 (depth = 8)
  int op_slot_left_1238 = gc_frame_newslot(call1245);
  params[0] = call1241;
  partcv[0] = 1;
  Object opresult1246 = callmethod(call1245, "||(1)", 1, partcv, params);
// compiled op node returning opresult1246 (depth = 7)
  int op_slot_left_1233 = gc_frame_newslot(opresult1246);
  params[0] = call1236;
  partcv[0] = 1;
  Object opresult1247 = callmethod(opresult1246, "||(1)", 1, partcv, params);
// compiled op node returning opresult1247 (depth = 6)
  Object if1232 = done;
  if (istrue(opresult1247)) {
// Begin line 444
  setline(444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1248 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call1249 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe1248);
// compiled member node returning call1249 (depth = 7)
  *var_expr1 = call1249;
  if (call1249 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 445
  setline(445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe1252 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1253 == NULL) {
    strlit1253 = alloc_String("colon");
    gc_root(strlit1253);
  }
// compiled string node returning strlit1253 (depth = 8)
  gc_frame_newslot(strlit1253);
// call case 4: self request
  params[0] = strlit1253;
  partcv[0] = 1;
  Object call1254 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1252);
// compiled call node returning call1254 (depth = 7)
  Object if1251 = done;
  if (istrue(call1254)) {
// Begin line 448
  setline(448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1255 = gc_frame_new();
// call case 4: self request
  Object call1256 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1255);
// compiled member node returning call1256 (depth = 7)
// Begin line 449
  setline(449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool1257 = alloc_Boolean(1);
// compiled identifier node returning bool1257 (depth = 8)
  *var_braceIsType = bool1257;
  if (bool1257 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 450
  setline(450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1260 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe1261 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block1262 = alloc_Block(NULL, NULL, "parser", 450);
  gc_frame_newslot(block1262);
// method "_apply"
  block_savedest(block1262);
  Object closure1263 = createclosure(2, "_apply");
  setclosureframe(closure1263, stackframe);
  addtoclosure(closure1263, var_blocksOK);
  addtoclosure(closure1263, selfslot);
  struct UserObject *uo1263 = (struct UserObject*)block1262;
  uo1263->data[0] = (Object)closure1263;
  Method *meth_meth_parser__apply1263 = addmethod2pos(block1262, "_apply", &meth_parser__apply1263, 0);
  int argcv_meth_parser__apply1263[] = {0};
  meth_meth_parser__apply1263->type = alloc_MethodType(1, argcv_meth_parser__apply1263);
  meth_meth_parser__apply1263->definitionModule = modulename;
  meth_meth_parser__apply1263->definitionLine = 3404;
// compiled block node returning block1262 (depth = 10)
  gc_frame_newslot(block1262);
// call case 4: self request
  params[0] = block1262;
  partcv[0] = 1;
  Object call1267 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1261);
// compiled call node returning call1267 (depth = 9)
  Object call1268 = callmethodflags(call1267, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1260);
// compiled member node returning call1268 (depth = 8)
  Object if1259 = done;
  if (istrue(call1268)) {
// Begin line 451
  setline(451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile array node (depth = 9)
  Object array1269 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1269 (depth = 9)
  *var_suggestions = array1269;
  if (array1269 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 452
  setline(452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1270 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1271 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call1272 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1271);
// compiled member node returning call1272 (depth = 10)
  Object call1273 = callmethodflags(call1272, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1270);
// compiled member node returning call1273 (depth = 9)
  *var_suggestion = call1273;
  if (call1273 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 453
  setline(453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1274 = gc_frame_new();
// starting to compile array node (depth = 10)
  Object array1275 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 11)
  if (strlit1276 == NULL) {
    strlit1276 = alloc_String("arrow");
    gc_root(strlit1276);
  }
// compiled string node returning strlit1276 (depth = 11)
  params[0] = strlit1276;
  partcv[0] = 1;
  callmethodflags(array1275, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 11)
  if (strlit1277 == NULL) {
    strlit1277 = alloc_String("rbrace");
    gc_root(strlit1277);
  }
// compiled string node returning strlit1277 (depth = 11)
  params[0] = strlit1277;
  partcv[0] = 1;
  callmethodflags(array1275, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array1275 (depth = 10)
  gc_frame_newslot(array1275);
// call case 4: self request
  params[0] = array1275;
  partcv[0] = 1;
  Object call1278 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1274);
// compiled call node returning call1278 (depth = 9)
  *var_nextTok = call1278;
  if (call1278 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 454
  setline(454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_1280 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_1280 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1282 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult1282 (depth = 9)
  Object if1279 = done;
  if (istrue(opresult1282)) {
// Begin line 455
  setline(455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1283 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1284 == NULL) {
    strlit1284 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1284);
  }
// compiled string node returning strlit1284 (depth = 10)
  gc_frame_newslot(strlit1284);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit1284;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1285 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1283);
// compiled call node returning call1285 (depth = 9)
    gc_frame_newslot(call1285);
    if1279 = call1285;
  } else {
// Begin line 457
  setline(457);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1286 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
  int callframe1287 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call1288 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1287);
// compiled member node returning call1288 (depth = 10)
  gc_frame_newslot(call1288);
// starting to compile identifier node (depth = 10)
  Object bool1289 = alloc_Boolean(1);
// compiled identifier node returning bool1289 (depth = 10)
  gc_frame_newslot(bool1289);
// starting to compile identifier node (depth = 10)
  Object bool1290 = alloc_Boolean(0);
// compiled identifier node returning bool1290 (depth = 10)
  gc_frame_newslot(bool1290);
// starting to compile string node (depth = 10)
  if (strlit1291 == NULL) {
    strlit1291 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1291);
  }
// compiled string node returning strlit1291 (depth = 10)
  gc_frame_newslot(strlit1291);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call1288;
  params[2] = bool1289;
  params[3] = bool1290;
  params[4] = strlit1291;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1292 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe1286);
// compiled call node returning call1292 (depth = 9)
    gc_frame_newslot(call1292);
    if1279 = call1292;
  }
// compiled if node returning if1279 (depth = 8)
// Begin line 459
  setline(459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1293 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1294 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1293);
// compiled call node returning call1294 (depth = 8)
// Begin line 460
  setline(460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1295 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1296 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call1297 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1296);
// compiled member node returning call1297 (depth = 10)
  Object call1298 = callmethodflags(call1297, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1295);
// compiled member node returning call1298 (depth = 9)
  *var_suggestion = call1298;
  if (call1298 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 461
  setline(461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1300 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
  int callframe1301 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call1302 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1301);
// compiled member node returning call1302 (depth = 9)
  gc_frame_newslot(call1302);
// starting to compile identifier node (depth = 9)
  Object bool1303 = alloc_Boolean(1);
// compiled identifier node returning bool1303 (depth = 9)
  gc_frame_newslot(bool1303);
// starting to compile identifier node (depth = 9)
  Object bool1304 = alloc_Boolean(0);
// compiled identifier node returning bool1304 (depth = 9)
  gc_frame_newslot(bool1304);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = call1302;
  params[2] = bool1303;
  params[3] = bool1304;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1305 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1300);
// compiled call node returning call1305 (depth = 8)
// Begin line 462
  setline(462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1306 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1307 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1306);
// compiled call node returning call1307 (depth = 8)
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1308 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1309 == NULL) {
    strlit1309 = alloc_String("a block must have an expression after the ':'.");
    gc_root(strlit1309);
  }
// compiled string node returning strlit1309 (depth = 9)
  gc_frame_newslot(strlit1309);
// Begin line 464
  setline(464);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe1310 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call1311 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1310);
// compiled member node returning call1311 (depth = 9)
  gc_frame_newslot(call1311);
// starting to compile member node (depth = 9)
  int callframe1312 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call1313 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1312);
// compiled member node returning call1313 (depth = 9)
  gc_frame_newslot(call1313);
// Begin line 465
  setline(465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 463
  setline(463);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit1309;
  params[1] = call1311;
  params[2] = call1313;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1314 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1308);
// compiled call node returning call1314 (depth = 8)
    gc_frame_newslot(call1314);
    if1259 = call1314;
  } else {
  }
// compiled if node returning if1259 (depth = 7)
// Begin line 467
  setline(467);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool1315 = alloc_Boolean(0);
// compiled identifier node returning bool1315 (depth = 8)
  *var_braceIsType = bool1315;
  if (bool1315 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 468
  setline(468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1317 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe1318 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call1319 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe1318);
// compiled member node returning call1319 (depth = 8)
  gc_frame_newslot(call1319);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_expr1 (depth = 8)
  params[0] = call1319;
  partcv[0] = 1;
  Object call1320 = callmethodflags(*var_expr1, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1317);
// compiled call node returning call1320 (depth = 7)
    gc_frame_newslot(call1320);
    if1251 = call1320;
  } else {
  }
// compiled if node returning if1251 (depth = 6)
// Begin line 470
  setline(470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1321 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_expr1 (depth = 7)
  gc_frame_newslot(*var_expr1);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_params (depth = 7)
  params[0] = *var_expr1;
  partcv[0] = 1;
  Object call1322 = callmethodflags(*var_params, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1321);
// compiled call node returning call1322 (depth = 6)
// Begin line 471
  setline(471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1325 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_expr1 (depth = 9)
  Object call1326 = callmethodflags(*var_expr1, "isIdentifier", 0, partcv, params, 0);
  gc_frame_end(callframe1325);
// compiled member node returning call1326 (depth = 8)
  int op_slot_right_1324 = gc_frame_newslot(call1326);
// starting to compile member node (depth = 8)
  int callframe1328 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_isMatchingBlock (depth = 9)
  Object call1329 = callmethodflags(*var_isMatchingBlock, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1328);
// compiled member node returning call1329 (depth = 8)
  int op_slot_left_1324 = gc_frame_newslot(call1329);
  params[0] = call1326;
  partcv[0] = 1;
  Object opresult1330 = callmethod(call1329, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1330 (depth = 7)
  Object if1323 = done;
  if (istrue(opresult1330)) {
// Begin line 472
  setline(472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1331 = gc_frame_new();
// starting to compile identifier node (depth = 8)
  Object bool1332 = alloc_Boolean(1);
// compiled identifier node returning bool1332 (depth = 8)
  gc_frame_newslot(bool1332);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_expr1 (depth = 8)
  params[0] = bool1332;
  partcv[0] = 1;
  Object call1333 = callmethodflags(*var_expr1, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1331);
// compiled call node returning call1333 (depth = 7)
    gc_frame_newslot(call1333);
    if1323 = call1333;
  } else {
// Begin line 474
  setline(474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool1334 = alloc_Boolean(1);
// compiled identifier node returning bool1334 (depth = 8)
  *var_isMatchingBlock = bool1334;
  if (bool1334 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if1323 = done;
  }
// compiled if node returning if1323 (depth = 6)
// Begin line 476
  setline(476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile block node (depth = 8)
  Object block1338 = alloc_Block(NULL, NULL, "parser", 476);
  gc_frame_newslot(block1338);
// method "_apply"
  block_savedest(block1338);
  Object closure1339 = createclosure(1, "_apply");
  setclosureframe(closure1339, stackframe);
  addtoclosure(closure1339, selfslot);
  struct UserObject *uo1339 = (struct UserObject*)block1338;
  uo1339->data[0] = (Object)closure1339;
  Method *meth_meth_parser__apply1339 = addmethod2pos(block1338, "_apply", &meth_parser__apply1339, 0);
  int argcv_meth_parser__apply1339[] = {0};
  meth_meth_parser__apply1339->type = alloc_MethodType(1, argcv_meth_parser__apply1339);
  meth_meth_parser__apply1339->definitionModule = modulename;
  meth_meth_parser__apply1339->definitionLine = 3404;
// compiled block node returning block1338 (depth = 8)
  int op_slot_right_1337 = gc_frame_newslot(block1338);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_isMatchingBlock (depth = 8)
  int op_slot_left_1337 = gc_frame_newslot(*var_isMatchingBlock);
  params[0] = block1338;
  partcv[0] = 1;
  Object opresult1345 = callmethod(*var_isMatchingBlock, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1345 (depth = 7)
  Object if1336 = done;
  if (istrue(opresult1345)) {
// Begin line 477
  setline(477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile array node (depth = 8)
  Object array1346 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1346 (depth = 8)
  *var_suggestions = array1346;
  if (array1346 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 478
  setline(478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
  *var_suggestion = undefined;
// compiled vardec node returning done (depth = 7)
// Begin line 479
  setline(479);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1347 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block1348 = alloc_Block(NULL, NULL, "parser", 479);
  gc_frame_newslot(block1348);
// method "_apply(_)"
  block_savedest(block1348);
  Object closure1349 = createclosure(1, "_apply(1)");
  setclosureframe(closure1349, stackframe);
  addtoclosure(closure1349, selfslot);
  struct UserObject *uo1349 = (struct UserObject*)block1348;
  uo1349->data[0] = (Object)closure1349;
  Method *meth_meth_parser__apply_40_1_41_1349 = addmethod2pos(block1348, "_apply(1)", &meth_parser__apply_40_1_41_1349, 0);
  int argcv_meth_parser__apply_40_1_41_1349[] = {1};
  meth_meth_parser__apply_40_1_41_1349->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_1349);
  meth_meth_parser__apply_40_1_41_1349->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_1349->definitionLine = 3404;
// compiled block node returning block1348 (depth = 9)
  gc_frame_newslot(block1348);
// call case 4: self request
  params[0] = block1348;
  partcv[0] = 1;
  Object call1357 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1347);
// compiled call node returning call1357 (depth = 8)
  *var_arrow = call1357;
  if (call1357 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 480
  setline(480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_arrow (depth = 9)
  int op_slot_right_1359 = gc_frame_newslot(*var_arrow);
// starting to compile identifier node (depth = 9)
  Object bool1361 = alloc_Boolean(0);
// compiled identifier node returning bool1361 (depth = 9)
  int op_slot_left_1359 = gc_frame_newslot(bool1361);
  params[0] = *var_arrow;
  partcv[0] = 1;
  Object opresult1362 = callmethod(bool1361, "≠(1)", 1, partcv, params);
// compiled op node returning opresult1362 (depth = 8)
  Object if1358 = done;
  if (istrue(opresult1362)) {
// Begin line 481
  setline(481);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1363 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1364 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call1365 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1364);
// compiled member node returning call1365 (depth = 10)
  Object call1366 = callmethodflags(call1365, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1363);
// compiled member node returning call1366 (depth = 9)
  *var_suggestion = call1366;
  if (call1366 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 482
  setline(482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1368 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
  int callframe1369 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_arrow (depth = 10)
  Object call1370 = callmethodflags(*var_arrow, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1369);
// compiled member node returning call1370 (depth = 9)
  gc_frame_newslot(call1370);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call1370;
  partcv[0] = 2;
  Object call1371 = callmethodflags(*var_suggestion, "deleteTokenRange(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1368);
// compiled call node returning call1371 (depth = 8)
// Begin line 483
  setline(483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1372 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1373 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1372);
// compiled call node returning call1373 (depth = 8)
    gc_frame_newslot(call1373);
    if1358 = call1373;
  } else {
  }
// compiled if node returning if1358 (depth = 7)
// Begin line 485
  setline(485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1374 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1375 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call1376 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1375);
// compiled member node returning call1376 (depth = 9)
  Object call1377 = callmethodflags(call1376, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1374);
// compiled member node returning call1377 (depth = 8)
  *var_suggestion = call1377;
  if (call1377 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 486
  setline(486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1379 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool1380 = alloc_Boolean(1);
// compiled identifier node returning bool1380 (depth = 8)
  gc_frame_newslot(bool1380);
// starting to compile identifier node (depth = 8)
  Object bool1381 = alloc_Boolean(0);
// compiled identifier node returning bool1381 (depth = 8)
  gc_frame_newslot(bool1381);
// starting to compile string node (depth = 8)
  if (strlit1382 == NULL) {
    strlit1382 = alloc_String(" |");
    gc_root(strlit1382);
  }
// compiled string node returning strlit1382 (depth = 8)
  gc_frame_newslot(strlit1382);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool1380;
  params[2] = bool1381;
  params[3] = strlit1382;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1383 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe1379);
// compiled call node returning call1383 (depth = 7)
// Begin line 487
  setline(487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1384 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1385 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1384);
// compiled call node returning call1385 (depth = 7)
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1386 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1387 == NULL) {
    strlit1387 = alloc_String("a matching block may only have one parameter.");
    gc_root(strlit1387);
  }
// compiled string node returning strlit1387 (depth = 8)
  gc_frame_newslot(strlit1387);
// Begin line 489
  setline(489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe1388 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call1389 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1388);
// compiled member node returning call1389 (depth = 8)
  gc_frame_newslot(call1389);
// starting to compile member node (depth = 8)
  int callframe1390 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call1391 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1390);
// compiled member node returning call1391 (depth = 8)
  gc_frame_newslot(call1391);
// starting to compile member node (depth = 8)
  int callframe1392 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call1393 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1392);
// compiled member node returning call1393 (depth = 8)
  gc_frame_newslot(call1393);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 488
  setline(488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit1387;
  params[1] = call1389;
  params[2] = call1391;
  params[3] = call1393;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call1394 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1386);
// compiled call node returning call1394 (depth = 7)
    gc_frame_newslot(call1394);
    if1336 = call1394;
  } else {
  }
// compiled if node returning if1336 (depth = 6)
// Begin line 491
  setline(491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1395 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block1396 = alloc_Block(NULL, NULL, "parser", 491);
  gc_frame_newslot(block1396);
// method "_apply"
  block_savedest(block1396);
  Object closure1397 = createclosure(1, "_apply");
  setclosureframe(closure1397, stackframe);
  addtoclosure(closure1397, selfslot);
  struct UserObject *uo1397 = (struct UserObject*)block1396;
  uo1397->data[0] = (Object)closure1397;
  Method *meth_meth_parser__apply1397 = addmethod2pos(block1396, "_apply", &meth_parser__apply1397, 0);
  int argcv_meth_parser__apply1397[] = {0};
  meth_meth_parser__apply1397->type = alloc_MethodType(1, argcv_meth_parser__apply1397);
  meth_meth_parser__apply1397->definitionModule = modulename;
  meth_meth_parser__apply1397->definitionLine = 3404;
// compiled block node returning block1396 (depth = 7)
  gc_frame_newslot(block1396);
// starting to compile block node (depth = 7)
  Object block1402 = alloc_Block(NULL, NULL, "parser", 491);
  gc_frame_newslot(block1402);
// method "_apply"
  block_savedest(block1402);
  Object closure1403 = createclosure(4, "_apply");
  setclosureframe(closure1403, stackframe);
  addtoclosure(closure1403, var_values);
  addtoclosure(closure1403, var_expr1);
  addtoclosure(closure1403, var_params);
  addtoclosure(closure1403, selfslot);
  struct UserObject *uo1403 = (struct UserObject*)block1402;
  uo1403->data[0] = (Object)closure1403;
  Method *meth_meth_parser__apply1403 = addmethod2pos(block1402, "_apply", &meth_parser__apply1403, 0);
  int argcv_meth_parser__apply1403[] = {0};
  meth_meth_parser__apply1403->type = alloc_MethodType(1, argcv_meth_parser__apply1403);
  meth_meth_parser__apply1403->definitionModule = modulename;
  meth_meth_parser__apply1403->definitionLine = 3404;
// compiled block node returning block1402 (depth = 7)
  gc_frame_newslot(block1402);
// call case 5: prelude request
  params[0] = block1396;
  params[1] = block1402;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1421 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1395);
// compiled call node returning call1421 (depth = 6)
// Begin line 500
  setline(500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1423 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe1424 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1425 == NULL) {
    strlit1425 = alloc_String("arrow");
    gc_root(strlit1425);
  }
// compiled string node returning strlit1425 (depth = 9)
  gc_frame_newslot(strlit1425);
// call case 4: self request
  params[0] = strlit1425;
  partcv[0] = 1;
  Object call1426 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1424);
// compiled call node returning call1426 (depth = 8)
  Object call1427 = callmethodflags(call1426, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1423);
// compiled member node returning call1427 (depth = 7)
  Object if1422 = done;
  if (istrue(call1427)) {
// Begin line 501
  setline(501);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe1428 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe1429 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call1430 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1429);
// compiled member node returning call1430 (depth = 9)
  Object call1431 = callmethodflags(call1430, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1428);
// compiled member node returning call1431 (depth = 8)
  *var_suggestion = call1431;
  if (call1431 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 502
  setline(502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1435 == NULL) {
    strlit1435 = alloc_String("=");
    gc_root(strlit1435);
  }
// compiled string node returning strlit1435 (depth = 10)
  int op_slot_right_1434 = gc_frame_newslot(strlit1435);
// starting to compile member node (depth = 10)
  int callframe1437 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call1438 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1437);
// compiled member node returning call1438 (depth = 10)
  int op_slot_left_1434 = gc_frame_newslot(call1438);
  params[0] = strlit1435;
  partcv[0] = 1;
  Object opresult1439 = callmethod(call1438, "==(1)", 1, partcv, params);
// compiled op node returning opresult1439 (depth = 9)
  int op_slot_right_1433 = gc_frame_newslot(opresult1439);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit1442 == NULL) {
    strlit1442 = alloc_String("bind");
    gc_root(strlit1442);
  }
// compiled string node returning strlit1442 (depth = 10)
  int op_slot_right_1441 = gc_frame_newslot(strlit1442);
// starting to compile member node (depth = 10)
  int callframe1444 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call1445 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1444);
// compiled member node returning call1445 (depth = 10)
  int op_slot_left_1441 = gc_frame_newslot(call1445);
  params[0] = strlit1442;
  partcv[0] = 1;
  Object opresult1446 = callmethod(call1445, "==(1)", 1, partcv, params);
// compiled op node returning opresult1446 (depth = 9)
  int op_slot_left_1433 = gc_frame_newslot(opresult1446);
  params[0] = opresult1439;
  partcv[0] = 1;
  Object opresult1447 = callmethod(opresult1446, "||(1)", 1, partcv, params);
// compiled op node returning opresult1447 (depth = 8)
  Object if1432 = done;
  if (istrue(opresult1447)) {
// Begin line 503
  setline(503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1448 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 9)
  if (strlit1449 == NULL) {
    strlit1449 = alloc_String("->");
    gc_root(strlit1449);
  }
// compiled string node returning strlit1449 (depth = 9)
  gc_frame_newslot(strlit1449);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = strlit1449;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1450 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1448);
// compiled call node returning call1450 (depth = 8)
    gc_frame_newslot(call1450);
    if1432 = call1450;
  } else {
// Begin line 505
  setline(505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1451 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1452 == NULL) {
    strlit1452 = alloc_String(" ->");
    gc_root(strlit1452);
  }
// compiled string node returning strlit1452 (depth = 9)
  gc_frame_newslot(strlit1452);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit1452;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1453 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1451);
// compiled call node returning call1453 (depth = 8)
    gc_frame_newslot(call1453);
    if1432 = call1453;
  }
// compiled if node returning if1432 (depth = 7)
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1454 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1455 == NULL) {
    strlit1455 = alloc_String("a block must have one or more parameters followed by '->' and an expression.");
    gc_root(strlit1455);
  }
// compiled string node returning strlit1455 (depth = 8)
  gc_frame_newslot(strlit1455);
// Begin line 508
  setline(508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe1456 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call1457 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1456);
// compiled member node returning call1457 (depth = 8)
  gc_frame_newslot(call1457);
// starting to compile member node (depth = 8)
  int callframe1458 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call1459 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1458);
// compiled member node returning call1459 (depth = 8)
  gc_frame_newslot(call1459);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 507
  setline(507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit1455;
  params[1] = call1457;
  params[2] = call1459;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1460 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1454);
// compiled call node returning call1460 (depth = 7)
    gc_frame_newslot(call1460);
    if1422 = call1460;
  } else {
  }
// compiled if node returning if1422 (depth = 6)
// Begin line 510
  setline(510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1461 = gc_frame_new();
// call case 4: self request
  Object call1462 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1461);
// compiled member node returning call1462 (depth = 6)
    gc_frame_newslot(call1462);
    if1232 = call1462;
  } else {
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 511
  setline(511);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1464 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1465 == NULL) {
    strlit1465 = alloc_String("semicolon");
    gc_root(strlit1465);
  }
// compiled string node returning strlit1465 (depth = 8)
  gc_frame_newslot(strlit1465);
// call case 4: self request
  params[0] = strlit1465;
  partcv[0] = 1;
  Object call1466 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1464);
// compiled call node returning call1466 (depth = 7)
  Object if1463 = done;
  if (istrue(call1466)) {
// Begin line 512
  setline(512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1467 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe1468 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call1469 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe1468);
// compiled member node returning call1469 (depth = 8)
  gc_frame_newslot(call1469);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call1469;
  partcv[0] = 1;
  Object call1470 = callmethodflags(*var_body, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1467);
// compiled call node returning call1470 (depth = 7)
// Begin line 513
  setline(513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1471 = gc_frame_new();
// call case 4: self request
  Object call1472 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1471);
// compiled member node returning call1472 (depth = 7)
// Begin line 514
  setline(514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe1474 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1475 == NULL) {
    strlit1475 = alloc_String("semicolon");
    gc_root(strlit1475);
  }
// compiled string node returning strlit1475 (depth = 9)
  gc_frame_newslot(strlit1475);
// call case 4: self request
  params[0] = strlit1475;
  partcv[0] = 1;
  Object call1476 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1474);
// compiled call node returning call1476 (depth = 8)
  Object if1473 = done;
  if (istrue(call1476)) {
// Begin line 515
  setline(515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe1477 = gc_frame_new();
// call case 4: self request
  Object call1478 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1477);
// compiled member node returning call1478 (depth = 8)
// Begin line 516
  setline(516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1481 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  Object call1482 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1481);
// compiled member node returning call1482 (depth = 10)
  int op_slot_right_1480 = gc_frame_newslot(call1482);
// starting to compile member node (depth = 10)
  int callframe1484 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call1485 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1484);
// compiled member node returning call1485 (depth = 10)
  int op_slot_left_1480 = gc_frame_newslot(call1485);
  params[0] = call1482;
  partcv[0] = 1;
  Object opresult1486 = callmethod(call1485, "==(1)", 1, partcv, params);
// compiled op node returning opresult1486 (depth = 9)
  Object if1479 = done;
  if (istrue(opresult1486)) {
// Begin line 517
  setline(517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile identifier node (depth = 10)
  Object bool1487 = alloc_Boolean(1);
// compiled identifier node returning bool1487 (depth = 10)
  *var_indentFreePass = bool1487;
  if (bool1487 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
    gc_frame_newslot(done);
    if1479 = done;
  } else {
  }
// compiled if node returning if1479 (depth = 8)
    gc_frame_newslot(if1479);
    if1473 = if1479;
  } else {
  }
// compiled if node returning if1473 (depth = 7)
    gc_frame_newslot(if1473);
    if1463 = if1473;
  } else {
// Begin line 551
  setline(551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 523
  setline(523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1491 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1492 == NULL) {
    strlit1492 = alloc_String("bind");
    gc_root(strlit1492);
  }
// compiled string node returning strlit1492 (depth = 10)
  gc_frame_newslot(strlit1492);
// call case 4: self request
  params[0] = strlit1492;
  partcv[0] = 1;
  Object call1493 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1491);
// compiled call node returning call1493 (depth = 9)
  int op_slot_right_1490 = gc_frame_newslot(call1493);
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 522
  setline(522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1497 == NULL) {
    strlit1497 = alloc_String("index");
    gc_root(strlit1497);
  }
// compiled string node returning strlit1497 (depth = 11)
  int op_slot_right_1496 = gc_frame_newslot(strlit1497);
// starting to compile member node (depth = 11)
  int callframe1499 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe1500 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_values (depth = 13)
  Object call1501 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1500);
// compiled member node returning call1501 (depth = 12)
  Object call1502 = callmethodflags(call1501, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1499);
// compiled member node returning call1502 (depth = 11)
  int op_slot_left_1496 = gc_frame_newslot(call1502);
  params[0] = strlit1497;
  partcv[0] = 1;
  Object opresult1503 = callmethod(call1502, "==(1)", 1, partcv, params);
// compiled op node returning opresult1503 (depth = 10)
  int op_slot_right_1495 = gc_frame_newslot(opresult1503);
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// Begin line 521
  setline(521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1507 == NULL) {
    strlit1507 = alloc_String("identifier");
    gc_root(strlit1507);
  }
// compiled string node returning strlit1507 (depth = 12)
  int op_slot_right_1506 = gc_frame_newslot(strlit1507);
// starting to compile member node (depth = 12)
  int callframe1509 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe1510 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_values (depth = 14)
  Object call1511 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1510);
// compiled member node returning call1511 (depth = 13)
  Object call1512 = callmethodflags(call1511, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1509);
// compiled member node returning call1512 (depth = 12)
  int op_slot_left_1506 = gc_frame_newslot(call1512);
  params[0] = strlit1507;
  partcv[0] = 1;
  Object opresult1513 = callmethod(call1512, "==(1)", 1, partcv, params);
// compiled op node returning opresult1513 (depth = 11)
  int op_slot_right_1505 = gc_frame_newslot(opresult1513);
// Begin line 520
  setline(520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1516 == NULL) {
    strlit1516 = alloc_String("member");
    gc_root(strlit1516);
  }
// compiled string node returning strlit1516 (depth = 12)
  int op_slot_right_1515 = gc_frame_newslot(strlit1516);
// starting to compile member node (depth = 12)
  int callframe1518 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe1519 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_values (depth = 14)
  Object call1520 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe1519);
// compiled member node returning call1520 (depth = 13)
  Object call1521 = callmethodflags(call1520, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1518);
// compiled member node returning call1521 (depth = 12)
  int op_slot_left_1515 = gc_frame_newslot(call1521);
  params[0] = strlit1516;
  partcv[0] = 1;
  Object opresult1522 = callmethod(call1521, "==(1)", 1, partcv, params);
// compiled op node returning opresult1522 (depth = 11)
  int op_slot_left_1505 = gc_frame_newslot(opresult1522);
  params[0] = opresult1513;
  partcv[0] = 1;
  Object opresult1523 = callmethod(opresult1522, "||(1)", 1, partcv, params);
// compiled op node returning opresult1523 (depth = 10)
  int op_slot_left_1495 = gc_frame_newslot(opresult1523);
  params[0] = opresult1503;
  partcv[0] = 1;
  Object opresult1524 = callmethod(opresult1523, "||(1)", 1, partcv, params);
// compiled op node returning opresult1524 (depth = 9)
  int op_slot_left_1490 = gc_frame_newslot(opresult1524);
  params[0] = call1493;
  partcv[0] = 1;
  Object opresult1525 = callmethod(opresult1524, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1525 (depth = 8)
  Object if1489 = done;
  if (istrue(opresult1525)) {
// Begin line 524
  setline(524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1526 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  Object call1527 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe1526);
// compiled member node returning call1527 (depth = 9)
  *var_lhs = call1527;
  if (call1527 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 525
  setline(525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe1528 = gc_frame_new();
// call case 4: self request
  Object call1529 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1528);
// compiled member node returning call1529 (depth = 8)
// Begin line 526
  setline(526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1531 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 10)
  int callframe1532 = gc_frame_new();
// starting to compile block node (depth = 11)
  Object block1533 = alloc_Block(NULL, NULL, "parser", 526);
  gc_frame_newslot(block1533);
// method "_apply"
  block_savedest(block1533);
  Object closure1534 = createclosure(2, "_apply");
  setclosureframe(closure1534, stackframe);
  addtoclosure(closure1534, var_blocksOK);
  addtoclosure(closure1534, selfslot);
  struct UserObject *uo1534 = (struct UserObject*)block1533;
  uo1534->data[0] = (Object)closure1534;
  Method *meth_meth_parser__apply1534 = addmethod2pos(block1533, "_apply", &meth_parser__apply1534, 0);
  int argcv_meth_parser__apply1534[] = {0};
  meth_meth_parser__apply1534->type = alloc_MethodType(1, argcv_meth_parser__apply1534);
  meth_meth_parser__apply1534->definitionModule = modulename;
  meth_meth_parser__apply1534->definitionLine = 3404;
// compiled block node returning block1533 (depth = 11)
  gc_frame_newslot(block1533);
// call case 4: self request
  params[0] = block1533;
  partcv[0] = 1;
  Object call1538 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1532);
// compiled call node returning call1538 (depth = 10)
  Object call1539 = callmethodflags(call1538, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1531);
// compiled member node returning call1539 (depth = 9)
  Object if1530 = done;
  if (istrue(call1539)) {
// Begin line 527
  setline(527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile array node (depth = 10)
  Object array1540 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1540 (depth = 10)
  *var_suggestions = array1540;
  if (array1540 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 528
  setline(528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1541 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe1542 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  Object call1543 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1542);
// compiled member node returning call1543 (depth = 11)
  Object call1544 = callmethodflags(call1543, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1541);
// compiled member node returning call1544 (depth = 10)
  *var_suggestion = call1544;
  if (call1544 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 9)
// Begin line 529
  setline(529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe1545 = gc_frame_new();
// starting to compile array node (depth = 11)
  Object array1546 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 12)
  if (strlit1547 == NULL) {
    strlit1547 = alloc_String("rbrace");
    gc_root(strlit1547);
  }
// compiled string node returning strlit1547 (depth = 12)
  params[0] = strlit1547;
  partcv[0] = 1;
  callmethodflags(array1546, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array1546 (depth = 11)
  gc_frame_newslot(array1546);
// call case 4: self request
  params[0] = array1546;
  partcv[0] = 1;
  Object call1548 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1545);
// compiled call node returning call1548 (depth = 10)
  *var_nextTok = call1548;
  if (call1548 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 530
  setline(530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  int op_slot_right_1550 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  int op_slot_left_1550 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1552 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult1552 (depth = 10)
  Object if1549 = done;
  if (istrue(opresult1552)) {
// Begin line 531
  setline(531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe1553 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit1554 == NULL) {
    strlit1554 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1554);
  }
// compiled string node returning strlit1554 (depth = 11)
  gc_frame_newslot(strlit1554);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit1554;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1555 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1553);
// compiled call node returning call1555 (depth = 10)
    gc_frame_newslot(call1555);
    if1549 = call1555;
  } else {
// Begin line 533
  setline(533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe1556 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 11)
  int callframe1557 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  Object call1558 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1557);
// compiled member node returning call1558 (depth = 11)
  gc_frame_newslot(call1558);
// starting to compile identifier node (depth = 11)
  Object bool1559 = alloc_Boolean(1);
// compiled identifier node returning bool1559 (depth = 11)
  gc_frame_newslot(bool1559);
// starting to compile identifier node (depth = 11)
  Object bool1560 = alloc_Boolean(0);
// compiled identifier node returning bool1560 (depth = 11)
  gc_frame_newslot(bool1560);
// starting to compile string node (depth = 11)
  if (strlit1561 == NULL) {
    strlit1561 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1561);
  }
// compiled string node returning strlit1561 (depth = 11)
  gc_frame_newslot(strlit1561);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = *var_sym;
  params[1] = call1558;
  params[2] = bool1559;
  params[3] = bool1560;
  params[4] = strlit1561;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1562 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe1556);
// compiled call node returning call1562 (depth = 10)
    gc_frame_newslot(call1562);
    if1549 = call1562;
  }
// compiled if node returning if1549 (depth = 9)
// Begin line 535
  setline(535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1563 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1564 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1563);
// compiled call node returning call1564 (depth = 9)
// Begin line 536
  setline(536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe1565 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe1566 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  Object call1567 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1566);
// compiled member node returning call1567 (depth = 11)
  Object call1568 = callmethodflags(call1567, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1565);
// compiled member node returning call1568 (depth = 10)
  *var_suggestion = call1568;
  if (call1568 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 537
  setline(537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1570 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 10)
  int callframe1571 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call1572 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1571);
// compiled member node returning call1572 (depth = 10)
  gc_frame_newslot(call1572);
// starting to compile identifier node (depth = 10)
  Object bool1573 = alloc_Boolean(1);
// compiled identifier node returning bool1573 (depth = 10)
  gc_frame_newslot(bool1573);
// starting to compile identifier node (depth = 10)
  Object bool1574 = alloc_Boolean(0);
// compiled identifier node returning bool1574 (depth = 10)
  gc_frame_newslot(bool1574);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lastToken;
  params[1] = call1572;
  params[2] = bool1573;
  params[3] = bool1574;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1575 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1570);
// compiled call node returning call1575 (depth = 9)
// Begin line 538
  setline(538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1576 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call1577 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1576);
// compiled call node returning call1577 (depth = 9)
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1578 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1579 == NULL) {
    strlit1579 = alloc_String("a valid expression must follow ':='.");
    gc_root(strlit1579);
  }
// compiled string node returning strlit1579 (depth = 10)
  gc_frame_newslot(strlit1579);
// Begin line 540
  setline(540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe1580 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call1581 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1580);
// compiled member node returning call1581 (depth = 10)
  gc_frame_newslot(call1581);
// starting to compile member node (depth = 10)
  int callframe1582 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call1583 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1582);
// compiled member node returning call1583 (depth = 10)
  gc_frame_newslot(call1583);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestions (depth = 10)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 539
  setline(539);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit1579;
  params[1] = call1581;
  params[2] = call1583;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1584 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1578);
// compiled call node returning call1584 (depth = 9)
    gc_frame_newslot(call1584);
    if1530 = call1584;
  } else {
  }
// compiled if node returning if1530 (depth = 8)
// Begin line 542
  setline(542);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1585 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  Object call1586 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe1585);
// compiled member node returning call1586 (depth = 9)
  *var_rhs = call1586;
  if (call1586 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 543
  setline(543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1587 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe1588 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_btok (depth = 10)
  Object call1589 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1588);
// compiled member node returning call1589 (depth = 9)
  gc_frame_newslot(call1589);
// starting to compile member node (depth = 9)
  int callframe1590 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_btok (depth = 10)
  Object call1591 = callmethodflags(*var_btok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1590);
// compiled member node returning call1591 (depth = 9)
  gc_frame_newslot(call1591);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  params[0] = call1589;
  params[1] = call1591;
  partcv[0] = 2;
  Object call1592 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1587);
// compiled call node returning call1592 (depth = 8)
// Begin line 544
  setline(544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1593 = gc_frame_new();
// starting to compile call node (depth = 9)
  int callframe1594 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lhs (depth = 10)
  gc_frame_newslot(*var_lhs);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_rhs (depth = 10)
  gc_frame_newslot(*var_rhs);
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe1595 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_ast (depth = 11)
  Object call1596 = callmethodflags(*var_ast, "bindNode", 0, partcv, params, 0);
  gc_frame_end(callframe1595);
// compiled member node returning call1596 (depth = 10)
  params[0] = *var_lhs;
  params[1] = *var_rhs;
  partcv[0] = 2;
  Object call1597 = callmethodflags(call1596, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1594);
// compiled call node returning call1597 (depth = 9)
  gc_frame_newslot(call1597);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_body (depth = 9)
  params[0] = call1597;
  partcv[0] = 1;
  Object call1598 = callmethodflags(*var_body, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1593);
// compiled call node returning call1598 (depth = 8)
// Begin line 545
  setline(545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe1600 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1601 == NULL) {
    strlit1601 = alloc_String("semicolon");
    gc_root(strlit1601);
  }
// compiled string node returning strlit1601 (depth = 10)
  gc_frame_newslot(strlit1601);
// call case 4: self request
  params[0] = strlit1601;
  partcv[0] = 1;
  Object call1602 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1600);
// compiled call node returning call1602 (depth = 9)
  Object if1599 = done;
  if (istrue(call1602)) {
// Begin line 546
  setline(546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe1603 = gc_frame_new();
// call case 4: self request
  Object call1604 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1603);
// compiled member node returning call1604 (depth = 9)
// Begin line 547
  setline(547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe1607 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  Object call1608 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1607);
// compiled member node returning call1608 (depth = 11)
  int op_slot_right_1606 = gc_frame_newslot(call1608);
// starting to compile member node (depth = 11)
  int callframe1610 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call1611 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1610);
// compiled member node returning call1611 (depth = 11)
  int op_slot_left_1606 = gc_frame_newslot(call1611);
  params[0] = call1608;
  partcv[0] = 1;
  Object opresult1612 = callmethod(call1611, "==(1)", 1, partcv, params);
// compiled op node returning opresult1612 (depth = 10)
  Object if1605 = done;
  if (istrue(opresult1612)) {
// Begin line 548
  setline(548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile identifier node (depth = 11)
  Object bool1613 = alloc_Boolean(1);
// compiled identifier node returning bool1613 (depth = 11)
  *var_indentFreePass = bool1613;
  if (bool1613 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
    gc_frame_newslot(done);
    if1605 = done;
  } else {
  }
// compiled if node returning if1605 (depth = 9)
    gc_frame_newslot(if1605);
    if1599 = if1605;
  } else {
  }
// compiled if node returning if1599 (depth = 8)
    gc_frame_newslot(if1599);
    if1489 = if1599;
  } else {
// Begin line 552
  setline(552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe1615 = gc_frame_new();
// call case 4: self request
  Object call1616 = callmethodflags(self, "checkUnexpectedTokenAfterStatement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1615);
// compiled member node returning call1616 (depth = 8)
// Begin line 553
  setline(553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1617 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe1618 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  Object call1619 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe1618);
// compiled member node returning call1619 (depth = 9)
  gc_frame_newslot(call1619);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_body (depth = 9)
  params[0] = call1619;
  partcv[0] = 1;
  Object call1620 = callmethodflags(*var_body, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1617);
// compiled call node returning call1620 (depth = 8)
    gc_frame_newslot(call1620);
    if1489 = call1620;
  }
// compiled if node returning if1489 (depth = 7)
    gc_frame_newslot(if1489);
    if1463 = if1489;
  }
// compiled if node returning if1463 (depth = 6)
    gc_frame_newslot(if1463);
    if1232 = if1463;
  }
// compiled if node returning if1232 (depth = 5)
  gc_frame_end(frame);
  return if1232;
}
Object meth_parser__apply1647(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe1648 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe1649 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1650 == NULL) {
    strlit1650 = alloc_String("rbrace");
    gc_root(strlit1650);
  }
// compiled string node returning strlit1650 (depth = 7)
  gc_frame_newslot(strlit1650);
// call case 4: self request
  params[0] = strlit1650;
  partcv[0] = 1;
  Object call1651 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1649);
// compiled call node returning call1651 (depth = 6)
  Object call1652 = callmethodflags(call1651, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1648);
// compiled member node returning call1652 (depth = 5)
  gc_frame_end(frame);
  return call1652;
}
Object meth_parser__apply1660(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 9)
  int callframe1661 = gc_frame_new();
// call case 4: self request
  Object call1662 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1661);
// compiled member node returning call1662 (depth = 9)
  gc_frame_end(frame);
  return call1662;
}
Object meth_parser__apply1655(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_body = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 566
  setline(566);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1657 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe1658 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block1659 = alloc_Block(NULL, NULL, "parser", 566);
  gc_frame_newslot(block1659);
// method "_apply"
  block_savedest(block1659);
  Object closure1660 = createclosure(1, "_apply");
  setclosureframe(closure1660, stackframe);
  addtoclosure(closure1660, selfslot);
  struct UserObject *uo1660 = (struct UserObject*)block1659;
  uo1660->data[0] = (Object)closure1660;
  Method *meth_meth_parser__apply1660 = addmethod2pos(block1659, "_apply", &meth_parser__apply1660, 0);
  int argcv_meth_parser__apply1660[] = {0};
  meth_meth_parser__apply1660->type = alloc_MethodType(1, argcv_meth_parser__apply1660);
  meth_meth_parser__apply1660->definitionModule = modulename;
  meth_meth_parser__apply1660->definitionLine = 3404;
// compiled block node returning block1659 (depth = 8)
  gc_frame_newslot(block1659);
// call case 4: self request
  params[0] = block1659;
  partcv[0] = 1;
  Object call1664 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1658);
// compiled call node returning call1664 (depth = 7)
  Object call1665 = callmethodflags(call1664, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1657);
// compiled member node returning call1665 (depth = 6)
  Object if1656 = done;
  if (istrue(call1665)) {
// Begin line 567
  setline(567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe1666 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe1667 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call1668 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1667);
// compiled member node returning call1668 (depth = 8)
  Object call1669 = callmethodflags(call1668, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1666);
// compiled member node returning call1669 (depth = 7)
  *var_suggestion = call1669;
  if (call1669 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 568
  setline(568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1670 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1671 == NULL) {
    strlit1671 = alloc_String("}");
    gc_root(strlit1671);
  }
// compiled string node returning strlit1671 (depth = 7)
  gc_frame_newslot(strlit1671);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1671;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1672 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1670);
// compiled call node returning call1672 (depth = 6)
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1673 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1674 == NULL) {
    strlit1674 = alloc_String("a block must end with a '}'.");
    gc_root(strlit1674);
  }
// compiled string node returning strlit1674 (depth = 7)
  gc_frame_newslot(strlit1674);
// Begin line 570
  setline(570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe1675 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call1676 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1675);
// compiled member node returning call1676 (depth = 7)
  gc_frame_newslot(call1676);
// starting to compile member node (depth = 7)
  int callframe1677 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call1678 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1677);
// compiled member node returning call1678 (depth = 7)
  gc_frame_newslot(call1678);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 569
  setline(569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit1674;
  params[1] = call1676;
  params[2] = call1678;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1679 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1673);
// compiled call node returning call1679 (depth = 6)
    gc_frame_newslot(call1679);
    if1656 = call1679;
  } else {
  }
// compiled if node returning if1656 (depth = 5)
// Begin line 572
  setline(572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe1680 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call1681 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe1680);
// compiled member node returning call1681 (depth = 6)
  *var_tmp = call1681;
  if (call1681 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 573
  setline(573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1683 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp (depth = 6)
  gc_frame_newslot(*var_tmp);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_body (depth = 6)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call1684 = callmethodflags(*var_body, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1683);
// compiled call node returning call1684 (depth = 5)
  gc_frame_end(frame);
  return call1684;
}
Object meth_parser_block1197(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 28, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(14, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "block");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementIndent = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_braceIsType = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_indentFreePass = getfromclosure(closure, 8);
  Object *var_util = getfromclosure(closure, 9);
  Object *var_ast = getfromclosure(closure, 10);
  Object *var_minIndentLevel = getfromclosure(closure, 11);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_minInd = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "minInd");
  Object *var_startIndent = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startIndent");
  Object *var_expr1 = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "expr1");
  Object *var_s = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "s");
  Object *var_tmp = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "tmp");
  Object *var_params = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "params");
  Object *var_body = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "body");
  Object *var_havearrow = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "havearrow");
  Object *var_found = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "found");
  Object *var_i = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "i");
  Object *var_isMatchingBlock = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "isMatchingBlock");
  Object *var_o = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "o");
// Begin line 421
  setline(421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe1199 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit1200 == NULL) {
    strlit1200 = alloc_String("lbrace");
    gc_root(strlit1200);
  }
// compiled string node returning strlit1200 (depth = 4)
  gc_frame_newslot(strlit1200);
// call case 4: self request
  params[0] = strlit1200;
  partcv[0] = 1;
  Object call1201 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1199);
// compiled call node returning call1201 (depth = 3)
  Object if1198 = done;
  if (istrue(call1201)) {
// Begin line 422
  setline(422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 423
  setline(423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1202 = gc_frame_new();
// call case 4: self request
  Object call1203 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1202);
// compiled member node returning call1203 (depth = 3)
// Begin line 424
  setline(424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1205 = alloc_Float64(2);
// compiled num node returning num1205 (depth = 5)
  int op_slot_right_1204 = gc_frame_newslot(num1205);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_statementIndent (depth = 5)
  int op_slot_left_1204 = gc_frame_newslot(*var_statementIndent);
  params[0] = num1205;
  partcv[0] = 1;
  Object sum1207 = callmethod(*var_statementIndent, "+(1)", 1, partcv, params);
// compiled op node returning sum1207 (depth = 4)
  *var_minInd = sum1207;
  if (sum1207 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 425
  setline(425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_statementIndent (depth = 4)
  *var_startIndent = *var_statementIndent;
  if (*var_statementIndent == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 426
  setline(426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_expr1 = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 427
  setline(427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_s = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 428
  setline(428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_tmp = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 429
  setline(429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array1208 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1208 (depth = 4)
  *var_params = array1208;
  if (array1208 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 430
  setline(430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array1209 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array1209 (depth = 4)
  *var_body = array1209;
  if (array1209 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 431
  setline(431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool1210 = alloc_Boolean(1);
// compiled identifier node returning bool1210 (depth = 4)
  *var_havearrow = bool1210;
  if (bool1210 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 432
  setline(432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool1211 = alloc_Boolean(0);
// compiled identifier node returning bool1211 (depth = 4)
  *var_found = bool1211;
  if (bool1211 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 433
  setline(433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile num node (depth = 4)
  Object num1212 = alloc_Float64(0);
// compiled num node returning num1212 (depth = 4)
  *var_i = num1212;
  if (num1212 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 434
  setline(434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool1213 = alloc_Boolean(0);
// compiled identifier node returning bool1213 (depth = 4)
  *var_isMatchingBlock = bool1213;
  if (bool1213 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 435
  setline(435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 436
  setline(436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1217 == NULL) {
    strlit1217 = alloc_String("lparen");
    gc_root(strlit1217);
  }
// compiled string node returning strlit1217 (depth = 5)
  int op_slot_right_1216 = gc_frame_newslot(strlit1217);
// starting to compile member node (depth = 5)
  int callframe1219 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1220 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1219);
// compiled member node returning call1220 (depth = 5)
  int op_slot_left_1216 = gc_frame_newslot(call1220);
  params[0] = strlit1217;
  partcv[0] = 1;
  Object opresult1221 = callmethod(call1220, "==(1)", 1, partcv, params);
// compiled op node returning opresult1221 (depth = 4)
  Object if1215 = done;
  if (istrue(opresult1221)) {
// Begin line 437
  setline(437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool1222 = alloc_Boolean(1);
// compiled identifier node returning bool1222 (depth = 5)
  *var_isMatchingBlock = bool1222;
  if (bool1222 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1215 = done;
  } else {
  }
// compiled if node returning if1215 (depth = 3)
// Begin line 441
  setline(441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1224 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1225 = alloc_Block(NULL, NULL, "parser", 441);
  gc_frame_newslot(block1225);
// method "_apply"
  block_savedest(block1225);
  Object closure1226 = createclosure(2, "_apply");
  setclosureframe(closure1226, stackframe);
  addtoclosure(closure1226, var_blocksOK);
  addtoclosure(closure1226, selfslot);
  struct UserObject *uo1226 = (struct UserObject*)block1225;
  uo1226->data[0] = (Object)closure1226;
  Method *meth_meth_parser__apply1226 = addmethod2pos(block1225, "_apply", &meth_parser__apply1226, 0);
  int argcv_meth_parser__apply1226[] = {0};
  meth_meth_parser__apply1226->type = alloc_MethodType(1, argcv_meth_parser__apply1226);
  meth_meth_parser__apply1226->definitionModule = modulename;
  meth_meth_parser__apply1226->definitionLine = 3404;
// compiled block node returning block1225 (depth = 4)
  gc_frame_newslot(block1225);
// starting to compile block node (depth = 4)
  Object block1230 = alloc_Block(NULL, NULL, "parser", 441);
  gc_frame_newslot(block1230);
// method "_apply"
  block_savedest(block1230);
  Object closure1231 = createclosure(15, "_apply");
  setclosureframe(closure1231, stackframe);
  addtoclosure(closure1231, var_values);
  addtoclosure(closure1231, var_expr1);
  addtoclosure(closure1231, var_braceIsType);
  addtoclosure(closure1231, var_blocksOK);
  addtoclosure(closure1231, var_errormessages);
  addtoclosure(closure1231, var_sym);
  addtoclosure(closure1231, var_lastToken);
  addtoclosure(closure1231, var_params);
  addtoclosure(closure1231, var_isMatchingBlock);
  addtoclosure(closure1231, var_body);
  addtoclosure(closure1231, var_indentFreePass);
  addtoclosure(closure1231, var_btok);
  addtoclosure(closure1231, var_util);
  addtoclosure(closure1231, var_ast);
  addtoclosure(closure1231, selfslot);
  struct UserObject *uo1231 = (struct UserObject*)block1230;
  uo1231->data[0] = (Object)closure1231;
  Method *meth_meth_parser__apply1231 = addmethod2pos(block1230, "_apply", &meth_parser__apply1231, 0);
  int argcv_meth_parser__apply1231[] = {0};
  meth_meth_parser__apply1231->type = alloc_MethodType(1, argcv_meth_parser__apply1231);
  meth_meth_parser__apply1231->definitionModule = modulename;
  meth_meth_parser__apply1231->definitionLine = 3404;
// compiled block node returning block1230 (depth = 4)
  gc_frame_newslot(block1230);
// call case 4: self request
  params[0] = block1225;
  params[1] = block1230;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1622 = callmethodflags(self, "ifConsume(1)then(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1224);
// compiled call node returning call1622 (depth = 3)
// Begin line 556
  setline(556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1624 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1625 == NULL) {
    strlit1625 = alloc_String("arrow");
    gc_root(strlit1625);
  }
// compiled string node returning strlit1625 (depth = 5)
  gc_frame_newslot(strlit1625);
// call case 4: self request
  params[0] = strlit1625;
  partcv[0] = 1;
  Object call1626 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1624);
// compiled call node returning call1626 (depth = 4)
  Object if1623 = done;
  if (istrue(call1626)) {
// Begin line 557
  setline(557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe1627 = gc_frame_new();
// call case 4: self request
  Object call1628 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1627);
// compiled member node returning call1628 (depth = 4)
    gc_frame_newslot(call1628);
    if1623 = call1628;
  } else {
  }
// compiled if node returning if1623 (depth = 3)
// Begin line 559
  setline(559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1631 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call1632 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1631);
// compiled member node returning call1632 (depth = 5)
  int op_slot_right_1630 = gc_frame_newslot(call1632);
// starting to compile member node (depth = 5)
  int callframe1634 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1635 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1634);
// compiled member node returning call1635 (depth = 5)
  int op_slot_left_1630 = gc_frame_newslot(call1635);
  params[0] = call1632;
  partcv[0] = 1;
  Object opresult1636 = callmethod(call1635, "==(1)", 1, partcv, params);
// compiled op node returning opresult1636 (depth = 4)
  Object if1629 = done;
  if (istrue(opresult1636)) {
// Begin line 560
  setline(560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1638 = alloc_Float64(1);
// compiled num node returning num1638 (depth = 6)
  int op_slot_right_1637 = gc_frame_newslot(num1638);
// starting to compile member node (depth = 6)
  int callframe1640 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call1641 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1640);
// compiled member node returning call1641 (depth = 6)
  int op_slot_left_1637 = gc_frame_newslot(call1641);
  params[0] = num1638;
  partcv[0] = 1;
  Object diff1642 = callmethod(call1641, "-(1)", 1, partcv, params);
// compiled op node returning diff1642 (depth = 5)
  *var_minIndentLevel = diff1642;
  if (diff1642 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1629 = done;
  } else {
// Begin line 562
  setline(562);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_minInd (depth = 5)
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if1629 = done;
  }
// compiled if node returning if1629 (depth = 3)
// Begin line 564
  setline(564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1645 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block1646 = alloc_Block(NULL, NULL, "parser", 564);
  gc_frame_newslot(block1646);
// method "_apply"
  block_savedest(block1646);
  Object closure1647 = createclosure(1, "_apply");
  setclosureframe(closure1647, stackframe);
  addtoclosure(closure1647, selfslot);
  struct UserObject *uo1647 = (struct UserObject*)block1646;
  uo1647->data[0] = (Object)closure1647;
  Method *meth_meth_parser__apply1647 = addmethod2pos(block1646, "_apply", &meth_parser__apply1647, 0);
  int argcv_meth_parser__apply1647[] = {0};
  meth_meth_parser__apply1647->type = alloc_MethodType(1, argcv_meth_parser__apply1647);
  meth_meth_parser__apply1647->definitionModule = modulename;
  meth_meth_parser__apply1647->definitionLine = 3404;
// compiled block node returning block1646 (depth = 4)
  gc_frame_newslot(block1646);
// starting to compile block node (depth = 4)
  Object block1654 = alloc_Block(NULL, NULL, "parser", 564);
  gc_frame_newslot(block1654);
// method "_apply"
  block_savedest(block1654);
  Object closure1655 = createclosure(7, "_apply");
  setclosureframe(closure1655, stackframe);
  addtoclosure(closure1655, var_errormessages);
  addtoclosure(closure1655, var_lastToken);
  addtoclosure(closure1655, var_sym);
  addtoclosure(closure1655, var_values);
  addtoclosure(closure1655, var_tmp);
  addtoclosure(closure1655, var_body);
  addtoclosure(closure1655, selfslot);
  struct UserObject *uo1655 = (struct UserObject*)block1654;
  uo1655->data[0] = (Object)closure1655;
  Method *meth_meth_parser__apply1655 = addmethod2pos(block1654, "_apply", &meth_parser__apply1655, 0);
  int argcv_meth_parser__apply1655[] = {0};
  meth_meth_parser__apply1655->type = alloc_MethodType(1, argcv_meth_parser__apply1655);
  meth_meth_parser__apply1655->definitionModule = modulename;
  meth_meth_parser__apply1655->definitionLine = 3404;
// compiled block node returning block1654 (depth = 4)
  gc_frame_newslot(block1654);
// call case 5: prelude request
  params[0] = block1646;
  params[1] = block1654;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1686 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1645);
// compiled call node returning call1686 (depth = 3)
// Begin line 575
  setline(575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num1688 = alloc_Float64(2);
// compiled num node returning num1688 (depth = 5)
  int op_slot_right_1687 = gc_frame_newslot(num1688);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_minInd (depth = 5)
  int op_slot_left_1687 = gc_frame_newslot(*var_minInd);
  params[0] = num1688;
  partcv[0] = 1;
  Object diff1690 = callmethod(*var_minInd, "-(1)", 1, partcv, params);
// compiled op node returning diff1690 (depth = 4)
  *var_minIndentLevel = diff1690;
  if (diff1690 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 576
  setline(576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_startIndent (depth = 4)
  *var_statementIndent = *var_startIndent;
  if (*var_startIndent == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 577
  setline(577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1693 = gc_frame_new();
// call case 4: self request
  Object call1694 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1693);
// compiled member node returning call1694 (depth = 3)
// Begin line 578
  setline(578);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1695 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe1696 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_btok (depth = 5)
  Object call1697 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1696);
// compiled member node returning call1697 (depth = 4)
  gc_frame_newslot(call1697);
// starting to compile member node (depth = 4)
  int callframe1698 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_btok (depth = 5)
  Object call1699 = callmethodflags(*var_btok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1698);
// compiled member node returning call1699 (depth = 4)
  gc_frame_newslot(call1699);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call1697;
  params[1] = call1699;
  partcv[0] = 2;
  Object call1700 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1695);
// compiled call node returning call1700 (depth = 3)
// Begin line 579
  setline(579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe1701 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_params (depth = 5)
  gc_frame_newslot(*var_params);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_body (depth = 5)
  gc_frame_newslot(*var_body);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe1702 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call1703 = callmethodflags(*var_ast, "blockNode", 0, partcv, params, 0);
  gc_frame_end(callframe1702);
// compiled member node returning call1703 (depth = 5)
  params[0] = *var_params;
  params[1] = *var_body;
  partcv[0] = 2;
  Object call1704 = callmethodflags(call1703, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe1701);
// compiled call node returning call1704 (depth = 4)
  *var_o = call1704;
  if (call1704 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 580
  setline(580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_isMatchingBlock (depth = 4)
  Object if1705 = done;
  if (istrue(*var_isMatchingBlock)) {
// Begin line 581
  setline(581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num1708 = alloc_Float64(0);
// compiled num node returning num1708 (depth = 6)
  int op_slot_right_1707 = gc_frame_newslot(num1708);
// starting to compile member node (depth = 6)
  int callframe1710 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_params (depth = 7)
  Object call1711 = callmethodflags(*var_params, "size", 0, partcv, params, 0);
  gc_frame_end(callframe1710);
// compiled member node returning call1711 (depth = 6)
  int op_slot_left_1707 = gc_frame_newslot(call1711);
  params[0] = num1708;
  partcv[0] = 1;
  Object opresult1712 = callmethod(call1711, ">(1)", 1, partcv, params);
// compiled op node returning opresult1712 (depth = 5)
  Object if1706 = done;
  if (istrue(opresult1712)) {
// Begin line 582
  setline(582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1713 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe1714 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_params (depth = 7)
  Object call1715 = callmethodflags(*var_params, "first", 0, partcv, params, 0);
  gc_frame_end(callframe1714);
// compiled member node returning call1715 (depth = 6)
  gc_frame_newslot(call1715);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  params[0] = call1715;
  partcv[0] = 1;
  Object call1716 = callmethodflags(*var_o, "matchingPattern:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1713);
// compiled call node returning call1716 (depth = 5)
    gc_frame_newslot(call1716);
    if1706 = call1716;
  } else {
  }
// compiled if node returning if1706 (depth = 4)
    gc_frame_newslot(if1706);
    if1705 = if1706;
  } else {
  }
// compiled if node returning if1705 (depth = 3)
// Begin line 585
  setline(585);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe1717 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call1718 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe1717);
// compiled call node returning call1718 (depth = 3)
    gc_frame_newslot(call1718);
    if1198 = call1718;
  } else {
  }
// compiled if node returning if1198 (depth = 2)
  gc_frame_end(frame);
  return if1198;
}
Object meth_parser__apply1738(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1740 == NULL) {
    strlit1740 = alloc_String("lbrace");
    gc_root(strlit1740);
  }
// compiled string node returning strlit1740 (depth = 8)
  int op_slot_right_1739 = gc_frame_newslot(strlit1740);
// starting to compile member node (depth = 8)
  int callframe1742 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call1743 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1742);
// compiled member node returning call1743 (depth = 8)
  int op_slot_left_1739 = gc_frame_newslot(call1743);
  params[0] = strlit1740;
  partcv[0] = 1;
  Object opresult1744 = callmethod(call1743, "==(1)", 1, partcv, params);
// compiled op node returning opresult1744 (depth = 7)
  gc_frame_end(frame);
  return opresult1744;
}
Object meth_parser__apply_40_1_41_1781(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_btok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 605
  setline(605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1786 == NULL) {
    strlit1786 = alloc_String("then");
    gc_root(strlit1786);
  }
// compiled string node returning strlit1786 (depth = 11)
  int op_slot_right_1785 = gc_frame_newslot(strlit1786);
// starting to compile member node (depth = 11)
  int callframe1788 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  Object call1789 = callmethodflags(*var_t, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1788);
// compiled member node returning call1789 (depth = 11)
  int op_slot_left_1785 = gc_frame_newslot(call1789);
  params[0] = strlit1786;
  partcv[0] = 1;
  Object opresult1790 = callmethod(call1789, "==(1)", 1, partcv, params);
// compiled op node returning opresult1790 (depth = 10)
  int op_slot_right_1784 = gc_frame_newslot(opresult1790);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1793 == NULL) {
    strlit1793 = alloc_String("identifier");
    gc_root(strlit1793);
  }
// compiled string node returning strlit1793 (depth = 11)
  int op_slot_right_1792 = gc_frame_newslot(strlit1793);
// starting to compile member node (depth = 11)
  int callframe1795 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  Object call1796 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1795);
// compiled member node returning call1796 (depth = 11)
  int op_slot_left_1792 = gc_frame_newslot(call1796);
  params[0] = strlit1793;
  partcv[0] = 1;
  Object opresult1797 = callmethod(call1796, "==(1)", 1, partcv, params);
// compiled op node returning opresult1797 (depth = 10)
  int op_slot_left_1784 = gc_frame_newslot(opresult1797);
  params[0] = opresult1790;
  partcv[0] = 1;
  Object opresult1798 = callmethod(opresult1797, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1798 (depth = 9)
  int op_slot_right_1783 = gc_frame_newslot(opresult1798);
// Begin line 604
  setline(604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit1802 == NULL) {
    strlit1802 = alloc_String("lbrace");
    gc_root(strlit1802);
  }
// compiled string node returning strlit1802 (depth = 11)
  int op_slot_right_1801 = gc_frame_newslot(strlit1802);
// starting to compile member node (depth = 11)
  int callframe1804 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  Object call1805 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1804);
// compiled member node returning call1805 (depth = 11)
  int op_slot_left_1801 = gc_frame_newslot(call1805);
  params[0] = strlit1802;
  partcv[0] = 1;
  Object opresult1806 = callmethod(call1805, "==(1)", 1, partcv, params);
// compiled op node returning opresult1806 (depth = 10)
  int op_slot_right_1800 = gc_frame_newslot(opresult1806);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1810 == NULL) {
    strlit1810 = alloc_String("rbrace");
    gc_root(strlit1810);
  }
// compiled string node returning strlit1810 (depth = 12)
  int op_slot_right_1809 = gc_frame_newslot(strlit1810);
// starting to compile member node (depth = 12)
  int callframe1812 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  Object call1813 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1812);
// compiled member node returning call1813 (depth = 12)
  int op_slot_left_1809 = gc_frame_newslot(call1813);
  params[0] = strlit1810;
  partcv[0] = 1;
  Object opresult1814 = callmethod(call1813, "==(1)", 1, partcv, params);
// compiled op node returning opresult1814 (depth = 11)
  int op_slot_right_1808 = gc_frame_newslot(opresult1814);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit1817 == NULL) {
    strlit1817 = alloc_String("rparen");
    gc_root(strlit1817);
  }
// compiled string node returning strlit1817 (depth = 12)
  int op_slot_right_1816 = gc_frame_newslot(strlit1817);
// starting to compile member node (depth = 12)
  int callframe1819 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  Object call1820 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1819);
// compiled member node returning call1820 (depth = 12)
  int op_slot_left_1816 = gc_frame_newslot(call1820);
  params[0] = strlit1817;
  partcv[0] = 1;
  Object opresult1821 = callmethod(call1820, "==(1)", 1, partcv, params);
// compiled op node returning opresult1821 (depth = 11)
  int op_slot_left_1808 = gc_frame_newslot(opresult1821);
  params[0] = opresult1814;
  partcv[0] = 1;
  Object opresult1822 = callmethod(opresult1821, "||(1)", 1, partcv, params);
// compiled op node returning opresult1822 (depth = 10)
  int op_slot_left_1800 = gc_frame_newslot(opresult1822);
  params[0] = opresult1806;
  partcv[0] = 1;
  Object opresult1823 = callmethod(opresult1822, "||(1)", 1, partcv, params);
// compiled op node returning opresult1823 (depth = 9)
  int op_slot_left_1783 = gc_frame_newslot(opresult1823);
  params[0] = opresult1798;
  partcv[0] = 1;
  Object opresult1824 = callmethod(opresult1823, "||(1)", 1, partcv, params);
// compiled op node returning opresult1824 (depth = 8)
  int op_slot_right_1782 = gc_frame_newslot(opresult1824);
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1827 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_btok (depth = 10)
  Object call1828 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1827);
// compiled member node returning call1828 (depth = 9)
  int op_slot_right_1826 = gc_frame_newslot(call1828);
// starting to compile member node (depth = 9)
  int callframe1830 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call1831 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1830);
// compiled member node returning call1831 (depth = 9)
  int op_slot_left_1826 = gc_frame_newslot(call1831);
  params[0] = call1828;
  partcv[0] = 1;
  Object opresult1832 = callmethod(call1831, "==(1)", 1, partcv, params);
// compiled op node returning opresult1832 (depth = 8)
  int op_slot_left_1782 = gc_frame_newslot(opresult1832);
  params[0] = opresult1824;
  partcv[0] = 1;
  Object opresult1833 = callmethod(opresult1832, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1833 (depth = 7)
  gc_frame_end(frame);
  return opresult1833;
}
Object meth_parser__apply1924(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe1925 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_blocksOK (depth = 8)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call1926 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1925);
// compiled call node returning call1926 (depth = 7)
  gc_frame_end(frame);
  return call1926;
}
Object meth_parser__apply_40_1_41_1936(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1939 == NULL) {
    strlit1939 = alloc_String("rparen");
    gc_root(strlit1939);
  }
// compiled string node returning strlit1939 (depth = 9)
  int op_slot_right_1938 = gc_frame_newslot(strlit1939);
// starting to compile member node (depth = 9)
  int callframe1941 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call1942 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1941);
// compiled member node returning call1942 (depth = 9)
  int op_slot_left_1938 = gc_frame_newslot(call1942);
  params[0] = strlit1939;
  partcv[0] = 1;
  Object opresult1943 = callmethod(call1942, "==(1)", 1, partcv, params);
// compiled op node returning opresult1943 (depth = 8)
  int op_slot_right_1937 = gc_frame_newslot(opresult1943);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe1946 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call1947 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1946);
// compiled member node returning call1947 (depth = 9)
  int op_slot_right_1945 = gc_frame_newslot(call1947);
// starting to compile member node (depth = 9)
  int callframe1949 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call1950 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1949);
// compiled member node returning call1950 (depth = 9)
  int op_slot_left_1945 = gc_frame_newslot(call1950);
  params[0] = call1947;
  partcv[0] = 1;
  Object opresult1951 = callmethod(call1950, "==(1)", 1, partcv, params);
// compiled op node returning opresult1951 (depth = 8)
  int op_slot_left_1937 = gc_frame_newslot(opresult1951);
  params[0] = opresult1943;
  partcv[0] = 1;
  Object opresult1952 = callmethod(opresult1951, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1952 (depth = 7)
  gc_frame_end(frame);
  return opresult1952;
}
Object meth_parser__apply2185(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
  int callframe2186 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe2187 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2188 == NULL) {
    strlit2188 = alloc_String("rbrace");
    gc_root(strlit2188);
  }
// compiled string node returning strlit2188 (depth = 8)
  gc_frame_newslot(strlit2188);
// call case 4: self request
  params[0] = strlit2188;
  partcv[0] = 1;
  Object call2189 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2187);
// compiled call node returning call2189 (depth = 7)
  Object call2190 = callmethodflags(call2189, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2186);
// compiled member node returning call2190 (depth = 6)
  gc_frame_end(frame);
  return call2190;
}
Object meth_parser__apply2198(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 10)
  int callframe2199 = gc_frame_new();
// call case 4: self request
  Object call2200 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2199);
// compiled member node returning call2200 (depth = 10)
  gc_frame_end(frame);
  return call2200;
}
Object meth_parser__apply2193(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_body = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 717
  setline(717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2195 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe2196 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2197 = alloc_Block(NULL, NULL, "parser", 717);
  gc_frame_newslot(block2197);
// method "_apply"
  block_savedest(block2197);
  Object closure2198 = createclosure(1, "_apply");
  setclosureframe(closure2198, stackframe);
  addtoclosure(closure2198, selfslot);
  struct UserObject *uo2198 = (struct UserObject*)block2197;
  uo2198->data[0] = (Object)closure2198;
  Method *meth_meth_parser__apply2198 = addmethod2pos(block2197, "_apply", &meth_parser__apply2198, 0);
  int argcv_meth_parser__apply2198[] = {0};
  meth_meth_parser__apply2198->type = alloc_MethodType(1, argcv_meth_parser__apply2198);
  meth_meth_parser__apply2198->definitionModule = modulename;
  meth_meth_parser__apply2198->definitionLine = 3404;
// compiled block node returning block2197 (depth = 9)
  gc_frame_newslot(block2197);
// call case 4: self request
  params[0] = block2197;
  partcv[0] = 1;
  Object call2202 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2196);
// compiled call node returning call2202 (depth = 8)
  Object call2203 = callmethodflags(call2202, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2195);
// compiled member node returning call2203 (depth = 7)
  Object if2194 = done;
  if (istrue(call2203)) {
// Begin line 718
  setline(718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2204 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2205 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call2206 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2205);
// compiled member node returning call2206 (depth = 9)
  Object call2207 = callmethodflags(call2206, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2204);
// compiled member node returning call2207 (depth = 8)
  *var_suggestion = call2207;
  if (call2207 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 719
  setline(719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2208 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_btok (depth = 9)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 9)
  Object bool2209 = alloc_Boolean(0);
// compiled identifier node returning bool2209 (depth = 9)
  gc_frame_newslot(bool2209);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2209;
  partcv[0] = 2;
  Object call2210 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2208);
// compiled call node returning call2210 (depth = 8)
  *var_closingBrace = call2210;
  if (call2210 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 720
  setline(720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2212 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2213 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  Object call2214 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe2213);
// compiled member node returning call2214 (depth = 9)
  Object call2215 = callmethodflags(call2214, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2212);
// compiled member node returning call2215 (depth = 8)
  Object if2211 = done;
  if (istrue(call2215)) {
// Begin line 721
  setline(721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  int op_slot_right_2217 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 10)
  int callframe2219 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call2220 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2219);
// compiled member node returning call2220 (depth = 10)
  int op_slot_left_2217 = gc_frame_newslot(call2220);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2221 = callmethod(call2220, "==(1)", 1, partcv, params);
// compiled op node returning opresult2221 (depth = 9)
  Object if2216 = done;
  if (istrue(opresult2221)) {
// Begin line 722
  setline(722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2222 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2223 == NULL) {
    strlit2223 = alloc_String("}");
    gc_root(strlit2223);
  }
// compiled string node returning strlit2223 (depth = 10)
  gc_frame_newslot(strlit2223);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit2223;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2224 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2222);
// compiled call node returning call2224 (depth = 9)
    gc_frame_newslot(call2224);
    if2216 = call2224;
  } else {
// Begin line 724
  setline(724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2225 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2227 = alloc_Float64(0.1);
// compiled num node returning num2227 (depth = 11)
  int op_slot_right_2226 = gc_frame_newslot(num2227);
// starting to compile member node (depth = 11)
  int callframe2229 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2230 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  Object call2231 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2230);
// compiled member node returning call2231 (depth = 12)
  Object call2232 = callmethodflags(call2231, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2229);
// compiled member node returning call2232 (depth = 11)
  int op_slot_left_2226 = gc_frame_newslot(call2232);
  params[0] = num2227;
  partcv[0] = 1;
  Object sum2233 = callmethod(call2232, "+(1)", 1, partcv, params);
// compiled op node returning sum2233 (depth = 10)
  gc_frame_newslot(sum2233);
// starting to compile string node (depth = 10)
  if (strlit2234 == NULL) {
    strlit2234 = alloc_String("}");
    gc_root(strlit2234);
  }
// compiled string node returning strlit2234 (depth = 10)
  gc_frame_newslot(strlit2234);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum2233;
  params[1] = strlit2234;
  partcv[0] = 2;
  Object call2235 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2225);
// compiled call node returning call2235 (depth = 9)
    gc_frame_newslot(call2235);
    if2216 = call2235;
  }
// compiled if node returning if2216 (depth = 8)
    gc_frame_newslot(if2216);
    if2211 = if2216;
  } else {
  }
// compiled if node returning if2211 (depth = 7)
// Begin line 727
  setline(727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2236 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2237 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2236);
// compiled call node returning call2237 (depth = 7)
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2238 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2239 == NULL) {
    strlit2239 = alloc_String("an if statement must end with a '}'.");
    gc_root(strlit2239);
  }
// compiled string node returning strlit2239 (depth = 8)
  gc_frame_newslot(strlit2239);
// Begin line 729
  setline(729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2240 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2241 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2240);
// compiled member node returning call2241 (depth = 8)
  gc_frame_newslot(call2241);
// starting to compile member node (depth = 8)
  int callframe2242 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2243 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2242);
// compiled member node returning call2243 (depth = 8)
  gc_frame_newslot(call2243);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 728
  setline(728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2239;
  params[1] = call2241;
  params[2] = call2243;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2244 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2238);
// compiled call node returning call2244 (depth = 7)
    gc_frame_newslot(call2244);
    if2194 = call2244;
  } else {
  }
// compiled if node returning if2194 (depth = 6)
// Begin line 731
  setline(731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2245 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call2246 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe2245);
// compiled member node returning call2246 (depth = 7)
  *var_v = call2246;
  if (call2246 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 732
  setline(732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2248 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_v (depth = 7)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_body (depth = 7)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2249 = callmethodflags(*var_body, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2248);
// compiled call node returning call2249 (depth = 6)
  gc_frame_end(frame);
  return call2249;
}
Object meth_parser__apply2256(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2259 == NULL) {
    strlit2259 = alloc_String("elseif");
    gc_root(strlit2259);
  }
// compiled string node returning strlit2259 (depth = 8)
  int op_slot_right_2258 = gc_frame_newslot(strlit2259);
// starting to compile member node (depth = 8)
  int callframe2261 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2262 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2261);
// compiled member node returning call2262 (depth = 8)
  int op_slot_left_2258 = gc_frame_newslot(call2262);
  params[0] = strlit2259;
  partcv[0] = 1;
  Object opresult2263 = callmethod(call2262, "==(1)", 1, partcv, params);
// compiled op node returning opresult2263 (depth = 7)
  int op_slot_right_2257 = gc_frame_newslot(opresult2263);
// starting to compile call node (depth = 7)
  int callframe2265 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2266 == NULL) {
    strlit2266 = alloc_String("identifier");
    gc_root(strlit2266);
  }
// compiled string node returning strlit2266 (depth = 8)
  gc_frame_newslot(strlit2266);
// call case 4: self request
  params[0] = strlit2266;
  partcv[0] = 1;
  Object call2267 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2265);
// compiled call node returning call2267 (depth = 7)
  int op_slot_left_2257 = gc_frame_newslot(call2267);
  params[0] = opresult2263;
  partcv[0] = 1;
  Object opresult2268 = callmethod(call2267, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2268 (depth = 6)
  gc_frame_end(frame);
  return opresult2268;
}
Object meth_parser__apply2278(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2280 == NULL) {
    strlit2280 = alloc_String("lbrace");
    gc_root(strlit2280);
  }
// compiled string node returning strlit2280 (depth = 11)
  int op_slot_right_2279 = gc_frame_newslot(strlit2280);
// starting to compile member node (depth = 11)
  int callframe2282 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call2283 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2282);
// compiled member node returning call2283 (depth = 11)
  int op_slot_left_2279 = gc_frame_newslot(call2283);
  params[0] = strlit2280;
  partcv[0] = 1;
  Object opresult2284 = callmethod(call2283, "==(1)", 1, partcv, params);
// compiled op node returning opresult2284 (depth = 10)
  gc_frame_end(frame);
  return opresult2284;
}
Object meth_parser__apply_40_1_41_2321(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// Begin line 754
  setline(754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2326 == NULL) {
    strlit2326 = alloc_String("then");
    gc_root(strlit2326);
  }
// compiled string node returning strlit2326 (depth = 14)
  int op_slot_right_2325 = gc_frame_newslot(strlit2326);
// starting to compile member node (depth = 14)
  int callframe2328 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_t (depth = 15)
  Object call2329 = callmethodflags(*var_t, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2328);
// compiled member node returning call2329 (depth = 14)
  int op_slot_left_2325 = gc_frame_newslot(call2329);
  params[0] = strlit2326;
  partcv[0] = 1;
  Object opresult2330 = callmethod(call2329, "==(1)", 1, partcv, params);
// compiled op node returning opresult2330 (depth = 13)
  int op_slot_right_2324 = gc_frame_newslot(opresult2330);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2333 == NULL) {
    strlit2333 = alloc_String("identifier");
    gc_root(strlit2333);
  }
// compiled string node returning strlit2333 (depth = 14)
  int op_slot_right_2332 = gc_frame_newslot(strlit2333);
// starting to compile member node (depth = 14)
  int callframe2335 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_t (depth = 15)
  Object call2336 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2335);
// compiled member node returning call2336 (depth = 14)
  int op_slot_left_2332 = gc_frame_newslot(call2336);
  params[0] = strlit2333;
  partcv[0] = 1;
  Object opresult2337 = callmethod(call2336, "==(1)", 1, partcv, params);
// compiled op node returning opresult2337 (depth = 13)
  int op_slot_left_2324 = gc_frame_newslot(opresult2337);
  params[0] = opresult2330;
  partcv[0] = 1;
  Object opresult2338 = callmethod(opresult2337, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2338 (depth = 12)
  int op_slot_right_2323 = gc_frame_newslot(opresult2338);
// Begin line 753
  setline(753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit2342 == NULL) {
    strlit2342 = alloc_String("lbrace");
    gc_root(strlit2342);
  }
// compiled string node returning strlit2342 (depth = 14)
  int op_slot_right_2341 = gc_frame_newslot(strlit2342);
// starting to compile member node (depth = 14)
  int callframe2344 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_t (depth = 15)
  Object call2345 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2344);
// compiled member node returning call2345 (depth = 14)
  int op_slot_left_2341 = gc_frame_newslot(call2345);
  params[0] = strlit2342;
  partcv[0] = 1;
  Object opresult2346 = callmethod(call2345, "==(1)", 1, partcv, params);
// compiled op node returning opresult2346 (depth = 13)
  int op_slot_right_2340 = gc_frame_newslot(opresult2346);
// starting to compile op node (depth = 13)
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2350 == NULL) {
    strlit2350 = alloc_String("rbrace");
    gc_root(strlit2350);
  }
// compiled string node returning strlit2350 (depth = 15)
  int op_slot_right_2349 = gc_frame_newslot(strlit2350);
// starting to compile member node (depth = 15)
  int callframe2352 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_t (depth = 16)
  Object call2353 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2352);
// compiled member node returning call2353 (depth = 15)
  int op_slot_left_2349 = gc_frame_newslot(call2353);
  params[0] = strlit2350;
  partcv[0] = 1;
  Object opresult2354 = callmethod(call2353, "==(1)", 1, partcv, params);
// compiled op node returning opresult2354 (depth = 14)
  int op_slot_right_2348 = gc_frame_newslot(opresult2354);
// starting to compile op node (depth = 14)
// starting to compile string node (depth = 15)
  if (strlit2357 == NULL) {
    strlit2357 = alloc_String("rparen");
    gc_root(strlit2357);
  }
// compiled string node returning strlit2357 (depth = 15)
  int op_slot_right_2356 = gc_frame_newslot(strlit2357);
// starting to compile member node (depth = 15)
  int callframe2359 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 16)
// compiled identifier node returning *var_t (depth = 16)
  Object call2360 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2359);
// compiled member node returning call2360 (depth = 15)
  int op_slot_left_2356 = gc_frame_newslot(call2360);
  params[0] = strlit2357;
  partcv[0] = 1;
  Object opresult2361 = callmethod(call2360, "==(1)", 1, partcv, params);
// compiled op node returning opresult2361 (depth = 14)
  int op_slot_left_2348 = gc_frame_newslot(opresult2361);
  params[0] = opresult2354;
  partcv[0] = 1;
  Object opresult2362 = callmethod(opresult2361, "||(1)", 1, partcv, params);
// compiled op node returning opresult2362 (depth = 13)
  int op_slot_left_2340 = gc_frame_newslot(opresult2362);
  params[0] = opresult2346;
  partcv[0] = 1;
  Object opresult2363 = callmethod(opresult2362, "||(1)", 1, partcv, params);
// compiled op node returning opresult2363 (depth = 12)
  int op_slot_left_2323 = gc_frame_newslot(opresult2363);
  params[0] = opresult2338;
  partcv[0] = 1;
  Object opresult2364 = callmethod(opresult2363, "||(1)", 1, partcv, params);
// compiled op node returning opresult2364 (depth = 11)
  int op_slot_right_2322 = gc_frame_newslot(opresult2364);
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe2367 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_statementToken (depth = 13)
  Object call2368 = callmethodflags(*var_statementToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2367);
// compiled member node returning call2368 (depth = 12)
  int op_slot_right_2366 = gc_frame_newslot(call2368);
// starting to compile member node (depth = 12)
  int callframe2370 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  Object call2371 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2370);
// compiled member node returning call2371 (depth = 12)
  int op_slot_left_2366 = gc_frame_newslot(call2371);
  params[0] = call2368;
  partcv[0] = 1;
  Object opresult2372 = callmethod(call2371, "==(1)", 1, partcv, params);
// compiled op node returning opresult2372 (depth = 11)
  int op_slot_left_2322 = gc_frame_newslot(opresult2372);
  params[0] = opresult2364;
  partcv[0] = 1;
  Object opresult2373 = callmethod(opresult2372, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2373 (depth = 10)
  gc_frame_end(frame);
  return opresult2373;
}
Object meth_parser__apply2464(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe2465 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call2466 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2465);
// compiled call node returning call2466 (depth = 10)
  gc_frame_end(frame);
  return call2466;
}
Object meth_parser__apply_40_1_41_2476(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// Begin line 788
  setline(788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2480 == NULL) {
    strlit2480 = alloc_String("rbrace");
    gc_root(strlit2480);
  }
// compiled string node returning strlit2480 (depth = 13)
  int op_slot_right_2479 = gc_frame_newslot(strlit2480);
// starting to compile member node (depth = 13)
  int callframe2482 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_t (depth = 14)
  Object call2483 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2482);
// compiled member node returning call2483 (depth = 13)
  int op_slot_left_2479 = gc_frame_newslot(call2483);
  params[0] = strlit2480;
  partcv[0] = 1;
  Object opresult2484 = callmethod(call2483, "==(1)", 1, partcv, params);
// compiled op node returning opresult2484 (depth = 12)
  int op_slot_right_2478 = gc_frame_newslot(opresult2484);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit2487 == NULL) {
    strlit2487 = alloc_String("rparen");
    gc_root(strlit2487);
  }
// compiled string node returning strlit2487 (depth = 13)
  int op_slot_right_2486 = gc_frame_newslot(strlit2487);
// starting to compile member node (depth = 13)
  int callframe2489 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_t (depth = 14)
  Object call2490 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2489);
// compiled member node returning call2490 (depth = 13)
  int op_slot_left_2486 = gc_frame_newslot(call2490);
  params[0] = strlit2487;
  partcv[0] = 1;
  Object opresult2491 = callmethod(call2490, "==(1)", 1, partcv, params);
// compiled op node returning opresult2491 (depth = 12)
  int op_slot_left_2478 = gc_frame_newslot(opresult2491);
  params[0] = opresult2484;
  partcv[0] = 1;
  Object opresult2492 = callmethod(opresult2491, "||(1)", 1, partcv, params);
// compiled op node returning opresult2492 (depth = 11)
  int op_slot_right_2477 = gc_frame_newslot(opresult2492);
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe2495 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_lastToken (depth = 13)
  Object call2496 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2495);
// compiled member node returning call2496 (depth = 12)
  int op_slot_right_2494 = gc_frame_newslot(call2496);
// starting to compile member node (depth = 12)
  int callframe2498 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_t (depth = 13)
  Object call2499 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2498);
// compiled member node returning call2499 (depth = 12)
  int op_slot_left_2494 = gc_frame_newslot(call2499);
  params[0] = call2496;
  partcv[0] = 1;
  Object opresult2500 = callmethod(call2499, "==(1)", 1, partcv, params);
// compiled op node returning opresult2500 (depth = 11)
  int op_slot_left_2477 = gc_frame_newslot(opresult2500);
  params[0] = opresult2492;
  partcv[0] = 1;
  Object opresult2501 = callmethod(opresult2500, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2501 (depth = 10)
  gc_frame_end(frame);
  return opresult2501;
}
Object meth_parser__apply2811(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 8)
  int callframe2812 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe2813 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2814 == NULL) {
    strlit2814 = alloc_String("rbrace");
    gc_root(strlit2814);
  }
// compiled string node returning strlit2814 (depth = 10)
  gc_frame_newslot(strlit2814);
// call case 4: self request
  params[0] = strlit2814;
  partcv[0] = 1;
  Object call2815 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2813);
// compiled call node returning call2815 (depth = 9)
  Object call2816 = callmethodflags(call2815, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2812);
// compiled member node returning call2816 (depth = 8)
  gc_frame_end(frame);
  return call2816;
}
Object meth_parser__apply2824(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 12)
  int callframe2825 = gc_frame_new();
// call case 4: self request
  Object call2826 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2825);
// compiled member node returning call2826 (depth = 12)
  gc_frame_end(frame);
  return call2826;
}
Object meth_parser__apply2819(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_ebody = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 879
  setline(879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2821 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 10)
  int callframe2822 = gc_frame_new();
// starting to compile block node (depth = 11)
  Object block2823 = alloc_Block(NULL, NULL, "parser", 879);
  gc_frame_newslot(block2823);
// method "_apply"
  block_savedest(block2823);
  Object closure2824 = createclosure(1, "_apply");
  setclosureframe(closure2824, stackframe);
  addtoclosure(closure2824, selfslot);
  struct UserObject *uo2824 = (struct UserObject*)block2823;
  uo2824->data[0] = (Object)closure2824;
  Method *meth_meth_parser__apply2824 = addmethod2pos(block2823, "_apply", &meth_parser__apply2824, 0);
  int argcv_meth_parser__apply2824[] = {0};
  meth_meth_parser__apply2824->type = alloc_MethodType(1, argcv_meth_parser__apply2824);
  meth_meth_parser__apply2824->definitionModule = modulename;
  meth_meth_parser__apply2824->definitionLine = 3404;
// compiled block node returning block2823 (depth = 11)
  gc_frame_newslot(block2823);
// call case 4: self request
  params[0] = block2823;
  partcv[0] = 1;
  Object call2828 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2822);
// compiled call node returning call2828 (depth = 10)
  Object call2829 = callmethodflags(call2828, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2821);
// compiled member node returning call2829 (depth = 9)
  Object if2820 = done;
  if (istrue(call2829)) {
// Begin line 880
  setline(880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe2830 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2831 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_errormessages (depth = 12)
  Object call2832 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2831);
// compiled member node returning call2832 (depth = 11)
  Object call2833 = callmethodflags(call2832, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2830);
// compiled member node returning call2833 (depth = 10)
  *var_suggestion = call2833;
  if (call2833 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 881
  setline(881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile call node (depth = 10)
  int callframe2834 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_btok (depth = 11)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 11)
  Object bool2835 = alloc_Boolean(0);
// compiled identifier node returning bool2835 (depth = 11)
  gc_frame_newslot(bool2835);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2835;
  partcv[0] = 2;
  Object call2836 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2834);
// compiled call node returning call2836 (depth = 10)
  *var_closingBrace = call2836;
  if (call2836 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 882
  setline(882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe2838 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2839 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  Object call2840 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe2839);
// compiled member node returning call2840 (depth = 11)
  Object call2841 = callmethodflags(call2840, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2838);
// compiled member node returning call2841 (depth = 10)
  Object if2837 = done;
  if (istrue(call2841)) {
// Begin line 883
  setline(883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  int op_slot_right_2843 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 12)
  int callframe2845 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  Object call2846 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2845);
// compiled member node returning call2846 (depth = 12)
  int op_slot_left_2843 = gc_frame_newslot(call2846);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2847 = callmethod(call2846, "==(1)", 1, partcv, params);
// compiled op node returning opresult2847 (depth = 11)
  Object if2842 = done;
  if (istrue(opresult2847)) {
// Begin line 884
  setline(884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2848 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2849 == NULL) {
    strlit2849 = alloc_String("}");
    gc_root(strlit2849);
  }
// compiled string node returning strlit2849 (depth = 12)
  gc_frame_newslot(strlit2849);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastToken (depth = 12)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = strlit2849;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2850 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2848);
// compiled call node returning call2850 (depth = 11)
    gc_frame_newslot(call2850);
    if2842 = call2850;
  } else {
// Begin line 886
  setline(886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2851 = gc_frame_new();
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num2853 = alloc_Float64(0.1);
// compiled num node returning num2853 (depth = 13)
  int op_slot_right_2852 = gc_frame_newslot(num2853);
// starting to compile member node (depth = 13)
  int callframe2855 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 14)
  int callframe2856 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_closingBrace (depth = 15)
  Object call2857 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2856);
// compiled member node returning call2857 (depth = 14)
  Object call2858 = callmethodflags(call2857, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2855);
// compiled member node returning call2858 (depth = 13)
  int op_slot_left_2852 = gc_frame_newslot(call2858);
  params[0] = num2853;
  partcv[0] = 1;
  Object sum2859 = callmethod(call2858, "+(1)", 1, partcv, params);
// compiled op node returning sum2859 (depth = 12)
  gc_frame_newslot(sum2859);
// starting to compile string node (depth = 12)
  if (strlit2860 == NULL) {
    strlit2860 = alloc_String("}");
    gc_root(strlit2860);
  }
// compiled string node returning strlit2860 (depth = 12)
  gc_frame_newslot(strlit2860);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = sum2859;
  params[1] = strlit2860;
  partcv[0] = 2;
  Object call2861 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2851);
// compiled call node returning call2861 (depth = 11)
    gc_frame_newslot(call2861);
    if2842 = call2861;
  }
// compiled if node returning if2842 (depth = 10)
    gc_frame_newslot(if2842);
    if2837 = if2842;
  } else {
  }
// compiled if node returning if2837 (depth = 9)
// Begin line 889
  setline(889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2862 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call2863 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2862);
// compiled call node returning call2863 (depth = 9)
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2864 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2865 == NULL) {
    strlit2865 = alloc_String("an elseif statement must end with a '}'.");
    gc_root(strlit2865);
  }
// compiled string node returning strlit2865 (depth = 10)
  gc_frame_newslot(strlit2865);
// Begin line 891
  setline(891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe2866 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call2867 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2866);
// compiled member node returning call2867 (depth = 10)
  gc_frame_newslot(call2867);
// starting to compile member node (depth = 10)
  int callframe2868 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call2869 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2868);
// compiled member node returning call2869 (depth = 10)
  gc_frame_newslot(call2869);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 890
  setline(890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2865;
  params[1] = call2867;
  params[2] = call2869;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2870 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2864);
// compiled call node returning call2870 (depth = 9)
    gc_frame_newslot(call2870);
    if2820 = call2870;
  } else {
  }
// compiled if node returning if2820 (depth = 8)
// Begin line 893
  setline(893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2871 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_values (depth = 10)
  Object call2872 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe2871);
// compiled member node returning call2872 (depth = 9)
  *var_v = call2872;
  if (call2872 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 894
  setline(894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2874 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_v (depth = 9)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ebody (depth = 9)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call2875 = callmethodflags(*var_ebody, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2874);
// compiled call node returning call2875 (depth = 8)
  gc_frame_end(frame);
  return call2875;
}
Object meth_parser__apply2271(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(13, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_econd = getfromclosure(closure, 6);
  Object *var_ebody = getfromclosure(closure, 7);
  Object *var_btok = getfromclosure(closure, 8);
  Object *var_minIndentLevel = getfromclosure(closure, 9);
  Object *var_minInd = getfromclosure(closure, 10);
  Object *var_v = getfromclosure(closure, 11);
  Object *var_newelse = getfromclosure(closure, 12);
  Object *var_eif = getfromclosure(closure, 13);
  Object *var_curelse = getfromclosure(closure, 14);
  Object self = *(getfromclosure(closure, 15));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_elopener = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "elopener");
  Object *var_elcloser = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "elcloser");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_closingBrace = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "closingBrace");
// starting to compile bind node (depth = 6)
// Begin line 743
  setline(743);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 744
  setline(744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2273 = gc_frame_new();
// call case 4: self request
  Object call2274 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2273);
// compiled member node returning call2274 (depth = 6)
// Begin line 745
  setline(745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block2277 = alloc_Block(NULL, NULL, "parser", 745);
  gc_frame_newslot(block2277);
// method "_apply"
  block_savedest(block2277);
  Object closure2278 = createclosure(2, "_apply");
  setclosureframe(closure2278, stackframe);
  addtoclosure(closure2278, var_sym);
  addtoclosure(closure2278, selfslot);
  struct UserObject *uo2278 = (struct UserObject*)block2277;
  uo2278->data[0] = (Object)closure2278;
  Method *meth_meth_parser__apply2278 = addmethod2pos(block2277, "_apply", &meth_parser__apply2278, 0);
  int argcv_meth_parser__apply2278[] = {0};
  meth_meth_parser__apply2278->type = alloc_MethodType(1, argcv_meth_parser__apply2278);
  meth_meth_parser__apply2278->definitionModule = modulename;
  meth_meth_parser__apply2278->definitionLine = 3404;
// compiled block node returning block2277 (depth = 9)
  int op_slot_right_2276 = gc_frame_newslot(block2277);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2288 == NULL) {
    strlit2288 = alloc_String("lparen");
    gc_root(strlit2288);
  }
// compiled string node returning strlit2288 (depth = 10)
  int op_slot_right_2287 = gc_frame_newslot(strlit2288);
// starting to compile member node (depth = 10)
  int callframe2290 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call2291 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2290);
// compiled member node returning call2291 (depth = 10)
  int op_slot_left_2287 = gc_frame_newslot(call2291);
  params[0] = strlit2288;
  partcv[0] = 1;
  Object opresult2292 = callmethod(call2291, "==(1)", 1, partcv, params);
// compiled op node returning opresult2292 (depth = 9)
  int op_slot_left_2276 = gc_frame_newslot(opresult2292);
  params[0] = block2277;
  partcv[0] = 1;
  Object opresult2293 = callmethod(opresult2292, "||(1)", 1, partcv, params);
// compiled op node returning opresult2293 (depth = 8)
  Object if2275 = done;
struct StackFrameObject *iftmpstackframe2275 = stackframe;
  if (istrue(opresult2293)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2275);
gc_frame_newslot((Object)stackframe);
// Begin line 746
  setline(746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2294 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2295 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2294);
// compiled member node returning call2295 (depth = 8)
    gc_frame_newslot(call2295);
    if2275 = call2295;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe2275);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 8)
  if (strlit2296 == NULL) {
    strlit2296 = alloc_String("-missing-");
    gc_root(strlit2296);
  }
// compiled string node returning strlit2296 (depth = 8)
    gc_frame_newslot(strlit2296);
    if2275 = strlit2296;
  }
stackframe = iftmpstackframe2275;
// compiled if node returning if2275 (depth = 7)
  *var_elopener = if2275;
  if (if2275 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 747
  setline(747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2299 == NULL) {
    strlit2299 = alloc_String("(");
    gc_root(strlit2299);
  }
// compiled string node returning strlit2299 (depth = 9)
  int op_slot_right_2298 = gc_frame_newslot(strlit2299);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_elopener (depth = 9)
  int op_slot_left_2298 = gc_frame_newslot(*var_elopener);
  params[0] = strlit2299;
  partcv[0] = 1;
  Object opresult2301 = callmethod(*var_elopener, "==(1)", 1, partcv, params);
// compiled op node returning opresult2301 (depth = 8)
  Object if2297 = done;
struct StackFrameObject *iftmpstackframe2297 = stackframe;
  if (istrue(opresult2301)) {
stackframe = alloc_StackFrame(0, iftmpstackframe2297);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 8)
  if (strlit2302 == NULL) {
    strlit2302 = alloc_String(")");
    gc_root(strlit2302);
  }
// compiled string node returning strlit2302 (depth = 8)
    gc_frame_newslot(strlit2302);
    if2297 = strlit2302;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe2297);
  gc_frame_newslot((Object)stackframe);
// Begin line 748
  setline(748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2305 == NULL) {
    strlit2305 = alloc_String("{");
    gc_root(strlit2305);
  }
// compiled string node returning strlit2305 (depth = 10)
  int op_slot_right_2304 = gc_frame_newslot(strlit2305);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_elopener (depth = 10)
  int op_slot_left_2304 = gc_frame_newslot(*var_elopener);
  params[0] = strlit2305;
  partcv[0] = 1;
  Object opresult2307 = callmethod(*var_elopener, "==(1)", 1, partcv, params);
// compiled op node returning opresult2307 (depth = 9)
  Object if2303 = done;
  if (istrue(opresult2307)) {
// starting to compile string node (depth = 9)
  if (strlit2308 == NULL) {
    strlit2308 = alloc_String("}");
    gc_root(strlit2308);
  }
// compiled string node returning strlit2308 (depth = 9)
    gc_frame_newslot(strlit2308);
    if2303 = strlit2308;
  } else {
// starting to compile string node (depth = 9)
  if (strlit2309 == NULL) {
    strlit2309 = alloc_String("-nothing-");
    gc_root(strlit2309);
  }
// compiled string node returning strlit2309 (depth = 9)
    gc_frame_newslot(strlit2309);
    if2303 = strlit2309;
  }
// compiled if node returning if2303 (depth = 8)
    gc_frame_newslot(if2303);
    if2297 = if2303;
  }
stackframe = iftmpstackframe2297;
// compiled if node returning if2297 (depth = 7)
  *var_elcloser = if2297;
  if (if2297 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 749
  setline(749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2312 == NULL) {
    strlit2312 = alloc_String("-missing-");
    gc_root(strlit2312);
  }
// compiled string node returning strlit2312 (depth = 8)
  int op_slot_right_2311 = gc_frame_newslot(strlit2312);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_elopener (depth = 8)
  int op_slot_left_2311 = gc_frame_newslot(*var_elopener);
  params[0] = strlit2312;
  partcv[0] = 1;
  Object opresult2314 = callmethod(*var_elopener, "==(1)", 1, partcv, params);
// compiled op node returning opresult2314 (depth = 7)
  Object if2310 = done;
  if (istrue(opresult2314)) {
// Begin line 750
  setline(750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2315 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2316 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call2317 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2316);
// compiled member node returning call2317 (depth = 9)
  Object call2318 = callmethodflags(call2317, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2315);
// compiled member node returning call2318 (depth = 8)
  *var_suggestion = call2318;
  if (call2318 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 752
  setline(752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2319 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2320 = alloc_Block(NULL, NULL, "parser", 752);
  gc_frame_newslot(block2320);
// method "_apply(_)"
  block_savedest(block2320);
  Object closure2321 = createclosure(2, "_apply(1)");
  setclosureframe(closure2321, stackframe);
  addtoclosure(closure2321, var_statementToken);
  addtoclosure(closure2321, selfslot);
  struct UserObject *uo2321 = (struct UserObject*)block2320;
  uo2321->data[0] = (Object)closure2321;
  Method *meth_meth_parser__apply_40_1_41_2321 = addmethod2pos(block2320, "_apply(1)", &meth_parser__apply_40_1_41_2321, 0);
  int argcv_meth_parser__apply_40_1_41_2321[] = {1};
  meth_meth_parser__apply_40_1_41_2321->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_2321);
  meth_meth_parser__apply_40_1_41_2321->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_2321->definitionLine = 3404;
// compiled block node returning block2320 (depth = 9)
  gc_frame_newslot(block2320);
// call case 4: self request
  params[0] = block2320;
  partcv[0] = 1;
  Object call2375 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2319);
// compiled call node returning call2375 (depth = 8)
  *var_nextTok = call2375;
  if (call2375 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 755
  setline(755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_right_2377 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 9)
  Object bool2379 = alloc_Boolean(0);
// compiled identifier node returning bool2379 (depth = 9)
  int op_slot_left_2377 = gc_frame_newslot(bool2379);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult2380 = callmethod(bool2379, "==(1)", 1, partcv, params);
// compiled op node returning opresult2380 (depth = 8)
  Object if2376 = done;
  if (istrue(opresult2380)) {
// Begin line 756
  setline(756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2381 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2382 == NULL) {
    strlit2382 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2382);
  }
// compiled string node returning strlit2382 (depth = 9)
  gc_frame_newslot(strlit2382);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_statementToken (depth = 9)
  gc_frame_newslot(*var_statementToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit2382;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2383 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2381);
// compiled call node returning call2383 (depth = 8)
    gc_frame_newslot(call2383);
    if2376 = call2383;
  } else {
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 757
  setline(757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2386 == NULL) {
    strlit2386 = alloc_String("rparen");
    gc_root(strlit2386);
  }
// compiled string node returning strlit2386 (depth = 10)
  int op_slot_right_2385 = gc_frame_newslot(strlit2386);
// starting to compile member node (depth = 10)
  int callframe2388 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call2389 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2388);
// compiled member node returning call2389 (depth = 10)
  int op_slot_left_2385 = gc_frame_newslot(call2389);
  params[0] = strlit2386;
  partcv[0] = 1;
  Object opresult2390 = callmethod(call2389, "==(1)", 1, partcv, params);
// compiled op node returning opresult2390 (depth = 9)
  Object if2384 = done;
  if (istrue(opresult2390)) {
// Begin line 758
  setline(758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  int op_slot_right_2392 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  int op_slot_left_2392 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2394 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult2394 (depth = 10)
  Object if2391 = done;
  if (istrue(opresult2394)) {
// Begin line 759
  setline(759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2395 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2396 == NULL) {
    strlit2396 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2396);
  }
// compiled string node returning strlit2396 (depth = 11)
  gc_frame_newslot(strlit2396);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2396;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2397 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2395);
// compiled call node returning call2397 (depth = 10)
    gc_frame_newslot(call2397);
    if2391 = call2397;
  } else {
// Begin line 761
  setline(761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2398 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2399 == NULL) {
    strlit2399 = alloc_String("(");
    gc_root(strlit2399);
  }
// compiled string node returning strlit2399 (depth = 11)
  gc_frame_newslot(strlit2399);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2399;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2400 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2398);
// compiled call node returning call2400 (depth = 10)
    gc_frame_newslot(call2400);
    if2391 = call2400;
  }
// compiled if node returning if2391 (depth = 9)
    gc_frame_newslot(if2391);
    if2384 = if2391;
  } else {
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 763
  setline(763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit2403 == NULL) {
    strlit2403 = alloc_String("lbrace");
    gc_root(strlit2403);
  }
// compiled string node returning strlit2403 (depth = 11)
  int op_slot_right_2402 = gc_frame_newslot(strlit2403);
// starting to compile member node (depth = 11)
  int callframe2405 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  Object call2406 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2405);
// compiled member node returning call2406 (depth = 11)
  int op_slot_left_2402 = gc_frame_newslot(call2406);
  params[0] = strlit2403;
  partcv[0] = 1;
  Object opresult2407 = callmethod(call2406, "==(1)", 1, partcv, params);
// compiled op node returning opresult2407 (depth = 10)
  Object if2401 = done;
  if (istrue(opresult2407)) {
// Begin line 764
  setline(764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  int op_slot_right_2409 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  int op_slot_left_2409 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2411 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult2411 (depth = 11)
  Object if2408 = done;
  if (istrue(opresult2411)) {
// Begin line 765
  setline(765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2412 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2413 == NULL) {
    strlit2413 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"") then");
    gc_root(strlit2413);
  }
// compiled string node returning strlit2413 (depth = 12)
  gc_frame_newslot(strlit2413);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_statementToken (depth = 12)
  gc_frame_newslot(*var_statementToken);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = strlit2413;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2414 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2412);
// compiled call node returning call2414 (depth = 11)
    gc_frame_newslot(call2414);
    if2408 = call2414;
  } else {
// Begin line 767
  setline(767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2415 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2416 == NULL) {
    strlit2416 = alloc_String("(");
    gc_root(strlit2416);
  }
// compiled string node returning strlit2416 (depth = 12)
  gc_frame_newslot(strlit2416);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = strlit2416;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2417 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2415);
// compiled call node returning call2417 (depth = 11)
// Begin line 768
  setline(768);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe2418 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit2419 == NULL) {
    strlit2419 = alloc_String(") then");
    gc_root(strlit2419);
  }
// compiled string node returning strlit2419 (depth = 12)
  gc_frame_newslot(strlit2419);
// starting to compile member node (depth = 12)
  int callframe2420 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextTok (depth = 13)
  Object call2421 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe2420);
// compiled member node returning call2421 (depth = 12)
  gc_frame_newslot(call2421);
// starting to compile identifier node (depth = 12)
  Object bool2422 = alloc_Boolean(1);
// compiled identifier node returning bool2422 (depth = 12)
  gc_frame_newslot(bool2422);
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_suggestion (depth = 12)
  params[0] = strlit2419;
  params[1] = call2421;
  params[2] = bool2422;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2423 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2418);
// compiled call node returning call2423 (depth = 11)
    gc_frame_newslot(call2423);
    if2408 = call2423;
  }
// compiled if node returning if2408 (depth = 10)
    gc_frame_newslot(if2408);
    if2401 = if2408;
  } else {
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 770
  setline(770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2426 == NULL) {
    strlit2426 = alloc_String("identifier");
    gc_root(strlit2426);
  }
// compiled string node returning strlit2426 (depth = 12)
  int op_slot_right_2425 = gc_frame_newslot(strlit2426);
// starting to compile member node (depth = 12)
  int callframe2428 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextTok (depth = 13)
  Object call2429 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2428);
// compiled member node returning call2429 (depth = 12)
  int op_slot_left_2425 = gc_frame_newslot(call2429);
  params[0] = strlit2426;
  partcv[0] = 1;
  Object opresult2430 = callmethod(call2429, "==(1)", 1, partcv, params);
// compiled op node returning opresult2430 (depth = 11)
  Object if2424 = done;
  if (istrue(opresult2430)) {
// Begin line 771
  setline(771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  int op_slot_right_2432 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_nextTok (depth = 13)
  int op_slot_left_2432 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2434 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult2434 (depth = 12)
  Object if2431 = done;
  if (istrue(opresult2434)) {
// Begin line 772
  setline(772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2435 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit2436 == NULL) {
    strlit2436 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"") ");
    gc_root(strlit2436);
  }
// compiled string node returning strlit2436 (depth = 13)
  gc_frame_newslot(strlit2436);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = strlit2436;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2437 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2435);
// compiled call node returning call2437 (depth = 12)
    gc_frame_newslot(call2437);
    if2431 = call2437;
  } else {
// Begin line 774
  setline(774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2438 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit2439 == NULL) {
    strlit2439 = alloc_String("(");
    gc_root(strlit2439);
  }
// compiled string node returning strlit2439 (depth = 13)
  gc_frame_newslot(strlit2439);
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = strlit2439;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2440 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2438);
// compiled call node returning call2440 (depth = 12)
// Begin line 775
  setline(775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe2441 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit2442 == NULL) {
    strlit2442 = alloc_String(")");
    gc_root(strlit2442);
  }
// compiled string node returning strlit2442 (depth = 13)
  gc_frame_newslot(strlit2442);
// starting to compile member node (depth = 13)
  int callframe2443 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_nextTok (depth = 14)
  Object call2444 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe2443);
// compiled member node returning call2444 (depth = 13)
  gc_frame_newslot(call2444);
// starting to compile identifier node (depth = 13)
  Object bool2445 = alloc_Boolean(1);
// compiled identifier node returning bool2445 (depth = 13)
  gc_frame_newslot(bool2445);
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_suggestion (depth = 13)
  params[0] = strlit2442;
  params[1] = call2444;
  params[2] = bool2445;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call2446 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2441);
// compiled call node returning call2446 (depth = 12)
    gc_frame_newslot(call2446);
    if2431 = call2446;
  }
// compiled if node returning if2431 (depth = 11)
    gc_frame_newslot(if2431);
    if2424 = if2431;
  } else {
  }
// compiled if node returning if2424 (depth = 10)
    gc_frame_newslot(if2424);
    if2401 = if2424;
  }
// compiled if node returning if2401 (depth = 9)
    gc_frame_newslot(if2401);
    if2384 = if2401;
  }
// compiled if node returning if2384 (depth = 8)
    gc_frame_newslot(if2384);
    if2376 = if2384;
  }
// compiled if node returning if2376 (depth = 7)
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2447 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 779
  setline(779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2449 == NULL) {
    strlit2449 = alloc_String("condition in parentheses or braces after the 'elseif'.");
    gc_root(strlit2449);
  }
// compiled string node returning strlit2449 (depth = 9)
  int op_slot_right_2448 = gc_frame_newslot(strlit2449);
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2451 == NULL) {
    strlit2451 = alloc_String("an elseif statement must have a ");
    gc_root(strlit2451);
  }
// compiled string node returning strlit2451 (depth = 9)
  int op_slot_left_2448 = gc_frame_newslot(strlit2451);
  params[0] = strlit2449;
  partcv[0] = 1;
  Object opresult2452 = callmethod(strlit2451, "++(1)", 1, partcv, params);
// compiled op node returning opresult2452 (depth = 8)
  gc_frame_newslot(opresult2452);
// Begin line 780
  setline(780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2453 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2454 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2453);
// compiled member node returning call2454 (depth = 8)
  gc_frame_newslot(call2454);
// starting to compile member node (depth = 8)
  int callframe2455 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2456 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2455);
// compiled member node returning call2456 (depth = 8)
  gc_frame_newslot(call2456);
// Begin line 781
  setline(781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 778
  setline(778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2452;
  params[1] = call2454;
  params[2] = call2456;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2457 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2447);
// compiled call node returning call2457 (depth = 7)
    gc_frame_newslot(call2457);
    if2310 = call2457;
  } else {
  }
// compiled if node returning if2310 (depth = 6)
// Begin line 783
  setline(783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2458 = gc_frame_new();
// call case 4: self request
  Object call2459 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2458);
// compiled member node returning call2459 (depth = 6)
// Begin line 784
  setline(784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2461 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe2462 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2463 = alloc_Block(NULL, NULL, "parser", 784);
  gc_frame_newslot(block2463);
// method "_apply"
  block_savedest(block2463);
  Object closure2464 = createclosure(2, "_apply");
  setclosureframe(closure2464, stackframe);
  addtoclosure(closure2464, var_blocksOK);
  addtoclosure(closure2464, selfslot);
  struct UserObject *uo2464 = (struct UserObject*)block2463;
  uo2464->data[0] = (Object)closure2464;
  Method *meth_meth_parser__apply2464 = addmethod2pos(block2463, "_apply", &meth_parser__apply2464, 0);
  int argcv_meth_parser__apply2464[] = {0};
  meth_meth_parser__apply2464->type = alloc_MethodType(1, argcv_meth_parser__apply2464);
  meth_meth_parser__apply2464->definitionModule = modulename;
  meth_meth_parser__apply2464->definitionLine = 3404;
// compiled block node returning block2463 (depth = 9)
  gc_frame_newslot(block2463);
// call case 4: self request
  params[0] = block2463;
  partcv[0] = 1;
  Object call2468 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2462);
// compiled call node returning call2468 (depth = 8)
  Object call2469 = callmethodflags(call2468, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2461);
// compiled member node returning call2469 (depth = 7)
  Object if2460 = done;
  if (istrue(call2469)) {
// Begin line 785
  setline(785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2470 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2471 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call2472 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2471);
// compiled member node returning call2472 (depth = 9)
  Object call2473 = callmethodflags(call2472, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2470);
// compiled member node returning call2473 (depth = 8)
  *var_suggestion = call2473;
  if (call2473 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 787
  setline(787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2474 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block2475 = alloc_Block(NULL, NULL, "parser", 787);
  gc_frame_newslot(block2475);
// method "_apply(_)"
  block_savedest(block2475);
  Object closure2476 = createclosure(2, "_apply(1)");
  setclosureframe(closure2476, stackframe);
  addtoclosure(closure2476, var_lastToken);
  addtoclosure(closure2476, selfslot);
  struct UserObject *uo2476 = (struct UserObject*)block2475;
  uo2476->data[0] = (Object)closure2476;
  Method *meth_meth_parser__apply_40_1_41_2476 = addmethod2pos(block2475, "_apply(1)", &meth_parser__apply_40_1_41_2476, 0);
  int argcv_meth_parser__apply_40_1_41_2476[] = {1};
  meth_meth_parser__apply_40_1_41_2476->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_2476);
  meth_meth_parser__apply_40_1_41_2476->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_2476->definitionLine = 3404;
// compiled block node returning block2475 (depth = 9)
  gc_frame_newslot(block2475);
// call case 4: self request
  params[0] = block2475;
  partcv[0] = 1;
  Object call2503 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2474);
// compiled call node returning call2503 (depth = 8)
  *var_nextTok = call2503;
  if (call2503 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 789
  setline(789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_right_2505 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 9)
  Object bool2507 = alloc_Boolean(0);
// compiled identifier node returning bool2507 (depth = 9)
  int op_slot_left_2505 = gc_frame_newslot(bool2507);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult2508 = callmethod(bool2507, "==(1)", 1, partcv, params);
// compiled op node returning opresult2508 (depth = 8)
  Object if2504 = done;
  if (istrue(opresult2508)) {
// Begin line 790
  setline(790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2509 = gc_frame_new();
// starting to compile array node (depth = 10)
  Object array2510 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 11)
  if (strlit2511 == NULL) {
    strlit2511 = alloc_String("rparen");
    gc_root(strlit2511);
  }
// compiled string node returning strlit2511 (depth = 11)
  params[0] = strlit2511;
  partcv[0] = 1;
  callmethodflags(array2510, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array2510 (depth = 10)
  gc_frame_newslot(array2510);
// call case 4: self request
  params[0] = array2510;
  partcv[0] = 1;
  Object call2512 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2509);
// compiled call node returning call2512 (depth = 9)
  *var_nextTok = call2512;
  if (call2512 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 791
  setline(791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_2515 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_2515 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2517 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult2517 (depth = 9)
  Object if2514 = done;
  if (istrue(opresult2517)) {
// Begin line 792
  setline(792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2518 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2519 == NULL) {
    strlit2519 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2519);
  }
// compiled string node returning strlit2519 (depth = 10)
  gc_frame_newslot(strlit2519);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit2519;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2520 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2518);
// compiled call node returning call2520 (depth = 9)
    gc_frame_newslot(call2520);
    if2514 = call2520;
  } else {
// Begin line 794
  setline(794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2521 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
  int callframe2522 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call2523 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe2522);
// compiled member node returning call2523 (depth = 10)
  gc_frame_newslot(call2523);
// starting to compile identifier node (depth = 10)
  Object bool2524 = alloc_Boolean(1);
// compiled identifier node returning bool2524 (depth = 10)
  gc_frame_newslot(bool2524);
// starting to compile identifier node (depth = 10)
  Object bool2525 = alloc_Boolean(0);
// compiled identifier node returning bool2525 (depth = 10)
  gc_frame_newslot(bool2525);
// starting to compile string node (depth = 10)
  if (strlit2526 == NULL) {
    strlit2526 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit2526);
  }
// compiled string node returning strlit2526 (depth = 10)
  gc_frame_newslot(strlit2526);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call2523;
  params[2] = bool2524;
  params[3] = bool2525;
  params[4] = strlit2526;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2527 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2521);
// compiled call node returning call2527 (depth = 9)
    gc_frame_newslot(call2527);
    if2514 = call2527;
  }
// compiled if node returning if2514 (depth = 8)
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2528 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2529 == NULL) {
    strlit2529 = alloc_String("an elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2529);
  }
// compiled string node returning strlit2529 (depth = 9)
  gc_frame_newslot(strlit2529);
// Begin line 797
  setline(797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe2530 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call2531 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2530);
// compiled member node returning call2531 (depth = 9)
  gc_frame_newslot(call2531);
// starting to compile member node (depth = 9)
  int callframe2532 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call2533 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2532);
// compiled member node returning call2533 (depth = 9)
  gc_frame_newslot(call2533);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 796
  setline(796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit2529;
  params[1] = call2531;
  params[2] = call2533;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2534 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2528);
// compiled call node returning call2534 (depth = 8)
    gc_frame_newslot(call2534);
    if2504 = call2534;
  } else {
// Begin line 799
  setline(799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_2536 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_2536 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2538 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult2538 (depth = 9)
  Object if2535 = done;
  if (istrue(opresult2538)) {
// Begin line 800
  setline(800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2539 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2540 == NULL) {
    strlit2540 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2540);
  }
// compiled string node returning strlit2540 (depth = 10)
  gc_frame_newslot(strlit2540);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit2540;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2541 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2539);
// compiled call node returning call2541 (depth = 9)
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2542 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2543 == NULL) {
    strlit2543 = alloc_String("an elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2543);
  }
// compiled string node returning strlit2543 (depth = 10)
  gc_frame_newslot(strlit2543);
// Begin line 802
  setline(802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe2544 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call2545 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2544);
// compiled member node returning call2545 (depth = 10)
  gc_frame_newslot(call2545);
// starting to compile member node (depth = 10)
  int callframe2546 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call2547 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2546);
// compiled member node returning call2547 (depth = 10)
  gc_frame_newslot(call2547);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 801
  setline(801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2543;
  params[1] = call2545;
  params[2] = call2547;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2548 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2542);
// compiled call node returning call2548 (depth = 9)
    gc_frame_newslot(call2548);
    if2535 = call2548;
  } else {
// Begin line 805
  setline(805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2549 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
  int callframe2550 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call2551 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe2550);
// compiled member node returning call2551 (depth = 10)
  gc_frame_newslot(call2551);
// starting to compile identifier node (depth = 10)
  Object bool2552 = alloc_Boolean(0);
// compiled identifier node returning bool2552 (depth = 10)
  gc_frame_newslot(bool2552);
// starting to compile identifier node (depth = 10)
  Object bool2553 = alloc_Boolean(1);
// compiled identifier node returning bool2553 (depth = 10)
  gc_frame_newslot(bool2553);
// starting to compile string node (depth = 10)
  if (strlit2554 == NULL) {
    strlit2554 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2554);
  }
// compiled string node returning strlit2554 (depth = 10)
  gc_frame_newslot(strlit2554);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call2551;
  params[2] = bool2552;
  params[3] = bool2553;
  params[4] = strlit2554;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2555 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2549);
// compiled call node returning call2555 (depth = 9)
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2556 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2557 == NULL) {
    strlit2557 = alloc_String("4: An elseif statement must have an expression in parentheses or braces after the 'elseif'.");
    gc_root(strlit2557);
  }
// compiled string node returning strlit2557 (depth = 10)
  gc_frame_newslot(strlit2557);
// Begin line 807
  setline(807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe2558 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call2559 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2558);
// compiled member node returning call2559 (depth = 10)
  gc_frame_newslot(call2559);
// starting to compile member node (depth = 10)
  int callframe2560 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call2561 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2560);
// compiled member node returning call2561 (depth = 10)
  gc_frame_newslot(call2561);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2563 = alloc_Float64(1);
// compiled num node returning num2563 (depth = 11)
  int op_slot_right_2562 = gc_frame_newslot(num2563);
// starting to compile member node (depth = 11)
  int callframe2565 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_nextTok (depth = 12)
  Object call2566 = callmethodflags(*var_nextTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2565);
// compiled member node returning call2566 (depth = 11)
  int op_slot_left_2562 = gc_frame_newslot(call2566);
  params[0] = num2563;
  partcv[0] = 1;
  Object diff2567 = callmethod(call2566, "-(1)", 1, partcv, params);
// compiled op node returning diff2567 (depth = 10)
  gc_frame_newslot(diff2567);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 806
  setline(806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit2557;
  params[1] = call2559;
  params[2] = call2561;
  params[3] = diff2567;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2568 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2556);
// compiled call node returning call2568 (depth = 9)
    gc_frame_newslot(call2568);
    if2535 = call2568;
  }
// compiled if node returning if2535 (depth = 8)
    gc_frame_newslot(if2535);
    if2504 = if2535;
  }
// compiled if node returning if2504 (depth = 7)
    gc_frame_newslot(if2504);
    if2460 = if2504;
  } else {
  }
// compiled if node returning if2460 (depth = 6)
// Begin line 811
  setline(811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_elcloser (depth = 8)
  int op_slot_right_2570 = gc_frame_newslot(*var_elcloser);
// starting to compile member node (depth = 8)
  int callframe2572 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2573 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2572);
// compiled member node returning call2573 (depth = 8)
  int op_slot_left_2570 = gc_frame_newslot(call2573);
  params[0] = *var_elcloser;
  partcv[0] = 1;
  Object opresult2574 = callmethod(call2573, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2574 (depth = 7)
  Object if2569 = done;
  if (istrue(opresult2574)) {
// Begin line 812
  setline(812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2575 = gc_frame_new();
// call case 4: self request
  Object call2576 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2575);
// compiled member node returning call2576 (depth = 7)
// Begin line 813
  setline(813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2577 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2578 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call2579 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2578);
// compiled member node returning call2579 (depth = 9)
  Object call2580 = callmethodflags(call2579, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2577);
// compiled member node returning call2580 (depth = 8)
  *var_suggestion = call2580;
  if (call2580 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 814
  setline(814);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2581 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2582 == NULL) {
    strlit2582 = alloc_String(")");
    gc_root(strlit2582);
  }
// compiled string node returning strlit2582 (depth = 8)
  gc_frame_newslot(strlit2582);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit2582;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2583 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2581);
// compiled call node returning call2583 (depth = 7)
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2584 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 816
  setline(816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit2587 == NULL) {
    strlit2587 = alloc_String("'.");
    gc_root(strlit2587);
  }
// compiled string node returning strlit2587 (depth = 10)
  int op_slot_right_2586 = gc_frame_newslot(strlit2587);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_elcloser (depth = 11)
  int op_slot_right_2589 = gc_frame_newslot(*var_elcloser);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit2592 == NULL) {
    strlit2592 = alloc_String("' must end with a '");
    gc_root(strlit2592);
  }
// compiled string node returning strlit2592 (depth = 12)
  int op_slot_right_2591 = gc_frame_newslot(strlit2592);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_elopener (depth = 13)
  int op_slot_right_2594 = gc_frame_newslot(*var_elopener);
// starting to compile string node (depth = 13)
  if (strlit2596 == NULL) {
    strlit2596 = alloc_String("'");
    gc_root(strlit2596);
  }
// compiled string node returning strlit2596 (depth = 13)
  int op_slot_left_2594 = gc_frame_newslot(strlit2596);
  params[0] = *var_elopener;
  partcv[0] = 1;
  Object opresult2597 = callmethod(strlit2596, "++(1)", 1, partcv, params);
// compiled op node returning opresult2597 (depth = 12)
  int op_slot_left_2591 = gc_frame_newslot(opresult2597);
  params[0] = strlit2592;
  partcv[0] = 1;
  Object opresult2598 = callmethod(opresult2597, "++(1)", 1, partcv, params);
// compiled op node returning opresult2598 (depth = 11)
  int op_slot_left_2589 = gc_frame_newslot(opresult2598);
  params[0] = *var_elcloser;
  partcv[0] = 1;
  Object opresult2599 = callmethod(opresult2598, "++(1)", 1, partcv, params);
// compiled op node returning opresult2599 (depth = 10)
  int op_slot_left_2586 = gc_frame_newslot(opresult2599);
  params[0] = strlit2587;
  partcv[0] = 1;
  Object opresult2600 = callmethod(opresult2599, "++(1)", 1, partcv, params);
// compiled op node returning opresult2600 (depth = 9)
  int op_slot_right_2585 = gc_frame_newslot(opresult2600);
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 9)
  if (strlit2602 == NULL) {
    strlit2602 = alloc_String("an expression beginning with a ");
    gc_root(strlit2602);
  }
// compiled string node returning strlit2602 (depth = 9)
  int op_slot_left_2585 = gc_frame_newslot(strlit2602);
  params[0] = opresult2600;
  partcv[0] = 1;
  Object opresult2603 = callmethod(strlit2602, "++(1)", 1, partcv, params);
// compiled op node returning opresult2603 (depth = 8)
  gc_frame_newslot(opresult2603);
// Begin line 817
  setline(817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2604 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call2605 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2604);
// compiled member node returning call2605 (depth = 8)
  gc_frame_newslot(call2605);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2607 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call2608 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2607);
// compiled member node returning call2608 (depth = 9)
  int op_slot_right_2606 = gc_frame_newslot(call2608);
// starting to compile member node (depth = 9)
  int callframe2610 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call2611 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2610);
// compiled member node returning call2611 (depth = 9)
  int op_slot_left_2606 = gc_frame_newslot(call2611);
  params[0] = call2608;
  partcv[0] = 1;
  Object sum2612 = callmethod(call2611, "+(1)", 1, partcv, params);
// compiled op node returning sum2612 (depth = 8)
  gc_frame_newslot(sum2612);
// Begin line 818
  setline(818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 815
  setline(815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult2603;
  params[1] = call2605;
  params[2] = sum2612;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2613 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2584);
// compiled call node returning call2613 (depth = 7)
    gc_frame_newslot(call2613);
    if2569 = call2613;
  } else {
  }
// compiled if node returning if2569 (depth = 6)
// Begin line 820
  setline(820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2614 = gc_frame_new();
// call case 4: self request
  Object call2615 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2614);
// compiled member node returning call2615 (depth = 6)
// Begin line 821
  setline(821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2616 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call2617 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe2616);
// compiled member node returning call2617 (depth = 7)
  *var_econd = call2617;
  if (call2617 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// Begin line 823
  setline(823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2622 == NULL) {
    strlit2622 = alloc_String("then");
    gc_root(strlit2622);
  }
// compiled string node returning strlit2622 (depth = 9)
  int op_slot_right_2621 = gc_frame_newslot(strlit2622);
// starting to compile member node (depth = 9)
  int callframe2624 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call2625 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2624);
// compiled member node returning call2625 (depth = 9)
  int op_slot_left_2621 = gc_frame_newslot(call2625);
  params[0] = strlit2622;
  partcv[0] = 1;
  Object opresult2626 = callmethod(call2625, "==(1)", 1, partcv, params);
// compiled op node returning opresult2626 (depth = 8)
  int op_slot_right_2620 = gc_frame_newslot(opresult2626);
// Begin line 822
  setline(822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2628 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2629 == NULL) {
    strlit2629 = alloc_String("identifier");
    gc_root(strlit2629);
  }
// compiled string node returning strlit2629 (depth = 9)
  gc_frame_newslot(strlit2629);
// call case 4: self request
  params[0] = strlit2629;
  partcv[0] = 1;
  Object call2630 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2628);
// compiled call node returning call2630 (depth = 8)
  int op_slot_left_2620 = gc_frame_newslot(call2630);
  params[0] = opresult2626;
  partcv[0] = 1;
  Object opresult2631 = callmethod(call2630, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2631 (depth = 7)
  Object if2619 = done;
  if (istrue(opresult2631)) {
// Begin line 824
  setline(824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2632 = gc_frame_new();
// call case 4: self request
  Object call2633 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2632);
// compiled member node returning call2633 (depth = 7)
// Begin line 825
  setline(825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile array node (depth = 8)
  Object array2634 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2634 (depth = 8)
  *var_ebody = array2634;
  if (array2634 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2619 = done;
  } else {
// Begin line 827
  setline(827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2636 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2637 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call2638 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2637);
// compiled member node returning call2638 (depth = 9)
  Object call2639 = callmethodflags(call2638, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2636);
// compiled member node returning call2639 (depth = 8)
  *var_suggestion = call2639;
  if (call2639 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 828
  setline(828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2642 == NULL) {
    strlit2642 = alloc_String("lbrace");
    gc_root(strlit2642);
  }
// compiled string node returning strlit2642 (depth = 9)
  int op_slot_right_2641 = gc_frame_newslot(strlit2642);
// starting to compile member node (depth = 9)
  int callframe2644 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call2645 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2644);
// compiled member node returning call2645 (depth = 9)
  int op_slot_left_2641 = gc_frame_newslot(call2645);
  params[0] = strlit2642;
  partcv[0] = 1;
  Object opresult2646 = callmethod(call2645, "==(1)", 1, partcv, params);
// compiled op node returning opresult2646 (depth = 8)
  Object if2640 = done;
  if (istrue(opresult2646)) {
// Begin line 829
  setline(829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2647 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_statementToken (depth = 10)
  gc_frame_newslot(*var_statementToken);
// starting to compile identifier node (depth = 10)
  Object bool2648 = alloc_Boolean(0);
// compiled identifier node returning bool2648 (depth = 10)
  gc_frame_newslot(bool2648);
// call case 4: self request
  params[0] = *var_statementToken;
  params[1] = bool2648;
  partcv[0] = 2;
  Object call2649 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2647);
// compiled call node returning call2649 (depth = 9)
  *var_closingBrace = call2649;
  if (call2649 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 830
  setline(830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2651 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2652 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call2653 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe2652);
// compiled member node returning call2653 (depth = 10)
  Object call2654 = callmethodflags(call2653, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2651);
// compiled member node returning call2654 (depth = 9)
  Object if2650 = done;
  if (istrue(call2654)) {
// Begin line 831
  setline(831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  int op_slot_right_2656 = gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 11)
  int callframe2658 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  Object call2659 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2658);
// compiled member node returning call2659 (depth = 11)
  int op_slot_left_2656 = gc_frame_newslot(call2659);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult2660 = callmethod(call2659, "==(1)", 1, partcv, params);
// compiled op node returning opresult2660 (depth = 10)
  Object if2655 = done;
  if (istrue(opresult2660)) {
// Begin line 832
  setline(832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2661 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 11)
  Object bool2662 = alloc_Boolean(1);
// compiled identifier node returning bool2662 (depth = 11)
  gc_frame_newslot(bool2662);
// starting to compile identifier node (depth = 11)
  Object bool2663 = alloc_Boolean(0);
// compiled identifier node returning bool2663 (depth = 11)
  gc_frame_newslot(bool2663);
// starting to compile string node (depth = 11)
  if (strlit2664 == NULL) {
    strlit2664 = alloc_String(" then {}");
    gc_root(strlit2664);
  }
// compiled string node returning strlit2664 (depth = 11)
  gc_frame_newslot(strlit2664);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = *var_sym;
  params[1] = bool2662;
  params[2] = bool2663;
  params[3] = strlit2664;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2665 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2661);
// compiled call node returning call2665 (depth = 10)
    gc_frame_newslot(call2665);
    if2655 = call2665;
  } else {
// Begin line 834
  setline(834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2666 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 11)
  Object bool2667 = alloc_Boolean(1);
// compiled identifier node returning bool2667 (depth = 11)
  gc_frame_newslot(bool2667);
// starting to compile identifier node (depth = 11)
  Object bool2668 = alloc_Boolean(0);
// compiled identifier node returning bool2668 (depth = 11)
  gc_frame_newslot(bool2668);
// starting to compile string node (depth = 11)
  if (strlit2669 == NULL) {
    strlit2669 = alloc_String(" then {");
    gc_root(strlit2669);
  }
// compiled string node returning strlit2669 (depth = 11)
  gc_frame_newslot(strlit2669);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = *var_sym;
  params[1] = bool2667;
  params[2] = bool2668;
  params[3] = strlit2669;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2670 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2666);
// compiled call node returning call2670 (depth = 10)
// Begin line 835
  setline(835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2671 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2673 = alloc_Float64(0.1);
// compiled num node returning num2673 (depth = 12)
  int op_slot_right_2672 = gc_frame_newslot(num2673);
// starting to compile member node (depth = 12)
  int callframe2675 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2676 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_closingBrace (depth = 14)
  Object call2677 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2676);
// compiled member node returning call2677 (depth = 13)
  Object call2678 = callmethodflags(call2677, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2675);
// compiled member node returning call2678 (depth = 12)
  int op_slot_left_2672 = gc_frame_newslot(call2678);
  params[0] = num2673;
  partcv[0] = 1;
  Object sum2679 = callmethod(call2678, "+(1)", 1, partcv, params);
// compiled op node returning sum2679 (depth = 11)
  gc_frame_newslot(sum2679);
// starting to compile string node (depth = 11)
  if (strlit2680 == NULL) {
    strlit2680 = alloc_String("}");
    gc_root(strlit2680);
  }
// compiled string node returning strlit2680 (depth = 11)
  gc_frame_newslot(strlit2680);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = sum2679;
  params[1] = strlit2680;
  partcv[0] = 2;
  Object call2681 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2671);
// compiled call node returning call2681 (depth = 10)
    gc_frame_newslot(call2681);
    if2655 = call2681;
  }
// compiled if node returning if2655 (depth = 9)
    gc_frame_newslot(if2655);
    if2650 = if2655;
  } else {
// Begin line 838
  setline(838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2682 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
  Object bool2683 = alloc_Boolean(1);
// compiled identifier node returning bool2683 (depth = 10)
  gc_frame_newslot(bool2683);
// starting to compile identifier node (depth = 10)
  Object bool2684 = alloc_Boolean(0);
// compiled identifier node returning bool2684 (depth = 10)
  gc_frame_newslot(bool2684);
// starting to compile string node (depth = 10)
  if (strlit2685 == NULL) {
    strlit2685 = alloc_String(" then {");
    gc_root(strlit2685);
  }
// compiled string node returning strlit2685 (depth = 10)
  gc_frame_newslot(strlit2685);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = bool2683;
  params[2] = bool2684;
  params[3] = strlit2685;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2686 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2682);
// compiled call node returning call2686 (depth = 9)
    gc_frame_newslot(call2686);
    if2650 = call2686;
  }
// compiled if node returning if2650 (depth = 8)
    gc_frame_newslot(if2650);
    if2640 = if2650;
  } else {
// Begin line 841
  setline(841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe2687 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_statementToken (depth = 10)
  gc_frame_newslot(*var_statementToken);
// starting to compile identifier node (depth = 10)
  Object bool2688 = alloc_Boolean(1);
// compiled identifier node returning bool2688 (depth = 10)
  gc_frame_newslot(bool2688);
// call case 4: self request
  params[0] = *var_statementToken;
  params[1] = bool2688;
  partcv[0] = 2;
  Object call2689 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2687);
// compiled call node returning call2689 (depth = 9)
  *var_closingBrace = call2689;
  if (call2689 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 842
  setline(842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2691 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2692 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call2693 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe2692);
// compiled member node returning call2693 (depth = 10)
  Object call2694 = callmethodflags(call2693, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2691);
// compiled member node returning call2694 (depth = 9)
  Object if2690 = done;
  if (istrue(call2694)) {
// Begin line 843
  setline(843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  int op_slot_right_2696 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 11)
  int callframe2698 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  Object call2699 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2698);
// compiled member node returning call2699 (depth = 11)
  int op_slot_left_2696 = gc_frame_newslot(call2699);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2700 = callmethod(call2699, "==(1)", 1, partcv, params);
// compiled op node returning opresult2700 (depth = 10)
  Object if2695 = done;
  if (istrue(opresult2700)) {
// Begin line 844
  setline(844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2701 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2702 == NULL) {
    strlit2702 = alloc_String(" then {}");
    gc_root(strlit2702);
  }
// compiled string node returning strlit2702 (depth = 11)
  gc_frame_newslot(strlit2702);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2702;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2703 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2701);
// compiled call node returning call2703 (depth = 10)
    gc_frame_newslot(call2703);
    if2695 = call2703;
  } else {
// Begin line 846
  setline(846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2704 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit2705 == NULL) {
    strlit2705 = alloc_String(" then {");
    gc_root(strlit2705);
  }
// compiled string node returning strlit2705 (depth = 11)
  gc_frame_newslot(strlit2705);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit2705;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2706 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2704);
// compiled call node returning call2706 (depth = 10)
// Begin line 847
  setline(847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe2707 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num2709 = alloc_Float64(0.1);
// compiled num node returning num2709 (depth = 12)
  int op_slot_right_2708 = gc_frame_newslot(num2709);
// starting to compile member node (depth = 12)
  int callframe2711 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe2712 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_closingBrace (depth = 14)
  Object call2713 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2712);
// compiled member node returning call2713 (depth = 13)
  Object call2714 = callmethodflags(call2713, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2711);
// compiled member node returning call2714 (depth = 12)
  int op_slot_left_2708 = gc_frame_newslot(call2714);
  params[0] = num2709;
  partcv[0] = 1;
  Object sum2715 = callmethod(call2714, "+(1)", 1, partcv, params);
// compiled op node returning sum2715 (depth = 11)
  gc_frame_newslot(sum2715);
// starting to compile string node (depth = 11)
  if (strlit2716 == NULL) {
    strlit2716 = alloc_String("}");
    gc_root(strlit2716);
  }
// compiled string node returning strlit2716 (depth = 11)
  gc_frame_newslot(strlit2716);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = sum2715;
  params[1] = strlit2716;
  partcv[0] = 2;
  Object call2717 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2707);
// compiled call node returning call2717 (depth = 10)
    gc_frame_newslot(call2717);
    if2695 = call2717;
  }
// compiled if node returning if2695 (depth = 9)
    gc_frame_newslot(if2695);
    if2690 = if2695;
  } else {
// Begin line 850
  setline(850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2718 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit2719 == NULL) {
    strlit2719 = alloc_String(" then {");
    gc_root(strlit2719);
  }
// compiled string node returning strlit2719 (depth = 10)
  gc_frame_newslot(strlit2719);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit2719;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2720 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2718);
// compiled call node returning call2720 (depth = 9)
    gc_frame_newslot(call2720);
    if2690 = call2720;
  }
// compiled if node returning if2690 (depth = 8)
    gc_frame_newslot(if2690);
    if2640 = if2690;
  }
// compiled if node returning if2640 (depth = 7)
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2721 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2722 == NULL) {
    strlit2722 = alloc_String("an elseif statement must have 'then' after the expression in parentheses.");
    gc_root(strlit2722);
  }
// compiled string node returning strlit2722 (depth = 8)
  gc_frame_newslot(strlit2722);
// Begin line 854
  setline(854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2723 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2724 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2723);
// compiled member node returning call2724 (depth = 8)
  gc_frame_newslot(call2724);
// starting to compile member node (depth = 8)
  int callframe2725 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2726 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2725);
// compiled member node returning call2726 (depth = 8)
  gc_frame_newslot(call2726);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 853
  setline(853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2722;
  params[1] = call2724;
  params[2] = call2726;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2727 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2721);
// compiled call node returning call2727 (depth = 7)
    gc_frame_newslot(call2727);
    if2619 = call2727;
  }
// compiled if node returning if2619 (depth = 6)
// Begin line 856
  setline(856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit2730 == NULL) {
    strlit2730 = alloc_String("lbrace");
    gc_root(strlit2730);
  }
// compiled string node returning strlit2730 (depth = 8)
  int op_slot_right_2729 = gc_frame_newslot(strlit2730);
// starting to compile member node (depth = 8)
  int callframe2732 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2733 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2732);
// compiled member node returning call2733 (depth = 8)
  int op_slot_left_2729 = gc_frame_newslot(call2733);
  params[0] = strlit2730;
  partcv[0] = 1;
  Object opresult2734 = callmethod(call2733, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2734 (depth = 7)
  Object if2728 = done;
  if (istrue(opresult2734)) {
// Begin line 857
  setline(857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2735 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2736 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call2737 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2736);
// compiled member node returning call2737 (depth = 9)
  Object call2738 = callmethodflags(call2737, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2735);
// compiled member node returning call2738 (depth = 8)
  *var_suggestion = call2738;
  if (call2738 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 858
  setline(858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe2739 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_btok (depth = 9)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 9)
  Object bool2740 = alloc_Boolean(1);
// compiled identifier node returning bool2740 (depth = 9)
  gc_frame_newslot(bool2740);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2740;
  partcv[0] = 2;
  Object call2741 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2739);
// compiled call node returning call2741 (depth = 8)
  *var_closingBrace = call2741;
  if (call2741 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 859
  setline(859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2743 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe2744 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  Object call2745 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe2744);
// compiled member node returning call2745 (depth = 9)
  Object call2746 = callmethodflags(call2745, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2743);
// compiled member node returning call2746 (depth = 8)
  Object if2742 = done;
  if (istrue(call2746)) {
// Begin line 860
  setline(860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  int op_slot_right_2748 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 10)
  int callframe2750 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call2751 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2750);
// compiled member node returning call2751 (depth = 10)
  int op_slot_left_2748 = gc_frame_newslot(call2751);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2752 = callmethod(call2751, "==(1)", 1, partcv, params);
// compiled op node returning opresult2752 (depth = 9)
  Object if2747 = done;
  if (istrue(opresult2752)) {
// Begin line 861
  setline(861);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2753 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 10)
  Object bool2754 = alloc_Boolean(0);
// compiled identifier node returning bool2754 (depth = 10)
  gc_frame_newslot(bool2754);
// starting to compile identifier node (depth = 10)
  Object bool2755 = alloc_Boolean(1);
// compiled identifier node returning bool2755 (depth = 10)
  gc_frame_newslot(bool2755);
// starting to compile string node (depth = 10)
  if (strlit2756 == NULL) {
    strlit2756 = alloc_String("then {}");
    gc_root(strlit2756);
  }
// compiled string node returning strlit2756 (depth = 10)
  gc_frame_newslot(strlit2756);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lastToken;
  params[1] = bool2754;
  params[2] = bool2755;
  params[3] = strlit2756;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2757 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2753);
// compiled call node returning call2757 (depth = 9)
    gc_frame_newslot(call2757);
    if2747 = call2757;
  } else {
// Begin line 863
  setline(863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2758 = gc_frame_new();
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num2760 = alloc_Float64(0.1);
// compiled num node returning num2760 (depth = 11)
  int op_slot_right_2759 = gc_frame_newslot(num2760);
// starting to compile member node (depth = 11)
  int callframe2762 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe2763 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_closingBrace (depth = 13)
  Object call2764 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2763);
// compiled member node returning call2764 (depth = 12)
  Object call2765 = callmethodflags(call2764, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2762);
// compiled member node returning call2765 (depth = 11)
  int op_slot_left_2759 = gc_frame_newslot(call2765);
  params[0] = num2760;
  partcv[0] = 1;
  Object sum2766 = callmethod(call2765, "+(1)", 1, partcv, params);
// compiled op node returning sum2766 (depth = 10)
  gc_frame_newslot(sum2766);
// starting to compile string node (depth = 10)
  if (strlit2767 == NULL) {
    strlit2767 = alloc_String("}");
    gc_root(strlit2767);
  }
// compiled string node returning strlit2767 (depth = 10)
  gc_frame_newslot(strlit2767);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = sum2766;
  params[1] = strlit2767;
  partcv[0] = 2;
  Object call2768 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2758);
// compiled call node returning call2768 (depth = 9)
// Begin line 864
  setline(864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe2769 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 10)
  Object bool2770 = alloc_Boolean(0);
// compiled identifier node returning bool2770 (depth = 10)
  gc_frame_newslot(bool2770);
// starting to compile identifier node (depth = 10)
  Object bool2771 = alloc_Boolean(1);
// compiled identifier node returning bool2771 (depth = 10)
  gc_frame_newslot(bool2771);
// starting to compile string node (depth = 10)
  if (strlit2772 == NULL) {
    strlit2772 = alloc_String("then {");
    gc_root(strlit2772);
  }
// compiled string node returning strlit2772 (depth = 10)
  gc_frame_newslot(strlit2772);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_lastToken;
  params[1] = bool2770;
  params[2] = bool2771;
  params[3] = strlit2772;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2773 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2769);
// compiled call node returning call2773 (depth = 9)
    gc_frame_newslot(call2773);
    if2747 = call2773;
  }
// compiled if node returning if2747 (depth = 8)
    gc_frame_newslot(if2747);
    if2742 = if2747;
  } else {
// Begin line 867
  setline(867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2774 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool2775 = alloc_Boolean(0);
// compiled identifier node returning bool2775 (depth = 9)
  gc_frame_newslot(bool2775);
// starting to compile identifier node (depth = 9)
  Object bool2776 = alloc_Boolean(1);
// compiled identifier node returning bool2776 (depth = 9)
  gc_frame_newslot(bool2776);
// starting to compile string node (depth = 9)
  if (strlit2777 == NULL) {
    strlit2777 = alloc_String("then {");
    gc_root(strlit2777);
  }
// compiled string node returning strlit2777 (depth = 9)
  gc_frame_newslot(strlit2777);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = bool2775;
  params[2] = bool2776;
  params[3] = strlit2777;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2778 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2774);
// compiled call node returning call2778 (depth = 8)
    gc_frame_newslot(call2778);
    if2742 = call2778;
  }
// compiled if node returning if2742 (depth = 7)
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2779 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit2780 == NULL) {
    strlit2780 = alloc_String("an elseif statement must have a '{' after the 'then'.");
    gc_root(strlit2780);
  }
// compiled string node returning strlit2780 (depth = 8)
  gc_frame_newslot(strlit2780);
// Begin line 870
  setline(870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe2781 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call2782 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2781);
// compiled member node returning call2782 (depth = 8)
  gc_frame_newslot(call2782);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe2784 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call2785 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2784);
// compiled member node returning call2785 (depth = 9)
  int op_slot_right_2783 = gc_frame_newslot(call2785);
// starting to compile member node (depth = 9)
  int callframe2787 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call2788 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2787);
// compiled member node returning call2788 (depth = 9)
  int op_slot_left_2783 = gc_frame_newslot(call2788);
  params[0] = call2785;
  partcv[0] = 1;
  Object sum2789 = callmethod(call2788, "+(1)", 1, partcv, params);
// compiled op node returning sum2789 (depth = 8)
  gc_frame_newslot(sum2789);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 869
  setline(869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit2780;
  params[1] = call2782;
  params[2] = sum2789;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2790 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2779);
// compiled call node returning call2790 (depth = 7)
    gc_frame_newslot(call2790);
    if2728 = call2790;
  } else {
  }
// compiled if node returning if2728 (depth = 6)
// Begin line 872
  setline(872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2791 = gc_frame_new();
// call case 4: self request
  Object call2792 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2791);
// compiled member node returning call2792 (depth = 6)
// Begin line 873
  setline(873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2795 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call2796 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2795);
// compiled member node returning call2796 (depth = 8)
  int op_slot_right_2794 = gc_frame_newslot(call2796);
// starting to compile member node (depth = 8)
  int callframe2798 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2799 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2798);
// compiled member node returning call2799 (depth = 8)
  int op_slot_left_2794 = gc_frame_newslot(call2799);
  params[0] = call2796;
  partcv[0] = 1;
  Object opresult2800 = callmethod(call2799, "==(1)", 1, partcv, params);
// compiled op node returning opresult2800 (depth = 7)
  Object if2793 = done;
  if (istrue(opresult2800)) {
// Begin line 874
  setline(874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2802 = alloc_Float64(1);
// compiled num node returning num2802 (depth = 9)
  int op_slot_right_2801 = gc_frame_newslot(num2802);
// starting to compile member node (depth = 9)
  int callframe2804 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call2805 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2804);
// compiled member node returning call2805 (depth = 9)
  int op_slot_left_2801 = gc_frame_newslot(call2805);
  params[0] = num2802;
  partcv[0] = 1;
  Object diff2806 = callmethod(call2805, "-(1)", 1, partcv, params);
// compiled op node returning diff2806 (depth = 8)
  *var_minIndentLevel = diff2806;
  if (diff2806 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2793 = done;
  } else {
// Begin line 876
  setline(876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_minInd (depth = 8)
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if2793 = done;
  }
// compiled if node returning if2793 (depth = 6)
// Begin line 878
  setline(878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2809 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block2810 = alloc_Block(NULL, NULL, "parser", 878);
  gc_frame_newslot(block2810);
// method "_apply"
  block_savedest(block2810);
  Object closure2811 = createclosure(1, "_apply");
  setclosureframe(closure2811, stackframe);
  addtoclosure(closure2811, selfslot);
  struct UserObject *uo2811 = (struct UserObject*)block2810;
  uo2811->data[0] = (Object)closure2811;
  Method *meth_meth_parser__apply2811 = addmethod2pos(block2810, "_apply", &meth_parser__apply2811, 0);
  int argcv_meth_parser__apply2811[] = {0};
  meth_meth_parser__apply2811->type = alloc_MethodType(1, argcv_meth_parser__apply2811);
  meth_meth_parser__apply2811->definitionModule = modulename;
  meth_meth_parser__apply2811->definitionLine = 3404;
// compiled block node returning block2810 (depth = 7)
  gc_frame_newslot(block2810);
// starting to compile block node (depth = 7)
  Object block2818 = alloc_Block(NULL, NULL, "parser", 878);
  gc_frame_newslot(block2818);
// method "_apply"
  block_savedest(block2818);
  Object closure2819 = createclosure(8, "_apply");
  setclosureframe(closure2819, stackframe);
  addtoclosure(closure2819, var_errormessages);
  addtoclosure(closure2819, var_btok);
  addtoclosure(closure2819, var_lastToken);
  addtoclosure(closure2819, var_sym);
  addtoclosure(closure2819, var_values);
  addtoclosure(closure2819, var_v);
  addtoclosure(closure2819, var_ebody);
  addtoclosure(closure2819, selfslot);
  struct UserObject *uo2819 = (struct UserObject*)block2818;
  uo2819->data[0] = (Object)closure2819;
  Method *meth_meth_parser__apply2819 = addmethod2pos(block2818, "_apply", &meth_parser__apply2819, 0);
  int argcv_meth_parser__apply2819[] = {0};
  meth_meth_parser__apply2819->type = alloc_MethodType(1, argcv_meth_parser__apply2819);
  meth_meth_parser__apply2819->definitionModule = modulename;
  meth_meth_parser__apply2819->definitionLine = 3404;
// compiled block node returning block2818 (depth = 7)
  gc_frame_newslot(block2818);
// call case 5: prelude request
  params[0] = block2810;
  params[1] = block2818;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2877 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2809);
// compiled call node returning call2877 (depth = 6)
// Begin line 896
  setline(896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2878 = gc_frame_new();
// call case 4: self request
  Object call2879 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2878);
// compiled member node returning call2879 (depth = 6)
// Begin line 897
  setline(897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile array node (depth = 7)
  Object array2880 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2880 (depth = 7)
  *var_newelse = array2880;
  if (array2880 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 898
  setline(898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2882 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_econd (depth = 8)
  gc_frame_newslot(*var_econd);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ebody (depth = 8)
  gc_frame_newslot(*var_ebody);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_newelse (depth = 8)
  gc_frame_newslot(*var_newelse);
// call case 4: self request
  params[0] = *var_econd;
  params[1] = *var_ebody;
  params[2] = *var_newelse;
  partcv[0] = 3;
  Object call2883 = callmethodflags(self, "newIf(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2882);
// compiled call node returning call2883 (depth = 7)
  *var_eif = call2883;
  if (call2883 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 901
  setline(901);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2885 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_eif (depth = 7)
  gc_frame_newslot(*var_eif);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_curelse (depth = 7)
  params[0] = *var_eif;
  partcv[0] = 1;
  Object call2886 = callmethodflags(*var_curelse, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe2885);
// compiled call node returning call2886 (depth = 6)
// Begin line 904
  setline(904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_newelse (depth = 7)
  *var_curelse = *var_newelse;
  if (*var_newelse == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply2988(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
  int callframe2989 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe2990 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit2991 == NULL) {
    strlit2991 = alloc_String("rbrace");
    gc_root(strlit2991);
  }
// compiled string node returning strlit2991 (depth = 9)
  gc_frame_newslot(strlit2991);
// call case 4: self request
  params[0] = strlit2991;
  partcv[0] = 1;
  Object call2992 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2990);
// compiled call node returning call2992 (depth = 8)
  Object call2993 = callmethodflags(call2992, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2989);
// compiled member node returning call2993 (depth = 7)
  gc_frame_end(frame);
  return call2993;
}
Object meth_parser__apply3001(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 11)
  int callframe3002 = gc_frame_new();
// call case 4: self request
  Object call3003 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3002);
// compiled member node returning call3003 (depth = 11)
  gc_frame_end(frame);
  return call3003;
}
Object meth_parser__apply2996(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_errormessages = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_v = getfromclosure(closure, 5);
  Object *var_curelse = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "closingBrace");
// Begin line 933
  setline(933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2998 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe2999 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block3000 = alloc_Block(NULL, NULL, "parser", 933);
  gc_frame_newslot(block3000);
// method "_apply"
  block_savedest(block3000);
  Object closure3001 = createclosure(1, "_apply");
  setclosureframe(closure3001, stackframe);
  addtoclosure(closure3001, selfslot);
  struct UserObject *uo3001 = (struct UserObject*)block3000;
  uo3001->data[0] = (Object)closure3001;
  Method *meth_meth_parser__apply3001 = addmethod2pos(block3000, "_apply", &meth_parser__apply3001, 0);
  int argcv_meth_parser__apply3001[] = {0};
  meth_meth_parser__apply3001->type = alloc_MethodType(1, argcv_meth_parser__apply3001);
  meth_meth_parser__apply3001->definitionModule = modulename;
  meth_meth_parser__apply3001->definitionLine = 3404;
// compiled block node returning block3000 (depth = 10)
  gc_frame_newslot(block3000);
// call case 4: self request
  params[0] = block3000;
  partcv[0] = 1;
  Object call3005 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2999);
// compiled call node returning call3005 (depth = 9)
  Object call3006 = callmethodflags(call3005, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2998);
// compiled member node returning call3006 (depth = 8)
  Object if2997 = done;
  if (istrue(call3006)) {
// Begin line 934
  setline(934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3007 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3008 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call3009 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3008);
// compiled member node returning call3009 (depth = 10)
  Object call3010 = callmethodflags(call3009, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3007);
// compiled member node returning call3010 (depth = 9)
  *var_suggestion = call3010;
  if (call3010 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 935
  setline(935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe3011 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_btok (depth = 10)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 10)
  Object bool3012 = alloc_Boolean(0);
// compiled identifier node returning bool3012 (depth = 10)
  gc_frame_newslot(bool3012);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool3012;
  partcv[0] = 2;
  Object call3013 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3011);
// compiled call node returning call3013 (depth = 9)
  *var_closingBrace = call3013;
  if (call3013 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 936
  setline(936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3015 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3016 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call3017 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe3016);
// compiled member node returning call3017 (depth = 10)
  Object call3018 = callmethodflags(call3017, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3015);
// compiled member node returning call3018 (depth = 9)
  Object if3014 = done;
  if (istrue(call3018)) {
// Begin line 937
  setline(937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  int op_slot_right_3020 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 11)
  int callframe3022 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  Object call3023 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe3022);
// compiled member node returning call3023 (depth = 11)
  int op_slot_left_3020 = gc_frame_newslot(call3023);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult3024 = callmethod(call3023, "==(1)", 1, partcv, params);
// compiled op node returning opresult3024 (depth = 10)
  Object if3019 = done;
  if (istrue(opresult3024)) {
// Begin line 938
  setline(938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3025 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit3026 == NULL) {
    strlit3026 = alloc_String("}");
    gc_root(strlit3026);
  }
// compiled string node returning strlit3026 (depth = 11)
  gc_frame_newslot(strlit3026);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit3026;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3027 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3025);
// compiled call node returning call3027 (depth = 10)
    gc_frame_newslot(call3027);
    if3019 = call3027;
  } else {
// Begin line 940
  setline(940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe3028 = gc_frame_new();
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num3030 = alloc_Float64(0.1);
// compiled num node returning num3030 (depth = 12)
  int op_slot_right_3029 = gc_frame_newslot(num3030);
// starting to compile member node (depth = 12)
  int callframe3032 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe3033 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_closingBrace (depth = 14)
  Object call3034 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe3033);
// compiled member node returning call3034 (depth = 13)
  Object call3035 = callmethodflags(call3034, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3032);
// compiled member node returning call3035 (depth = 12)
  int op_slot_left_3029 = gc_frame_newslot(call3035);
  params[0] = num3030;
  partcv[0] = 1;
  Object sum3036 = callmethod(call3035, "+(1)", 1, partcv, params);
// compiled op node returning sum3036 (depth = 11)
  gc_frame_newslot(sum3036);
// starting to compile string node (depth = 11)
  if (strlit3037 == NULL) {
    strlit3037 = alloc_String("}");
    gc_root(strlit3037);
  }
// compiled string node returning strlit3037 (depth = 11)
  gc_frame_newslot(strlit3037);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = sum3036;
  params[1] = strlit3037;
  partcv[0] = 2;
  Object call3038 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3028);
// compiled call node returning call3038 (depth = 10)
    gc_frame_newslot(call3038);
    if3019 = call3038;
  }
// compiled if node returning if3019 (depth = 9)
    gc_frame_newslot(if3019);
    if3014 = if3019;
  } else {
  }
// compiled if node returning if3014 (depth = 8)
// Begin line 943
  setline(943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3039 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call3040 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3039);
// compiled call node returning call3040 (depth = 8)
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3041 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3042 == NULL) {
    strlit3042 = alloc_String("an else statement must end with a '}'.");
    gc_root(strlit3042);
  }
// compiled string node returning strlit3042 (depth = 9)
  gc_frame_newslot(strlit3042);
// Begin line 945
  setline(945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe3043 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call3044 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3043);
// compiled member node returning call3044 (depth = 9)
  gc_frame_newslot(call3044);
// starting to compile member node (depth = 9)
  int callframe3045 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call3046 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3045);
// compiled member node returning call3046 (depth = 9)
  gc_frame_newslot(call3046);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 944
  setline(944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit3042;
  params[1] = call3044;
  params[2] = call3046;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3047 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3041);
// compiled call node returning call3047 (depth = 8)
    gc_frame_newslot(call3047);
    if2997 = call3047;
  } else {
  }
// compiled if node returning if2997 (depth = 7)
// Begin line 947
  setline(947);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3048 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call3049 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe3048);
// compiled member node returning call3049 (depth = 8)
  *var_v = call3049;
  if (call3049 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 948
  setline(948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3051 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_v (depth = 8)
  gc_frame_newslot(*var_v);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_curelse (depth = 8)
  params[0] = *var_v;
  partcv[0] = 1;
  Object call3052 = callmethodflags(*var_curelse, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3051);
// compiled call node returning call3052 (depth = 7)
  gc_frame_end(frame);
  return call3052;
}
Object meth_parser_doif1719(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 29, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(29, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doif");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_blocksOK = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_minIndentLevel = getfromclosure(closure, 5);
  Object *var_statementIndent = getfromclosure(closure, 6);
  Object *var_statementToken = getfromclosure(closure, 7);
  Object *var_util = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_opener = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "opener");
  Object *var_closer = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "closer");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
  Object *var_cond = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cond");
  Object *var_body = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "body");
  Object *var_elseblock = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "elseblock");
  Object *var_curelse = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "curelse");
  Object *var_v = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "v");
  Object *var_localMin = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "localMin");
  Object *var_localStatementIndent = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "localStatementIndent");
  Object *var_minInd = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "minInd");
  Object *var_closingBrace = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "closingBrace");
  Object *var_econd = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "econd");
  Object *var_eif = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "eif");
  Object *var_newelse = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "newelse");
  Object *var_ebody = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "ebody");
  Object *var_o = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "o");
// Begin line 593
  setline(593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1723 == NULL) {
    strlit1723 = alloc_String("if");
    gc_root(strlit1723);
  }
// compiled string node returning strlit1723 (depth = 5)
  int op_slot_right_1722 = gc_frame_newslot(strlit1723);
// starting to compile member node (depth = 5)
  int callframe1725 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1726 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1725);
// compiled member node returning call1726 (depth = 5)
  int op_slot_left_1722 = gc_frame_newslot(call1726);
  params[0] = strlit1723;
  partcv[0] = 1;
  Object opresult1727 = callmethod(call1726, "==(1)", 1, partcv, params);
// compiled op node returning opresult1727 (depth = 4)
  int op_slot_right_1721 = gc_frame_newslot(opresult1727);
// starting to compile call node (depth = 4)
  int callframe1729 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit1730 == NULL) {
    strlit1730 = alloc_String("identifier");
    gc_root(strlit1730);
  }
// compiled string node returning strlit1730 (depth = 5)
  gc_frame_newslot(strlit1730);
// call case 4: self request
  params[0] = strlit1730;
  partcv[0] = 1;
  Object call1731 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1729);
// compiled call node returning call1731 (depth = 4)
  int op_slot_left_1721 = gc_frame_newslot(call1731);
  params[0] = opresult1727;
  partcv[0] = 1;
  Object opresult1732 = callmethod(call1731, "&&(1)", 1, partcv, params);
// compiled op node returning opresult1732 (depth = 3)
  Object if1720 = done;
  if (istrue(opresult1732)) {
// Begin line 594
  setline(594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 595
  setline(595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1733 = gc_frame_new();
// call case 4: self request
  Object call1734 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1733);
// compiled member node returning call1734 (depth = 3)
// Begin line 596
  setline(596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block1737 = alloc_Block(NULL, NULL, "parser", 596);
  gc_frame_newslot(block1737);
// method "_apply"
  block_savedest(block1737);
  Object closure1738 = createclosure(2, "_apply");
  setclosureframe(closure1738, stackframe);
  addtoclosure(closure1738, var_sym);
  addtoclosure(closure1738, selfslot);
  struct UserObject *uo1738 = (struct UserObject*)block1737;
  uo1738->data[0] = (Object)closure1738;
  Method *meth_meth_parser__apply1738 = addmethod2pos(block1737, "_apply", &meth_parser__apply1738, 0);
  int argcv_meth_parser__apply1738[] = {0};
  meth_meth_parser__apply1738->type = alloc_MethodType(1, argcv_meth_parser__apply1738);
  meth_meth_parser__apply1738->definitionModule = modulename;
  meth_meth_parser__apply1738->definitionLine = 3404;
// compiled block node returning block1737 (depth = 6)
  int op_slot_right_1736 = gc_frame_newslot(block1737);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1748 == NULL) {
    strlit1748 = alloc_String("lparen");
    gc_root(strlit1748);
  }
// compiled string node returning strlit1748 (depth = 7)
  int op_slot_right_1747 = gc_frame_newslot(strlit1748);
// starting to compile member node (depth = 7)
  int callframe1750 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call1751 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1750);
// compiled member node returning call1751 (depth = 7)
  int op_slot_left_1747 = gc_frame_newslot(call1751);
  params[0] = strlit1748;
  partcv[0] = 1;
  Object opresult1752 = callmethod(call1751, "==(1)", 1, partcv, params);
// compiled op node returning opresult1752 (depth = 6)
  int op_slot_left_1736 = gc_frame_newslot(opresult1752);
  params[0] = block1737;
  partcv[0] = 1;
  Object opresult1753 = callmethod(opresult1752, "||(1)", 1, partcv, params);
// compiled op node returning opresult1753 (depth = 5)
  Object if1735 = done;
struct StackFrameObject *iftmpstackframe1735 = stackframe;
  if (istrue(opresult1753)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1735);
gc_frame_newslot((Object)stackframe);
// Begin line 597
  setline(597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1754 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1755 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe1754);
// compiled member node returning call1755 (depth = 5)
    gc_frame_newslot(call1755);
    if1735 = call1755;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1735);
  gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit1756 == NULL) {
    strlit1756 = alloc_String("-missing-");
    gc_root(strlit1756);
  }
// compiled string node returning strlit1756 (depth = 5)
    gc_frame_newslot(strlit1756);
    if1735 = strlit1756;
  }
stackframe = iftmpstackframe1735;
// compiled if node returning if1735 (depth = 4)
  *var_opener = if1735;
  if (if1735 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 598
  setline(598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit1759 == NULL) {
    strlit1759 = alloc_String("(");
    gc_root(strlit1759);
  }
// compiled string node returning strlit1759 (depth = 6)
  int op_slot_right_1758 = gc_frame_newslot(strlit1759);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_opener (depth = 6)
  int op_slot_left_1758 = gc_frame_newslot(*var_opener);
  params[0] = strlit1759;
  partcv[0] = 1;
  Object opresult1761 = callmethod(*var_opener, "==(1)", 1, partcv, params);
// compiled op node returning opresult1761 (depth = 5)
  Object if1757 = done;
struct StackFrameObject *iftmpstackframe1757 = stackframe;
  if (istrue(opresult1761)) {
stackframe = alloc_StackFrame(0, iftmpstackframe1757);
gc_frame_newslot((Object)stackframe);
// starting to compile string node (depth = 5)
  if (strlit1762 == NULL) {
    strlit1762 = alloc_String(")");
    gc_root(strlit1762);
  }
// compiled string node returning strlit1762 (depth = 5)
    gc_frame_newslot(strlit1762);
    if1757 = strlit1762;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe1757);
  gc_frame_newslot((Object)stackframe);
// Begin line 599
  setline(599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1765 == NULL) {
    strlit1765 = alloc_String("{");
    gc_root(strlit1765);
  }
// compiled string node returning strlit1765 (depth = 7)
  int op_slot_right_1764 = gc_frame_newslot(strlit1765);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_opener (depth = 7)
  int op_slot_left_1764 = gc_frame_newslot(*var_opener);
  params[0] = strlit1765;
  partcv[0] = 1;
  Object opresult1767 = callmethod(*var_opener, "==(1)", 1, partcv, params);
// compiled op node returning opresult1767 (depth = 6)
  Object if1763 = done;
  if (istrue(opresult1767)) {
// starting to compile string node (depth = 6)
  if (strlit1768 == NULL) {
    strlit1768 = alloc_String("}");
    gc_root(strlit1768);
  }
// compiled string node returning strlit1768 (depth = 6)
    gc_frame_newslot(strlit1768);
    if1763 = strlit1768;
  } else {
// starting to compile string node (depth = 6)
  if (strlit1769 == NULL) {
    strlit1769 = alloc_String("-nothing-");
    gc_root(strlit1769);
  }
// compiled string node returning strlit1769 (depth = 6)
    gc_frame_newslot(strlit1769);
    if1763 = strlit1769;
  }
// compiled if node returning if1763 (depth = 5)
    gc_frame_newslot(if1763);
    if1757 = if1763;
  }
stackframe = iftmpstackframe1757;
// compiled if node returning if1757 (depth = 4)
  *var_closer = if1757;
  if (if1757 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 600
  setline(600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit1772 == NULL) {
    strlit1772 = alloc_String("-missing-");
    gc_root(strlit1772);
  }
// compiled string node returning strlit1772 (depth = 5)
  int op_slot_right_1771 = gc_frame_newslot(strlit1772);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_opener (depth = 5)
  int op_slot_left_1771 = gc_frame_newslot(*var_opener);
  params[0] = strlit1772;
  partcv[0] = 1;
  Object opresult1774 = callmethod(*var_opener, "==(1)", 1, partcv, params);
// compiled op node returning opresult1774 (depth = 4)
  Object if1770 = done;
  if (istrue(opresult1774)) {
// Begin line 601
  setline(601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1775 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1776 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call1777 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1776);
// compiled member node returning call1777 (depth = 6)
  Object call1778 = callmethodflags(call1777, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1775);
// compiled member node returning call1778 (depth = 5)
  *var_suggestion = call1778;
  if (call1778 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 603
  setline(603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1779 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block1780 = alloc_Block(NULL, NULL, "parser", 603);
  gc_frame_newslot(block1780);
// method "_apply(_)"
  block_savedest(block1780);
  Object closure1781 = createclosure(2, "_apply(1)");
  setclosureframe(closure1781, stackframe);
  addtoclosure(closure1781, var_btok);
  addtoclosure(closure1781, selfslot);
  struct UserObject *uo1781 = (struct UserObject*)block1780;
  uo1781->data[0] = (Object)closure1781;
  Method *meth_meth_parser__apply_40_1_41_1781 = addmethod2pos(block1780, "_apply(1)", &meth_parser__apply_40_1_41_1781, 0);
  int argcv_meth_parser__apply_40_1_41_1781[] = {1};
  meth_meth_parser__apply_40_1_41_1781->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_1781);
  meth_meth_parser__apply_40_1_41_1781->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_1781->definitionLine = 3404;
// compiled block node returning block1780 (depth = 6)
  gc_frame_newslot(block1780);
// call case 4: self request
  params[0] = block1780;
  partcv[0] = 1;
  Object call1835 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1779);
// compiled call node returning call1835 (depth = 5)
  *var_nextTok = call1835;
  if (call1835 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 606
  setline(606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_right_1837 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 6)
  Object bool1839 = alloc_Boolean(0);
// compiled identifier node returning bool1839 (depth = 6)
  int op_slot_left_1837 = gc_frame_newslot(bool1839);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult1840 = callmethod(bool1839, "==(1)", 1, partcv, params);
// compiled op node returning opresult1840 (depth = 5)
  Object if1836 = done;
  if (istrue(opresult1840)) {
// Begin line 607
  setline(607);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1841 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit1842 == NULL) {
    strlit1842 = alloc_String(" (""\xc2""""\xab""condition""\xc2""""\xbb"") then {");
    gc_root(strlit1842);
  }
// compiled string node returning strlit1842 (depth = 6)
  gc_frame_newslot(strlit1842);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  gc_frame_newslot(*var_btok);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit1842;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1843 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1841);
// compiled call node returning call1843 (depth = 5)
    gc_frame_newslot(call1843);
    if1836 = call1843;
  } else {
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 608
  setline(608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit1846 == NULL) {
    strlit1846 = alloc_String("rparen");
    gc_root(strlit1846);
  }
// compiled string node returning strlit1846 (depth = 7)
  int op_slot_right_1845 = gc_frame_newslot(strlit1846);
// starting to compile member node (depth = 7)
  int callframe1848 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call1849 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1848);
// compiled member node returning call1849 (depth = 7)
  int op_slot_left_1845 = gc_frame_newslot(call1849);
  params[0] = strlit1846;
  partcv[0] = 1;
  Object opresult1850 = callmethod(call1849, "==(1)", 1, partcv, params);
// compiled op node returning opresult1850 (depth = 6)
  Object if1844 = done;
  if (istrue(opresult1850)) {
// Begin line 609
  setline(609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_1852 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_1852 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1854 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult1854 (depth = 7)
  Object if1851 = done;
  if (istrue(opresult1854)) {
// Begin line 610
  setline(610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1855 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1856 == NULL) {
    strlit1856 = alloc_String("(""\xc2""""\xab""condition""\xc2""""\xbb""");
    gc_root(strlit1856);
  }
// compiled string node returning strlit1856 (depth = 8)
  gc_frame_newslot(strlit1856);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit1856;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1857 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1855);
// compiled call node returning call1857 (depth = 7)
    gc_frame_newslot(call1857);
    if1851 = call1857;
  } else {
// Begin line 612
  setline(612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe1858 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit1859 == NULL) {
    strlit1859 = alloc_String("(");
    gc_root(strlit1859);
  }
// compiled string node returning strlit1859 (depth = 8)
  gc_frame_newslot(strlit1859);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit1859;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1860 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1858);
// compiled call node returning call1860 (depth = 7)
    gc_frame_newslot(call1860);
    if1851 = call1860;
  }
// compiled if node returning if1851 (depth = 6)
    gc_frame_newslot(if1851);
    if1844 = if1851;
  } else {
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 614
  setline(614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit1863 == NULL) {
    strlit1863 = alloc_String("lbrace");
    gc_root(strlit1863);
  }
// compiled string node returning strlit1863 (depth = 8)
  int op_slot_right_1862 = gc_frame_newslot(strlit1863);
// starting to compile member node (depth = 8)
  int callframe1865 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call1866 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1865);
// compiled member node returning call1866 (depth = 8)
  int op_slot_left_1862 = gc_frame_newslot(call1866);
  params[0] = strlit1863;
  partcv[0] = 1;
  Object opresult1867 = callmethod(call1866, "==(1)", 1, partcv, params);
// compiled op node returning opresult1867 (depth = 7)
  Object if1861 = done;
  if (istrue(opresult1867)) {
// Begin line 615
  setline(615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_1869 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_1869 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1871 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult1871 (depth = 8)
  Object if1868 = done;
  if (istrue(opresult1871)) {
// Begin line 616
  setline(616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1872 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1873 == NULL) {
    strlit1873 = alloc_String(" (""\xc2""""\xab""condition""\xc2""""\xbb"") then");
    gc_root(strlit1873);
  }
// compiled string node returning strlit1873 (depth = 9)
  gc_frame_newslot(strlit1873);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_btok (depth = 9)
  gc_frame_newslot(*var_btok);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit1873;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1874 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1872);
// compiled call node returning call1874 (depth = 8)
    gc_frame_newslot(call1874);
    if1868 = call1874;
  } else {
// Begin line 618
  setline(618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1875 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1876 == NULL) {
    strlit1876 = alloc_String("(");
    gc_root(strlit1876);
  }
// compiled string node returning strlit1876 (depth = 9)
  gc_frame_newslot(strlit1876);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit1876;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1877 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1875);
// compiled call node returning call1877 (depth = 8)
// Begin line 619
  setline(619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe1878 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit1879 == NULL) {
    strlit1879 = alloc_String(") then");
    gc_root(strlit1879);
  }
// compiled string node returning strlit1879 (depth = 9)
  gc_frame_newslot(strlit1879);
// starting to compile member node (depth = 9)
  int callframe1880 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call1881 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1880);
// compiled member node returning call1881 (depth = 9)
  gc_frame_newslot(call1881);
// starting to compile identifier node (depth = 9)
  Object bool1882 = alloc_Boolean(1);
// compiled identifier node returning bool1882 (depth = 9)
  gc_frame_newslot(bool1882);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit1879;
  params[1] = call1881;
  params[2] = bool1882;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1883 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1878);
// compiled call node returning call1883 (depth = 8)
    gc_frame_newslot(call1883);
    if1868 = call1883;
  }
// compiled if node returning if1868 (depth = 7)
    gc_frame_newslot(if1868);
    if1861 = if1868;
  } else {
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 621
  setline(621);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit1886 == NULL) {
    strlit1886 = alloc_String("identifier");
    gc_root(strlit1886);
  }
// compiled string node returning strlit1886 (depth = 9)
  int op_slot_right_1885 = gc_frame_newslot(strlit1886);
// starting to compile member node (depth = 9)
  int callframe1888 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call1889 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe1888);
// compiled member node returning call1889 (depth = 9)
  int op_slot_left_1885 = gc_frame_newslot(call1889);
  params[0] = strlit1886;
  partcv[0] = 1;
  Object opresult1890 = callmethod(call1889, "==(1)", 1, partcv, params);
// compiled op node returning opresult1890 (depth = 8)
  Object if1884 = done;
  if (istrue(opresult1890)) {
// Begin line 622
  setline(622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_1892 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_1892 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1894 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult1894 (depth = 9)
  Object if1891 = done;
  if (istrue(opresult1894)) {
// Begin line 623
  setline(623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1895 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1896 == NULL) {
    strlit1896 = alloc_String("(""\xc2""""\xab""condition""\xc2""""\xbb"") ");
    gc_root(strlit1896);
  }
// compiled string node returning strlit1896 (depth = 10)
  gc_frame_newslot(strlit1896);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit1896;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1897 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1895);
// compiled call node returning call1897 (depth = 9)
    gc_frame_newslot(call1897);
    if1891 = call1897;
  } else {
// Begin line 625
  setline(625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1898 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1899 == NULL) {
    strlit1899 = alloc_String("(");
    gc_root(strlit1899);
  }
// compiled string node returning strlit1899 (depth = 10)
  gc_frame_newslot(strlit1899);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit1899;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1900 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1898);
// compiled call node returning call1900 (depth = 9)
// Begin line 626
  setline(626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe1901 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit1902 == NULL) {
    strlit1902 = alloc_String(")");
    gc_root(strlit1902);
  }
// compiled string node returning strlit1902 (depth = 10)
  gc_frame_newslot(strlit1902);
// starting to compile member node (depth = 10)
  int callframe1903 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call1904 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1903);
// compiled member node returning call1904 (depth = 10)
  gc_frame_newslot(call1904);
// starting to compile identifier node (depth = 10)
  Object bool1905 = alloc_Boolean(1);
// compiled identifier node returning bool1905 (depth = 10)
  gc_frame_newslot(bool1905);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit1902;
  params[1] = call1904;
  params[2] = bool1905;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call1906 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1901);
// compiled call node returning call1906 (depth = 9)
    gc_frame_newslot(call1906);
    if1891 = call1906;
  }
// compiled if node returning if1891 (depth = 8)
    gc_frame_newslot(if1891);
    if1884 = if1891;
  } else {
  }
// compiled if node returning if1884 (depth = 7)
    gc_frame_newslot(if1884);
    if1861 = if1884;
  }
// compiled if node returning if1861 (depth = 6)
    gc_frame_newslot(if1861);
    if1844 = if1861;
  }
// compiled if node returning if1844 (depth = 5)
    gc_frame_newslot(if1844);
    if1836 = if1844;
  }
// compiled if node returning if1836 (depth = 4)
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe1907 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 630
  setline(630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1909 == NULL) {
    strlit1909 = alloc_String("in parentheses or braces after the 'if'.");
    gc_root(strlit1909);
  }
// compiled string node returning strlit1909 (depth = 6)
  int op_slot_right_1908 = gc_frame_newslot(strlit1909);
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit1911 == NULL) {
    strlit1911 = alloc_String("an if statement must have a condition ");
    gc_root(strlit1911);
  }
// compiled string node returning strlit1911 (depth = 6)
  int op_slot_left_1908 = gc_frame_newslot(strlit1911);
  params[0] = strlit1909;
  partcv[0] = 1;
  Object opresult1912 = callmethod(strlit1911, "++(1)", 1, partcv, params);
// compiled op node returning opresult1912 (depth = 5)
  gc_frame_newslot(opresult1912);
// Begin line 631
  setline(631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe1913 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1914 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1913);
// compiled member node returning call1914 (depth = 5)
  gc_frame_newslot(call1914);
// starting to compile member node (depth = 5)
  int callframe1915 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call1916 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1915);
// compiled member node returning call1916 (depth = 5)
  gc_frame_newslot(call1916);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 629
  setline(629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult1912;
  params[1] = call1914;
  params[2] = call1916;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1917 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1907);
// compiled call node returning call1917 (depth = 4)
    gc_frame_newslot(call1917);
    if1770 = call1917;
  } else {
  }
// compiled if node returning if1770 (depth = 3)
// Begin line 633
  setline(633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe1918 = gc_frame_new();
// call case 4: self request
  Object call1919 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1918);
// compiled member node returning call1919 (depth = 3)
// Begin line 634
  setline(634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe1921 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe1922 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block1923 = alloc_Block(NULL, NULL, "parser", 634);
  gc_frame_newslot(block1923);
// method "_apply"
  block_savedest(block1923);
  Object closure1924 = createclosure(2, "_apply");
  setclosureframe(closure1924, stackframe);
  addtoclosure(closure1924, var_blocksOK);
  addtoclosure(closure1924, selfslot);
  struct UserObject *uo1924 = (struct UserObject*)block1923;
  uo1924->data[0] = (Object)closure1924;
  Method *meth_meth_parser__apply1924 = addmethod2pos(block1923, "_apply", &meth_parser__apply1924, 0);
  int argcv_meth_parser__apply1924[] = {0};
  meth_meth_parser__apply1924->type = alloc_MethodType(1, argcv_meth_parser__apply1924);
  meth_meth_parser__apply1924->definitionModule = modulename;
  meth_meth_parser__apply1924->definitionLine = 3404;
// compiled block node returning block1923 (depth = 6)
  gc_frame_newslot(block1923);
// call case 4: self request
  params[0] = block1923;
  partcv[0] = 1;
  Object call1928 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1922);
// compiled call node returning call1928 (depth = 5)
  Object call1929 = callmethodflags(call1928, "not", 0, partcv, params, 0);
  gc_frame_end(callframe1921);
// compiled member node returning call1929 (depth = 4)
  Object if1920 = done;
  if (istrue(call1929)) {
// Begin line 635
  setline(635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe1930 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe1931 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call1932 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe1931);
// compiled member node returning call1932 (depth = 6)
  Object call1933 = callmethodflags(call1932, "new", 0, partcv, params, 0);
  gc_frame_end(callframe1930);
// compiled member node returning call1933 (depth = 5)
  *var_suggestion = call1933;
  if (call1933 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 637
  setline(637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe1934 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block1935 = alloc_Block(NULL, NULL, "parser", 637);
  gc_frame_newslot(block1935);
// method "_apply(_)"
  block_savedest(block1935);
  Object closure1936 = createclosure(2, "_apply(1)");
  setclosureframe(closure1936, stackframe);
  addtoclosure(closure1936, var_lastToken);
  addtoclosure(closure1936, selfslot);
  struct UserObject *uo1936 = (struct UserObject*)block1935;
  uo1936->data[0] = (Object)closure1936;
  Method *meth_meth_parser__apply_40_1_41_1936 = addmethod2pos(block1935, "_apply(1)", &meth_parser__apply_40_1_41_1936, 0);
  int argcv_meth_parser__apply_40_1_41_1936[] = {1};
  meth_meth_parser__apply_40_1_41_1936->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_1936);
  meth_meth_parser__apply_40_1_41_1936->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_1936->definitionLine = 3404;
// compiled block node returning block1935 (depth = 6)
  gc_frame_newslot(block1935);
// call case 4: self request
  params[0] = block1935;
  partcv[0] = 1;
  Object call1954 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1934);
// compiled call node returning call1954 (depth = 5)
  *var_nextTok = call1954;
  if (call1954 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 638
  setline(638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_right_1956 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 6)
  Object bool1958 = alloc_Boolean(0);
// compiled identifier node returning bool1958 (depth = 6)
  int op_slot_left_1956 = gc_frame_newslot(bool1958);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult1959 = callmethod(bool1958, "==(1)", 1, partcv, params);
// compiled op node returning opresult1959 (depth = 5)
  Object if1955 = done;
  if (istrue(opresult1959)) {
// Begin line 639
  setline(639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe1960 = gc_frame_new();
// starting to compile array node (depth = 7)
  Object array1961 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 8)
  if (strlit1962 == NULL) {
    strlit1962 = alloc_String("rparen");
    gc_root(strlit1962);
  }
// compiled string node returning strlit1962 (depth = 8)
  params[0] = strlit1962;
  partcv[0] = 1;
  callmethodflags(array1961, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array1961 (depth = 7)
  gc_frame_newslot(array1961);
// call case 4: self request
  params[0] = array1961;
  partcv[0] = 1;
  Object call1963 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe1960);
// compiled call node returning call1963 (depth = 6)
  *var_nextTok = call1963;
  if (call1963 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 640
  setline(640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_1966 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_1966 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1968 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult1968 (depth = 6)
  Object if1965 = done;
  if (istrue(opresult1968)) {
// Begin line 641
  setline(641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1969 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1970 == NULL) {
    strlit1970 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1970);
  }
// compiled string node returning strlit1970 (depth = 7)
  gc_frame_newslot(strlit1970);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1970;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1971 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1969);
// compiled call node returning call1971 (depth = 6)
    gc_frame_newslot(call1971);
    if1965 = call1971;
  } else {
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1972 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe1973 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call1974 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe1973);
// compiled member node returning call1974 (depth = 7)
  gc_frame_newslot(call1974);
// Begin line 644
  setline(644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool1975 = alloc_Boolean(1);
// compiled identifier node returning bool1975 (depth = 7)
  gc_frame_newslot(bool1975);
// starting to compile identifier node (depth = 7)
  Object bool1976 = alloc_Boolean(0);
// compiled identifier node returning bool1976 (depth = 7)
  gc_frame_newslot(bool1976);
// starting to compile string node (depth = 7)
  if (strlit1977 == NULL) {
    strlit1977 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb"") then {");
    gc_root(strlit1977);
  }
// compiled string node returning strlit1977 (depth = 7)
  gc_frame_newslot(strlit1977);
// call case 6: other requests
// Begin line 643
  setline(643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call1974;
  params[2] = bool1975;
  params[3] = bool1976;
  params[4] = strlit1977;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call1978 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe1972);
// compiled call node returning call1978 (depth = 6)
    gc_frame_newslot(call1978);
    if1965 = call1978;
  }
// compiled if node returning if1965 (depth = 5)
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe1979 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 647
  setline(647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit1981 == NULL) {
    strlit1981 = alloc_String("condition in parentheses or braces after the 'if'.");
    gc_root(strlit1981);
  }
// compiled string node returning strlit1981 (depth = 7)
  int op_slot_right_1980 = gc_frame_newslot(strlit1981);
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit1983 == NULL) {
    strlit1983 = alloc_String("an if statement must have a ");
    gc_root(strlit1983);
  }
// compiled string node returning strlit1983 (depth = 7)
  int op_slot_left_1980 = gc_frame_newslot(strlit1983);
  params[0] = strlit1981;
  partcv[0] = 1;
  Object opresult1984 = callmethod(strlit1983, "++(1)", 1, partcv, params);
// compiled op node returning opresult1984 (depth = 6)
  gc_frame_newslot(opresult1984);
// Begin line 648
  setline(648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe1985 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call1986 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe1985);
// compiled member node returning call1986 (depth = 6)
  gc_frame_newslot(call1986);
// starting to compile member node (depth = 6)
  int callframe1987 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call1988 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe1987);
// compiled member node returning call1988 (depth = 6)
  gc_frame_newslot(call1988);
// Begin line 649
  setline(649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 646
  setline(646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult1984;
  params[1] = call1986;
  params[2] = call1988;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call1989 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1979);
// compiled call node returning call1989 (depth = 5)
    gc_frame_newslot(call1989);
    if1955 = call1989;
  } else {
// Begin line 651
  setline(651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_1991 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_1991 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult1993 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult1993 (depth = 6)
  Object if1990 = done;
  if (istrue(opresult1993)) {
// Begin line 652
  setline(652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1994 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit1995 == NULL) {
    strlit1995 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit1995);
  }
// compiled string node returning strlit1995 (depth = 7)
  gc_frame_newslot(strlit1995);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit1995;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call1996 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe1994);
// compiled call node returning call1996 (depth = 6)
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe1997 = gc_frame_new();
// starting to compile op node (depth = 7)
// Begin line 654
  setline(654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit1999 == NULL) {
    strlit1999 = alloc_String("condition in parentheses or braces after the 'if'.");
    gc_root(strlit1999);
  }
// compiled string node returning strlit1999 (depth = 8)
  int op_slot_right_1998 = gc_frame_newslot(strlit1999);
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2001 == NULL) {
    strlit2001 = alloc_String("an if statement must have a ");
    gc_root(strlit2001);
  }
// compiled string node returning strlit2001 (depth = 8)
  int op_slot_left_1998 = gc_frame_newslot(strlit2001);
  params[0] = strlit1999;
  partcv[0] = 1;
  Object opresult2002 = callmethod(strlit2001, "++(1)", 1, partcv, params);
// compiled op node returning opresult2002 (depth = 7)
  gc_frame_newslot(opresult2002);
// Begin line 655
  setline(655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2003 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call2004 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2003);
// compiled member node returning call2004 (depth = 7)
  gc_frame_newslot(call2004);
// starting to compile member node (depth = 7)
  int callframe2005 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call2006 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2005);
// compiled member node returning call2006 (depth = 7)
  gc_frame_newslot(call2006);
// Begin line 656
  setline(656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 653
  setline(653);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult2002;
  params[1] = call2004;
  params[2] = call2006;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2007 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe1997);
// compiled call node returning call2007 (depth = 6)
    gc_frame_newslot(call2007);
    if1990 = call2007;
  } else {
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2008 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe2009 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call2010 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe2009);
// compiled member node returning call2010 (depth = 7)
  gc_frame_newslot(call2010);
// Begin line 659
  setline(659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool2011 = alloc_Boolean(0);
// compiled identifier node returning bool2011 (depth = 7)
  gc_frame_newslot(bool2011);
// starting to compile identifier node (depth = 7)
  Object bool2012 = alloc_Boolean(1);
// compiled identifier node returning bool2012 (depth = 7)
  gc_frame_newslot(bool2012);
// starting to compile string node (depth = 7)
  if (strlit2013 == NULL) {
    strlit2013 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit2013);
  }
// compiled string node returning strlit2013 (depth = 7)
  gc_frame_newslot(strlit2013);
// call case 6: other requests
// Begin line 658
  setline(658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call2010;
  params[2] = bool2011;
  params[3] = bool2012;
  params[4] = strlit2013;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2014 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2008);
// compiled call node returning call2014 (depth = 6)
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2015 = gc_frame_new();
// starting to compile op node (depth = 7)
// Begin line 661
  setline(661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2017 == NULL) {
    strlit2017 = alloc_String("condition in parentheses or braces after the 'if'.");
    gc_root(strlit2017);
  }
// compiled string node returning strlit2017 (depth = 8)
  int op_slot_right_2016 = gc_frame_newslot(strlit2017);
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 8)
  if (strlit2019 == NULL) {
    strlit2019 = alloc_String("an if statement must have a ");
    gc_root(strlit2019);
  }
// compiled string node returning strlit2019 (depth = 8)
  int op_slot_left_2016 = gc_frame_newslot(strlit2019);
  params[0] = strlit2017;
  partcv[0] = 1;
  Object opresult2020 = callmethod(strlit2019, "++(1)", 1, partcv, params);
// compiled op node returning opresult2020 (depth = 7)
  gc_frame_newslot(opresult2020);
// Begin line 662
  setline(662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2021 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call2022 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2021);
// compiled member node returning call2022 (depth = 7)
  gc_frame_newslot(call2022);
// starting to compile member node (depth = 7)
  int callframe2023 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call2024 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2023);
// compiled member node returning call2024 (depth = 7)
  gc_frame_newslot(call2024);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2026 = alloc_Float64(1);
// compiled num node returning num2026 (depth = 8)
  int op_slot_right_2025 = gc_frame_newslot(num2026);
// starting to compile member node (depth = 8)
  int callframe2028 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call2029 = callmethodflags(*var_nextTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2028);
// compiled member node returning call2029 (depth = 8)
  int op_slot_left_2025 = gc_frame_newslot(call2029);
  params[0] = num2026;
  partcv[0] = 1;
  Object diff2030 = callmethod(call2029, "-(1)", 1, partcv, params);
// compiled op node returning diff2030 (depth = 7)
  gc_frame_newslot(diff2030);
// Begin line 663
  setline(663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 660
  setline(660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult2020;
  params[1] = call2022;
  params[2] = call2024;
  params[3] = diff2030;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call2031 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2015);
// compiled call node returning call2031 (depth = 6)
    gc_frame_newslot(call2031);
    if1990 = call2031;
  }
// compiled if node returning if1990 (depth = 5)
    gc_frame_newslot(if1990);
    if1955 = if1990;
  }
// compiled if node returning if1955 (depth = 4)
    gc_frame_newslot(if1955);
    if1920 = if1955;
  } else {
  }
// compiled if node returning if1920 (depth = 3)
// Begin line 667
  setline(667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_closer (depth = 5)
  int op_slot_right_2033 = gc_frame_newslot(*var_closer);
// starting to compile member node (depth = 5)
  int callframe2035 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call2036 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2035);
// compiled member node returning call2036 (depth = 5)
  int op_slot_left_2033 = gc_frame_newslot(call2036);
  params[0] = *var_closer;
  partcv[0] = 1;
  Object opresult2037 = callmethod(call2036, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2037 (depth = 4)
  Object if2032 = done;
  if (istrue(opresult2037)) {
// Begin line 668
  setline(668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2038 = gc_frame_new();
// call case 4: self request
  Object call2039 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2038);
// compiled member node returning call2039 (depth = 4)
// Begin line 669
  setline(669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe2040 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe2041 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call2042 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2041);
// compiled member node returning call2042 (depth = 6)
  Object call2043 = callmethodflags(call2042, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2040);
// compiled member node returning call2043 (depth = 5)
  *var_suggestion = call2043;
  if (call2043 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 670
  setline(670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2044 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit2045 == NULL) {
    strlit2045 = alloc_String(")");
    gc_root(strlit2045);
  }
// compiled string node returning strlit2045 (depth = 5)
  gc_frame_newslot(strlit2045);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit2045;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2046 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe2044);
// compiled call node returning call2046 (depth = 4)
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2047 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 672
  setline(672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2050 == NULL) {
    strlit2050 = alloc_String("'.");
    gc_root(strlit2050);
  }
// compiled string node returning strlit2050 (depth = 7)
  int op_slot_right_2049 = gc_frame_newslot(strlit2050);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_closer (depth = 8)
  int op_slot_right_2052 = gc_frame_newslot(*var_closer);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit2055 == NULL) {
    strlit2055 = alloc_String("' must end with a '");
    gc_root(strlit2055);
  }
// compiled string node returning strlit2055 (depth = 9)
  int op_slot_right_2054 = gc_frame_newslot(strlit2055);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_opener (depth = 10)
  int op_slot_right_2057 = gc_frame_newslot(*var_opener);
// starting to compile string node (depth = 10)
  if (strlit2059 == NULL) {
    strlit2059 = alloc_String("'");
    gc_root(strlit2059);
  }
// compiled string node returning strlit2059 (depth = 10)
  int op_slot_left_2057 = gc_frame_newslot(strlit2059);
  params[0] = *var_opener;
  partcv[0] = 1;
  Object opresult2060 = callmethod(strlit2059, "++(1)", 1, partcv, params);
// compiled op node returning opresult2060 (depth = 9)
  int op_slot_left_2054 = gc_frame_newslot(opresult2060);
  params[0] = strlit2055;
  partcv[0] = 1;
  Object opresult2061 = callmethod(opresult2060, "++(1)", 1, partcv, params);
// compiled op node returning opresult2061 (depth = 8)
  int op_slot_left_2052 = gc_frame_newslot(opresult2061);
  params[0] = *var_closer;
  partcv[0] = 1;
  Object opresult2062 = callmethod(opresult2061, "++(1)", 1, partcv, params);
// compiled op node returning opresult2062 (depth = 7)
  int op_slot_left_2049 = gc_frame_newslot(opresult2062);
  params[0] = strlit2050;
  partcv[0] = 1;
  Object opresult2063 = callmethod(opresult2062, "++(1)", 1, partcv, params);
// compiled op node returning opresult2063 (depth = 6)
  int op_slot_right_2048 = gc_frame_newslot(opresult2063);
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit2065 == NULL) {
    strlit2065 = alloc_String("an expression beginning with a ");
    gc_root(strlit2065);
  }
// compiled string node returning strlit2065 (depth = 6)
  int op_slot_left_2048 = gc_frame_newslot(strlit2065);
  params[0] = opresult2063;
  partcv[0] = 1;
  Object opresult2066 = callmethod(strlit2065, "++(1)", 1, partcv, params);
// compiled op node returning opresult2066 (depth = 5)
  gc_frame_newslot(opresult2066);
// Begin line 673
  setline(673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe2067 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call2068 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2067);
// compiled member node returning call2068 (depth = 5)
  gc_frame_newslot(call2068);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2070 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call2071 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2070);
// compiled member node returning call2071 (depth = 6)
  int op_slot_right_2069 = gc_frame_newslot(call2071);
// starting to compile member node (depth = 6)
  int callframe2073 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call2074 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2073);
// compiled member node returning call2074 (depth = 6)
  int op_slot_left_2069 = gc_frame_newslot(call2074);
  params[0] = call2071;
  partcv[0] = 1;
  Object sum2075 = callmethod(call2074, "+(1)", 1, partcv, params);
// compiled op node returning sum2075 (depth = 5)
  gc_frame_newslot(sum2075);
// Begin line 674
  setline(674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 671
  setline(671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult2066;
  params[1] = call2068;
  params[2] = sum2075;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2076 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2047);
// compiled call node returning call2076 (depth = 4)
    gc_frame_newslot(call2076);
    if2032 = call2076;
  } else {
  }
// compiled if node returning if2032 (depth = 3)
// Begin line 676
  setline(676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe2077 = gc_frame_new();
// call case 4: self request
  Object call2078 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2077);
// compiled member node returning call2078 (depth = 3)
// Begin line 677
  setline(677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe2079 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call2080 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe2079);
// compiled member node returning call2080 (depth = 4)
  *var_cond = call2080;
  if (call2080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 678
  setline(678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array2081 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2081 (depth = 4)
  *var_body = array2081;
  if (array2081 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 686
  setline(686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array2082 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array2082 (depth = 4)
  *var_elseblock = array2082;
  if (array2082 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 687
  setline(687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elseblock (depth = 4)
  *var_curelse = *var_elseblock;
  if (*var_elseblock == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 688
  setline(688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_v = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 689
  setline(689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_minIndentLevel (depth = 4)
  *var_localMin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 690
  setline(690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_statementIndent (depth = 4)
  *var_localStatementIndent = *var_statementIndent;
  if (*var_statementIndent == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 691
  setline(691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num2084 = alloc_Float64(2);
// compiled num node returning num2084 (depth = 5)
  int op_slot_right_2083 = gc_frame_newslot(num2084);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_statementIndent (depth = 5)
  int op_slot_left_2083 = gc_frame_newslot(*var_statementIndent);
  params[0] = num2084;
  partcv[0] = 1;
  Object sum2086 = callmethod(*var_statementIndent, "+(1)", 1, partcv, params);
// compiled op node returning sum2086 (depth = 4)
  *var_minInd = sum2086;
  if (sum2086 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 692
  setline(692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2090 == NULL) {
    strlit2090 = alloc_String("then");
    gc_root(strlit2090);
  }
// compiled string node returning strlit2090 (depth = 6)
  int op_slot_right_2089 = gc_frame_newslot(strlit2090);
// starting to compile member node (depth = 6)
  int callframe2092 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call2093 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2092);
// compiled member node returning call2093 (depth = 6)
  int op_slot_left_2089 = gc_frame_newslot(call2093);
  params[0] = strlit2090;
  partcv[0] = 1;
  Object opresult2094 = callmethod(call2093, "==(1)", 1, partcv, params);
// compiled op node returning opresult2094 (depth = 5)
  int op_slot_right_2088 = gc_frame_newslot(opresult2094);
// starting to compile call node (depth = 5)
  int callframe2096 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit2097 == NULL) {
    strlit2097 = alloc_String("identifier");
    gc_root(strlit2097);
  }
// compiled string node returning strlit2097 (depth = 6)
  gc_frame_newslot(strlit2097);
// call case 4: self request
  params[0] = strlit2097;
  partcv[0] = 1;
  Object call2098 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2096);
// compiled call node returning call2098 (depth = 5)
  int op_slot_left_2088 = gc_frame_newslot(call2098);
  params[0] = opresult2094;
  partcv[0] = 1;
  Object opresult2099 = callmethod(call2098, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2099 (depth = 4)
  Object if2087 = done;
  if (istrue(opresult2099)) {
// Begin line 693
  setline(693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2100 = gc_frame_new();
// call case 4: self request
  Object call2101 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2100);
// compiled member node returning call2101 (depth = 4)
// Begin line 694
  setline(694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit2104 == NULL) {
    strlit2104 = alloc_String("lbrace");
    gc_root(strlit2104);
  }
// compiled string node returning strlit2104 (depth = 6)
  int op_slot_right_2103 = gc_frame_newslot(strlit2104);
// starting to compile member node (depth = 6)
  int callframe2106 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call2107 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2106);
// compiled member node returning call2107 (depth = 6)
  int op_slot_left_2103 = gc_frame_newslot(call2107);
  params[0] = strlit2104;
  partcv[0] = 1;
  Object opresult2108 = callmethod(call2107, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2108 (depth = 5)
  Object if2102 = done;
  if (istrue(opresult2108)) {
// Begin line 695
  setline(695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2109 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2110 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call2111 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2110);
// compiled member node returning call2111 (depth = 7)
  Object call2112 = callmethodflags(call2111, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2109);
// compiled member node returning call2112 (depth = 6)
  *var_suggestion = call2112;
  if (call2112 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 696
  setline(696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe2113 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 7)
  Object bool2114 = alloc_Boolean(1);
// compiled identifier node returning bool2114 (depth = 7)
  gc_frame_newslot(bool2114);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2114;
  partcv[0] = 2;
  Object call2115 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2113);
// compiled call node returning call2115 (depth = 6)
  *var_closingBrace = call2115;
  if (call2115 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 697
  setline(697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2117 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe2118 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_closingBrace (depth = 8)
  Object call2119 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe2118);
// compiled member node returning call2119 (depth = 7)
  Object call2120 = callmethodflags(call2119, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2117);
// compiled member node returning call2120 (depth = 6)
  Object if2116 = done;
  if (istrue(call2120)) {
// Begin line 698
  setline(698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  int op_slot_right_2122 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 8)
  int callframe2124 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  Object call2125 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2124);
// compiled member node returning call2125 (depth = 8)
  int op_slot_left_2122 = gc_frame_newslot(call2125);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2126 = callmethod(call2125, "==(1)", 1, partcv, params);
// compiled op node returning opresult2126 (depth = 7)
  Object if2121 = done;
  if (istrue(opresult2126)) {
// Begin line 699
  setline(699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2127 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 8)
  Object bool2128 = alloc_Boolean(0);
// compiled identifier node returning bool2128 (depth = 8)
  gc_frame_newslot(bool2128);
// starting to compile identifier node (depth = 8)
  Object bool2129 = alloc_Boolean(1);
// compiled identifier node returning bool2129 (depth = 8)
  gc_frame_newslot(bool2129);
// starting to compile string node (depth = 8)
  if (strlit2130 == NULL) {
    strlit2130 = alloc_String("then {}");
    gc_root(strlit2130);
  }
// compiled string node returning strlit2130 (depth = 8)
  gc_frame_newslot(strlit2130);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = bool2128;
  params[2] = bool2129;
  params[3] = strlit2130;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2131 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2127);
// compiled call node returning call2131 (depth = 7)
    gc_frame_newslot(call2131);
    if2121 = call2131;
  } else {
// Begin line 701
  setline(701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2132 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num2134 = alloc_Float64(0.1);
// compiled num node returning num2134 (depth = 9)
  int op_slot_right_2133 = gc_frame_newslot(num2134);
// starting to compile member node (depth = 9)
  int callframe2136 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe2137 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call2138 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2137);
// compiled member node returning call2138 (depth = 10)
  Object call2139 = callmethodflags(call2138, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2136);
// compiled member node returning call2139 (depth = 9)
  int op_slot_left_2133 = gc_frame_newslot(call2139);
  params[0] = num2134;
  partcv[0] = 1;
  Object sum2140 = callmethod(call2139, "+(1)", 1, partcv, params);
// compiled op node returning sum2140 (depth = 8)
  gc_frame_newslot(sum2140);
// starting to compile string node (depth = 8)
  if (strlit2141 == NULL) {
    strlit2141 = alloc_String("}");
    gc_root(strlit2141);
  }
// compiled string node returning strlit2141 (depth = 8)
  gc_frame_newslot(strlit2141);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum2140;
  params[1] = strlit2141;
  partcv[0] = 2;
  Object call2142 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2132);
// compiled call node returning call2142 (depth = 7)
// Begin line 702
  setline(702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2143 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 8)
  Object bool2144 = alloc_Boolean(0);
// compiled identifier node returning bool2144 (depth = 8)
  gc_frame_newslot(bool2144);
// starting to compile identifier node (depth = 8)
  Object bool2145 = alloc_Boolean(1);
// compiled identifier node returning bool2145 (depth = 8)
  gc_frame_newslot(bool2145);
// starting to compile string node (depth = 8)
  if (strlit2146 == NULL) {
    strlit2146 = alloc_String("then {");
    gc_root(strlit2146);
  }
// compiled string node returning strlit2146 (depth = 8)
  gc_frame_newslot(strlit2146);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = bool2144;
  params[2] = bool2145;
  params[3] = strlit2146;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2147 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2143);
// compiled call node returning call2147 (depth = 7)
    gc_frame_newslot(call2147);
    if2121 = call2147;
  }
// compiled if node returning if2121 (depth = 6)
    gc_frame_newslot(if2121);
    if2116 = if2121;
  } else {
// Begin line 705
  setline(705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2148 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 7)
  Object bool2149 = alloc_Boolean(0);
// compiled identifier node returning bool2149 (depth = 7)
  gc_frame_newslot(bool2149);
// starting to compile identifier node (depth = 7)
  Object bool2150 = alloc_Boolean(1);
// compiled identifier node returning bool2150 (depth = 7)
  gc_frame_newslot(bool2150);
// starting to compile string node (depth = 7)
  if (strlit2151 == NULL) {
    strlit2151 = alloc_String("then {");
    gc_root(strlit2151);
  }
// compiled string node returning strlit2151 (depth = 7)
  gc_frame_newslot(strlit2151);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = bool2149;
  params[2] = bool2150;
  params[3] = strlit2151;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2152 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2148);
// compiled call node returning call2152 (depth = 6)
    gc_frame_newslot(call2152);
    if2116 = call2152;
  }
// compiled if node returning if2116 (depth = 5)
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2153 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit2154 == NULL) {
    strlit2154 = alloc_String("an if statement must have a '{' after the 'then'.");
    gc_root(strlit2154);
  }
// compiled string node returning strlit2154 (depth = 6)
  gc_frame_newslot(strlit2154);
// Begin line 708
  setline(708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe2155 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call2156 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2155);
// compiled member node returning call2156 (depth = 6)
  gc_frame_newslot(call2156);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2158 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call2159 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2158);
// compiled member node returning call2159 (depth = 7)
  int op_slot_right_2157 = gc_frame_newslot(call2159);
// starting to compile member node (depth = 7)
  int callframe2161 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call2162 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2161);
// compiled member node returning call2162 (depth = 7)
  int op_slot_left_2157 = gc_frame_newslot(call2162);
  params[0] = call2159;
  partcv[0] = 1;
  Object sum2163 = callmethod(call2162, "+(1)", 1, partcv, params);
// compiled op node returning sum2163 (depth = 6)
  gc_frame_newslot(sum2163);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 707
  setline(707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit2154;
  params[1] = call2156;
  params[2] = sum2163;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2164 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2153);
// compiled call node returning call2164 (depth = 5)
    gc_frame_newslot(call2164);
    if2102 = call2164;
  } else {
  }
// compiled if node returning if2102 (depth = 4)
// Begin line 710
  setline(710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2165 = gc_frame_new();
// call case 4: self request
  Object call2166 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2165);
// compiled member node returning call2166 (depth = 4)
// Begin line 711
  setline(711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe2169 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call2170 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2169);
// compiled member node returning call2170 (depth = 6)
  int op_slot_right_2168 = gc_frame_newslot(call2170);
// starting to compile member node (depth = 6)
  int callframe2172 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call2173 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2172);
// compiled member node returning call2173 (depth = 6)
  int op_slot_left_2168 = gc_frame_newslot(call2173);
  params[0] = call2170;
  partcv[0] = 1;
  Object opresult2174 = callmethod(call2173, "==(1)", 1, partcv, params);
// compiled op node returning opresult2174 (depth = 5)
  Object if2167 = done;
  if (istrue(opresult2174)) {
// Begin line 712
  setline(712);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num2176 = alloc_Float64(1);
// compiled num node returning num2176 (depth = 7)
  int op_slot_right_2175 = gc_frame_newslot(num2176);
// starting to compile member node (depth = 7)
  int callframe2178 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call2179 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2178);
// compiled member node returning call2179 (depth = 7)
  int op_slot_left_2175 = gc_frame_newslot(call2179);
  params[0] = num2176;
  partcv[0] = 1;
  Object diff2180 = callmethod(call2179, "-(1)", 1, partcv, params);
// compiled op node returning diff2180 (depth = 6)
  *var_minIndentLevel = diff2180;
  if (diff2180 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2167 = done;
  } else {
// Begin line 714
  setline(714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_minInd (depth = 6)
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if2167 = done;
  }
// compiled if node returning if2167 (depth = 4)
// Begin line 716
  setline(716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2183 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2184 = alloc_Block(NULL, NULL, "parser", 716);
  gc_frame_newslot(block2184);
// method "_apply"
  block_savedest(block2184);
  Object closure2185 = createclosure(1, "_apply");
  setclosureframe(closure2185, stackframe);
  addtoclosure(closure2185, selfslot);
  struct UserObject *uo2185 = (struct UserObject*)block2184;
  uo2185->data[0] = (Object)closure2185;
  Method *meth_meth_parser__apply2185 = addmethod2pos(block2184, "_apply", &meth_parser__apply2185, 0);
  int argcv_meth_parser__apply2185[] = {0};
  meth_meth_parser__apply2185->type = alloc_MethodType(1, argcv_meth_parser__apply2185);
  meth_meth_parser__apply2185->definitionModule = modulename;
  meth_meth_parser__apply2185->definitionLine = 3404;
// compiled block node returning block2184 (depth = 5)
  gc_frame_newslot(block2184);
// starting to compile block node (depth = 5)
  Object block2192 = alloc_Block(NULL, NULL, "parser", 716);
  gc_frame_newslot(block2192);
// method "_apply"
  block_savedest(block2192);
  Object closure2193 = createclosure(8, "_apply");
  setclosureframe(closure2193, stackframe);
  addtoclosure(closure2193, var_errormessages);
  addtoclosure(closure2193, var_btok);
  addtoclosure(closure2193, var_lastToken);
  addtoclosure(closure2193, var_sym);
  addtoclosure(closure2193, var_values);
  addtoclosure(closure2193, var_v);
  addtoclosure(closure2193, var_body);
  addtoclosure(closure2193, selfslot);
  struct UserObject *uo2193 = (struct UserObject*)block2192;
  uo2193->data[0] = (Object)closure2193;
  Method *meth_meth_parser__apply2193 = addmethod2pos(block2192, "_apply", &meth_parser__apply2193, 0);
  int argcv_meth_parser__apply2193[] = {0};
  meth_meth_parser__apply2193->type = alloc_MethodType(1, argcv_meth_parser__apply2193);
  meth_meth_parser__apply2193->definitionModule = modulename;
  meth_meth_parser__apply2193->definitionLine = 3404;
// compiled block node returning block2192 (depth = 5)
  gc_frame_newslot(block2192);
// call case 5: prelude request
  params[0] = block2184;
  params[1] = block2192;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2251 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2183);
// compiled call node returning call2251 (depth = 4)
// Begin line 734
  setline(734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe2252 = gc_frame_new();
// call case 4: self request
  Object call2253 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2252);
// compiled member node returning call2253 (depth = 4)
// Begin line 735
  setline(735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_econd = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 736
  setline(736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_eif = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 737
  setline(737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_newelse = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 738
  setline(738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_ebody = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 739
  setline(739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe2254 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block2255 = alloc_Block(NULL, NULL, "parser", 739);
  gc_frame_newslot(block2255);
// method "_apply"
  block_savedest(block2255);
  Object closure2256 = createclosure(2, "_apply");
  setclosureframe(closure2256, stackframe);
  addtoclosure(closure2256, var_sym);
  addtoclosure(closure2256, selfslot);
  struct UserObject *uo2256 = (struct UserObject*)block2255;
  uo2256->data[0] = (Object)closure2256;
  Method *meth_meth_parser__apply2256 = addmethod2pos(block2255, "_apply", &meth_parser__apply2256, 0);
  int argcv_meth_parser__apply2256[] = {0};
  meth_meth_parser__apply2256->type = alloc_MethodType(1, argcv_meth_parser__apply2256);
  meth_meth_parser__apply2256->definitionModule = modulename;
  meth_meth_parser__apply2256->definitionLine = 3404;
// compiled block node returning block2255 (depth = 5)
  gc_frame_newslot(block2255);
// starting to compile block node (depth = 5)
  Object block2270 = alloc_Block(NULL, NULL, "parser", 739);
  gc_frame_newslot(block2270);
// method "_apply"
  block_savedest(block2270);
  Object closure2271 = createclosure(16, "_apply");
  setclosureframe(closure2271, stackframe);
  addtoclosure(closure2271, var_sym);
  addtoclosure(closure2271, var_statementToken);
  addtoclosure(closure2271, var_errormessages);
  addtoclosure(closure2271, var_blocksOK);
  addtoclosure(closure2271, var_lastToken);
  addtoclosure(closure2271, var_values);
  addtoclosure(closure2271, var_econd);
  addtoclosure(closure2271, var_ebody);
  addtoclosure(closure2271, var_btok);
  addtoclosure(closure2271, var_minIndentLevel);
  addtoclosure(closure2271, var_minInd);
  addtoclosure(closure2271, var_v);
  addtoclosure(closure2271, var_newelse);
  addtoclosure(closure2271, var_eif);
  addtoclosure(closure2271, var_curelse);
  addtoclosure(closure2271, selfslot);
  struct UserObject *uo2271 = (struct UserObject*)block2270;
  uo2271->data[0] = (Object)closure2271;
  Method *meth_meth_parser__apply2271 = addmethod2pos(block2270, "_apply", &meth_parser__apply2271, 0);
  int argcv_meth_parser__apply2271[] = {0};
  meth_meth_parser__apply2271->type = alloc_MethodType(1, argcv_meth_parser__apply2271);
  meth_meth_parser__apply2271->definitionModule = modulename;
  meth_meth_parser__apply2271->definitionLine = 3404;
// compiled block node returning block2270 (depth = 5)
  gc_frame_newslot(block2270);
// call case 5: prelude request
  params[0] = block2255;
  params[1] = block2270;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call2889 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2254);
// compiled call node returning call2889 (depth = 4)
// Begin line 906
  setline(906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2893 == NULL) {
    strlit2893 = alloc_String("else");
    gc_root(strlit2893);
  }
// compiled string node returning strlit2893 (depth = 7)
  int op_slot_right_2892 = gc_frame_newslot(strlit2893);
// starting to compile member node (depth = 7)
  int callframe2895 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call2896 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe2895);
// compiled member node returning call2896 (depth = 7)
  int op_slot_left_2892 = gc_frame_newslot(call2896);
  params[0] = strlit2893;
  partcv[0] = 1;
  Object opresult2897 = callmethod(call2896, "==(1)", 1, partcv, params);
// compiled op node returning opresult2897 (depth = 6)
  int op_slot_right_2891 = gc_frame_newslot(opresult2897);
// starting to compile call node (depth = 6)
  int callframe2899 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit2900 == NULL) {
    strlit2900 = alloc_String("identifier");
    gc_root(strlit2900);
  }
// compiled string node returning strlit2900 (depth = 7)
  gc_frame_newslot(strlit2900);
// call case 4: self request
  params[0] = strlit2900;
  partcv[0] = 1;
  Object call2901 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2899);
// compiled call node returning call2901 (depth = 6)
  int op_slot_left_2891 = gc_frame_newslot(call2901);
  params[0] = opresult2897;
  partcv[0] = 1;
  Object opresult2902 = callmethod(call2901, "&&(1)", 1, partcv, params);
// compiled op node returning opresult2902 (depth = 5)
  Object if2890 = done;
  if (istrue(opresult2902)) {
// Begin line 907
  setline(907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe2903 = gc_frame_new();
// call case 4: self request
  Object call2904 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2903);
// compiled member node returning call2904 (depth = 5)
// Begin line 908
  setline(908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit2907 == NULL) {
    strlit2907 = alloc_String("lbrace");
    gc_root(strlit2907);
  }
// compiled string node returning strlit2907 (depth = 7)
  int op_slot_right_2906 = gc_frame_newslot(strlit2907);
// starting to compile member node (depth = 7)
  int callframe2909 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call2910 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe2909);
// compiled member node returning call2910 (depth = 7)
  int op_slot_left_2906 = gc_frame_newslot(call2910);
  params[0] = strlit2907;
  partcv[0] = 1;
  Object opresult2911 = callmethod(call2910, "≠(1)", 1, partcv, params);
// compiled op node returning opresult2911 (depth = 6)
  Object if2905 = done;
  if (istrue(opresult2911)) {
// Begin line 909
  setline(909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2912 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2913 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call2914 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe2913);
// compiled member node returning call2914 (depth = 8)
  Object call2915 = callmethodflags(call2914, "new", 0, partcv, params, 0);
  gc_frame_end(callframe2912);
// compiled member node returning call2915 (depth = 7)
  *var_suggestion = call2915;
  if (call2915 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 910
  setline(910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe2916 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_btok (depth = 8)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 8)
  Object bool2917 = alloc_Boolean(1);
// compiled identifier node returning bool2917 (depth = 8)
  gc_frame_newslot(bool2917);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool2917;
  partcv[0] = 2;
  Object call2918 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2916);
// compiled call node returning call2918 (depth = 7)
  *var_closingBrace = call2918;
  if (call2918 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 911
  setline(911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2920 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe2921 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  Object call2922 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe2921);
// compiled member node returning call2922 (depth = 8)
  Object call2923 = callmethodflags(call2922, "not", 0, partcv, params, 0);
  gc_frame_end(callframe2920);
// compiled member node returning call2923 (depth = 7)
  Object if2919 = done;
  if (istrue(call2923)) {
// Begin line 912
  setline(912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  int op_slot_right_2925 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
  int callframe2927 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  Object call2928 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2927);
// compiled member node returning call2928 (depth = 9)
  int op_slot_left_2925 = gc_frame_newslot(call2928);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult2929 = callmethod(call2928, "==(1)", 1, partcv, params);
// compiled op node returning opresult2929 (depth = 8)
  Object if2924 = done;
  if (istrue(opresult2929)) {
// Begin line 913
  setline(913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2930 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool2931 = alloc_Boolean(0);
// compiled identifier node returning bool2931 (depth = 9)
  gc_frame_newslot(bool2931);
// starting to compile identifier node (depth = 9)
  Object bool2932 = alloc_Boolean(1);
// compiled identifier node returning bool2932 (depth = 9)
  gc_frame_newslot(bool2932);
// starting to compile string node (depth = 9)
  if (strlit2933 == NULL) {
    strlit2933 = alloc_String("else {}");
    gc_root(strlit2933);
  }
// compiled string node returning strlit2933 (depth = 9)
  gc_frame_newslot(strlit2933);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = bool2931;
  params[2] = bool2932;
  params[3] = strlit2933;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2934 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2930);
// compiled call node returning call2934 (depth = 8)
    gc_frame_newslot(call2934);
    if2924 = call2934;
  } else {
// Begin line 915
  setline(915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2935 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num2937 = alloc_Float64(0.1);
// compiled num node returning num2937 (depth = 10)
  int op_slot_right_2936 = gc_frame_newslot(num2937);
// starting to compile member node (depth = 10)
  int callframe2939 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe2940 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_closingBrace (depth = 12)
  Object call2941 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe2940);
// compiled member node returning call2941 (depth = 11)
  Object call2942 = callmethodflags(call2941, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2939);
// compiled member node returning call2942 (depth = 10)
  int op_slot_left_2936 = gc_frame_newslot(call2942);
  params[0] = num2937;
  partcv[0] = 1;
  Object sum2943 = callmethod(call2942, "+(1)", 1, partcv, params);
// compiled op node returning sum2943 (depth = 9)
  gc_frame_newslot(sum2943);
// starting to compile string node (depth = 9)
  if (strlit2944 == NULL) {
    strlit2944 = alloc_String("}");
    gc_root(strlit2944);
  }
// compiled string node returning strlit2944 (depth = 9)
  gc_frame_newslot(strlit2944);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = sum2943;
  params[1] = strlit2944;
  partcv[0] = 2;
  Object call2945 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe2935);
// compiled call node returning call2945 (depth = 8)
// Begin line 916
  setline(916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe2946 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool2947 = alloc_Boolean(0);
// compiled identifier node returning bool2947 (depth = 9)
  gc_frame_newslot(bool2947);
// starting to compile identifier node (depth = 9)
  Object bool2948 = alloc_Boolean(1);
// compiled identifier node returning bool2948 (depth = 9)
  gc_frame_newslot(bool2948);
// starting to compile string node (depth = 9)
  if (strlit2949 == NULL) {
    strlit2949 = alloc_String("else {");
    gc_root(strlit2949);
  }
// compiled string node returning strlit2949 (depth = 9)
  gc_frame_newslot(strlit2949);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = bool2947;
  params[2] = bool2948;
  params[3] = strlit2949;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2950 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2946);
// compiled call node returning call2950 (depth = 8)
    gc_frame_newslot(call2950);
    if2924 = call2950;
  }
// compiled if node returning if2924 (depth = 7)
    gc_frame_newslot(if2924);
    if2919 = if2924;
  } else {
// Begin line 919
  setline(919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe2951 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 8)
  Object bool2952 = alloc_Boolean(0);
// compiled identifier node returning bool2952 (depth = 8)
  gc_frame_newslot(bool2952);
// starting to compile identifier node (depth = 8)
  Object bool2953 = alloc_Boolean(1);
// compiled identifier node returning bool2953 (depth = 8)
  gc_frame_newslot(bool2953);
// starting to compile string node (depth = 8)
  if (strlit2954 == NULL) {
    strlit2954 = alloc_String("else {");
    gc_root(strlit2954);
  }
// compiled string node returning strlit2954 (depth = 8)
  gc_frame_newslot(strlit2954);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = bool2952;
  params[2] = bool2953;
  params[3] = strlit2954;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call2955 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe2951);
// compiled call node returning call2955 (depth = 7)
    gc_frame_newslot(call2955);
    if2919 = call2955;
  }
// compiled if node returning if2919 (depth = 6)
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe2956 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit2957 == NULL) {
    strlit2957 = alloc_String("an else statement must have a '{' after the 'else'.");
    gc_root(strlit2957);
  }
// compiled string node returning strlit2957 (depth = 7)
  gc_frame_newslot(strlit2957);
// Begin line 922
  setline(922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe2958 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call2959 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2958);
// compiled member node returning call2959 (depth = 7)
  gc_frame_newslot(call2959);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe2961 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call2962 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe2961);
// compiled member node returning call2962 (depth = 8)
  int op_slot_right_2960 = gc_frame_newslot(call2962);
// starting to compile member node (depth = 8)
  int callframe2964 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call2965 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2964);
// compiled member node returning call2965 (depth = 8)
  int op_slot_left_2960 = gc_frame_newslot(call2965);
  params[0] = call2962;
  partcv[0] = 1;
  Object sum2966 = callmethod(call2965, "+(1)", 1, partcv, params);
// compiled op node returning sum2966 (depth = 7)
  gc_frame_newslot(sum2966);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 921
  setline(921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit2957;
  params[1] = call2959;
  params[2] = sum2966;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call2967 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe2956);
// compiled call node returning call2967 (depth = 6)
    gc_frame_newslot(call2967);
    if2905 = call2967;
  } else {
  }
// compiled if node returning if2905 (depth = 5)
// Begin line 924
  setline(924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe2968 = gc_frame_new();
// call case 4: self request
  Object call2969 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2968);
// compiled member node returning call2969 (depth = 5)
// Begin line 927
  setline(927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe2972 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call2973 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2972);
// compiled member node returning call2973 (depth = 7)
  int op_slot_right_2971 = gc_frame_newslot(call2973);
// starting to compile member node (depth = 7)
  int callframe2975 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call2976 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe2975);
// compiled member node returning call2976 (depth = 7)
  int op_slot_left_2971 = gc_frame_newslot(call2976);
  params[0] = call2973;
  partcv[0] = 1;
  Object opresult2977 = callmethod(call2976, "==(1)", 1, partcv, params);
// compiled op node returning opresult2977 (depth = 6)
  Object if2970 = done;
  if (istrue(opresult2977)) {
// Begin line 928
  setline(928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num2979 = alloc_Float64(1);
// compiled num node returning num2979 (depth = 8)
  int op_slot_right_2978 = gc_frame_newslot(num2979);
// starting to compile member node (depth = 8)
  int callframe2981 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call2982 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe2981);
// compiled member node returning call2982 (depth = 8)
  int op_slot_left_2978 = gc_frame_newslot(call2982);
  params[0] = num2979;
  partcv[0] = 1;
  Object diff2983 = callmethod(call2982, "-(1)", 1, partcv, params);
// compiled op node returning diff2983 (depth = 7)
  *var_minIndentLevel = diff2983;
  if (diff2983 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2970 = done;
  } else {
// Begin line 930
  setline(930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_minInd (depth = 7)
  *var_minIndentLevel = *var_minInd;
  if (*var_minInd == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if2970 = done;
  }
// compiled if node returning if2970 (depth = 5)
// Begin line 932
  setline(932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe2986 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block2987 = alloc_Block(NULL, NULL, "parser", 932);
  gc_frame_newslot(block2987);
// method "_apply"
  block_savedest(block2987);
  Object closure2988 = createclosure(1, "_apply");
  setclosureframe(closure2988, stackframe);
  addtoclosure(closure2988, selfslot);
  struct UserObject *uo2988 = (struct UserObject*)block2987;
  uo2988->data[0] = (Object)closure2988;
  Method *meth_meth_parser__apply2988 = addmethod2pos(block2987, "_apply", &meth_parser__apply2988, 0);
  int argcv_meth_parser__apply2988[] = {0};
  meth_meth_parser__apply2988->type = alloc_MethodType(1, argcv_meth_parser__apply2988);
  meth_meth_parser__apply2988->definitionModule = modulename;
  meth_meth_parser__apply2988->definitionLine = 3404;
// compiled block node returning block2987 (depth = 6)
  gc_frame_newslot(block2987);
// starting to compile block node (depth = 6)
  Object block2995 = alloc_Block(NULL, NULL, "parser", 932);
  gc_frame_newslot(block2995);
// method "_apply"
  block_savedest(block2995);
  Object closure2996 = createclosure(8, "_apply");
  setclosureframe(closure2996, stackframe);
  addtoclosure(closure2996, var_errormessages);
  addtoclosure(closure2996, var_btok);
  addtoclosure(closure2996, var_lastToken);
  addtoclosure(closure2996, var_sym);
  addtoclosure(closure2996, var_values);
  addtoclosure(closure2996, var_v);
  addtoclosure(closure2996, var_curelse);
  addtoclosure(closure2996, selfslot);
  struct UserObject *uo2996 = (struct UserObject*)block2995;
  uo2996->data[0] = (Object)closure2996;
  Method *meth_meth_parser__apply2996 = addmethod2pos(block2995, "_apply", &meth_parser__apply2996, 0);
  int argcv_meth_parser__apply2996[] = {0};
  meth_meth_parser__apply2996->type = alloc_MethodType(1, argcv_meth_parser__apply2996);
  meth_meth_parser__apply2996->definitionModule = modulename;
  meth_meth_parser__apply2996->definitionLine = 3404;
// compiled block node returning block2995 (depth = 6)
  gc_frame_newslot(block2995);
// call case 5: prelude request
  params[0] = block2987;
  params[1] = block2995;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3054 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe2986);
// compiled call node returning call3054 (depth = 5)
// Begin line 950
  setline(950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3055 = gc_frame_new();
// call case 4: self request
  Object call3056 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3055);
// compiled member node returning call3056 (depth = 5)
    gc_frame_newslot(call3056);
    if2890 = call3056;
  } else {
  }
// compiled if node returning if2890 (depth = 4)
// Begin line 952
  setline(952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3057 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3058 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  Object call3059 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3058);
// compiled member node returning call3059 (depth = 5)
  gc_frame_newslot(call3059);
// starting to compile member node (depth = 5)
  int callframe3060 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  Object call3061 = callmethodflags(*var_btok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3060);
// compiled member node returning call3061 (depth = 5)
  gc_frame_newslot(call3061);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  params[0] = call3059;
  params[1] = call3061;
  partcv[0] = 2;
  Object call3062 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3057);
// compiled call node returning call3062 (depth = 4)
// Begin line 953
  setline(953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3063 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_cond (depth = 6)
  gc_frame_newslot(*var_cond);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_body (depth = 6)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_elseblock (depth = 6)
  gc_frame_newslot(*var_elseblock);
// call case 4: self request
  params[0] = *var_cond;
  params[1] = *var_body;
  params[2] = *var_elseblock;
  partcv[0] = 3;
  Object call3064 = callmethodflags(self, "newIf(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3063);
// compiled call node returning call3064 (depth = 5)
  *var_o = call3064;
  if (call3064 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 954
  setline(954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3065 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call3066 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3065);
// compiled call node returning call3066 (depth = 4)
    gc_frame_newslot(call3066);
    if2087 = call3066;
  } else {
// Begin line 957
  setline(957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3067 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3068 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3069 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3068);
// compiled member node returning call3069 (depth = 6)
  Object call3070 = callmethodflags(call3069, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3067);
// compiled member node returning call3070 (depth = 5)
  *var_suggestion = call3070;
  if (call3070 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 958
  setline(958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3073 == NULL) {
    strlit3073 = alloc_String("lbrace");
    gc_root(strlit3073);
  }
// compiled string node returning strlit3073 (depth = 6)
  int op_slot_right_3072 = gc_frame_newslot(strlit3073);
// starting to compile member node (depth = 6)
  int callframe3075 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call3076 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3075);
// compiled member node returning call3076 (depth = 6)
  int op_slot_left_3072 = gc_frame_newslot(call3076);
  params[0] = strlit3073;
  partcv[0] = 1;
  Object opresult3077 = callmethod(call3076, "==(1)", 1, partcv, params);
// compiled op node returning opresult3077 (depth = 5)
  Object if3071 = done;
  if (istrue(opresult3077)) {
// Begin line 959
  setline(959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3078 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 7)
  Object bool3079 = alloc_Boolean(0);
// compiled identifier node returning bool3079 (depth = 7)
  gc_frame_newslot(bool3079);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool3079;
  partcv[0] = 2;
  Object call3080 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3078);
// compiled call node returning call3080 (depth = 6)
  *var_closingBrace = call3080;
  if (call3080 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 960
  setline(960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3082 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3083 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_closingBrace (depth = 8)
  Object call3084 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe3083);
// compiled member node returning call3084 (depth = 7)
  Object call3085 = callmethodflags(call3084, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3082);
// compiled member node returning call3085 (depth = 6)
  Object if3081 = done;
  if (istrue(call3085)) {
// Begin line 961
  setline(961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_3087 = gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
  int callframe3089 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  Object call3090 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe3089);
// compiled member node returning call3090 (depth = 8)
  int op_slot_left_3087 = gc_frame_newslot(call3090);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3091 = callmethod(call3090, "==(1)", 1, partcv, params);
// compiled op node returning opresult3091 (depth = 7)
  Object if3086 = done;
  if (istrue(opresult3091)) {
// Begin line 962
  setline(962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3092 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool3093 = alloc_Boolean(1);
// compiled identifier node returning bool3093 (depth = 8)
  gc_frame_newslot(bool3093);
// starting to compile identifier node (depth = 8)
  Object bool3094 = alloc_Boolean(0);
// compiled identifier node returning bool3094 (depth = 8)
  gc_frame_newslot(bool3094);
// starting to compile string node (depth = 8)
  if (strlit3095 == NULL) {
    strlit3095 = alloc_String(" then {}");
    gc_root(strlit3095);
  }
// compiled string node returning strlit3095 (depth = 8)
  gc_frame_newslot(strlit3095);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool3093;
  params[2] = bool3094;
  params[3] = strlit3095;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3096 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe3092);
// compiled call node returning call3096 (depth = 7)
    gc_frame_newslot(call3096);
    if3086 = call3096;
  } else {
// Begin line 964
  setline(964);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3097 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool3098 = alloc_Boolean(1);
// compiled identifier node returning bool3098 (depth = 8)
  gc_frame_newslot(bool3098);
// starting to compile identifier node (depth = 8)
  Object bool3099 = alloc_Boolean(0);
// compiled identifier node returning bool3099 (depth = 8)
  gc_frame_newslot(bool3099);
// starting to compile string node (depth = 8)
  if (strlit3100 == NULL) {
    strlit3100 = alloc_String(" then {");
    gc_root(strlit3100);
  }
// compiled string node returning strlit3100 (depth = 8)
  gc_frame_newslot(strlit3100);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool3098;
  params[2] = bool3099;
  params[3] = strlit3100;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3101 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe3097);
// compiled call node returning call3101 (depth = 7)
// Begin line 965
  setline(965);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3102 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3104 = alloc_Float64(0.1);
// compiled num node returning num3104 (depth = 9)
  int op_slot_right_3103 = gc_frame_newslot(num3104);
// starting to compile member node (depth = 9)
  int callframe3106 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3107 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call3108 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe3107);
// compiled member node returning call3108 (depth = 10)
  Object call3109 = callmethodflags(call3108, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3106);
// compiled member node returning call3109 (depth = 9)
  int op_slot_left_3103 = gc_frame_newslot(call3109);
  params[0] = num3104;
  partcv[0] = 1;
  Object sum3110 = callmethod(call3109, "+(1)", 1, partcv, params);
// compiled op node returning sum3110 (depth = 8)
  gc_frame_newslot(sum3110);
// starting to compile string node (depth = 8)
  if (strlit3111 == NULL) {
    strlit3111 = alloc_String("}");
    gc_root(strlit3111);
  }
// compiled string node returning strlit3111 (depth = 8)
  gc_frame_newslot(strlit3111);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum3110;
  params[1] = strlit3111;
  partcv[0] = 2;
  Object call3112 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3102);
// compiled call node returning call3112 (depth = 7)
    gc_frame_newslot(call3112);
    if3086 = call3112;
  }
// compiled if node returning if3086 (depth = 6)
    gc_frame_newslot(if3086);
    if3081 = if3086;
  } else {
// Begin line 968
  setline(968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3113 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
  Object bool3114 = alloc_Boolean(1);
// compiled identifier node returning bool3114 (depth = 7)
  gc_frame_newslot(bool3114);
// starting to compile identifier node (depth = 7)
  Object bool3115 = alloc_Boolean(0);
// compiled identifier node returning bool3115 (depth = 7)
  gc_frame_newslot(bool3115);
// starting to compile string node (depth = 7)
  if (strlit3116 == NULL) {
    strlit3116 = alloc_String(" then {");
    gc_root(strlit3116);
  }
// compiled string node returning strlit3116 (depth = 7)
  gc_frame_newslot(strlit3116);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = bool3114;
  params[2] = bool3115;
  params[3] = strlit3116;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3117 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe3113);
// compiled call node returning call3117 (depth = 6)
    gc_frame_newslot(call3117);
    if3081 = call3117;
  }
// compiled if node returning if3081 (depth = 5)
    gc_frame_newslot(if3081);
    if3071 = if3081;
  } else {
// Begin line 971
  setline(971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3118 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 7)
  Object bool3119 = alloc_Boolean(1);
// compiled identifier node returning bool3119 (depth = 7)
  gc_frame_newslot(bool3119);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool3119;
  partcv[0] = 2;
  Object call3120 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3118);
// compiled call node returning call3120 (depth = 6)
  *var_closingBrace = call3120;
  if (call3120 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 972
  setline(972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3122 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3123 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_closingBrace (depth = 8)
  Object call3124 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe3123);
// compiled member node returning call3124 (depth = 7)
  Object call3125 = callmethodflags(call3124, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3122);
// compiled member node returning call3125 (depth = 6)
  Object if3121 = done;
  if (istrue(call3125)) {
// Begin line 973
  setline(973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  int op_slot_right_3127 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 8)
  int callframe3129 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  Object call3130 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe3129);
// compiled member node returning call3130 (depth = 8)
  int op_slot_left_3127 = gc_frame_newslot(call3130);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult3131 = callmethod(call3130, "==(1)", 1, partcv, params);
// compiled op node returning opresult3131 (depth = 7)
  Object if3126 = done;
  if (istrue(opresult3131)) {
// Begin line 974
  setline(974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3132 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3133 == NULL) {
    strlit3133 = alloc_String(" then {}");
    gc_root(strlit3133);
  }
// compiled string node returning strlit3133 (depth = 8)
  gc_frame_newslot(strlit3133);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3133;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3134 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3132);
// compiled call node returning call3134 (depth = 7)
    gc_frame_newslot(call3134);
    if3126 = call3134;
  } else {
// Begin line 976
  setline(976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3135 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3136 == NULL) {
    strlit3136 = alloc_String(" then {");
    gc_root(strlit3136);
  }
// compiled string node returning strlit3136 (depth = 8)
  gc_frame_newslot(strlit3136);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3136;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3137 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3135);
// compiled call node returning call3137 (depth = 7)
// Begin line 977
  setline(977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3138 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num3140 = alloc_Float64(0.1);
// compiled num node returning num3140 (depth = 9)
  int op_slot_right_3139 = gc_frame_newslot(num3140);
// starting to compile member node (depth = 9)
  int callframe3142 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3143 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call3144 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe3143);
// compiled member node returning call3144 (depth = 10)
  Object call3145 = callmethodflags(call3144, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3142);
// compiled member node returning call3145 (depth = 9)
  int op_slot_left_3139 = gc_frame_newslot(call3145);
  params[0] = num3140;
  partcv[0] = 1;
  Object sum3146 = callmethod(call3145, "+(1)", 1, partcv, params);
// compiled op node returning sum3146 (depth = 8)
  gc_frame_newslot(sum3146);
// starting to compile string node (depth = 8)
  if (strlit3147 == NULL) {
    strlit3147 = alloc_String("}");
    gc_root(strlit3147);
  }
// compiled string node returning strlit3147 (depth = 8)
  gc_frame_newslot(strlit3147);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum3146;
  params[1] = strlit3147;
  partcv[0] = 2;
  Object call3148 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3138);
// compiled call node returning call3148 (depth = 7)
    gc_frame_newslot(call3148);
    if3126 = call3148;
  }
// compiled if node returning if3126 (depth = 6)
    gc_frame_newslot(if3126);
    if3121 = if3126;
  } else {
// Begin line 980
  setline(980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3149 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3150 == NULL) {
    strlit3150 = alloc_String(" then {");
    gc_root(strlit3150);
  }
// compiled string node returning strlit3150 (depth = 7)
  gc_frame_newslot(strlit3150);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3150;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3151 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3149);
// compiled call node returning call3151 (depth = 6)
    gc_frame_newslot(call3151);
    if3121 = call3151;
  }
// compiled if node returning if3121 (depth = 5)
    gc_frame_newslot(if3121);
    if3071 = if3121;
  }
// compiled if node returning if3071 (depth = 4)
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3152 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 984
  setline(984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3154 == NULL) {
    strlit3154 = alloc_String("the condition in parentheses.");
    gc_root(strlit3154);
  }
// compiled string node returning strlit3154 (depth = 6)
  int op_slot_right_3153 = gc_frame_newslot(strlit3154);
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3156 == NULL) {
    strlit3156 = alloc_String("an if statement must have 'then' after ");
    gc_root(strlit3156);
  }
// compiled string node returning strlit3156 (depth = 6)
  int op_slot_left_3153 = gc_frame_newslot(strlit3156);
  params[0] = strlit3154;
  partcv[0] = 1;
  Object opresult3157 = callmethod(strlit3156, "++(1)", 1, partcv, params);
// compiled op node returning opresult3157 (depth = 5)
  gc_frame_newslot(opresult3157);
// Begin line 985
  setline(985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3158 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3159 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3158);
// compiled member node returning call3159 (depth = 5)
  gc_frame_newslot(call3159);
// starting to compile member node (depth = 5)
  int callframe3160 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3161 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3160);
// compiled member node returning call3161 (depth = 5)
  gc_frame_newslot(call3161);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 983
  setline(983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult3157;
  params[1] = call3159;
  params[2] = call3161;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3162 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3152);
// compiled call node returning call3162 (depth = 4)
    gc_frame_newslot(call3162);
    if2087 = call3162;
  }
// compiled if node returning if2087 (depth = 3)
// Begin line 987
  setline(987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_localMin (depth = 4)
  *var_minIndentLevel = *var_localMin;
  if (*var_localMin == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 988
  setline(988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_localStatementIndent (depth = 4)
  *var_statementIndent = *var_localStatementIndent;
  if (*var_localStatementIndent == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if1720 = done;
  } else {
  }
// compiled if node returning if1720 (depth = 2)
  gc_frame_end(frame);
  return if1720;
}
Object meth_parser_identifier3165(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 30, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "identifier");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 995
  setline(995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3167 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3168 == NULL) {
    strlit3168 = alloc_String("identifier");
    gc_root(strlit3168);
  }
// compiled string node returning strlit3168 (depth = 4)
  gc_frame_newslot(strlit3168);
// call case 4: self request
  params[0] = strlit3168;
  partcv[0] = 1;
  Object call3169 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3167);
// compiled call node returning call3169 (depth = 3)
  Object if3166 = done;
  if (istrue(call3169)) {
// Begin line 996
  setline(996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3172 == NULL) {
    strlit3172 = alloc_String("if");
    gc_root(strlit3172);
  }
// compiled string node returning strlit3172 (depth = 5)
  int op_slot_right_3171 = gc_frame_newslot(strlit3172);
// starting to compile member node (depth = 5)
  int callframe3174 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3175 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3174);
// compiled member node returning call3175 (depth = 5)
  int op_slot_left_3171 = gc_frame_newslot(call3175);
  params[0] = strlit3172;
  partcv[0] = 1;
  Object opresult3176 = callmethod(call3175, "==(1)", 1, partcv, params);
// compiled op node returning opresult3176 (depth = 4)
  Object if3170 = done;
  if (istrue(opresult3176)) {
// Begin line 997
  setline(997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3177 = gc_frame_new();
// call case 4: self request
  Object call3178 = callmethodflags(self, "doif", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3177);
// compiled member node returning call3178 (depth = 4)
    gc_frame_newslot(call3178);
    if3170 = call3178;
  } else {
// Begin line 999
  setline(999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3179 = gc_frame_new();
// call case 4: self request
  Object call3180 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3179);
// compiled member node returning call3180 (depth = 4)
    gc_frame_newslot(call3180);
    if3170 = call3180;
  }
// compiled if node returning if3170 (depth = 3)
    gc_frame_newslot(if3170);
    if3166 = if3170;
  } else {
  }
// compiled if node returning if3166 (depth = 2)
  gc_frame_end(frame);
  return if3166;
}
Object meth_parser__apply3200(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe3201 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_blocksOK (depth = 9)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3202 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3201);
// compiled call node returning call3202 (depth = 8)
  gc_frame_end(frame);
  return call3202;
}
Object meth_parser__apply3269(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 8)
  int callframe3270 = gc_frame_new();
// call case 4: self request
  Object call3271 = callmethodflags(self, "term", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3270);
// compiled member node returning call3271 (depth = 8)
  gc_frame_end(frame);
  return call3271;
}
Object meth_parser_prefixop3181(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 31, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "prefixop");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_op = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "op");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_suggestions = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestions");
  Object *var_rcvr = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "rcvr");
  Object *var_call = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "call");
// Begin line 1005
  setline(1005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3183 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3184 == NULL) {
    strlit3184 = alloc_String("op");
    gc_root(strlit3184);
  }
// compiled string node returning strlit3184 (depth = 4)
  gc_frame_newslot(strlit3184);
// call case 4: self request
  params[0] = strlit3184;
  partcv[0] = 1;
  Object call3185 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3183);
// compiled call node returning call3185 (depth = 3)
  Object if3182 = done;
  if (istrue(call3185)) {
// Begin line 1006
  setline(1006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3186 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call3187 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3186);
// compiled member node returning call3187 (depth = 4)
  *var_op = call3187;
  if (call3187 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1007
  setline(1007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3188 = gc_frame_new();
// call case 4: self request
  Object call3189 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3188);
// compiled member node returning call3189 (depth = 3)
// Begin line 1008
  setline(1008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3191 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3192 == NULL) {
    strlit3192 = alloc_String("lparen");
    gc_root(strlit3192);
  }
// compiled string node returning strlit3192 (depth = 5)
  gc_frame_newslot(strlit3192);
// call case 4: self request
  params[0] = strlit3192;
  partcv[0] = 1;
  Object call3193 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3191);
// compiled call node returning call3193 (depth = 4)
  Object if3190 = done;
  if (istrue(call3193)) {
// Begin line 1009
  setline(1009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3194 = gc_frame_new();
// call case 4: self request
  Object call3195 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3194);
// compiled member node returning call3195 (depth = 4)
// Begin line 1010
  setline(1010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3197 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe3198 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block3199 = alloc_Block(NULL, NULL, "parser", 1010);
  gc_frame_newslot(block3199);
// method "_apply"
  block_savedest(block3199);
  Object closure3200 = createclosure(2, "_apply");
  setclosureframe(closure3200, stackframe);
  addtoclosure(closure3200, var_blocksOK);
  addtoclosure(closure3200, selfslot);
  struct UserObject *uo3200 = (struct UserObject*)block3199;
  uo3200->data[0] = (Object)closure3200;
  Method *meth_meth_parser__apply3200 = addmethod2pos(block3199, "_apply", &meth_parser__apply3200, 0);
  int argcv_meth_parser__apply3200[] = {0};
  meth_meth_parser__apply3200->type = alloc_MethodType(1, argcv_meth_parser__apply3200);
  meth_meth_parser__apply3200->definitionModule = modulename;
  meth_meth_parser__apply3200->definitionLine = 3404;
// compiled block node returning block3199 (depth = 7)
  gc_frame_newslot(block3199);
// call case 4: self request
  params[0] = block3199;
  partcv[0] = 1;
  Object call3204 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3198);
// compiled call node returning call3204 (depth = 6)
  Object call3205 = callmethodflags(call3204, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3197);
// compiled member node returning call3205 (depth = 5)
  Object if3196 = done;
  if (istrue(call3205)) {
// Begin line 1011
  setline(1011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3206 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3207 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call3208 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3207);
// compiled member node returning call3208 (depth = 7)
  Object call3209 = callmethodflags(call3208, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3206);
// compiled member node returning call3209 (depth = 6)
  *var_suggestion = call3209;
  if (call3209 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1012
  setline(1012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3210 = gc_frame_new();
// starting to compile array node (depth = 7)
  Object array3211 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 8)
  if (strlit3212 == NULL) {
    strlit3212 = alloc_String("rparen");
    gc_root(strlit3212);
  }
// compiled string node returning strlit3212 (depth = 8)
  params[0] = strlit3212;
  partcv[0] = 1;
  callmethodflags(array3211, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array3211 (depth = 7)
  gc_frame_newslot(array3211);
// call case 4: self request
  params[0] = array3211;
  partcv[0] = 1;
  Object call3213 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3210);
// compiled call node returning call3213 (depth = 6)
  *var_nextTok = call3213;
  if (call3213 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1013
  setline(1013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_3215 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_3215 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3217 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult3217 (depth = 6)
  Object if3214 = done;
  if (istrue(opresult3217)) {
// Begin line 1014
  setline(1014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3218 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3219 == NULL) {
    strlit3219 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3219);
  }
// compiled string node returning strlit3219 (depth = 7)
  gc_frame_newslot(strlit3219);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3219;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3220 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3218);
// compiled call node returning call3220 (depth = 6)
    gc_frame_newslot(call3220);
    if3214 = call3220;
  } else {
// Begin line 1016
  setline(1016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3221 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe3222 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call3223 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe3222);
// compiled member node returning call3223 (depth = 7)
  gc_frame_newslot(call3223);
// starting to compile identifier node (depth = 7)
  Object bool3224 = alloc_Boolean(1);
// compiled identifier node returning bool3224 (depth = 7)
  gc_frame_newslot(bool3224);
// starting to compile identifier node (depth = 7)
  Object bool3225 = alloc_Boolean(0);
// compiled identifier node returning bool3225 (depth = 7)
  gc_frame_newslot(bool3225);
// starting to compile string node (depth = 7)
  if (strlit3226 == NULL) {
    strlit3226 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3226);
  }
// compiled string node returning strlit3226 (depth = 7)
  gc_frame_newslot(strlit3226);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call3223;
  params[2] = bool3224;
  params[3] = bool3225;
  params[4] = strlit3226;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3227 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe3221);
// compiled call node returning call3227 (depth = 6)
    gc_frame_newslot(call3227);
    if3214 = call3227;
  }
// compiled if node returning if3214 (depth = 5)
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3228 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3229 == NULL) {
    strlit3229 = alloc_String("parentheses must contain a valid expression.");
    gc_root(strlit3229);
  }
// compiled string node returning strlit3229 (depth = 6)
  gc_frame_newslot(strlit3229);
// Begin line 1019
  setline(1019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3230 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call3231 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3230);
// compiled member node returning call3231 (depth = 6)
  gc_frame_newslot(call3231);
// starting to compile member node (depth = 6)
  int callframe3232 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call3233 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3232);
// compiled member node returning call3233 (depth = 6)
  gc_frame_newslot(call3233);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1018
  setline(1018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit3229;
  params[1] = call3231;
  params[2] = call3233;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3234 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3228);
// compiled call node returning call3234 (depth = 5)
    gc_frame_newslot(call3234);
    if3196 = call3234;
  } else {
  }
// compiled if node returning if3196 (depth = 4)
// Begin line 1021
  setline(1021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3237 == NULL) {
    strlit3237 = alloc_String("rparen");
    gc_root(strlit3237);
  }
// compiled string node returning strlit3237 (depth = 6)
  int op_slot_right_3236 = gc_frame_newslot(strlit3237);
// starting to compile member node (depth = 6)
  int callframe3239 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call3240 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3239);
// compiled member node returning call3240 (depth = 6)
  int op_slot_left_3236 = gc_frame_newslot(call3240);
  params[0] = strlit3237;
  partcv[0] = 1;
  Object opresult3241 = callmethod(call3240, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3241 (depth = 5)
  Object if3235 = done;
  if (istrue(opresult3241)) {
// Begin line 1022
  setline(1022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3242 = gc_frame_new();
// call case 4: self request
  Object call3243 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3242);
// compiled member node returning call3243 (depth = 5)
// Begin line 1023
  setline(1023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3244 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3245 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call3246 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3245);
// compiled member node returning call3246 (depth = 7)
  Object call3247 = callmethodflags(call3246, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3244);
// compiled member node returning call3247 (depth = 6)
  *var_suggestion = call3247;
  if (call3247 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1024
  setline(1024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3248 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3249 == NULL) {
    strlit3249 = alloc_String(")");
    gc_root(strlit3249);
  }
// compiled string node returning strlit3249 (depth = 6)
  gc_frame_newslot(strlit3249);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit3249;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3250 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3248);
// compiled call node returning call3250 (depth = 5)
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3251 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3252 == NULL) {
    strlit3252 = alloc_String("an expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3252);
  }
// compiled string node returning strlit3252 (depth = 6)
  gc_frame_newslot(strlit3252);
// Begin line 1026
  setline(1026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3253 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call3254 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3253);
// compiled member node returning call3254 (depth = 6)
  gc_frame_newslot(call3254);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3256 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call3257 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3256);
// compiled member node returning call3257 (depth = 7)
  int op_slot_right_3255 = gc_frame_newslot(call3257);
// starting to compile member node (depth = 7)
  int callframe3259 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call3260 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3259);
// compiled member node returning call3260 (depth = 7)
  int op_slot_left_3255 = gc_frame_newslot(call3260);
  params[0] = call3257;
  partcv[0] = 1;
  Object sum3261 = callmethod(call3260, "+(1)", 1, partcv, params);
// compiled op node returning sum3261 (depth = 6)
  gc_frame_newslot(sum3261);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1025
  setline(1025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit3252;
  params[1] = call3254;
  params[2] = sum3261;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3262 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3251);
// compiled call node returning call3262 (depth = 5)
    gc_frame_newslot(call3262);
    if3235 = call3262;
  } else {
  }
// compiled if node returning if3235 (depth = 4)
// Begin line 1028
  setline(1028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3263 = gc_frame_new();
// call case 4: self request
  Object call3264 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3263);
// compiled member node returning call3264 (depth = 4)
    gc_frame_newslot(call3264);
    if3190 = call3264;
  } else {
// Begin line 1030
  setline(1030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3266 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe3267 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block3268 = alloc_Block(NULL, NULL, "parser", 1030);
  gc_frame_newslot(block3268);
// method "_apply"
  block_savedest(block3268);
  Object closure3269 = createclosure(1, "_apply");
  setclosureframe(closure3269, stackframe);
  addtoclosure(closure3269, selfslot);
  struct UserObject *uo3269 = (struct UserObject*)block3268;
  uo3269->data[0] = (Object)closure3269;
  Method *meth_meth_parser__apply3269 = addmethod2pos(block3268, "_apply", &meth_parser__apply3269, 0);
  int argcv_meth_parser__apply3269[] = {0};
  meth_meth_parser__apply3269->type = alloc_MethodType(1, argcv_meth_parser__apply3269);
  meth_meth_parser__apply3269->definitionModule = modulename;
  meth_meth_parser__apply3269->definitionLine = 3404;
// compiled block node returning block3268 (depth = 7)
  gc_frame_newslot(block3268);
// call case 4: self request
  params[0] = block3268;
  partcv[0] = 1;
  Object call3273 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3267);
// compiled call node returning call3273 (depth = 6)
  Object call3274 = callmethodflags(call3273, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3266);
// compiled member node returning call3274 (depth = 5)
  Object if3265 = done;
  if (istrue(call3274)) {
// Begin line 1031
  setline(1031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array3275 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3275 (depth = 6)
  *var_suggestions = array3275;
  if (array3275 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1032
  setline(1032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3276 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3277 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call3278 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3277);
// compiled member node returning call3278 (depth = 7)
  Object call3279 = callmethodflags(call3278, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3276);
// compiled member node returning call3279 (depth = 6)
  *var_suggestion = call3279;
  if (call3279 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1033
  setline(1033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3280 = gc_frame_new();
// starting to compile array node (depth = 7)
  Object array3281 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 8)
  if (strlit3282 == NULL) {
    strlit3282 = alloc_String("rparen");
    gc_root(strlit3282);
  }
// compiled string node returning strlit3282 (depth = 8)
  params[0] = strlit3282;
  partcv[0] = 1;
  callmethodflags(array3281, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array3281 (depth = 7)
  gc_frame_newslot(array3281);
// call case 4: self request
  params[0] = array3281;
  partcv[0] = 1;
  Object call3283 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3280);
// compiled call node returning call3283 (depth = 6)
  *var_nextTok = call3283;
  if (call3283 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1034
  setline(1034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_3285 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_3285 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3287 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult3287 (depth = 6)
  Object if3284 = done;
  if (istrue(opresult3287)) {
// Begin line 1035
  setline(1035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3288 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3289 == NULL) {
    strlit3289 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3289);
  }
// compiled string node returning strlit3289 (depth = 7)
  gc_frame_newslot(strlit3289);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3289;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3290 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3288);
// compiled call node returning call3290 (depth = 6)
    gc_frame_newslot(call3290);
    if3284 = call3290;
  } else {
// Begin line 1037
  setline(1037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3291 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe3292 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call3293 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe3292);
// compiled member node returning call3293 (depth = 7)
  gc_frame_newslot(call3293);
// starting to compile identifier node (depth = 7)
  Object bool3294 = alloc_Boolean(1);
// compiled identifier node returning bool3294 (depth = 7)
  gc_frame_newslot(bool3294);
// starting to compile identifier node (depth = 7)
  Object bool3295 = alloc_Boolean(0);
// compiled identifier node returning bool3295 (depth = 7)
  gc_frame_newslot(bool3295);
// starting to compile string node (depth = 7)
  if (strlit3296 == NULL) {
    strlit3296 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3296);
  }
// compiled string node returning strlit3296 (depth = 7)
  gc_frame_newslot(strlit3296);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call3293;
  params[2] = bool3294;
  params[3] = bool3295;
  params[4] = strlit3296;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3297 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe3291);
// compiled call node returning call3297 (depth = 6)
    gc_frame_newslot(call3297);
    if3284 = call3297;
  }
// compiled if node returning if3284 (depth = 5)
// Begin line 1039
  setline(1039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3298 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3299 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3298);
// compiled call node returning call3299 (depth = 5)
// Begin line 1040
  setline(1040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3302 == NULL) {
    strlit3302 = alloc_String("bind");
    gc_root(strlit3302);
  }
// compiled string node returning strlit3302 (depth = 7)
  int op_slot_right_3301 = gc_frame_newslot(strlit3302);
// starting to compile member node (depth = 7)
  int callframe3304 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3305 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call3306 = callmethodflags(*var_lastToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe3305);
// compiled member node returning call3306 (depth = 8)
  Object call3307 = callmethodflags(call3306, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3304);
// compiled member node returning call3307 (depth = 7)
  int op_slot_left_3301 = gc_frame_newslot(call3307);
  params[0] = strlit3302;
  partcv[0] = 1;
  Object opresult3308 = callmethod(call3307, "==(1)", 1, partcv, params);
// compiled op node returning opresult3308 (depth = 6)
  Object if3300 = done;
  if (istrue(opresult3308)) {
// Begin line 1041
  setline(1041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3309 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3310 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call3311 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3310);
// compiled member node returning call3311 (depth = 8)
  Object call3312 = callmethodflags(call3311, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3309);
// compiled member node returning call3312 (depth = 7)
  *var_suggestion = call3312;
  if (call3312 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1042
  setline(1042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3314 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 7)
  int callframe3315 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call3316 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe3315);
// compiled member node returning call3316 (depth = 7)
  gc_frame_newslot(call3316);
// starting to compile identifier node (depth = 7)
  Object bool3317 = alloc_Boolean(1);
// compiled identifier node returning bool3317 (depth = 7)
  gc_frame_newslot(bool3317);
// starting to compile identifier node (depth = 7)
  Object bool3318 = alloc_Boolean(0);
// compiled identifier node returning bool3318 (depth = 7)
  gc_frame_newslot(bool3318);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = call3316;
  params[2] = bool3317;
  params[3] = bool3318;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3319 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3314);
// compiled call node returning call3319 (depth = 6)
// Begin line 1043
  setline(1043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3320 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe3321 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call3322 = callmethodflags(*var_lastToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe3321);
// compiled member node returning call3322 (depth = 7)
  gc_frame_newslot(call3322);
// starting to compile identifier node (depth = 7)
  Object bool3323 = alloc_Boolean(1);
// compiled identifier node returning bool3323 (depth = 7)
  gc_frame_newslot(bool3323);
// starting to compile identifier node (depth = 7)
  Object bool3324 = alloc_Boolean(0);
// compiled identifier node returning bool3324 (depth = 7)
  gc_frame_newslot(bool3324);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = call3322;
  params[1] = bool3323;
  params[2] = bool3324;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3325 = callmethodflags(*var_suggestion, "deleteToken(1)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3320);
// compiled call node returning call3325 (depth = 6)
// Begin line 1044
  setline(1044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3326 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3327 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3326);
// compiled call node returning call3327 (depth = 6)
    gc_frame_newslot(call3327);
    if3300 = call3327;
  } else {
  }
// compiled if node returning if3300 (depth = 5)
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3328 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3329 == NULL) {
    strlit3329 = alloc_String("a prefix operator must be followed by an expression.");
    gc_root(strlit3329);
  }
// compiled string node returning strlit3329 (depth = 6)
  gc_frame_newslot(strlit3329);
// Begin line 1047
  setline(1047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3330 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call3331 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3330);
// compiled member node returning call3331 (depth = 6)
  gc_frame_newslot(call3331);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3333 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call3334 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3333);
// compiled member node returning call3334 (depth = 7)
  int op_slot_right_3332 = gc_frame_newslot(call3334);
// starting to compile member node (depth = 7)
  int callframe3336 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call3337 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3336);
// compiled member node returning call3337 (depth = 7)
  int op_slot_left_3332 = gc_frame_newslot(call3337);
  params[0] = call3334;
  partcv[0] = 1;
  Object sum3338 = callmethod(call3337, "+(1)", 1, partcv, params);
// compiled op node returning sum3338 (depth = 6)
  gc_frame_newslot(sum3338);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1046
  setline(1046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit3329;
  params[1] = call3331;
  params[2] = sum3338;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3339 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3328);
// compiled call node returning call3339 (depth = 5)
    gc_frame_newslot(call3339);
    if3265 = call3339;
  } else {
  }
// compiled if node returning if3265 (depth = 4)
    gc_frame_newslot(if3265);
    if3190 = if3265;
  }
// compiled if node returning if3190 (depth = 3)
// Begin line 1050
  setline(1050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3340 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blocksOK (depth = 4)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3341 = callmethodflags(self, "dotrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3340);
// compiled call node returning call3341 (depth = 3)
// Begin line 1051
  setline(1051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3342 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blocksOK (depth = 4)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3343 = callmethodflags(self, "callrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3342);
// compiled call node returning call3343 (depth = 3)
// Begin line 1052
  setline(1052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3344 = gc_frame_new();
// call case 4: self request
  Object call3345 = callmethodflags(self, "postfixsquare", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3344);
// compiled member node returning call3345 (depth = 3)
// Begin line 1053
  setline(1053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3346 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call3347 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe3346);
// compiled member node returning call3347 (depth = 4)
  *var_rcvr = call3347;
  if (call3347 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3348 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_rcvr (depth = 5)
  gc_frame_newslot(*var_rcvr);
// Begin line 1055
  setline(1055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile array node (depth = 5)
  Object array3349 = alloc_BuiltinList();
  gc_pause();
// starting to compile call node (depth = 6)
  int callframe3350 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_op (depth = 8)
  int op_slot_right_3351 = gc_frame_newslot(*var_op);
// starting to compile string node (depth = 8)
  if (strlit3353 == NULL) {
    strlit3353 = alloc_String("prefix");
    gc_root(strlit3353);
  }
// compiled string node returning strlit3353 (depth = 8)
  int op_slot_left_3351 = gc_frame_newslot(strlit3353);
  params[0] = *var_op;
  partcv[0] = 1;
  Object opresult3354 = callmethod(strlit3353, "++(1)", 1, partcv, params);
// compiled op node returning opresult3354 (depth = 7)
  gc_frame_newslot(opresult3354);
// starting to compile array node (depth = 7)
  Object array3355 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3355 (depth = 7)
  gc_frame_newslot(array3355);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe3356 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  Object call3357 = callmethodflags(*var_ast, "requestPart", 0, partcv, params, 0);
  gc_frame_end(callframe3356);
// compiled member node returning call3357 (depth = 7)
  params[0] = opresult3354;
  params[1] = array3355;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3358 = callmethodflags(call3357, "request(1)withArgs(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3350);
// compiled call node returning call3358 (depth = 6)
  params[0] = call3358;
  partcv[0] = 1;
  callmethodflags(array3349, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array3349 (depth = 5)
  gc_frame_newslot(array3349);
// call case 6: other requests
// Begin line 1054
  setline(1054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3359 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call3360 = callmethodflags(*var_ast, "callNode", 0, partcv, params, 0);
  gc_frame_end(callframe3359);
// compiled member node returning call3360 (depth = 5)
  params[0] = *var_rcvr;
  params[1] = array3349;
  partcv[0] = 2;
  Object call3361 = callmethodflags(call3360, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3348);
// compiled call node returning call3361 (depth = 4)
  *var_call = call3361;
  if (call3361 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1056
  setline(1056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3362 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_call (depth = 4)
  gc_frame_newslot(*var_call);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_call;
  partcv[0] = 1;
  Object call3363 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3362);
// compiled call node returning call3363 (depth = 3)
    gc_frame_newslot(call3363);
    if3182 = call3363;
  } else {
  }
// compiled if node returning if3182 (depth = 2)
  gc_frame_end(frame);
  return if3182;
}
Object meth_parser__apply3376(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe3377 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3378 == NULL) {
    strlit3378 = alloc_String("identifier");
    gc_root(strlit3378);
  }
// compiled string node returning strlit3378 (depth = 6)
  gc_frame_newslot(strlit3378);
// call case 4: self request
  params[0] = strlit3378;
  partcv[0] = 1;
  Object call3379 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3377);
// compiled call node returning call3379 (depth = 5)
  gc_frame_end(frame);
  return call3379;
}
Object meth_parser__apply3387(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe3388 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3389 == NULL) {
    strlit3389 = alloc_String("dot");
    gc_root(strlit3389);
  }
// compiled string node returning strlit3389 (depth = 8)
  gc_frame_newslot(strlit3389);
// call case 4: self request
  params[0] = strlit3389;
  partcv[0] = 1;
  Object call3390 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3388);
// compiled call node returning call3390 (depth = 7)
  gc_frame_end(frame);
  return call3390;
}
Object meth_parser__apply3393(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_memberIn = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "memberIn");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_memberName = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "memberName");
  Object *var_memberNd = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "memberNd");
// Begin line 1069
  setline(1069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe3394 = gc_frame_new();
// call case 4: self request
  Object call3395 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3394);
// compiled member node returning call3395 (depth = 7)
// Begin line 1070
  setline(1070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3396 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call3397 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe3396);
// compiled member node returning call3397 (depth = 8)
  *var_memberIn = call3397;
  if (call3397 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1071
  setline(1071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3400 == NULL) {
    strlit3400 = alloc_String("identifier");
    gc_root(strlit3400);
  }
// compiled string node returning strlit3400 (depth = 9)
  int op_slot_right_3399 = gc_frame_newslot(strlit3400);
// starting to compile member node (depth = 9)
  int callframe3402 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call3403 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3402);
// compiled member node returning call3403 (depth = 9)
  int op_slot_left_3399 = gc_frame_newslot(call3403);
  params[0] = strlit3400;
  partcv[0] = 1;
  Object opresult3404 = callmethod(call3403, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3404 (depth = 8)
  Object if3398 = done;
  if (istrue(opresult3404)) {
// Begin line 1072
  setline(1072);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile array node (depth = 9)
  Object array3405 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3405 (depth = 9)
  *var_suggestions = array3405;
  if (array3405 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 1073
  setline(1073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3406 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3407 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call3408 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3407);
// compiled member node returning call3408 (depth = 10)
  Object call3409 = callmethodflags(call3408, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3406);
// compiled member node returning call3409 (depth = 9)
  *var_suggestion = call3409;
  if (call3409 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 1074
  setline(1074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3410 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3411 == NULL) {
    strlit3411 = alloc_String("""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit3411);
  }
// compiled string node returning strlit3411 (depth = 9)
  gc_frame_newslot(strlit3411);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3411;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3412 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3410);
// compiled call node returning call3412 (depth = 8)
// Begin line 1075
  setline(1075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3413 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3414 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3413);
// compiled call node returning call3414 (depth = 8)
// Begin line 1076
  setline(1076);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3415 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3416 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call3417 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3416);
// compiled member node returning call3417 (depth = 10)
  Object call3418 = callmethodflags(call3417, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3415);
// compiled member node returning call3418 (depth = 9)
  *var_suggestion = call3418;
  if (call3418 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1077
  setline(1077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3420 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3421 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3420);
// compiled call node returning call3421 (depth = 8)
// Begin line 1078
  setline(1078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3422 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3423 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3422);
// compiled call node returning call3423 (depth = 8)
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3424 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3425 == NULL) {
    strlit3425 = alloc_String("a type name must follow the '.'.");
    gc_root(strlit3425);
  }
// compiled string node returning strlit3425 (depth = 9)
  gc_frame_newslot(strlit3425);
// Begin line 1080
  setline(1080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe3426 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call3427 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3426);
// compiled member node returning call3427 (depth = 9)
  gc_frame_newslot(call3427);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num3429 = alloc_Float64(1);
// compiled num node returning num3429 (depth = 10)
  int op_slot_right_3428 = gc_frame_newslot(num3429);
// starting to compile member node (depth = 10)
  int callframe3431 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  Object call3432 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3431);
// compiled member node returning call3432 (depth = 10)
  int op_slot_left_3428 = gc_frame_newslot(call3432);
  params[0] = num3429;
  partcv[0] = 1;
  Object sum3433 = callmethod(call3432, "+(1)", 1, partcv, params);
// compiled op node returning sum3433 (depth = 9)
  gc_frame_newslot(sum3433);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1079
  setline(1079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit3425;
  params[1] = call3427;
  params[2] = sum3433;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3434 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3424);
// compiled call node returning call3434 (depth = 8)
    gc_frame_newslot(call3434);
    if3398 = call3434;
  } else {
  }
// compiled if node returning if3398 (depth = 7)
// Begin line 1082
  setline(1082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe3435 = gc_frame_new();
// call case 4: self request
  Object call3436 = callmethodflags(self, "identifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3435);
// compiled member node returning call3436 (depth = 7)
// Begin line 1083
  setline(1083);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3437 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call3438 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe3437);
// compiled member node returning call3438 (depth = 8)
  *var_memberName = call3438;
  if (call3438 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1084
  setline(1084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3439 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe3440 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_memberName (depth = 10)
  Object call3441 = callmethodflags(*var_memberName, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3440);
// compiled member node returning call3441 (depth = 9)
  gc_frame_newslot(call3441);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_memberIn (depth = 9)
  gc_frame_newslot(*var_memberIn);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3442 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_ast (depth = 10)
  Object call3443 = callmethodflags(*var_ast, "memberNode", 0, partcv, params, 0);
  gc_frame_end(callframe3442);
// compiled member node returning call3443 (depth = 9)
  params[0] = call3441;
  params[1] = *var_memberIn;
  partcv[0] = 2;
  Object call3444 = callmethodflags(call3443, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3439);
// compiled call node returning call3444 (depth = 8)
  *var_memberNd = call3444;
  if (call3444 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1085
  setline(1085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3445 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe3446 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_memberName (depth = 9)
  Object call3447 = callmethodflags(*var_memberName, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3446);
// compiled member node returning call3447 (depth = 8)
  gc_frame_newslot(call3447);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_memberNd (depth = 8)
  params[0] = call3447;
  partcv[0] = 1;
  Object call3448 = callmethodflags(*var_memberNd, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3445);
// compiled call node returning call3448 (depth = 7)
// Begin line 1086
  setline(1086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3449 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe3450 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_memberName (depth = 9)
  Object call3451 = callmethodflags(*var_memberName, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3450);
// compiled member node returning call3451 (depth = 8)
  gc_frame_newslot(call3451);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_memberNd (depth = 8)
  params[0] = call3451;
  partcv[0] = 1;
  Object call3452 = callmethodflags(*var_memberNd, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3449);
// compiled call node returning call3452 (depth = 7)
// Begin line 1087
  setline(1087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3453 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_memberNd (depth = 8)
  gc_frame_newslot(*var_memberNd);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  params[0] = *var_memberNd;
  partcv[0] = 1;
  Object call3454 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3453);
// compiled call node returning call3454 (depth = 7)
  gc_frame_end(frame);
  return call3454;
}
Object meth_parser__apply3382(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  Object *var_gens = getfromclosure(closure, 5);
  Object *var_startToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1067
  setline(1067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3383 = gc_frame_new();
// call case 4: self request
  Object call3384 = callmethodflags(self, "identifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3383);
// compiled member node returning call3384 (depth = 5)
// Begin line 1068
  setline(1068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3385 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3386 = alloc_Block(NULL, NULL, "parser", 1068);
  gc_frame_newslot(block3386);
// method "_apply"
  block_savedest(block3386);
  Object closure3387 = createclosure(1, "_apply");
  setclosureframe(closure3387, stackframe);
  addtoclosure(closure3387, selfslot);
  struct UserObject *uo3387 = (struct UserObject*)block3386;
  uo3387->data[0] = (Object)closure3387;
  Method *meth_meth_parser__apply3387 = addmethod2pos(block3386, "_apply", &meth_parser__apply3387, 0);
  int argcv_meth_parser__apply3387[] = {0};
  meth_meth_parser__apply3387->type = alloc_MethodType(1, argcv_meth_parser__apply3387);
  meth_meth_parser__apply3387->definitionModule = modulename;
  meth_meth_parser__apply3387->definitionLine = 3404;
// compiled block node returning block3386 (depth = 6)
  gc_frame_newslot(block3386);
// starting to compile block node (depth = 6)
  Object block3392 = alloc_Block(NULL, NULL, "parser", 1068);
  gc_frame_newslot(block3392);
// method "_apply"
  block_savedest(block3392);
  Object closure3393 = createclosure(6, "_apply");
  setclosureframe(closure3393, stackframe);
  addtoclosure(closure3393, var_values);
  addtoclosure(closure3393, var_sym);
  addtoclosure(closure3393, var_errormessages);
  addtoclosure(closure3393, var_lastToken);
  addtoclosure(closure3393, var_ast);
  addtoclosure(closure3393, selfslot);
  struct UserObject *uo3393 = (struct UserObject*)block3392;
  uo3393->data[0] = (Object)closure3393;
  Method *meth_meth_parser__apply3393 = addmethod2pos(block3392, "_apply", &meth_parser__apply3393, 0);
  int argcv_meth_parser__apply3393[] = {0};
  meth_meth_parser__apply3393->type = alloc_MethodType(1, argcv_meth_parser__apply3393);
  meth_meth_parser__apply3393->definitionModule = modulename;
  meth_meth_parser__apply3393->definitionLine = 3404;
// compiled block node returning block3392 (depth = 6)
  gc_frame_newslot(block3392);
// call case 5: prelude request
  params[0] = block3386;
  params[1] = block3392;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3456 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3385);
// compiled call node returning call3456 (depth = 5)
// Begin line 1089
  setline(1089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3457 = gc_frame_new();
// call case 4: self request
  Object call3458 = callmethodflags(self, "generic", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3457);
// compiled member node returning call3458 (depth = 5)
// Begin line 1090
  setline(1090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3459 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe3460 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call3461 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe3460);
// compiled member node returning call3461 (depth = 6)
  gc_frame_newslot(call3461);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_gens (depth = 6)
  params[0] = call3461;
  partcv[0] = 1;
  Object call3462 = callmethodflags(*var_gens, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3459);
// compiled call node returning call3462 (depth = 5)
// Begin line 1091
  setline(1091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe3464 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3465 == NULL) {
    strlit3465 = alloc_String("comma");
    gc_root(strlit3465);
  }
// compiled string node returning strlit3465 (depth = 7)
  gc_frame_newslot(strlit3465);
// call case 4: self request
  params[0] = strlit3465;
  partcv[0] = 1;
  Object call3466 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3464);
// compiled call node returning call3466 (depth = 6)
  Object if3463 = done;
  if (istrue(call3466)) {
// Begin line 1092
  setline(1092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3467 = gc_frame_new();
// call case 4: self request
  Object call3468 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3467);
// compiled member node returning call3468 (depth = 6)
    gc_frame_newslot(call3468);
    if3463 = call3468;
  } else {
// Begin line 1094
  setline(1094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3471 == NULL) {
    strlit3471 = alloc_String("rgeneric");
    gc_root(strlit3471);
  }
// compiled string node returning strlit3471 (depth = 8)
  int op_slot_right_3470 = gc_frame_newslot(strlit3471);
// starting to compile member node (depth = 8)
  int callframe3473 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call3474 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3473);
// compiled member node returning call3474 (depth = 8)
  int op_slot_left_3470 = gc_frame_newslot(call3474);
  params[0] = strlit3471;
  partcv[0] = 1;
  Object opresult3475 = callmethod(call3474, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3475 (depth = 7)
  Object if3469 = done;
  if (istrue(opresult3475)) {
// Begin line 1095
  setline(1095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3476 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3477 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call3478 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3477);
// compiled member node returning call3478 (depth = 9)
  Object call3479 = callmethodflags(call3478, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3476);
// compiled member node returning call3479 (depth = 8)
  *var_suggestion = call3479;
  if (call3479 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1096
  setline(1096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3480 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3481 == NULL) {
    strlit3481 = alloc_String(">");
    gc_root(strlit3481);
  }
// compiled string node returning strlit3481 (depth = 8)
  gc_frame_newslot(strlit3481);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3481;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3482 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3480);
// compiled call node returning call3482 (depth = 7)
// Begin line 1097
  setline(1097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3483 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3484 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call3485 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3484);
// compiled member node returning call3485 (depth = 9)
  Object call3486 = callmethodflags(call3485, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3483);
// compiled member node returning call3486 (depth = 8)
  *var_suggestion2 = call3486;
  if (call3486 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1098
  setline(1098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3487 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3488 == NULL) {
    strlit3488 = alloc_String(" ");
    gc_root(strlit3488);
  }
// compiled string node returning strlit3488 (depth = 8)
  gc_frame_newslot(strlit3488);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_startToken (depth = 8)
  gc_frame_newslot(*var_startToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion2 (depth = 8)
  params[0] = strlit3488;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3489 = callmethodflags(*var_suggestion2, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3487);
// compiled call node returning call3489 (depth = 7)
// Begin line 1099
  setline(1099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile array node (depth = 8)
  Object array3490 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethodflags(array3490, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion2 (depth = 9)
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethodflags(array3490, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array3490 (depth = 8)
  *var_suggestions = array3490;
  if (array3490 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3491 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3492 == NULL) {
    strlit3492 = alloc_String("a type containing a '<' must end with a '>', or the '<' operator must have a space before it.");
    gc_root(strlit3492);
  }
// compiled string node returning strlit3492 (depth = 8)
  gc_frame_newslot(strlit3492);
// Begin line 1101
  setline(1101);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe3493 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call3494 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3493);
// compiled member node returning call3494 (depth = 8)
  gc_frame_newslot(call3494);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3496 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call3497 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3496);
// compiled member node returning call3497 (depth = 9)
  int op_slot_right_3495 = gc_frame_newslot(call3497);
// starting to compile member node (depth = 9)
  int callframe3499 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call3500 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3499);
// compiled member node returning call3500 (depth = 9)
  int op_slot_left_3495 = gc_frame_newslot(call3500);
  params[0] = call3497;
  partcv[0] = 1;
  Object sum3501 = callmethod(call3500, "+(1)", 1, partcv, params);
// compiled op node returning sum3501 (depth = 8)
  gc_frame_newslot(sum3501);
// Begin line 1102
  setline(1102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1100
  setline(1100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit3492;
  params[1] = call3494;
  params[2] = sum3501;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3502 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3491);
// compiled call node returning call3502 (depth = 7)
    gc_frame_newslot(call3502);
    if3469 = call3502;
  } else {
  }
// compiled if node returning if3469 (depth = 6)
    gc_frame_newslot(if3469);
    if3463 = if3469;
  }
// compiled if node returning if3463 (depth = 5)
  gc_frame_end(frame);
  return if3463;
}
Object meth_parser_generic3364(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 32, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "generic");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_ast = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_id = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "id");
  Object *var_gens = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "gens");
  Object *var_startToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startToken");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestions");
// Begin line 1061
  setline(1061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3366 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3367 == NULL) {
    strlit3367 = alloc_String("lgeneric");
    gc_root(strlit3367);
  }
// compiled string node returning strlit3367 (depth = 4)
  gc_frame_newslot(strlit3367);
// call case 4: self request
  params[0] = strlit3367;
  partcv[0] = 1;
  Object call3368 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3366);
// compiled call node returning call3368 (depth = 3)
  Object if3365 = done;
  if (istrue(call3368)) {
// Begin line 1062
  setline(1062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3369 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call3370 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe3369);
// compiled member node returning call3370 (depth = 4)
  *var_id = call3370;
  if (call3370 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1063
  setline(1063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array3371 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3371 (depth = 4)
  *var_gens = array3371;
  if (array3371 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1064
  setline(1064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1065
  setline(1065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3372 = gc_frame_new();
// call case 4: self request
  Object call3373 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3372);
// compiled member node returning call3373 (depth = 3)
// Begin line 1066
  setline(1066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3374 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block3375 = alloc_Block(NULL, NULL, "parser", 1066);
  gc_frame_newslot(block3375);
// method "_apply"
  block_savedest(block3375);
  Object closure3376 = createclosure(1, "_apply");
  setclosureframe(closure3376, stackframe);
  addtoclosure(closure3376, selfslot);
  struct UserObject *uo3376 = (struct UserObject*)block3375;
  uo3376->data[0] = (Object)closure3376;
  Method *meth_meth_parser__apply3376 = addmethod2pos(block3375, "_apply", &meth_parser__apply3376, 0);
  int argcv_meth_parser__apply3376[] = {0};
  meth_meth_parser__apply3376->type = alloc_MethodType(1, argcv_meth_parser__apply3376);
  meth_meth_parser__apply3376->definitionModule = modulename;
  meth_meth_parser__apply3376->definitionLine = 3404;
// compiled block node returning block3375 (depth = 4)
  gc_frame_newslot(block3375);
// starting to compile block node (depth = 4)
  Object block3381 = alloc_Block(NULL, NULL, "parser", 1066);
  gc_frame_newslot(block3381);
// method "_apply"
  block_savedest(block3381);
  Object closure3382 = createclosure(8, "_apply");
  setclosureframe(closure3382, stackframe);
  addtoclosure(closure3382, var_values);
  addtoclosure(closure3382, var_sym);
  addtoclosure(closure3382, var_errormessages);
  addtoclosure(closure3382, var_lastToken);
  addtoclosure(closure3382, var_ast);
  addtoclosure(closure3382, var_gens);
  addtoclosure(closure3382, var_startToken);
  addtoclosure(closure3382, selfslot);
  struct UserObject *uo3382 = (struct UserObject*)block3381;
  uo3382->data[0] = (Object)closure3382;
  Method *meth_meth_parser__apply3382 = addmethod2pos(block3381, "_apply", &meth_parser__apply3382, 0);
  int argcv_meth_parser__apply3382[] = {0};
  meth_meth_parser__apply3382->type = alloc_MethodType(1, argcv_meth_parser__apply3382);
  meth_meth_parser__apply3382->definitionModule = modulename;
  meth_meth_parser__apply3382->definitionLine = 3404;
// compiled block node returning block3381 (depth = 4)
  gc_frame_newslot(block3381);
// call case 5: prelude request
  params[0] = block3375;
  params[1] = block3381;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3504 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3374);
// compiled call node returning call3504 (depth = 3)
// Begin line 1106
  setline(1106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3507 == NULL) {
    strlit3507 = alloc_String("rgeneric");
    gc_root(strlit3507);
  }
// compiled string node returning strlit3507 (depth = 5)
  int op_slot_right_3506 = gc_frame_newslot(strlit3507);
// starting to compile member node (depth = 5)
  int callframe3509 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3510 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3509);
// compiled member node returning call3510 (depth = 5)
  int op_slot_left_3506 = gc_frame_newslot(call3510);
  params[0] = strlit3507;
  partcv[0] = 1;
  Object opresult3511 = callmethod(call3510, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3511 (depth = 4)
  Object if3505 = done;
  if (istrue(opresult3511)) {
// Begin line 1107
  setline(1107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3512 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3513 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3514 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3513);
// compiled member node returning call3514 (depth = 6)
  Object call3515 = callmethodflags(call3514, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3512);
// compiled member node returning call3515 (depth = 5)
  *var_suggestion = call3515;
  if (call3515 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1108
  setline(1108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3516 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3517 == NULL) {
    strlit3517 = alloc_String(">");
    gc_root(strlit3517);
  }
// compiled string node returning strlit3517 (depth = 5)
  gc_frame_newslot(strlit3517);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit3517;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3518 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3516);
// compiled call node returning call3518 (depth = 4)
// Begin line 1109
  setline(1109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3519 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3520 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3521 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3520);
// compiled member node returning call3521 (depth = 6)
  Object call3522 = callmethodflags(call3521, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3519);
// compiled member node returning call3522 (depth = 5)
  *var_suggestion2 = call3522;
  if (call3522 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1110
  setline(1110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3523 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3524 == NULL) {
    strlit3524 = alloc_String(" ");
    gc_root(strlit3524);
  }
// compiled string node returning strlit3524 (depth = 5)
  gc_frame_newslot(strlit3524);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_startToken (depth = 5)
  gc_frame_newslot(*var_startToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion2 (depth = 5)
  params[0] = strlit3524;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3525 = callmethodflags(*var_suggestion2, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3523);
// compiled call node returning call3525 (depth = 4)
// Begin line 1111
  setline(1111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array3526 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethodflags(array3526, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion2 (depth = 6)
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethodflags(array3526, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array3526 (depth = 5)
  *var_suggestions = array3526;
  if (array3526 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3527 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3528 == NULL) {
    strlit3528 = alloc_String("a type containing a '<' must end with a '>', or the '<' operator must have a space before it.");
    gc_root(strlit3528);
  }
// compiled string node returning strlit3528 (depth = 5)
  gc_frame_newslot(strlit3528);
// Begin line 1113
  setline(1113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3529 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call3530 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3529);
// compiled member node returning call3530 (depth = 5)
  gc_frame_newslot(call3530);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3532 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call3533 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3532);
// compiled member node returning call3533 (depth = 6)
  int op_slot_right_3531 = gc_frame_newslot(call3533);
// starting to compile member node (depth = 6)
  int callframe3535 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call3536 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3535);
// compiled member node returning call3536 (depth = 6)
  int op_slot_left_3531 = gc_frame_newslot(call3536);
  params[0] = call3533;
  partcv[0] = 1;
  Object sum3537 = callmethod(call3536, "+(1)", 1, partcv, params);
// compiled op node returning sum3537 (depth = 5)
  gc_frame_newslot(sum3537);
// Begin line 1114
  setline(1114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1112
  setline(1112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3528;
  params[1] = call3530;
  params[2] = sum3537;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3538 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3527);
// compiled call node returning call3538 (depth = 4)
    gc_frame_newslot(call3538);
    if3505 = call3538;
  } else {
  }
// compiled if node returning if3505 (depth = 3)
// Begin line 1116
  setline(1116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3539 = gc_frame_new();
// call case 4: self request
  Object call3540 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3539);
// compiled member node returning call3540 (depth = 3)
// Begin line 1117
  setline(1117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3541 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe3542 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_id (depth = 5)
  gc_frame_newslot(*var_id);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_gens (depth = 5)
  gc_frame_newslot(*var_gens);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3543 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call3544 = callmethodflags(*var_ast, "genericNode", 0, partcv, params, 0);
  gc_frame_end(callframe3543);
// compiled member node returning call3544 (depth = 5)
  params[0] = *var_id;
  params[1] = *var_gens;
  partcv[0] = 2;
  Object call3545 = callmethodflags(call3544, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe3542);
// compiled call node returning call3545 (depth = 4)
  gc_frame_newslot(call3545);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = call3545;
  partcv[0] = 1;
  Object call3546 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3541);
// compiled call node returning call3546 (depth = 3)
    gc_frame_newslot(call3546);
    if3365 = call3546;
  } else {
  }
// compiled if node returning if3365 (depth = 2)
  gc_frame_end(frame);
  return if3365;
}
Object meth_parser__apply_40_1_41_3585(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_catchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// Begin line 1135
  setline(1135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3589 == NULL) {
    strlit3589 = alloc_String("catch");
    gc_root(strlit3589);
  }
// compiled string node returning strlit3589 (depth = 10)
  int op_slot_right_3588 = gc_frame_newslot(strlit3589);
// starting to compile member node (depth = 10)
  int callframe3591 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  Object call3592 = callmethodflags(*var_t, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3591);
// compiled member node returning call3592 (depth = 10)
  int op_slot_left_3588 = gc_frame_newslot(call3592);
  params[0] = strlit3589;
  partcv[0] = 1;
  Object opresult3593 = callmethod(call3592, "==(1)", 1, partcv, params);
// compiled op node returning opresult3593 (depth = 9)
  int op_slot_right_3587 = gc_frame_newslot(opresult3593);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3596 == NULL) {
    strlit3596 = alloc_String("identifier");
    gc_root(strlit3596);
  }
// compiled string node returning strlit3596 (depth = 10)
  int op_slot_right_3595 = gc_frame_newslot(strlit3596);
// starting to compile member node (depth = 10)
  int callframe3598 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  Object call3599 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3598);
// compiled member node returning call3599 (depth = 10)
  int op_slot_left_3595 = gc_frame_newslot(call3599);
  params[0] = strlit3596;
  partcv[0] = 1;
  Object opresult3600 = callmethod(call3599, "==(1)", 1, partcv, params);
// compiled op node returning opresult3600 (depth = 9)
  int op_slot_left_3587 = gc_frame_newslot(opresult3600);
  params[0] = opresult3593;
  partcv[0] = 1;
  Object opresult3601 = callmethod(opresult3600, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3601 (depth = 8)
  int op_slot_right_3586 = gc_frame_newslot(opresult3601);
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 1134
  setline(1134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe3606 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_catchTok (depth = 12)
  Object call3607 = callmethodflags(*var_catchTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3606);
// compiled member node returning call3607 (depth = 11)
  int op_slot_right_3605 = gc_frame_newslot(call3607);
// starting to compile member node (depth = 11)
  int callframe3609 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  Object call3610 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3609);
// compiled member node returning call3610 (depth = 11)
  int op_slot_left_3605 = gc_frame_newslot(call3610);
  params[0] = call3607;
  partcv[0] = 1;
  Object opresult3611 = callmethod(call3610, "==(1)", 1, partcv, params);
// compiled op node returning opresult3611 (depth = 10)
  int op_slot_right_3604 = gc_frame_newslot(opresult3611);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit3614 == NULL) {
    strlit3614 = alloc_String("rparen");
    gc_root(strlit3614);
  }
// compiled string node returning strlit3614 (depth = 11)
  int op_slot_right_3613 = gc_frame_newslot(strlit3614);
// starting to compile member node (depth = 11)
  int callframe3616 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_t (depth = 12)
  Object call3617 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3616);
// compiled member node returning call3617 (depth = 11)
  int op_slot_left_3613 = gc_frame_newslot(call3617);
  params[0] = strlit3614;
  partcv[0] = 1;
  Object opresult3618 = callmethod(call3617, "==(1)", 1, partcv, params);
// compiled op node returning opresult3618 (depth = 10)
  int op_slot_left_3604 = gc_frame_newslot(opresult3618);
  params[0] = opresult3611;
  partcv[0] = 1;
  Object opresult3619 = callmethod(opresult3618, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3619 (depth = 9)
  int op_slot_right_3603 = gc_frame_newslot(opresult3619);
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit3622 == NULL) {
    strlit3622 = alloc_String("rbrace");
    gc_root(strlit3622);
  }
// compiled string node returning strlit3622 (depth = 10)
  int op_slot_right_3621 = gc_frame_newslot(strlit3622);
// starting to compile member node (depth = 10)
  int callframe3624 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  Object call3625 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3624);
// compiled member node returning call3625 (depth = 10)
  int op_slot_left_3621 = gc_frame_newslot(call3625);
  params[0] = strlit3622;
  partcv[0] = 1;
  Object opresult3626 = callmethod(call3625, "==(1)", 1, partcv, params);
// compiled op node returning opresult3626 (depth = 9)
  int op_slot_left_3603 = gc_frame_newslot(opresult3626);
  params[0] = opresult3619;
  partcv[0] = 1;
  Object opresult3627 = callmethod(opresult3626, "||(1)", 1, partcv, params);
// compiled op node returning opresult3627 (depth = 8)
  int op_slot_left_3586 = gc_frame_newslot(opresult3627);
  params[0] = opresult3601;
  partcv[0] = 1;
  Object opresult3628 = callmethod(opresult3627, "||(1)", 1, partcv, params);
// compiled op node returning opresult3628 (depth = 7)
  gc_frame_end(frame);
  return opresult3628;
}
Object meth_parser__apply3703(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe3704 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_blocksOK (depth = 8)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3705 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3704);
// compiled call node returning call3705 (depth = 7)
  gc_frame_end(frame);
  return call3705;
}
Object meth_parser__apply3774(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3777 == NULL) {
    strlit3777 = alloc_String("catch");
    gc_root(strlit3777);
  }
// compiled string node returning strlit3777 (depth = 6)
  int op_slot_right_3776 = gc_frame_newslot(strlit3777);
// starting to compile member node (depth = 6)
  int callframe3779 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call3780 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3779);
// compiled member node returning call3780 (depth = 6)
  int op_slot_left_3776 = gc_frame_newslot(call3780);
  params[0] = strlit3777;
  partcv[0] = 1;
  Object opresult3781 = callmethod(call3780, "==(1)", 1, partcv, params);
// compiled op node returning opresult3781 (depth = 5)
  int op_slot_right_3775 = gc_frame_newslot(opresult3781);
// starting to compile call node (depth = 5)
  int callframe3783 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3784 == NULL) {
    strlit3784 = alloc_String("identifier");
    gc_root(strlit3784);
  }
// compiled string node returning strlit3784 (depth = 6)
  gc_frame_newslot(strlit3784);
// call case 4: self request
  params[0] = strlit3784;
  partcv[0] = 1;
  Object call3785 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3783);
// compiled call node returning call3785 (depth = 5)
  int op_slot_left_3775 = gc_frame_newslot(call3785);
  params[0] = opresult3781;
  partcv[0] = 1;
  Object opresult3786 = callmethod(call3785, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3786 (depth = 4)
  gc_frame_end(frame);
  return opresult3786;
}
Object meth_parser__apply3808(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe3809 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call3810 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3809);
// compiled call node returning call3810 (depth = 10)
  gc_frame_end(frame);
  return call3810;
}
Object meth_parser__apply3789(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_cases = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1178
  setline(1178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3790 = gc_frame_new();
// call case 4: self request
  Object call3791 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3790);
// compiled member node returning call3791 (depth = 4)
// Begin line 1179
  setline(1179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3793 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3794 == NULL) {
    strlit3794 = alloc_String("lbrace");
    gc_root(strlit3794);
  }
// compiled string node returning strlit3794 (depth = 6)
  gc_frame_newslot(strlit3794);
// call case 4: self request
  params[0] = strlit3794;
  partcv[0] = 1;
  Object call3795 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3793);
// compiled call node returning call3795 (depth = 5)
  Object if3792 = done;
  if (istrue(call3795)) {
// Begin line 1180
  setline(1180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3796 = gc_frame_new();
// call case 4: self request
  Object call3797 = callmethodflags(self, "block", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3796);
// compiled member node returning call3797 (depth = 5)
    gc_frame_newslot(call3797);
    if3792 = call3797;
  } else {
// Begin line 1202
  setline(1202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1181
  setline(1181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3799 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3800 == NULL) {
    strlit3800 = alloc_String("lparen");
    gc_root(strlit3800);
  }
// compiled string node returning strlit3800 (depth = 7)
  gc_frame_newslot(strlit3800);
// call case 4: self request
  params[0] = strlit3800;
  partcv[0] = 1;
  Object call3801 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3799);
// compiled call node returning call3801 (depth = 6)
  Object if3798 = done;
  if (istrue(call3801)) {
// Begin line 1182
  setline(1182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3802 = gc_frame_new();
// call case 4: self request
  Object call3803 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3802);
// compiled member node returning call3803 (depth = 6)
// Begin line 1183
  setline(1183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3805 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe3806 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block3807 = alloc_Block(NULL, NULL, "parser", 1183);
  gc_frame_newslot(block3807);
// method "_apply"
  block_savedest(block3807);
  Object closure3808 = createclosure(2, "_apply");
  setclosureframe(closure3808, stackframe);
  addtoclosure(closure3808, var_blocksOK);
  addtoclosure(closure3808, selfslot);
  struct UserObject *uo3808 = (struct UserObject*)block3807;
  uo3808->data[0] = (Object)closure3808;
  Method *meth_meth_parser__apply3808 = addmethod2pos(block3807, "_apply", &meth_parser__apply3808, 0);
  int argcv_meth_parser__apply3808[] = {0};
  meth_meth_parser__apply3808->type = alloc_MethodType(1, argcv_meth_parser__apply3808);
  meth_meth_parser__apply3808->definitionModule = modulename;
  meth_meth_parser__apply3808->definitionLine = 3404;
// compiled block node returning block3807 (depth = 9)
  gc_frame_newslot(block3807);
// call case 4: self request
  params[0] = block3807;
  partcv[0] = 1;
  Object call3812 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3806);
// compiled call node returning call3812 (depth = 8)
  Object call3813 = callmethodflags(call3812, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3805);
// compiled member node returning call3813 (depth = 7)
  Object if3804 = done;
  if (istrue(call3813)) {
// Begin line 1184
  setline(1184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3814 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3815 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call3816 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3815);
// compiled member node returning call3816 (depth = 9)
  Object call3817 = callmethodflags(call3816, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3814);
// compiled member node returning call3817 (depth = 8)
  *var_suggestion = call3817;
  if (call3817 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1185
  setline(1185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe3818 = gc_frame_new();
// starting to compile array node (depth = 9)
  Object array3819 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 10)
  if (strlit3820 == NULL) {
    strlit3820 = alloc_String("rparen");
    gc_root(strlit3820);
  }
// compiled string node returning strlit3820 (depth = 10)
  params[0] = strlit3820;
  partcv[0] = 1;
  callmethodflags(array3819, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array3819 (depth = 9)
  gc_frame_newslot(array3819);
// call case 4: self request
  params[0] = array3819;
  partcv[0] = 1;
  Object call3821 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3818);
// compiled call node returning call3821 (depth = 8)
  *var_nextTok = call3821;
  if (call3821 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1186
  setline(1186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_3823 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_3823 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3825 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult3825 (depth = 8)
  Object if3822 = done;
  if (istrue(opresult3825)) {
// Begin line 1187
  setline(1187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3826 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3827 == NULL) {
    strlit3827 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3827);
  }
// compiled string node returning strlit3827 (depth = 9)
  gc_frame_newslot(strlit3827);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3827;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3828 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3826);
// compiled call node returning call3828 (depth = 8)
    gc_frame_newslot(call3828);
    if3822 = call3828;
  } else {
// Begin line 1189
  setline(1189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3829 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
  int callframe3830 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call3831 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe3830);
// compiled member node returning call3831 (depth = 9)
  gc_frame_newslot(call3831);
// starting to compile identifier node (depth = 9)
  Object bool3832 = alloc_Boolean(1);
// compiled identifier node returning bool3832 (depth = 9)
  gc_frame_newslot(bool3832);
// starting to compile identifier node (depth = 9)
  Object bool3833 = alloc_Boolean(0);
// compiled identifier node returning bool3833 (depth = 9)
  gc_frame_newslot(bool3833);
// starting to compile string node (depth = 9)
  if (strlit3834 == NULL) {
    strlit3834 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3834);
  }
// compiled string node returning strlit3834 (depth = 9)
  gc_frame_newslot(strlit3834);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call3831;
  params[2] = bool3832;
  params[3] = bool3833;
  params[4] = strlit3834;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3835 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe3829);
// compiled call node returning call3835 (depth = 8)
    gc_frame_newslot(call3835);
    if3822 = call3835;
  }
// compiled if node returning if3822 (depth = 7)
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3836 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3837 == NULL) {
    strlit3837 = alloc_String("a try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3837);
  }
// compiled string node returning strlit3837 (depth = 8)
  gc_frame_newslot(strlit3837);
// Begin line 1192
  setline(1192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe3838 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call3839 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3838);
// compiled member node returning call3839 (depth = 8)
  gc_frame_newslot(call3839);
// starting to compile member node (depth = 8)
  int callframe3840 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call3841 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3840);
// compiled member node returning call3841 (depth = 8)
  gc_frame_newslot(call3841);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1191
  setline(1191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit3837;
  params[1] = call3839;
  params[2] = call3841;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3842 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3836);
// compiled call node returning call3842 (depth = 7)
    gc_frame_newslot(call3842);
    if3804 = call3842;
  } else {
  }
// compiled if node returning if3804 (depth = 6)
// Begin line 1194
  setline(1194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3845 == NULL) {
    strlit3845 = alloc_String("rparen");
    gc_root(strlit3845);
  }
// compiled string node returning strlit3845 (depth = 8)
  int op_slot_right_3844 = gc_frame_newslot(strlit3845);
// starting to compile member node (depth = 8)
  int callframe3847 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call3848 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3847);
// compiled member node returning call3848 (depth = 8)
  int op_slot_left_3844 = gc_frame_newslot(call3848);
  params[0] = strlit3845;
  partcv[0] = 1;
  Object opresult3849 = callmethod(call3848, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3849 (depth = 7)
  Object if3843 = done;
  if (istrue(opresult3849)) {
// Begin line 1195
  setline(1195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe3850 = gc_frame_new();
// call case 4: self request
  Object call3851 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3850);
// compiled member node returning call3851 (depth = 7)
// Begin line 1196
  setline(1196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe3852 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe3853 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call3854 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3853);
// compiled member node returning call3854 (depth = 9)
  Object call3855 = callmethodflags(call3854, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3852);
// compiled member node returning call3855 (depth = 8)
  *var_suggestion = call3855;
  if (call3855 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1197
  setline(1197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3856 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3857 == NULL) {
    strlit3857 = alloc_String(")");
    gc_root(strlit3857);
  }
// compiled string node returning strlit3857 (depth = 8)
  gc_frame_newslot(strlit3857);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3857;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3858 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3856);
// compiled call node returning call3858 (depth = 7)
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3859 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3860 == NULL) {
    strlit3860 = alloc_String("an expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3860);
  }
// compiled string node returning strlit3860 (depth = 8)
  gc_frame_newslot(strlit3860);
// Begin line 1199
  setline(1199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe3861 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call3862 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3861);
// compiled member node returning call3862 (depth = 8)
  gc_frame_newslot(call3862);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call3865 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3864);
// compiled member node returning call3865 (depth = 9)
  int op_slot_right_3863 = gc_frame_newslot(call3865);
// starting to compile member node (depth = 9)
  int callframe3867 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call3868 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3867);
// compiled member node returning call3868 (depth = 9)
  int op_slot_left_3863 = gc_frame_newslot(call3868);
  params[0] = call3865;
  partcv[0] = 1;
  Object sum3869 = callmethod(call3868, "+(1)", 1, partcv, params);
// compiled op node returning sum3869 (depth = 8)
  gc_frame_newslot(sum3869);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1198
  setline(1198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit3860;
  params[1] = call3862;
  params[2] = sum3869;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3870 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3859);
// compiled call node returning call3870 (depth = 7)
    gc_frame_newslot(call3870);
    if3843 = call3870;
  } else {
  }
// compiled if node returning if3843 (depth = 6)
// Begin line 1201
  setline(1201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe3871 = gc_frame_new();
// call case 4: self request
  Object call3872 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3871);
// compiled member node returning call3872 (depth = 6)
    gc_frame_newslot(call3872);
    if3798 = call3872;
  } else {
// Begin line 1203
  setline(1203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile array node (depth = 7)
  Object array3873 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3873 (depth = 7)
  *var_suggestions = array3873;
  if (array3873 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1204
  setline(1204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe3874 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call3875 = callmethodflags(self, "findNextTokenIndentedAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3874);
// compiled call node returning call3875 (depth = 7)
  *var_nextTok = call3875;
  if (call3875 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1205
  setline(1205);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3876 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe3877 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call3878 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3877);
// compiled member node returning call3878 (depth = 8)
  Object call3879 = callmethodflags(call3878, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3876);
// compiled member node returning call3879 (depth = 7)
  *var_suggestion = call3879;
  if (call3879 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1206
  setline(1206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_right_3881 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 8)
  Object bool3883 = alloc_Boolean(0);
// compiled identifier node returning bool3883 (depth = 8)
  int op_slot_left_3881 = gc_frame_newslot(bool3883);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult3884 = callmethod(bool3883, "==(1)", 1, partcv, params);
// compiled op node returning opresult3884 (depth = 7)
  Object if3880 = done;
  if (istrue(opresult3884)) {
// Begin line 1207
  setline(1207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3885 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3886 == NULL) {
    strlit3886 = alloc_String(" }");
    gc_root(strlit3886);
  }
// compiled string node returning strlit3886 (depth = 8)
  gc_frame_newslot(strlit3886);
// starting to compile member node (depth = 8)
  int callframe3887 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  Object call3888 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe3887);
// compiled member node returning call3888 (depth = 8)
  gc_frame_newslot(call3888);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3886;
  params[1] = call3888;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3889 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3885);
// compiled call node returning call3889 (depth = 7)
// Begin line 1208
  setline(1208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3890 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit3891 == NULL) {
    strlit3891 = alloc_String(" {");
    gc_root(strlit3891);
  }
// compiled string node returning strlit3891 (depth = 8)
  gc_frame_newslot(strlit3891);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit3891;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3892 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3890);
// compiled call node returning call3892 (depth = 7)
// Begin line 1209
  setline(1209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe3893 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3894 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3893);
// compiled call node returning call3894 (depth = 7)
    gc_frame_newslot(call3894);
    if3880 = call3894;
  } else {
// Begin line 1216
  setline(1216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1210
  setline(1210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_3896 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_3896 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3898 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult3898 (depth = 8)
  Object if3895 = done;
  if (istrue(opresult3898)) {
// Begin line 1211
  setline(1211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3899 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3900 == NULL) {
    strlit3900 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit3900);
  }
// compiled string node returning strlit3900 (depth = 9)
  gc_frame_newslot(strlit3900);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3900;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3901 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3899);
// compiled call node returning call3901 (depth = 8)
// Begin line 1212
  setline(1212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3902 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3903 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3902);
// compiled call node returning call3903 (depth = 8)
// Begin line 1213
  setline(1213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe3904 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe3905 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call3906 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3905);
// compiled member node returning call3906 (depth = 10)
  Object call3907 = callmethodflags(call3906, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3904);
// compiled member node returning call3907 (depth = 9)
  *var_suggestion = call3907;
  if (call3907 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1214
  setline(1214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3909 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3910 == NULL) {
    strlit3910 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit3910);
  }
// compiled string node returning strlit3910 (depth = 9)
  gc_frame_newslot(strlit3910);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3910;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3911 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3909);
// compiled call node returning call3911 (depth = 8)
// Begin line 1215
  setline(1215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3912 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3913 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3912);
// compiled call node returning call3913 (depth = 8)
    gc_frame_newslot(call3913);
    if3895 = call3913;
  } else {
// Begin line 1217
  setline(1217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3914 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3915 == NULL) {
    strlit3915 = alloc_String(" }");
    gc_root(strlit3915);
  }
// compiled string node returning strlit3915 (depth = 9)
  gc_frame_newslot(strlit3915);
// starting to compile member node (depth = 9)
  int callframe3916 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call3917 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe3916);
// compiled member node returning call3917 (depth = 9)
  gc_frame_newslot(call3917);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3915;
  params[1] = call3917;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3918 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3914);
// compiled call node returning call3918 (depth = 8)
// Begin line 1218
  setline(1218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3919 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3920 == NULL) {
    strlit3920 = alloc_String(" {");
    gc_root(strlit3920);
  }
// compiled string node returning strlit3920 (depth = 9)
  gc_frame_newslot(strlit3920);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3920;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3921 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3919);
// compiled call node returning call3921 (depth = 8)
// Begin line 1219
  setline(1219);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3922 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call3923 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3922);
// compiled call node returning call3923 (depth = 8)
    gc_frame_newslot(call3923);
    if3895 = call3923;
  }
// compiled if node returning if3895 (depth = 7)
    gc_frame_newslot(if3895);
    if3880 = if3895;
  }
// compiled if node returning if3880 (depth = 6)
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3924 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3925 == NULL) {
    strlit3925 = alloc_String("a try-catch statement must have either a matching block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3925);
  }
// compiled string node returning strlit3925 (depth = 7)
  gc_frame_newslot(strlit3925);
// Begin line 1222
  setline(1222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe3926 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call3927 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3926);
// compiled member node returning call3927 (depth = 7)
  gc_frame_newslot(call3927);
// starting to compile member node (depth = 7)
  int callframe3928 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call3929 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3928);
// compiled member node returning call3929 (depth = 7)
  gc_frame_newslot(call3929);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1221
  setline(1221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit3925;
  params[1] = call3927;
  params[2] = call3929;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3930 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3924);
// compiled call node returning call3930 (depth = 6)
    gc_frame_newslot(call3930);
    if3798 = call3930;
  }
// compiled if node returning if3798 (depth = 5)
    gc_frame_newslot(if3798);
    if3792 = if3798;
  }
// compiled if node returning if3792 (depth = 4)
// Begin line 1224
  setline(1224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3931 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe3932 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call3933 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe3932);
// compiled member node returning call3933 (depth = 5)
  gc_frame_newslot(call3933);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cases (depth = 5)
  params[0] = call3933;
  partcv[0] = 1;
  Object call3934 = callmethodflags(*var_cases, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe3931);
// compiled call node returning call3934 (depth = 4)
  gc_frame_end(frame);
  return call3934;
}
Object meth_parser__apply4009(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe4010 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_blocksOK (depth = 10)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4011 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4010);
// compiled call node returning call4011 (depth = 9)
  gc_frame_end(frame);
  return call4011;
}
Object meth_parser_trycatch3547(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 33, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "trycatch");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_blocksOK = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_tokens = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_catchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "catchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_mainblock = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "mainblock");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_finally = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "finally");
  Object *var_suggestions = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestions");
// Begin line 1121
  setline(1121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3549 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit3552 == NULL) {
    strlit3552 = alloc_String("try");
    gc_root(strlit3552);
  }
// compiled string node returning strlit3552 (depth = 6)
  int op_slot_right_3551 = gc_frame_newslot(strlit3552);
// starting to compile member node (depth = 6)
  int callframe3554 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call3555 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3554);
// compiled member node returning call3555 (depth = 6)
  int op_slot_left_3551 = gc_frame_newslot(call3555);
  params[0] = strlit3552;
  partcv[0] = 1;
  Object opresult3556 = callmethod(call3555, "==(1)", 1, partcv, params);
// compiled op node returning opresult3556 (depth = 5)
  int op_slot_right_3550 = gc_frame_newslot(opresult3556);
// starting to compile call node (depth = 5)
  int callframe3558 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3559 == NULL) {
    strlit3559 = alloc_String("identifier");
    gc_root(strlit3559);
  }
// compiled string node returning strlit3559 (depth = 6)
  gc_frame_newslot(strlit3559);
// call case 4: self request
  params[0] = strlit3559;
  partcv[0] = 1;
  Object call3560 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3558);
// compiled call node returning call3560 (depth = 5)
  int op_slot_left_3550 = gc_frame_newslot(call3560);
  params[0] = opresult3556;
  partcv[0] = 1;
  Object opresult3561 = callmethod(call3560, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3561 (depth = 4)
  partcv[0] = 0;
  Object call3562 = callmethodflags(opresult3561, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe3549);
// compiled call node returning call3562 (depth = 3)
  Object if3548 = done;
  if (istrue(call3562)) {
// Begin line 1122
  setline(1122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile num node (depth = 4)
  Object num3563 = alloc_Float64(0);
// compiled num node returning num3563 (depth = 4)
  return num3563;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if3548 = undefined;
  } else {
  }
// compiled if node returning if3548 (depth = 2)
// Begin line 1124
  setline(1124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1125
  setline(1125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_catchTok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1126
  setline(1126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe3564 = gc_frame_new();
// call case 4: self request
  Object call3565 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3564);
// compiled member node returning call3565 (depth = 2)
// Begin line 1127
  setline(1127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe3567 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit3568 == NULL) {
    strlit3568 = alloc_String("lbrace");
    gc_root(strlit3568);
  }
// compiled string node returning strlit3568 (depth = 4)
  gc_frame_newslot(strlit3568);
// call case 4: self request
  params[0] = strlit3568;
  partcv[0] = 1;
  Object call3569 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3567);
// compiled call node returning call3569 (depth = 3)
  Object if3566 = done;
  if (istrue(call3569)) {
// Begin line 1128
  setline(1128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3570 = gc_frame_new();
// call case 4: self request
  Object call3571 = callmethodflags(self, "block", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3570);
// compiled member node returning call3571 (depth = 3)
    gc_frame_newslot(call3571);
    if3566 = call3571;
  } else {
// Begin line 1130
  setline(1130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3574 == NULL) {
    strlit3574 = alloc_String("lparen");
    gc_root(strlit3574);
  }
// compiled string node returning strlit3574 (depth = 5)
  int op_slot_right_3573 = gc_frame_newslot(strlit3574);
// starting to compile member node (depth = 5)
  int callframe3576 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3577 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3576);
// compiled member node returning call3577 (depth = 5)
  int op_slot_left_3573 = gc_frame_newslot(call3577);
  params[0] = strlit3574;
  partcv[0] = 1;
  Object opresult3578 = callmethod(call3577, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3578 (depth = 4)
  Object if3572 = done;
  if (istrue(opresult3578)) {
// Begin line 1131
  setline(1131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3579 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3580 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3581 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3580);
// compiled member node returning call3581 (depth = 6)
  Object call3582 = callmethodflags(call3581, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3579);
// compiled member node returning call3582 (depth = 5)
  *var_suggestion = call3582;
  if (call3582 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1133
  setline(1133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3583 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3584 = alloc_Block(NULL, NULL, "parser", 1133);
  gc_frame_newslot(block3584);
// method "_apply(_)"
  block_savedest(block3584);
  Object closure3585 = createclosure(2, "_apply(1)");
  setclosureframe(closure3585, stackframe);
  addtoclosure(closure3585, var_catchTok);
  addtoclosure(closure3585, selfslot);
  struct UserObject *uo3585 = (struct UserObject*)block3584;
  uo3585->data[0] = (Object)closure3585;
  Method *meth_meth_parser__apply_40_1_41_3585 = addmethod2pos(block3584, "_apply(1)", &meth_parser__apply_40_1_41_3585, 0);
  int argcv_meth_parser__apply_40_1_41_3585[] = {1};
  meth_meth_parser__apply_40_1_41_3585->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_3585);
  meth_meth_parser__apply_40_1_41_3585->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_3585->definitionLine = 3404;
// compiled block node returning block3584 (depth = 6)
  gc_frame_newslot(block3584);
// call case 4: self request
  params[0] = block3584;
  partcv[0] = 1;
  Object call3630 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3583);
// compiled call node returning call3630 (depth = 5)
  *var_nextTok = call3630;
  if (call3630 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1136
  setline(1136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_right_3632 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 6)
  Object bool3634 = alloc_Boolean(0);
// compiled identifier node returning bool3634 (depth = 6)
  int op_slot_left_3632 = gc_frame_newslot(bool3634);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult3635 = callmethod(bool3634, "==(1)", 1, partcv, params);
// compiled op node returning opresult3635 (depth = 5)
  Object if3631 = done;
  if (istrue(opresult3635)) {
// Begin line 1137
  setline(1137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3636 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3637 == NULL) {
    strlit3637 = alloc_String(" {}");
    gc_root(strlit3637);
  }
// compiled string node returning strlit3637 (depth = 6)
  gc_frame_newslot(strlit3637);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_catchTok (depth = 6)
  gc_frame_newslot(*var_catchTok);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit3637;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3638 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3636);
// compiled call node returning call3638 (depth = 5)
    gc_frame_newslot(call3638);
    if3631 = call3638;
  } else {
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1138
  setline(1138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit3641 == NULL) {
    strlit3641 = alloc_String("rbrace");
    gc_root(strlit3641);
  }
// compiled string node returning strlit3641 (depth = 7)
  int op_slot_right_3640 = gc_frame_newslot(strlit3641);
// starting to compile member node (depth = 7)
  int callframe3643 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call3644 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3643);
// compiled member node returning call3644 (depth = 7)
  int op_slot_left_3640 = gc_frame_newslot(call3644);
  params[0] = strlit3641;
  partcv[0] = 1;
  Object opresult3645 = callmethod(call3644, "==(1)", 1, partcv, params);
// compiled op node returning opresult3645 (depth = 6)
  Object if3639 = done;
  if (istrue(opresult3645)) {
// Begin line 1139
  setline(1139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe3646 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit3647 == NULL) {
    strlit3647 = alloc_String(" {");
    gc_root(strlit3647);
  }
// compiled string node returning strlit3647 (depth = 7)
  gc_frame_newslot(strlit3647);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_catchTok (depth = 7)
  gc_frame_newslot(*var_catchTok);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit3647;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3648 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3646);
// compiled call node returning call3648 (depth = 6)
    gc_frame_newslot(call3648);
    if3639 = call3648;
  } else {
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1140
  setline(1140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit3651 == NULL) {
    strlit3651 = alloc_String("rparen");
    gc_root(strlit3651);
  }
// compiled string node returning strlit3651 (depth = 8)
  int op_slot_right_3650 = gc_frame_newslot(strlit3651);
// starting to compile member node (depth = 8)
  int callframe3653 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call3654 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3653);
// compiled member node returning call3654 (depth = 8)
  int op_slot_left_3650 = gc_frame_newslot(call3654);
  params[0] = strlit3651;
  partcv[0] = 1;
  Object opresult3655 = callmethod(call3654, "==(1)", 1, partcv, params);
// compiled op node returning opresult3655 (depth = 7)
  Object if3649 = done;
  if (istrue(opresult3655)) {
// Begin line 1141
  setline(1141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_3657 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_3657 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3659 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult3659 (depth = 8)
  Object if3656 = done;
  if (istrue(opresult3659)) {
// Begin line 1142
  setline(1142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3660 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3661 == NULL) {
    strlit3661 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3661);
  }
// compiled string node returning strlit3661 (depth = 9)
  gc_frame_newslot(strlit3661);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool3662 = alloc_Boolean(1);
// compiled identifier node returning bool3662 (depth = 9)
  gc_frame_newslot(bool3662);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3661;
  params[1] = *var_lastToken;
  params[2] = bool3662;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3663 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3660);
// compiled call node returning call3663 (depth = 8)
    gc_frame_newslot(call3663);
    if3656 = call3663;
  } else {
// Begin line 1144
  setline(1144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3664 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3665 == NULL) {
    strlit3665 = alloc_String("(");
    gc_root(strlit3665);
  }
// compiled string node returning strlit3665 (depth = 9)
  gc_frame_newslot(strlit3665);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 9)
  Object bool3666 = alloc_Boolean(1);
// compiled identifier node returning bool3666 (depth = 9)
  gc_frame_newslot(bool3666);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3665;
  params[1] = *var_lastToken;
  params[2] = bool3666;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call3667 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3664);
// compiled call node returning call3667 (depth = 8)
    gc_frame_newslot(call3667);
    if3656 = call3667;
  }
// compiled if node returning if3656 (depth = 7)
    gc_frame_newslot(if3656);
    if3649 = if3656;
  } else {
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1146
  setline(1146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit3670 == NULL) {
    strlit3670 = alloc_String("identifier");
    gc_root(strlit3670);
  }
// compiled string node returning strlit3670 (depth = 9)
  int op_slot_right_3669 = gc_frame_newslot(strlit3670);
// starting to compile member node (depth = 9)
  int callframe3672 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call3673 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3672);
// compiled member node returning call3673 (depth = 9)
  int op_slot_left_3669 = gc_frame_newslot(call3673);
  params[0] = strlit3670;
  partcv[0] = 1;
  Object opresult3674 = callmethod(call3673, "==(1)", 1, partcv, params);
// compiled op node returning opresult3674 (depth = 8)
  Object if3668 = done;
  if (istrue(opresult3674)) {
// Begin line 1147
  setline(1147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3675 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3676 == NULL) {
    strlit3676 = alloc_String(" {");
    gc_root(strlit3676);
  }
// compiled string node returning strlit3676 (depth = 9)
  gc_frame_newslot(strlit3676);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_catchTok (depth = 9)
  gc_frame_newslot(*var_catchTok);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3676;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3677 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3675);
// compiled call node returning call3677 (depth = 8)
// Begin line 1148
  setline(1148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe3678 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit3679 == NULL) {
    strlit3679 = alloc_String("} ");
    gc_root(strlit3679);
  }
// compiled string node returning strlit3679 (depth = 9)
  gc_frame_newslot(strlit3679);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  gc_frame_newslot(*var_nextTok);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit3679;
  params[1] = *var_nextTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3680 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3678);
// compiled call node returning call3680 (depth = 8)
    gc_frame_newslot(call3680);
    if3668 = call3680;
  } else {
  }
// compiled if node returning if3668 (depth = 7)
    gc_frame_newslot(if3668);
    if3649 = if3668;
  }
// compiled if node returning if3649 (depth = 6)
    gc_frame_newslot(if3649);
    if3639 = if3649;
  }
// compiled if node returning if3639 (depth = 5)
    gc_frame_newslot(if3639);
    if3631 = if3639;
  }
// compiled if node returning if3631 (depth = 4)
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3681 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3682 == NULL) {
    strlit3682 = alloc_String("a catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3682);
  }
// compiled string node returning strlit3682 (depth = 5)
  gc_frame_newslot(strlit3682);
// Begin line 1151
  setline(1151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3683 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_catchTok (depth = 6)
  Object call3684 = callmethodflags(*var_catchTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3683);
// compiled member node returning call3684 (depth = 5)
  gc_frame_newslot(call3684);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num3686 = alloc_Float64(1);
// compiled num node returning num3686 (depth = 6)
  int op_slot_right_3685 = gc_frame_newslot(num3686);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe3689 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_catchTok (depth = 8)
  Object call3690 = callmethodflags(*var_catchTok, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3689);
// compiled member node returning call3690 (depth = 7)
  int op_slot_right_3688 = gc_frame_newslot(call3690);
// starting to compile member node (depth = 7)
  int callframe3692 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_catchTok (depth = 8)
  Object call3693 = callmethodflags(*var_catchTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3692);
// compiled member node returning call3693 (depth = 7)
  int op_slot_left_3688 = gc_frame_newslot(call3693);
  params[0] = call3690;
  partcv[0] = 1;
  Object sum3694 = callmethod(call3693, "+(1)", 1, partcv, params);
// compiled op node returning sum3694 (depth = 6)
  int op_slot_left_3685 = gc_frame_newslot(sum3694);
  params[0] = num3686;
  partcv[0] = 1;
  Object sum3695 = callmethod(sum3694, "+(1)", 1, partcv, params);
// compiled op node returning sum3695 (depth = 5)
  gc_frame_newslot(sum3695);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1150
  setline(1150);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3682;
  params[1] = call3684;
  params[2] = sum3695;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3696 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3681);
// compiled call node returning call3696 (depth = 4)
    gc_frame_newslot(call3696);
    if3572 = call3696;
  } else {
  }
// compiled if node returning if3572 (depth = 3)
// Begin line 1153
  setline(1153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3697 = gc_frame_new();
// call case 4: self request
  Object call3698 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3697);
// compiled member node returning call3698 (depth = 3)
// Begin line 1154
  setline(1154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3700 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe3701 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block3702 = alloc_Block(NULL, NULL, "parser", 1154);
  gc_frame_newslot(block3702);
// method "_apply"
  block_savedest(block3702);
  Object closure3703 = createclosure(2, "_apply");
  setclosureframe(closure3703, stackframe);
  addtoclosure(closure3703, var_blocksOK);
  addtoclosure(closure3703, selfslot);
  struct UserObject *uo3703 = (struct UserObject*)block3702;
  uo3703->data[0] = (Object)closure3703;
  Method *meth_meth_parser__apply3703 = addmethod2pos(block3702, "_apply", &meth_parser__apply3703, 0);
  int argcv_meth_parser__apply3703[] = {0};
  meth_meth_parser__apply3703->type = alloc_MethodType(1, argcv_meth_parser__apply3703);
  meth_meth_parser__apply3703->definitionModule = modulename;
  meth_meth_parser__apply3703->definitionLine = 3404;
// compiled block node returning block3702 (depth = 6)
  gc_frame_newslot(block3702);
// call case 4: self request
  params[0] = block3702;
  partcv[0] = 1;
  Object call3707 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3701);
// compiled call node returning call3707 (depth = 5)
  Object call3708 = callmethodflags(call3707, "not", 0, partcv, params, 0);
  gc_frame_end(callframe3700);
// compiled member node returning call3708 (depth = 4)
  Object if3699 = done;
  if (istrue(call3708)) {
// Begin line 1155
  setline(1155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3709 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3710 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3711 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3710);
// compiled member node returning call3711 (depth = 6)
  Object call3712 = callmethodflags(call3711, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3709);
// compiled member node returning call3712 (depth = 5)
  *var_suggestion = call3712;
  if (call3712 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1156
  setline(1156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe3713 = gc_frame_new();
// starting to compile array node (depth = 6)
  Object array3714 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 7)
  if (strlit3715 == NULL) {
    strlit3715 = alloc_String("rparen");
    gc_root(strlit3715);
  }
// compiled string node returning strlit3715 (depth = 7)
  params[0] = strlit3715;
  partcv[0] = 1;
  callmethodflags(array3714, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array3714 (depth = 6)
  gc_frame_newslot(array3714);
// call case 4: self request
  params[0] = array3714;
  partcv[0] = 1;
  Object call3716 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3713);
// compiled call node returning call3716 (depth = 5)
  *var_nextTok = call3716;
  if (call3716 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1157
  setline(1157);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_3718 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_3718 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult3720 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult3720 (depth = 5)
  Object if3717 = done;
  if (istrue(opresult3720)) {
// Begin line 1158
  setline(1158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3721 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit3722 == NULL) {
    strlit3722 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3722);
  }
// compiled string node returning strlit3722 (depth = 6)
  gc_frame_newslot(strlit3722);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit3722;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3723 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3721);
// compiled call node returning call3723 (depth = 5)
    gc_frame_newslot(call3723);
    if3717 = call3723;
  } else {
// Begin line 1160
  setline(1160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe3724 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
  int callframe3725 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call3726 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe3725);
// compiled member node returning call3726 (depth = 6)
  gc_frame_newslot(call3726);
// starting to compile identifier node (depth = 6)
  Object bool3727 = alloc_Boolean(1);
// compiled identifier node returning bool3727 (depth = 6)
  gc_frame_newslot(bool3727);
// starting to compile identifier node (depth = 6)
  Object bool3728 = alloc_Boolean(0);
// compiled identifier node returning bool3728 (depth = 6)
  gc_frame_newslot(bool3728);
// starting to compile string node (depth = 6)
  if (strlit3729 == NULL) {
    strlit3729 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit3729);
  }
// compiled string node returning strlit3729 (depth = 6)
  gc_frame_newslot(strlit3729);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call3726;
  params[2] = bool3727;
  params[3] = bool3728;
  params[4] = strlit3729;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call3730 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe3724);
// compiled call node returning call3730 (depth = 5)
    gc_frame_newslot(call3730);
    if3717 = call3730;
  }
// compiled if node returning if3717 (depth = 4)
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3731 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3732 == NULL) {
    strlit3732 = alloc_String("a catch statement must have either a block or an expression in parentheses after the 'catch'.");
    gc_root(strlit3732);
  }
// compiled string node returning strlit3732 (depth = 5)
  gc_frame_newslot(strlit3732);
// Begin line 1163
  setline(1163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3733 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3734 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3733);
// compiled member node returning call3734 (depth = 5)
  gc_frame_newslot(call3734);
// starting to compile member node (depth = 5)
  int callframe3735 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3736 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3735);
// compiled member node returning call3736 (depth = 5)
  gc_frame_newslot(call3736);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1162
  setline(1162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3732;
  params[1] = call3734;
  params[2] = call3736;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3737 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3731);
// compiled call node returning call3737 (depth = 4)
    gc_frame_newslot(call3737);
    if3699 = call3737;
  } else {
  }
// compiled if node returning if3699 (depth = 3)
// Begin line 1165
  setline(1165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3740 == NULL) {
    strlit3740 = alloc_String("rparen");
    gc_root(strlit3740);
  }
// compiled string node returning strlit3740 (depth = 5)
  int op_slot_right_3739 = gc_frame_newslot(strlit3740);
// starting to compile member node (depth = 5)
  int callframe3742 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3743 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe3742);
// compiled member node returning call3743 (depth = 5)
  int op_slot_left_3739 = gc_frame_newslot(call3743);
  params[0] = strlit3740;
  partcv[0] = 1;
  Object opresult3744 = callmethod(call3743, "≠(1)", 1, partcv, params);
// compiled op node returning opresult3744 (depth = 4)
  Object if3738 = done;
  if (istrue(opresult3744)) {
// Begin line 1166
  setline(1166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3745 = gc_frame_new();
// call case 4: self request
  Object call3746 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3745);
// compiled member node returning call3746 (depth = 4)
// Begin line 1167
  setline(1167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe3747 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe3748 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call3749 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3748);
// compiled member node returning call3749 (depth = 6)
  Object call3750 = callmethodflags(call3749, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3747);
// compiled member node returning call3750 (depth = 5)
  *var_suggestion = call3750;
  if (call3750 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1168
  setline(1168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3751 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3752 == NULL) {
    strlit3752 = alloc_String(")");
    gc_root(strlit3752);
  }
// compiled string node returning strlit3752 (depth = 5)
  gc_frame_newslot(strlit3752);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit3752;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3753 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3751);
// compiled call node returning call3753 (depth = 4)
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe3754 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3755 == NULL) {
    strlit3755 = alloc_String("an expression beginning with a '(' must end with a ')'.");
    gc_root(strlit3755);
  }
// compiled string node returning strlit3755 (depth = 5)
  gc_frame_newslot(strlit3755);
// Begin line 1170
  setline(1170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe3756 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call3757 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3756);
// compiled member node returning call3757 (depth = 5)
  gc_frame_newslot(call3757);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe3759 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call3760 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe3759);
// compiled member node returning call3760 (depth = 6)
  int op_slot_right_3758 = gc_frame_newslot(call3760);
// starting to compile member node (depth = 6)
  int callframe3762 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call3763 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3762);
// compiled member node returning call3763 (depth = 6)
  int op_slot_left_3758 = gc_frame_newslot(call3763);
  params[0] = call3760;
  partcv[0] = 1;
  Object sum3764 = callmethod(call3763, "+(1)", 1, partcv, params);
// compiled op node returning sum3764 (depth = 5)
  gc_frame_newslot(sum3764);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1169
  setline(1169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit3755;
  params[1] = call3757;
  params[2] = sum3764;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call3765 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3754);
// compiled call node returning call3765 (depth = 4)
    gc_frame_newslot(call3765);
    if3738 = call3765;
  } else {
  }
// compiled if node returning if3738 (depth = 3)
// Begin line 1172
  setline(1172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3766 = gc_frame_new();
// call case 4: self request
  Object call3767 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3766);
// compiled member node returning call3767 (depth = 3)
    gc_frame_newslot(call3767);
    if3566 = call3767;
  }
// compiled if node returning if3566 (depth = 2)
// Begin line 1174
  setline(1174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe3768 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  Object call3769 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe3768);
// compiled member node returning call3769 (depth = 3)
  *var_mainblock = call3769;
  if (call3769 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1175
  setline(1175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array3770 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array3770 (depth = 3)
  *var_cases = array3770;
  if (array3770 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1176
  setline(1176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool3771 = alloc_Boolean(0);
// compiled identifier node returning bool3771 (depth = 3)
  *var_finally = bool3771;
  if (bool3771 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1177
  setline(1177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe3772 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block3773 = alloc_Block(NULL, NULL, "parser", 1177);
  gc_frame_newslot(block3773);
// method "_apply"
  block_savedest(block3773);
  Object closure3774 = createclosure(2, "_apply");
  setclosureframe(closure3774, stackframe);
  addtoclosure(closure3774, var_sym);
  addtoclosure(closure3774, selfslot);
  struct UserObject *uo3774 = (struct UserObject*)block3773;
  uo3774->data[0] = (Object)closure3774;
  Method *meth_meth_parser__apply3774 = addmethod2pos(block3773, "_apply", &meth_parser__apply3774, 0);
  int argcv_meth_parser__apply3774[] = {0};
  meth_meth_parser__apply3774->type = alloc_MethodType(1, argcv_meth_parser__apply3774);
  meth_meth_parser__apply3774->definitionModule = modulename;
  meth_meth_parser__apply3774->definitionLine = 3404;
// compiled block node returning block3773 (depth = 3)
  gc_frame_newslot(block3773);
// starting to compile block node (depth = 3)
  Object block3788 = alloc_Block(NULL, NULL, "parser", 1177);
  gc_frame_newslot(block3788);
// method "_apply"
  block_savedest(block3788);
  Object closure3789 = createclosure(8, "_apply");
  setclosureframe(closure3789, stackframe);
  addtoclosure(closure3789, var_blocksOK);
  addtoclosure(closure3789, var_errormessages);
  addtoclosure(closure3789, var_sym);
  addtoclosure(closure3789, var_lastToken);
  addtoclosure(closure3789, var_tokens);
  addtoclosure(closure3789, var_values);
  addtoclosure(closure3789, var_cases);
  addtoclosure(closure3789, selfslot);
  struct UserObject *uo3789 = (struct UserObject*)block3788;
  uo3789->data[0] = (Object)closure3789;
  Method *meth_meth_parser__apply3789 = addmethod2pos(block3788, "_apply", &meth_parser__apply3789, 0);
  int argcv_meth_parser__apply3789[] = {0};
  meth_meth_parser__apply3789->type = alloc_MethodType(1, argcv_meth_parser__apply3789);
  meth_meth_parser__apply3789->definitionModule = modulename;
  meth_meth_parser__apply3789->definitionLine = 3404;
// compiled block node returning block3788 (depth = 3)
  gc_frame_newslot(block3788);
// call case 5: prelude request
  params[0] = block3773;
  params[1] = block3788;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3936 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3772);
// compiled call node returning call3936 (depth = 2)
// Begin line 1226
  setline(1226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3940 == NULL) {
    strlit3940 = alloc_String("case");
    gc_root(strlit3940);
  }
// compiled string node returning strlit3940 (depth = 5)
  int op_slot_right_3939 = gc_frame_newslot(strlit3940);
// starting to compile member node (depth = 5)
  int callframe3942 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3943 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3942);
// compiled member node returning call3943 (depth = 5)
  int op_slot_left_3939 = gc_frame_newslot(call3943);
  params[0] = strlit3940;
  partcv[0] = 1;
  Object opresult3944 = callmethod(call3943, "==(1)", 1, partcv, params);
// compiled op node returning opresult3944 (depth = 4)
  int op_slot_right_3938 = gc_frame_newslot(opresult3944);
// starting to compile call node (depth = 4)
  int callframe3946 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3947 == NULL) {
    strlit3947 = alloc_String("identifier");
    gc_root(strlit3947);
  }
// compiled string node returning strlit3947 (depth = 5)
  gc_frame_newslot(strlit3947);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_catchTok (depth = 5)
  gc_frame_newslot(*var_catchTok);
// call case 4: self request
  params[0] = strlit3947;
  params[1] = *var_catchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3948 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3946);
// compiled call node returning call3948 (depth = 4)
  int op_slot_left_3938 = gc_frame_newslot(call3948);
  params[0] = opresult3944;
  partcv[0] = 1;
  Object opresult3949 = callmethod(call3948, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3949 (depth = 3)
  Object if3937 = done;
  if (istrue(opresult3949)) {
// Begin line 1227
  setline(1227);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe3950 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe3951 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call3952 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe3951);
// compiled member node returning call3952 (depth = 5)
  Object call3953 = callmethodflags(call3952, "new", 0, partcv, params, 0);
  gc_frame_end(callframe3950);
// compiled member node returning call3953 (depth = 4)
  *var_suggestion = call3953;
  if (call3953 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1228
  setline(1228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3954 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 4)
  if (strlit3955 == NULL) {
    strlit3955 = alloc_String("catch");
    gc_root(strlit3955);
  }
// compiled string node returning strlit3955 (depth = 4)
  gc_frame_newslot(strlit3955);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = *var_sym;
  params[1] = strlit3955;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call3956 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe3954);
// compiled call node returning call3956 (depth = 3)
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe3957 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 1231
  setline(1231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit3959 == NULL) {
    strlit3959 = alloc_String("are no 'case' blocks.");
    gc_root(strlit3959);
  }
// compiled string node returning strlit3959 (depth = 5)
  int op_slot_right_3958 = gc_frame_newslot(strlit3959);
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 1230
  setline(1230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3962 == NULL) {
    strlit3962 = alloc_String("'try' and then zero or more 'catch' blocks; there ");
    gc_root(strlit3962);
  }
// compiled string node returning strlit3962 (depth = 6)
  int op_slot_right_3961 = gc_frame_newslot(strlit3962);
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit3964 == NULL) {
    strlit3964 = alloc_String("a try-catch statement starts with a ");
    gc_root(strlit3964);
  }
// compiled string node returning strlit3964 (depth = 6)
  int op_slot_left_3961 = gc_frame_newslot(strlit3964);
  params[0] = strlit3962;
  partcv[0] = 1;
  Object opresult3965 = callmethod(strlit3964, "++(1)", 1, partcv, params);
// compiled op node returning opresult3965 (depth = 5)
  int op_slot_left_3958 = gc_frame_newslot(opresult3965);
  params[0] = strlit3959;
  partcv[0] = 1;
  Object opresult3966 = callmethod(opresult3965, "++(1)", 1, partcv, params);
// compiled op node returning opresult3966 (depth = 4)
  gc_frame_newslot(opresult3966);
// Begin line 1232
  setline(1232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3967 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call3968 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe3967);
// compiled member node returning call3968 (depth = 4)
  gc_frame_newslot(call3968);
// starting to compile member node (depth = 4)
  int callframe3969 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call3970 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3969);
// compiled member node returning call3970 (depth = 4)
  gc_frame_newslot(call3970);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num3972 = alloc_Float64(3);
// compiled num node returning num3972 (depth = 5)
  int op_slot_right_3971 = gc_frame_newslot(num3972);
// starting to compile member node (depth = 5)
  int callframe3974 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3975 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe3974);
// compiled member node returning call3975 (depth = 5)
  int op_slot_left_3971 = gc_frame_newslot(call3975);
  params[0] = num3972;
  partcv[0] = 1;
  Object sum3976 = callmethod(call3975, "+(1)", 1, partcv, params);
// compiled op node returning sum3976 (depth = 4)
  gc_frame_newslot(sum3976);
// Begin line 1233
  setline(1233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1229
  setline(1229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult3966;
  params[1] = call3968;
  params[2] = call3970;
  params[3] = sum3976;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call3977 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe3957);
// compiled call node returning call3977 (depth = 3)
    gc_frame_newslot(call3977);
    if3937 = call3977;
  } else {
  }
// compiled if node returning if3937 (depth = 2)
// Begin line 1235
  setline(1235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit3981 == NULL) {
    strlit3981 = alloc_String("finally");
    gc_root(strlit3981);
  }
// compiled string node returning strlit3981 (depth = 5)
  int op_slot_right_3980 = gc_frame_newslot(strlit3981);
// starting to compile member node (depth = 5)
  int callframe3983 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call3984 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe3983);
// compiled member node returning call3984 (depth = 5)
  int op_slot_left_3980 = gc_frame_newslot(call3984);
  params[0] = strlit3981;
  partcv[0] = 1;
  Object opresult3985 = callmethod(call3984, "==(1)", 1, partcv, params);
// compiled op node returning opresult3985 (depth = 4)
  int op_slot_right_3979 = gc_frame_newslot(opresult3985);
// starting to compile call node (depth = 4)
  int callframe3987 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3988 == NULL) {
    strlit3988 = alloc_String("identifier");
    gc_root(strlit3988);
  }
// compiled string node returning strlit3988 (depth = 5)
  gc_frame_newslot(strlit3988);
// call case 4: self request
  params[0] = strlit3988;
  partcv[0] = 1;
  Object call3989 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3987);
// compiled call node returning call3989 (depth = 4)
  int op_slot_left_3979 = gc_frame_newslot(call3989);
  params[0] = opresult3985;
  partcv[0] = 1;
  Object opresult3990 = callmethod(call3989, "&&(1)", 1, partcv, params);
// compiled op node returning opresult3990 (depth = 3)
  Object if3978 = done;
  if (istrue(opresult3990)) {
// Begin line 1236
  setline(1236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe3991 = gc_frame_new();
// call case 4: self request
  Object call3992 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3991);
// compiled member node returning call3992 (depth = 3)
// Begin line 1237
  setline(1237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe3994 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit3995 == NULL) {
    strlit3995 = alloc_String("lbrace");
    gc_root(strlit3995);
  }
// compiled string node returning strlit3995 (depth = 5)
  gc_frame_newslot(strlit3995);
// call case 4: self request
  params[0] = strlit3995;
  partcv[0] = 1;
  Object call3996 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3994);
// compiled call node returning call3996 (depth = 4)
  Object if3993 = done;
  if (istrue(call3996)) {
// Begin line 1238
  setline(1238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe3997 = gc_frame_new();
// call case 4: self request
  Object call3998 = callmethodflags(self, "block", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe3997);
// compiled member node returning call3998 (depth = 4)
    gc_frame_newslot(call3998);
    if3993 = call3998;
  } else {
// Begin line 1260
  setline(1260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1239
  setline(1239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4000 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4001 == NULL) {
    strlit4001 = alloc_String("lparen");
    gc_root(strlit4001);
  }
// compiled string node returning strlit4001 (depth = 6)
  gc_frame_newslot(strlit4001);
// call case 4: self request
  params[0] = strlit4001;
  partcv[0] = 1;
  Object call4002 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4000);
// compiled call node returning call4002 (depth = 5)
  Object if3999 = done;
  if (istrue(call4002)) {
// Begin line 1240
  setline(1240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4003 = gc_frame_new();
// call case 4: self request
  Object call4004 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4003);
// compiled member node returning call4004 (depth = 5)
// Begin line 1241
  setline(1241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4006 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe4007 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block4008 = alloc_Block(NULL, NULL, "parser", 1241);
  gc_frame_newslot(block4008);
// method "_apply"
  block_savedest(block4008);
  Object closure4009 = createclosure(2, "_apply");
  setclosureframe(closure4009, stackframe);
  addtoclosure(closure4009, var_blocksOK);
  addtoclosure(closure4009, selfslot);
  struct UserObject *uo4009 = (struct UserObject*)block4008;
  uo4009->data[0] = (Object)closure4009;
  Method *meth_meth_parser__apply4009 = addmethod2pos(block4008, "_apply", &meth_parser__apply4009, 0);
  int argcv_meth_parser__apply4009[] = {0};
  meth_meth_parser__apply4009->type = alloc_MethodType(1, argcv_meth_parser__apply4009);
  meth_meth_parser__apply4009->definitionModule = modulename;
  meth_meth_parser__apply4009->definitionLine = 3404;
// compiled block node returning block4008 (depth = 8)
  gc_frame_newslot(block4008);
// call case 4: self request
  params[0] = block4008;
  partcv[0] = 1;
  Object call4013 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4007);
// compiled call node returning call4013 (depth = 7)
  Object call4014 = callmethodflags(call4013, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4006);
// compiled member node returning call4014 (depth = 6)
  Object if4005 = done;
  if (istrue(call4014)) {
// Begin line 1242
  setline(1242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4015 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4016 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call4017 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4016);
// compiled member node returning call4017 (depth = 8)
  Object call4018 = callmethodflags(call4017, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4015);
// compiled member node returning call4018 (depth = 7)
  *var_suggestion = call4018;
  if (call4018 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1243
  setline(1243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4019 = gc_frame_new();
// starting to compile array node (depth = 8)
  Object array4020 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 9)
  if (strlit4021 == NULL) {
    strlit4021 = alloc_String("rparen");
    gc_root(strlit4021);
  }
// compiled string node returning strlit4021 (depth = 9)
  params[0] = strlit4021;
  partcv[0] = 1;
  callmethodflags(array4020, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array4020 (depth = 8)
  gc_frame_newslot(array4020);
// call case 4: self request
  params[0] = array4020;
  partcv[0] = 1;
  Object call4022 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4019);
// compiled call node returning call4022 (depth = 7)
  *var_nextTok = call4022;
  if (call4022 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1244
  setline(1244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_4024 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_4024 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4026 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult4026 (depth = 7)
  Object if4023 = done;
  if (istrue(opresult4026)) {
// Begin line 1245
  setline(1245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4027 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4028 == NULL) {
    strlit4028 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4028);
  }
// compiled string node returning strlit4028 (depth = 8)
  gc_frame_newslot(strlit4028);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4028;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4029 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4027);
// compiled call node returning call4029 (depth = 7)
    gc_frame_newslot(call4029);
    if4023 = call4029;
  } else {
// Begin line 1247
  setline(1247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4030 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
  int callframe4031 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call4032 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4031);
// compiled member node returning call4032 (depth = 8)
  gc_frame_newslot(call4032);
// starting to compile identifier node (depth = 8)
  Object bool4033 = alloc_Boolean(1);
// compiled identifier node returning bool4033 (depth = 8)
  gc_frame_newslot(bool4033);
// starting to compile identifier node (depth = 8)
  Object bool4034 = alloc_Boolean(0);
// compiled identifier node returning bool4034 (depth = 8)
  gc_frame_newslot(bool4034);
// starting to compile string node (depth = 8)
  if (strlit4035 == NULL) {
    strlit4035 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4035);
  }
// compiled string node returning strlit4035 (depth = 8)
  gc_frame_newslot(strlit4035);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call4032;
  params[2] = bool4033;
  params[3] = bool4034;
  params[4] = strlit4035;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4036 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe4030);
// compiled call node returning call4036 (depth = 7)
    gc_frame_newslot(call4036);
    if4023 = call4036;
  }
// compiled if node returning if4023 (depth = 6)
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4037 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4038 == NULL) {
    strlit4038 = alloc_String("a catch statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4038);
  }
// compiled string node returning strlit4038 (depth = 7)
  gc_frame_newslot(strlit4038);
// Begin line 1250
  setline(1250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4039 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call4040 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4039);
// compiled member node returning call4040 (depth = 7)
  gc_frame_newslot(call4040);
// starting to compile member node (depth = 7)
  int callframe4041 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call4042 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4041);
// compiled member node returning call4042 (depth = 7)
  gc_frame_newslot(call4042);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1249
  setline(1249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit4038;
  params[1] = call4040;
  params[2] = call4042;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4043 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4037);
// compiled call node returning call4043 (depth = 6)
    gc_frame_newslot(call4043);
    if4005 = call4043;
  } else {
  }
// compiled if node returning if4005 (depth = 5)
// Begin line 1252
  setline(1252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4046 == NULL) {
    strlit4046 = alloc_String("rparen");
    gc_root(strlit4046);
  }
// compiled string node returning strlit4046 (depth = 7)
  int op_slot_right_4045 = gc_frame_newslot(strlit4046);
// starting to compile member node (depth = 7)
  int callframe4048 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call4049 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4048);
// compiled member node returning call4049 (depth = 7)
  int op_slot_left_4045 = gc_frame_newslot(call4049);
  params[0] = strlit4046;
  partcv[0] = 1;
  Object opresult4050 = callmethod(call4049, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4050 (depth = 6)
  Object if4044 = done;
  if (istrue(opresult4050)) {
// Begin line 1253
  setline(1253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4051 = gc_frame_new();
// call case 4: self request
  Object call4052 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4051);
// compiled member node returning call4052 (depth = 6)
// Begin line 1254
  setline(1254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4053 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4054 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call4055 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4054);
// compiled member node returning call4055 (depth = 8)
  Object call4056 = callmethodflags(call4055, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4053);
// compiled member node returning call4056 (depth = 7)
  *var_suggestion = call4056;
  if (call4056 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1255
  setline(1255);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4057 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4058 == NULL) {
    strlit4058 = alloc_String(")");
    gc_root(strlit4058);
  }
// compiled string node returning strlit4058 (depth = 7)
  gc_frame_newslot(strlit4058);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4058;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4059 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4057);
// compiled call node returning call4059 (depth = 6)
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4060 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4061 == NULL) {
    strlit4061 = alloc_String("an expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4061);
  }
// compiled string node returning strlit4061 (depth = 7)
  gc_frame_newslot(strlit4061);
// Begin line 1257
  setline(1257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4062 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call4063 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4062);
// compiled member node returning call4063 (depth = 7)
  gc_frame_newslot(call4063);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe4065 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call4066 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4065);
// compiled member node returning call4066 (depth = 8)
  int op_slot_right_4064 = gc_frame_newslot(call4066);
// starting to compile member node (depth = 8)
  int callframe4068 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call4069 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4068);
// compiled member node returning call4069 (depth = 8)
  int op_slot_left_4064 = gc_frame_newslot(call4069);
  params[0] = call4066;
  partcv[0] = 1;
  Object sum4070 = callmethod(call4069, "+(1)", 1, partcv, params);
// compiled op node returning sum4070 (depth = 7)
  gc_frame_newslot(sum4070);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1256
  setline(1256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit4061;
  params[1] = call4063;
  params[2] = sum4070;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4071 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4060);
// compiled call node returning call4071 (depth = 6)
    gc_frame_newslot(call4071);
    if4044 = call4071;
  } else {
  }
// compiled if node returning if4044 (depth = 5)
// Begin line 1259
  setline(1259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4072 = gc_frame_new();
// call case 4: self request
  Object call4073 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4072);
// compiled member node returning call4073 (depth = 5)
    gc_frame_newslot(call4073);
    if3999 = call4073;
  } else {
// Begin line 1261
  setline(1261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array4074 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4074 (depth = 6)
  *var_suggestions = array4074;
  if (array4074 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1262
  setline(1262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe4075 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4076 = callmethodflags(self, "findNextTokenIndentedAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4075);
// compiled call node returning call4076 (depth = 6)
  *var_nextTok = call4076;
  if (call4076 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1263
  setline(1263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4077 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4078 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call4079 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4078);
// compiled member node returning call4079 (depth = 7)
  Object call4080 = callmethodflags(call4079, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4077);
// compiled member node returning call4080 (depth = 6)
  *var_suggestion = call4080;
  if (call4080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1264
  setline(1264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_right_4082 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 7)
  Object bool4084 = alloc_Boolean(0);
// compiled identifier node returning bool4084 (depth = 7)
  int op_slot_left_4082 = gc_frame_newslot(bool4084);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult4085 = callmethod(bool4084, "==(1)", 1, partcv, params);
// compiled op node returning opresult4085 (depth = 6)
  Object if4081 = done;
  if (istrue(opresult4085)) {
// Begin line 1265
  setline(1265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4086 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4087 == NULL) {
    strlit4087 = alloc_String(" }");
    gc_root(strlit4087);
  }
// compiled string node returning strlit4087 (depth = 7)
  gc_frame_newslot(strlit4087);
// starting to compile member node (depth = 7)
  int callframe4088 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  Object call4089 = callmethodflags(*var_tokens, "first", 0, partcv, params, 0);
  gc_frame_end(callframe4088);
// compiled member node returning call4089 (depth = 7)
  gc_frame_newslot(call4089);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4087;
  params[1] = call4089;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4090 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4086);
// compiled call node returning call4090 (depth = 6)
// Begin line 1266
  setline(1266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4091 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4092 == NULL) {
    strlit4092 = alloc_String(" {");
    gc_root(strlit4092);
  }
// compiled string node returning strlit4092 (depth = 7)
  gc_frame_newslot(strlit4092);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4092;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4093 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4091);
// compiled call node returning call4093 (depth = 6)
// Begin line 1267
  setline(1267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4094 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4095 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4094);
// compiled call node returning call4095 (depth = 6)
    gc_frame_newslot(call4095);
    if4081 = call4095;
  } else {
// Begin line 1274
  setline(1274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1268
  setline(1268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_4097 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_4097 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4099 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult4099 (depth = 7)
  Object if4096 = done;
  if (istrue(opresult4099)) {
// Begin line 1269
  setline(1269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4100 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4101 == NULL) {
    strlit4101 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4101);
  }
// compiled string node returning strlit4101 (depth = 8)
  gc_frame_newslot(strlit4101);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4101;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4102 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4100);
// compiled call node returning call4102 (depth = 7)
// Begin line 1270
  setline(1270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4103 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4104 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4103);
// compiled call node returning call4104 (depth = 7)
// Begin line 1271
  setline(1271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe4105 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4106 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call4107 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4106);
// compiled member node returning call4107 (depth = 9)
  Object call4108 = callmethodflags(call4107, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4105);
// compiled member node returning call4108 (depth = 8)
  *var_suggestion = call4108;
  if (call4108 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1272
  setline(1272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4110 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4111 == NULL) {
    strlit4111 = alloc_String(" { ""\xc2""""\xab""expression""\xc2""""\xbb"" }");
    gc_root(strlit4111);
  }
// compiled string node returning strlit4111 (depth = 8)
  gc_frame_newslot(strlit4111);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4111;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4112 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4110);
// compiled call node returning call4112 (depth = 7)
// Begin line 1273
  setline(1273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4113 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4114 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4113);
// compiled call node returning call4114 (depth = 7)
    gc_frame_newslot(call4114);
    if4096 = call4114;
  } else {
// Begin line 1275
  setline(1275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4115 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4116 == NULL) {
    strlit4116 = alloc_String(" }");
    gc_root(strlit4116);
  }
// compiled string node returning strlit4116 (depth = 8)
  gc_frame_newslot(strlit4116);
// starting to compile member node (depth = 8)
  int callframe4117 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call4118 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4117);
// compiled member node returning call4118 (depth = 8)
  gc_frame_newslot(call4118);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4116;
  params[1] = call4118;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4119 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4115);
// compiled call node returning call4119 (depth = 7)
// Begin line 1276
  setline(1276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4120 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4121 == NULL) {
    strlit4121 = alloc_String(" {");
    gc_root(strlit4121);
  }
// compiled string node returning strlit4121 (depth = 8)
  gc_frame_newslot(strlit4121);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4121;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4122 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4120);
// compiled call node returning call4122 (depth = 7)
// Begin line 1277
  setline(1277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4123 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4124 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4123);
// compiled call node returning call4124 (depth = 7)
    gc_frame_newslot(call4124);
    if4096 = call4124;
  }
// compiled if node returning if4096 (depth = 6)
    gc_frame_newslot(if4096);
    if4081 = if4096;
  }
// compiled if node returning if4081 (depth = 5)
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4125 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4126 == NULL) {
    strlit4126 = alloc_String("a try-finally statement must have either a block or an expression in parentheses after the 'finally'.");
    gc_root(strlit4126);
  }
// compiled string node returning strlit4126 (depth = 6)
  gc_frame_newslot(strlit4126);
// Begin line 1280
  setline(1280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4127 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call4128 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4127);
// compiled member node returning call4128 (depth = 6)
  gc_frame_newslot(call4128);
// starting to compile member node (depth = 6)
  int callframe4129 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call4130 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4129);
// compiled member node returning call4130 (depth = 6)
  gc_frame_newslot(call4130);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1279
  setline(1279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit4126;
  params[1] = call4128;
  params[2] = call4130;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4131 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4125);
// compiled call node returning call4131 (depth = 5)
    gc_frame_newslot(call4131);
    if3999 = call4131;
  }
// compiled if node returning if3999 (depth = 4)
    gc_frame_newslot(if3999);
    if3993 = if3999;
  }
// compiled if node returning if3993 (depth = 3)
// Begin line 1282
  setline(1282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4132 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call4133 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe4132);
// compiled member node returning call4133 (depth = 4)
  *var_finally = call4133;
  if (call4133 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if3978 = done;
  } else {
  }
// compiled if node returning if3978 (depth = 2)
// Begin line 1284
  setline(1284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4135 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe4136 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_catchTok (depth = 4)
  Object call4137 = callmethodflags(*var_catchTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4136);
// compiled member node returning call4137 (depth = 3)
  gc_frame_newslot(call4137);
// starting to compile member node (depth = 3)
  int callframe4138 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_catchTok (depth = 4)
  Object call4139 = callmethodflags(*var_catchTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4138);
// compiled member node returning call4139 (depth = 3)
  gc_frame_newslot(call4139);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call4137;
  params[1] = call4139;
  partcv[0] = 2;
  Object call4140 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4135);
// compiled call node returning call4140 (depth = 2)
// Begin line 1285
  setline(1285);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4141 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe4142 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_mainblock (depth = 4)
  gc_frame_newslot(*var_mainblock);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases (depth = 4)
  gc_frame_newslot(*var_cases);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_finally (depth = 4)
  gc_frame_newslot(*var_finally);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4143 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call4144 = callmethodflags(*var_ast, "tryCatchNode", 0, partcv, params, 0);
  gc_frame_end(callframe4143);
// compiled member node returning call4144 (depth = 4)
  params[0] = *var_mainblock;
  params[1] = *var_cases;
  params[2] = *var_finally;
  partcv[0] = 3;
  Object call4145 = callmethodflags(call4144, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe4142);
// compiled call node returning call4145 (depth = 3)
  gc_frame_newslot(call4145);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = call4145;
  partcv[0] = 1;
  Object call4146 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4141);
// compiled call node returning call4146 (depth = 2)
// Begin line 1286
  setline(1286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_localmin (depth = 3)
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply_40_1_41_4180(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_matchTok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// Begin line 1299
  setline(1299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4184 == NULL) {
    strlit4184 = alloc_String("case");
    gc_root(strlit4184);
  }
// compiled string node returning strlit4184 (depth = 9)
  int op_slot_right_4183 = gc_frame_newslot(strlit4184);
// starting to compile member node (depth = 9)
  int callframe4186 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call4187 = callmethodflags(*var_t, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4186);
// compiled member node returning call4187 (depth = 9)
  int op_slot_left_4183 = gc_frame_newslot(call4187);
  params[0] = strlit4184;
  partcv[0] = 1;
  Object opresult4188 = callmethod(call4187, "==(1)", 1, partcv, params);
// compiled op node returning opresult4188 (depth = 8)
  int op_slot_right_4182 = gc_frame_newslot(opresult4188);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4191 == NULL) {
    strlit4191 = alloc_String("identifier");
    gc_root(strlit4191);
  }
// compiled string node returning strlit4191 (depth = 9)
  int op_slot_right_4190 = gc_frame_newslot(strlit4191);
// starting to compile member node (depth = 9)
  int callframe4193 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call4194 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4193);
// compiled member node returning call4194 (depth = 9)
  int op_slot_left_4190 = gc_frame_newslot(call4194);
  params[0] = strlit4191;
  partcv[0] = 1;
  Object opresult4195 = callmethod(call4194, "==(1)", 1, partcv, params);
// compiled op node returning opresult4195 (depth = 8)
  int op_slot_left_4182 = gc_frame_newslot(opresult4195);
  params[0] = opresult4188;
  partcv[0] = 1;
  Object opresult4196 = callmethod(opresult4195, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4196 (depth = 7)
  int op_slot_right_4181 = gc_frame_newslot(opresult4196);
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe4200 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_matchTok (depth = 10)
  Object call4201 = callmethodflags(*var_matchTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4200);
// compiled member node returning call4201 (depth = 9)
  int op_slot_right_4199 = gc_frame_newslot(call4201);
// starting to compile member node (depth = 9)
  int callframe4203 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call4204 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4203);
// compiled member node returning call4204 (depth = 9)
  int op_slot_left_4199 = gc_frame_newslot(call4204);
  params[0] = call4201;
  partcv[0] = 1;
  Object opresult4205 = callmethod(call4204, "==(1)", 1, partcv, params);
// compiled op node returning opresult4205 (depth = 8)
  int op_slot_right_4198 = gc_frame_newslot(opresult4205);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4208 == NULL) {
    strlit4208 = alloc_String("rparen");
    gc_root(strlit4208);
  }
// compiled string node returning strlit4208 (depth = 9)
  int op_slot_right_4207 = gc_frame_newslot(strlit4208);
// starting to compile member node (depth = 9)
  int callframe4210 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call4211 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4210);
// compiled member node returning call4211 (depth = 9)
  int op_slot_left_4207 = gc_frame_newslot(call4211);
  params[0] = strlit4208;
  partcv[0] = 1;
  Object opresult4212 = callmethod(call4211, "==(1)", 1, partcv, params);
// compiled op node returning opresult4212 (depth = 8)
  int op_slot_left_4198 = gc_frame_newslot(opresult4212);
  params[0] = opresult4205;
  partcv[0] = 1;
  Object opresult4213 = callmethod(opresult4212, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4213 (depth = 7)
  int op_slot_left_4181 = gc_frame_newslot(opresult4213);
  params[0] = opresult4196;
  partcv[0] = 1;
  Object opresult4214 = callmethod(opresult4213, "||(1)", 1, partcv, params);
// compiled op node returning opresult4214 (depth = 6)
  gc_frame_end(frame);
  return opresult4214;
}
Object meth_parser__apply4276(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe4277 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_blocksOK (depth = 7)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4278 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4277);
// compiled call node returning call4278 (depth = 6)
  gc_frame_end(frame);
  return call4278;
}
Object meth_parser__apply4347(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4350 == NULL) {
    strlit4350 = alloc_String("case");
    gc_root(strlit4350);
  }
// compiled string node returning strlit4350 (depth = 6)
  int op_slot_right_4349 = gc_frame_newslot(strlit4350);
// starting to compile member node (depth = 6)
  int callframe4352 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call4353 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4352);
// compiled member node returning call4353 (depth = 6)
  int op_slot_left_4349 = gc_frame_newslot(call4353);
  params[0] = strlit4350;
  partcv[0] = 1;
  Object opresult4354 = callmethod(call4353, "==(1)", 1, partcv, params);
// compiled op node returning opresult4354 (depth = 5)
  int op_slot_right_4348 = gc_frame_newslot(opresult4354);
// starting to compile call node (depth = 5)
  int callframe4356 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4357 == NULL) {
    strlit4357 = alloc_String("identifier");
    gc_root(strlit4357);
  }
// compiled string node returning strlit4357 (depth = 6)
  gc_frame_newslot(strlit4357);
// call case 4: self request
  params[0] = strlit4357;
  partcv[0] = 1;
  Object call4358 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4356);
// compiled call node returning call4358 (depth = 5)
  int op_slot_left_4348 = gc_frame_newslot(call4358);
  params[0] = opresult4354;
  partcv[0] = 1;
  Object opresult4359 = callmethod(call4358, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4359 (depth = 4)
  gc_frame_end(frame);
  return opresult4359;
}
Object meth_parser__apply4381(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe4382 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4383 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4382);
// compiled call node returning call4383 (depth = 10)
  gc_frame_end(frame);
  return call4383;
}
Object meth_parser__apply4362(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_cases = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_nextTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "nextTok");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
// Begin line 1339
  setline(1339);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4363 = gc_frame_new();
// call case 4: self request
  Object call4364 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4363);
// compiled member node returning call4364 (depth = 4)
// Begin line 1340
  setline(1340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4366 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4367 == NULL) {
    strlit4367 = alloc_String("lbrace");
    gc_root(strlit4367);
  }
// compiled string node returning strlit4367 (depth = 6)
  gc_frame_newslot(strlit4367);
// call case 4: self request
  params[0] = strlit4367;
  partcv[0] = 1;
  Object call4368 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4366);
// compiled call node returning call4368 (depth = 5)
  Object if4365 = done;
  if (istrue(call4368)) {
// Begin line 1341
  setline(1341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4369 = gc_frame_new();
// call case 4: self request
  Object call4370 = callmethodflags(self, "block", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4369);
// compiled member node returning call4370 (depth = 5)
    gc_frame_newslot(call4370);
    if4365 = call4370;
  } else {
// Begin line 1363
  setline(1363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1342
  setline(1342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4372 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4373 == NULL) {
    strlit4373 = alloc_String("lparen");
    gc_root(strlit4373);
  }
// compiled string node returning strlit4373 (depth = 7)
  gc_frame_newslot(strlit4373);
// call case 4: self request
  params[0] = strlit4373;
  partcv[0] = 1;
  Object call4374 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4372);
// compiled call node returning call4374 (depth = 6)
  Object if4371 = done;
  if (istrue(call4374)) {
// Begin line 1343
  setline(1343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4375 = gc_frame_new();
// call case 4: self request
  Object call4376 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4375);
// compiled member node returning call4376 (depth = 6)
// Begin line 1344
  setline(1344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4378 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe4379 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block4380 = alloc_Block(NULL, NULL, "parser", 1344);
  gc_frame_newslot(block4380);
// method "_apply"
  block_savedest(block4380);
  Object closure4381 = createclosure(2, "_apply");
  setclosureframe(closure4381, stackframe);
  addtoclosure(closure4381, var_blocksOK);
  addtoclosure(closure4381, selfslot);
  struct UserObject *uo4381 = (struct UserObject*)block4380;
  uo4381->data[0] = (Object)closure4381;
  Method *meth_meth_parser__apply4381 = addmethod2pos(block4380, "_apply", &meth_parser__apply4381, 0);
  int argcv_meth_parser__apply4381[] = {0};
  meth_meth_parser__apply4381->type = alloc_MethodType(1, argcv_meth_parser__apply4381);
  meth_meth_parser__apply4381->definitionModule = modulename;
  meth_meth_parser__apply4381->definitionLine = 3404;
// compiled block node returning block4380 (depth = 9)
  gc_frame_newslot(block4380);
// call case 4: self request
  params[0] = block4380;
  partcv[0] = 1;
  Object call4385 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4379);
// compiled call node returning call4385 (depth = 8)
  Object call4386 = callmethodflags(call4385, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4378);
// compiled member node returning call4386 (depth = 7)
  Object if4377 = done;
  if (istrue(call4386)) {
// Begin line 1345
  setline(1345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe4387 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4388 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call4389 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4388);
// compiled member node returning call4389 (depth = 9)
  Object call4390 = callmethodflags(call4389, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4387);
// compiled member node returning call4390 (depth = 8)
  *var_suggestion = call4390;
  if (call4390 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1346
  setline(1346);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe4391 = gc_frame_new();
// starting to compile array node (depth = 9)
  Object array4392 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 10)
  if (strlit4393 == NULL) {
    strlit4393 = alloc_String("rparen");
    gc_root(strlit4393);
  }
// compiled string node returning strlit4393 (depth = 10)
  params[0] = strlit4393;
  partcv[0] = 1;
  callmethodflags(array4392, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array4392 (depth = 9)
  gc_frame_newslot(array4392);
// call case 4: self request
  params[0] = array4392;
  partcv[0] = 1;
  Object call4394 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4391);
// compiled call node returning call4394 (depth = 8)
  *var_nextTok = call4394;
  if (call4394 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1347
  setline(1347);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_4396 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_4396 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4398 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult4398 (depth = 8)
  Object if4395 = done;
  if (istrue(opresult4398)) {
// Begin line 1348
  setline(1348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4399 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4400 == NULL) {
    strlit4400 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4400);
  }
// compiled string node returning strlit4400 (depth = 9)
  gc_frame_newslot(strlit4400);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4400;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4401 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4399);
// compiled call node returning call4401 (depth = 8)
    gc_frame_newslot(call4401);
    if4395 = call4401;
  } else {
// Begin line 1350
  setline(1350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4402 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
  int callframe4403 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call4404 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4403);
// compiled member node returning call4404 (depth = 9)
  gc_frame_newslot(call4404);
// starting to compile identifier node (depth = 9)
  Object bool4405 = alloc_Boolean(1);
// compiled identifier node returning bool4405 (depth = 9)
  gc_frame_newslot(bool4405);
// starting to compile identifier node (depth = 9)
  Object bool4406 = alloc_Boolean(0);
// compiled identifier node returning bool4406 (depth = 9)
  gc_frame_newslot(bool4406);
// starting to compile string node (depth = 9)
  if (strlit4407 == NULL) {
    strlit4407 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4407);
  }
// compiled string node returning strlit4407 (depth = 9)
  gc_frame_newslot(strlit4407);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call4404;
  params[2] = bool4405;
  params[3] = bool4406;
  params[4] = strlit4407;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4408 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe4402);
// compiled call node returning call4408 (depth = 8)
    gc_frame_newslot(call4408);
    if4395 = call4408;
  }
// compiled if node returning if4395 (depth = 7)
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4409 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4410 == NULL) {
    strlit4410 = alloc_String("a match statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4410);
  }
// compiled string node returning strlit4410 (depth = 8)
  gc_frame_newslot(strlit4410);
// Begin line 1353
  setline(1353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe4411 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call4412 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4411);
// compiled member node returning call4412 (depth = 8)
  gc_frame_newslot(call4412);
// starting to compile member node (depth = 8)
  int callframe4413 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call4414 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4413);
// compiled member node returning call4414 (depth = 8)
  gc_frame_newslot(call4414);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1352
  setline(1352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit4410;
  params[1] = call4412;
  params[2] = call4414;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4415 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4409);
// compiled call node returning call4415 (depth = 7)
    gc_frame_newslot(call4415);
    if4377 = call4415;
  } else {
  }
// compiled if node returning if4377 (depth = 6)
// Begin line 1355
  setline(1355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4418 == NULL) {
    strlit4418 = alloc_String("rparen");
    gc_root(strlit4418);
  }
// compiled string node returning strlit4418 (depth = 8)
  int op_slot_right_4417 = gc_frame_newslot(strlit4418);
// starting to compile member node (depth = 8)
  int callframe4420 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call4421 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4420);
// compiled member node returning call4421 (depth = 8)
  int op_slot_left_4417 = gc_frame_newslot(call4421);
  params[0] = strlit4418;
  partcv[0] = 1;
  Object opresult4422 = callmethod(call4421, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4422 (depth = 7)
  Object if4416 = done;
  if (istrue(opresult4422)) {
// Begin line 1356
  setline(1356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4423 = gc_frame_new();
// call case 4: self request
  Object call4424 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4423);
// compiled member node returning call4424 (depth = 7)
// Begin line 1357
  setline(1357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe4425 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe4426 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call4427 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4426);
// compiled member node returning call4427 (depth = 9)
  Object call4428 = callmethodflags(call4427, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4425);
// compiled member node returning call4428 (depth = 8)
  *var_suggestion = call4428;
  if (call4428 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1358
  setline(1358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4429 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4430 == NULL) {
    strlit4430 = alloc_String(")");
    gc_root(strlit4430);
  }
// compiled string node returning strlit4430 (depth = 8)
  gc_frame_newslot(strlit4430);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4430;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4431 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4429);
// compiled call node returning call4431 (depth = 7)
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4432 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4433 == NULL) {
    strlit4433 = alloc_String("an expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4433);
  }
// compiled string node returning strlit4433 (depth = 8)
  gc_frame_newslot(strlit4433);
// Begin line 1360
  setline(1360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe4434 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call4435 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4434);
// compiled member node returning call4435 (depth = 8)
  gc_frame_newslot(call4435);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe4437 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call4438 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4437);
// compiled member node returning call4438 (depth = 9)
  int op_slot_right_4436 = gc_frame_newslot(call4438);
// starting to compile member node (depth = 9)
  int callframe4440 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call4441 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4440);
// compiled member node returning call4441 (depth = 9)
  int op_slot_left_4436 = gc_frame_newslot(call4441);
  params[0] = call4438;
  partcv[0] = 1;
  Object sum4442 = callmethod(call4441, "+(1)", 1, partcv, params);
// compiled op node returning sum4442 (depth = 8)
  gc_frame_newslot(sum4442);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1359
  setline(1359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit4433;
  params[1] = call4435;
  params[2] = sum4442;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4443 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4432);
// compiled call node returning call4443 (depth = 7)
    gc_frame_newslot(call4443);
    if4416 = call4443;
  } else {
  }
// compiled if node returning if4416 (depth = 6)
// Begin line 1362
  setline(1362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4444 = gc_frame_new();
// call case 4: self request
  Object call4445 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4444);
// compiled member node returning call4445 (depth = 6)
    gc_frame_newslot(call4445);
    if4371 = call4445;
  } else {
// Begin line 1364
  setline(1364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile array node (depth = 7)
  Object array4446 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4446 (depth = 7)
  *var_suggestions = array4446;
  if (array4446 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1365
  setline(1365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe4447 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call4448 = callmethodflags(self, "findNextTokenIndentedAt(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4447);
// compiled call node returning call4448 (depth = 7)
  *var_nextTok = call4448;
  if (call4448 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1366
  setline(1366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe4449 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe4450 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call4451 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4450);
// compiled member node returning call4451 (depth = 8)
  Object call4452 = callmethodflags(call4451, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4449);
// compiled member node returning call4452 (depth = 7)
  *var_suggestion = call4452;
  if (call4452 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1367
  setline(1367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_right_4454 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 8)
  Object bool4456 = alloc_Boolean(0);
// compiled identifier node returning bool4456 (depth = 8)
  int op_slot_left_4454 = gc_frame_newslot(bool4456);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult4457 = callmethod(bool4456, "==(1)", 1, partcv, params);
// compiled op node returning opresult4457 (depth = 7)
  Object if4453 = done;
  if (istrue(opresult4457)) {
// Begin line 1368
  setline(1368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4458 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4459 == NULL) {
    strlit4459 = alloc_String(" }");
    gc_root(strlit4459);
  }
// compiled string node returning strlit4459 (depth = 8)
  gc_frame_newslot(strlit4459);
// starting to compile member node (depth = 8)
  int callframe4460 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  Object call4461 = callmethodflags(*var_tokens, "last", 0, partcv, params, 0);
  gc_frame_end(callframe4460);
// compiled member node returning call4461 (depth = 8)
  gc_frame_newslot(call4461);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4459;
  params[1] = call4461;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4462 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4458);
// compiled call node returning call4462 (depth = 7)
// Begin line 1369
  setline(1369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4463 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4464 == NULL) {
    strlit4464 = alloc_String(" {");
    gc_root(strlit4464);
  }
// compiled string node returning strlit4464 (depth = 8)
  gc_frame_newslot(strlit4464);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit4464;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4465 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4463);
// compiled call node returning call4465 (depth = 7)
// Begin line 1370
  setline(1370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4466 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4467 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4466);
// compiled call node returning call4467 (depth = 7)
    gc_frame_newslot(call4467);
    if4453 = call4467;
  } else {
// Begin line 1377
  setline(1377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1371
  setline(1371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_4469 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_4469 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4471 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult4471 (depth = 8)
  Object if4468 = done;
  if (istrue(opresult4471)) {
// Begin line 1372
  setline(1372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4472 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4473 == NULL) {
    strlit4473 = alloc_String(" (""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4473);
  }
// compiled string node returning strlit4473 (depth = 9)
  gc_frame_newslot(strlit4473);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4473;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4474 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4472);
// compiled call node returning call4474 (depth = 8)
// Begin line 1373
  setline(1373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4475 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4476 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4475);
// compiled call node returning call4476 (depth = 8)
// Begin line 1374
  setline(1374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe4477 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe4478 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call4479 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4478);
// compiled member node returning call4479 (depth = 10)
  Object call4480 = callmethodflags(call4479, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4477);
// compiled member node returning call4480 (depth = 9)
  *var_suggestion = call4480;
  if (call4480 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1375
  setline(1375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4482 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4483 == NULL) {
    strlit4483 = alloc_String(" { ""\xc2""""\xab""match expression""\xc2""""\xbb"" }");
    gc_root(strlit4483);
  }
// compiled string node returning strlit4483 (depth = 9)
  gc_frame_newslot(strlit4483);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4483;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4484 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4482);
// compiled call node returning call4484 (depth = 8)
// Begin line 1376
  setline(1376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4485 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4486 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4485);
// compiled call node returning call4486 (depth = 8)
    gc_frame_newslot(call4486);
    if4468 = call4486;
  } else {
// Begin line 1378
  setline(1378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4487 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4488 == NULL) {
    strlit4488 = alloc_String(" }");
    gc_root(strlit4488);
  }
// compiled string node returning strlit4488 (depth = 9)
  gc_frame_newslot(strlit4488);
// starting to compile member node (depth = 9)
  int callframe4489 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call4490 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4489);
// compiled member node returning call4490 (depth = 9)
  gc_frame_newslot(call4490);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4488;
  params[1] = call4490;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4491 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4487);
// compiled call node returning call4491 (depth = 8)
// Begin line 1379
  setline(1379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4492 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4493 == NULL) {
    strlit4493 = alloc_String(" {");
    gc_root(strlit4493);
  }
// compiled string node returning strlit4493 (depth = 9)
  gc_frame_newslot(strlit4493);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit4493;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4494 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4492);
// compiled call node returning call4494 (depth = 8)
// Begin line 1380
  setline(1380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4495 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4496 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4495);
// compiled call node returning call4496 (depth = 8)
    gc_frame_newslot(call4496);
    if4468 = call4496;
  }
// compiled if node returning if4468 (depth = 7)
    gc_frame_newslot(if4468);
    if4453 = if4468;
  }
// compiled if node returning if4453 (depth = 6)
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4497 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4498 == NULL) {
    strlit4498 = alloc_String("a match statement must have either a matching block or an expression in parentheses after the 'case'.");
    gc_root(strlit4498);
  }
// compiled string node returning strlit4498 (depth = 7)
  gc_frame_newslot(strlit4498);
// Begin line 1383
  setline(1383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4499 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call4500 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4499);
// compiled member node returning call4500 (depth = 7)
  gc_frame_newslot(call4500);
// starting to compile member node (depth = 7)
  int callframe4501 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call4502 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4501);
// compiled member node returning call4502 (depth = 7)
  gc_frame_newslot(call4502);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1382
  setline(1382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit4498;
  params[1] = call4500;
  params[2] = call4502;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4503 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4497);
// compiled call node returning call4503 (depth = 6)
    gc_frame_newslot(call4503);
    if4371 = call4503;
  }
// compiled if node returning if4371 (depth = 5)
    gc_frame_newslot(if4371);
    if4365 = if4371;
  }
// compiled if node returning if4365 (depth = 4)
// Begin line 1385
  setline(1385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4504 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe4505 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call4506 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe4505);
// compiled member node returning call4506 (depth = 5)
  gc_frame_newslot(call4506);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_cases (depth = 5)
  params[0] = call4506;
  partcv[0] = 1;
  Object call4507 = callmethodflags(*var_cases, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4504);
// compiled call node returning call4507 (depth = 4)
  gc_frame_end(frame);
  return call4507;
}
Object meth_parser_matchcase4148(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 34, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "matchcase");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_tokens = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localmin = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "localmin");
  Object *var_matchTok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "matchTok");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_matchee = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "matchee");
  Object *var_cases = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "cases");
  Object *var_elsecase = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "elsecase");
// Begin line 1289
  setline(1289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4150 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4153 == NULL) {
    strlit4153 = alloc_String("match");
    gc_root(strlit4153);
  }
// compiled string node returning strlit4153 (depth = 6)
  int op_slot_right_4152 = gc_frame_newslot(strlit4153);
// starting to compile member node (depth = 6)
  int callframe4155 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call4156 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4155);
// compiled member node returning call4156 (depth = 6)
  int op_slot_left_4152 = gc_frame_newslot(call4156);
  params[0] = strlit4153;
  partcv[0] = 1;
  Object opresult4157 = callmethod(call4156, "==(1)", 1, partcv, params);
// compiled op node returning opresult4157 (depth = 5)
  int op_slot_right_4151 = gc_frame_newslot(opresult4157);
// starting to compile call node (depth = 5)
  int callframe4159 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4160 == NULL) {
    strlit4160 = alloc_String("identifier");
    gc_root(strlit4160);
  }
// compiled string node returning strlit4160 (depth = 6)
  gc_frame_newslot(strlit4160);
// call case 4: self request
  params[0] = strlit4160;
  partcv[0] = 1;
  Object call4161 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4159);
// compiled call node returning call4161 (depth = 5)
  int op_slot_left_4151 = gc_frame_newslot(call4161);
  params[0] = opresult4157;
  partcv[0] = 1;
  Object opresult4162 = callmethod(call4161, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4162 (depth = 4)
  partcv[0] = 0;
  Object call4163 = callmethodflags(opresult4162, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe4150);
// compiled call node returning call4163 (depth = 3)
  Object if4149 = done;
  if (istrue(call4163)) {
// Begin line 1290
  setline(1290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4164 = alloc_Float64(0);
// compiled num node returning num4164 (depth = 4)
  return num4164;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if4149 = undefined;
  } else {
  }
// compiled if node returning if4149 (depth = 2)
// Begin line 1292
  setline(1292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_localmin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1293
  setline(1293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_matchTok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1294
  setline(1294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4165 = gc_frame_new();
// call case 4: self request
  Object call4166 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4165);
// compiled member node returning call4166 (depth = 2)
// Begin line 1295
  setline(1295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4169 == NULL) {
    strlit4169 = alloc_String("lparen");
    gc_root(strlit4169);
  }
// compiled string node returning strlit4169 (depth = 4)
  int op_slot_right_4168 = gc_frame_newslot(strlit4169);
// starting to compile member node (depth = 4)
  int callframe4171 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call4172 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4171);
// compiled member node returning call4172 (depth = 4)
  int op_slot_left_4168 = gc_frame_newslot(call4172);
  params[0] = strlit4169;
  partcv[0] = 1;
  Object opresult4173 = callmethod(call4172, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4173 (depth = 3)
  Object if4167 = done;
  if (istrue(opresult4173)) {
// Begin line 1296
  setline(1296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4174 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4175 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call4176 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4175);
// compiled member node returning call4176 (depth = 5)
  Object call4177 = callmethodflags(call4176, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4174);
// compiled member node returning call4177 (depth = 4)
  *var_suggestion = call4177;
  if (call4177 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1298
  setline(1298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4178 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4179 = alloc_Block(NULL, NULL, "parser", 1298);
  gc_frame_newslot(block4179);
// method "_apply(_)"
  block_savedest(block4179);
  Object closure4180 = createclosure(2, "_apply(1)");
  setclosureframe(closure4180, stackframe);
  addtoclosure(closure4180, var_matchTok);
  addtoclosure(closure4180, selfslot);
  struct UserObject *uo4180 = (struct UserObject*)block4179;
  uo4180->data[0] = (Object)closure4180;
  Method *meth_meth_parser__apply_40_1_41_4180 = addmethod2pos(block4179, "_apply(1)", &meth_parser__apply_40_1_41_4180, 0);
  int argcv_meth_parser__apply_40_1_41_4180[] = {1};
  meth_meth_parser__apply_40_1_41_4180->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_4180);
  meth_meth_parser__apply_40_1_41_4180->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_4180->definitionLine = 3404;
// compiled block node returning block4179 (depth = 5)
  gc_frame_newslot(block4179);
// call case 4: self request
  params[0] = block4179;
  partcv[0] = 1;
  Object call4216 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4178);
// compiled call node returning call4216 (depth = 4)
  *var_nextTok = call4216;
  if (call4216 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1300
  setline(1300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nextTok (depth = 5)
  int op_slot_right_4218 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 5)
  Object bool4220 = alloc_Boolean(0);
// compiled identifier node returning bool4220 (depth = 5)
  int op_slot_left_4218 = gc_frame_newslot(bool4220);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult4221 = callmethod(bool4220, "==(1)", 1, partcv, params);
// compiled op node returning opresult4221 (depth = 4)
  Object if4217 = done;
  if (istrue(opresult4221)) {
// Begin line 1301
  setline(1301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4222 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4223 == NULL) {
    strlit4223 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb"")");
    gc_root(strlit4223);
  }
// compiled string node returning strlit4223 (depth = 5)
  gc_frame_newslot(strlit4223);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_matchTok (depth = 5)
  gc_frame_newslot(*var_matchTok);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit4223;
  params[1] = *var_matchTok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4224 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4222);
// compiled call node returning call4224 (depth = 4)
    gc_frame_newslot(call4224);
    if4217 = call4224;
  } else {
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1302
  setline(1302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4227 == NULL) {
    strlit4227 = alloc_String("rparen");
    gc_root(strlit4227);
  }
// compiled string node returning strlit4227 (depth = 6)
  int op_slot_right_4226 = gc_frame_newslot(strlit4227);
// starting to compile member node (depth = 6)
  int callframe4229 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call4230 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4229);
// compiled member node returning call4230 (depth = 6)
  int op_slot_left_4226 = gc_frame_newslot(call4230);
  params[0] = strlit4227;
  partcv[0] = 1;
  Object opresult4231 = callmethod(call4230, "==(1)", 1, partcv, params);
// compiled op node returning opresult4231 (depth = 5)
  Object if4225 = done;
  if (istrue(opresult4231)) {
// Begin line 1303
  setline(1303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_4233 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_4233 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4235 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult4235 (depth = 6)
  Object if4232 = done;
  if (istrue(opresult4235)) {
// Begin line 1304
  setline(1304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4236 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4237 == NULL) {
    strlit4237 = alloc_String("(""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4237);
  }
// compiled string node returning strlit4237 (depth = 7)
  gc_frame_newslot(strlit4237);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4237;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4238 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4236);
// compiled call node returning call4238 (depth = 6)
    gc_frame_newslot(call4238);
    if4232 = call4238;
  } else {
// Begin line 1306
  setline(1306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4239 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4240 == NULL) {
    strlit4240 = alloc_String("(");
    gc_root(strlit4240);
  }
// compiled string node returning strlit4240 (depth = 7)
  gc_frame_newslot(strlit4240);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4240;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4241 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4239);
// compiled call node returning call4241 (depth = 6)
    gc_frame_newslot(call4241);
    if4232 = call4241;
  }
// compiled if node returning if4232 (depth = 5)
    gc_frame_newslot(if4232);
    if4225 = if4232;
  } else {
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1308
  setline(1308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4244 == NULL) {
    strlit4244 = alloc_String("identifier");
    gc_root(strlit4244);
  }
// compiled string node returning strlit4244 (depth = 7)
  int op_slot_right_4243 = gc_frame_newslot(strlit4244);
// starting to compile member node (depth = 7)
  int callframe4246 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call4247 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4246);
// compiled member node returning call4247 (depth = 7)
  int op_slot_left_4243 = gc_frame_newslot(call4247);
  params[0] = strlit4244;
  partcv[0] = 1;
  Object opresult4248 = callmethod(call4247, "==(1)", 1, partcv, params);
// compiled op node returning opresult4248 (depth = 6)
  Object if4242 = done;
  if (istrue(opresult4248)) {
// Begin line 1309
  setline(1309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4249 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4250 == NULL) {
    strlit4250 = alloc_String("(");
    gc_root(strlit4250);
  }
// compiled string node returning strlit4250 (depth = 7)
  gc_frame_newslot(strlit4250);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4250;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4251 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4249);
// compiled call node returning call4251 (depth = 6)
// Begin line 1310
  setline(1310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe4252 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4253 == NULL) {
    strlit4253 = alloc_String(")");
    gc_root(strlit4253);
  }
// compiled string node returning strlit4253 (depth = 7)
  gc_frame_newslot(strlit4253);
// starting to compile member node (depth = 7)
  int callframe4254 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call4255 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4254);
// compiled member node returning call4255 (depth = 7)
  gc_frame_newslot(call4255);
// starting to compile identifier node (depth = 7)
  Object bool4256 = alloc_Boolean(1);
// compiled identifier node returning bool4256 (depth = 7)
  gc_frame_newslot(bool4256);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit4253;
  params[1] = call4255;
  params[2] = bool4256;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4257 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4252);
// compiled call node returning call4257 (depth = 6)
    gc_frame_newslot(call4257);
    if4242 = call4257;
  } else {
  }
// compiled if node returning if4242 (depth = 5)
    gc_frame_newslot(if4242);
    if4225 = if4242;
  }
// compiled if node returning if4225 (depth = 4)
    gc_frame_newslot(if4225);
    if4217 = if4225;
  }
// compiled if node returning if4217 (depth = 3)
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4258 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4259 == NULL) {
    strlit4259 = alloc_String("a match statement must have an expression in parentheses after the 'match'.");
    gc_root(strlit4259);
  }
// compiled string node returning strlit4259 (depth = 4)
  gc_frame_newslot(strlit4259);
// Begin line 1313
  setline(1313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4260 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_matchTok (depth = 5)
  Object call4261 = callmethodflags(*var_matchTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4260);
// compiled member node returning call4261 (depth = 4)
  gc_frame_newslot(call4261);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4263 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_matchTok (depth = 6)
  Object call4264 = callmethodflags(*var_matchTok, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4263);
// compiled member node returning call4264 (depth = 5)
  int op_slot_right_4262 = gc_frame_newslot(call4264);
// starting to compile member node (depth = 5)
  int callframe4266 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_matchTok (depth = 6)
  Object call4267 = callmethodflags(*var_matchTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4266);
// compiled member node returning call4267 (depth = 5)
  int op_slot_left_4262 = gc_frame_newslot(call4267);
  params[0] = call4264;
  partcv[0] = 1;
  Object sum4268 = callmethod(call4267, "+(1)", 1, partcv, params);
// compiled op node returning sum4268 (depth = 4)
  gc_frame_newslot(sum4268);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1312
  setline(1312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit4259;
  params[1] = call4261;
  params[2] = sum4268;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4269 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4258);
// compiled call node returning call4269 (depth = 3)
    gc_frame_newslot(call4269);
    if4167 = call4269;
  } else {
  }
// compiled if node returning if4167 (depth = 2)
// Begin line 1315
  setline(1315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4270 = gc_frame_new();
// call case 4: self request
  Object call4271 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4270);
// compiled member node returning call4271 (depth = 2)
// Begin line 1316
  setline(1316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4273 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe4274 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block4275 = alloc_Block(NULL, NULL, "parser", 1316);
  gc_frame_newslot(block4275);
// method "_apply"
  block_savedest(block4275);
  Object closure4276 = createclosure(2, "_apply");
  setclosureframe(closure4276, stackframe);
  addtoclosure(closure4276, var_blocksOK);
  addtoclosure(closure4276, selfslot);
  struct UserObject *uo4276 = (struct UserObject*)block4275;
  uo4276->data[0] = (Object)closure4276;
  Method *meth_meth_parser__apply4276 = addmethod2pos(block4275, "_apply", &meth_parser__apply4276, 0);
  int argcv_meth_parser__apply4276[] = {0};
  meth_meth_parser__apply4276->type = alloc_MethodType(1, argcv_meth_parser__apply4276);
  meth_meth_parser__apply4276->definitionModule = modulename;
  meth_meth_parser__apply4276->definitionLine = 3404;
// compiled block node returning block4275 (depth = 5)
  gc_frame_newslot(block4275);
// call case 4: self request
  params[0] = block4275;
  partcv[0] = 1;
  Object call4280 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4274);
// compiled call node returning call4280 (depth = 4)
  Object call4281 = callmethodflags(call4280, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4273);
// compiled member node returning call4281 (depth = 3)
  Object if4272 = done;
  if (istrue(call4281)) {
// Begin line 1317
  setline(1317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4282 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4283 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call4284 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4283);
// compiled member node returning call4284 (depth = 5)
  Object call4285 = callmethodflags(call4284, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4282);
// compiled member node returning call4285 (depth = 4)
  *var_suggestion = call4285;
  if (call4285 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1318
  setline(1318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4286 = gc_frame_new();
// starting to compile array node (depth = 5)
  Object array4287 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 6)
  if (strlit4288 == NULL) {
    strlit4288 = alloc_String("rparen");
    gc_root(strlit4288);
  }
// compiled string node returning strlit4288 (depth = 6)
  params[0] = strlit4288;
  partcv[0] = 1;
  callmethodflags(array4287, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array4287 (depth = 5)
  gc_frame_newslot(array4287);
// call case 4: self request
  params[0] = array4287;
  partcv[0] = 1;
  Object call4289 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4286);
// compiled call node returning call4289 (depth = 4)
  *var_nextTok = call4289;
  if (call4289 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1319
  setline(1319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  int op_slot_right_4291 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nextTok (depth = 5)
  int op_slot_left_4291 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4293 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult4293 (depth = 4)
  Object if4290 = done;
  if (istrue(opresult4293)) {
// Begin line 1320
  setline(1320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4294 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4295 == NULL) {
    strlit4295 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4295);
  }
// compiled string node returning strlit4295 (depth = 5)
  gc_frame_newslot(strlit4295);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit4295;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4296 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4294);
// compiled call node returning call4296 (depth = 4)
    gc_frame_newslot(call4296);
    if4290 = call4296;
  } else {
// Begin line 1322
  setline(1322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4297 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 5)
  int callframe4298 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  Object call4299 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4298);
// compiled member node returning call4299 (depth = 5)
  gc_frame_newslot(call4299);
// starting to compile identifier node (depth = 5)
  Object bool4300 = alloc_Boolean(1);
// compiled identifier node returning bool4300 (depth = 5)
  gc_frame_newslot(bool4300);
// starting to compile identifier node (depth = 5)
  Object bool4301 = alloc_Boolean(0);
// compiled identifier node returning bool4301 (depth = 5)
  gc_frame_newslot(bool4301);
// starting to compile string node (depth = 5)
  if (strlit4302 == NULL) {
    strlit4302 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4302);
  }
// compiled string node returning strlit4302 (depth = 5)
  gc_frame_newslot(strlit4302);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_sym;
  params[1] = call4299;
  params[2] = bool4300;
  params[3] = bool4301;
  params[4] = strlit4302;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4303 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe4297);
// compiled call node returning call4303 (depth = 4)
    gc_frame_newslot(call4303);
    if4290 = call4303;
  }
// compiled if node returning if4290 (depth = 3)
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4304 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4305 == NULL) {
    strlit4305 = alloc_String("a match statement must have an expression in parentheses after the 'match'.");
    gc_root(strlit4305);
  }
// compiled string node returning strlit4305 (depth = 4)
  gc_frame_newslot(strlit4305);
// Begin line 1325
  setline(1325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4306 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call4307 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4306);
// compiled member node returning call4307 (depth = 4)
  gc_frame_newslot(call4307);
// starting to compile member node (depth = 4)
  int callframe4308 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call4309 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4308);
// compiled member node returning call4309 (depth = 4)
  gc_frame_newslot(call4309);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1324
  setline(1324);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit4305;
  params[1] = call4307;
  params[2] = call4309;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4310 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4304);
// compiled call node returning call4310 (depth = 3)
    gc_frame_newslot(call4310);
    if4272 = call4310;
  } else {
  }
// compiled if node returning if4272 (depth = 2)
// Begin line 1327
  setline(1327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4311 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  Object call4312 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe4311);
// compiled member node returning call4312 (depth = 3)
  *var_matchee = call4312;
  if (call4312 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1328
  setline(1328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4315 == NULL) {
    strlit4315 = alloc_String("rparen");
    gc_root(strlit4315);
  }
// compiled string node returning strlit4315 (depth = 4)
  int op_slot_right_4314 = gc_frame_newslot(strlit4315);
// starting to compile member node (depth = 4)
  int callframe4317 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call4318 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4317);
// compiled member node returning call4318 (depth = 4)
  int op_slot_left_4314 = gc_frame_newslot(call4318);
  params[0] = strlit4315;
  partcv[0] = 1;
  Object opresult4319 = callmethod(call4318, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4319 (depth = 3)
  Object if4313 = done;
  if (istrue(opresult4319)) {
// Begin line 1329
  setline(1329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4320 = gc_frame_new();
// call case 4: self request
  Object call4321 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4320);
// compiled member node returning call4321 (depth = 3)
// Begin line 1330
  setline(1330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4322 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe4323 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call4324 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4323);
// compiled member node returning call4324 (depth = 5)
  Object call4325 = callmethodflags(call4324, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4322);
// compiled member node returning call4325 (depth = 4)
  *var_suggestion = call4325;
  if (call4325 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1331
  setline(1331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4326 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4327 == NULL) {
    strlit4327 = alloc_String(")");
    gc_root(strlit4327);
  }
// compiled string node returning strlit4327 (depth = 4)
  gc_frame_newslot(strlit4327);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit4327;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4328 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4326);
// compiled call node returning call4328 (depth = 3)
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4329 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4330 == NULL) {
    strlit4330 = alloc_String("an expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4330);
  }
// compiled string node returning strlit4330 (depth = 4)
  gc_frame_newslot(strlit4330);
// Begin line 1333
  setline(1333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4331 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call4332 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4331);
// compiled member node returning call4332 (depth = 4)
  gc_frame_newslot(call4332);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4334 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call4335 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4334);
// compiled member node returning call4335 (depth = 5)
  int op_slot_right_4333 = gc_frame_newslot(call4335);
// starting to compile member node (depth = 5)
  int callframe4337 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call4338 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4337);
// compiled member node returning call4338 (depth = 5)
  int op_slot_left_4333 = gc_frame_newslot(call4338);
  params[0] = call4335;
  partcv[0] = 1;
  Object sum4339 = callmethod(call4338, "+(1)", 1, partcv, params);
// compiled op node returning sum4339 (depth = 4)
  gc_frame_newslot(sum4339);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1332
  setline(1332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit4330;
  params[1] = call4332;
  params[2] = sum4339;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4340 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4329);
// compiled call node returning call4340 (depth = 3)
    gc_frame_newslot(call4340);
    if4313 = call4340;
  } else {
  }
// compiled if node returning if4313 (depth = 2)
// Begin line 1335
  setline(1335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe4341 = gc_frame_new();
// call case 4: self request
  Object call4342 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4341);
// compiled member node returning call4342 (depth = 2)
// Begin line 1336
  setline(1336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array4343 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4343 (depth = 3)
  *var_cases = array4343;
  if (array4343 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1337
  setline(1337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool4344 = alloc_Boolean(0);
// compiled identifier node returning bool4344 (depth = 3)
  *var_elsecase = bool4344;
  if (bool4344 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1338
  setline(1338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4345 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4346 = alloc_Block(NULL, NULL, "parser", 1338);
  gc_frame_newslot(block4346);
// method "_apply"
  block_savedest(block4346);
  Object closure4347 = createclosure(2, "_apply");
  setclosureframe(closure4347, stackframe);
  addtoclosure(closure4347, var_sym);
  addtoclosure(closure4347, selfslot);
  struct UserObject *uo4347 = (struct UserObject*)block4346;
  uo4347->data[0] = (Object)closure4347;
  Method *meth_meth_parser__apply4347 = addmethod2pos(block4346, "_apply", &meth_parser__apply4347, 0);
  int argcv_meth_parser__apply4347[] = {0};
  meth_meth_parser__apply4347->type = alloc_MethodType(1, argcv_meth_parser__apply4347);
  meth_meth_parser__apply4347->definitionModule = modulename;
  meth_meth_parser__apply4347->definitionLine = 3404;
// compiled block node returning block4346 (depth = 3)
  gc_frame_newslot(block4346);
// starting to compile block node (depth = 3)
  Object block4361 = alloc_Block(NULL, NULL, "parser", 1338);
  gc_frame_newslot(block4361);
// method "_apply"
  block_savedest(block4361);
  Object closure4362 = createclosure(8, "_apply");
  setclosureframe(closure4362, stackframe);
  addtoclosure(closure4362, var_blocksOK);
  addtoclosure(closure4362, var_errormessages);
  addtoclosure(closure4362, var_sym);
  addtoclosure(closure4362, var_lastToken);
  addtoclosure(closure4362, var_tokens);
  addtoclosure(closure4362, var_values);
  addtoclosure(closure4362, var_cases);
  addtoclosure(closure4362, selfslot);
  struct UserObject *uo4362 = (struct UserObject*)block4361;
  uo4362->data[0] = (Object)closure4362;
  Method *meth_meth_parser__apply4362 = addmethod2pos(block4361, "_apply", &meth_parser__apply4362, 0);
  int argcv_meth_parser__apply4362[] = {0};
  meth_meth_parser__apply4362->type = alloc_MethodType(1, argcv_meth_parser__apply4362);
  meth_meth_parser__apply4362->definitionModule = modulename;
  meth_meth_parser__apply4362->definitionLine = 3404;
// compiled block node returning block4361 (depth = 3)
  gc_frame_newslot(block4361);
// call case 5: prelude request
  params[0] = block4346;
  params[1] = block4361;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4509 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4345);
// compiled call node returning call4509 (depth = 2)
// Begin line 1387
  setline(1387);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4510 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe4511 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_matchTok (depth = 4)
  Object call4512 = callmethodflags(*var_matchTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4511);
// compiled member node returning call4512 (depth = 3)
  gc_frame_newslot(call4512);
// starting to compile member node (depth = 3)
  int callframe4513 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_matchTok (depth = 4)
  Object call4514 = callmethodflags(*var_matchTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4513);
// compiled member node returning call4514 (depth = 3)
  gc_frame_newslot(call4514);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call4512;
  params[1] = call4514;
  partcv[0] = 2;
  Object call4515 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4510);
// compiled call node returning call4515 (depth = 2)
// Begin line 1388
  setline(1388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4516 = gc_frame_new();
// starting to compile call node (depth = 3)
  int callframe4517 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_matchee (depth = 4)
  gc_frame_newslot(*var_matchee);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_cases (depth = 4)
  gc_frame_newslot(*var_cases);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_elsecase (depth = 4)
  gc_frame_newslot(*var_elsecase);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe4518 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call4519 = callmethodflags(*var_ast, "matchCaseNode", 0, partcv, params, 0);
  gc_frame_end(callframe4518);
// compiled member node returning call4519 (depth = 4)
  params[0] = *var_matchee;
  params[1] = *var_cases;
  params[2] = *var_elsecase;
  partcv[0] = 3;
  Object call4520 = callmethodflags(call4519, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe4517);
// compiled call node returning call4520 (depth = 3)
  gc_frame_newslot(call4520);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = call4520;
  partcv[0] = 1;
  Object call4521 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4516);
// compiled call node returning call4521 (depth = 2)
// Begin line 1389
  setline(1389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_localmin (depth = 3)
  *var_minIndentLevel = *var_localmin;
  if (*var_localmin == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_term4523(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 35, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "term");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1394
  setline(1394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4524 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe4525 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call4526 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4525);
// compiled member node returning call4526 (depth = 3)
  gc_frame_newslot(call4526);
// starting to compile member node (depth = 3)
  int callframe4527 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call4528 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4527);
// compiled member node returning call4528 (depth = 3)
  gc_frame_newslot(call4528);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call4526;
  params[1] = call4528;
  partcv[0] = 2;
  Object call4529 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4524);
// compiled call node returning call4529 (depth = 2)
// Begin line 1395
  setline(1395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4531 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4532 == NULL) {
    strlit4532 = alloc_String("num");
    gc_root(strlit4532);
  }
// compiled string node returning strlit4532 (depth = 4)
  gc_frame_newslot(strlit4532);
// call case 4: self request
  params[0] = strlit4532;
  partcv[0] = 1;
  Object call4533 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4531);
// compiled call node returning call4533 (depth = 3)
  Object if4530 = done;
  if (istrue(call4533)) {
// Begin line 1396
  setline(1396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4534 = gc_frame_new();
// call case 4: self request
  Object call4535 = callmethodflags(self, "pushnum", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4534);
// compiled member node returning call4535 (depth = 3)
    gc_frame_newslot(call4535);
    if4530 = call4535;
  } else {
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1397
  setline(1397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4537 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4538 == NULL) {
    strlit4538 = alloc_String("string");
    gc_root(strlit4538);
  }
// compiled string node returning strlit4538 (depth = 5)
  gc_frame_newslot(strlit4538);
// call case 4: self request
  params[0] = strlit4538;
  partcv[0] = 1;
  Object call4539 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4537);
// compiled call node returning call4539 (depth = 4)
  Object if4536 = done;
  if (istrue(call4539)) {
// Begin line 1398
  setline(1398);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4540 = gc_frame_new();
// call case 4: self request
  Object call4541 = callmethodflags(self, "pushstring", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4540);
// compiled member node returning call4541 (depth = 4)
    gc_frame_newslot(call4541);
    if4536 = call4541;
  } else {
// Begin line 1401
  setline(1401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1399
  setline(1399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4545 == NULL) {
    strlit4545 = alloc_String("match");
    gc_root(strlit4545);
  }
// compiled string node returning strlit4545 (depth = 7)
  int op_slot_right_4544 = gc_frame_newslot(strlit4545);
// starting to compile member node (depth = 7)
  int callframe4547 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call4548 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4547);
// compiled member node returning call4548 (depth = 7)
  int op_slot_left_4544 = gc_frame_newslot(call4548);
  params[0] = strlit4545;
  partcv[0] = 1;
  Object opresult4549 = callmethod(call4548, "==(1)", 1, partcv, params);
// compiled op node returning opresult4549 (depth = 6)
  int op_slot_right_4543 = gc_frame_newslot(opresult4549);
// starting to compile call node (depth = 6)
  int callframe4551 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit4552 == NULL) {
    strlit4552 = alloc_String("identifier");
    gc_root(strlit4552);
  }
// compiled string node returning strlit4552 (depth = 7)
  gc_frame_newslot(strlit4552);
// call case 4: self request
  params[0] = strlit4552;
  partcv[0] = 1;
  Object call4553 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4551);
// compiled call node returning call4553 (depth = 6)
  int op_slot_left_4543 = gc_frame_newslot(call4553);
  params[0] = opresult4549;
  partcv[0] = 1;
  Object opresult4554 = callmethod(call4553, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4554 (depth = 5)
  Object if4542 = done;
  if (istrue(opresult4554)) {
// Begin line 1400
  setline(1400);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4555 = gc_frame_new();
// call case 4: self request
  Object call4556 = callmethodflags(self, "matchcase", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4555);
// compiled member node returning call4556 (depth = 5)
    gc_frame_newslot(call4556);
    if4542 = call4556;
  } else {
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1401
  setline(1401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4560 == NULL) {
    strlit4560 = alloc_String("try");
    gc_root(strlit4560);
  }
// compiled string node returning strlit4560 (depth = 8)
  int op_slot_right_4559 = gc_frame_newslot(strlit4560);
// starting to compile member node (depth = 8)
  int callframe4562 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call4563 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4562);
// compiled member node returning call4563 (depth = 8)
  int op_slot_left_4559 = gc_frame_newslot(call4563);
  params[0] = strlit4560;
  partcv[0] = 1;
  Object opresult4564 = callmethod(call4563, "==(1)", 1, partcv, params);
// compiled op node returning opresult4564 (depth = 7)
  int op_slot_right_4558 = gc_frame_newslot(opresult4564);
// starting to compile call node (depth = 7)
  int callframe4566 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4567 == NULL) {
    strlit4567 = alloc_String("identifier");
    gc_root(strlit4567);
  }
// compiled string node returning strlit4567 (depth = 8)
  gc_frame_newslot(strlit4567);
// call case 4: self request
  params[0] = strlit4567;
  partcv[0] = 1;
  Object call4568 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4566);
// compiled call node returning call4568 (depth = 7)
  int op_slot_left_4558 = gc_frame_newslot(call4568);
  params[0] = opresult4564;
  partcv[0] = 1;
  Object opresult4569 = callmethod(call4568, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4569 (depth = 6)
  Object if4557 = done;
  if (istrue(opresult4569)) {
// Begin line 1402
  setline(1402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe4570 = gc_frame_new();
// call case 4: self request
  Object call4571 = callmethodflags(self, "trycatch", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4570);
// compiled member node returning call4571 (depth = 6)
    gc_frame_newslot(call4571);
    if4557 = call4571;
  } else {
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1403
  setline(1403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe4573 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit4574 == NULL) {
    strlit4574 = alloc_String("identifier");
    gc_root(strlit4574);
  }
// compiled string node returning strlit4574 (depth = 8)
  gc_frame_newslot(strlit4574);
// call case 4: self request
  params[0] = strlit4574;
  partcv[0] = 1;
  Object call4575 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4573);
// compiled call node returning call4575 (depth = 7)
  Object if4572 = done;
  if (istrue(call4575)) {
// Begin line 1404
  setline(1404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe4576 = gc_frame_new();
// call case 4: self request
  Object call4577 = callmethodflags(self, "identifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4576);
// compiled member node returning call4577 (depth = 7)
    gc_frame_newslot(call4577);
    if4572 = call4577;
  } else {
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 1405
  setline(1405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe4579 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit4580 == NULL) {
    strlit4580 = alloc_String("object");
    gc_root(strlit4580);
  }
// compiled string node returning strlit4580 (depth = 9)
  gc_frame_newslot(strlit4580);
// call case 4: self request
  params[0] = strlit4580;
  partcv[0] = 1;
  Object call4581 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4579);
// compiled call node returning call4581 (depth = 8)
  Object if4578 = done;
  if (istrue(call4581)) {
// Begin line 1406
  setline(1406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe4582 = gc_frame_new();
// call case 4: self request
  Object call4583 = callmethodflags(self, "doobject", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4582);
// compiled member node returning call4583 (depth = 8)
    gc_frame_newslot(call4583);
    if4578 = call4583;
  } else {
// Begin line 1409
  setline(1409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1407
  setline(1407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe4585 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit4586 == NULL) {
    strlit4586 = alloc_String("type");
    gc_root(strlit4586);
  }
// compiled string node returning strlit4586 (depth = 10)
  gc_frame_newslot(strlit4586);
// call case 4: self request
  params[0] = strlit4586;
  partcv[0] = 1;
  Object call4587 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4585);
// compiled call node returning call4587 (depth = 9)
  Object if4584 = done;
  if (istrue(call4587)) {
// Begin line 1408
  setline(1408);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe4588 = gc_frame_new();
// call case 4: self request
  Object call4589 = callmethodflags(self, "dotypeLiteral", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4588);
// compiled member node returning call4589 (depth = 9)
    gc_frame_newslot(call4589);
    if4584 = call4589;
  } else {
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 1409
  setline(1409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe4591 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit4592 == NULL) {
    strlit4592 = alloc_String("lbrace");
    gc_root(strlit4592);
  }
// compiled string node returning strlit4592 (depth = 11)
  gc_frame_newslot(strlit4592);
// call case 4: self request
  params[0] = strlit4592;
  partcv[0] = 1;
  Object call4593 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4591);
// compiled call node returning call4593 (depth = 10)
  Object if4590 = done;
  if (istrue(call4593)) {
// Begin line 1410
  setline(1410);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe4594 = gc_frame_new();
// call case 4: self request
  Object call4595 = callmethodflags(self, "block", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4594);
// compiled member node returning call4595 (depth = 10)
    gc_frame_newslot(call4595);
    if4590 = call4595;
  } else {
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 1411
  setline(1411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 11)
  int callframe4597 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit4598 == NULL) {
    strlit4598 = alloc_String("lsquare");
    gc_root(strlit4598);
  }
// compiled string node returning strlit4598 (depth = 12)
  gc_frame_newslot(strlit4598);
// call case 4: self request
  params[0] = strlit4598;
  partcv[0] = 1;
  Object call4599 = callmethodflags(self, "acceptAfterSpaces(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4597);
// compiled call node returning call4599 (depth = 11)
  Object if4596 = done;
  if (istrue(call4599)) {
// Begin line 1412
  setline(1412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
  int callframe4600 = gc_frame_new();
// call case 4: self request
  Object call4601 = callmethodflags(self, "doarray", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4600);
// compiled member node returning call4601 (depth = 11)
    gc_frame_newslot(call4601);
    if4596 = call4601;
  } else {
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 1413
  setline(1413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile call node (depth = 13)
  int callframe4604 = gc_frame_new();
// starting to compile string node (depth = 14)
  if (strlit4605 == NULL) {
    strlit4605 = alloc_String("lsquare");
    gc_root(strlit4605);
  }
// compiled string node returning strlit4605 (depth = 14)
  gc_frame_newslot(strlit4605);
// call case 4: self request
  params[0] = strlit4605;
  partcv[0] = 1;
  Object call4606 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4604);
// compiled call node returning call4606 (depth = 13)
  int op_slot_right_4603 = gc_frame_newslot(call4606);
// starting to compile op node (depth = 13)
// starting to compile string node (depth = 14)
  if (strlit4609 == NULL) {
    strlit4609 = alloc_String("identifier");
    gc_root(strlit4609);
  }
// compiled string node returning strlit4609 (depth = 14)
  int op_slot_right_4608 = gc_frame_newslot(strlit4609);
// starting to compile member node (depth = 14)
  int callframe4611 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 15)
// compiled identifier node returning *var_lastToken (depth = 15)
  Object call4612 = callmethodflags(*var_lastToken, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4611);
// compiled member node returning call4612 (depth = 14)
  int op_slot_left_4608 = gc_frame_newslot(call4612);
  params[0] = strlit4609;
  partcv[0] = 1;
  Object opresult4613 = callmethod(call4612, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4613 (depth = 13)
  int op_slot_left_4603 = gc_frame_newslot(opresult4613);
  params[0] = call4606;
  partcv[0] = 1;
  Object opresult4614 = callmethod(opresult4613, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4614 (depth = 12)
  Object if4602 = done;
  if (istrue(opresult4614)) {
// Begin line 1414
  setline(1414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
  int callframe4615 = gc_frame_new();
// call case 4: self request
  Object call4616 = callmethodflags(self, "doarray", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4615);
// compiled member node returning call4616 (depth = 12)
    gc_frame_newslot(call4616);
    if4602 = call4616;
  } else {
// Begin line 1419
  setline(1419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 12)
// Begin line 1415
  setline(1415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 13)
  int callframe4618 = gc_frame_new();
// starting to compile string node (depth = 14)
  if (strlit4619 == NULL) {
    strlit4619 = alloc_String("op");
    gc_root(strlit4619);
  }
// compiled string node returning strlit4619 (depth = 14)
  gc_frame_newslot(strlit4619);
// call case 4: self request
  params[0] = strlit4619;
  partcv[0] = 1;
  Object call4620 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4618);
// compiled call node returning call4620 (depth = 13)
  Object if4617 = done;
  if (istrue(call4620)) {
// Begin line 1417
  setline(1417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 13)
  int callframe4621 = gc_frame_new();
// call case 4: self request
  Object call4622 = callmethodflags(self, "prefixop", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4621);
// compiled member node returning call4622 (depth = 13)
    gc_frame_newslot(call4622);
    if4617 = call4622;
  } else {
  }
// compiled if node returning if4617 (depth = 12)
    gc_frame_newslot(if4617);
    if4602 = if4617;
  }
// compiled if node returning if4602 (depth = 11)
    gc_frame_newslot(if4602);
    if4596 = if4602;
  }
// compiled if node returning if4596 (depth = 10)
    gc_frame_newslot(if4596);
    if4590 = if4596;
  }
// compiled if node returning if4590 (depth = 9)
    gc_frame_newslot(if4590);
    if4584 = if4590;
  }
// compiled if node returning if4584 (depth = 8)
    gc_frame_newslot(if4584);
    if4578 = if4584;
  }
// compiled if node returning if4578 (depth = 7)
    gc_frame_newslot(if4578);
    if4572 = if4578;
  }
// compiled if node returning if4572 (depth = 6)
    gc_frame_newslot(if4572);
    if4557 = if4572;
  }
// compiled if node returning if4557 (depth = 5)
    gc_frame_newslot(if4557);
    if4542 = if4557;
  }
// compiled if node returning if4542 (depth = 4)
    gc_frame_newslot(if4542);
    if4536 = if4542;
  }
// compiled if node returning if4536 (depth = 3)
    gc_frame_newslot(if4536);
    if4530 = if4536;
  }
// compiled if node returning if4530 (depth = 2)
  gc_frame_end(frame);
  return if4530;
}
Object meth_parser__apply4649(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_acceptBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe4650 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_acceptBlocks (depth = 8)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call4651 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4650);
// compiled call node returning call4651 (depth = 7)
  gc_frame_end(frame);
  return call4651;
}
Object meth_parser_expression_40_1_41_4623(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 36, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expression(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method expression(_)");
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_statementToken = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for expression(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part expression(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sz = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sz");
  Object *var_tmpStatementToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tmpStatementToken");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
// Begin line 1426
  setline(1426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4624 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  Object call4625 = callmethodflags(*var_values, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4624);
// compiled member node returning call4625 (depth = 3)
  *var_sz = call4625;
  if (call4625 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1427
  setline(1427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4626 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe4627 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call4628 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4627);
// compiled member node returning call4628 (depth = 3)
  gc_frame_newslot(call4628);
// starting to compile member node (depth = 3)
  int callframe4629 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call4630 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4629);
// compiled member node returning call4630 (depth = 3)
  gc_frame_newslot(call4630);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call4628;
  params[1] = call4630;
  partcv[0] = 2;
  Object call4631 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4626);
// compiled call node returning call4631 (depth = 2)
// Begin line 1428
  setline(1428);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4633 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4634 == NULL) {
    strlit4634 = alloc_String("lparen");
    gc_root(strlit4634);
  }
// compiled string node returning strlit4634 (depth = 4)
  gc_frame_newslot(strlit4634);
// call case 4: self request
  params[0] = strlit4634;
  partcv[0] = 1;
  Object call4635 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4633);
// compiled call node returning call4635 (depth = 3)
  Object if4632 = done;
  if (istrue(call4635)) {
// Begin line 1429
  setline(1429);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_statementToken (depth = 4)
  *var_tmpStatementToken = *var_statementToken;
  if (*var_statementToken == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1430
  setline(1430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1431
  setline(1431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4637 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe4638 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call4639 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4638);
// compiled member node returning call4639 (depth = 4)
  gc_frame_newslot(call4639);
// starting to compile member node (depth = 4)
  int callframe4640 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call4641 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4640);
// compiled member node returning call4641 (depth = 4)
  gc_frame_newslot(call4641);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call4639;
  params[1] = call4641;
  partcv[0] = 2;
  Object call4642 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe4637);
// compiled call node returning call4642 (depth = 3)
// Begin line 1432
  setline(1432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4643 = gc_frame_new();
// call case 4: self request
  Object call4644 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4643);
// compiled member node returning call4644 (depth = 3)
// Begin line 1433
  setline(1433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4646 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe4647 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block4648 = alloc_Block(NULL, NULL, "parser", 1433);
  gc_frame_newslot(block4648);
// method "_apply"
  block_savedest(block4648);
  Object closure4649 = createclosure(2, "_apply");
  setclosureframe(closure4649, stackframe);
  addtoclosure(closure4649, var_acceptBlocks);
  addtoclosure(closure4649, selfslot);
  struct UserObject *uo4649 = (struct UserObject*)block4648;
  uo4649->data[0] = (Object)closure4649;
  Method *meth_meth_parser__apply4649 = addmethod2pos(block4648, "_apply", &meth_parser__apply4649, 0);
  int argcv_meth_parser__apply4649[] = {0};
  meth_meth_parser__apply4649->type = alloc_MethodType(1, argcv_meth_parser__apply4649);
  meth_meth_parser__apply4649->definitionModule = modulename;
  meth_meth_parser__apply4649->definitionLine = 3404;
// compiled block node returning block4648 (depth = 6)
  gc_frame_newslot(block4648);
// call case 4: self request
  params[0] = block4648;
  partcv[0] = 1;
  Object call4653 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4647);
// compiled call node returning call4653 (depth = 5)
  Object call4654 = callmethodflags(call4653, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4646);
// compiled member node returning call4654 (depth = 4)
  Object if4645 = done;
  if (istrue(call4654)) {
// Begin line 1434
  setline(1434);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4655 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4656 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call4657 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4656);
// compiled member node returning call4657 (depth = 6)
  Object call4658 = callmethodflags(call4657, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4655);
// compiled member node returning call4658 (depth = 5)
  *var_suggestion = call4658;
  if (call4658 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1435
  setline(1435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4659 = gc_frame_new();
// starting to compile array node (depth = 6)
  Object array4660 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 7)
  if (strlit4661 == NULL) {
    strlit4661 = alloc_String("rparen");
    gc_root(strlit4661);
  }
// compiled string node returning strlit4661 (depth = 7)
  params[0] = strlit4661;
  partcv[0] = 1;
  callmethodflags(array4660, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array4660 (depth = 6)
  gc_frame_newslot(array4660);
// call case 4: self request
  params[0] = array4660;
  partcv[0] = 1;
  Object call4662 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4659);
// compiled call node returning call4662 (depth = 5)
  *var_nextTok = call4662;
  if (call4662 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1436
  setline(1436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_4664 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_4664 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4666 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult4666 (depth = 5)
  Object if4663 = done;
  if (istrue(opresult4666)) {
// Begin line 1437
  setline(1437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4667 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4668 == NULL) {
    strlit4668 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4668);
  }
// compiled string node returning strlit4668 (depth = 6)
  gc_frame_newslot(strlit4668);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit4668;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4669 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4667);
// compiled call node returning call4669 (depth = 5)
    gc_frame_newslot(call4669);
    if4663 = call4669;
  } else {
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4670 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
  int callframe4671 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call4672 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4671);
// compiled member node returning call4672 (depth = 6)
  gc_frame_newslot(call4672);
// Begin line 1440
  setline(1440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool4673 = alloc_Boolean(1);
// compiled identifier node returning bool4673 (depth = 6)
  gc_frame_newslot(bool4673);
// starting to compile identifier node (depth = 6)
  Object bool4674 = alloc_Boolean(0);
// compiled identifier node returning bool4674 (depth = 6)
  gc_frame_newslot(bool4674);
// starting to compile string node (depth = 6)
  if (strlit4675 == NULL) {
    strlit4675 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit4675);
  }
// compiled string node returning strlit4675 (depth = 6)
  gc_frame_newslot(strlit4675);
// call case 6: other requests
// Begin line 1439
  setline(1439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call4672;
  params[2] = bool4673;
  params[3] = bool4674;
  params[4] = strlit4675;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4676 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe4670);
// compiled call node returning call4676 (depth = 5)
    gc_frame_newslot(call4676);
    if4663 = call4676;
  }
// compiled if node returning if4663 (depth = 4)
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4677 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4678 == NULL) {
    strlit4678 = alloc_String("parentheses must contain a valid expression.");
    gc_root(strlit4678);
  }
// compiled string node returning strlit4678 (depth = 5)
  gc_frame_newslot(strlit4678);
// Begin line 1443
  setline(1443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4679 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call4680 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4679);
// compiled member node returning call4680 (depth = 5)
  gc_frame_newslot(call4680);
// starting to compile member node (depth = 5)
  int callframe4681 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call4682 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4681);
// compiled member node returning call4682 (depth = 5)
  gc_frame_newslot(call4682);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1442
  setline(1442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4678;
  params[1] = call4680;
  params[2] = call4682;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4683 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4677);
// compiled call node returning call4683 (depth = 4)
    gc_frame_newslot(call4683);
    if4645 = call4683;
  } else {
  }
// compiled if node returning if4645 (depth = 3)
// Begin line 1445
  setline(1445);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4686 == NULL) {
    strlit4686 = alloc_String("rparen");
    gc_root(strlit4686);
  }
// compiled string node returning strlit4686 (depth = 5)
  int op_slot_right_4685 = gc_frame_newslot(strlit4686);
// starting to compile member node (depth = 5)
  int callframe4688 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call4689 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4688);
// compiled member node returning call4689 (depth = 5)
  int op_slot_left_4685 = gc_frame_newslot(call4689);
  params[0] = strlit4686;
  partcv[0] = 1;
  Object opresult4690 = callmethod(call4689, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4690 (depth = 4)
  Object if4684 = done;
  if (istrue(opresult4690)) {
// Begin line 1446
  setline(1446);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4691 = gc_frame_new();
// call case 4: self request
  Object call4692 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4691);
// compiled member node returning call4692 (depth = 4)
// Begin line 1447
  setline(1447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4693 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4694 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call4695 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4694);
// compiled member node returning call4695 (depth = 6)
  Object call4696 = callmethodflags(call4695, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4693);
// compiled member node returning call4696 (depth = 5)
  *var_suggestion = call4696;
  if (call4696 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1448
  setline(1448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4697 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4698 == NULL) {
    strlit4698 = alloc_String(")");
    gc_root(strlit4698);
  }
// compiled string node returning strlit4698 (depth = 5)
  gc_frame_newslot(strlit4698);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit4698;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4699 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4697);
// compiled call node returning call4699 (depth = 4)
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4700 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4701 == NULL) {
    strlit4701 = alloc_String("an expression beginning with a '(' must end with a ')'.");
    gc_root(strlit4701);
  }
// compiled string node returning strlit4701 (depth = 5)
  gc_frame_newslot(strlit4701);
// Begin line 1450
  setline(1450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4702 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call4703 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4702);
// compiled member node returning call4703 (depth = 5)
  gc_frame_newslot(call4703);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4705 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call4706 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4705);
// compiled member node returning call4706 (depth = 6)
  int op_slot_right_4704 = gc_frame_newslot(call4706);
// starting to compile member node (depth = 6)
  int callframe4708 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call4709 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4708);
// compiled member node returning call4709 (depth = 6)
  int op_slot_left_4704 = gc_frame_newslot(call4709);
  params[0] = call4706;
  partcv[0] = 1;
  Object sum4710 = callmethod(call4709, "+(1)", 1, partcv, params);
// compiled op node returning sum4710 (depth = 5)
  gc_frame_newslot(sum4710);
// Begin line 1451
  setline(1451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1449
  setline(1449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4701;
  params[1] = call4703;
  params[2] = sum4710;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4711 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4700);
// compiled call node returning call4711 (depth = 4)
    gc_frame_newslot(call4711);
    if4684 = call4711;
  } else {
  }
// compiled if node returning if4684 (depth = 3)
// Begin line 1453
  setline(1453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tmpStatementToken (depth = 4)
  *var_statementToken = *var_tmpStatementToken;
  if (*var_tmpStatementToken == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1454
  setline(1454);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4713 = gc_frame_new();
// call case 4: self request
  Object call4714 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4713);
// compiled member node returning call4714 (depth = 3)
    gc_frame_newslot(call4714);
    if4632 = call4714;
  } else {
// Begin line 1456
  setline(1456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4715 = gc_frame_new();
// call case 4: self request
  Object call4716 = callmethodflags(self, "term", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4715);
// compiled member node returning call4716 (depth = 3)
    gc_frame_newslot(call4716);
    if4632 = call4716;
  }
// compiled if node returning if4632 (depth = 2)
// Begin line 1458
  setline(1458);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sz (depth = 4)
  int op_slot_right_4718 = gc_frame_newslot(*var_sz);
// starting to compile member node (depth = 4)
  int callframe4720 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call4721 = callmethodflags(*var_values, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4720);
// compiled member node returning call4721 (depth = 4)
  int op_slot_left_4718 = gc_frame_newslot(call4721);
  params[0] = *var_sz;
  partcv[0] = 1;
  Object opresult4722 = callmethod(call4721, ">(1)", 1, partcv, params);
// compiled op node returning opresult4722 (depth = 3)
  Object if4717 = done;
  if (istrue(opresult4722)) {
// Begin line 1459
  setline(1459);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4723 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_acceptBlocks (depth = 4)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call4724 = callmethodflags(self, "dotrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4723);
// compiled call node returning call4724 (depth = 3)
// Begin line 1460
  setline(1460);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4725 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_acceptBlocks (depth = 4)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call4726 = callmethodflags(self, "callrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4725);
// compiled call node returning call4726 (depth = 3)
// Begin line 1461
  setline(1461);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4727 = gc_frame_new();
// call case 4: self request
  Object call4728 = callmethodflags(self, "postfixsquare", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4727);
// compiled member node returning call4728 (depth = 3)
// Begin line 1462
  setline(1462);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4729 = gc_frame_new();
// call case 4: self request
  Object call4730 = callmethodflags(self, "valueexpressionrest", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4729);
// compiled member node returning call4730 (depth = 3)
    gc_frame_newslot(call4730);
    if4717 = call4730;
  } else {
  }
// compiled if node returning if4717 (depth = 2)
  gc_frame_end(frame);
  return if4717;
}
Object meth_parser__apply4744(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe4745 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_blocksOK (depth = 8)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4746 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4745);
// compiled call node returning call4746 (depth = 7)
  gc_frame_end(frame);
  return call4746;
}
Object meth_parser_postfixsquare4731(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 37, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "postfixsquare");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_blocksOK = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_opening = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "opening");
  Object *var_expr = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "expr");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
// Begin line 1469
  setline(1469);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4733 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4734 == NULL) {
    strlit4734 = alloc_String("lsquare");
    gc_root(strlit4734);
  }
// compiled string node returning strlit4734 (depth = 4)
  gc_frame_newslot(strlit4734);
// call case 4: self request
  params[0] = strlit4734;
  partcv[0] = 1;
  Object call4735 = callmethodflags(self, "acceptWithoutSpaces(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4733);
// compiled call node returning call4735 (depth = 3)
  Object if4732 = done;
  if (istrue(call4735)) {
// Begin line 1470
  setline(1470);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_opening = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1471
  setline(1471);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe4736 = gc_frame_new();
// call case 4: self request
  Object call4737 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4736);
// compiled member node returning call4737 (depth = 3)
// Begin line 1472
  setline(1472);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4738 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call4739 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe4738);
// compiled member node returning call4739 (depth = 4)
  *var_expr = call4739;
  if (call4739 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1473
  setline(1473);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4741 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe4742 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block4743 = alloc_Block(NULL, NULL, "parser", 1473);
  gc_frame_newslot(block4743);
// method "_apply"
  block_savedest(block4743);
  Object closure4744 = createclosure(2, "_apply");
  setclosureframe(closure4744, stackframe);
  addtoclosure(closure4744, var_blocksOK);
  addtoclosure(closure4744, selfslot);
  struct UserObject *uo4744 = (struct UserObject*)block4743;
  uo4744->data[0] = (Object)closure4744;
  Method *meth_meth_parser__apply4744 = addmethod2pos(block4743, "_apply", &meth_parser__apply4744, 0);
  int argcv_meth_parser__apply4744[] = {0};
  meth_meth_parser__apply4744->type = alloc_MethodType(1, argcv_meth_parser__apply4744);
  meth_meth_parser__apply4744->definitionModule = modulename;
  meth_meth_parser__apply4744->definitionLine = 3404;
// compiled block node returning block4743 (depth = 6)
  gc_frame_newslot(block4743);
// call case 4: self request
  params[0] = block4743;
  partcv[0] = 1;
  Object call4748 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4742);
// compiled call node returning call4748 (depth = 5)
  Object call4749 = callmethodflags(call4748, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4741);
// compiled member node returning call4749 (depth = 4)
  Object if4740 = done;
  if (istrue(call4749)) {
// Begin line 1474
  setline(1474);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array4750 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4750 (depth = 5)
  *var_suggestions = array4750;
  if (array4750 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1475
  setline(1475);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4751 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4752 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call4753 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4752);
// compiled member node returning call4753 (depth = 6)
  Object call4754 = callmethodflags(call4753, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4751);
// compiled member node returning call4754 (depth = 5)
  *var_suggestion = call4754;
  if (call4754 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1476
  setline(1476);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4755 = gc_frame_new();
// starting to compile array node (depth = 6)
  Object array4756 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 7)
  if (strlit4757 == NULL) {
    strlit4757 = alloc_String("rsquare");
    gc_root(strlit4757);
  }
// compiled string node returning strlit4757 (depth = 7)
  params[0] = strlit4757;
  partcv[0] = 1;
  callmethodflags(array4756, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array4756 (depth = 6)
  gc_frame_newslot(array4756);
// call case 4: self request
  params[0] = array4756;
  partcv[0] = 1;
  Object call4758 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4755);
// compiled call node returning call4758 (depth = 5)
  *var_nextTok = call4758;
  if (call4758 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1477
  setline(1477);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_4760 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_4760 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult4762 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult4762 (depth = 5)
  Object if4759 = done;
  if (istrue(opresult4762)) {
// Begin line 1478
  setline(1478);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4763 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4764 == NULL) {
    strlit4764 = alloc_String("""\xc2""""\xab""index""\xc2""""\xbb""");
    gc_root(strlit4764);
  }
// compiled string node returning strlit4764 (depth = 6)
  gc_frame_newslot(strlit4764);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit4764;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4765 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4763);
// compiled call node returning call4765 (depth = 5)
    gc_frame_newslot(call4765);
    if4759 = call4765;
  } else {
// Begin line 1480
  setline(1480);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4766 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
  int callframe4767 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call4768 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4767);
// compiled member node returning call4768 (depth = 6)
  gc_frame_newslot(call4768);
// starting to compile identifier node (depth = 6)
  Object bool4769 = alloc_Boolean(1);
// compiled identifier node returning bool4769 (depth = 6)
  gc_frame_newslot(bool4769);
// starting to compile identifier node (depth = 6)
  Object bool4770 = alloc_Boolean(0);
// compiled identifier node returning bool4770 (depth = 6)
  gc_frame_newslot(bool4770);
// starting to compile string node (depth = 6)
  if (strlit4771 == NULL) {
    strlit4771 = alloc_String("""\xc2""""\xab""index""\xc2""""\xbb""");
    gc_root(strlit4771);
  }
// compiled string node returning strlit4771 (depth = 6)
  gc_frame_newslot(strlit4771);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call4768;
  params[2] = bool4769;
  params[3] = bool4770;
  params[4] = strlit4771;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call4772 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe4766);
// compiled call node returning call4772 (depth = 5)
    gc_frame_newslot(call4772);
    if4759 = call4772;
  }
// compiled if node returning if4759 (depth = 4)
// Begin line 1482
  setline(1482);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4773 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4774 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4773);
// compiled call node returning call4774 (depth = 4)
// Begin line 1483
  setline(1483);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit4777 == NULL) {
    strlit4777 = alloc_String("rsquare");
    gc_root(strlit4777);
  }
// compiled string node returning strlit4777 (depth = 6)
  int op_slot_right_4776 = gc_frame_newslot(strlit4777);
// starting to compile member node (depth = 6)
  int callframe4779 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call4780 = callmethodflags(*var_nextTok, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4779);
// compiled member node returning call4780 (depth = 6)
  int op_slot_left_4776 = gc_frame_newslot(call4780);
  params[0] = strlit4777;
  partcv[0] = 1;
  Object opresult4781 = callmethod(call4780, "==(1)", 1, partcv, params);
// compiled op node returning opresult4781 (depth = 5)
  Object if4775 = done;
  if (istrue(opresult4781)) {
// Begin line 1484
  setline(1484);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4782 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4783 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call4784 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4783);
// compiled member node returning call4784 (depth = 7)
  Object call4785 = callmethodflags(call4784, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4782);
// compiled member node returning call4785 (depth = 6)
  *var_suggestion = call4785;
  if (call4785 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1485
  setline(1485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4787 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 6)
  Object bool4788 = alloc_Boolean(1);
// compiled identifier node returning bool4788 (depth = 6)
  gc_frame_newslot(bool4788);
// starting to compile identifier node (depth = 6)
  Object bool4789 = alloc_Boolean(0);
// compiled identifier node returning bool4789 (depth = 6)
  gc_frame_newslot(bool4789);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = *var_nextTok;
  params[2] = bool4788;
  params[3] = bool4789;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4790 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4787);
// compiled call node returning call4790 (depth = 5)
// Begin line 1486
  setline(1486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4791 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4792 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4791);
// compiled call node returning call4792 (depth = 5)
    gc_frame_newslot(call4792);
    if4775 = call4792;
  } else {
  }
// compiled if node returning if4775 (depth = 4)
// Begin line 1488
  setline(1488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4793 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4794 == NULL) {
    strlit4794 = alloc_String("a '[' in an expression must be followed by another expression and a ']'.");
    gc_root(strlit4794);
  }
// compiled string node returning strlit4794 (depth = 5)
  gc_frame_newslot(strlit4794);
// Begin line 1489
  setline(1489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4795 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call4796 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4795);
// compiled member node returning call4796 (depth = 5)
  gc_frame_newslot(call4796);
// starting to compile member node (depth = 5)
  int callframe4797 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call4798 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4797);
// compiled member node returning call4798 (depth = 5)
  gc_frame_newslot(call4798);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1488
  setline(1488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4794;
  params[1] = call4796;
  params[2] = call4798;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4799 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4793);
// compiled call node returning call4799 (depth = 4)
    gc_frame_newslot(call4799);
    if4740 = call4799;
  } else {
  }
// compiled if node returning if4740 (depth = 3)
// Begin line 1491
  setline(1491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4802 == NULL) {
    strlit4802 = alloc_String("rsquare");
    gc_root(strlit4802);
  }
// compiled string node returning strlit4802 (depth = 5)
  int op_slot_right_4801 = gc_frame_newslot(strlit4802);
// starting to compile member node (depth = 5)
  int callframe4804 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call4805 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe4804);
// compiled member node returning call4805 (depth = 5)
  int op_slot_left_4801 = gc_frame_newslot(call4805);
  params[0] = strlit4802;
  partcv[0] = 1;
  Object opresult4806 = callmethod(call4805, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4806 (depth = 4)
  Object if4800 = done;
  if (istrue(opresult4806)) {
// Begin line 1492
  setline(1492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4807 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe4808 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call4809 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4808);
// compiled member node returning call4809 (depth = 6)
  Object call4810 = callmethodflags(call4809, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4807);
// compiled member node returning call4810 (depth = 5)
  *var_suggestion = call4810;
  if (call4810 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1493
  setline(1493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4811 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4812 == NULL) {
    strlit4812 = alloc_String("]");
    gc_root(strlit4812);
  }
// compiled string node returning strlit4812 (depth = 5)
  gc_frame_newslot(strlit4812);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit4812;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4813 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4811);
// compiled call node returning call4813 (depth = 4)
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe4814 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit4815 == NULL) {
    strlit4815 = alloc_String("a '[' in an expression must be followed by another expression and a ']'.");
    gc_root(strlit4815);
  }
// compiled string node returning strlit4815 (depth = 5)
  gc_frame_newslot(strlit4815);
// Begin line 1495
  setline(1495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe4816 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call4817 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4816);
// compiled member node returning call4817 (depth = 5)
  gc_frame_newslot(call4817);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4819 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call4820 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4819);
// compiled member node returning call4820 (depth = 6)
  int op_slot_right_4818 = gc_frame_newslot(call4820);
// starting to compile member node (depth = 6)
  int callframe4822 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call4823 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4822);
// compiled member node returning call4823 (depth = 6)
  int op_slot_left_4818 = gc_frame_newslot(call4823);
  params[0] = call4820;
  partcv[0] = 1;
  Object sum4824 = callmethod(call4823, "+(1)", 1, partcv, params);
// compiled op node returning sum4824 (depth = 5)
  gc_frame_newslot(sum4824);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1494
  setline(1494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit4815;
  params[1] = call4817;
  params[2] = sum4824;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call4825 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe4814);
// compiled call node returning call4825 (depth = 4)
    gc_frame_newslot(call4825);
    if4800 = call4825;
  } else {
  }
// compiled if node returning if4800 (depth = 3)
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4826 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 1498
  setline(1498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4828 == NULL) {
    strlit4828 = alloc_String("For a Lineup, add a space.  For an indexing operation, use `at(_)` or `at(_)put(_)`.");
    gc_root(strlit4828);
  }
// compiled string node returning strlit4828 (depth = 5)
  int op_slot_right_4827 = gc_frame_newslot(strlit4828);
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit4830 == NULL) {
    strlit4830 = alloc_String("'[ ... ]' without preceeding space is no longer part of Grace. ");
    gc_root(strlit4830);
  }
// compiled string node returning strlit4830 (depth = 5)
  int op_slot_left_4827 = gc_frame_newslot(strlit4830);
  params[0] = strlit4828;
  partcv[0] = 1;
  Object opresult4831 = callmethod(strlit4830, "++(1)", 1, partcv, params);
// compiled op node returning opresult4831 (depth = 4)
  gc_frame_newslot(opresult4831);
// Begin line 1499
  setline(1499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4832 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_opening (depth = 5)
  Object call4833 = callmethodflags(*var_opening, "line", 0, partcv, params, 0);
  gc_frame_end(callframe4832);
// compiled member node returning call4833 (depth = 4)
  gc_frame_newslot(call4833);
// starting to compile member node (depth = 4)
  int callframe4834 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_opening (depth = 5)
  Object call4835 = callmethodflags(*var_opening, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe4834);
// compiled member node returning call4835 (depth = 4)
  gc_frame_newslot(call4835);
// call case 6: other requests
// Begin line 1497
  setline(1497);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult4831;
  params[1] = call4833;
  params[2] = call4835;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call4836 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe4826);
// compiled call node returning call4836 (depth = 3)
    gc_frame_newslot(call4836);
    if4732 = call4836;
  } else {
  }
// compiled if node returning if4732 (depth = 2)
  gc_frame_end(frame);
  return if4732;
}
Object meth_parser_oprec_40_1_41_4837(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(2, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "oprec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method oprec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for oprec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_o = &(stackframe->slots[0]);
  *var_o = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part oprec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1507
  setline(1507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit4840 == NULL) {
    strlit4840 = alloc_String("*");
    gc_root(strlit4840);
  }
// compiled string node returning strlit4840 (depth = 4)
  int op_slot_right_4839 = gc_frame_newslot(strlit4840);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  int op_slot_left_4839 = gc_frame_newslot(*var_o);
  params[0] = strlit4840;
  partcv[0] = 1;
  Object opresult4842 = callmethod(*var_o, "==(1)", 1, partcv, params);
// compiled op node returning opresult4842 (depth = 3)
  Object if4838 = done;
  if (istrue(opresult4842)) {
// Begin line 1508
  setline(1508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4843 = alloc_Float64(10);
// compiled num node returning num4843 (depth = 4)
  return num4843;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if4838 = undefined;
  } else {
// Begin line 1512
  setline(1512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1509
  setline(1509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit4846 == NULL) {
    strlit4846 = alloc_String("/");
    gc_root(strlit4846);
  }
// compiled string node returning strlit4846 (depth = 5)
  int op_slot_right_4845 = gc_frame_newslot(strlit4846);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  int op_slot_left_4845 = gc_frame_newslot(*var_o);
  params[0] = strlit4846;
  partcv[0] = 1;
  Object opresult4848 = callmethod(*var_o, "==(1)", 1, partcv, params);
// compiled op node returning opresult4848 (depth = 4)
  Object if4844 = done;
  if (istrue(opresult4848)) {
// Begin line 1510
  setline(1510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile num node (depth = 5)
  Object num4849 = alloc_Float64(10);
// compiled num node returning num4849 (depth = 5)
  return num4849;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if4844 = undefined;
  } else {
  }
// compiled if node returning if4844 (depth = 3)
    gc_frame_newslot(if4844);
    if4838 = if4844;
  }
// compiled if node returning if4838 (depth = 2)
// Begin line 1512
  setline(1512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile num node (depth = 3)
  Object num4850 = alloc_Float64(5);
// compiled num node returning num4850 (depth = 3)
  return num4850;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_toprec_40_1_41_4851(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(3, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "toprec(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method toprec(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for toprec(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_ops = &(stackframe->slots[0]);
  *var_ops = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part toprec(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "o");
// Begin line 1517
  setline(1517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num4854 = alloc_Float64(0);
// compiled num node returning num4854 (depth = 4)
  int op_slot_right_4853 = gc_frame_newslot(num4854);
// starting to compile member node (depth = 4)
  int callframe4856 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ops (depth = 5)
  Object call4857 = callmethodflags(*var_ops, "size", 0, partcv, params, 0);
  gc_frame_end(callframe4856);
// compiled member node returning call4857 (depth = 4)
  int op_slot_left_4853 = gc_frame_newslot(call4857);
  params[0] = num4854;
  partcv[0] = 1;
  Object opresult4858 = callmethod(call4857, ">(1)", 1, partcv, params);
// compiled op node returning opresult4858 (depth = 3)
  Object if4852 = done;
  if (istrue(opresult4858)) {
// Begin line 1518
  setline(1518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe4859 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ops (depth = 5)
  Object call4860 = callmethodflags(*var_ops, "last", 0, partcv, params, 0);
  gc_frame_end(callframe4859);
// compiled member node returning call4860 (depth = 4)
  *var_o = call4860;
  if (call4860 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1519
  setline(1519);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe4861 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call4862 = callmethodflags(self, "oprec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4861);
// compiled call node returning call4862 (depth = 4)
  return call4862;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if4852 = undefined;
  } else {
  }
// compiled if node returning if4852 (depth = 2)
// Begin line 1521
  setline(1521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 2)
  Object num4863 = alloc_Float64(0);
// compiled num node returning num4863 (depth = 2)
  gc_frame_end(frame);
  return num4863;
}
Object meth_parser__apply4872(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe4873 = gc_frame_new();
// call case 4: self request
  Object call4874 = callmethodflags(self, "typeexpression", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4873);
// compiled member node returning call4874 (depth = 5)
  gc_frame_end(frame);
  return call4874;
}
Object meth_parser_typeexpressionrest4864(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 40, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeexpressionrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_noBlocks = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1526
  setline(1526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4866 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4867 == NULL) {
    strlit4867 = alloc_String("op");
    gc_root(strlit4867);
  }
// compiled string node returning strlit4867 (depth = 4)
  gc_frame_newslot(strlit4867);
// call case 4: self request
  params[0] = strlit4867;
  partcv[0] = 1;
  Object call4868 = callmethodflags(self, "acceptSameLine(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4866);
// compiled call node returning call4868 (depth = 3)
  Object if4865 = done;
  if (istrue(call4868)) {
// Begin line 1527
  setline(1527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4869 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4870 == NULL) {
    strlit4870 = alloc_String("type expression");
    gc_root(strlit4870);
  }
// compiled string node returning strlit4870 (depth = 4)
  gc_frame_newslot(strlit4870);
// starting to compile block node (depth = 4)
  Object block4871 = alloc_Block(NULL, NULL, "parser", 1527);
  gc_frame_newslot(block4871);
// method "_apply"
  block_savedest(block4871);
  Object closure4872 = createclosure(1, "_apply");
  setclosureframe(closure4872, stackframe);
  addtoclosure(closure4872, selfslot);
  struct UserObject *uo4872 = (struct UserObject*)block4871;
  uo4872->data[0] = (Object)closure4872;
  Method *meth_meth_parser__apply4872 = addmethod2pos(block4871, "_apply", &meth_parser__apply4872, 0);
  int argcv_meth_parser__apply4872[] = {0};
  meth_meth_parser__apply4872->type = alloc_MethodType(1, argcv_meth_parser__apply4872);
  meth_meth_parser__apply4872->definitionModule = modulename;
  meth_meth_parser__apply4872->definitionLine = 3404;
// compiled block node returning block4871 (depth = 4)
  gc_frame_newslot(block4871);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_noBlocks (depth = 4)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = strlit4870;
  params[1] = block4871;
  params[2] = *var_noBlocks;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4876 = callmethodflags(self, "expressionrest(1)recursingWith(1)blocks(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4869);
// compiled call node returning call4876 (depth = 3)
    gc_frame_newslot(call4876);
    if4865 = call4876;
  } else {
  }
// compiled if node returning if4865 (depth = 2)
  gc_frame_end(frame);
  return if4865;
}
Object meth_parser__apply4885(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe4886 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blocksOK (depth = 6)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call4887 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4886);
// compiled call node returning call4887 (depth = 5)
  gc_frame_end(frame);
  return call4887;
}
Object meth_parser_valueexpressionrest4877(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 41, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "valueexpressionrest");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_blocksOK = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1532
  setline(1532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe4879 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4880 == NULL) {
    strlit4880 = alloc_String("op");
    gc_root(strlit4880);
  }
// compiled string node returning strlit4880 (depth = 4)
  gc_frame_newslot(strlit4880);
// call case 4: self request
  params[0] = strlit4880;
  partcv[0] = 1;
  Object call4881 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4879);
// compiled call node returning call4881 (depth = 3)
  Object if4878 = done;
  if (istrue(call4881)) {
// Begin line 1533
  setline(1533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe4882 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit4883 == NULL) {
    strlit4883 = alloc_String("expression");
    gc_root(strlit4883);
  }
// compiled string node returning strlit4883 (depth = 4)
  gc_frame_newslot(strlit4883);
// starting to compile block node (depth = 4)
  Object block4884 = alloc_Block(NULL, NULL, "parser", 1533);
  gc_frame_newslot(block4884);
// method "_apply"
  block_savedest(block4884);
  Object closure4885 = createclosure(2, "_apply");
  setclosureframe(closure4885, stackframe);
  addtoclosure(closure4885, var_blocksOK);
  addtoclosure(closure4885, selfslot);
  struct UserObject *uo4885 = (struct UserObject*)block4884;
  uo4885->data[0] = (Object)closure4885;
  Method *meth_meth_parser__apply4885 = addmethod2pos(block4884, "_apply", &meth_parser__apply4885, 0);
  int argcv_meth_parser__apply4885[] = {0};
  meth_meth_parser__apply4885->type = alloc_MethodType(1, argcv_meth_parser__apply4885);
  meth_meth_parser__apply4885->definitionModule = modulename;
  meth_meth_parser__apply4885->definitionLine = 3404;
// compiled block node returning block4884 (depth = 4)
  gc_frame_newslot(block4884);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_blocksOK (depth = 4)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = strlit4883;
  params[1] = block4884;
  params[2] = *var_blocksOK;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call4889 = callmethodflags(self, "expressionrest(1)recursingWith(1)blocks(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4882);
// compiled call node returning call4889 (depth = 3)
    gc_frame_newslot(call4889);
    if4878 = call4889;
  } else {
  }
// compiled if node returning if4878 (depth = 2)
  gc_frame_end(frame);
  return if4878;
}
Object meth_parser__apply4905(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4907 == NULL) {
    strlit4907 = alloc_String("=");
    gc_root(strlit4907);
  }
// compiled string node returning strlit4907 (depth = 7)
  int op_slot_right_4906 = gc_frame_newslot(strlit4907);
// starting to compile member node (depth = 7)
  int callframe4909 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call4910 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4909);
// compiled member node returning call4910 (depth = 7)
  int op_slot_left_4906 = gc_frame_newslot(call4910);
  params[0] = strlit4907;
  partcv[0] = 1;
  Object opresult4911 = callmethod(call4910, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4911 (depth = 6)
  gc_frame_end(frame);
  return opresult4911;
}
Object meth_parser__apply4902(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// Begin line 1555
  setline(1555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block4904 = alloc_Block(NULL, NULL, "parser", 1555);
  gc_frame_newslot(block4904);
// method "_apply"
  block_savedest(block4904);
  Object closure4905 = createclosure(2, "_apply");
  setclosureframe(closure4905, stackframe);
  addtoclosure(closure4905, var_sym);
  addtoclosure(closure4905, selfslot);
  struct UserObject *uo4905 = (struct UserObject*)block4904;
  uo4905->data[0] = (Object)closure4905;
  Method *meth_meth_parser__apply4905 = addmethod2pos(block4904, "_apply", &meth_parser__apply4905, 0);
  int argcv_meth_parser__apply4905[] = {0};
  meth_meth_parser__apply4905->type = alloc_MethodType(1, argcv_meth_parser__apply4905);
  meth_meth_parser__apply4905->definitionModule = modulename;
  meth_meth_parser__apply4905->definitionLine = 3404;
// compiled block node returning block4904 (depth = 5)
  int op_slot_right_4903 = gc_frame_newslot(block4904);
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4914 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4915 == NULL) {
    strlit4915 = alloc_String("op");
    gc_root(strlit4915);
  }
// compiled string node returning strlit4915 (depth = 6)
  gc_frame_newslot(strlit4915);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_statementToken (depth = 6)
  gc_frame_newslot(*var_statementToken);
// call case 4: self request
  params[0] = strlit4915;
  params[1] = *var_statementToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4916 = callmethodflags(self, "accept(1)onLineOfLastOr(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4914);
// compiled call node returning call4916 (depth = 5)
  int op_slot_left_4903 = gc_frame_newslot(call4916);
  params[0] = block4904;
  partcv[0] = 1;
  Object opresult4917 = callmethod(call4916, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4917 (depth = 4)
  gc_frame_end(frame);
  return opresult4917;
}
Object meth_parser__apply5028(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_prec = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5031 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ops (depth = 9)
  gc_frame_newslot(*var_ops);
// call case 4: self request
  params[0] = *var_ops;
  partcv[0] = 1;
  Object call5032 = callmethodflags(self, "toprec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5031);
// compiled call node returning call5032 (depth = 8)
  int op_slot_right_5030 = gc_frame_newslot(call5032);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_prec (depth = 8)
  int op_slot_left_5030 = gc_frame_newslot(*var_prec);
  params[0] = call5032;
  partcv[0] = 1;
  Object opresult5034 = callmethod(*var_prec, "≤(1)", 1, partcv, params);
// compiled op node returning opresult5034 (depth = 7)
  int op_slot_right_5029 = gc_frame_newslot(opresult5034);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num5037 = alloc_Float64(0);
// compiled num node returning num5037 (depth = 8)
  int op_slot_right_5036 = gc_frame_newslot(num5037);
// starting to compile member node (depth = 8)
  int callframe5039 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ops (depth = 9)
  Object call5040 = callmethodflags(*var_ops, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5039);
// compiled member node returning call5040 (depth = 8)
  int op_slot_left_5036 = gc_frame_newslot(call5040);
  params[0] = num5037;
  partcv[0] = 1;
  Object opresult5041 = callmethod(call5040, ">(1)", 1, partcv, params);
// compiled op node returning opresult5041 (depth = 7)
  int op_slot_left_5029 = gc_frame_newslot(opresult5041);
  params[0] = opresult5034;
  partcv[0] = 1;
  Object opresult5042 = callmethod(opresult5041, "&&(1)", 1, partcv, params);
// compiled op node returning opresult5042 (depth = 6)
  gc_frame_end(frame);
  return opresult5042;
}
Object meth_parser__apply5045(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_o2 = getfromclosure(closure, 1);
  Object *var_terms = getfromclosure(closure, 2);
  Object *var_tmp2 = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 6)
// Begin line 1586
  setline(1586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe5046 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ops (depth = 8)
  Object call5047 = callmethodflags(*var_ops, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5046);
// compiled member node returning call5047 (depth = 7)
  *var_o2 = call5047;
  if (call5047 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1587
  setline(1587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5049 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_terms (depth = 8)
  Object call5050 = callmethodflags(*var_terms, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5049);
// compiled member node returning call5050 (depth = 7)
  *var_tmp2 = call5050;
  if (call5050 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1588
  setline(1588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5052 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_terms (depth = 8)
  Object call5053 = callmethodflags(*var_terms, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5052);
// compiled member node returning call5053 (depth = 7)
  *var_tmp = call5053;
  if (call5053 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1589
  setline(1589);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5055 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe5056 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tmp (depth = 8)
  Object call5057 = callmethodflags(*var_tmp, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5056);
// compiled member node returning call5057 (depth = 7)
  gc_frame_newslot(call5057);
// starting to compile member node (depth = 7)
  int callframe5058 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tmp (depth = 8)
  Object call5059 = callmethodflags(*var_tmp, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5058);
// compiled member node returning call5059 (depth = 7)
  gc_frame_newslot(call5059);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  params[0] = call5057;
  params[1] = call5059;
  partcv[0] = 2;
  Object call5060 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5055);
// compiled call node returning call5060 (depth = 6)
// Begin line 1590
  setline(1590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5061 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o2 (depth = 8)
  gc_frame_newslot(*var_o2);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tmp (depth = 8)
  gc_frame_newslot(*var_tmp);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tmp2 (depth = 8)
  gc_frame_newslot(*var_tmp2);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5062 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ast (depth = 9)
  Object call5063 = callmethodflags(*var_ast, "opNode", 0, partcv, params, 0);
  gc_frame_end(callframe5062);
// compiled member node returning call5063 (depth = 8)
  params[0] = *var_o2;
  params[1] = *var_tmp;
  params[2] = *var_tmp2;
  partcv[0] = 3;
  Object call5064 = callmethodflags(call5063, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe5061);
// compiled call node returning call5064 (depth = 7)
  *var_tmp = call5064;
  if (call5064 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1591
  setline(1591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5066 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tmp (depth = 7)
  gc_frame_newslot(*var_tmp);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_terms (depth = 7)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5067 = callmethodflags(*var_terms, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5066);
// compiled call node returning call5067 (depth = 6)
  gc_frame_end(frame);
  return call5067;
}
Object meth_parser__apply5244(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 9)
  int callframe5245 = gc_frame_new();
// call case 4: self request
  Object call5246 = callmethodflags(self, "term", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5245);
// compiled member node returning call5246 (depth = 9)
  gc_frame_end(frame);
  return call5246;
}
Object meth_parser__apply4920(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_opcount = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_o = getfromclosure(closure, 2);
  Object *var_prec = getfromclosure(closure, 3);
  Object *var_allarith = getfromclosure(closure, 4);
  Object *var_opdtype = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  Object *var_lastToken = getfromclosure(closure, 7);
  Object *var_ops = getfromclosure(closure, 8);
  Object *var_o2 = getfromclosure(closure, 9);
  Object *var_terms = getfromclosure(closure, 10);
  Object *var_tmp2 = getfromclosure(closure, 11);
  Object *var_tmp = getfromclosure(closure, 12);
  Object *var_util = getfromclosure(closure, 13);
  Object *var_ast = getfromclosure(closure, 14);
  Object *var_recurse = getfromclosure(closure, 15);
  Object *var_name = getfromclosure(closure, 16);
  Object *var_acceptBlocks = getfromclosure(closure, 17);
  Object *var_values = getfromclosure(closure, 18);
  Object self = *(getfromclosure(closure, 19));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// starting to compile bind node (depth = 4)
// Begin line 1556
  setline(1556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num4922 = alloc_Float64(1);
// compiled num node returning num4922 (depth = 6)
  int op_slot_right_4921 = gc_frame_newslot(num4922);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_opcount (depth = 6)
  int op_slot_left_4921 = gc_frame_newslot(*var_opcount);
  params[0] = num4922;
  partcv[0] = 1;
  Object sum4924 = callmethod(*var_opcount, "+(1)", 1, partcv, params);
// compiled op node returning sum4924 (depth = 5)
  *var_opcount = sum4924;
  if (sum4924 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1557
  setline(1557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe4926 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call4927 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe4926);
// compiled member node returning call4927 (depth = 5)
  *var_o = call4927;
  if (call4927 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1558
  setline(1558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe4929 = gc_frame_new();
// call case 4: self request
  Object call4930 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4929);
// compiled member node returning call4930 (depth = 4)
// Begin line 1559
  setline(1559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe4931 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  gc_frame_newslot(*var_o);
// call case 4: self request
  params[0] = *var_o;
  partcv[0] = 1;
  Object call4932 = callmethodflags(self, "oprec(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4931);
// compiled call node returning call4932 (depth = 5)
  *var_prec = call4932;
  if (call4932 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1560
  setline(1560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit4937 == NULL) {
    strlit4937 = alloc_String("-");
    gc_root(strlit4937);
  }
// compiled string node returning strlit4937 (depth = 7)
  int op_slot_right_4936 = gc_frame_newslot(strlit4937);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  int op_slot_left_4936 = gc_frame_newslot(*var_o);
  params[0] = strlit4937;
  partcv[0] = 1;
  Object opresult4939 = callmethod(*var_o, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4939 (depth = 6)
  int op_slot_right_4935 = gc_frame_newslot(opresult4939);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4943 == NULL) {
    strlit4943 = alloc_String("+");
    gc_root(strlit4943);
  }
// compiled string node returning strlit4943 (depth = 8)
  int op_slot_right_4942 = gc_frame_newslot(strlit4943);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  int op_slot_left_4942 = gc_frame_newslot(*var_o);
  params[0] = strlit4943;
  partcv[0] = 1;
  Object opresult4945 = callmethod(*var_o, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4945 (depth = 7)
  int op_slot_right_4941 = gc_frame_newslot(opresult4945);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4949 == NULL) {
    strlit4949 = alloc_String("/");
    gc_root(strlit4949);
  }
// compiled string node returning strlit4949 (depth = 9)
  int op_slot_right_4948 = gc_frame_newslot(strlit4949);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  int op_slot_left_4948 = gc_frame_newslot(*var_o);
  params[0] = strlit4949;
  partcv[0] = 1;
  Object opresult4951 = callmethod(*var_o, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4951 (depth = 8)
  int op_slot_right_4947 = gc_frame_newslot(opresult4951);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit4954 == NULL) {
    strlit4954 = alloc_String("*");
    gc_root(strlit4954);
  }
// compiled string node returning strlit4954 (depth = 9)
  int op_slot_right_4953 = gc_frame_newslot(strlit4954);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_o (depth = 9)
  int op_slot_left_4953 = gc_frame_newslot(*var_o);
  params[0] = strlit4954;
  partcv[0] = 1;
  Object opresult4956 = callmethod(*var_o, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4956 (depth = 8)
  int op_slot_left_4947 = gc_frame_newslot(opresult4956);
  params[0] = opresult4951;
  partcv[0] = 1;
  Object opresult4957 = callmethod(opresult4956, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4957 (depth = 7)
  int op_slot_left_4941 = gc_frame_newslot(opresult4957);
  params[0] = opresult4945;
  partcv[0] = 1;
  Object opresult4958 = callmethod(opresult4957, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4958 (depth = 6)
  int op_slot_left_4935 = gc_frame_newslot(opresult4958);
  params[0] = opresult4939;
  partcv[0] = 1;
  Object opresult4959 = callmethod(opresult4958, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4959 (depth = 5)
  Object if4934 = done;
  if (istrue(opresult4959)) {
// Begin line 1561
  setline(1561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool4960 = alloc_Boolean(0);
// compiled identifier node returning bool4960 (depth = 6)
  *var_allarith = bool4960;
  if (bool4960 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if4934 = done;
  } else {
  }
// compiled if node returning if4934 (depth = 4)
// Begin line 1563
  setline(1563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4964 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_allarith (depth = 7)
  Object call4965 = callmethodflags(*var_allarith, "not", 0, partcv, params, 0);
  gc_frame_end(callframe4964);
// compiled member node returning call4965 (depth = 6)
  int op_slot_right_4963 = gc_frame_newslot(call4965);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_o (depth = 8)
  int op_slot_right_4968 = gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_opdtype (depth = 8)
  int op_slot_left_4968 = gc_frame_newslot(*var_opdtype);
  params[0] = *var_o;
  partcv[0] = 1;
  Object opresult4970 = callmethod(*var_opdtype, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4970 (depth = 7)
  int op_slot_right_4967 = gc_frame_newslot(opresult4970);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit4973 == NULL) {
    strlit4973 = alloc_String("");
    gc_root(strlit4973);
  }
// compiled string node returning strlit4973 (depth = 8)
  int op_slot_right_4972 = gc_frame_newslot(strlit4973);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_opdtype (depth = 8)
  int op_slot_left_4972 = gc_frame_newslot(*var_opdtype);
  params[0] = strlit4973;
  partcv[0] = 1;
  Object opresult4975 = callmethod(*var_opdtype, "≠(1)", 1, partcv, params);
// compiled op node returning opresult4975 (depth = 7)
  int op_slot_left_4967 = gc_frame_newslot(opresult4975);
  params[0] = opresult4970;
  partcv[0] = 1;
  Object opresult4976 = callmethod(opresult4975, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4976 (depth = 6)
  int op_slot_left_4963 = gc_frame_newslot(opresult4976);
  params[0] = call4965;
  partcv[0] = 1;
  Object opresult4977 = callmethod(opresult4976, "&&(1)", 1, partcv, params);
// compiled op node returning opresult4977 (depth = 5)
  Object if4962 = done;
  if (istrue(opresult4977)) {
// Begin line 1567
  setline(1567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array4978 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4978 (depth = 6)
  *var_suggestions = array4978;
  if (array4978 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1568
  setline(1568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4979 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4980 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call4981 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4980);
// compiled member node returning call4981 (depth = 7)
  Object call4982 = callmethodflags(call4981, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4979);
// compiled member node returning call4982 (depth = 6)
  *var_suggestion = call4982;
  if (call4982 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1569
  setline(1569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4983 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4984 == NULL) {
    strlit4984 = alloc_String(")");
    gc_root(strlit4984);
  }
// compiled string node returning strlit4984 (depth = 6)
  gc_frame_newslot(strlit4984);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit4984;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4985 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4983);
// compiled call node returning call4985 (depth = 5)
// Begin line 1570
  setline(1570);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4986 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4987 == NULL) {
    strlit4987 = alloc_String("(");
    gc_root(strlit4987);
  }
// compiled string node returning strlit4987 (depth = 6)
  gc_frame_newslot(strlit4987);
// starting to compile member node (depth = 6)
  int callframe4988 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call4989 = callmethodflags(*var_lastToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe4988);
// compiled member node returning call4989 (depth = 6)
  gc_frame_newslot(call4989);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit4987;
  params[1] = call4989;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call4990 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4986);
// compiled call node returning call4990 (depth = 5)
// Begin line 1571
  setline(1571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4991 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call4992 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4991);
// compiled call node returning call4992 (depth = 5)
// Begin line 1572
  setline(1572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe4993 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe4994 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call4995 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe4994);
// compiled member node returning call4995 (depth = 7)
  Object call4996 = callmethodflags(call4995, "new", 0, partcv, params, 0);
  gc_frame_end(callframe4993);
// compiled member node returning call4996 (depth = 6)
  *var_suggestion = call4996;
  if (call4996 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1573
  setline(1573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe4998 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit4999 == NULL) {
    strlit4999 = alloc_String(")");
    gc_root(strlit4999);
  }
// compiled string node returning strlit4999 (depth = 6)
  gc_frame_newslot(strlit4999);
// starting to compile member node (depth = 6)
  int callframe5000 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call5001 = callmethodflags(*var_lastToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5000);
// compiled member node returning call5001 (depth = 6)
  gc_frame_newslot(call5001);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit4999;
  params[1] = call5001;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5002 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe4998);
// compiled call node returning call5002 (depth = 5)
// Begin line 1574
  setline(1574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5003 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5004 == NULL) {
    strlit5004 = alloc_String("(");
    gc_root(strlit5004);
  }
// compiled string node returning strlit5004 (depth = 6)
  gc_frame_newslot(strlit5004);
// starting to compile member node (depth = 6)
  int callframe5005 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5006 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5007 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call5008 = callmethodflags(*var_lastToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5007);
// compiled member node returning call5008 (depth = 8)
  Object call5009 = callmethodflags(call5008, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5006);
// compiled member node returning call5009 (depth = 7)
  Object call5010 = callmethodflags(call5009, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5005);
// compiled member node returning call5010 (depth = 6)
  gc_frame_newslot(call5010);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit5004;
  params[1] = call5010;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5011 = callmethodflags(*var_suggestion, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5003);
// compiled call node returning call5011 (depth = 5)
// Begin line 1575
  setline(1575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5012 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5013 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5012);
// compiled call node returning call5013 (depth = 5)
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5014 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5015 == NULL) {
    strlit5015 = alloc_String("an expression containing both arithmetic and non-arithmetic operators requires parentheses.");
    gc_root(strlit5015);
  }
// compiled string node returning strlit5015 (depth = 6)
  gc_frame_newslot(strlit5015);
// Begin line 1577
  setline(1577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe5016 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5017 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call5018 = callmethodflags(*var_lastToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5017);
// compiled member node returning call5018 (depth = 7)
  Object call5019 = callmethodflags(call5018, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5016);
// compiled member node returning call5019 (depth = 6)
  gc_frame_newslot(call5019);
// starting to compile member node (depth = 6)
  int callframe5020 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5021 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call5022 = callmethodflags(*var_lastToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5021);
// compiled member node returning call5022 (depth = 7)
  Object call5023 = callmethodflags(call5022, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5020);
// compiled member node returning call5023 (depth = 6)
  gc_frame_newslot(call5023);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1576
  setline(1576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit5015;
  params[1] = call5019;
  params[2] = call5023;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5024 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5014);
// compiled call node returning call5024 (depth = 5)
    gc_frame_newslot(call5024);
    if4962 = call5024;
  } else {
  }
// compiled if node returning if4962 (depth = 4)
// Begin line 1579
  setline(1579);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  *var_opdtype = *var_o;
  if (*var_o == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1580
  setline(1580);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5026 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5027 = alloc_Block(NULL, NULL, "parser", 1580);
  gc_frame_newslot(block5027);
// method "_apply"
  block_savedest(block5027);
  Object closure5028 = createclosure(3, "_apply");
  setclosureframe(closure5028, stackframe);
  addtoclosure(closure5028, var_ops);
  addtoclosure(closure5028, var_prec);
  addtoclosure(closure5028, selfslot);
  struct UserObject *uo5028 = (struct UserObject*)block5027;
  uo5028->data[0] = (Object)closure5028;
  Method *meth_meth_parser__apply5028 = addmethod2pos(block5027, "_apply", &meth_parser__apply5028, 0);
  int argcv_meth_parser__apply5028[] = {0};
  meth_meth_parser__apply5028->type = alloc_MethodType(1, argcv_meth_parser__apply5028);
  meth_meth_parser__apply5028->definitionModule = modulename;
  meth_meth_parser__apply5028->definitionLine = 3404;
// compiled block node returning block5027 (depth = 5)
  gc_frame_newslot(block5027);
// starting to compile block node (depth = 5)
  Object block5044 = alloc_Block(NULL, NULL, "parser", 1580);
  gc_frame_newslot(block5044);
// method "_apply"
  block_savedest(block5044);
  Object closure5045 = createclosure(8, "_apply");
  setclosureframe(closure5045, stackframe);
  addtoclosure(closure5045, var_ops);
  addtoclosure(closure5045, var_o2);
  addtoclosure(closure5045, var_terms);
  addtoclosure(closure5045, var_tmp2);
  addtoclosure(closure5045, var_tmp);
  addtoclosure(closure5045, var_util);
  addtoclosure(closure5045, var_ast);
  addtoclosure(closure5045, selfslot);
  struct UserObject *uo5045 = (struct UserObject*)block5044;
  uo5045->data[0] = (Object)closure5045;
  Method *meth_meth_parser__apply5045 = addmethod2pos(block5044, "_apply", &meth_parser__apply5045, 0);
  int argcv_meth_parser__apply5045[] = {0};
  meth_meth_parser__apply5045->type = alloc_MethodType(1, argcv_meth_parser__apply5045);
  meth_meth_parser__apply5045->definitionModule = modulename;
  meth_meth_parser__apply5045->definitionLine = 3404;
// compiled block node returning block5044 (depth = 5)
  gc_frame_newslot(block5044);
// call case 5: prelude request
  params[0] = block5027;
  params[1] = block5044;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5069 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5026);
// compiled call node returning call5069 (depth = 4)
// Begin line 1593
  setline(1593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5070 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ops (depth = 5)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call5071 = callmethodflags(*var_ops, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5070);
// compiled call node returning call5071 (depth = 4)
// Begin line 1594
  setline(1594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5073 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5074 == NULL) {
    strlit5074 = alloc_String("lparen");
    gc_root(strlit5074);
  }
// compiled string node returning strlit5074 (depth = 6)
  gc_frame_newslot(strlit5074);
// call case 4: self request
  params[0] = strlit5074;
  partcv[0] = 1;
  Object call5075 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5073);
// compiled call node returning call5075 (depth = 5)
  Object if5072 = done;
  if (istrue(call5075)) {
// Begin line 1601
  setline(1601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5076 = gc_frame_new();
// call case 4: self request
  Object call5077 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5076);
// compiled member node returning call5077 (depth = 5)
// Begin line 1602
  setline(1602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5079 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe5080 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_recurse (depth = 8)
  gc_frame_newslot(*var_recurse);
// call case 4: self request
  params[0] = *var_recurse;
  partcv[0] = 1;
  Object call5081 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5080);
// compiled call node returning call5081 (depth = 7)
  Object call5082 = callmethodflags(call5081, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5079);
// compiled member node returning call5082 (depth = 6)
  Object if5078 = done;
  if (istrue(call5082)) {
// Begin line 1603
  setline(1603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5083 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5084 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5085 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5084);
// compiled member node returning call5085 (depth = 8)
  Object call5086 = callmethodflags(call5085, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5083);
// compiled member node returning call5086 (depth = 7)
  *var_suggestion = call5086;
  if (call5086 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1604
  setline(1604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5087 = gc_frame_new();
// starting to compile array node (depth = 8)
  Object array5088 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 9)
  if (strlit5089 == NULL) {
    strlit5089 = alloc_String("rparen");
    gc_root(strlit5089);
  }
// compiled string node returning strlit5089 (depth = 9)
  params[0] = strlit5089;
  partcv[0] = 1;
  callmethodflags(array5088, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array5088 (depth = 8)
  gc_frame_newslot(array5088);
// call case 4: self request
  params[0] = array5088;
  partcv[0] = 1;
  Object call5090 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5087);
// compiled call node returning call5090 (depth = 7)
  *var_nextTok = call5090;
  if (call5090 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1605
  setline(1605);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_5092 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_5092 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5094 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult5094 (depth = 7)
  Object if5091 = done;
  if (istrue(opresult5094)) {
// Begin line 1606
  setline(1606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5095 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5097 == NULL) {
    strlit5097 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5097);
  }
// compiled string node returning strlit5097 (depth = 9)
  int op_slot_right_5096 = gc_frame_newslot(strlit5097);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_name (depth = 10)
  int op_slot_right_5099 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 10)
  if (strlit5101 == NULL) {
    strlit5101 = alloc_String("""\xc2""""\xab""");
    gc_root(strlit5101);
  }
// compiled string node returning strlit5101 (depth = 10)
  int op_slot_left_5099 = gc_frame_newslot(strlit5101);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5102 = callmethod(strlit5101, "++(1)", 1, partcv, params);
// compiled op node returning opresult5102 (depth = 9)
  int op_slot_left_5096 = gc_frame_newslot(opresult5102);
  params[0] = strlit5097;
  partcv[0] = 1;
  Object opresult5103 = callmethod(opresult5102, "++(1)", 1, partcv, params);
// compiled op node returning opresult5103 (depth = 8)
  gc_frame_newslot(opresult5103);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = opresult5103;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5104 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5095);
// compiled call node returning call5104 (depth = 7)
    gc_frame_newslot(call5104);
    if5091 = call5104;
  } else {
// Begin line 1608
  setline(1608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5105 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
  int callframe5106 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call5107 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5106);
// compiled member node returning call5107 (depth = 8)
  gc_frame_newslot(call5107);
// starting to compile identifier node (depth = 8)
  Object bool5108 = alloc_Boolean(1);
// compiled identifier node returning bool5108 (depth = 8)
  gc_frame_newslot(bool5108);
// starting to compile identifier node (depth = 8)
  Object bool5109 = alloc_Boolean(0);
// compiled identifier node returning bool5109 (depth = 8)
  gc_frame_newslot(bool5109);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5111 == NULL) {
    strlit5111 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5111);
  }
// compiled string node returning strlit5111 (depth = 9)
  int op_slot_right_5110 = gc_frame_newslot(strlit5111);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_name (depth = 10)
  int op_slot_right_5113 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 10)
  if (strlit5115 == NULL) {
    strlit5115 = alloc_String("""\xc2""""\xab""");
    gc_root(strlit5115);
  }
// compiled string node returning strlit5115 (depth = 10)
  int op_slot_left_5113 = gc_frame_newslot(strlit5115);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5116 = callmethod(strlit5115, "++(1)", 1, partcv, params);
// compiled op node returning opresult5116 (depth = 9)
  int op_slot_left_5110 = gc_frame_newslot(opresult5116);
  params[0] = strlit5111;
  partcv[0] = 1;
  Object opresult5117 = callmethod(opresult5116, "++(1)", 1, partcv, params);
// compiled op node returning opresult5117 (depth = 8)
  gc_frame_newslot(opresult5117);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call5107;
  params[2] = bool5108;
  params[3] = bool5109;
  params[4] = opresult5117;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5118 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe5105);
// compiled call node returning call5118 (depth = 7)
    gc_frame_newslot(call5118);
    if5091 = call5118;
  }
// compiled if node returning if5091 (depth = 6)
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5119 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5121 == NULL) {
    strlit5121 = alloc_String(".");
    gc_root(strlit5121);
  }
// compiled string node returning strlit5121 (depth = 8)
  int op_slot_right_5120 = gc_frame_newslot(strlit5121);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_name (depth = 9)
  int op_slot_right_5123 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 9)
  if (strlit5125 == NULL) {
    strlit5125 = alloc_String("parentheses must contain a valid ");
    gc_root(strlit5125);
  }
// compiled string node returning strlit5125 (depth = 9)
  int op_slot_left_5123 = gc_frame_newslot(strlit5125);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5126 = callmethod(strlit5125, "++(1)", 1, partcv, params);
// compiled op node returning opresult5126 (depth = 8)
  int op_slot_left_5120 = gc_frame_newslot(opresult5126);
  params[0] = strlit5121;
  partcv[0] = 1;
  Object opresult5127 = callmethod(opresult5126, "++(1)", 1, partcv, params);
// compiled op node returning opresult5127 (depth = 7)
  gc_frame_newslot(opresult5127);
// Begin line 1611
  setline(1611);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe5128 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call5129 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5128);
// compiled member node returning call5129 (depth = 7)
  gc_frame_newslot(call5129);
// starting to compile member node (depth = 7)
  int callframe5130 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call5131 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5130);
// compiled member node returning call5131 (depth = 7)
  gc_frame_newslot(call5131);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1610
  setline(1610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult5127;
  params[1] = call5129;
  params[2] = call5131;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5132 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5119);
// compiled call node returning call5132 (depth = 6)
    gc_frame_newslot(call5132);
    if5078 = call5132;
  } else {
  }
// compiled if node returning if5078 (depth = 5)
// Begin line 1613
  setline(1613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5135 == NULL) {
    strlit5135 = alloc_String("rparen");
    gc_root(strlit5135);
  }
// compiled string node returning strlit5135 (depth = 7)
  int op_slot_right_5134 = gc_frame_newslot(strlit5135);
// starting to compile member node (depth = 7)
  int callframe5137 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call5138 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5137);
// compiled member node returning call5138 (depth = 7)
  int op_slot_left_5134 = gc_frame_newslot(call5138);
  params[0] = strlit5135;
  partcv[0] = 1;
  Object opresult5139 = callmethod(call5138, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5139 (depth = 6)
  Object if5133 = done;
  if (istrue(opresult5139)) {
// Begin line 1614
  setline(1614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe5140 = gc_frame_new();
// call case 4: self request
  Object call5141 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5140);
// compiled member node returning call5141 (depth = 6)
// Begin line 1615
  setline(1615);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5142 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5143 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5144 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5143);
// compiled member node returning call5144 (depth = 8)
  Object call5145 = callmethodflags(call5144, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5142);
// compiled member node returning call5145 (depth = 7)
  *var_suggestion = call5145;
  if (call5145 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1616
  setline(1616);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5146 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit5147 == NULL) {
    strlit5147 = alloc_String(")");
    gc_root(strlit5147);
  }
// compiled string node returning strlit5147 (depth = 7)
  gc_frame_newslot(strlit5147);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit5147;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5148 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5146);
// compiled call node returning call5148 (depth = 6)
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5149 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit5150 == NULL) {
    strlit5150 = alloc_String("an expression beginning with a '(' must end with a ')'.");
    gc_root(strlit5150);
  }
// compiled string node returning strlit5150 (depth = 7)
  gc_frame_newslot(strlit5150);
// Begin line 1618
  setline(1618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe5151 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call5152 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5151);
// compiled member node returning call5152 (depth = 7)
  gc_frame_newslot(call5152);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5154 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call5155 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5154);
// compiled member node returning call5155 (depth = 8)
  int op_slot_right_5153 = gc_frame_newslot(call5155);
// starting to compile member node (depth = 8)
  int callframe5157 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call5158 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5157);
// compiled member node returning call5158 (depth = 8)
  int op_slot_left_5153 = gc_frame_newslot(call5158);
  params[0] = call5155;
  partcv[0] = 1;
  Object sum5159 = callmethod(call5158, "+(1)", 1, partcv, params);
// compiled op node returning sum5159 (depth = 7)
  gc_frame_newslot(sum5159);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1617
  setline(1617);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit5150;
  params[1] = call5152;
  params[2] = sum5159;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5160 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5149);
// compiled call node returning call5160 (depth = 6)
    gc_frame_newslot(call5160);
    if5133 = call5160;
  } else {
  }
// compiled if node returning if5133 (depth = 5)
// Begin line 1620
  setline(1620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5161 = gc_frame_new();
// call case 4: self request
  Object call5162 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5161);
// compiled member node returning call5162 (depth = 5)
    gc_frame_newslot(call5162);
    if5072 = call5162;
  } else {
// Begin line 1622
  setline(1622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5164 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5165 = gc_frame_new();
// call case 4: self request
  Object call5166 = callmethodflags(self, "tokenOnSameLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5165);
// compiled member node returning call5166 (depth = 7)
  partcv[0] = 0;
  Object call5167 = callmethodflags(call5166, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe5164);
// compiled call node returning call5167 (depth = 6)
  Object if5163 = done;
  if (istrue(call5167)) {
// Begin line 1623
  setline(1623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile array node (depth = 7)
  Object array5168 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5168 (depth = 7)
  *var_suggestions = array5168;
  if (array5168 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1624
  setline(1624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5169 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5170 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5171 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5170);
// compiled member node returning call5171 (depth = 8)
  Object call5172 = callmethodflags(call5171, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5169);
// compiled member node returning call5172 (depth = 7)
  *var_suggestion = call5172;
  if (call5172 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1625
  setline(1625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5173 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 7)
  Object bool5174 = alloc_Boolean(1);
// compiled identifier node returning bool5174 (depth = 7)
  gc_frame_newslot(bool5174);
// starting to compile identifier node (depth = 7)
  Object bool5175 = alloc_Boolean(0);
// compiled identifier node returning bool5175 (depth = 7)
  gc_frame_newslot(bool5175);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = bool5174;
  params[2] = bool5175;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5176 = callmethodflags(*var_suggestion, "deleteToken(1)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5173);
// compiled call node returning call5176 (depth = 6)
// Begin line 1626
  setline(1626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5177 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5178 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5177);
// compiled call node returning call5178 (depth = 6)
// Begin line 1627
  setline(1627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5179 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5180 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5181 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5180);
// compiled member node returning call5181 (depth = 8)
  Object call5182 = callmethodflags(call5181, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5179);
// compiled member node returning call5182 (depth = 7)
  *var_suggestion = call5182;
  if (call5182 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1628
  setline(1628);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5184 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5186 == NULL) {
    strlit5186 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5186);
  }
// compiled string node returning strlit5186 (depth = 8)
  int op_slot_right_5185 = gc_frame_newslot(strlit5186);
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_name (depth = 9)
  int op_slot_right_5188 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 9)
  if (strlit5190 == NULL) {
    strlit5190 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5190);
  }
// compiled string node returning strlit5190 (depth = 9)
  int op_slot_left_5188 = gc_frame_newslot(strlit5190);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5191 = callmethod(strlit5190, "++(1)", 1, partcv, params);
// compiled op node returning opresult5191 (depth = 8)
  int op_slot_left_5185 = gc_frame_newslot(opresult5191);
  params[0] = strlit5186;
  partcv[0] = 1;
  Object opresult5192 = callmethod(opresult5191, "++(1)", 1, partcv, params);
// compiled op node returning opresult5192 (depth = 7)
  gc_frame_newslot(opresult5192);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = opresult5192;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5193 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5184);
// compiled call node returning call5193 (depth = 6)
// Begin line 1629
  setline(1629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5194 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5195 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5194);
// compiled call node returning call5195 (depth = 6)
// Begin line 1630
  setline(1630);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5196 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5197 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5198 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5197);
// compiled member node returning call5198 (depth = 8)
  Object call5199 = callmethodflags(call5198, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5196);
// compiled member node returning call5199 (depth = 7)
  *var_suggestion = call5199;
  if (call5199 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1631
  setline(1631);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5201 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5203 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe5204 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call5205 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5204);
// compiled member node returning call5205 (depth = 9)
  gc_frame_newslot(call5205);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5206 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  Object call5207 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe5206);
// compiled member node returning call5207 (depth = 9)
  params[0] = call5205;
  partcv[0] = 1;
  Object call5208 = callmethodflags(call5207, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5203);
// compiled call node returning call5208 (depth = 8)
  int op_slot_right_5202 = gc_frame_newslot(call5208);
// starting to compile string node (depth = 8)
  if (strlit5210 == NULL) {
    strlit5210 = alloc_String(" ");
    gc_root(strlit5210);
  }
// compiled string node returning strlit5210 (depth = 8)
  int op_slot_left_5202 = gc_frame_newslot(strlit5210);
  params[0] = call5208;
  partcv[0] = 1;
  Object opresult5211 = callmethod(strlit5210, "++(1)", 1, partcv, params);
// compiled op node returning opresult5211 (depth = 7)
  gc_frame_newslot(opresult5211);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = opresult5211;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5212 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5201);
// compiled call node returning call5212 (depth = 6)
// Begin line 1632
  setline(1632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5213 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe5214 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call5215 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5214);
// compiled member node returning call5215 (depth = 7)
  gc_frame_newslot(call5215);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = call5215;
  partcv[0] = 1;
  Object call5216 = callmethodflags(*var_suggestion, "deleteLine(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5213);
// compiled call node returning call5216 (depth = 6)
// Begin line 1633
  setline(1633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5217 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5218 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5217);
// compiled call node returning call5218 (depth = 6)
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5219 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5221 == NULL) {
    strlit5221 = alloc_String("'. This is often caused by a new line in the middle of an expression.");
    gc_root(strlit5221);
  }
// compiled string node returning strlit5221 (depth = 8)
  int op_slot_right_5220 = gc_frame_newslot(strlit5221);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe5224 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call5225 = callmethodflags(*var_lastToken, "value", 0, partcv, params, 0);
  gc_frame_end(callframe5224);
// compiled member node returning call5225 (depth = 9)
  int op_slot_right_5223 = gc_frame_newslot(call5225);
// starting to compile string node (depth = 9)
  if (strlit5227 == NULL) {
    strlit5227 = alloc_String("a valid expression must follow '");
    gc_root(strlit5227);
  }
// compiled string node returning strlit5227 (depth = 9)
  int op_slot_left_5223 = gc_frame_newslot(strlit5227);
  params[0] = call5225;
  partcv[0] = 1;
  Object opresult5228 = callmethod(strlit5227, "++(1)", 1, partcv, params);
// compiled op node returning opresult5228 (depth = 8)
  int op_slot_left_5220 = gc_frame_newslot(opresult5228);
  params[0] = strlit5221;
  partcv[0] = 1;
  Object opresult5229 = callmethod(opresult5228, "++(1)", 1, partcv, params);
// compiled op node returning opresult5229 (depth = 7)
  gc_frame_newslot(opresult5229);
// Begin line 1635
  setline(1635);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe5230 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call5231 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5230);
// compiled member node returning call5231 (depth = 7)
  gc_frame_newslot(call5231);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5233 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call5234 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5233);
// compiled member node returning call5234 (depth = 8)
  int op_slot_right_5232 = gc_frame_newslot(call5234);
// starting to compile member node (depth = 8)
  int callframe5236 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call5237 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5236);
// compiled member node returning call5237 (depth = 8)
  int op_slot_left_5232 = gc_frame_newslot(call5237);
  params[0] = call5234;
  partcv[0] = 1;
  Object sum5238 = callmethod(call5237, "+(1)", 1, partcv, params);
// compiled op node returning sum5238 (depth = 7)
  gc_frame_newslot(sum5238);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1634
  setline(1634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult5229;
  params[1] = call5231;
  params[2] = sum5238;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5239 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5219);
// compiled call node returning call5239 (depth = 6)
    gc_frame_newslot(call5239);
    if5163 = call5239;
  } else {
  }
// compiled if node returning if5163 (depth = 5)
// Begin line 1637
  setline(1637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5241 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe5242 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block5243 = alloc_Block(NULL, NULL, "parser", 1637);
  gc_frame_newslot(block5243);
// method "_apply"
  block_savedest(block5243);
  Object closure5244 = createclosure(1, "_apply");
  setclosureframe(closure5244, stackframe);
  addtoclosure(closure5244, selfslot);
  struct UserObject *uo5244 = (struct UserObject*)block5243;
  uo5244->data[0] = (Object)closure5244;
  Method *meth_meth_parser__apply5244 = addmethod2pos(block5243, "_apply", &meth_parser__apply5244, 0);
  int argcv_meth_parser__apply5244[] = {0};
  meth_meth_parser__apply5244->type = alloc_MethodType(1, argcv_meth_parser__apply5244);
  meth_meth_parser__apply5244->definitionModule = modulename;
  meth_meth_parser__apply5244->definitionLine = 3404;
// compiled block node returning block5243 (depth = 8)
  gc_frame_newslot(block5243);
// call case 4: self request
  params[0] = block5243;
  partcv[0] = 1;
  Object call5248 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5242);
// compiled call node returning call5248 (depth = 7)
  Object call5249 = callmethodflags(call5248, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5241);
// compiled member node returning call5249 (depth = 6)
  Object if5240 = done;
  if (istrue(call5249)) {
// Begin line 1638
  setline(1638);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile array node (depth = 7)
  Object array5250 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5250 (depth = 7)
  *var_suggestions = array5250;
  if (array5250 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1639
  setline(1639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5251 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5252 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5253 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5252);
// compiled member node returning call5253 (depth = 8)
  Object call5254 = callmethodflags(call5253, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5251);
// compiled member node returning call5254 (depth = 7)
  *var_suggestion = call5254;
  if (call5254 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1640
  setline(1640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5255 = gc_frame_new();
// starting to compile array node (depth = 8)
  Object array5256 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 9)
  if (strlit5257 == NULL) {
    strlit5257 = alloc_String("comma");
    gc_root(strlit5257);
  }
// compiled string node returning strlit5257 (depth = 9)
  params[0] = strlit5257;
  partcv[0] = 1;
  callmethodflags(array5256, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 9)
  if (strlit5258 == NULL) {
    strlit5258 = alloc_String("rparen");
    gc_root(strlit5258);
  }
// compiled string node returning strlit5258 (depth = 9)
  params[0] = strlit5258;
  partcv[0] = 1;
  callmethodflags(array5256, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 9)
  if (strlit5259 == NULL) {
    strlit5259 = alloc_String("rsquare");
    gc_root(strlit5259);
  }
// compiled string node returning strlit5259 (depth = 9)
  params[0] = strlit5259;
  partcv[0] = 1;
  callmethodflags(array5256, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile string node (depth = 9)
  if (strlit5260 == NULL) {
    strlit5260 = alloc_String("rbrace");
    gc_root(strlit5260);
  }
// compiled string node returning strlit5260 (depth = 9)
  params[0] = strlit5260;
  partcv[0] = 1;
  callmethodflags(array5256, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array5256 (depth = 8)
  gc_frame_newslot(array5256);
// call case 4: self request
  params[0] = array5256;
  partcv[0] = 1;
  Object call5261 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5255);
// compiled call node returning call5261 (depth = 7)
  *var_nextTok = call5261;
  if (call5261 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1641
  setline(1641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_5263 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_5263 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5265 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult5265 (depth = 7)
  Object if5262 = done;
  if (istrue(opresult5265)) {
// Begin line 1642
  setline(1642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5266 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5268 == NULL) {
    strlit5268 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5268);
  }
// compiled string node returning strlit5268 (depth = 9)
  int op_slot_right_5267 = gc_frame_newslot(strlit5268);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_name (depth = 10)
  int op_slot_right_5270 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 10)
  if (strlit5272 == NULL) {
    strlit5272 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5272);
  }
// compiled string node returning strlit5272 (depth = 10)
  int op_slot_left_5270 = gc_frame_newslot(strlit5272);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5273 = callmethod(strlit5272, "++(1)", 1, partcv, params);
// compiled op node returning opresult5273 (depth = 9)
  int op_slot_left_5267 = gc_frame_newslot(opresult5273);
  params[0] = strlit5268;
  partcv[0] = 1;
  Object opresult5274 = callmethod(opresult5273, "++(1)", 1, partcv, params);
// compiled op node returning opresult5274 (depth = 8)
  gc_frame_newslot(opresult5274);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = opresult5274;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5275 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5266);
// compiled call node returning call5275 (depth = 7)
    gc_frame_newslot(call5275);
    if5262 = call5275;
  } else {
// Begin line 1644
  setline(1644);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5276 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
  int callframe5277 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call5278 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5277);
// compiled member node returning call5278 (depth = 8)
  gc_frame_newslot(call5278);
// starting to compile identifier node (depth = 8)
  Object bool5279 = alloc_Boolean(1);
// compiled identifier node returning bool5279 (depth = 8)
  gc_frame_newslot(bool5279);
// starting to compile identifier node (depth = 8)
  Object bool5280 = alloc_Boolean(0);
// compiled identifier node returning bool5280 (depth = 8)
  gc_frame_newslot(bool5280);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5282 == NULL) {
    strlit5282 = alloc_String("""\xc2""""\xbb""");
    gc_root(strlit5282);
  }
// compiled string node returning strlit5282 (depth = 9)
  int op_slot_right_5281 = gc_frame_newslot(strlit5282);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_name (depth = 10)
  int op_slot_right_5284 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 10)
  if (strlit5286 == NULL) {
    strlit5286 = alloc_String(" ""\xc2""""\xab""");
    gc_root(strlit5286);
  }
// compiled string node returning strlit5286 (depth = 10)
  int op_slot_left_5284 = gc_frame_newslot(strlit5286);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5287 = callmethod(strlit5286, "++(1)", 1, partcv, params);
// compiled op node returning opresult5287 (depth = 9)
  int op_slot_left_5281 = gc_frame_newslot(opresult5287);
  params[0] = strlit5282;
  partcv[0] = 1;
  Object opresult5288 = callmethod(opresult5287, "++(1)", 1, partcv, params);
// compiled op node returning opresult5288 (depth = 8)
  gc_frame_newslot(opresult5288);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call5278;
  params[2] = bool5279;
  params[3] = bool5280;
  params[4] = opresult5288;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5289 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe5276);
// compiled call node returning call5289 (depth = 7)
    gc_frame_newslot(call5289);
    if5262 = call5289;
  }
// compiled if node returning if5262 (depth = 6)
// Begin line 1646
  setline(1646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5290 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5291 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5290);
// compiled call node returning call5291 (depth = 6)
// Begin line 1647
  setline(1647);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5292 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5293 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5294 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5293);
// compiled member node returning call5294 (depth = 8)
  Object call5295 = callmethodflags(call5294, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5292);
// compiled member node returning call5295 (depth = 7)
  *var_suggestion = call5295;
  if (call5295 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1648
  setline(1648);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5297 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 7)
  int callframe5298 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call5299 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5298);
// compiled member node returning call5299 (depth = 7)
  gc_frame_newslot(call5299);
// starting to compile identifier node (depth = 7)
  Object bool5300 = alloc_Boolean(1);
// compiled identifier node returning bool5300 (depth = 7)
  gc_frame_newslot(bool5300);
// starting to compile identifier node (depth = 7)
  Object bool5301 = alloc_Boolean(0);
// compiled identifier node returning bool5301 (depth = 7)
  gc_frame_newslot(bool5301);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = call5299;
  params[2] = bool5300;
  params[3] = bool5301;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5302 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5297);
// compiled call node returning call5302 (depth = 6)
// Begin line 1649
  setline(1649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5303 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5304 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5303);
// compiled call node returning call5304 (depth = 6)
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5305 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5307 == NULL) {
    strlit5307 = alloc_String("'. This is often caused by a new line in the middle of an expression.");
    gc_root(strlit5307);
  }
// compiled string node returning strlit5307 (depth = 8)
  int op_slot_right_5306 = gc_frame_newslot(strlit5307);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe5310 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call5311 = callmethodflags(*var_lastToken, "value", 0, partcv, params, 0);
  gc_frame_end(callframe5310);
// compiled member node returning call5311 (depth = 9)
  int op_slot_right_5309 = gc_frame_newslot(call5311);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5314 == NULL) {
    strlit5314 = alloc_String(" must follow '");
    gc_root(strlit5314);
  }
// compiled string node returning strlit5314 (depth = 10)
  int op_slot_right_5313 = gc_frame_newslot(strlit5314);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_name (depth = 11)
  int op_slot_right_5316 = gc_frame_newslot(*var_name);
// starting to compile string node (depth = 11)
  if (strlit5318 == NULL) {
    strlit5318 = alloc_String("a valid ");
    gc_root(strlit5318);
  }
// compiled string node returning strlit5318 (depth = 11)
  int op_slot_left_5316 = gc_frame_newslot(strlit5318);
  params[0] = *var_name;
  partcv[0] = 1;
  Object opresult5319 = callmethod(strlit5318, "++(1)", 1, partcv, params);
// compiled op node returning opresult5319 (depth = 10)
  int op_slot_left_5313 = gc_frame_newslot(opresult5319);
  params[0] = strlit5314;
  partcv[0] = 1;
  Object opresult5320 = callmethod(opresult5319, "++(1)", 1, partcv, params);
// compiled op node returning opresult5320 (depth = 9)
  int op_slot_left_5309 = gc_frame_newslot(opresult5320);
  params[0] = call5311;
  partcv[0] = 1;
  Object opresult5321 = callmethod(opresult5320, "++(1)", 1, partcv, params);
// compiled op node returning opresult5321 (depth = 8)
  int op_slot_left_5306 = gc_frame_newslot(opresult5321);
  params[0] = strlit5307;
  partcv[0] = 1;
  Object opresult5322 = callmethod(opresult5321, "++(1)", 1, partcv, params);
// compiled op node returning opresult5322 (depth = 7)
  gc_frame_newslot(opresult5322);
// Begin line 1651
  setline(1651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe5323 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call5324 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5323);
// compiled member node returning call5324 (depth = 7)
  gc_frame_newslot(call5324);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5326 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call5327 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5326);
// compiled member node returning call5327 (depth = 8)
  int op_slot_right_5325 = gc_frame_newslot(call5327);
// starting to compile member node (depth = 8)
  int callframe5329 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call5330 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5329);
// compiled member node returning call5330 (depth = 8)
  int op_slot_left_5325 = gc_frame_newslot(call5330);
  params[0] = call5327;
  partcv[0] = 1;
  Object sum5331 = callmethod(call5330, "+(1)", 1, partcv, params);
// compiled op node returning sum5331 (depth = 7)
  gc_frame_newslot(sum5331);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1650
  setline(1650);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult5322;
  params[1] = call5324;
  params[2] = sum5331;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5332 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5305);
// compiled call node returning call5332 (depth = 6)
    gc_frame_newslot(call5332);
    if5240 = call5332;
  } else {
  }
// compiled if node returning if5240 (depth = 5)
    gc_frame_newslot(if5240);
    if5072 = if5240;
  }
// compiled if node returning if5072 (depth = 4)
// Begin line 1659
  setline(1659);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5333 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_acceptBlocks (depth = 5)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5334 = callmethodflags(self, "dotrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5333);
// compiled call node returning call5334 (depth = 4)
// Begin line 1660
  setline(1660);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5335 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_acceptBlocks (depth = 5)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5336 = callmethodflags(self, "callrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5335);
// compiled call node returning call5336 (depth = 4)
// Begin line 1661
  setline(1661);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5337 = gc_frame_new();
// call case 4: self request
  Object call5338 = callmethodflags(self, "postfixsquare", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5337);
// compiled member node returning call5338 (depth = 4)
// Begin line 1662
  setline(1662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5339 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call5340 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5339);
// compiled member node returning call5340 (depth = 5)
  *var_tmp = call5340;
  if (call5340 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1663
  setline(1663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5342 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tmp (depth = 5)
  gc_frame_newslot(*var_tmp);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_terms (depth = 5)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5343 = callmethodflags(*var_terms, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5342);
// compiled call node returning call5343 (depth = 4)
  gc_frame_end(frame);
  return call5343;
}
Object meth_parser__apply5348(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num5350 = alloc_Float64(0);
// compiled num node returning num5350 (depth = 5)
  int op_slot_right_5349 = gc_frame_newslot(num5350);
// starting to compile member node (depth = 5)
  int callframe5352 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ops (depth = 6)
  Object call5353 = callmethodflags(*var_ops, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5352);
// compiled member node returning call5353 (depth = 5)
  int op_slot_left_5349 = gc_frame_newslot(call5353);
  params[0] = num5350;
  partcv[0] = 1;
  Object opresult5354 = callmethod(call5353, ">(1)", 1, partcv, params);
// compiled op node returning opresult5354 (depth = 4)
  gc_frame_end(frame);
  return opresult5354;
}
Object meth_parser__apply5357(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[1];
  Object *var_ops = getfromclosure(closure, 0);
  Object *var_o = getfromclosure(closure, 1);
  Object *var_terms = getfromclosure(closure, 2);
  Object *var_tmp2 = getfromclosure(closure, 3);
  Object *var_tmp = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 1667
  setline(1667);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5358 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ops (depth = 6)
  Object call5359 = callmethodflags(*var_ops, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5358);
// compiled member node returning call5359 (depth = 5)
  *var_o = call5359;
  if (call5359 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1668
  setline(1668);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5361 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_terms (depth = 6)
  Object call5362 = callmethodflags(*var_terms, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5361);
// compiled member node returning call5362 (depth = 5)
  *var_tmp2 = call5362;
  if (call5362 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1669
  setline(1669);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5364 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_terms (depth = 6)
  Object call5365 = callmethodflags(*var_terms, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5364);
// compiled member node returning call5365 (depth = 5)
  *var_tmp = call5365;
  if (call5365 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1670
  setline(1670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5367 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5368 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp (depth = 6)
  Object call5369 = callmethodflags(*var_tmp, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5368);
// compiled member node returning call5369 (depth = 5)
  gc_frame_newslot(call5369);
// starting to compile member node (depth = 5)
  int callframe5370 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp (depth = 6)
  Object call5371 = callmethodflags(*var_tmp, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5370);
// compiled member node returning call5371 (depth = 5)
  gc_frame_newslot(call5371);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  params[0] = call5369;
  params[1] = call5371;
  partcv[0] = 2;
  Object call5372 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5367);
// compiled call node returning call5372 (depth = 4)
// Begin line 1671
  setline(1671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5373 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  gc_frame_newslot(*var_o);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp (depth = 6)
  gc_frame_newslot(*var_tmp);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp2 (depth = 6)
  gc_frame_newslot(*var_tmp2);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5374 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call5375 = callmethodflags(*var_ast, "opNode", 0, partcv, params, 0);
  gc_frame_end(callframe5374);
// compiled member node returning call5375 (depth = 6)
  params[0] = *var_o;
  params[1] = *var_tmp;
  params[2] = *var_tmp2;
  partcv[0] = 3;
  Object call5376 = callmethodflags(call5375, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe5373);
// compiled call node returning call5376 (depth = 5)
  *var_tmp = call5376;
  if (call5376 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1672
  setline(1672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5378 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tmp (depth = 5)
  gc_frame_newslot(*var_tmp);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_terms (depth = 5)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5379 = callmethodflags(*var_terms, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5378);
// compiled call node returning call5379 (depth = 4)
  gc_frame_end(frame);
  return call5379;
}
Object meth_parser_expressionrest_40_1_41_recursingWith_40_1_41_blocks_40_1_41_4890(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 42, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(14, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "expressionrest(1)recursingWith(1)blocks(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method expressionrest(_)recursingWith(_)blocks(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method expressionrest(_)recursingWith(_)blocks(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method expressionrest(_)recursingWith(_)blocks(_)");
  Object params[3];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for expressionrest(_)recursingWith(_)blocks(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_name = &(stackframe->slots[0]);
  *var_name = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part expressionrest(_)");
  Object *var_recurse = &(stackframe->slots[1]);
  *var_recurse = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part recursingWith(_)");
  Object *var_acceptBlocks = &(stackframe->slots[2]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part blocks(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_terms = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "terms");
  Object *var_ops = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "ops");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
  Object *var_o2 = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "o2");
  Object *var_tmp2 = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "tmp2");
  Object *var_tmp = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "tmp");
  Object *var_prec = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "prec");
  Object *var_allarith = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "allarith");
  Object *var_opcount = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "opcount");
  Object *var_opdtype = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "opdtype");
// Begin line 1543
  setline(1543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array4891 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4891 (depth = 3)
  *var_terms = array4891;
  if (array4891 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1544
  setline(1544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array4892 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array4892 (depth = 3)
  *var_ops = array4892;
  if (array4892 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1545
  setline(1545);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_o = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1546
  setline(1546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_o2 = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1547
  setline(1547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_tmp2 = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1548
  setline(1548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe4893 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  Object call4894 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe4893);
// compiled member node returning call4894 (depth = 3)
  *var_tmp = call4894;
  if (call4894 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1549
  setline(1549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4895 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tmp (depth = 3)
  gc_frame_newslot(*var_tmp);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_terms (depth = 3)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call4896 = callmethodflags(*var_terms, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe4895);
// compiled call node returning call4896 (depth = 2)
// Begin line 1550
  setline(1550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_prec = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1551
  setline(1551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool4897 = alloc_Boolean(1);
// compiled identifier node returning bool4897 (depth = 3)
  *var_allarith = bool4897;
  if (bool4897 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1552
  setline(1552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile num node (depth = 3)
  Object num4898 = alloc_Float64(0);
// compiled num node returning num4898 (depth = 3)
  *var_opcount = num4898;
  if (num4898 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1553
  setline(1553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile string node (depth = 3)
  if (strlit4899 == NULL) {
    strlit4899 = alloc_String("");
    gc_root(strlit4899);
  }
// compiled string node returning strlit4899 (depth = 3)
  *var_opdtype = strlit4899;
  if (strlit4899 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1554
  setline(1554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe4900 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block4901 = alloc_Block(NULL, NULL, "parser", 1554);
  gc_frame_newslot(block4901);
// method "_apply"
  block_savedest(block4901);
  Object closure4902 = createclosure(3, "_apply");
  setclosureframe(closure4902, stackframe);
  addtoclosure(closure4902, var_sym);
  addtoclosure(closure4902, var_statementToken);
  addtoclosure(closure4902, selfslot);
  struct UserObject *uo4902 = (struct UserObject*)block4901;
  uo4902->data[0] = (Object)closure4902;
  Method *meth_meth_parser__apply4902 = addmethod2pos(block4901, "_apply", &meth_parser__apply4902, 0);
  int argcv_meth_parser__apply4902[] = {0};
  meth_meth_parser__apply4902->type = alloc_MethodType(1, argcv_meth_parser__apply4902);
  meth_meth_parser__apply4902->definitionModule = modulename;
  meth_meth_parser__apply4902->definitionLine = 3404;
// compiled block node returning block4901 (depth = 3)
  gc_frame_newslot(block4901);
// Begin line 1555
  setline(1555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block4919 = alloc_Block(NULL, NULL, "parser", 1555);
  gc_frame_newslot(block4919);
// method "_apply"
  block_savedest(block4919);
  Object closure4920 = createclosure(20, "_apply");
  setclosureframe(closure4920, stackframe);
  addtoclosure(closure4920, var_opcount);
  addtoclosure(closure4920, var_sym);
  addtoclosure(closure4920, var_o);
  addtoclosure(closure4920, var_prec);
  addtoclosure(closure4920, var_allarith);
  addtoclosure(closure4920, var_opdtype);
  addtoclosure(closure4920, var_errormessages);
  addtoclosure(closure4920, var_lastToken);
  addtoclosure(closure4920, var_ops);
  addtoclosure(closure4920, var_o2);
  addtoclosure(closure4920, var_terms);
  addtoclosure(closure4920, var_tmp2);
  addtoclosure(closure4920, var_tmp);
  addtoclosure(closure4920, var_util);
  addtoclosure(closure4920, var_ast);
  addtoclosure(closure4920, var_recurse);
  addtoclosure(closure4920, var_name);
  addtoclosure(closure4920, var_acceptBlocks);
  addtoclosure(closure4920, var_values);
  addtoclosure(closure4920, selfslot);
  struct UserObject *uo4920 = (struct UserObject*)block4919;
  uo4920->data[0] = (Object)closure4920;
  Method *meth_meth_parser__apply4920 = addmethod2pos(block4919, "_apply", &meth_parser__apply4920, 0);
  int argcv_meth_parser__apply4920[] = {0};
  meth_meth_parser__apply4920->type = alloc_MethodType(1, argcv_meth_parser__apply4920);
  meth_meth_parser__apply4920->definitionModule = modulename;
  meth_meth_parser__apply4920->definitionLine = 3404;
// compiled block node returning block4919 (depth = 3)
  gc_frame_newslot(block4919);
// call case 5: prelude request
  params[0] = block4901;
  params[1] = block4919;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5345 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe4900);
// compiled call node returning call5345 (depth = 2)
// Begin line 1665
  setline(1665);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5346 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block5347 = alloc_Block(NULL, NULL, "parser", 1665);
  gc_frame_newslot(block5347);
// method "_apply"
  block_savedest(block5347);
  Object closure5348 = createclosure(2, "_apply");
  setclosureframe(closure5348, stackframe);
  addtoclosure(closure5348, var_ops);
  addtoclosure(closure5348, selfslot);
  struct UserObject *uo5348 = (struct UserObject*)block5347;
  uo5348->data[0] = (Object)closure5348;
  Method *meth_meth_parser__apply5348 = addmethod2pos(block5347, "_apply", &meth_parser__apply5348, 0);
  int argcv_meth_parser__apply5348[] = {0};
  meth_meth_parser__apply5348->type = alloc_MethodType(1, argcv_meth_parser__apply5348);
  meth_meth_parser__apply5348->definitionModule = modulename;
  meth_meth_parser__apply5348->definitionLine = 3404;
// compiled block node returning block5347 (depth = 3)
  gc_frame_newslot(block5347);
// starting to compile block node (depth = 3)
  Object block5356 = alloc_Block(NULL, NULL, "parser", 1665);
  gc_frame_newslot(block5356);
// method "_apply"
  block_savedest(block5356);
  Object closure5357 = createclosure(8, "_apply");
  setclosureframe(closure5357, stackframe);
  addtoclosure(closure5357, var_ops);
  addtoclosure(closure5357, var_o);
  addtoclosure(closure5357, var_terms);
  addtoclosure(closure5357, var_tmp2);
  addtoclosure(closure5357, var_tmp);
  addtoclosure(closure5357, var_util);
  addtoclosure(closure5357, var_ast);
  addtoclosure(closure5357, selfslot);
  struct UserObject *uo5357 = (struct UserObject*)block5356;
  uo5357->data[0] = (Object)closure5357;
  Method *meth_meth_parser__apply5357 = addmethod2pos(block5356, "_apply", &meth_parser__apply5357, 0);
  int argcv_meth_parser__apply5357[] = {0};
  meth_meth_parser__apply5357->type = alloc_MethodType(1, argcv_meth_parser__apply5357);
  meth_meth_parser__apply5357->definitionModule = modulename;
  meth_meth_parser__apply5357->definitionLine = 3404;
// compiled block node returning block5356 (depth = 3)
  gc_frame_newslot(block5356);
// call case 5: prelude request
  params[0] = block5347;
  params[1] = block5356;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5381 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5346);
// compiled call node returning call5381 (depth = 2)
// Begin line 1674
  setline(1674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5382 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_terms (depth = 4)
  Object call5383 = callmethodflags(*var_terms, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5382);
// compiled member node returning call5383 (depth = 3)
  *var_tmp = call5383;
  if (call5383 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 1675
  setline(1675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5385 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tmp (depth = 3)
  gc_frame_newslot(*var_tmp);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call5386 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5385);
// compiled call node returning call5386 (depth = 2)
// Begin line 1676
  setline(1676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5389 = alloc_Float64(0);
// compiled num node returning num5389 (depth = 4)
  int op_slot_right_5388 = gc_frame_newslot(num5389);
// starting to compile member node (depth = 4)
  int callframe5391 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_terms (depth = 5)
  Object call5392 = callmethodflags(*var_terms, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5391);
// compiled member node returning call5392 (depth = 4)
  int op_slot_left_5388 = gc_frame_newslot(call5392);
  params[0] = num5389;
  partcv[0] = 1;
  Object opresult5393 = callmethod(call5392, ">(1)", 1, partcv, params);
// compiled op node returning opresult5393 (depth = 3)
  Object if5387 = done;
  if (istrue(opresult5393)) {
// Begin line 1677
  setline(1677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5394 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5395 == NULL) {
    strlit5395 = alloc_String("values left on term stack.");
    gc_root(strlit5395);
  }
// compiled string node returning strlit5395 (depth = 4)
  gc_frame_newslot(strlit5395);
// starting to compile member node (depth = 4)
  int callframe5396 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call5397 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5396);
// compiled member node returning call5397 (depth = 4)
  gc_frame_newslot(call5397);
// starting to compile member node (depth = 4)
  int callframe5398 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call5399 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5398);
// compiled member node returning call5399 (depth = 4)
  gc_frame_newslot(call5399);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit5395;
  params[1] = call5397;
  params[2] = call5399;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call5400 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe5394);
// compiled call node returning call5400 (depth = 3)
    gc_frame_newslot(call5400);
    if5387 = call5400;
  } else {
  }
// compiled if node returning if5387 (depth = 2)
  gc_frame_end(frame);
  return if5387;
}
Object meth_parser_dotrest_40_1_41_5401(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 43, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotrest(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method dotrest(_)");
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for dotrest(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part dotrest(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_lookuptarget = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lookuptarget");
  Object *var_dro = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "dro");
  Object *var_suggestions = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestions");
  Object *var_suggestion = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestion");
// Begin line 1685
  setline(1685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe5403 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5404 == NULL) {
    strlit5404 = alloc_String("dot");
    gc_root(strlit5404);
  }
// compiled string node returning strlit5404 (depth = 4)
  gc_frame_newslot(strlit5404);
// call case 4: self request
  params[0] = strlit5404;
  partcv[0] = 1;
  Object call5405 = callmethodflags(self, "acceptSameLine(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5403);
// compiled call node returning call5405 (depth = 3)
  Object if5402 = done;
  if (istrue(call5405)) {
// Begin line 1686
  setline(1686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5406 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5407 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call5408 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5407);
// compiled member node returning call5408 (depth = 4)
  gc_frame_newslot(call5408);
// starting to compile member node (depth = 4)
  int callframe5409 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call5410 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5409);
// compiled member node returning call5410 (depth = 4)
  gc_frame_newslot(call5410);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call5408;
  params[1] = call5410;
  partcv[0] = 2;
  Object call5411 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5406);
// compiled call node returning call5411 (depth = 3)
// Begin line 1687
  setline(1687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5412 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call5413 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5412);
// compiled member node returning call5413 (depth = 4)
  *var_lookuptarget = call5413;
  if (call5413 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 1688
  setline(1688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe5414 = gc_frame_new();
// call case 4: self request
  Object call5415 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5414);
// compiled member node returning call5415 (depth = 3)
// Begin line 1689
  setline(1689);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5417 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5418 == NULL) {
    strlit5418 = alloc_String("identifier");
    gc_root(strlit5418);
  }
// compiled string node returning strlit5418 (depth = 5)
  gc_frame_newslot(strlit5418);
// call case 4: self request
  params[0] = strlit5418;
  partcv[0] = 1;
  Object call5419 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5417);
// compiled call node returning call5419 (depth = 4)
  Object if5416 = done;
  if (istrue(call5419)) {
// Begin line 1690
  setline(1690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5420 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe5421 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call5422 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5421);
// compiled member node returning call5422 (depth = 5)
  gc_frame_newslot(call5422);
// starting to compile member node (depth = 5)
  int callframe5423 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call5424 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5423);
// compiled member node returning call5424 (depth = 5)
  gc_frame_newslot(call5424);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  params[0] = call5422;
  params[1] = call5424;
  partcv[0] = 2;
  Object call5425 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5420);
// compiled call node returning call5425 (depth = 4)
// Begin line 1691
  setline(1691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5426 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5427 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call5428 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe5427);
// compiled member node returning call5428 (depth = 6)
  gc_frame_newslot(call5428);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lookuptarget (depth = 6)
  gc_frame_newslot(*var_lookuptarget);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5429 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call5430 = callmethodflags(*var_ast, "memberNode", 0, partcv, params, 0);
  gc_frame_end(callframe5429);
// compiled member node returning call5430 (depth = 6)
  params[0] = call5428;
  params[1] = *var_lookuptarget;
  partcv[0] = 2;
  Object call5431 = callmethodflags(call5430, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5426);
// compiled call node returning call5431 (depth = 5)
  *var_dro = call5431;
  if (call5431 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1692
  setline(1692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5432 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dro (depth = 5)
  gc_frame_newslot(*var_dro);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = *var_dro;
  partcv[0] = 1;
  Object call5433 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5432);
// compiled call node returning call5433 (depth = 4)
// Begin line 1693
  setline(1693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe5434 = gc_frame_new();
// call case 4: self request
  Object call5435 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5434);
// compiled member node returning call5435 (depth = 4)
// Begin line 1694
  setline(1694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5437 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5438 == NULL) {
    strlit5438 = alloc_String("dot");
    gc_root(strlit5438);
  }
// compiled string node returning strlit5438 (depth = 6)
  gc_frame_newslot(strlit5438);
// call case 4: self request
  params[0] = strlit5438;
  partcv[0] = 1;
  Object call5439 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5437);
// compiled call node returning call5439 (depth = 5)
  Object if5436 = done;
  if (istrue(call5439)) {
// Begin line 1695
  setline(1695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5440 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acceptBlocks (depth = 6)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5441 = callmethodflags(self, "dotrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5440);
// compiled call node returning call5441 (depth = 5)
    gc_frame_newslot(call5441);
    if5436 = call5441;
  } else {
// Begin line 1701
  setline(1701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// Begin line 1698
  setline(1698);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5444 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5445 == NULL) {
    strlit5445 = alloc_String("lgeneric");
    gc_root(strlit5445);
  }
// compiled string node returning strlit5445 (depth = 8)
  gc_frame_newslot(strlit5445);
// call case 4: self request
  params[0] = strlit5445;
  partcv[0] = 1;
  Object call5446 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5444);
// compiled call node returning call5446 (depth = 7)
  int op_slot_right_5443 = gc_frame_newslot(call5446);
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5449 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit5450 == NULL) {
    strlit5450 = alloc_String("lsquare");
    gc_root(strlit5450);
  }
// compiled string node returning strlit5450 (depth = 9)
  gc_frame_newslot(strlit5450);
// call case 4: self request
  params[0] = strlit5450;
  partcv[0] = 1;
  Object call5451 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5449);
// compiled call node returning call5451 (depth = 8)
  int op_slot_right_5448 = gc_frame_newslot(call5451);
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe5454 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit5455 == NULL) {
    strlit5455 = alloc_String("string");
    gc_root(strlit5455);
  }
// compiled string node returning strlit5455 (depth = 10)
  gc_frame_newslot(strlit5455);
// call case 4: self request
  params[0] = strlit5455;
  partcv[0] = 1;
  Object call5456 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5454);
// compiled call node returning call5456 (depth = 9)
  int op_slot_right_5453 = gc_frame_newslot(call5456);
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// Begin line 1697
  setline(1697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe5459 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit5460 == NULL) {
    strlit5460 = alloc_String("num");
    gc_root(strlit5460);
  }
// compiled string node returning strlit5460 (depth = 11)
  gc_frame_newslot(strlit5460);
// call case 4: self request
  params[0] = strlit5460;
  partcv[0] = 1;
  Object call5461 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5459);
// compiled call node returning call5461 (depth = 10)
  int op_slot_right_5458 = gc_frame_newslot(call5461);
// Begin line 1696
  setline(1696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile call node (depth = 12)
  int callframe5465 = gc_frame_new();
// starting to compile string node (depth = 13)
  if (strlit5466 == NULL) {
    strlit5466 = alloc_String("lbrace");
    gc_root(strlit5466);
  }
// compiled string node returning strlit5466 (depth = 13)
  gc_frame_newslot(strlit5466);
// call case 4: self request
  params[0] = strlit5466;
  partcv[0] = 1;
  Object call5467 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5465);
// compiled call node returning call5467 (depth = 12)
  int op_slot_right_5464 = gc_frame_newslot(call5467);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_acceptBlocks (depth = 12)
  int op_slot_left_5464 = gc_frame_newslot(*var_acceptBlocks);
  params[0] = call5467;
  partcv[0] = 1;
  Object opresult5469 = callmethod(*var_acceptBlocks, "&&(1)", 1, partcv, params);
// compiled op node returning opresult5469 (depth = 11)
  int op_slot_right_5463 = gc_frame_newslot(opresult5469);
// starting to compile call node (depth = 11)
  int callframe5471 = gc_frame_new();
// starting to compile string node (depth = 12)
  if (strlit5472 == NULL) {
    strlit5472 = alloc_String("lparen");
    gc_root(strlit5472);
  }
// compiled string node returning strlit5472 (depth = 12)
  gc_frame_newslot(strlit5472);
// call case 4: self request
  params[0] = strlit5472;
  partcv[0] = 1;
  Object call5473 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5471);
// compiled call node returning call5473 (depth = 11)
  int op_slot_left_5463 = gc_frame_newslot(call5473);
  params[0] = opresult5469;
  partcv[0] = 1;
  Object opresult5474 = callmethod(call5473, "||(1)", 1, partcv, params);
// compiled op node returning opresult5474 (depth = 10)
  int op_slot_left_5458 = gc_frame_newslot(opresult5474);
  params[0] = call5461;
  partcv[0] = 1;
  Object opresult5475 = callmethod(opresult5474, "||(1)", 1, partcv, params);
// compiled op node returning opresult5475 (depth = 9)
  int op_slot_left_5453 = gc_frame_newslot(opresult5475);
  params[0] = call5456;
  partcv[0] = 1;
  Object opresult5476 = callmethod(opresult5475, "||(1)", 1, partcv, params);
// compiled op node returning opresult5476 (depth = 8)
  int op_slot_left_5448 = gc_frame_newslot(opresult5476);
  params[0] = call5451;
  partcv[0] = 1;
  Object opresult5477 = callmethod(opresult5476, "||(1)", 1, partcv, params);
// compiled op node returning opresult5477 (depth = 7)
  int op_slot_left_5443 = gc_frame_newslot(opresult5477);
  params[0] = call5446;
  partcv[0] = 1;
  Object opresult5478 = callmethod(opresult5477, "||(1)", 1, partcv, params);
// compiled op node returning opresult5478 (depth = 6)
  Object if5442 = done;
  if (istrue(opresult5478)) {
// Begin line 1699
  setline(1699);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5479 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_acceptBlocks (depth = 7)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5480 = callmethodflags(self, "callrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5479);
// compiled call node returning call5480 (depth = 6)
    gc_frame_newslot(call5480);
    if5442 = call5480;
  } else {
  }
// compiled if node returning if5442 (depth = 5)
    gc_frame_newslot(if5442);
    if5436 = if5442;
  }
// compiled if node returning if5436 (depth = 4)
    gc_frame_newslot(if5436);
    if5416 = if5436;
  } else {
// Begin line 1702
  setline(1702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array5481 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5481 (depth = 5)
  *var_suggestions = array5481;
  if (array5481 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1703
  setline(1703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5482 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5483 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call5484 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5483);
// compiled member node returning call5484 (depth = 6)
  Object call5485 = callmethodflags(call5484, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5482);
// compiled member node returning call5485 (depth = 5)
  *var_suggestion = call5485;
  if (call5485 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1704
  setline(1704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5486 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call5487 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5486);
// compiled call node returning call5487 (depth = 4)
// Begin line 1705
  setline(1705);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5488 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5489 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5488);
// compiled call node returning call5489 (depth = 4)
// Begin line 1706
  setline(1706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5490 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5491 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call5492 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5491);
// compiled member node returning call5492 (depth = 6)
  Object call5493 = callmethodflags(call5492, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5490);
// compiled member node returning call5493 (depth = 5)
  *var_suggestion = call5493;
  if (call5493 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1707
  setline(1707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5495 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5496 == NULL) {
    strlit5496 = alloc_String("""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit5496);
  }
// compiled string node returning strlit5496 (depth = 5)
  gc_frame_newslot(strlit5496);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit5496;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5497 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5495);
// compiled call node returning call5497 (depth = 4)
// Begin line 1708
  setline(1708);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5498 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5499 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5498);
// compiled call node returning call5499 (depth = 4)
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5500 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5501 == NULL) {
    strlit5501 = alloc_String("a field or method name must follow a '.'.");
    gc_root(strlit5501);
  }
// compiled string node returning strlit5501 (depth = 5)
  gc_frame_newslot(strlit5501);
// Begin line 1710
  setline(1710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5502 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call5503 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5502);
// compiled member node returning call5503 (depth = 5)
  gc_frame_newslot(call5503);
// starting to compile member node (depth = 5)
  int callframe5504 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call5505 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5504);
// compiled member node returning call5505 (depth = 5)
  gc_frame_newslot(call5505);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1709
  setline(1709);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit5501;
  params[1] = call5503;
  params[2] = call5505;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5506 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5500);
// compiled call node returning call5506 (depth = 4)
    gc_frame_newslot(call5506);
    if5416 = call5506;
  }
// compiled if node returning if5416 (depth = 3)
    gc_frame_newslot(if5416);
    if5402 = if5416;
  } else {
  }
// compiled if node returning if5402 (depth = 2)
  gc_frame_end(frame);
  return if5402;
}
Object meth_parser__apply5585(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe5586 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit5587 == NULL) {
    strlit5587 = alloc_String("lbrace");
    gc_root(strlit5587);
  }
// compiled string node returning strlit5587 (depth = 7)
  gc_frame_newslot(strlit5587);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tok (depth = 7)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit5587;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5588 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5586);
// compiled call node returning call5588 (depth = 6)
  gc_frame_end(frame);
  return call5588;
}
Object meth_parser__apply5632(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_root = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5634 == NULL) {
    strlit5634 = alloc_String("member");
    gc_root(strlit5634);
  }
// compiled string node returning strlit5634 (depth = 10)
  int op_slot_right_5633 = gc_frame_newslot(strlit5634);
// starting to compile member node (depth = 10)
  int callframe5636 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_root (depth = 11)
  Object call5637 = callmethodflags(*var_root, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5636);
// compiled member node returning call5637 (depth = 10)
  int op_slot_left_5633 = gc_frame_newslot(call5637);
  params[0] = strlit5634;
  partcv[0] = 1;
  Object opresult5638 = callmethod(call5637, "==(1)", 1, partcv, params);
// compiled op node returning opresult5638 (depth = 9)
  gc_frame_end(frame);
  return opresult5638;
}
Object meth_parser__apply5641(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_root = getfromclosure(closure, 0);
  Object *var_outroot = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 9)
// Begin line 1766
  setline(1766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_root (depth = 10)
  *var_outroot = *var_root;
  if (*var_root == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
// Begin line 1767
  setline(1767);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe5643 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_root (depth = 11)
  Object call5644 = callmethodflags(*var_root, "receiver", 0, partcv, params, 0);
  gc_frame_end(callframe5643);
// compiled member node returning call5644 (depth = 10)
  *var_root = call5644;
  if (call5644 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 9)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_callrest_40_1_41_5507(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 44, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(18, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callrest(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method callrest(_)");
  Object params[3];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_minIndentLevel = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for callrest(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_acceptBlocks = &(stackframe->slots[0]);
  *var_acceptBlocks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part callrest(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_meth = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "meth");
  Object *var_lnum = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "lnum");
  Object *var_lpos = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "lpos");
  Object *var_methn = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "methn");
  Object *var_btok = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "btok");
  Object *var_signature = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "signature");
  Object *var_part = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "part");
  Object *var_hadcall = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "hadcall");
  Object *var_tok = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "tok");
  Object *var_startInd = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "startInd");
  Object *var_genericIdents = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "genericIdents");
  Object *var_ar = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "ar");
  Object *var_root = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "root");
  Object *var_outroot = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "outroot");
  Object *var_meth_39_ = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "meth'");
  Object *var_call = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "call");
// Begin line 1719
  setline(1719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5510 = alloc_Float64(0);
// compiled num node returning num5510 (depth = 4)
  int op_slot_right_5509 = gc_frame_newslot(num5510);
// starting to compile member node (depth = 4)
  int callframe5512 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call5513 = callmethodflags(*var_values, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5512);
// compiled member node returning call5513 (depth = 4)
  int op_slot_left_5509 = gc_frame_newslot(call5513);
  params[0] = num5510;
  partcv[0] = 1;
  Object opresult5514 = callmethod(call5513, "==(1)", 1, partcv, params);
// compiled op node returning opresult5514 (depth = 3)
  Object if5508 = done;
  if (istrue(opresult5514)) {
// Begin line 1720
  setline(1720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile num node (depth = 4)
  Object num5515 = alloc_Float64(0);
// compiled num node returning num5515 (depth = 4)
  return num5515;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if5508 = undefined;
  } else {
  }
// compiled if node returning if5508 (depth = 2)
// Begin line 1722
  setline(1722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5516 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  Object call5517 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5516);
// compiled member node returning call5517 (depth = 3)
  *var_meth = call5517;
  if (call5517 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1723
  setline(1723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit5520 == NULL) {
    strlit5520 = alloc_String("identifier");
    gc_root(strlit5520);
  }
// compiled string node returning strlit5520 (depth = 4)
  int op_slot_right_5519 = gc_frame_newslot(strlit5520);
// starting to compile member node (depth = 4)
  int callframe5522 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  Object call5523 = callmethodflags(*var_meth, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5522);
// compiled member node returning call5523 (depth = 4)
  int op_slot_left_5519 = gc_frame_newslot(call5523);
  params[0] = strlit5520;
  partcv[0] = 1;
  Object opresult5524 = callmethod(call5523, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5524 (depth = 3)
  Object if5518 = done;
  if (istrue(opresult5524)) {
// Begin line 1724
  setline(1724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit5527 == NULL) {
    strlit5527 = alloc_String("member");
    gc_root(strlit5527);
  }
// compiled string node returning strlit5527 (depth = 5)
  int op_slot_right_5526 = gc_frame_newslot(strlit5527);
// starting to compile member node (depth = 5)
  int callframe5529 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  Object call5530 = callmethodflags(*var_meth, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5529);
// compiled member node returning call5530 (depth = 5)
  int op_slot_left_5526 = gc_frame_newslot(call5530);
  params[0] = strlit5527;
  partcv[0] = 1;
  Object opresult5531 = callmethod(call5530, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5531 (depth = 4)
  Object if5525 = done;
  if (istrue(opresult5531)) {
// Begin line 1725
  setline(1725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5532 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  gc_frame_newslot(*var_meth);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call5533 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5532);
// compiled call node returning call5533 (depth = 4)
// Begin line 1726
  setline(1726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// starting to compile num node (depth = 5)
  Object num5534 = alloc_Float64(0);
// compiled num node returning num5534 (depth = 5)
  return num5534;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if5525 = undefined;
  } else {
  }
// compiled if node returning if5525 (depth = 3)
    gc_frame_newslot(if5525);
    if5518 = if5525;
  } else {
  }
// compiled if node returning if5518 (depth = 2)
// Begin line 1729
  setline(1729);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5535 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  Object call5536 = callmethodflags(*var_meth, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5535);
// compiled member node returning call5536 (depth = 3)
  *var_lnum = call5536;
  if (call5536 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1730
  setline(1730);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5537 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  Object call5538 = callmethodflags(*var_meth, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5537);
// compiled member node returning call5538 (depth = 3)
  *var_lpos = call5538;
  if (call5538 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1731
  setline(1731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5539 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  Object call5540 = callmethodflags(*var_meth, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe5539);
// compiled member node returning call5540 (depth = 3)
  *var_methn = call5540;
  if (call5540 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1732
  setline(1732);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1733
  setline(1733);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5541 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe5542 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call5543 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5542);
// compiled member node returning call5543 (depth = 3)
  gc_frame_newslot(call5543);
// starting to compile member node (depth = 3)
  int callframe5544 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call5545 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5544);
// compiled member node returning call5545 (depth = 3)
  gc_frame_newslot(call5545);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call5543;
  params[1] = call5545;
  partcv[0] = 2;
  Object call5546 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5541);
// compiled call node returning call5546 (depth = 2)
// Begin line 1734
  setline(1734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array5547 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5547 (depth = 3)
  *var_signature = array5547;
  if (array5547 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1735
  setline(1735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe5548 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe5549 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call5550 = callmethodflags(*var_ast, "requestPart", 0, partcv, params, 0);
  gc_frame_end(callframe5549);
// compiled member node returning call5550 (depth = 4)
  Object call5551 = callmethodflags(call5550, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5548);
// compiled member node returning call5551 (depth = 3)
  *var_part = call5551;
  if (call5551 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1736
  setline(1736);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5552 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_part (depth = 3)
  gc_frame_newslot(*var_part);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_signature (depth = 3)
  params[0] = *var_part;
  partcv[0] = 1;
  Object call5553 = callmethodflags(*var_signature, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5552);
// compiled call node returning call5553 (depth = 2)
// Begin line 1737
  setline(1737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool5554 = alloc_Boolean(0);
// compiled identifier node returning bool5554 (depth = 3)
  *var_hadcall = bool5554;
  if (bool5554 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1738
  setline(1738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lastToken (depth = 3)
  *var_tok = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1739
  setline(1739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_startInd = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1740
  setline(1740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool5555 = alloc_Boolean(0);
// compiled identifier node returning bool5555 (depth = 3)
  *var_genericIdents = bool5555;
  if (bool5555 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1741
  setline(1741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe5557 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5558 == NULL) {
    strlit5558 = alloc_String("lgeneric");
    gc_root(strlit5558);
  }
// compiled string node returning strlit5558 (depth = 4)
  gc_frame_newslot(strlit5558);
// call case 4: self request
  params[0] = strlit5558;
  partcv[0] = 1;
  Object call5559 = callmethodflags(self, "acceptSameLine(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5557);
// compiled call node returning call5559 (depth = 3)
  Object if5556 = done;
  if (istrue(call5559)) {
// Begin line 1742
  setline(1742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5560 = gc_frame_new();
// call case 4: self request
  Object call5561 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5560);
// compiled member node returning call5561 (depth = 4)
  *var_genericIdents = call5561;
  if (call5561 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if5556 = done;
  } else {
  }
// compiled if node returning if5556 (depth = 2)
// Begin line 1744
  setline(1744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe5564 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit5565 == NULL) {
    strlit5565 = alloc_String("lparen");
    gc_root(strlit5565);
  }
// compiled string node returning strlit5565 (depth = 4)
  gc_frame_newslot(strlit5565);
// call case 4: self request
  params[0] = strlit5565;
  partcv[0] = 1;
  Object call5566 = callmethodflags(self, "acceptSameLine(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5564);
// compiled call node returning call5566 (depth = 3)
  Object if5563 = done;
  if (istrue(call5566)) {
// Begin line 1745
  setline(1745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5567 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5568 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call5569 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5568);
// compiled member node returning call5569 (depth = 4)
  gc_frame_newslot(call5569);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_part (depth = 4)
  params[0] = call5569;
  partcv[0] = 1;
  Object call5570 = callmethodflags(*var_part, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5567);
// compiled call node returning call5570 (depth = 3)
// Begin line 1746
  setline(1746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5571 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe5572 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call5573 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5572);
// compiled member node returning call5573 (depth = 4)
  gc_frame_newslot(call5573);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_part (depth = 4)
  params[0] = call5573;
  partcv[0] = 1;
  Object call5574 = callmethodflags(*var_part, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5571);
// compiled call node returning call5574 (depth = 3)
// Begin line 1747
  setline(1747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5575 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methn (depth = 4)
  gc_frame_newslot(*var_methn);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_part (depth = 4)
  params[0] = *var_methn;
  partcv[0] = 1;
  Object call5576 = callmethodflags(*var_part, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5575);
// compiled call node returning call5576 (depth = 3)
// Begin line 1748
  setline(1748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1749
  setline(1749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool5578 = alloc_Boolean(1);
// compiled identifier node returning bool5578 (depth = 4)
  *var_hadcall = bool5578;
  if (bool5578 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 1750
  setline(1750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5580 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_part (depth = 4)
  gc_frame_newslot(*var_part);
// call case 4: self request
  params[0] = *var_part;
  partcv[0] = 1;
  Object call5581 = callmethodflags(self, "parenthesizedArg(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5580);
// compiled call node returning call5581 (depth = 3)
    gc_frame_newslot(call5581);
    if5563 = call5581;
  } else {
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1751
  setline(1751);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block5584 = alloc_Block(NULL, NULL, "parser", 1751);
  gc_frame_newslot(block5584);
// method "_apply"
  block_savedest(block5584);
  Object closure5585 = createclosure(2, "_apply");
  setclosureframe(closure5585, stackframe);
  addtoclosure(closure5585, var_tok);
  addtoclosure(closure5585, selfslot);
  struct UserObject *uo5585 = (struct UserObject*)block5584;
  uo5585->data[0] = (Object)closure5585;
  Method *meth_meth_parser__apply5585 = addmethod2pos(block5584, "_apply", &meth_parser__apply5585, 0);
  int argcv_meth_parser__apply5585[] = {0};
  meth_meth_parser__apply5585->type = alloc_MethodType(1, argcv_meth_parser__apply5585);
  meth_meth_parser__apply5585->definitionModule = modulename;
  meth_meth_parser__apply5585->definitionLine = 3404;
// compiled block node returning block5584 (depth = 5)
  int op_slot_right_5583 = gc_frame_newslot(block5584);
// starting to compile member node (depth = 5)
  int callframe5591 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_acceptBlocks (depth = 6)
  Object call5592 = callmethodflags(*var_acceptBlocks, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5591);
// compiled member node returning call5592 (depth = 5)
  int op_slot_left_5583 = gc_frame_newslot(call5592);
  params[0] = block5584;
  partcv[0] = 1;
  Object opresult5593 = callmethod(call5592, "&&(1)", 1, partcv, params);
// compiled op node returning opresult5593 (depth = 4)
  Object if5582 = done;
  if (istrue(opresult5593)) {
// Begin line 1752
  setline(1752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5594 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  gc_frame_newslot(*var_meth);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call5595 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5594);
// compiled call node returning call5595 (depth = 4)
    gc_frame_newslot(call5595);
    if5582 = call5595;
  } else {
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 1753
  setline(1753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5597 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = *var_tok;
  partcv[0] = 1;
  Object call5598 = callmethodflags(self, "acceptArgumentOnLineOf(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5597);
// compiled call node returning call5598 (depth = 5)
  Object if5596 = done;
  if (istrue(call5598)) {
// Begin line 1754
  setline(1754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  *var_tok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1755
  setline(1755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
  Object bool5600 = alloc_Boolean(1);
// compiled identifier node returning bool5600 (depth = 6)
  *var_hadcall = bool5600;
  if (bool5600 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1756
  setline(1756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5602 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methn (depth = 6)
  gc_frame_newslot(*var_methn);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  params[0] = *var_methn;
  partcv[0] = 1;
  Object call5603 = callmethodflags(*var_part, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5602);
// compiled call node returning call5603 (depth = 5)
// Begin line 1757
  setline(1757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5604 = gc_frame_new();
// call case 4: self request
  Object call5605 = callmethodflags(self, "term", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5604);
// compiled member node returning call5605 (depth = 5)
// Begin line 1758
  setline(1758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5606 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call5607 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5606);
// compiled member node returning call5607 (depth = 6)
  *var_ar = call5607;
  if (call5607 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 1759
  setline(1759);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5608 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ar (depth = 6)
  gc_frame_newslot(*var_ar);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5609 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call5610 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe5609);
// compiled member node returning call5610 (depth = 6)
  params[0] = *var_ar;
  partcv[0] = 1;
  Object call5611 = callmethodflags(call5610, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5608);
// compiled call node returning call5611 (depth = 5)
    gc_frame_newslot(call5611);
    if5596 = call5611;
  } else {
// Begin line 1762
  setline(1762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1760
  setline(1760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5614 == NULL) {
    strlit5614 = alloc_String("identifier");
    gc_root(strlit5614);
  }
// compiled string node returning strlit5614 (depth = 7)
  int op_slot_right_5613 = gc_frame_newslot(strlit5614);
// starting to compile member node (depth = 7)
  int callframe5616 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  Object call5617 = callmethodflags(*var_meth, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5616);
// compiled member node returning call5617 (depth = 7)
  int op_slot_left_5613 = gc_frame_newslot(call5617);
  params[0] = strlit5614;
  partcv[0] = 1;
  Object opresult5618 = callmethod(call5617, "==(1)", 1, partcv, params);
// compiled op node returning opresult5618 (depth = 6)
  Object if5612 = done;
  if (istrue(opresult5618)) {
// Begin line 1761
  setline(1761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5619 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meth (depth = 7)
  gc_frame_newslot(*var_meth);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call5620 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5619);
// compiled call node returning call5620 (depth = 6)
    gc_frame_newslot(call5620);
    if5612 = call5620;
  } else {
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 1762
  setline(1762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5623 == NULL) {
    strlit5623 = alloc_String("member");
    gc_root(strlit5623);
  }
// compiled string node returning strlit5623 (depth = 8)
  int op_slot_right_5622 = gc_frame_newslot(strlit5623);
// starting to compile member node (depth = 8)
  int callframe5625 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  Object call5626 = callmethodflags(*var_meth, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5625);
// compiled member node returning call5626 (depth = 8)
  int op_slot_left_5622 = gc_frame_newslot(call5626);
  params[0] = strlit5623;
  partcv[0] = 1;
  Object opresult5627 = callmethod(call5626, "==(1)", 1, partcv, params);
// compiled op node returning opresult5627 (depth = 7)
  Object if5621 = done;
  if (istrue(opresult5627)) {
// Begin line 1763
  setline(1763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5628 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  Object call5629 = callmethodflags(*var_meth, "receiver", 0, partcv, params, 0);
  gc_frame_end(callframe5628);
// compiled member node returning call5629 (depth = 8)
  *var_root = call5629;
  if (call5629 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 1764
  setline(1764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  *var_outroot = *var_meth;
  if (*var_meth == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 1765
  setline(1765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5630 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block5631 = alloc_Block(NULL, NULL, "parser", 1765);
  gc_frame_newslot(block5631);
// method "_apply"
  block_savedest(block5631);
  Object closure5632 = createclosure(2, "_apply");
  setclosureframe(closure5632, stackframe);
  addtoclosure(closure5632, var_root);
  addtoclosure(closure5632, selfslot);
  struct UserObject *uo5632 = (struct UserObject*)block5631;
  uo5632->data[0] = (Object)closure5632;
  Method *meth_meth_parser__apply5632 = addmethod2pos(block5631, "_apply", &meth_parser__apply5632, 0);
  int argcv_meth_parser__apply5632[] = {0};
  meth_meth_parser__apply5632->type = alloc_MethodType(1, argcv_meth_parser__apply5632);
  meth_meth_parser__apply5632->definitionModule = modulename;
  meth_meth_parser__apply5632->definitionLine = 3404;
// compiled block node returning block5631 (depth = 8)
  gc_frame_newslot(block5631);
// starting to compile block node (depth = 8)
  Object block5640 = alloc_Block(NULL, NULL, "parser", 1765);
  gc_frame_newslot(block5640);
// method "_apply"
  block_savedest(block5640);
  Object closure5641 = createclosure(3, "_apply");
  setclosureframe(closure5641, stackframe);
  addtoclosure(closure5641, var_root);
  addtoclosure(closure5641, var_outroot);
  addtoclosure(closure5641, selfslot);
  struct UserObject *uo5641 = (struct UserObject*)block5640;
  uo5641->data[0] = (Object)closure5641;
  Method *meth_meth_parser__apply5641 = addmethod2pos(block5640, "_apply", &meth_parser__apply5641, 0);
  int argcv_meth_parser__apply5641[] = {0};
  meth_meth_parser__apply5641->type = alloc_MethodType(1, argcv_meth_parser__apply5641);
  meth_meth_parser__apply5641->definitionModule = modulename;
  meth_meth_parser__apply5641->definitionLine = 3404;
// compiled block node returning block5640 (depth = 8)
  gc_frame_newslot(block5640);
// call case 5: prelude request
  params[0] = block5631;
  params[1] = block5640;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5647 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5630);
// compiled call node returning call5647 (depth = 7)
// Begin line 1769
  setline(1769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5650 == NULL) {
    strlit5650 = alloc_String("identifier");
    gc_root(strlit5650);
  }
// compiled string node returning strlit5650 (depth = 9)
  int op_slot_right_5649 = gc_frame_newslot(strlit5650);
// starting to compile member node (depth = 9)
  int callframe5652 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_root (depth = 10)
  Object call5653 = callmethodflags(*var_root, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5652);
// compiled member node returning call5653 (depth = 9)
  int op_slot_left_5649 = gc_frame_newslot(call5653);
  params[0] = strlit5650;
  partcv[0] = 1;
  Object opresult5654 = callmethod(call5653, "==(1)", 1, partcv, params);
// compiled op node returning opresult5654 (depth = 8)
  Object if5648 = done;
  if (istrue(opresult5654)) {
// Begin line 1770
  setline(1770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5655 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  gc_frame_newslot(*var_meth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call5656 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5655);
// compiled call node returning call5656 (depth = 8)
    gc_frame_newslot(call5656);
    if5648 = call5656;
  } else {
// Begin line 1772
  setline(1772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5657 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_genericIdents (depth = 9)
  gc_frame_newslot(*var_genericIdents);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object call5658 = callmethodflags(*var_meth, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5657);
// compiled call node returning call5658 (depth = 8)
// Begin line 1773
  setline(1773);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5659 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_meth (depth = 9)
  gc_frame_newslot(*var_meth);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call5660 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5659);
// compiled call node returning call5660 (depth = 8)
    gc_frame_newslot(call5660);
    if5648 = call5660;
  }
// compiled if node returning if5648 (depth = 7)
    gc_frame_newslot(if5648);
    if5621 = if5648;
  } else {
  }
// compiled if node returning if5621 (depth = 6)
    gc_frame_newslot(if5621);
    if5612 = if5621;
  }
// compiled if node returning if5612 (depth = 5)
    gc_frame_newslot(if5612);
    if5596 = if5612;
  }
// compiled if node returning if5596 (depth = 4)
    gc_frame_newslot(if5596);
    if5582 = if5596;
  }
// compiled if node returning if5582 (depth = 3)
    gc_frame_newslot(if5582);
    if5563 = if5582;
  }
// compiled if node returning if5563 (depth = 2)
// Begin line 1776
  setline(1776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_hadcall (depth = 3)
  Object if5661 = done;
  if (istrue(*var_hadcall)) {
// Begin line 1777
  setline(1777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5663 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit5664 == NULL) {
    strlit5664 = alloc_String("identifier");
    gc_root(strlit5664);
  }
// compiled string node returning strlit5664 (depth = 5)
  gc_frame_newslot(strlit5664);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_tok (depth = 5)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit5664;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5665 = callmethodflags(self, "accept(1)onLineOfLastOr(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5663);
// compiled call node returning call5665 (depth = 4)
  Object if5662 = done;
  if (istrue(call5665)) {
// Begin line 1779
  setline(1779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5666 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methn (depth = 6)
  gc_frame_newslot(*var_methn);
// starting to compile identifier node (depth = 6)
  Object bool5667 = alloc_Boolean(0);
// compiled identifier node returning bool5667 (depth = 6)
  gc_frame_newslot(bool5667);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe5668 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call5669 = callmethodflags(*var_ast, "identifierNode", 0, partcv, params, 0);
  gc_frame_end(callframe5668);
// compiled member node returning call5669 (depth = 6)
  params[0] = *var_methn;
  params[1] = bool5667;
  partcv[0] = 2;
  Object call5670 = callmethodflags(call5669, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5666);
// compiled call node returning call5670 (depth = 5)
  *var_meth_39_ = call5670;
  if (call5670 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 1780
  setline(1780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5671 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lnum (depth = 5)
  gc_frame_newslot(*var_lnum);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth_39_ (depth = 5)
  params[0] = *var_lnum;
  partcv[0] = 1;
  Object call5672 = callmethodflags(*var_meth_39_, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5671);
// compiled call node returning call5672 (depth = 4)
// Begin line 1781
  setline(1781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5673 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lpos (depth = 5)
  gc_frame_newslot(*var_lpos);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth_39_ (depth = 5)
  params[0] = *var_lpos;
  partcv[0] = 1;
  Object call5674 = callmethodflags(*var_meth_39_, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5673);
// compiled call node returning call5674 (depth = 4)
// Begin line 1782
  setline(1782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5675 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth_39_ (depth = 6)
  gc_frame_newslot(*var_meth_39_);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_signature (depth = 6)
  gc_frame_newslot(*var_signature);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = *var_meth_39_;
  params[1] = *var_signature;
  params[2] = *var_tok;
  partcv[0] = 3;
  Object call5676 = callmethodflags(self, "callmprest(3)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5675);
// compiled call node returning call5676 (depth = 5)
  *var_methn = call5676;
  if (call5676 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1783
  setline(1783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit5680 == NULL) {
    strlit5680 = alloc_String("member");
    gc_root(strlit5680);
  }
// compiled string node returning strlit5680 (depth = 6)
  int op_slot_right_5679 = gc_frame_newslot(strlit5680);
// starting to compile member node (depth = 6)
  int callframe5682 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meth (depth = 7)
  Object call5683 = callmethodflags(*var_meth, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5682);
// compiled member node returning call5683 (depth = 6)
  int op_slot_left_5679 = gc_frame_newslot(call5683);
  params[0] = strlit5680;
  partcv[0] = 1;
  Object opresult5684 = callmethod(call5683, "==(1)", 1, partcv, params);
// compiled op node returning opresult5684 (depth = 5)
  Object if5678 = done;
  if (istrue(opresult5684)) {
// Begin line 1787
  setline(1787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe5685 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe5686 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_methn (depth = 8)
  Object call5687 = callmethodflags(*var_methn, "value", 0, partcv, params, 0);
  gc_frame_end(callframe5686);
// compiled member node returning call5687 (depth = 7)
  gc_frame_newslot(call5687);
// starting to compile member node (depth = 7)
  int callframe5688 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_meth (depth = 8)
  Object call5689 = callmethodflags(*var_meth, "receiver", 0, partcv, params, 0);
  gc_frame_end(callframe5688);
// compiled member node returning call5689 (depth = 7)
  gc_frame_newslot(call5689);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5690 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ast (depth = 8)
  Object call5691 = callmethodflags(*var_ast, "memberNode", 0, partcv, params, 0);
  gc_frame_end(callframe5690);
// compiled member node returning call5691 (depth = 7)
  params[0] = call5687;
  params[1] = call5689;
  partcv[0] = 2;
  Object call5692 = callmethodflags(call5691, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5685);
// compiled call node returning call5692 (depth = 6)
  *var_meth = call5692;
  if (call5692 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 1788
  setline(1788);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5694 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5695 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_methn (depth = 7)
  Object call5696 = callmethodflags(*var_methn, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5695);
// compiled member node returning call5696 (depth = 6)
  gc_frame_newslot(call5696);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  params[0] = call5696;
  partcv[0] = 1;
  Object call5697 = callmethodflags(*var_meth, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5694);
// compiled call node returning call5697 (depth = 5)
// Begin line 1789
  setline(1789);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5698 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5699 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_methn (depth = 7)
  Object call5700 = callmethodflags(*var_methn, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5699);
// compiled member node returning call5700 (depth = 6)
  gc_frame_newslot(call5700);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  params[0] = call5700;
  partcv[0] = 1;
  Object call5701 = callmethodflags(*var_meth, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5698);
// compiled call node returning call5701 (depth = 5)
    gc_frame_newslot(call5701);
    if5678 = call5701;
  } else {
// Begin line 1791
  setline(1791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methn (depth = 6)
  *var_meth = *var_methn;
  if (*var_methn == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if5678 = done;
  }
// compiled if node returning if5678 (depth = 4)
    gc_frame_newslot(if5678);
    if5662 = if5678;
  } else {
  }
// compiled if node returning if5662 (depth = 3)
// Begin line 1794
  setline(1794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5703 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lnum (depth = 4)
  gc_frame_newslot(*var_lnum);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_lnum;
  partcv[0] = 1;
  Object call5704 = callmethodflags(*var_util, "setline(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5703);
// compiled call node returning call5704 (depth = 3)
// Begin line 1795
  setline(1795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe5706 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  Object call5707 = callmethodflags(*var_meth, "isIdentifier", 0, partcv, params, 0);
  gc_frame_end(callframe5706);
// compiled member node returning call5707 (depth = 4)
  Object if5705 = done;
  if (istrue(call5707)) {
// Begin line 1796
  setline(1796);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5708 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call5709 = callmethodflags(*var_ast, "implicit", 0, partcv, params, 0);
  gc_frame_end(callframe5708);
// compiled member node returning call5709 (depth = 5)
  *var_meth = call5709;
  if (call5709 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5705 = done;
  } else {
// Begin line 1798
  setline(1798);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe5711 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  Object call5712 = callmethodflags(*var_meth, "receiver", 0, partcv, params, 0);
  gc_frame_end(callframe5711);
// compiled member node returning call5712 (depth = 5)
  *var_meth = call5712;
  if (call5712 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if5705 = done;
  }
// compiled if node returning if5705 (depth = 3)
// Begin line 1801
  setline(1801);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe5714 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  gc_frame_newslot(*var_meth);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  gc_frame_newslot(*var_signature);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe5715 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call5716 = callmethodflags(*var_ast, "callNode", 0, partcv, params, 0);
  gc_frame_end(callframe5715);
// compiled member node returning call5716 (depth = 5)
  params[0] = *var_meth;
  params[1] = *var_signature;
  partcv[0] = 2;
  Object call5717 = callmethodflags(call5716, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe5714);
// compiled call node returning call5717 (depth = 4)
  *var_call = call5717;
  if (call5717 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1802
  setline(1802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5718 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_genericIdents (depth = 4)
  gc_frame_newslot(*var_genericIdents);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_call (depth = 4)
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object call5719 = callmethodflags(*var_call, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5718);
// compiled call node returning call5719 (depth = 3)
// Begin line 1803
  setline(1803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe5720 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_call (depth = 4)
  gc_frame_newslot(*var_call);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_call;
  partcv[0] = 1;
  Object call5721 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5720);
// compiled call node returning call5721 (depth = 3)
    gc_frame_newslot(call5721);
    if5661 = call5721;
  } else {
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1804
  setline(1804);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_genericIdents (depth = 5)
  int op_slot_right_5723 = gc_frame_newslot(*var_genericIdents);
// starting to compile identifier node (depth = 5)
  Object bool5725 = alloc_Boolean(0);
// compiled identifier node returning bool5725 (depth = 5)
  int op_slot_left_5723 = gc_frame_newslot(bool5725);
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object opresult5726 = callmethod(bool5725, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5726 (depth = 4)
  Object if5722 = done;
  if (istrue(opresult5726)) {
// Begin line 1805
  setline(1805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5727 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_genericIdents (depth = 5)
  gc_frame_newslot(*var_genericIdents);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  params[0] = *var_genericIdents;
  partcv[0] = 1;
  Object call5728 = callmethodflags(*var_meth, "generics:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5727);
// compiled call node returning call5728 (depth = 4)
    gc_frame_newslot(call5728);
    if5722 = call5728;
  } else {
  }
// compiled if node returning if5722 (depth = 3)
    gc_frame_newslot(if5722);
    if5661 = if5722;
  }
// compiled if node returning if5661 (depth = 2)
// Begin line 1807
  setline(1807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_startInd (depth = 3)
  *var_minIndentLevel = *var_startInd;
  if (*var_startInd == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 1808
  setline(1808);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5730 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_acceptBlocks (depth = 3)
  gc_frame_newslot(*var_acceptBlocks);
// call case 4: self request
  params[0] = *var_acceptBlocks;
  partcv[0] = 1;
  Object call5731 = callmethodflags(self, "dotrest(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5730);
// compiled call node returning call5731 (depth = 2)
  gc_frame_end(frame);
  return call5731;
}
Object meth_parser__apply5737(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe5738 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_blocksOK (depth = 5)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5739 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5738);
// compiled call node returning call5739 (depth = 4)
  gc_frame_end(frame);
  return call5739;
}
Object meth_parser__apply5816(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 9)
  int callframe5817 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_blocksOK (depth = 10)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5818 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5817);
// compiled call node returning call5818 (depth = 9)
  gc_frame_end(frame);
  return call5818;
}
Object meth_parser__apply5877(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 6)
  int callframe5878 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit5879 == NULL) {
    strlit5879 = alloc_String("comma");
    gc_root(strlit5879);
  }
// compiled string node returning strlit5879 (depth = 7)
  gc_frame_newslot(strlit5879);
// call case 4: self request
  params[0] = strlit5879;
  partcv[0] = 1;
  Object call5880 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5878);
// compiled call node returning call5880 (depth = 6)
  gc_frame_end(frame);
  return call5880;
}
Object meth_parser__apply5896(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe5897 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call5898 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5897);
// compiled call node returning call5898 (depth = 10)
  gc_frame_end(frame);
  return call5898;
}
Object meth_parser__apply6018(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe6019 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6020 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6019);
// compiled call node returning call6020 (depth = 11)
  gc_frame_end(frame);
  return call6020;
}
Object meth_parser__apply5883(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_part = getfromclosure(closure, 1);
  Object *var_blocksOK = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
  Object *var_arg = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "arg");
// Begin line 1851
  setline(1851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5884 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe5885 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call5886 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5885);
// compiled member node returning call5886 (depth = 7)
  gc_frame_newslot(call5886);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe5887 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call5888 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe5887);
// compiled member node returning call5888 (depth = 7)
  params[0] = call5886;
  partcv[0] = 1;
  Object call5889 = callmethodflags(call5888, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5884);
// compiled call node returning call5889 (depth = 6)
// Begin line 1852
  setline(1852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe5890 = gc_frame_new();
// call case 4: self request
  Object call5891 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5890);
// compiled member node returning call5891 (depth = 6)
// Begin line 1853
  setline(1853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5893 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe5894 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block5895 = alloc_Block(NULL, NULL, "parser", 1853);
  gc_frame_newslot(block5895);
// method "_apply"
  block_savedest(block5895);
  Object closure5896 = createclosure(2, "_apply");
  setclosureframe(closure5896, stackframe);
  addtoclosure(closure5896, var_blocksOK);
  addtoclosure(closure5896, selfslot);
  struct UserObject *uo5896 = (struct UserObject*)block5895;
  uo5896->data[0] = (Object)closure5896;
  Method *meth_meth_parser__apply5896 = addmethod2pos(block5895, "_apply", &meth_parser__apply5896, 0);
  int argcv_meth_parser__apply5896[] = {0};
  meth_meth_parser__apply5896->type = alloc_MethodType(1, argcv_meth_parser__apply5896);
  meth_meth_parser__apply5896->definitionModule = modulename;
  meth_meth_parser__apply5896->definitionLine = 3404;
// compiled block node returning block5895 (depth = 9)
  gc_frame_newslot(block5895);
// call case 4: self request
  params[0] = block5895;
  partcv[0] = 1;
  Object call5900 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5894);
// compiled call node returning call5900 (depth = 8)
  Object call5901 = callmethodflags(call5900, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5893);
// compiled member node returning call5901 (depth = 7)
  Object if5892 = done;
  if (istrue(call5901)) {
// Begin line 1854
  setline(1854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile array node (depth = 8)
  Object array5902 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5902 (depth = 8)
  *var_suggestions = array5902;
  if (array5902 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1855
  setline(1855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5903 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5904 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call5905 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5904);
// compiled member node returning call5905 (depth = 9)
  Object call5906 = callmethodflags(call5905, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5903);
// compiled member node returning call5906 (depth = 8)
  *var_suggestion = call5906;
  if (call5906 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 1856
  setline(1856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe5907 = gc_frame_new();
// starting to compile array node (depth = 9)
  Object array5908 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 10)
  if (strlit5909 == NULL) {
    strlit5909 = alloc_String("rparen");
    gc_root(strlit5909);
  }
// compiled string node returning strlit5909 (depth = 10)
  params[0] = strlit5909;
  partcv[0] = 1;
  callmethodflags(array5908, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array5908 (depth = 9)
  gc_frame_newslot(array5908);
// call case 4: self request
  params[0] = array5908;
  partcv[0] = 1;
  Object call5910 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5907);
// compiled call node returning call5910 (depth = 8)
  *var_nextTok = call5910;
  if (call5910 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1857
  setline(1857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_5912 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_5912 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5914 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult5914 (depth = 8)
  Object if5911 = done;
  if (istrue(opresult5914)) {
// Begin line 1858
  setline(1858);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5915 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit5916 == NULL) {
    strlit5916 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5916);
  }
// compiled string node returning strlit5916 (depth = 9)
  gc_frame_newslot(strlit5916);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit5916;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5917 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5915);
// compiled call node returning call5917 (depth = 8)
    gc_frame_newslot(call5917);
    if5911 = call5917;
  } else {
// Begin line 1860
  setline(1860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe5918 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
  int callframe5919 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call5920 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5919);
// compiled member node returning call5920 (depth = 9)
  gc_frame_newslot(call5920);
// starting to compile identifier node (depth = 9)
  Object bool5921 = alloc_Boolean(1);
// compiled identifier node returning bool5921 (depth = 9)
  gc_frame_newslot(bool5921);
// starting to compile identifier node (depth = 9)
  Object bool5922 = alloc_Boolean(0);
// compiled identifier node returning bool5922 (depth = 9)
  gc_frame_newslot(bool5922);
// starting to compile string node (depth = 9)
  if (strlit5923 == NULL) {
    strlit5923 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit5923);
  }
// compiled string node returning strlit5923 (depth = 9)
  gc_frame_newslot(strlit5923);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call5920;
  params[2] = bool5921;
  params[3] = bool5922;
  params[4] = strlit5923;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5924 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe5918);
// compiled call node returning call5924 (depth = 8)
    gc_frame_newslot(call5924);
    if5911 = call5924;
  }
// compiled if node returning if5911 (depth = 7)
// Begin line 1862
  setline(1862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5925 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5926 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5925);
// compiled call node returning call5926 (depth = 7)
// Begin line 1863
  setline(1863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5927 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5928 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call5929 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5928);
// compiled member node returning call5929 (depth = 9)
  Object call5930 = callmethodflags(call5929, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5927);
// compiled member node returning call5930 (depth = 8)
  *var_suggestion = call5930;
  if (call5930 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 1864
  setline(1864);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5932 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 8)
  int callframe5933 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call5934 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5933);
// compiled member node returning call5934 (depth = 8)
  gc_frame_newslot(call5934);
// starting to compile identifier node (depth = 8)
  Object bool5935 = alloc_Boolean(1);
// compiled identifier node returning bool5935 (depth = 8)
  gc_frame_newslot(bool5935);
// starting to compile identifier node (depth = 8)
  Object bool5936 = alloc_Boolean(0);
// compiled identifier node returning bool5936 (depth = 8)
  gc_frame_newslot(bool5936);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = call5934;
  params[2] = bool5935;
  params[3] = bool5936;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5937 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5932);
// compiled call node returning call5937 (depth = 7)
// Begin line 1865
  setline(1865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5938 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5939 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5938);
// compiled call node returning call5939 (depth = 7)
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5940 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5941 == NULL) {
    strlit5941 = alloc_String("a method request must have an expression after a ','.");
    gc_root(strlit5941);
  }
// compiled string node returning strlit5941 (depth = 8)
  gc_frame_newslot(strlit5941);
// Begin line 1867
  setline(1867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe5942 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call5943 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5942);
// compiled member node returning call5943 (depth = 8)
  gc_frame_newslot(call5943);
// starting to compile member node (depth = 8)
  int callframe5944 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call5945 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5944);
// compiled member node returning call5945 (depth = 8)
  gc_frame_newslot(call5945);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1866
  setline(1866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit5941;
  params[1] = call5943;
  params[2] = call5945;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5946 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5940);
// compiled call node returning call5946 (depth = 7)
    gc_frame_newslot(call5946);
    if5892 = call5946;
  } else {
  }
// compiled if node returning if5892 (depth = 6)
// Begin line 1870
  setline(1870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5948 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5949 == NULL) {
    strlit5949 = alloc_String("colon");
    gc_root(strlit5949);
  }
// compiled string node returning strlit5949 (depth = 8)
  gc_frame_newslot(strlit5949);
// call case 4: self request
  params[0] = strlit5949;
  partcv[0] = 1;
  Object call5950 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5948);
// compiled call node returning call5950 (depth = 7)
  Object if5947 = done;
  if (istrue(call5950)) {
// Begin line 1871
  setline(1871);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe5951 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call5952 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5951);
// compiled member node returning call5952 (depth = 8)
  *var_arg = call5952;
  if (call5952 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 1872
  setline(1872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit5955 == NULL) {
    strlit5955 = alloc_String("identifier");
    gc_root(strlit5955);
  }
// compiled string node returning strlit5955 (depth = 9)
  int op_slot_right_5954 = gc_frame_newslot(strlit5955);
// starting to compile member node (depth = 9)
  int callframe5957 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_arg (depth = 10)
  Object call5958 = callmethodflags(*var_arg, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5957);
// compiled member node returning call5958 (depth = 9)
  int op_slot_left_5954 = gc_frame_newslot(call5958);
  params[0] = strlit5955;
  partcv[0] = 1;
  Object opresult5959 = callmethod(call5958, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5959 (depth = 8)
  Object if5953 = done;
  if (istrue(opresult5959)) {
// Begin line 1873
  setline(1873);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe5960 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe5961 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call5962 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5961);
// compiled member node returning call5962 (depth = 10)
  Object call5963 = callmethodflags(call5962, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5960);
// compiled member node returning call5963 (depth = 9)
  *var_suggestion = call5963;
  if (call5963 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 1874
  setline(1874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit5966 == NULL) {
    strlit5966 = alloc_String("identifier");
    gc_root(strlit5966);
  }
// compiled string node returning strlit5966 (depth = 10)
  int op_slot_right_5965 = gc_frame_newslot(strlit5966);
// starting to compile member node (depth = 10)
  int callframe5968 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe5969 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call5970 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5969);
// compiled member node returning call5970 (depth = 11)
  Object call5971 = callmethodflags(call5970, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5968);
// compiled member node returning call5971 (depth = 10)
  int op_slot_left_5965 = gc_frame_newslot(call5971);
  params[0] = strlit5966;
  partcv[0] = 1;
  Object opresult5972 = callmethod(call5971, "==(1)", 1, partcv, params);
// compiled op node returning opresult5972 (depth = 9)
  Object if5964 = done;
  if (istrue(opresult5972)) {
// Begin line 1875
  setline(1875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe5973 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
  int callframe5974 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call5975 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5974);
// compiled member node returning call5975 (depth = 10)
  gc_frame_newslot(call5975);
// starting to compile identifier node (depth = 10)
  Object bool5976 = alloc_Boolean(1);
// compiled identifier node returning bool5976 (depth = 10)
  gc_frame_newslot(bool5976);
// starting to compile identifier node (depth = 10)
  Object bool5977 = alloc_Boolean(0);
// compiled identifier node returning bool5977 (depth = 10)
  gc_frame_newslot(bool5977);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call5975;
  params[2] = bool5976;
  params[3] = bool5977;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5978 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5973);
// compiled call node returning call5978 (depth = 9)
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe5979 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit5980 == NULL) {
    strlit5980 = alloc_String("only declarations may be followed by a ':' and a type.");
    gc_root(strlit5980);
  }
// compiled string node returning strlit5980 (depth = 10)
  gc_frame_newslot(strlit5980);
// Begin line 1877
  setline(1877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe5981 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call5982 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5981);
// compiled member node returning call5982 (depth = 10)
  gc_frame_newslot(call5982);
// starting to compile member node (depth = 10)
  int callframe5983 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call5984 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5983);
// compiled member node returning call5984 (depth = 10)
  gc_frame_newslot(call5984);
// starting to compile op node (depth = 10)
// starting to compile num node (depth = 11)
  Object num5986 = alloc_Float64(1);
// compiled num node returning num5986 (depth = 11)
  int op_slot_right_5985 = gc_frame_newslot(num5986);
// starting to compile op node (depth = 11)
// starting to compile member node (depth = 12)
  int callframe5989 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe5990 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  Object call5991 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5990);
// compiled member node returning call5991 (depth = 13)
  Object call5992 = callmethodflags(call5991, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5989);
// compiled member node returning call5992 (depth = 12)
  int op_slot_right_5988 = gc_frame_newslot(call5992);
// starting to compile member node (depth = 12)
  int callframe5994 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 13)
  int callframe5995 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  Object call5996 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5995);
// compiled member node returning call5996 (depth = 13)
  Object call5997 = callmethodflags(call5996, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5994);
// compiled member node returning call5997 (depth = 12)
  int op_slot_left_5988 = gc_frame_newslot(call5997);
  params[0] = call5992;
  partcv[0] = 1;
  Object sum5998 = callmethod(call5997, "+(1)", 1, partcv, params);
// compiled op node returning sum5998 (depth = 11)
  int op_slot_left_5985 = gc_frame_newslot(sum5998);
  params[0] = num5986;
  partcv[0] = 1;
  Object diff5999 = callmethod(sum5998, "-(1)", 1, partcv, params);
// compiled op node returning diff5999 (depth = 10)
  gc_frame_newslot(diff5999);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1876
  setline(1876);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit5980;
  params[1] = call5982;
  params[2] = call5984;
  params[3] = diff5999;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6000 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5979);
// compiled call node returning call6000 (depth = 9)
    gc_frame_newslot(call6000);
    if5964 = call6000;
  } else {
// Begin line 1879
  setline(1879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6001 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call6002 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6001);
// compiled call node returning call6002 (depth = 9)
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6003 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6004 == NULL) {
    strlit6004 = alloc_String("only declarations may be followed by a ':' and a type.");
    gc_root(strlit6004);
  }
// compiled string node returning strlit6004 (depth = 10)
  gc_frame_newslot(strlit6004);
// Begin line 1881
  setline(1881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe6005 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6006 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6005);
// compiled member node returning call6006 (depth = 10)
  gc_frame_newslot(call6006);
// starting to compile member node (depth = 10)
  int callframe6007 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6008 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6007);
// compiled member node returning call6008 (depth = 10)
  gc_frame_newslot(call6008);
// starting to compile member node (depth = 10)
  int callframe6009 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6010 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6009);
// compiled member node returning call6010 (depth = 10)
  gc_frame_newslot(call6010);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1880
  setline(1880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit6004;
  params[1] = call6006;
  params[2] = call6008;
  params[3] = call6010;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6011 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6003);
// compiled call node returning call6011 (depth = 9)
    gc_frame_newslot(call6011);
    if5964 = call6011;
  }
// compiled if node returning if5964 (depth = 8)
    gc_frame_newslot(if5964);
    if5953 = if5964;
  } else {
  }
// compiled if node returning if5953 (depth = 7)
// Begin line 1884
  setline(1884);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe6012 = gc_frame_new();
// call case 4: self request
  Object call6013 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6012);
// compiled member node returning call6013 (depth = 7)
// Begin line 1885
  setline(1885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe6015 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe6016 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block6017 = alloc_Block(NULL, NULL, "parser", 1885);
  gc_frame_newslot(block6017);
// method "_apply"
  block_savedest(block6017);
  Object closure6018 = createclosure(2, "_apply");
  setclosureframe(closure6018, stackframe);
  addtoclosure(closure6018, var_blocksOK);
  addtoclosure(closure6018, selfslot);
  struct UserObject *uo6018 = (struct UserObject*)block6017;
  uo6018->data[0] = (Object)closure6018;
  Method *meth_meth_parser__apply6018 = addmethod2pos(block6017, "_apply", &meth_parser__apply6018, 0);
  int argcv_meth_parser__apply6018[] = {0};
  meth_meth_parser__apply6018->type = alloc_MethodType(1, argcv_meth_parser__apply6018);
  meth_meth_parser__apply6018->definitionModule = modulename;
  meth_meth_parser__apply6018->definitionLine = 3404;
// compiled block node returning block6017 (depth = 10)
  gc_frame_newslot(block6017);
// call case 4: self request
  params[0] = block6017;
  partcv[0] = 1;
  Object call6022 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6016);
// compiled call node returning call6022 (depth = 9)
  Object call6023 = callmethodflags(call6022, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6015);
// compiled member node returning call6023 (depth = 8)
  Object if6014 = done;
  if (istrue(call6023)) {
// Begin line 1886
  setline(1886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe6024 = gc_frame_new();
// call case 4: self request
  Object call6025 = callmethodflags(self, "checkBadTypeLiteral", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6024);
// compiled member node returning call6025 (depth = 8)
// Begin line 1887
  setline(1887);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile array node (depth = 9)
  Object array6026 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6026 (depth = 9)
  *var_suggestions = array6026;
  if (array6026 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 1888
  setline(1888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6027 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe6028 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call6029 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6028);
// compiled member node returning call6029 (depth = 10)
  Object call6030 = callmethodflags(call6029, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6027);
// compiled member node returning call6030 (depth = 9)
  *var_suggestion = call6030;
  if (call6030 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 1889
  setline(1889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6031 = gc_frame_new();
// starting to compile array node (depth = 10)
  Object array6032 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 11)
  if (strlit6033 == NULL) {
    strlit6033 = alloc_String("rparen");
    gc_root(strlit6033);
  }
// compiled string node returning strlit6033 (depth = 11)
  params[0] = strlit6033;
  partcv[0] = 1;
  callmethodflags(array6032, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array6032 (depth = 10)
  gc_frame_newslot(array6032);
// call case 4: self request
  params[0] = array6032;
  partcv[0] = 1;
  Object call6034 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6031);
// compiled call node returning call6034 (depth = 9)
  *var_nextTok = call6034;
  if (call6034 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 1890
  setline(1890);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_6036 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_6036 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6038 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult6038 (depth = 9)
  Object if6035 = done;
  if (istrue(opresult6038)) {
// Begin line 1891
  setline(1891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6039 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6040 == NULL) {
    strlit6040 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6040);
  }
// compiled string node returning strlit6040 (depth = 10)
  gc_frame_newslot(strlit6040);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit6040;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6041 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6039);
// compiled call node returning call6041 (depth = 9)
    gc_frame_newslot(call6041);
    if6035 = call6041;
  } else {
// Begin line 1893
  setline(1893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6042 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
  int callframe6043 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call6044 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6043);
// compiled member node returning call6044 (depth = 10)
  gc_frame_newslot(call6044);
// starting to compile identifier node (depth = 10)
  Object bool6045 = alloc_Boolean(1);
// compiled identifier node returning bool6045 (depth = 10)
  gc_frame_newslot(bool6045);
// starting to compile identifier node (depth = 10)
  Object bool6046 = alloc_Boolean(0);
// compiled identifier node returning bool6046 (depth = 10)
  gc_frame_newslot(bool6046);
// starting to compile string node (depth = 10)
  if (strlit6047 == NULL) {
    strlit6047 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit6047);
  }
// compiled string node returning strlit6047 (depth = 10)
  gc_frame_newslot(strlit6047);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call6044;
  params[2] = bool6045;
  params[3] = bool6046;
  params[4] = strlit6047;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6048 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe6042);
// compiled call node returning call6048 (depth = 9)
    gc_frame_newslot(call6048);
    if6035 = call6048;
  }
// compiled if node returning if6035 (depth = 8)
// Begin line 1895
  setline(1895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6049 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6050 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6049);
// compiled call node returning call6050 (depth = 8)
// Begin line 1896
  setline(1896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6051 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe6052 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call6053 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6052);
// compiled member node returning call6053 (depth = 10)
  Object call6054 = callmethodflags(call6053, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6051);
// compiled member node returning call6054 (depth = 9)
  *var_suggestion = call6054;
  if (call6054 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 1897
  setline(1897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6056 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
  int callframe6057 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call6058 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6057);
// compiled member node returning call6058 (depth = 9)
  gc_frame_newslot(call6058);
// starting to compile identifier node (depth = 9)
  Object bool6059 = alloc_Boolean(1);
// compiled identifier node returning bool6059 (depth = 9)
  gc_frame_newslot(bool6059);
// starting to compile identifier node (depth = 9)
  Object bool6060 = alloc_Boolean(0);
// compiled identifier node returning bool6060 (depth = 9)
  gc_frame_newslot(bool6060);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = call6058;
  params[2] = bool6059;
  params[3] = bool6060;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6061 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6056);
// compiled call node returning call6061 (depth = 8)
// Begin line 1898
  setline(1898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6062 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6063 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6062);
// compiled call node returning call6063 (depth = 8)
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6064 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6065 == NULL) {
    strlit6065 = alloc_String("a type name or type expression must follow ':'.");
    gc_root(strlit6065);
  }
// compiled string node returning strlit6065 (depth = 9)
  gc_frame_newslot(strlit6065);
// Begin line 1900
  setline(1900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe6066 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6067 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6066);
// compiled member node returning call6067 (depth = 9)
  gc_frame_newslot(call6067);
// starting to compile member node (depth = 9)
  int callframe6068 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6069 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6068);
// compiled member node returning call6069 (depth = 9)
  gc_frame_newslot(call6069);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1899
  setline(1899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit6065;
  params[1] = call6067;
  params[2] = call6069;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6070 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6064);
// compiled call node returning call6070 (depth = 8)
    gc_frame_newslot(call6070);
    if6014 = call6070;
  } else {
  }
// compiled if node returning if6014 (depth = 7)
// Begin line 1902
  setline(1902);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6071 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe6072 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call6073 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6072);
// compiled member node returning call6073 (depth = 8)
  gc_frame_newslot(call6073);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  params[0] = call6073;
  partcv[0] = 1;
  Object call6074 = callmethodflags(*var_arg, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6071);
// compiled call node returning call6074 (depth = 7)
// Begin line 1903
  setline(1903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6075 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_arg (depth = 8)
  gc_frame_newslot(*var_arg);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  params[0] = *var_arg;
  partcv[0] = 1;
  Object call6076 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6075);
// compiled call node returning call6076 (depth = 7)
    gc_frame_newslot(call6076);
    if5947 = call6076;
  } else {
  }
// compiled if node returning if5947 (depth = 6)
  gc_frame_end(frame);
  return if5947;
}
Object meth_parser__apply5742(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_part = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_expr = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "expr");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
// Begin line 1815
  setline(1815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe5744 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit5745 == NULL) {
    strlit5745 = alloc_String("colon");
    gc_root(strlit5745);
  }
// compiled string node returning strlit5745 (depth = 6)
  gc_frame_newslot(strlit5745);
// call case 4: self request
  params[0] = strlit5745;
  partcv[0] = 1;
  Object call5746 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5744);
// compiled call node returning call5746 (depth = 5)
  Object if5743 = done;
  if (istrue(call5746)) {
// Begin line 1816
  setline(1816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5747 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call5748 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5747);
// compiled member node returning call5748 (depth = 6)
  *var_expr = call5748;
  if (call5748 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 1817
  setline(1817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit5751 == NULL) {
    strlit5751 = alloc_String("identifier");
    gc_root(strlit5751);
  }
// compiled string node returning strlit5751 (depth = 7)
  int op_slot_right_5750 = gc_frame_newslot(strlit5751);
// starting to compile member node (depth = 7)
  int callframe5753 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_expr (depth = 8)
  Object call5754 = callmethodflags(*var_expr, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5753);
// compiled member node returning call5754 (depth = 7)
  int op_slot_left_5750 = gc_frame_newslot(call5754);
  params[0] = strlit5751;
  partcv[0] = 1;
  Object opresult5755 = callmethod(call5754, "≠(1)", 1, partcv, params);
// compiled op node returning opresult5755 (depth = 6)
  Object if5749 = done;
  if (istrue(opresult5755)) {
// Begin line 1818
  setline(1818);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5756 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5757 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5758 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5757);
// compiled member node returning call5758 (depth = 8)
  Object call5759 = callmethodflags(call5758, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5756);
// compiled member node returning call5759 (depth = 7)
  *var_suggestion = call5759;
  if (call5759 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1819
  setline(1819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit5762 == NULL) {
    strlit5762 = alloc_String("identifier");
    gc_root(strlit5762);
  }
// compiled string node returning strlit5762 (depth = 8)
  int op_slot_right_5761 = gc_frame_newslot(strlit5762);
// starting to compile member node (depth = 8)
  int callframe5764 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe5765 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call5766 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5765);
// compiled member node returning call5766 (depth = 9)
  Object call5767 = callmethodflags(call5766, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe5764);
// compiled member node returning call5767 (depth = 8)
  int op_slot_left_5761 = gc_frame_newslot(call5767);
  params[0] = strlit5762;
  partcv[0] = 1;
  Object opresult5768 = callmethod(call5767, "==(1)", 1, partcv, params);
// compiled op node returning opresult5768 (depth = 7)
  Object if5760 = done;
  if (istrue(opresult5768)) {
// Begin line 1820
  setline(1820);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5769 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
  int callframe5770 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call5771 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5770);
// compiled member node returning call5771 (depth = 8)
  gc_frame_newslot(call5771);
// starting to compile identifier node (depth = 8)
  Object bool5772 = alloc_Boolean(1);
// compiled identifier node returning bool5772 (depth = 8)
  gc_frame_newslot(bool5772);
// starting to compile identifier node (depth = 8)
  Object bool5773 = alloc_Boolean(0);
// compiled identifier node returning bool5773 (depth = 8)
  gc_frame_newslot(bool5773);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call5771;
  params[2] = bool5772;
  params[3] = bool5773;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5774 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5769);
// compiled call node returning call5774 (depth = 7)
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5775 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5776 == NULL) {
    strlit5776 = alloc_String("only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit5776);
  }
// compiled string node returning strlit5776 (depth = 8)
  gc_frame_newslot(strlit5776);
// Begin line 1822
  setline(1822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe5777 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call5778 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5777);
// compiled member node returning call5778 (depth = 8)
  gc_frame_newslot(call5778);
// starting to compile member node (depth = 8)
  int callframe5779 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call5780 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5779);
// compiled member node returning call5780 (depth = 8)
  gc_frame_newslot(call5780);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num5782 = alloc_Float64(1);
// compiled num node returning num5782 (depth = 9)
  int op_slot_right_5781 = gc_frame_newslot(num5782);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe5785 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe5786 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call5787 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5786);
// compiled member node returning call5787 (depth = 11)
  Object call5788 = callmethodflags(call5787, "size", 0, partcv, params, 0);
  gc_frame_end(callframe5785);
// compiled member node returning call5788 (depth = 10)
  int op_slot_right_5784 = gc_frame_newslot(call5788);
// starting to compile member node (depth = 10)
  int callframe5790 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe5791 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call5792 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe5791);
// compiled member node returning call5792 (depth = 11)
  Object call5793 = callmethodflags(call5792, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5790);
// compiled member node returning call5793 (depth = 10)
  int op_slot_left_5784 = gc_frame_newslot(call5793);
  params[0] = call5788;
  partcv[0] = 1;
  Object sum5794 = callmethod(call5793, "+(1)", 1, partcv, params);
// compiled op node returning sum5794 (depth = 9)
  int op_slot_left_5781 = gc_frame_newslot(sum5794);
  params[0] = num5782;
  partcv[0] = 1;
  Object diff5795 = callmethod(sum5794, "-(1)", 1, partcv, params);
// compiled op node returning diff5795 (depth = 8)
  gc_frame_newslot(diff5795);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1821
  setline(1821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit5776;
  params[1] = call5778;
  params[2] = call5780;
  params[3] = diff5795;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call5796 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5775);
// compiled call node returning call5796 (depth = 7)
    gc_frame_newslot(call5796);
    if5760 = call5796;
  } else {
// Begin line 1824
  setline(1824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5797 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool5798 = alloc_Boolean(1);
// compiled identifier node returning bool5798 (depth = 8)
  gc_frame_newslot(bool5798);
// starting to compile identifier node (depth = 8)
  Object bool5799 = alloc_Boolean(0);
// compiled identifier node returning bool5799 (depth = 8)
  gc_frame_newslot(bool5799);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool5798;
  params[2] = bool5799;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5800 = callmethodflags(*var_suggestion, "deleteToken(1)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5797);
// compiled call node returning call5800 (depth = 7)
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5801 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5802 == NULL) {
    strlit5802 = alloc_String("only variables and constants may be followed by a ':' and a type.");
    gc_root(strlit5802);
  }
// compiled string node returning strlit5802 (depth = 8)
  gc_frame_newslot(strlit5802);
// Begin line 1826
  setline(1826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe5803 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call5804 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5803);
// compiled member node returning call5804 (depth = 8)
  gc_frame_newslot(call5804);
// starting to compile member node (depth = 8)
  int callframe5805 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call5806 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5805);
// compiled member node returning call5806 (depth = 8)
  gc_frame_newslot(call5806);
// starting to compile member node (depth = 8)
  int callframe5807 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call5808 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5807);
// compiled member node returning call5808 (depth = 8)
  gc_frame_newslot(call5808);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1825
  setline(1825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit5802;
  params[1] = call5804;
  params[2] = call5806;
  params[3] = call5808;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call5809 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5801);
// compiled call node returning call5809 (depth = 7)
    gc_frame_newslot(call5809);
    if5760 = call5809;
  }
// compiled if node returning if5760 (depth = 6)
    gc_frame_newslot(if5760);
    if5749 = if5760;
  } else {
  }
// compiled if node returning if5749 (depth = 5)
// Begin line 1829
  setline(1829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe5810 = gc_frame_new();
// call case 4: self request
  Object call5811 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5810);
// compiled member node returning call5811 (depth = 5)
// Begin line 1830
  setline(1830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe5813 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe5814 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block5815 = alloc_Block(NULL, NULL, "parser", 1830);
  gc_frame_newslot(block5815);
// method "_apply"
  block_savedest(block5815);
  Object closure5816 = createclosure(2, "_apply");
  setclosureframe(closure5816, stackframe);
  addtoclosure(closure5816, var_blocksOK);
  addtoclosure(closure5816, selfslot);
  struct UserObject *uo5816 = (struct UserObject*)block5815;
  uo5816->data[0] = (Object)closure5816;
  Method *meth_meth_parser__apply5816 = addmethod2pos(block5815, "_apply", &meth_parser__apply5816, 0);
  int argcv_meth_parser__apply5816[] = {0};
  meth_meth_parser__apply5816->type = alloc_MethodType(1, argcv_meth_parser__apply5816);
  meth_meth_parser__apply5816->definitionModule = modulename;
  meth_meth_parser__apply5816->definitionLine = 3404;
// compiled block node returning block5815 (depth = 8)
  gc_frame_newslot(block5815);
// call case 4: self request
  params[0] = block5815;
  partcv[0] = 1;
  Object call5820 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5814);
// compiled call node returning call5820 (depth = 7)
  Object call5821 = callmethodflags(call5820, "not", 0, partcv, params, 0);
  gc_frame_end(callframe5813);
// compiled member node returning call5821 (depth = 6)
  Object if5812 = done;
  if (istrue(call5821)) {
// Begin line 1831
  setline(1831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe5822 = gc_frame_new();
// call case 4: self request
  Object call5823 = callmethodflags(self, "checkBadTypeLiteral", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5822);
// compiled member node returning call5823 (depth = 6)
// Begin line 1832
  setline(1832);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile array node (depth = 7)
  Object array5824 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array5824 (depth = 7)
  *var_suggestions = array5824;
  if (array5824 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1833
  setline(1833);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5825 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5826 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5827 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5826);
// compiled member node returning call5827 (depth = 8)
  Object call5828 = callmethodflags(call5827, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5825);
// compiled member node returning call5828 (depth = 7)
  *var_suggestion = call5828;
  if (call5828 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 1834
  setline(1834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe5829 = gc_frame_new();
// starting to compile array node (depth = 8)
  Object array5830 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 9)
  if (strlit5831 == NULL) {
    strlit5831 = alloc_String("rparen");
    gc_root(strlit5831);
  }
// compiled string node returning strlit5831 (depth = 9)
  params[0] = strlit5831;
  partcv[0] = 1;
  callmethodflags(array5830, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array5830 (depth = 8)
  gc_frame_newslot(array5830);
// call case 4: self request
  params[0] = array5830;
  partcv[0] = 1;
  Object call5832 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5829);
// compiled call node returning call5832 (depth = 7)
  *var_nextTok = call5832;
  if (call5832 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1835
  setline(1835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_5834 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_5834 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult5836 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult5836 (depth = 7)
  Object if5833 = done;
  if (istrue(opresult5836)) {
// Begin line 1836
  setline(1836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5837 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit5838 == NULL) {
    strlit5838 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit5838);
  }
// compiled string node returning strlit5838 (depth = 8)
  gc_frame_newslot(strlit5838);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit5838;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call5839 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe5837);
// compiled call node returning call5839 (depth = 7)
    gc_frame_newslot(call5839);
    if5833 = call5839;
  } else {
// Begin line 1838
  setline(1838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe5840 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
  int callframe5841 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call5842 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5841);
// compiled member node returning call5842 (depth = 8)
  gc_frame_newslot(call5842);
// starting to compile identifier node (depth = 8)
  Object bool5843 = alloc_Boolean(1);
// compiled identifier node returning bool5843 (depth = 8)
  gc_frame_newslot(bool5843);
// starting to compile identifier node (depth = 8)
  Object bool5844 = alloc_Boolean(0);
// compiled identifier node returning bool5844 (depth = 8)
  gc_frame_newslot(bool5844);
// starting to compile string node (depth = 8)
  if (strlit5845 == NULL) {
    strlit5845 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit5845);
  }
// compiled string node returning strlit5845 (depth = 8)
  gc_frame_newslot(strlit5845);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = call5842;
  params[2] = bool5843;
  params[3] = bool5844;
  params[4] = strlit5845;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call5846 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe5840);
// compiled call node returning call5846 (depth = 7)
    gc_frame_newslot(call5846);
    if5833 = call5846;
  }
// compiled if node returning if5833 (depth = 6)
// Begin line 1840
  setline(1840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5847 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5848 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5847);
// compiled call node returning call5848 (depth = 6)
// Begin line 1841
  setline(1841);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe5849 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe5850 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call5851 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe5850);
// compiled member node returning call5851 (depth = 8)
  Object call5852 = callmethodflags(call5851, "new", 0, partcv, params, 0);
  gc_frame_end(callframe5849);
// compiled member node returning call5852 (depth = 7)
  *var_suggestion = call5852;
  if (call5852 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 1842
  setline(1842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5854 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 7)
  int callframe5855 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call5856 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe5855);
// compiled member node returning call5856 (depth = 7)
  gc_frame_newslot(call5856);
// starting to compile identifier node (depth = 7)
  Object bool5857 = alloc_Boolean(1);
// compiled identifier node returning bool5857 (depth = 7)
  gc_frame_newslot(bool5857);
// starting to compile identifier node (depth = 7)
  Object bool5858 = alloc_Boolean(0);
// compiled identifier node returning bool5858 (depth = 7)
  gc_frame_newslot(bool5858);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_lastToken;
  params[1] = call5856;
  params[2] = bool5857;
  params[3] = bool5858;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call5859 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5854);
// compiled call node returning call5859 (depth = 6)
// Begin line 1843
  setline(1843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5860 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call5861 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5860);
// compiled call node returning call5861 (depth = 6)
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe5862 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit5863 == NULL) {
    strlit5863 = alloc_String("a type name or type expression must follow ':'.");
    gc_root(strlit5863);
  }
// compiled string node returning strlit5863 (depth = 7)
  gc_frame_newslot(strlit5863);
// Begin line 1845
  setline(1845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe5864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call5865 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe5864);
// compiled member node returning call5865 (depth = 7)
  gc_frame_newslot(call5865);
// starting to compile member node (depth = 7)
  int callframe5866 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call5867 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe5866);
// compiled member node returning call5867 (depth = 7)
  gc_frame_newslot(call5867);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1844
  setline(1844);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit5863;
  params[1] = call5865;
  params[2] = call5867;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call5868 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe5862);
// compiled call node returning call5868 (depth = 6)
    gc_frame_newslot(call5868);
    if5812 = call5868;
  } else {
  }
// compiled if node returning if5812 (depth = 5)
// Begin line 1847
  setline(1847);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5869 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe5870 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call5871 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe5870);
// compiled member node returning call5871 (depth = 6)
  gc_frame_newslot(call5871);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_expr (depth = 6)
  params[0] = call5871;
  partcv[0] = 1;
  Object call5872 = callmethodflags(*var_expr, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5869);
// compiled call node returning call5872 (depth = 5)
// Begin line 1848
  setline(1848);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe5873 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_expr (depth = 6)
  gc_frame_newslot(*var_expr);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  params[0] = *var_expr;
  partcv[0] = 1;
  Object call5874 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe5873);
// compiled call node returning call5874 (depth = 5)
    gc_frame_newslot(call5874);
    if5743 = call5874;
  } else {
  }
// compiled if node returning if5743 (depth = 4)
// Begin line 1850
  setline(1850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe5875 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block5876 = alloc_Block(NULL, NULL, "parser", 1850);
  gc_frame_newslot(block5876);
// method "_apply"
  block_savedest(block5876);
  Object closure5877 = createclosure(1, "_apply");
  setclosureframe(closure5877, stackframe);
  addtoclosure(closure5877, selfslot);
  struct UserObject *uo5877 = (struct UserObject*)block5876;
  uo5877->data[0] = (Object)closure5877;
  Method *meth_meth_parser__apply5877 = addmethod2pos(block5876, "_apply", &meth_parser__apply5877, 0);
  int argcv_meth_parser__apply5877[] = {0};
  meth_meth_parser__apply5877->type = alloc_MethodType(1, argcv_meth_parser__apply5877);
  meth_meth_parser__apply5877->definitionModule = modulename;
  meth_meth_parser__apply5877->definitionLine = 3404;
// compiled block node returning block5876 (depth = 5)
  gc_frame_newslot(block5876);
// starting to compile block node (depth = 5)
  Object block5882 = alloc_Block(NULL, NULL, "parser", 1850);
  gc_frame_newslot(block5882);
// method "_apply"
  block_savedest(block5882);
  Object closure5883 = createclosure(7, "_apply");
  setclosureframe(closure5883, stackframe);
  addtoclosure(closure5883, var_values);
  addtoclosure(closure5883, var_part);
  addtoclosure(closure5883, var_blocksOK);
  addtoclosure(closure5883, var_errormessages);
  addtoclosure(closure5883, var_sym);
  addtoclosure(closure5883, var_lastToken);
  addtoclosure(closure5883, selfslot);
  struct UserObject *uo5883 = (struct UserObject*)block5882;
  uo5883->data[0] = (Object)closure5883;
  Method *meth_meth_parser__apply5883 = addmethod2pos(block5882, "_apply", &meth_parser__apply5883, 0);
  int argcv_meth_parser__apply5883[] = {0};
  meth_meth_parser__apply5883->type = alloc_MethodType(1, argcv_meth_parser__apply5883);
  meth_meth_parser__apply5883->definitionModule = modulename;
  meth_meth_parser__apply5883->definitionLine = 3404;
// compiled block node returning block5882 (depth = 5)
  gc_frame_newslot(block5882);
// call case 5: prelude request
  params[0] = block5876;
  params[1] = block5882;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6078 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5875);
// compiled call node returning call6078 (depth = 4)
// Begin line 1906
  setline(1906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6079 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6080 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call6081 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6080);
// compiled member node returning call6081 (depth = 5)
  gc_frame_newslot(call6081);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6082 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  Object call6083 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe6082);
// compiled member node returning call6083 (depth = 5)
  params[0] = call6081;
  partcv[0] = 1;
  Object call6084 = callmethodflags(call6083, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6079);
// compiled call node returning call6084 (depth = 4)
  gc_frame_end(frame);
  return call6084;
}
Object meth_parser_parenthesizedArg_40_1_41_5732(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 45, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parenthesizedArg(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parenthesizedArg(_)");
  Object params[4];
  int partcv[3];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parenthesizedArg(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_part = &(stackframe->slots[0]);
  *var_part = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parenthesizedArg(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 1812
  setline(1812);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe5733 = gc_frame_new();
// call case 4: self request
  Object call5734 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5733);
// compiled member node returning call5734 (depth = 2)
// Begin line 1813
  setline(1813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe5735 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block5736 = alloc_Block(NULL, NULL, "parser", 1813);
  gc_frame_newslot(block5736);
// method "_apply"
  block_savedest(block5736);
  Object closure5737 = createclosure(2, "_apply");
  setclosureframe(closure5737, stackframe);
  addtoclosure(closure5737, var_blocksOK);
  addtoclosure(closure5737, selfslot);
  struct UserObject *uo5737 = (struct UserObject*)block5736;
  uo5737->data[0] = (Object)closure5737;
  Method *meth_meth_parser__apply5737 = addmethod2pos(block5736, "_apply", &meth_parser__apply5737, 0);
  int argcv_meth_parser__apply5737[] = {0};
  meth_meth_parser__apply5737->type = alloc_MethodType(1, argcv_meth_parser__apply5737);
  meth_meth_parser__apply5737->definitionModule = modulename;
  meth_meth_parser__apply5737->definitionLine = 3404;
// compiled block node returning block5736 (depth = 3)
  gc_frame_newslot(block5736);
// starting to compile block node (depth = 3)
  Object block5741 = alloc_Block(NULL, NULL, "parser", 1813);
  gc_frame_newslot(block5741);
// method "_apply"
  block_savedest(block5741);
  Object closure5742 = createclosure(7, "_apply");
  setclosureframe(closure5742, stackframe);
  addtoclosure(closure5742, var_values);
  addtoclosure(closure5742, var_errormessages);
  addtoclosure(closure5742, var_sym);
  addtoclosure(closure5742, var_blocksOK);
  addtoclosure(closure5742, var_lastToken);
  addtoclosure(closure5742, var_part);
  addtoclosure(closure5742, selfslot);
  struct UserObject *uo5742 = (struct UserObject*)block5741;
  uo5742->data[0] = (Object)closure5742;
  Method *meth_meth_parser__apply5742 = addmethod2pos(block5741, "_apply", &meth_parser__apply5742, 0);
  int argcv_meth_parser__apply5742[] = {0};
  meth_meth_parser__apply5742->type = alloc_MethodType(1, argcv_meth_parser__apply5742);
  meth_meth_parser__apply5742->definitionModule = modulename;
  meth_meth_parser__apply5742->definitionLine = 3404;
// compiled block node returning block5741 (depth = 3)
  gc_frame_newslot(block5741);
// call case 4: self request
  params[0] = block5736;
  params[1] = block5741;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6086 = callmethodflags(self, "ifConsume(1)then(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe5735);
// compiled call node returning call6086 (depth = 2)
// Begin line 1908
  setline(1908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6089 == NULL) {
    strlit6089 = alloc_String("rparen");
    gc_root(strlit6089);
  }
// compiled string node returning strlit6089 (depth = 4)
  int op_slot_right_6088 = gc_frame_newslot(strlit6089);
// starting to compile member node (depth = 4)
  int callframe6091 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6092 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6091);
// compiled member node returning call6092 (depth = 4)
  int op_slot_left_6088 = gc_frame_newslot(call6092);
  params[0] = strlit6089;
  partcv[0] = 1;
  Object opresult6093 = callmethod(call6092, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6093 (depth = 3)
  Object if6087 = done;
  if (istrue(opresult6093)) {
// Begin line 1909
  setline(1909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6094 = gc_frame_new();
// call case 4: self request
  Object call6095 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6094);
// compiled member node returning call6095 (depth = 3)
// Begin line 1910
  setline(1910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6096 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6097 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call6098 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6097);
// compiled member node returning call6098 (depth = 5)
  Object call6099 = callmethodflags(call6098, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6096);
// compiled member node returning call6099 (depth = 4)
  *var_suggestion = call6099;
  if (call6099 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1911
  setline(1911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6100 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6101 == NULL) {
    strlit6101 = alloc_String(")");
    gc_root(strlit6101);
  }
// compiled string node returning strlit6101 (depth = 4)
  gc_frame_newslot(strlit6101);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit6101;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6102 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6100);
// compiled call node returning call6102 (depth = 3)
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6103 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6104 == NULL) {
    strlit6104 = alloc_String("a method request beginning with a '(' must end with a ')'.");
    gc_root(strlit6104);
  }
// compiled string node returning strlit6104 (depth = 4)
  gc_frame_newslot(strlit6104);
// Begin line 1913
  setline(1913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6105 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call6106 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6105);
// compiled member node returning call6106 (depth = 4)
  gc_frame_newslot(call6106);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6108 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call6109 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6108);
// compiled member node returning call6109 (depth = 5)
  int op_slot_right_6107 = gc_frame_newslot(call6109);
// starting to compile member node (depth = 5)
  int callframe6111 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call6112 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6111);
// compiled member node returning call6112 (depth = 5)
  int op_slot_left_6107 = gc_frame_newslot(call6112);
  params[0] = call6109;
  partcv[0] = 1;
  Object sum6113 = callmethod(call6112, "+(1)", 1, partcv, params);
// compiled op node returning sum6113 (depth = 4)
  gc_frame_newslot(sum6113);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1912
  setline(1912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit6104;
  params[1] = call6106;
  params[2] = sum6113;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6114 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6103);
// compiled call node returning call6114 (depth = 3)
    gc_frame_newslot(call6114);
    if6087 = call6114;
  } else {
  }
// compiled if node returning if6087 (depth = 2)
// Begin line 1915
  setline(1915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6117 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  Object call6118 = callmethodflags(*var_part, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6117);
// compiled member node returning call6118 (depth = 4)
  int op_slot_right_6116 = gc_frame_newslot(call6118);
// starting to compile member node (depth = 4)
  int callframe6120 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6121 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6120);
// compiled member node returning call6121 (depth = 4)
  int op_slot_left_6116 = gc_frame_newslot(call6121);
  params[0] = call6118;
  partcv[0] = 1;
  Object opresult6122 = callmethod(call6121, "==(1)", 1, partcv, params);
// compiled op node returning opresult6122 (depth = 3)
  Object if6115 = done;
  if (istrue(opresult6122)) {
// Begin line 1916
  setline(1916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6123 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6125 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  Object call6126 = callmethodflags(*var_part, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6125);
// compiled member node returning call6126 (depth = 5)
  int op_slot_right_6124 = gc_frame_newslot(call6126);
// starting to compile member node (depth = 5)
  int callframe6128 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call6129 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6128);
// compiled member node returning call6129 (depth = 5)
  int op_slot_left_6124 = gc_frame_newslot(call6129);
  params[0] = call6126;
  partcv[0] = 1;
  Object diff6130 = callmethod(call6129, "-(1)", 1, partcv, params);
// compiled op node returning diff6130 (depth = 4)
  gc_frame_newslot(diff6130);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_part (depth = 4)
  params[0] = diff6130;
  partcv[0] = 1;
  Object call6131 = callmethodflags(*var_part, "lineLength:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6123);
// compiled call node returning call6131 (depth = 3)
    gc_frame_newslot(call6131);
    if6115 = call6131;
  } else {
  }
// compiled if node returning if6115 (depth = 2)
// Begin line 1918
  setline(1918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe6132 = gc_frame_new();
// call case 4: self request
  Object call6133 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6132);
// compiled member node returning call6133 (depth = 2)
  gc_frame_end(frame);
  return call6133;
}
Object meth_parser__apply6150(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
  int callframe6151 = gc_frame_new();
// call case 4: self request
  Object call6152 = callmethodflags(self, "typeArg", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6151);
// compiled member node returning call6152 (depth = 6)
  gc_frame_end(frame);
  return call6152;
}
Object meth_parser__apply6147(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe6148 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6149 = alloc_Block(NULL, NULL, "parser", 1927);
  gc_frame_newslot(block6149);
// method "_apply"
  block_savedest(block6149);
  Object closure6150 = createclosure(1, "_apply");
  setclosureframe(closure6150, stackframe);
  addtoclosure(closure6150, selfslot);
  struct UserObject *uo6150 = (struct UserObject*)block6149;
  uo6150->data[0] = (Object)closure6150;
  Method *meth_meth_parser__apply6150 = addmethod2pos(block6149, "_apply", &meth_parser__apply6150, 0);
  int argcv_meth_parser__apply6150[] = {0};
  meth_meth_parser__apply6150->type = alloc_MethodType(1, argcv_meth_parser__apply6150);
  meth_meth_parser__apply6150->definitionModule = modulename;
  meth_meth_parser__apply6150->definitionLine = 3404;
// compiled block node returning block6149 (depth = 5)
  gc_frame_newslot(block6149);
// call case 4: self request
  params[0] = block6149;
  partcv[0] = 1;
  Object call6154 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6148);
// compiled call node returning call6154 (depth = 4)
  gc_frame_end(frame);
  return call6154;
}
Object meth_parser__apply6157(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_args = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1928
  setline(1928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6158 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6159 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call6160 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6159);
// compiled member node returning call6160 (depth = 5)
  gc_frame_newslot(call6160);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_args (depth = 5)
  params[0] = call6160;
  partcv[0] = 1;
  Object call6161 = callmethodflags(*var_args, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6158);
// compiled call node returning call6161 (depth = 4)
// Begin line 1929
  setline(1929);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6164 == NULL) {
    strlit6164 = alloc_String("comma");
    gc_root(strlit6164);
  }
// compiled string node returning strlit6164 (depth = 6)
  int op_slot_right_6163 = gc_frame_newslot(strlit6164);
// starting to compile member node (depth = 6)
  int callframe6166 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call6167 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6166);
// compiled member node returning call6167 (depth = 6)
  int op_slot_left_6163 = gc_frame_newslot(call6167);
  params[0] = strlit6164;
  partcv[0] = 1;
  Object opresult6168 = callmethod(call6167, "==(1)", 1, partcv, params);
// compiled op node returning opresult6168 (depth = 5)
  Object if6162 = done;
  if (istrue(opresult6168)) {
// starting to compile member node (depth = 5)
  int callframe6169 = gc_frame_new();
// call case 4: self request
  Object call6170 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6169);
// compiled member node returning call6170 (depth = 5)
    gc_frame_newslot(call6170);
    if6162 = call6170;
  } else {
  }
// compiled if node returning if6162 (depth = 4)
  gc_frame_end(frame);
  return if6162;
}
Object meth_parser_typeArgs6134(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 46, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeArgs");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_startToken = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "startToken");
  Object *var_args = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "args");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_suggestion2 = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion2");
  Object *var_suggestions = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestions");
// Begin line 1923
  setline(1923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1924
  setline(1924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array6135 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6135 (depth = 3)
  *var_args = array6135;
  if (array6135 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 1925
  setline(1925);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6138 == NULL) {
    strlit6138 = alloc_String("lgeneric");
    gc_root(strlit6138);
  }
// compiled string node returning strlit6138 (depth = 4)
  int op_slot_right_6137 = gc_frame_newslot(strlit6138);
// starting to compile member node (depth = 4)
  int callframe6140 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6141 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6140);
// compiled member node returning call6141 (depth = 4)
  int op_slot_left_6137 = gc_frame_newslot(call6141);
  params[0] = strlit6138;
  partcv[0] = 1;
  Object opresult6142 = callmethod(call6141, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6142 (depth = 3)
  Object if6136 = done;
  if (istrue(opresult6142)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_args (depth = 4)
  return *var_args;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if6136 = undefined;
  } else {
  }
// compiled if node returning if6136 (depth = 2)
// Begin line 1926
  setline(1926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe6143 = gc_frame_new();
// call case 4: self request
  Object call6144 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6143);
// compiled member node returning call6144 (depth = 2)
// Begin line 1927
  setline(1927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe6145 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block6146 = alloc_Block(NULL, NULL, "parser", 1927);
  gc_frame_newslot(block6146);
// method "_apply"
  block_savedest(block6146);
  Object closure6147 = createclosure(1, "_apply");
  setclosureframe(closure6147, stackframe);
  addtoclosure(closure6147, selfslot);
  struct UserObject *uo6147 = (struct UserObject*)block6146;
  uo6147->data[0] = (Object)closure6147;
  Method *meth_meth_parser__apply6147 = addmethod2pos(block6146, "_apply", &meth_parser__apply6147, 0);
  int argcv_meth_parser__apply6147[] = {0};
  meth_meth_parser__apply6147->type = alloc_MethodType(1, argcv_meth_parser__apply6147);
  meth_meth_parser__apply6147->definitionModule = modulename;
  meth_meth_parser__apply6147->definitionLine = 3404;
// compiled block node returning block6146 (depth = 3)
  gc_frame_newslot(block6146);
// starting to compile block node (depth = 3)
  Object block6156 = alloc_Block(NULL, NULL, "parser", 1927);
  gc_frame_newslot(block6156);
// method "_apply"
  block_savedest(block6156);
  Object closure6157 = createclosure(4, "_apply");
  setclosureframe(closure6157, stackframe);
  addtoclosure(closure6157, var_values);
  addtoclosure(closure6157, var_args);
  addtoclosure(closure6157, var_sym);
  addtoclosure(closure6157, selfslot);
  struct UserObject *uo6157 = (struct UserObject*)block6156;
  uo6157->data[0] = (Object)closure6157;
  Method *meth_meth_parser__apply6157 = addmethod2pos(block6156, "_apply", &meth_parser__apply6157, 0);
  int argcv_meth_parser__apply6157[] = {0};
  meth_meth_parser__apply6157->type = alloc_MethodType(1, argcv_meth_parser__apply6157);
  meth_meth_parser__apply6157->definitionModule = modulename;
  meth_meth_parser__apply6157->definitionLine = 3404;
// compiled block node returning block6156 (depth = 3)
  gc_frame_newslot(block6156);
// call case 5: prelude request
  params[0] = block6146;
  params[1] = block6156;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6172 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6145);
// compiled call node returning call6172 (depth = 2)
// Begin line 1931
  setline(1931);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit6175 == NULL) {
    strlit6175 = alloc_String("rgeneric");
    gc_root(strlit6175);
  }
// compiled string node returning strlit6175 (depth = 4)
  int op_slot_right_6174 = gc_frame_newslot(strlit6175);
// starting to compile member node (depth = 4)
  int callframe6177 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6178 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6177);
// compiled member node returning call6178 (depth = 4)
  int op_slot_left_6174 = gc_frame_newslot(call6178);
  params[0] = strlit6175;
  partcv[0] = 1;
  Object opresult6179 = callmethod(call6178, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6179 (depth = 3)
  Object if6173 = done;
  if (istrue(opresult6179)) {
// Begin line 1932
  setline(1932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6180 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6181 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call6182 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6181);
// compiled member node returning call6182 (depth = 5)
  Object call6183 = callmethodflags(call6182, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6180);
// compiled member node returning call6183 (depth = 4)
  *var_suggestion = call6183;
  if (call6183 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1933
  setline(1933);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6184 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6185 == NULL) {
    strlit6185 = alloc_String(">");
    gc_root(strlit6185);
  }
// compiled string node returning strlit6185 (depth = 4)
  gc_frame_newslot(strlit6185);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit6185;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6186 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6184);
// compiled call node returning call6186 (depth = 3)
// Begin line 1934
  setline(1934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6187 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6188 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call6189 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6188);
// compiled member node returning call6189 (depth = 5)
  Object call6190 = callmethodflags(call6189, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6187);
// compiled member node returning call6190 (depth = 4)
  *var_suggestion2 = call6190;
  if (call6190 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1935
  setline(1935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6191 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6192 == NULL) {
    strlit6192 = alloc_String(" ");
    gc_root(strlit6192);
  }
// compiled string node returning strlit6192 (depth = 4)
  gc_frame_newslot(strlit6192);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_startToken (depth = 4)
  gc_frame_newslot(*var_startToken);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion2 (depth = 4)
  params[0] = strlit6192;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6193 = callmethodflags(*var_suggestion2, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6191);
// compiled call node returning call6193 (depth = 3)
// Begin line 1936
  setline(1936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array6194 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  callmethodflags(array6194, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion2 (depth = 5)
  params[0] = *var_suggestion2;
  partcv[0] = 1;
  callmethodflags(array6194, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array6194 (depth = 4)
  *var_suggestions = array6194;
  if (array6194 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6195 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 1938
  setline(1938);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6197 == NULL) {
    strlit6197 = alloc_String("If '<' is intended as an operator, precede it by a space.");
    gc_root(strlit6197);
  }
// compiled string node returning strlit6197 (depth = 5)
  int op_slot_right_6196 = gc_frame_newslot(strlit6197);
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit6199 == NULL) {
    strlit6199 = alloc_String("a method request containing a '<' must have a matching '>'. ");
    gc_root(strlit6199);
  }
// compiled string node returning strlit6199 (depth = 5)
  int op_slot_left_6196 = gc_frame_newslot(strlit6199);
  params[0] = strlit6197;
  partcv[0] = 1;
  Object opresult6200 = callmethod(strlit6199, "++(1)", 1, partcv, params);
// compiled op node returning opresult6200 (depth = 4)
  gc_frame_newslot(opresult6200);
// Begin line 1939
  setline(1939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6201 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call6202 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6201);
// compiled member node returning call6202 (depth = 4)
  gc_frame_newslot(call6202);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6204 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call6205 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6204);
// compiled member node returning call6205 (depth = 5)
  int op_slot_right_6203 = gc_frame_newslot(call6205);
// starting to compile member node (depth = 5)
  int callframe6207 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call6208 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6207);
// compiled member node returning call6208 (depth = 5)
  int op_slot_left_6203 = gc_frame_newslot(call6208);
  params[0] = call6205;
  partcv[0] = 1;
  Object sum6209 = callmethod(call6208, "+(1)", 1, partcv, params);
// compiled op node returning sum6209 (depth = 4)
  gc_frame_newslot(sum6209);
// Begin line 1940
  setline(1940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 1937
  setline(1937);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult6200;
  params[1] = call6202;
  params[2] = sum6209;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6210 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6195);
// compiled call node returning call6210 (depth = 3)
    gc_frame_newslot(call6210);
    if6173 = call6210;
  } else {
  }
// compiled if node returning if6173 (depth = 2)
// Begin line 1942
  setline(1942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe6211 = gc_frame_new();
// call case 4: self request
  Object call6212 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6211);
// compiled member node returning call6212 (depth = 2)
// Begin line 1943
  setline(1943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_args (depth = 3)
  return *var_args;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser__apply6240(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
  int callframe6241 = gc_frame_new();
// call case 4: self request
  Object call6242 = callmethodflags(self, "dotypeLiteral", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6241);
// compiled member node returning call6242 (depth = 6)
  gc_frame_end(frame);
  return call6242;
}
Object meth_parser_typeArg6213(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 47, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeArg");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 1950
  setline(1950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe6215 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6216 == NULL) {
    strlit6216 = alloc_String("identifier");
    gc_root(strlit6216);
  }
// compiled string node returning strlit6216 (depth = 4)
  gc_frame_newslot(strlit6216);
// call case 4: self request
  params[0] = strlit6216;
  partcv[0] = 1;
  Object call6217 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6215);
// compiled call node returning call6217 (depth = 3)
  Object if6214 = done;
  if (istrue(call6217)) {
// Begin line 1951
  setline(1951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6218 = gc_frame_new();
// call case 4: self request
  Object call6219 = callmethodflags(self, "identifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6218);
// compiled member node returning call6219 (depth = 3)
// Begin line 1952
  setline(1952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6222 == NULL) {
    strlit6222 = alloc_String("lgeneric");
    gc_root(strlit6222);
  }
// compiled string node returning strlit6222 (depth = 5)
  int op_slot_right_6221 = gc_frame_newslot(strlit6222);
// starting to compile member node (depth = 5)
  int callframe6224 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call6225 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6224);
// compiled member node returning call6225 (depth = 5)
  int op_slot_left_6221 = gc_frame_newslot(call6225);
  params[0] = strlit6222;
  partcv[0] = 1;
  Object opresult6226 = callmethod(call6225, "==(1)", 1, partcv, params);
// compiled op node returning opresult6226 (depth = 4)
  Object if6220 = done;
  if (istrue(opresult6226)) {
// Begin line 1953
  setline(1953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6227 = gc_frame_new();
// starting to compile call node (depth = 5)
  int callframe6228 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe6229 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call6230 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6229);
// compiled member node returning call6230 (depth = 6)
  gc_frame_newslot(call6230);
// starting to compile member node (depth = 6)
  int callframe6231 = gc_frame_new();
// call case 4: self request
  Object call6232 = callmethodflags(self, "typeArgs", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6231);
// compiled member node returning call6232 (depth = 6)
  gc_frame_newslot(call6232);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6233 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call6234 = callmethodflags(*var_ast, "genericNode", 0, partcv, params, 0);
  gc_frame_end(callframe6233);
// compiled member node returning call6234 (depth = 6)
  params[0] = call6230;
  params[1] = call6232;
  partcv[0] = 2;
  Object call6235 = callmethodflags(call6234, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6228);
// compiled call node returning call6235 (depth = 5)
  gc_frame_newslot(call6235);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = call6235;
  partcv[0] = 1;
  Object call6236 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6227);
// compiled call node returning call6236 (depth = 4)
    gc_frame_newslot(call6236);
    if6220 = call6236;
  } else {
  }
// compiled if node returning if6220 (depth = 3)
    gc_frame_newslot(if6220);
    if6214 = if6220;
  } else {
// Begin line 1960
  setline(1960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 1957
  setline(1957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6238 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block6239 = alloc_Block(NULL, NULL, "parser", 1957);
  gc_frame_newslot(block6239);
// method "_apply"
  block_savedest(block6239);
  Object closure6240 = createclosure(1, "_apply");
  setclosureframe(closure6240, stackframe);
  addtoclosure(closure6240, selfslot);
  struct UserObject *uo6240 = (struct UserObject*)block6239;
  uo6240->data[0] = (Object)closure6240;
  Method *meth_meth_parser__apply6240 = addmethod2pos(block6239, "_apply", &meth_parser__apply6240, 0);
  int argcv_meth_parser__apply6240[] = {0};
  meth_meth_parser__apply6240->type = alloc_MethodType(1, argcv_meth_parser__apply6240);
  meth_meth_parser__apply6240->definitionModule = modulename;
  meth_meth_parser__apply6240->definitionLine = 3404;
// compiled block node returning block6239 (depth = 5)
  gc_frame_newslot(block6239);
// call case 4: self request
  params[0] = block6239;
  partcv[0] = 1;
  Object call6244 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6238);
// compiled call node returning call6244 (depth = 4)
  Object if6237 = done;
  if (istrue(call6244)) {
    gc_frame_newslot(done);
    if6237 = done;
  } else {
  }
// compiled if node returning if6237 (depth = 3)
    gc_frame_newslot(if6237);
    if6214 = if6237;
  }
// compiled if node returning if6214 (depth = 2)
  gc_frame_end(frame);
  return if6214;
}
Object meth_parser__apply6252(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// Begin line 1972
  setline(1972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6254 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6255 == NULL) {
    strlit6255 = alloc_String("identifier");
    gc_root(strlit6255);
  }
// compiled string node returning strlit6255 (depth = 6)
  gc_frame_newslot(strlit6255);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = strlit6255;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6256 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6254);
// compiled call node returning call6256 (depth = 5)
  int op_slot_right_6253 = gc_frame_newslot(call6256);
// Begin line 1971
  setline(1971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6258 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6259 == NULL) {
    strlit6259 = alloc_String("identifier");
    gc_root(strlit6259);
  }
// compiled string node returning strlit6259 (depth = 6)
  gc_frame_newslot(strlit6259);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tok (depth = 6)
  gc_frame_newslot(*var_tok);
// call case 4: self request
  params[0] = strlit6259;
  params[1] = *var_tok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6260 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6258);
// compiled call node returning call6260 (depth = 5)
  int op_slot_left_6253 = gc_frame_newslot(call6260);
  params[0] = call6256;
  partcv[0] = 1;
  Object opresult6261 = callmethod(call6260, "||(1)", 1, partcv, params);
// compiled op node returning opresult6261 (depth = 4)
  gc_frame_end(frame);
  return opresult6261;
}
Object meth_parser__apply6417(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe6418 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6419 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6418);
// compiled call node returning call6419 (depth = 10)
  gc_frame_end(frame);
  return call6419;
}
Object meth_parser__apply6470(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe6471 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6472 == NULL) {
    strlit6472 = alloc_String("comma");
    gc_root(strlit6472);
  }
// compiled string node returning strlit6472 (depth = 8)
  gc_frame_newslot(strlit6472);
// call case 4: self request
  params[0] = strlit6472;
  partcv[0] = 1;
  Object call6473 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6471);
// compiled call node returning call6473 (depth = 7)
  gc_frame_end(frame);
  return call6473;
}
Object meth_parser__apply6490(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe6491 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6492 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6491);
// compiled call node returning call6492 (depth = 11)
  gc_frame_end(frame);
  return call6492;
}
Object meth_parser__apply6476(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_nxt = getfromclosure(closure, 1);
  Object *var_part = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// starting to compile bind node (depth = 7)
// Begin line 2039
  setline(2039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe6477 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call6478 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6477);
// compiled member node returning call6478 (depth = 8)
  *var_nxt = call6478;
  if (call6478 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 2040
  setline(2040);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6480 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nxt (depth = 8)
  gc_frame_newslot(*var_nxt);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6481 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_part (depth = 9)
  Object call6482 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe6481);
// compiled member node returning call6482 (depth = 8)
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call6483 = callmethodflags(call6482, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6480);
// compiled call node returning call6483 (depth = 7)
// Begin line 2041
  setline(2041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe6484 = gc_frame_new();
// call case 4: self request
  Object call6485 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6484);
// compiled member node returning call6485 (depth = 7)
// Begin line 2042
  setline(2042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe6487 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe6488 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block6489 = alloc_Block(NULL, NULL, "parser", 2042);
  gc_frame_newslot(block6489);
// method "_apply"
  block_savedest(block6489);
  Object closure6490 = createclosure(2, "_apply");
  setclosureframe(closure6490, stackframe);
  addtoclosure(closure6490, var_blocksOK);
  addtoclosure(closure6490, selfslot);
  struct UserObject *uo6490 = (struct UserObject*)block6489;
  uo6490->data[0] = (Object)closure6490;
  Method *meth_meth_parser__apply6490 = addmethod2pos(block6489, "_apply", &meth_parser__apply6490, 0);
  int argcv_meth_parser__apply6490[] = {0};
  meth_meth_parser__apply6490->type = alloc_MethodType(1, argcv_meth_parser__apply6490);
  meth_meth_parser__apply6490->definitionModule = modulename;
  meth_meth_parser__apply6490->definitionLine = 3404;
// compiled block node returning block6489 (depth = 10)
  gc_frame_newslot(block6489);
// call case 4: self request
  params[0] = block6489;
  partcv[0] = 1;
  Object call6494 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6488);
// compiled call node returning call6494 (depth = 9)
  Object call6495 = callmethodflags(call6494, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6487);
// compiled member node returning call6495 (depth = 8)
  Object if6486 = done;
  if (istrue(call6495)) {
// Begin line 2043
  setline(2043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile array node (depth = 9)
  Object array6496 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6496 (depth = 9)
  *var_suggestions = array6496;
  if (array6496 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 2044
  setline(2044);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6497 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe6498 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call6499 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6498);
// compiled member node returning call6499 (depth = 10)
  Object call6500 = callmethodflags(call6499, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6497);
// compiled member node returning call6500 (depth = 9)
  *var_suggestion = call6500;
  if (call6500 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 2045
  setline(2045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe6501 = gc_frame_new();
// starting to compile array node (depth = 10)
  Object array6502 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 11)
  if (strlit6503 == NULL) {
    strlit6503 = alloc_String("rparen");
    gc_root(strlit6503);
  }
// compiled string node returning strlit6503 (depth = 11)
  params[0] = strlit6503;
  partcv[0] = 1;
  callmethodflags(array6502, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array6502 (depth = 10)
  gc_frame_newslot(array6502);
// call case 4: self request
  params[0] = array6502;
  partcv[0] = 1;
  Object call6504 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6501);
// compiled call node returning call6504 (depth = 9)
  *var_nextTok = call6504;
  if (call6504 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 2046
  setline(2046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_6506 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_6506 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6508 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult6508 (depth = 9)
  Object if6505 = done;
  if (istrue(opresult6508)) {
// Begin line 2047
  setline(2047);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6509 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6510 == NULL) {
    strlit6510 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6510);
  }
// compiled string node returning strlit6510 (depth = 10)
  gc_frame_newslot(strlit6510);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit6510;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6511 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6509);
// compiled call node returning call6511 (depth = 9)
    gc_frame_newslot(call6511);
    if6505 = call6511;
  } else {
// Begin line 2049
  setline(2049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6512 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
  int callframe6513 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call6514 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6513);
// compiled member node returning call6514 (depth = 10)
  gc_frame_newslot(call6514);
// starting to compile identifier node (depth = 10)
  Object bool6515 = alloc_Boolean(1);
// compiled identifier node returning bool6515 (depth = 10)
  gc_frame_newslot(bool6515);
// starting to compile identifier node (depth = 10)
  Object bool6516 = alloc_Boolean(0);
// compiled identifier node returning bool6516 (depth = 10)
  gc_frame_newslot(bool6516);
// starting to compile string node (depth = 10)
  if (strlit6517 == NULL) {
    strlit6517 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6517);
  }
// compiled string node returning strlit6517 (depth = 10)
  gc_frame_newslot(strlit6517);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call6514;
  params[2] = bool6515;
  params[3] = bool6516;
  params[4] = strlit6517;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6518 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe6512);
// compiled call node returning call6518 (depth = 9)
    gc_frame_newslot(call6518);
    if6505 = call6518;
  }
// compiled if node returning if6505 (depth = 8)
// Begin line 2051
  setline(2051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6519 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6520 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6519);
// compiled call node returning call6520 (depth = 8)
// Begin line 2052
  setline(2052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6521 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe6522 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call6523 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6522);
// compiled member node returning call6523 (depth = 10)
  Object call6524 = callmethodflags(call6523, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6521);
// compiled member node returning call6524 (depth = 9)
  *var_suggestion = call6524;
  if (call6524 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 2053
  setline(2053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6526 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
  int callframe6527 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call6528 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6527);
// compiled member node returning call6528 (depth = 9)
  gc_frame_newslot(call6528);
// starting to compile identifier node (depth = 9)
  Object bool6529 = alloc_Boolean(1);
// compiled identifier node returning bool6529 (depth = 9)
  gc_frame_newslot(bool6529);
// starting to compile identifier node (depth = 9)
  Object bool6530 = alloc_Boolean(0);
// compiled identifier node returning bool6530 (depth = 9)
  gc_frame_newslot(bool6530);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = call6528;
  params[2] = bool6529;
  params[3] = bool6530;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6531 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6526);
// compiled call node returning call6531 (depth = 8)
// Begin line 2054
  setline(2054);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6532 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6533 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6532);
// compiled call node returning call6533 (depth = 8)
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6534 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6535 == NULL) {
    strlit6535 = alloc_String("a method request must have an expression after a ','.");
    gc_root(strlit6535);
  }
// compiled string node returning strlit6535 (depth = 9)
  gc_frame_newslot(strlit6535);
// Begin line 2056
  setline(2056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe6536 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6537 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6536);
// compiled member node returning call6537 (depth = 9)
  gc_frame_newslot(call6537);
// starting to compile member node (depth = 9)
  int callframe6538 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6539 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6538);
// compiled member node returning call6539 (depth = 9)
  gc_frame_newslot(call6539);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2055
  setline(2055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit6535;
  params[1] = call6537;
  params[2] = call6539;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6540 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6534);
// compiled call node returning call6540 (depth = 8)
    gc_frame_newslot(call6540);
    if6486 = call6540;
  } else {
  }
// compiled if node returning if6486 (depth = 7)
  gc_frame_end(frame);
  return if6486;
}
Object meth_parser__apply6264(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_ast = getfromclosure(closure, 0);
  Object *var_part = getfromclosure(closure, 1);
  Object *var_signature = getfromclosure(closure, 2);
  Object *var_methname = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_nxt = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object *var_errormessages = getfromclosure(closure, 7);
  Object *var_sym = getfromclosure(closure, 8);
  Object *var_blocksOK = getfromclosure(closure, 9);
  Object self = *(getfromclosure(closure, 10));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_isTerm = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "isTerm");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_isEmpty = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "isEmpty");
  Object *var_suggestions = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestions");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
// starting to compile bind node (depth = 4)
// Begin line 1975
  setline(1975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6265 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6266 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call6267 = callmethodflags(*var_ast, "requestPart", 0, partcv, params, 0);
  gc_frame_end(callframe6266);
// compiled member node returning call6267 (depth = 6)
  Object call6268 = callmethodflags(call6267, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6265);
// compiled member node returning call6268 (depth = 5)
  *var_part = call6268;
  if (call6268 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1976
  setline(1976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6270 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  gc_frame_newslot(*var_part);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  params[0] = *var_part;
  partcv[0] = 1;
  Object call6271 = callmethodflags(*var_signature, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6270);
// compiled call node returning call6271 (depth = 4)
// Begin line 1977
  setline(1977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6273 == NULL) {
    strlit6273 = alloc_String("()");
    gc_root(strlit6273);
  }
// compiled string node returning strlit6273 (depth = 6)
  int op_slot_right_6272 = gc_frame_newslot(strlit6273);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methname (depth = 6)
  int op_slot_left_6272 = gc_frame_newslot(*var_methname);
  params[0] = strlit6273;
  partcv[0] = 1;
  Object opresult6275 = callmethod(*var_methname, "++(1)", 1, partcv, params);
// compiled op node returning opresult6275 (depth = 5)
  *var_methname = opresult6275;
  if (opresult6275 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1978
  setline(1978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6277 = gc_frame_new();
// call case 4: self request
  Object call6278 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6277);
// compiled member node returning call6278 (depth = 4)
// Begin line 1979
  setline(1979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6279 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call6280 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6279);
// compiled member node returning call6280 (depth = 5)
  *var_nxt = call6280;
  if (call6280 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1980
  setline(1980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6283 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nxt (depth = 7)
  Object call6284 = callmethodflags(*var_nxt, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6283);
// compiled member node returning call6284 (depth = 6)
  int op_slot_right_6282 = gc_frame_newslot(call6284);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methname (depth = 6)
  int op_slot_left_6282 = gc_frame_newslot(*var_methname);
  params[0] = call6284;
  partcv[0] = 1;
  Object opresult6286 = callmethod(*var_methname, "++(1)", 1, partcv, params);
// compiled op node returning opresult6286 (depth = 5)
  *var_methname = opresult6286;
  if (opresult6286 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 1981
  setline(1981);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6288 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe6289 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nxt (depth = 6)
  Object call6290 = callmethodflags(*var_nxt, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6289);
// compiled member node returning call6290 (depth = 5)
  gc_frame_newslot(call6290);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = call6290;
  partcv[0] = 1;
  Object call6291 = callmethodflags(*var_part, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6288);
// compiled call node returning call6291 (depth = 4)
// Begin line 1982
  setline(1982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool6292 = alloc_Boolean(0);
// compiled identifier node returning bool6292 (depth = 5)
  *var_isTerm = bool6292;
  if (bool6292 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 1983
  setline(1983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6294 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6295 == NULL) {
    strlit6295 = alloc_String("lparen");
    gc_root(strlit6295);
  }
// compiled string node returning strlit6295 (depth = 6)
  gc_frame_newslot(strlit6295);
// call case 4: self request
  params[0] = strlit6295;
  partcv[0] = 1;
  Object call6296 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6294);
// compiled call node returning call6296 (depth = 5)
  Object if6293 = done;
  if (istrue(call6296)) {
// Begin line 1984
  setline(1984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6297 = gc_frame_new();
// call case 4: self request
  Object call6298 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6297);
// compiled member node returning call6298 (depth = 5)
    gc_frame_newslot(call6298);
    if6293 = call6298;
  } else {
// Begin line 1987
  setline(1987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 1985
  setline(1985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6300 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 4: self request
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object call6301 = callmethodflags(self, "acceptArgumentOnLineOf(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6300);
// compiled call node returning call6301 (depth = 6)
  Object if6299 = done;
  if (istrue(call6301)) {
// Begin line 1986
  setline(1986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool6302 = alloc_Boolean(1);
// compiled identifier node returning bool6302 (depth = 7)
  *var_isTerm = bool6302;
  if (bool6302 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
    gc_frame_newslot(done);
    if6299 = done;
  } else {
// Begin line 1988
  setline(1988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6304 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6305 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call6306 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6305);
// compiled member node returning call6306 (depth = 8)
  Object call6307 = callmethodflags(call6306, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6304);
// compiled member node returning call6307 (depth = 7)
  *var_suggestion = call6307;
  if (call6307 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 1989
  setline(1989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit6310 == NULL) {
    strlit6310 = alloc_String("identifier");
    gc_root(strlit6310);
  }
// compiled string node returning strlit6310 (depth = 8)
  int op_slot_right_6309 = gc_frame_newslot(strlit6310);
// starting to compile member node (depth = 8)
  int callframe6312 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call6313 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6312);
// compiled member node returning call6313 (depth = 8)
  int op_slot_left_6309 = gc_frame_newslot(call6313);
  params[0] = strlit6310;
  partcv[0] = 1;
  Object opresult6314 = callmethod(call6313, "==(1)", 1, partcv, params);
// compiled op node returning opresult6314 (depth = 7)
  Object if6308 = done;
  if (istrue(opresult6314)) {
// Begin line 1990
  setline(1990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6315 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool6316 = alloc_Boolean(1);
// compiled identifier node returning bool6316 (depth = 8)
  gc_frame_newslot(bool6316);
// starting to compile identifier node (depth = 8)
  Object bool6317 = alloc_Boolean(0);
// compiled identifier node returning bool6317 (depth = 8)
  gc_frame_newslot(bool6317);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6319 == NULL) {
    strlit6319 = alloc_String(")");
    gc_root(strlit6319);
  }
// compiled string node returning strlit6319 (depth = 9)
  int op_slot_right_6318 = gc_frame_newslot(strlit6319);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe6322 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6323 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6322);
// compiled member node returning call6323 (depth = 10)
  int op_slot_right_6321 = gc_frame_newslot(call6323);
// starting to compile string node (depth = 10)
  if (strlit6325 == NULL) {
    strlit6325 = alloc_String("(");
    gc_root(strlit6325);
  }
// compiled string node returning strlit6325 (depth = 10)
  int op_slot_left_6321 = gc_frame_newslot(strlit6325);
  params[0] = call6323;
  partcv[0] = 1;
  Object opresult6326 = callmethod(strlit6325, "++(1)", 1, partcv, params);
// compiled op node returning opresult6326 (depth = 9)
  int op_slot_left_6318 = gc_frame_newslot(opresult6326);
  params[0] = strlit6319;
  partcv[0] = 1;
  Object opresult6327 = callmethod(opresult6326, "++(1)", 1, partcv, params);
// compiled op node returning opresult6327 (depth = 8)
  gc_frame_newslot(opresult6327);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool6316;
  params[2] = bool6317;
  params[3] = opresult6327;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6328 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe6315);
// compiled call node returning call6328 (depth = 7)
// Begin line 1991
  setline(1991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6331 == NULL) {
    strlit6331 = alloc_String("while()do");
    gc_root(strlit6331);
  }
// compiled string node returning strlit6331 (depth = 9)
  int op_slot_right_6330 = gc_frame_newslot(strlit6331);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_methname (depth = 9)
  int op_slot_left_6330 = gc_frame_newslot(*var_methname);
  params[0] = strlit6331;
  partcv[0] = 1;
  Object opresult6333 = callmethod(*var_methname, "==(1)", 1, partcv, params);
// compiled op node returning opresult6333 (depth = 8)
  Object if6329 = done;
  if (istrue(opresult6333)) {
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6334 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6335 == NULL) {
    strlit6335 = alloc_String("a while loop must have either a loop body in braces, or a block in parentheses.");
    gc_root(strlit6335);
  }
// compiled string node returning strlit6335 (depth = 9)
  gc_frame_newslot(strlit6335);
// Begin line 1993
  setline(1993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe6336 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6337 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6336);
// compiled member node returning call6337 (depth = 9)
  gc_frame_newslot(call6337);
// starting to compile member node (depth = 9)
  int callframe6338 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6339 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6338);
// compiled member node returning call6339 (depth = 9)
  gc_frame_newslot(call6339);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1992
  setline(1992);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit6335;
  params[1] = call6337;
  params[2] = call6339;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6340 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6334);
// compiled call node returning call6340 (depth = 8)
    gc_frame_newslot(call6340);
    if6329 = call6340;
  } else {
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 1994
  setline(1994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6343 == NULL) {
    strlit6343 = alloc_String("for()do");
    gc_root(strlit6343);
  }
// compiled string node returning strlit6343 (depth = 10)
  int op_slot_right_6342 = gc_frame_newslot(strlit6343);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_methname (depth = 10)
  int op_slot_left_6342 = gc_frame_newslot(*var_methname);
  params[0] = strlit6343;
  partcv[0] = 1;
  Object opresult6345 = callmethod(*var_methname, "==(1)", 1, partcv, params);
// compiled op node returning opresult6345 (depth = 9)
  Object if6341 = done;
  if (istrue(opresult6345)) {
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6346 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6347 == NULL) {
    strlit6347 = alloc_String("a for loop must have either a loop body in braces, or a block in parentheses.");
    gc_root(strlit6347);
  }
// compiled string node returning strlit6347 (depth = 10)
  gc_frame_newslot(strlit6347);
// Begin line 1996
  setline(1996);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe6348 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6349 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6348);
// compiled member node returning call6349 (depth = 10)
  gc_frame_newslot(call6349);
// starting to compile member node (depth = 10)
  int callframe6350 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6351 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6350);
// compiled member node returning call6351 (depth = 10)
  gc_frame_newslot(call6351);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1995
  setline(1995);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit6347;
  params[1] = call6349;
  params[2] = call6351;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6352 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6346);
// compiled call node returning call6352 (depth = 9)
    gc_frame_newslot(call6352);
    if6341 = call6352;
  } else {
  }
// compiled if node returning if6341 (depth = 8)
    gc_frame_newslot(if6341);
    if6329 = if6341;
  }
// compiled if node returning if6329 (depth = 7)
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6353 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6354 == NULL) {
    strlit6354 = alloc_String("each argument list in a multi-part method request must be parenthesized, unless it is self-delimiting.");
    gc_root(strlit6354);
  }
// compiled string node returning strlit6354 (depth = 8)
  gc_frame_newslot(strlit6354);
// Begin line 1999
  setline(1999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe6355 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call6356 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6355);
// compiled member node returning call6356 (depth = 8)
  gc_frame_newslot(call6356);
// starting to compile member node (depth = 8)
  int callframe6357 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call6358 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6357);
// compiled member node returning call6358 (depth = 8)
  gc_frame_newslot(call6358);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 1998
  setline(1998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit6354;
  params[1] = call6356;
  params[2] = call6358;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6359 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6353);
// compiled call node returning call6359 (depth = 7)
    gc_frame_newslot(call6359);
    if6308 = call6359;
  } else {
// Begin line 2001
  setline(2001);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6362 == NULL) {
    strlit6362 = alloc_String("while()do");
    gc_root(strlit6362);
  }
// compiled string node returning strlit6362 (depth = 9)
  int op_slot_right_6361 = gc_frame_newslot(strlit6362);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_methname (depth = 9)
  int op_slot_left_6361 = gc_frame_newslot(*var_methname);
  params[0] = strlit6362;
  partcv[0] = 1;
  Object opresult6364 = callmethod(*var_methname, "==(1)", 1, partcv, params);
// compiled op node returning opresult6364 (depth = 8)
  Object if6360 = done;
  if (istrue(opresult6364)) {
// Begin line 2002
  setline(2002);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6365 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6366 == NULL) {
    strlit6366 = alloc_String(" {}");
    gc_root(strlit6366);
  }
// compiled string node returning strlit6366 (depth = 9)
  gc_frame_newslot(strlit6366);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit6366;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6367 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6365);
// compiled call node returning call6367 (depth = 8)
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6368 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6369 == NULL) {
    strlit6369 = alloc_String("a while loop must have a body.");
    gc_root(strlit6369);
  }
// compiled string node returning strlit6369 (depth = 9)
  gc_frame_newslot(strlit6369);
// Begin line 2004
  setline(2004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe6370 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6371 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6370);
// compiled member node returning call6371 (depth = 9)
  gc_frame_newslot(call6371);
// starting to compile member node (depth = 9)
  int callframe6372 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6373 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6372);
// compiled member node returning call6373 (depth = 9)
  gc_frame_newslot(call6373);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2003
  setline(2003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit6369;
  params[1] = call6371;
  params[2] = call6373;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6374 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6368);
// compiled call node returning call6374 (depth = 8)
    gc_frame_newslot(call6374);
    if6360 = call6374;
  } else {
// Begin line 2009
  setline(2009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 2005
  setline(2005);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6377 == NULL) {
    strlit6377 = alloc_String("for()do");
    gc_root(strlit6377);
  }
// compiled string node returning strlit6377 (depth = 10)
  int op_slot_right_6376 = gc_frame_newslot(strlit6377);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_methname (depth = 10)
  int op_slot_left_6376 = gc_frame_newslot(*var_methname);
  params[0] = strlit6377;
  partcv[0] = 1;
  Object opresult6379 = callmethod(*var_methname, "==(1)", 1, partcv, params);
// compiled op node returning opresult6379 (depth = 9)
  Object if6375 = done;
  if (istrue(opresult6379)) {
// Begin line 2006
  setline(2006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6380 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6381 == NULL) {
    strlit6381 = alloc_String(" {}");
    gc_root(strlit6381);
  }
// compiled string node returning strlit6381 (depth = 10)
  gc_frame_newslot(strlit6381);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit6381;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6382 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6380);
// compiled call node returning call6382 (depth = 9)
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6383 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6384 == NULL) {
    strlit6384 = alloc_String("a for loop must have a body.");
    gc_root(strlit6384);
  }
// compiled string node returning strlit6384 (depth = 10)
  gc_frame_newslot(strlit6384);
// Begin line 2008
  setline(2008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe6385 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6386 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6385);
// compiled member node returning call6386 (depth = 10)
  gc_frame_newslot(call6386);
// starting to compile member node (depth = 10)
  int callframe6387 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6388 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6387);
// compiled member node returning call6388 (depth = 10)
  gc_frame_newslot(call6388);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2007
  setline(2007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit6384;
  params[1] = call6386;
  params[2] = call6388;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6389 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6383);
// compiled call node returning call6389 (depth = 9)
    gc_frame_newslot(call6389);
    if6375 = call6389;
  } else {
// Begin line 2010
  setline(2010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6390 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6391 == NULL) {
    strlit6391 = alloc_String("()");
    gc_root(strlit6391);
  }
// compiled string node returning strlit6391 (depth = 10)
  gc_frame_newslot(strlit6391);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit6391;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6392 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6390);
// compiled call node returning call6392 (depth = 9)
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe6393 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit6394 == NULL) {
    strlit6394 = alloc_String("a multi-part method request must end with '()'.");
    gc_root(strlit6394);
  }
// compiled string node returning strlit6394 (depth = 10)
  gc_frame_newslot(strlit6394);
// Begin line 2012
  setline(2012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe6395 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6396 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6395);
// compiled member node returning call6396 (depth = 10)
  gc_frame_newslot(call6396);
// starting to compile member node (depth = 10)
  int callframe6397 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call6398 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6397);
// compiled member node returning call6398 (depth = 10)
  gc_frame_newslot(call6398);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2011
  setline(2011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = strlit6394;
  params[1] = call6396;
  params[2] = call6398;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6399 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6393);
// compiled call node returning call6399 (depth = 9)
    gc_frame_newslot(call6399);
    if6375 = call6399;
  }
// compiled if node returning if6375 (depth = 8)
    gc_frame_newslot(if6375);
    if6360 = if6375;
  }
// compiled if node returning if6360 (depth = 7)
    gc_frame_newslot(if6360);
    if6308 = if6360;
  }
// compiled if node returning if6308 (depth = 6)
    gc_frame_newslot(if6308);
    if6299 = if6308;
  }
// compiled if node returning if6299 (depth = 5)
    gc_frame_newslot(if6299);
    if6293 = if6299;
  }
// compiled if node returning if6293 (depth = 4)
// Begin line 2016
  setline(2016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6400 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6401 == NULL) {
    strlit6401 = alloc_String("rparen");
    gc_root(strlit6401);
  }
// compiled string node returning strlit6401 (depth = 6)
  gc_frame_newslot(strlit6401);
// call case 4: self request
  params[0] = strlit6401;
  partcv[0] = 1;
  Object call6402 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6400);
// compiled call node returning call6402 (depth = 5)
  *var_isEmpty = call6402;
  if (call6402 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2017
  setline(2017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_isTerm (depth = 5)
  Object if6403 = done;
  if (istrue(*var_isTerm)) {
// Begin line 2018
  setline(2018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6404 = gc_frame_new();
// call case 4: self request
  Object call6405 = callmethodflags(self, "term", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6404);
// compiled member node returning call6405 (depth = 5)
    gc_frame_newslot(call6405);
    if6403 = call6405;
  } else {
// Begin line 2020
  setline(2020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6408 == NULL) {
    strlit6408 = alloc_String("rparen");
    gc_root(strlit6408);
  }
// compiled string node returning strlit6408 (depth = 7)
  int op_slot_right_6407 = gc_frame_newslot(strlit6408);
// starting to compile member node (depth = 7)
  int callframe6410 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call6411 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6410);
// compiled member node returning call6411 (depth = 7)
  int op_slot_left_6407 = gc_frame_newslot(call6411);
  params[0] = strlit6408;
  partcv[0] = 1;
  Object opresult6412 = callmethod(call6411, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6412 (depth = 6)
  Object if6406 = done;
  if (istrue(opresult6412)) {
// Begin line 2021
  setline(2021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6414 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe6415 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block6416 = alloc_Block(NULL, NULL, "parser", 2021);
  gc_frame_newslot(block6416);
// method "_apply"
  block_savedest(block6416);
  Object closure6417 = createclosure(2, "_apply");
  setclosureframe(closure6417, stackframe);
  addtoclosure(closure6417, var_blocksOK);
  addtoclosure(closure6417, selfslot);
  struct UserObject *uo6417 = (struct UserObject*)block6416;
  uo6417->data[0] = (Object)closure6417;
  Method *meth_meth_parser__apply6417 = addmethod2pos(block6416, "_apply", &meth_parser__apply6417, 0);
  int argcv_meth_parser__apply6417[] = {0};
  meth_meth_parser__apply6417->type = alloc_MethodType(1, argcv_meth_parser__apply6417);
  meth_meth_parser__apply6417->definitionModule = modulename;
  meth_meth_parser__apply6417->definitionLine = 3404;
// compiled block node returning block6416 (depth = 9)
  gc_frame_newslot(block6416);
// call case 4: self request
  params[0] = block6416;
  partcv[0] = 1;
  Object call6421 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6415);
// compiled call node returning call6421 (depth = 8)
  Object call6422 = callmethodflags(call6421, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6414);
// compiled member node returning call6422 (depth = 7)
  Object if6413 = done;
  if (istrue(call6422)) {
// Begin line 2022
  setline(2022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile array node (depth = 8)
  Object array6423 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6423 (depth = 8)
  *var_suggestions = array6423;
  if (array6423 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 2023
  setline(2023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe6424 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe6425 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call6426 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6425);
// compiled member node returning call6426 (depth = 9)
  Object call6427 = callmethodflags(call6426, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6424);
// compiled member node returning call6427 (depth = 8)
  *var_suggestion = call6427;
  if (call6427 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 2024
  setline(2024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe6428 = gc_frame_new();
// starting to compile array node (depth = 9)
  Object array6429 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 10)
  if (strlit6430 == NULL) {
    strlit6430 = alloc_String("rparen");
    gc_root(strlit6430);
  }
// compiled string node returning strlit6430 (depth = 10)
  params[0] = strlit6430;
  partcv[0] = 1;
  callmethodflags(array6429, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array6429 (depth = 9)
  gc_frame_newslot(array6429);
// call case 4: self request
  params[0] = array6429;
  partcv[0] = 1;
  Object call6431 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6428);
// compiled call node returning call6431 (depth = 8)
  *var_nextTok = call6431;
  if (call6431 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 2025
  setline(2025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_6433 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_6433 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6435 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult6435 (depth = 8)
  Object if6432 = done;
  if (istrue(opresult6435)) {
// Begin line 2026
  setline(2026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6436 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit6437 == NULL) {
    strlit6437 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6437);
  }
// compiled string node returning strlit6437 (depth = 9)
  gc_frame_newslot(strlit6437);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit6437;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6438 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6436);
// compiled call node returning call6438 (depth = 8)
    gc_frame_newslot(call6438);
    if6432 = call6438;
  } else {
// Begin line 2028
  setline(2028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6439 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
  int callframe6440 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call6441 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6440);
// compiled member node returning call6441 (depth = 9)
  gc_frame_newslot(call6441);
// starting to compile identifier node (depth = 9)
  Object bool6442 = alloc_Boolean(1);
// compiled identifier node returning bool6442 (depth = 9)
  gc_frame_newslot(bool6442);
// starting to compile identifier node (depth = 9)
  Object bool6443 = alloc_Boolean(0);
// compiled identifier node returning bool6443 (depth = 9)
  gc_frame_newslot(bool6443);
// starting to compile string node (depth = 9)
  if (strlit6444 == NULL) {
    strlit6444 = alloc_String("""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6444);
  }
// compiled string node returning strlit6444 (depth = 9)
  gc_frame_newslot(strlit6444);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call6441;
  params[2] = bool6442;
  params[3] = bool6443;
  params[4] = strlit6444;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6445 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe6439);
// compiled call node returning call6445 (depth = 8)
// Begin line 2029
  setline(2029);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6446 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6447 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6446);
// compiled call node returning call6447 (depth = 8)
// Begin line 2030
  setline(2030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6448 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe6449 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call6450 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6449);
// compiled member node returning call6450 (depth = 10)
  Object call6451 = callmethodflags(call6450, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6448);
// compiled member node returning call6451 (depth = 9)
  *var_suggestion = call6451;
  if (call6451 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 2031
  setline(2031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe6453 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
  int callframe6454 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call6455 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6454);
// compiled member node returning call6455 (depth = 9)
  gc_frame_newslot(call6455);
// starting to compile identifier node (depth = 9)
  Object bool6456 = alloc_Boolean(1);
// compiled identifier node returning bool6456 (depth = 9)
  gc_frame_newslot(bool6456);
// starting to compile identifier node (depth = 9)
  Object bool6457 = alloc_Boolean(0);
// compiled identifier node returning bool6457 (depth = 9)
  gc_frame_newslot(bool6457);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call6455;
  params[2] = bool6456;
  params[3] = bool6457;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call6458 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6453);
// compiled call node returning call6458 (depth = 8)
    gc_frame_newslot(call6458);
    if6432 = call6458;
  }
// compiled if node returning if6432 (depth = 7)
// Begin line 2033
  setline(2033);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6459 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6460 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6459);
// compiled call node returning call6460 (depth = 7)
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe6461 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit6462 == NULL) {
    strlit6462 = alloc_String("a method request must have an expression or a ')' after a '('.");
    gc_root(strlit6462);
  }
// compiled string node returning strlit6462 (depth = 8)
  gc_frame_newslot(strlit6462);
// Begin line 2035
  setline(2035);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe6463 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call6464 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6463);
// compiled member node returning call6464 (depth = 8)
  gc_frame_newslot(call6464);
// starting to compile member node (depth = 8)
  int callframe6465 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call6466 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6465);
// compiled member node returning call6466 (depth = 8)
  gc_frame_newslot(call6466);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2034
  setline(2034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit6462;
  params[1] = call6464;
  params[2] = call6466;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6467 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6461);
// compiled call node returning call6467 (depth = 7)
    gc_frame_newslot(call6467);
    if6413 = call6467;
  } else {
  }
// compiled if node returning if6413 (depth = 6)
    gc_frame_newslot(if6413);
    if6406 = if6413;
  } else {
  }
// compiled if node returning if6406 (depth = 5)
// Begin line 2038
  setline(2038);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6468 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block6469 = alloc_Block(NULL, NULL, "parser", 2038);
  gc_frame_newslot(block6469);
// method "_apply"
  block_savedest(block6469);
  Object closure6470 = createclosure(1, "_apply");
  setclosureframe(closure6470, stackframe);
  addtoclosure(closure6470, selfslot);
  struct UserObject *uo6470 = (struct UserObject*)block6469;
  uo6470->data[0] = (Object)closure6470;
  Method *meth_meth_parser__apply6470 = addmethod2pos(block6469, "_apply", &meth_parser__apply6470, 0);
  int argcv_meth_parser__apply6470[] = {0};
  meth_meth_parser__apply6470->type = alloc_MethodType(1, argcv_meth_parser__apply6470);
  meth_meth_parser__apply6470->definitionModule = modulename;
  meth_meth_parser__apply6470->definitionLine = 3404;
// compiled block node returning block6469 (depth = 6)
  gc_frame_newslot(block6469);
// starting to compile block node (depth = 6)
  Object block6475 = alloc_Block(NULL, NULL, "parser", 2038);
  gc_frame_newslot(block6475);
// method "_apply"
  block_savedest(block6475);
  Object closure6476 = createclosure(8, "_apply");
  setclosureframe(closure6476, stackframe);
  addtoclosure(closure6476, var_values);
  addtoclosure(closure6476, var_nxt);
  addtoclosure(closure6476, var_part);
  addtoclosure(closure6476, var_blocksOK);
  addtoclosure(closure6476, var_errormessages);
  addtoclosure(closure6476, var_sym);
  addtoclosure(closure6476, var_lastToken);
  addtoclosure(closure6476, selfslot);
  struct UserObject *uo6476 = (struct UserObject*)block6475;
  uo6476->data[0] = (Object)closure6476;
  Method *meth_meth_parser__apply6476 = addmethod2pos(block6475, "_apply", &meth_parser__apply6476, 0);
  int argcv_meth_parser__apply6476[] = {0};
  meth_meth_parser__apply6476->type = alloc_MethodType(1, argcv_meth_parser__apply6476);
  meth_meth_parser__apply6476->definitionModule = modulename;
  meth_meth_parser__apply6476->definitionLine = 3404;
// compiled block node returning block6475 (depth = 6)
  gc_frame_newslot(block6475);
// call case 5: prelude request
  params[0] = block6469;
  params[1] = block6475;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6542 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6468);
// compiled call node returning call6542 (depth = 5)
    gc_frame_newslot(call6542);
    if6403 = call6542;
  }
// compiled if node returning if6403 (depth = 4)
// Begin line 2060
  setline(2060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6544 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_isEmpty (depth = 6)
  partcv[0] = 0;
  Object call6545 = callmethodflags(*var_isEmpty, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe6544);
// compiled call node returning call6545 (depth = 5)
  Object if6543 = done;
  if (istrue(call6545)) {
// Begin line 2061
  setline(2061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6546 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call6547 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6546);
// compiled member node returning call6547 (depth = 6)
  *var_nxt = call6547;
  if (call6547 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 2062
  setline(2062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6549 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nxt (depth = 6)
  gc_frame_newslot(*var_nxt);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6550 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call6551 = callmethodflags(*var_part, "args", 0, partcv, params, 0);
  gc_frame_end(callframe6550);
// compiled member node returning call6551 (depth = 6)
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call6552 = callmethodflags(call6551, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6549);
// compiled call node returning call6552 (depth = 5)
    gc_frame_newslot(call6552);
    if6543 = call6552;
  } else {
  }
// compiled if node returning if6543 (depth = 4)
// Begin line 2064
  setline(2064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6554 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_isTerm (depth = 6)
  Object call6555 = callmethodflags(*var_isTerm, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6554);
// compiled member node returning call6555 (depth = 5)
  Object if6553 = done;
  if (istrue(call6555)) {
// Begin line 2065
  setline(2065);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit6558 == NULL) {
    strlit6558 = alloc_String("rparen");
    gc_root(strlit6558);
  }
// compiled string node returning strlit6558 (depth = 7)
  int op_slot_right_6557 = gc_frame_newslot(strlit6558);
// starting to compile member node (depth = 7)
  int callframe6560 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call6561 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6560);
// compiled member node returning call6561 (depth = 7)
  int op_slot_left_6557 = gc_frame_newslot(call6561);
  params[0] = strlit6558;
  partcv[0] = 1;
  Object opresult6562 = callmethod(call6561, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6562 (depth = 6)
  Object if6556 = done;
  if (istrue(opresult6562)) {
// Begin line 2066
  setline(2066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe6563 = gc_frame_new();
// call case 4: self request
  Object call6564 = callmethodflags(self, "checkBadOperators", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6563);
// compiled member node returning call6564 (depth = 6)
// Begin line 2067
  setline(2067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6565 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe6566 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call6567 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6566);
// compiled member node returning call6567 (depth = 8)
  Object call6568 = callmethodflags(call6567, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6565);
// compiled member node returning call6568 (depth = 7)
  *var_suggestion = call6568;
  if (call6568 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 2068
  setline(2068);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6569 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6570 == NULL) {
    strlit6570 = alloc_String(")");
    gc_root(strlit6570);
  }
// compiled string node returning strlit6570 (depth = 7)
  gc_frame_newslot(strlit6570);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit6570;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6571 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6569);
// compiled call node returning call6571 (depth = 6)
// Begin line 2069
  setline(2069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6572 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6573 == NULL) {
    strlit6573 = alloc_String("a part of a multi-part method request beginning with a '(' must end with a ')'.");
    gc_root(strlit6573);
  }
// compiled string node returning strlit6573 (depth = 7)
  gc_frame_newslot(strlit6573);
// Begin line 2070
  setline(2070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe6574 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call6575 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6574);
// compiled member node returning call6575 (depth = 7)
  gc_frame_newslot(call6575);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe6577 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call6578 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6577);
// compiled member node returning call6578 (depth = 8)
  int op_slot_right_6576 = gc_frame_newslot(call6578);
// starting to compile member node (depth = 8)
  int callframe6580 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call6581 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6580);
// compiled member node returning call6581 (depth = 8)
  int op_slot_left_6576 = gc_frame_newslot(call6581);
  params[0] = call6578;
  partcv[0] = 1;
  Object sum6582 = callmethod(call6581, "+(1)", 1, partcv, params);
// compiled op node returning sum6582 (depth = 7)
  gc_frame_newslot(sum6582);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2069
  setline(2069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = strlit6573;
  params[1] = call6575;
  params[2] = sum6582;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6583 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6572);
// compiled call node returning call6583 (depth = 6)
    gc_frame_newslot(call6583);
    if6556 = call6583;
  } else {
  }
// compiled if node returning if6556 (depth = 5)
    gc_frame_newslot(if6556);
    if6553 = if6556;
  } else {
  }
// compiled if node returning if6553 (depth = 4)
// Begin line 2073
  setline(2073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6586 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_isTerm (depth = 7)
  Object call6587 = callmethodflags(*var_isTerm, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6586);
// compiled member node returning call6587 (depth = 6)
  int op_slot_right_6585 = gc_frame_newslot(call6587);
// starting to compile call node (depth = 6)
  int callframe6589 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6590 == NULL) {
    strlit6590 = alloc_String("rparen");
    gc_root(strlit6590);
  }
// compiled string node returning strlit6590 (depth = 7)
  gc_frame_newslot(strlit6590);
// call case 4: self request
  params[0] = strlit6590;
  partcv[0] = 1;
  Object call6591 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6589);
// compiled call node returning call6591 (depth = 6)
  int op_slot_left_6585 = gc_frame_newslot(call6591);
  params[0] = call6587;
  partcv[0] = 1;
  Object opresult6592 = callmethod(call6591, "&&(1)", 1, partcv, params);
// compiled op node returning opresult6592 (depth = 5)
  Object if6584 = done;
  if (istrue(opresult6592)) {
// Begin line 2074
  setline(2074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6593 = gc_frame_new();
// call case 4: self request
  Object call6594 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6593);
// compiled member node returning call6594 (depth = 5)
    gc_frame_newslot(call6594);
    if6584 = call6594;
  } else {
  }
// compiled if node returning if6584 (depth = 4)
  gc_frame_end(frame);
  return if6584;
}
Object meth_parser_callmprest_40_3_41_6245(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 48, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(9, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "callmprest(3)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 3)
    graceRaise(RequestError(), "insufficient arguments to method callmprest(_,_,_)");
  Object params[2];
  int partcv[2];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_blocksOK = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for callmprest(_,_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_meth = &(stackframe->slots[0]);
  *var_meth = args[curarg];
  curarg++;
  Object *var_signature = &(stackframe->slots[1]);
  *var_signature = args[curarg];
  curarg++;
  Object *var_tok = &(stackframe->slots[2]);
  *var_tok = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 3)
    graceRaise(RequestError(), "wrong number of arguments for part callmprest(_,_,_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methname = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "methname");
  Object *var_nxt = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nxt");
  Object *var_lp = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "lp");
  Object *var_part = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "part");
  Object *var_meth_39_ = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "meth'");
// Begin line 1967
  setline(1967);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe6246 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  Object call6247 = callmethodflags(*var_meth, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6246);
// compiled member node returning call6247 (depth = 3)
  *var_methname = call6247;
  if (call6247 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1968
  setline(1968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_nxt = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1969
  setline(1969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe6248 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  Object call6249 = callmethodflags(*var_meth, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6248);
// compiled member node returning call6249 (depth = 3)
  *var_lp = call6249;
  if (call6249 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 1970
  setline(1970);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
  *var_part = undefined;
// compiled vardec node returning done (depth = 2)
// Begin line 1971
  setline(1971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe6250 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block6251 = alloc_Block(NULL, NULL, "parser", 1971);
  gc_frame_newslot(block6251);
// method "_apply"
  block_savedest(block6251);
  Object closure6252 = createclosure(3, "_apply");
  setclosureframe(closure6252, stackframe);
  addtoclosure(closure6252, var_lastToken);
  addtoclosure(closure6252, var_tok);
  addtoclosure(closure6252, selfslot);
  struct UserObject *uo6252 = (struct UserObject*)block6251;
  uo6252->data[0] = (Object)closure6252;
  Method *meth_meth_parser__apply6252 = addmethod2pos(block6251, "_apply", &meth_parser__apply6252, 0);
  int argcv_meth_parser__apply6252[] = {0};
  meth_meth_parser__apply6252->type = alloc_MethodType(1, argcv_meth_parser__apply6252);
  meth_meth_parser__apply6252->definitionModule = modulename;
  meth_meth_parser__apply6252->definitionLine = 3404;
// compiled block node returning block6251 (depth = 3)
  gc_frame_newslot(block6251);
// Begin line 1972
  setline(1972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block6263 = alloc_Block(NULL, NULL, "parser", 1972);
  gc_frame_newslot(block6263);
// method "_apply"
  block_savedest(block6263);
  Object closure6264 = createclosure(11, "_apply");
  setclosureframe(closure6264, stackframe);
  addtoclosure(closure6264, var_ast);
  addtoclosure(closure6264, var_part);
  addtoclosure(closure6264, var_signature);
  addtoclosure(closure6264, var_methname);
  addtoclosure(closure6264, var_values);
  addtoclosure(closure6264, var_nxt);
  addtoclosure(closure6264, var_lastToken);
  addtoclosure(closure6264, var_errormessages);
  addtoclosure(closure6264, var_sym);
  addtoclosure(closure6264, var_blocksOK);
  addtoclosure(closure6264, selfslot);
  struct UserObject *uo6264 = (struct UserObject*)block6263;
  uo6264->data[0] = (Object)closure6264;
  Method *meth_meth_parser__apply6264 = addmethod2pos(block6263, "_apply", &meth_parser__apply6264, 0);
  int argcv_meth_parser__apply6264[] = {0};
  meth_meth_parser__apply6264->type = alloc_MethodType(1, argcv_meth_parser__apply6264);
  meth_meth_parser__apply6264->definitionModule = modulename;
  meth_meth_parser__apply6264->definitionLine = 3404;
// compiled block node returning block6263 (depth = 3)
  gc_frame_newslot(block6263);
// call case 5: prelude request
  params[0] = block6251;
  params[1] = block6263;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6596 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6250);
// compiled call node returning call6596 (depth = 2)
// Begin line 2077
  setline(2077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe6597 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methname (depth = 4)
  gc_frame_newslot(*var_methname);
// starting to compile identifier node (depth = 4)
  Object bool6598 = alloc_Boolean(0);
// compiled identifier node returning bool6598 (depth = 4)
  gc_frame_newslot(bool6598);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe6599 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call6600 = callmethodflags(*var_ast, "identifierNode", 0, partcv, params, 0);
  gc_frame_end(callframe6599);
// compiled member node returning call6600 (depth = 4)
  params[0] = *var_methname;
  params[1] = bool6598;
  partcv[0] = 2;
  Object call6601 = callmethodflags(call6600, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6597);
// compiled call node returning call6601 (depth = 3)
  *var_meth_39_ = call6601;
  if (call6601 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2078
  setline(2078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe6602 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe6603 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  Object call6604 = callmethodflags(*var_meth, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6603);
// compiled member node returning call6604 (depth = 3)
  gc_frame_newslot(call6604);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_meth_39_ (depth = 3)
  params[0] = call6604;
  partcv[0] = 1;
  Object call6605 = callmethodflags(*var_meth_39_, "line:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6602);
// compiled call node returning call6605 (depth = 2)
// Begin line 2079
  setline(2079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe6606 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe6607 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  Object call6608 = callmethodflags(*var_meth, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6607);
// compiled member node returning call6608 (depth = 3)
  gc_frame_newslot(call6608);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_meth_39_ (depth = 3)
  params[0] = call6608;
  partcv[0] = 1;
  Object call6609 = callmethodflags(*var_meth_39_, "linePos:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6606);
// compiled call node returning call6609 (depth = 2)
// Begin line 2080
  setline(2080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_meth_39_ (depth = 2)
  gc_frame_end(frame);
  return *var_meth_39_;
}
Object meth_parser__apply_40_1_41_6634(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// Begin line 2093
  setline(2093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6637 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6638 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6637);
// compiled member node returning call6638 (depth = 9)
  int op_slot_right_6636 = gc_frame_newslot(call6638);
// starting to compile member node (depth = 9)
  int callframe6640 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call6641 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6640);
// compiled member node returning call6641 (depth = 9)
  int op_slot_left_6636 = gc_frame_newslot(call6641);
  params[0] = call6638;
  partcv[0] = 1;
  Object opresult6642 = callmethod(call6641, "==(1)", 1, partcv, params);
// compiled op node returning opresult6642 (depth = 8)
  int op_slot_right_6635 = gc_frame_newslot(opresult6642);
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 2093
  setline(2093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6646 == NULL) {
    strlit6646 = alloc_String("=");
    gc_root(strlit6646);
  }
// compiled string node returning strlit6646 (depth = 10)
  int op_slot_right_6645 = gc_frame_newslot(strlit6646);
// starting to compile member node (depth = 10)
  int callframe6648 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  Object call6649 = callmethodflags(*var_t, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6648);
// compiled member node returning call6649 (depth = 10)
  int op_slot_left_6645 = gc_frame_newslot(call6649);
  params[0] = strlit6646;
  partcv[0] = 1;
  Object opresult6650 = callmethod(call6649, "==(1)", 1, partcv, params);
// compiled op node returning opresult6650 (depth = 9)
  int op_slot_right_6644 = gc_frame_newslot(opresult6650);
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit6653 == NULL) {
    strlit6653 = alloc_String("op");
    gc_root(strlit6653);
  }
// compiled string node returning strlit6653 (depth = 10)
  int op_slot_right_6652 = gc_frame_newslot(strlit6653);
// starting to compile member node (depth = 10)
  int callframe6655 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_t (depth = 11)
  Object call6656 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6655);
// compiled member node returning call6656 (depth = 10)
  int op_slot_left_6652 = gc_frame_newslot(call6656);
  params[0] = strlit6653;
  partcv[0] = 1;
  Object opresult6657 = callmethod(call6656, "==(1)", 1, partcv, params);
// compiled op node returning opresult6657 (depth = 9)
  int op_slot_left_6644 = gc_frame_newslot(opresult6657);
  params[0] = opresult6650;
  partcv[0] = 1;
  Object opresult6658 = callmethod(opresult6657, "&&(1)", 1, partcv, params);
// compiled op node returning opresult6658 (depth = 8)
  int op_slot_left_6635 = gc_frame_newslot(opresult6658);
  params[0] = opresult6642;
  partcv[0] = 1;
  Object opresult6659 = callmethod(opresult6658, "&&(1)", 1, partcv, params);
// compiled op node returning opresult6659 (depth = 7)
  gc_frame_end(frame);
  return opresult6659;
}
Object meth_parser__apply6726(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe6727 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_blocksOK (depth = 9)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6728 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6727);
// compiled call node returning call6728 (depth = 8)
  gc_frame_end(frame);
  return call6728;
}
Object meth_parser_defdec6610(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 49, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(17, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "defdec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_blocksOK = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_defTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "defTok");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextToken");
  Object *var_val = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "val");
  Object *var_name = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "name");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_nextTok = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "nextTok");
  Object *var_suggestions = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "suggestions");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
// Begin line 2085
  setline(2085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe6612 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6613 == NULL) {
    strlit6613 = alloc_String("def");
    gc_root(strlit6613);
  }
// compiled string node returning strlit6613 (depth = 4)
  gc_frame_newslot(strlit6613);
// call case 4: self request
  params[0] = strlit6613;
  partcv[0] = 1;
  Object call6614 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6612);
// compiled call node returning call6614 (depth = 3)
  Object if6611 = done;
  if (istrue(call6614)) {
// Begin line 2086
  setline(2086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6615 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6616 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6615);
// compiled member node returning call6616 (depth = 4)
  *var_line = call6616;
  if (call6616 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2087
  setline(2087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6617 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6618 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6617);
// compiled member node returning call6618 (depth = 4)
  *var_pos = call6618;
  if (call6618 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2088
  setline(2088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_defTok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2089
  setline(2089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6619 = gc_frame_new();
// call case 4: self request
  Object call6620 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6619);
// compiled member node returning call6620 (depth = 3)
// Begin line 2090
  setline(2090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6623 == NULL) {
    strlit6623 = alloc_String("identifier");
    gc_root(strlit6623);
  }
// compiled string node returning strlit6623 (depth = 5)
  int op_slot_right_6622 = gc_frame_newslot(strlit6623);
// starting to compile member node (depth = 5)
  int callframe6625 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call6626 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6625);
// compiled member node returning call6626 (depth = 5)
  int op_slot_left_6622 = gc_frame_newslot(call6626);
  params[0] = strlit6623;
  partcv[0] = 1;
  Object opresult6627 = callmethod(call6626, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6627 (depth = 4)
  Object if6621 = done;
  if (istrue(opresult6627)) {
// Begin line 2091
  setline(2091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6628 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6629 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call6630 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6629);
// compiled member node returning call6630 (depth = 6)
  Object call6631 = callmethodflags(call6630, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6628);
// compiled member node returning call6631 (depth = 5)
  *var_suggestion = call6631;
  if (call6631 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2092
  setline(2092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6632 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block6633 = alloc_Block(NULL, NULL, "parser", 2092);
  gc_frame_newslot(block6633);
// method "_apply(_)"
  block_savedest(block6633);
  Object closure6634 = createclosure(2, "_apply(1)");
  setclosureframe(closure6634, stackframe);
  addtoclosure(closure6634, var_sym);
  addtoclosure(closure6634, selfslot);
  struct UserObject *uo6634 = (struct UserObject*)block6633;
  uo6634->data[0] = (Object)closure6634;
  Method *meth_meth_parser__apply_40_1_41_6634 = addmethod2pos(block6633, "_apply(1)", &meth_parser__apply_40_1_41_6634, 0);
  int argcv_meth_parser__apply_40_1_41_6634[] = {1};
  meth_meth_parser__apply_40_1_41_6634->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_6634);
  meth_meth_parser__apply_40_1_41_6634->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_6634->definitionLine = 3404;
// compiled block node returning block6633 (depth = 6)
  gc_frame_newslot(block6633);
// call case 4: self request
  params[0] = block6633;
  partcv[0] = 1;
  Object call6661 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6632);
// compiled call node returning call6661 (depth = 5)
  *var_nextToken = call6661;
  if (call6661 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2094
  setline(2094);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextToken (depth = 6)
  int op_slot_right_6663 = gc_frame_newslot(*var_nextToken);
// starting to compile identifier node (depth = 6)
  Object bool6665 = alloc_Boolean(0);
// compiled identifier node returning bool6665 (depth = 6)
  int op_slot_left_6663 = gc_frame_newslot(bool6665);
  params[0] = *var_nextToken;
  partcv[0] = 1;
  Object opresult6666 = callmethod(bool6665, "==(1)", 1, partcv, params);
// compiled op node returning opresult6666 (depth = 5)
  Object if6662 = done;
  if (istrue(opresult6666)) {
// Begin line 2095
  setline(2095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6667 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6668 == NULL) {
    strlit6668 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb"" =");
    gc_root(strlit6668);
  }
// compiled string node returning strlit6668 (depth = 6)
  gc_frame_newslot(strlit6668);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit6668;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6669 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6667);
// compiled call node returning call6669 (depth = 5)
    gc_frame_newslot(call6669);
    if6662 = call6669;
  } else {
// Begin line 2098
  setline(2098);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2096
  setline(2096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_6671 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextToken (depth = 7)
  int op_slot_left_6671 = gc_frame_newslot(*var_nextToken);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6673 = callmethod(*var_nextToken, "==(1)", 1, partcv, params);
// compiled op node returning opresult6673 (depth = 6)
  Object if6670 = done;
  if (istrue(opresult6673)) {
// Begin line 2097
  setline(2097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6674 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6675 == NULL) {
    strlit6675 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb""");
    gc_root(strlit6675);
  }
// compiled string node returning strlit6675 (depth = 7)
  gc_frame_newslot(strlit6675);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit6675;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6676 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6674);
// compiled call node returning call6676 (depth = 6)
    gc_frame_newslot(call6676);
    if6670 = call6676;
  } else {
// Begin line 2099
  setline(2099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6677 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe6678 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextToken (depth = 8)
  Object call6679 = callmethodflags(*var_nextToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6678);
// compiled member node returning call6679 (depth = 7)
  gc_frame_newslot(call6679);
// Begin line 2100
  setline(2100);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool6680 = alloc_Boolean(0);
// compiled identifier node returning bool6680 (depth = 7)
  gc_frame_newslot(bool6680);
// starting to compile identifier node (depth = 7)
  Object bool6681 = alloc_Boolean(1);
// compiled identifier node returning bool6681 (depth = 7)
  gc_frame_newslot(bool6681);
// starting to compile string node (depth = 7)
  if (strlit6682 == NULL) {
    strlit6682 = alloc_String("""\xc2""""\xab""name""\xc2""""\xbb"" ");
    gc_root(strlit6682);
  }
// compiled string node returning strlit6682 (depth = 7)
  gc_frame_newslot(strlit6682);
// call case 6: other requests
// Begin line 2099
  setline(2099);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call6679;
  params[2] = bool6680;
  params[3] = bool6681;
  params[4] = strlit6682;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6683 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe6677);
// compiled call node returning call6683 (depth = 6)
    gc_frame_newslot(call6683);
    if6670 = call6683;
  }
// compiled if node returning if6670 (depth = 5)
    gc_frame_newslot(if6670);
    if6662 = if6670;
  }
// compiled if node returning if6662 (depth = 4)
// Begin line 2102
  setline(2102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6684 = gc_frame_new();
// starting to compile op node (depth = 5)
// Begin line 2103
  setline(2103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6686 == NULL) {
    strlit6686 = alloc_String("and a value after the 'def'.");
    gc_root(strlit6686);
  }
// compiled string node returning strlit6686 (depth = 6)
  int op_slot_right_6685 = gc_frame_newslot(strlit6686);
// Begin line 2102
  setline(2102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit6688 == NULL) {
    strlit6688 = alloc_String("a definition must have a name, '=', ");
    gc_root(strlit6688);
  }
// compiled string node returning strlit6688 (depth = 6)
  int op_slot_left_6685 = gc_frame_newslot(strlit6688);
  params[0] = strlit6686;
  partcv[0] = 1;
  Object opresult6689 = callmethod(strlit6688, "++(1)", 1, partcv, params);
// compiled op node returning opresult6689 (depth = 5)
  gc_frame_newslot(opresult6689);
// Begin line 2103
  setline(2103);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6690 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call6691 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6690);
// compiled member node returning call6691 (depth = 5)
  gc_frame_newslot(call6691);
// starting to compile member node (depth = 5)
  int callframe6692 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call6693 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6692);
// compiled member node returning call6693 (depth = 5)
  gc_frame_newslot(call6693);
// Begin line 2104
  setline(2104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2102
  setline(2102);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = opresult6689;
  params[1] = call6691;
  params[2] = call6693;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6694 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6684);
// compiled call node returning call6694 (depth = 4)
    gc_frame_newslot(call6694);
    if6621 = call6694;
  } else {
  }
// compiled if node returning if6621 (depth = 3)
// Begin line 2106
  setline(2106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6695 = gc_frame_new();
// call case 4: self request
  Object call6696 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6695);
// compiled member node returning call6696 (depth = 3)
// Begin line 2107
  setline(2107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool6697 = alloc_Boolean(0);
// compiled identifier node returning bool6697 (depth = 4)
  *var_val = bool6697;
  if (bool6697 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2108
  setline(2108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6698 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call6699 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6698);
// compiled member node returning call6699 (depth = 4)
  *var_name = call6699;
  if (call6699 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2109
  setline(2109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6700 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool6701 = alloc_Boolean(1);
// compiled identifier node returning bool6701 (depth = 4)
  gc_frame_newslot(bool6701);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  params[0] = bool6701;
  partcv[0] = 1;
  Object call6702 = callmethodflags(*var_name, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6700);
// compiled call node returning call6702 (depth = 3)
// Begin line 2110
  setline(2110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6703 = gc_frame_new();
// call case 4: self request
  Object call6704 = callmethodflags(self, "optionalTypeAnnotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6703);
// compiled member node returning call6704 (depth = 4)
  *var_dtype = call6704;
  if (call6704 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2111
  setline(2111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6705 = gc_frame_new();
// call case 4: self request
  Object call6706 = callmethodflags(self, "doannotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6705);
// compiled member node returning call6706 (depth = 4)
  *var_anns = call6706;
  if (call6706 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2112
  setline(2112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit6710 == NULL) {
    strlit6710 = alloc_String("=");
    gc_root(strlit6710);
  }
// compiled string node returning strlit6710 (depth = 6)
  int op_slot_right_6709 = gc_frame_newslot(strlit6710);
// starting to compile member node (depth = 6)
  int callframe6712 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call6713 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe6712);
// compiled member node returning call6713 (depth = 6)
  int op_slot_left_6709 = gc_frame_newslot(call6713);
  params[0] = strlit6710;
  partcv[0] = 1;
  Object opresult6714 = callmethod(call6713, "==(1)", 1, partcv, params);
// compiled op node returning opresult6714 (depth = 5)
  int op_slot_right_6708 = gc_frame_newslot(opresult6714);
// starting to compile call node (depth = 5)
  int callframe6716 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6717 == NULL) {
    strlit6717 = alloc_String("op");
    gc_root(strlit6717);
  }
// compiled string node returning strlit6717 (depth = 6)
  gc_frame_newslot(strlit6717);
// call case 4: self request
  params[0] = strlit6717;
  partcv[0] = 1;
  Object call6718 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6716);
// compiled call node returning call6718 (depth = 5)
  int op_slot_left_6708 = gc_frame_newslot(call6718);
  params[0] = opresult6714;
  partcv[0] = 1;
  Object opresult6719 = callmethod(call6718, "&&(1)", 1, partcv, params);
// compiled op node returning opresult6719 (depth = 4)
  Object if6707 = done;
  if (istrue(opresult6719)) {
// Begin line 2113
  setline(2113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6720 = gc_frame_new();
// call case 4: self request
  Object call6721 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6720);
// compiled member node returning call6721 (depth = 4)
// Begin line 2114
  setline(2114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6723 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe6724 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block6725 = alloc_Block(NULL, NULL, "parser", 2114);
  gc_frame_newslot(block6725);
// method "_apply"
  block_savedest(block6725);
  Object closure6726 = createclosure(2, "_apply");
  setclosureframe(closure6726, stackframe);
  addtoclosure(closure6726, var_blocksOK);
  addtoclosure(closure6726, selfslot);
  struct UserObject *uo6726 = (struct UserObject*)block6725;
  uo6726->data[0] = (Object)closure6726;
  Method *meth_meth_parser__apply6726 = addmethod2pos(block6725, "_apply", &meth_parser__apply6726, 0);
  int argcv_meth_parser__apply6726[] = {0};
  meth_meth_parser__apply6726->type = alloc_MethodType(1, argcv_meth_parser__apply6726);
  meth_meth_parser__apply6726->definitionModule = modulename;
  meth_meth_parser__apply6726->definitionLine = 3404;
// compiled block node returning block6725 (depth = 7)
  gc_frame_newslot(block6725);
// call case 4: self request
  params[0] = block6725;
  partcv[0] = 1;
  Object call6730 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6724);
// compiled call node returning call6730 (depth = 6)
  Object call6731 = callmethodflags(call6730, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6723);
// compiled member node returning call6731 (depth = 5)
  Object if6722 = done;
  if (istrue(call6731)) {
// Begin line 2115
  setline(2115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6732 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6733 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call6734 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6733);
// compiled member node returning call6734 (depth = 7)
  Object call6735 = callmethodflags(call6734, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6732);
// compiled member node returning call6735 (depth = 6)
  *var_suggestion = call6735;
  if (call6735 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2116
  setline(2116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6736 = gc_frame_new();
// starting to compile array node (depth = 7)
  Object array6737 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6737 (depth = 7)
  gc_frame_newslot(array6737);
// call case 4: self request
  params[0] = array6737;
  partcv[0] = 1;
  Object call6738 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6736);
// compiled call node returning call6738 (depth = 6)
  *var_nextTok = call6738;
  if (call6738 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2117
  setline(2117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_6740 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_6740 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6742 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult6742 (depth = 6)
  Object if6739 = done;
  if (istrue(opresult6742)) {
// Begin line 2118
  setline(2118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6743 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6744 == NULL) {
    strlit6744 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6744);
  }
// compiled string node returning strlit6744 (depth = 7)
  gc_frame_newslot(strlit6744);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit6744;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6745 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6743);
// compiled call node returning call6745 (depth = 6)
    gc_frame_newslot(call6745);
    if6739 = call6745;
  } else {
// Begin line 2120
  setline(2120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6746 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe6747 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call6748 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6747);
// compiled member node returning call6748 (depth = 7)
  gc_frame_newslot(call6748);
// Begin line 2121
  setline(2121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool6749 = alloc_Boolean(1);
// compiled identifier node returning bool6749 (depth = 7)
  gc_frame_newslot(bool6749);
// starting to compile identifier node (depth = 7)
  Object bool6750 = alloc_Boolean(0);
// compiled identifier node returning bool6750 (depth = 7)
  gc_frame_newslot(bool6750);
// starting to compile string node (depth = 7)
  if (strlit6751 == NULL) {
    strlit6751 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6751);
  }
// compiled string node returning strlit6751 (depth = 7)
  gc_frame_newslot(strlit6751);
// call case 6: other requests
// Begin line 2120
  setline(2120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call6748;
  params[2] = bool6749;
  params[3] = bool6750;
  params[4] = strlit6751;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6752 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe6746);
// compiled call node returning call6752 (depth = 6)
    gc_frame_newslot(call6752);
    if6739 = call6752;
  }
// compiled if node returning if6739 (depth = 5)
// Begin line 2123
  setline(2123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6753 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6754 == NULL) {
    strlit6754 = alloc_String("a definition must have a value after the '='.");
    gc_root(strlit6754);
  }
// compiled string node returning strlit6754 (depth = 6)
  gc_frame_newslot(strlit6754);
// Begin line 2124
  setline(2124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe6755 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call6756 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6755);
// compiled member node returning call6756 (depth = 6)
  gc_frame_newslot(call6756);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe6758 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call6759 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe6758);
// compiled member node returning call6759 (depth = 7)
  int op_slot_right_6757 = gc_frame_newslot(call6759);
// starting to compile member node (depth = 7)
  int callframe6761 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call6762 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6761);
// compiled member node returning call6762 (depth = 7)
  int op_slot_left_6757 = gc_frame_newslot(call6762);
  params[0] = call6759;
  partcv[0] = 1;
  Object sum6763 = callmethod(call6762, "+(1)", 1, partcv, params);
// compiled op node returning sum6763 (depth = 6)
  gc_frame_newslot(sum6763);
// Begin line 2125
  setline(2125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2123
  setline(2123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit6754;
  params[1] = call6756;
  params[2] = sum6763;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6764 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6753);
// compiled call node returning call6764 (depth = 5)
    gc_frame_newslot(call6764);
    if6722 = call6764;
  } else {
  }
// compiled if node returning if6722 (depth = 4)
// Begin line 2127
  setline(2127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6765 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call6766 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6765);
// compiled member node returning call6766 (depth = 5)
  *var_val = call6766;
  if (call6766 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6707 = done;
  } else {
// Begin line 2139
  setline(2139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2128
  setline(2128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6769 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6770 == NULL) {
    strlit6770 = alloc_String("bind");
    gc_root(strlit6770);
  }
// compiled string node returning strlit6770 (depth = 6)
  gc_frame_newslot(strlit6770);
// call case 4: self request
  params[0] = strlit6770;
  partcv[0] = 1;
  Object call6771 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6769);
// compiled call node returning call6771 (depth = 5)
  Object if6768 = done;
  if (istrue(call6771)) {
// Begin line 2129
  setline(2129);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array6772 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6772 (depth = 6)
  *var_suggestions = array6772;
  if (array6772 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2130
  setline(2130);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6773 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6774 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call6775 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6774);
// compiled member node returning call6775 (depth = 7)
  Object call6776 = callmethodflags(call6775, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6773);
// compiled member node returning call6776 (depth = 6)
  *var_suggestion = call6776;
  if (call6776 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2131
  setline(2131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6777 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 6)
  if (strlit6778 == NULL) {
    strlit6778 = alloc_String("=");
    gc_root(strlit6778);
  }
// compiled string node returning strlit6778 (depth = 6)
  gc_frame_newslot(strlit6778);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = strlit6778;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6779 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6777);
// compiled call node returning call6779 (depth = 5)
// Begin line 2132
  setline(2132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6780 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6781 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6780);
// compiled call node returning call6781 (depth = 5)
// Begin line 2133
  setline(2133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6782 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6783 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call6784 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6783);
// compiled member node returning call6784 (depth = 7)
  Object call6785 = callmethodflags(call6784, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6782);
// compiled member node returning call6785 (depth = 6)
  *var_suggestion = call6785;
  if (call6785 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 2134
  setline(2134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6787 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_defTok (depth = 6)
  gc_frame_newslot(*var_defTok);
// starting to compile string node (depth = 6)
  if (strlit6788 == NULL) {
    strlit6788 = alloc_String("var");
    gc_root(strlit6788);
  }
// compiled string node returning strlit6788 (depth = 6)
  gc_frame_newslot(strlit6788);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_defTok;
  params[1] = strlit6788;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6789 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6787);
// compiled call node returning call6789 (depth = 5)
// Begin line 2135
  setline(2135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6790 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6791 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6790);
// compiled call node returning call6791 (depth = 5)
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6792 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 2137
  setline(2137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6794 == NULL) {
    strlit6794 = alloc_String("A variable declaration uses 'var' and ':='.");
    gc_root(strlit6794);
  }
// compiled string node returning strlit6794 (depth = 7)
  int op_slot_right_6793 = gc_frame_newslot(strlit6794);
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6796 == NULL) {
    strlit6796 = alloc_String("a definition must use '=' instead of ':='. ");
    gc_root(strlit6796);
  }
// compiled string node returning strlit6796 (depth = 7)
  int op_slot_left_6793 = gc_frame_newslot(strlit6796);
  params[0] = strlit6794;
  partcv[0] = 1;
  Object opresult6797 = callmethod(strlit6796, "++(1)", 1, partcv, params);
// compiled op node returning opresult6797 (depth = 6)
  gc_frame_newslot(opresult6797);
// Begin line 2138
  setline(2138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe6798 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call6799 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6798);
// compiled member node returning call6799 (depth = 6)
  gc_frame_newslot(call6799);
// starting to compile member node (depth = 6)
  int callframe6800 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call6801 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6800);
// compiled member node returning call6801 (depth = 6)
  gc_frame_newslot(call6801);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num6803 = alloc_Float64(1);
// compiled num node returning num6803 (depth = 7)
  int op_slot_right_6802 = gc_frame_newslot(num6803);
// starting to compile member node (depth = 7)
  int callframe6805 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call6806 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6805);
// compiled member node returning call6806 (depth = 7)
  int op_slot_left_6802 = gc_frame_newslot(call6806);
  params[0] = num6803;
  partcv[0] = 1;
  Object sum6807 = callmethod(call6806, "+(1)", 1, partcv, params);
// compiled op node returning sum6807 (depth = 6)
  gc_frame_newslot(sum6807);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2136
  setline(2136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult6797;
  params[1] = call6799;
  params[2] = call6801;
  params[3] = sum6807;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call6808 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6792);
// compiled call node returning call6808 (depth = 5)
    gc_frame_newslot(call6808);
    if6768 = call6808;
  } else {
// Begin line 2140
  setline(2140);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array6809 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6809 (depth = 6)
  *var_suggestions = array6809;
  if (array6809 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2141
  setline(2141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6810 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6811 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call6812 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6811);
// compiled member node returning call6812 (depth = 7)
  Object call6813 = callmethodflags(call6812, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6810);
// compiled member node returning call6813 (depth = 6)
  *var_suggestion = call6813;
  if (call6813 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2142
  setline(2142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6814 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6815 == NULL) {
    strlit6815 = alloc_String(" = ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6815);
  }
// compiled string node returning strlit6815 (depth = 6)
  gc_frame_newslot(strlit6815);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit6815;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6816 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6814);
// compiled call node returning call6816 (depth = 5)
// Begin line 2143
  setline(2143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6817 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6818 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6817);
// compiled call node returning call6818 (depth = 5)
// Begin line 2144
  setline(2144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6819 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6820 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call6821 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6820);
// compiled member node returning call6821 (depth = 7)
  Object call6822 = callmethodflags(call6821, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6819);
// compiled member node returning call6822 (depth = 6)
  *var_suggestion = call6822;
  if (call6822 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 2145
  setline(2145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6824 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_defTok (depth = 6)
  gc_frame_newslot(*var_defTok);
// starting to compile string node (depth = 6)
  if (strlit6825 == NULL) {
    strlit6825 = alloc_String("var");
    gc_root(strlit6825);
  }
// compiled string node returning strlit6825 (depth = 6)
  gc_frame_newslot(strlit6825);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_defTok;
  params[1] = strlit6825;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6826 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6824);
// compiled call node returning call6826 (depth = 5)
// Begin line 2146
  setline(2146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6827 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6828 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6827);
// compiled call node returning call6828 (depth = 5)
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6829 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 2148
  setline(2148);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6831 == NULL) {
    strlit6831 = alloc_String("A variable declaration does not require a value but uses 'var', not 'def'.");
    gc_root(strlit6831);
  }
// compiled string node returning strlit6831 (depth = 7)
  int op_slot_right_6830 = gc_frame_newslot(strlit6831);
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit6833 == NULL) {
    strlit6833 = alloc_String("a definition must have '=' and a value after the name. ");
    gc_root(strlit6833);
  }
// compiled string node returning strlit6833 (depth = 7)
  int op_slot_left_6830 = gc_frame_newslot(strlit6833);
  params[0] = strlit6831;
  partcv[0] = 1;
  Object opresult6834 = callmethod(strlit6833, "++(1)", 1, partcv, params);
// compiled op node returning opresult6834 (depth = 6)
  gc_frame_newslot(opresult6834);
// Begin line 2149
  setline(2149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe6835 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call6836 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6835);
// compiled member node returning call6836 (depth = 6)
  gc_frame_newslot(call6836);
// starting to compile member node (depth = 6)
  int callframe6837 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call6838 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6837);
// compiled member node returning call6838 (depth = 6)
  gc_frame_newslot(call6838);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2147
  setline(2147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult6834;
  params[1] = call6836;
  params[2] = call6838;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6839 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6829);
// compiled call node returning call6839 (depth = 5)
    gc_frame_newslot(call6839);
    if6768 = call6839;
  }
// compiled if node returning if6768 (depth = 4)
    gc_frame_newslot(if6768);
    if6707 = if6768;
  }
// compiled if node returning if6707 (depth = 3)
// Begin line 2151
  setline(2151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6840 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe6841 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_defTok (depth = 5)
  Object call6842 = callmethodflags(*var_defTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6841);
// compiled member node returning call6842 (depth = 4)
  gc_frame_newslot(call6842);
// starting to compile member node (depth = 4)
  int callframe6843 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_defTok (depth = 5)
  Object call6844 = callmethodflags(*var_defTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6843);
// compiled member node returning call6844 (depth = 4)
  gc_frame_newslot(call6844);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call6842;
  params[1] = call6844;
  partcv[0] = 2;
  Object call6845 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe6840);
// compiled call node returning call6845 (depth = 3)
// Begin line 2152
  setline(2152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6846 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6847 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call6848 = callmethodflags(*var_ast, "defDecNode", 0, partcv, params, 0);
  gc_frame_end(callframe6847);
// compiled member node returning call6848 (depth = 5)
  params[0] = *var_name;
  params[1] = *var_val;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call6849 = callmethodflags(call6848, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe6846);
// compiled call node returning call6849 (depth = 4)
  *var_o = call6849;
  if (call6849 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2153
  setline(2153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_right_6851 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 5)
  Object bool6853 = alloc_Boolean(0);
// compiled identifier node returning bool6853 (depth = 5)
  int op_slot_left_6851 = gc_frame_newslot(bool6853);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult6854 = callmethod(bool6853, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6854 (depth = 4)
  Object if6850 = done;
  if (istrue(opresult6854)) {
// starting to compile call node (depth = 4)
  int callframe6855 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe6856 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  Object call6857 = callmethodflags(*var_o, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe6856);
// compiled member node returning call6857 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call6858 = callmethodflags(call6857, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6855);
// compiled call node returning call6858 (depth = 4)
    gc_frame_newslot(call6858);
    if6850 = call6858;
  } else {
  }
// compiled if node returning if6850 (depth = 3)
// Begin line 2154
  setline(2154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6859 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_defTok (depth = 4)
  gc_frame_newslot(*var_defTok);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = *var_defTok;
  partcv[0] = 1;
  Object call6860 = callmethodflags(*var_o, "startToken:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6859);
// compiled call node returning call6860 (depth = 3)
// Begin line 2155
  setline(2155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6861 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call6862 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6861);
// compiled call node returning call6862 (depth = 3)
// Begin line 2156
  setline(2156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6863 = gc_frame_new();
// call case 4: self request
  Object call6864 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6863);
// compiled member node returning call6864 (depth = 3)
    gc_frame_newslot(call6864);
    if6611 = call6864;
  } else {
  }
// compiled if node returning if6611 (depth = 2)
  gc_frame_end(frame);
  return if6611;
}
Object meth_parser__apply_40_1_41_6889(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// Begin line 2170
  setline(2170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe6892 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call6893 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6892);
// compiled member node returning call6893 (depth = 9)
  int op_slot_right_6891 = gc_frame_newslot(call6893);
// starting to compile member node (depth = 9)
  int callframe6895 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call6896 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6895);
// compiled member node returning call6896 (depth = 9)
  int op_slot_left_6891 = gc_frame_newslot(call6896);
  params[0] = call6893;
  partcv[0] = 1;
  Object opresult6897 = callmethod(call6896, "==(1)", 1, partcv, params);
// compiled op node returning opresult6897 (depth = 8)
  int op_slot_right_6890 = gc_frame_newslot(opresult6897);
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit6900 == NULL) {
    strlit6900 = alloc_String("bind");
    gc_root(strlit6900);
  }
// compiled string node returning strlit6900 (depth = 9)
  int op_slot_right_6899 = gc_frame_newslot(strlit6900);
// starting to compile member node (depth = 9)
  int callframe6902 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call6903 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6902);
// compiled member node returning call6903 (depth = 9)
  int op_slot_left_6899 = gc_frame_newslot(call6903);
  params[0] = strlit6900;
  partcv[0] = 1;
  Object opresult6904 = callmethod(call6903, "==(1)", 1, partcv, params);
// compiled op node returning opresult6904 (depth = 8)
  int op_slot_left_6890 = gc_frame_newslot(opresult6904);
  params[0] = opresult6897;
  partcv[0] = 1;
  Object opresult6905 = callmethod(opresult6904, "&&(1)", 1, partcv, params);
// compiled op node returning opresult6905 (depth = 7)
  gc_frame_end(frame);
  return opresult6905;
}
Object meth_parser__apply6911(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_nextToken = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_6912 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextToken (depth = 8)
  int op_slot_left_6912 = gc_frame_newslot(*var_nextToken);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6914 = callmethod(*var_nextToken, "==(1)", 1, partcv, params);
// compiled op node returning opresult6914 (depth = 7)
  gc_frame_end(frame);
  return opresult6914;
}
Object meth_parser__apply6961(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe6962 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_blocksOK (depth = 9)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call6963 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6962);
// compiled call node returning call6963 (depth = 8)
  gc_frame_end(frame);
  return call6963;
}
Object meth_parser_vardec6865(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 50, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(16, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "vardec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_blocksOK = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_varTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "varTok");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextToken = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextToken");
  Object *var_val = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "val");
  Object *var_name = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "name");
  Object *var_dtype = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "dtype");
  Object *var_anns = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "anns");
  Object *var_suggestions = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "suggestions");
  Object *var_nextTok = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "nextTok");
  Object *var_o = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "o");
// Begin line 2162
  setline(2162);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe6867 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit6868 == NULL) {
    strlit6868 = alloc_String("var");
    gc_root(strlit6868);
  }
// compiled string node returning strlit6868 (depth = 4)
  gc_frame_newslot(strlit6868);
// call case 4: self request
  params[0] = strlit6868;
  partcv[0] = 1;
  Object call6869 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6867);
// compiled call node returning call6869 (depth = 3)
  Object if6866 = done;
  if (istrue(call6869)) {
// Begin line 2163
  setline(2163);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6870 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6871 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6870);
// compiled member node returning call6871 (depth = 4)
  *var_line = call6871;
  if (call6871 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2164
  setline(2164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6872 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call6873 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6872);
// compiled member node returning call6873 (depth = 4)
  *var_pos = call6873;
  if (call6873 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2165
  setline(2165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_varTok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2166
  setline(2166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6874 = gc_frame_new();
// call case 4: self request
  Object call6875 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6874);
// compiled member node returning call6875 (depth = 3)
// Begin line 2167
  setline(2167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit6878 == NULL) {
    strlit6878 = alloc_String("identifier");
    gc_root(strlit6878);
  }
// compiled string node returning strlit6878 (depth = 5)
  int op_slot_right_6877 = gc_frame_newslot(strlit6878);
// starting to compile member node (depth = 5)
  int callframe6880 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call6881 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe6880);
// compiled member node returning call6881 (depth = 5)
  int op_slot_left_6877 = gc_frame_newslot(call6881);
  params[0] = strlit6878;
  partcv[0] = 1;
  Object opresult6882 = callmethod(call6881, "≠(1)", 1, partcv, params);
// compiled op node returning opresult6882 (depth = 4)
  Object if6876 = done;
  if (istrue(opresult6882)) {
// Begin line 2168
  setline(2168);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6883 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe6884 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call6885 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6884);
// compiled member node returning call6885 (depth = 6)
  Object call6886 = callmethodflags(call6885, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6883);
// compiled member node returning call6886 (depth = 5)
  *var_suggestion = call6886;
  if (call6886 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2169
  setline(2169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe6887 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block6888 = alloc_Block(NULL, NULL, "parser", 2169);
  gc_frame_newslot(block6888);
// method "_apply(_)"
  block_savedest(block6888);
  Object closure6889 = createclosure(2, "_apply(1)");
  setclosureframe(closure6889, stackframe);
  addtoclosure(closure6889, var_sym);
  addtoclosure(closure6889, selfslot);
  struct UserObject *uo6889 = (struct UserObject*)block6888;
  uo6889->data[0] = (Object)closure6889;
  Method *meth_meth_parser__apply_40_1_41_6889 = addmethod2pos(block6888, "_apply(1)", &meth_parser__apply_40_1_41_6889, 0);
  int argcv_meth_parser__apply_40_1_41_6889[] = {1};
  meth_meth_parser__apply_40_1_41_6889->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_6889);
  meth_meth_parser__apply_40_1_41_6889->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_6889->definitionLine = 3404;
// compiled block node returning block6888 (depth = 6)
  gc_frame_newslot(block6888);
// call case 4: self request
  params[0] = block6888;
  partcv[0] = 1;
  Object call6907 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6887);
// compiled call node returning call6907 (depth = 5)
  *var_nextToken = call6907;
  if (call6907 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2171
  setline(2171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block6910 = alloc_Block(NULL, NULL, "parser", 2171);
  gc_frame_newslot(block6910);
// method "_apply"
  block_savedest(block6910);
  Object closure6911 = createclosure(3, "_apply");
  setclosureframe(closure6911, stackframe);
  addtoclosure(closure6911, var_sym);
  addtoclosure(closure6911, var_nextToken);
  addtoclosure(closure6911, selfslot);
  struct UserObject *uo6911 = (struct UserObject*)block6910;
  uo6911->data[0] = (Object)closure6911;
  Method *meth_meth_parser__apply6911 = addmethod2pos(block6910, "_apply", &meth_parser__apply6911, 0);
  int argcv_meth_parser__apply6911[] = {0};
  meth_meth_parser__apply6911->type = alloc_MethodType(1, argcv_meth_parser__apply6911);
  meth_meth_parser__apply6911->definitionModule = modulename;
  meth_meth_parser__apply6911->definitionLine = 3404;
// compiled block node returning block6910 (depth = 6)
  int op_slot_right_6909 = gc_frame_newslot(block6910);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextToken (depth = 7)
  int op_slot_right_6917 = gc_frame_newslot(*var_nextToken);
// starting to compile identifier node (depth = 7)
  Object bool6919 = alloc_Boolean(0);
// compiled identifier node returning bool6919 (depth = 7)
  int op_slot_left_6917 = gc_frame_newslot(bool6919);
  params[0] = *var_nextToken;
  partcv[0] = 1;
  Object opresult6920 = callmethod(bool6919, "==(1)", 1, partcv, params);
// compiled op node returning opresult6920 (depth = 6)
  int op_slot_left_6909 = gc_frame_newslot(opresult6920);
  params[0] = block6910;
  partcv[0] = 1;
  Object opresult6921 = callmethod(opresult6920, "||(1)", 1, partcv, params);
// compiled op node returning opresult6921 (depth = 5)
  Object if6908 = done;
  if (istrue(opresult6921)) {
// Begin line 2172
  setline(2172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6922 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit6923 == NULL) {
    strlit6923 = alloc_String(" ""\xc2""""\xab""name""\xc2""""\xbb""");
    gc_root(strlit6923);
  }
// compiled string node returning strlit6923 (depth = 6)
  gc_frame_newslot(strlit6923);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit6923;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6924 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6922);
// compiled call node returning call6924 (depth = 5)
    gc_frame_newslot(call6924);
    if6908 = call6924;
  } else {
// Begin line 2174
  setline(2174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6925 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
  int callframe6926 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextToken (depth = 7)
  Object call6927 = callmethodflags(*var_nextToken, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6926);
// compiled member node returning call6927 (depth = 6)
  gc_frame_newslot(call6927);
// Begin line 2175
  setline(2175);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
  Object bool6928 = alloc_Boolean(0);
// compiled identifier node returning bool6928 (depth = 6)
  gc_frame_newslot(bool6928);
// starting to compile identifier node (depth = 6)
  Object bool6929 = alloc_Boolean(1);
// compiled identifier node returning bool6929 (depth = 6)
  gc_frame_newslot(bool6929);
// starting to compile string node (depth = 6)
  if (strlit6930 == NULL) {
    strlit6930 = alloc_String("""\xc2""""\xab""name""\xc2""""\xbb"" ");
    gc_root(strlit6930);
  }
// compiled string node returning strlit6930 (depth = 6)
  gc_frame_newslot(strlit6930);
// call case 6: other requests
// Begin line 2174
  setline(2174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call6927;
  params[2] = bool6928;
  params[3] = bool6929;
  params[4] = strlit6930;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6931 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe6925);
// compiled call node returning call6931 (depth = 5)
    gc_frame_newslot(call6931);
    if6908 = call6931;
  }
// compiled if node returning if6908 (depth = 4)
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe6932 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit6933 == NULL) {
    strlit6933 = alloc_String("a variable declaration must have a name after the 'var'.");
    gc_root(strlit6933);
  }
// compiled string node returning strlit6933 (depth = 5)
  gc_frame_newslot(strlit6933);
// Begin line 2178
  setline(2178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe6934 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call6935 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe6934);
// compiled member node returning call6935 (depth = 5)
  gc_frame_newslot(call6935);
// starting to compile member node (depth = 5)
  int callframe6936 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call6937 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe6936);
// compiled member node returning call6937 (depth = 5)
  gc_frame_newslot(call6937);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2177
  setline(2177);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit6933;
  params[1] = call6935;
  params[2] = call6937;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call6938 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6932);
// compiled call node returning call6938 (depth = 4)
    gc_frame_newslot(call6938);
    if6876 = call6938;
  } else {
  }
// compiled if node returning if6876 (depth = 3)
// Begin line 2180
  setline(2180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe6939 = gc_frame_new();
// call case 4: self request
  Object call6940 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6939);
// compiled member node returning call6940 (depth = 3)
// Begin line 2181
  setline(2181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool6941 = alloc_Boolean(0);
// compiled identifier node returning bool6941 (depth = 4)
  *var_val = bool6941;
  if (bool6941 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2182
  setline(2182);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6942 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call6943 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe6942);
// compiled member node returning call6943 (depth = 4)
  *var_name = call6943;
  if (call6943 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2183
  setline(2183);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe6944 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool6945 = alloc_Boolean(1);
// compiled identifier node returning bool6945 (depth = 4)
  gc_frame_newslot(bool6945);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  params[0] = bool6945;
  partcv[0] = 1;
  Object call6946 = callmethodflags(*var_name, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6944);
// compiled call node returning call6946 (depth = 3)
// Begin line 2184
  setline(2184);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6947 = gc_frame_new();
// call case 4: self request
  Object call6948 = callmethodflags(self, "optionalTypeAnnotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6947);
// compiled member node returning call6948 (depth = 4)
  *var_dtype = call6948;
  if (call6948 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2185
  setline(2185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe6949 = gc_frame_new();
// call case 4: self request
  Object call6950 = callmethodflags(self, "doannotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6949);
// compiled member node returning call6950 (depth = 4)
  *var_anns = call6950;
  if (call6950 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2186
  setline(2186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe6952 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit6953 == NULL) {
    strlit6953 = alloc_String("bind");
    gc_root(strlit6953);
  }
// compiled string node returning strlit6953 (depth = 5)
  gc_frame_newslot(strlit6953);
// call case 4: self request
  params[0] = strlit6953;
  partcv[0] = 1;
  Object call6954 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6952);
// compiled call node returning call6954 (depth = 4)
  Object if6951 = done;
  if (istrue(call6954)) {
// Begin line 2187
  setline(2187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe6955 = gc_frame_new();
// call case 4: self request
  Object call6956 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6955);
// compiled member node returning call6956 (depth = 4)
// Begin line 2188
  setline(2188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe6958 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe6959 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block6960 = alloc_Block(NULL, NULL, "parser", 2188);
  gc_frame_newslot(block6960);
// method "_apply"
  block_savedest(block6960);
  Object closure6961 = createclosure(2, "_apply");
  setclosureframe(closure6961, stackframe);
  addtoclosure(closure6961, var_blocksOK);
  addtoclosure(closure6961, selfslot);
  struct UserObject *uo6961 = (struct UserObject*)block6960;
  uo6961->data[0] = (Object)closure6961;
  Method *meth_meth_parser__apply6961 = addmethod2pos(block6960, "_apply", &meth_parser__apply6961, 0);
  int argcv_meth_parser__apply6961[] = {0};
  meth_meth_parser__apply6961->type = alloc_MethodType(1, argcv_meth_parser__apply6961);
  meth_meth_parser__apply6961->definitionModule = modulename;
  meth_meth_parser__apply6961->definitionLine = 3404;
// compiled block node returning block6960 (depth = 7)
  gc_frame_newslot(block6960);
// call case 4: self request
  params[0] = block6960;
  partcv[0] = 1;
  Object call6965 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6959);
// compiled call node returning call6965 (depth = 6)
  Object call6966 = callmethodflags(call6965, "not", 0, partcv, params, 0);
  gc_frame_end(callframe6958);
// compiled member node returning call6966 (depth = 5)
  Object if6957 = done;
  if (istrue(call6966)) {
// Begin line 2189
  setline(2189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array6967 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6967 (depth = 6)
  *var_suggestions = array6967;
  if (array6967 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2190
  setline(2190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6968 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6969 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call6970 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6969);
// compiled member node returning call6970 (depth = 7)
  Object call6971 = callmethodflags(call6970, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6968);
// compiled member node returning call6971 (depth = 6)
  *var_suggestion = call6971;
  if (call6971 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2191
  setline(2191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe6972 = gc_frame_new();
// starting to compile array node (depth = 7)
  Object array6973 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array6973 (depth = 7)
  gc_frame_newslot(array6973);
// call case 4: self request
  params[0] = array6973;
  partcv[0] = 1;
  Object call6974 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe6972);
// compiled call node returning call6974 (depth = 6)
  *var_nextTok = call6974;
  if (call6974 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2192
  setline(2192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_6976 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_6976 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult6978 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult6978 (depth = 6)
  Object if6975 = done;
  if (istrue(opresult6978)) {
// Begin line 2193
  setline(2193);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6979 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit6980 == NULL) {
    strlit6980 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6980);
  }
// compiled string node returning strlit6980 (depth = 7)
  gc_frame_newslot(strlit6980);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit6980;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call6981 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe6979);
// compiled call node returning call6981 (depth = 6)
    gc_frame_newslot(call6981);
    if6975 = call6981;
  } else {
// Begin line 2195
  setline(2195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe6982 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe6983 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call6984 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6983);
// compiled member node returning call6984 (depth = 7)
  gc_frame_newslot(call6984);
// Begin line 2196
  setline(2196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
  Object bool6985 = alloc_Boolean(1);
// compiled identifier node returning bool6985 (depth = 7)
  gc_frame_newslot(bool6985);
// starting to compile identifier node (depth = 7)
  Object bool6986 = alloc_Boolean(0);
// compiled identifier node returning bool6986 (depth = 7)
  gc_frame_newslot(bool6986);
// starting to compile string node (depth = 7)
  if (strlit6987 == NULL) {
    strlit6987 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit6987);
  }
// compiled string node returning strlit6987 (depth = 7)
  gc_frame_newslot(strlit6987);
// call case 6: other requests
// Begin line 2195
  setline(2195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call6984;
  params[2] = bool6985;
  params[3] = bool6986;
  params[4] = strlit6987;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call6988 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe6982);
// compiled call node returning call6988 (depth = 6)
    gc_frame_newslot(call6988);
    if6975 = call6988;
  }
// compiled if node returning if6975 (depth = 5)
// Begin line 2198
  setline(2198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6989 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call6990 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe6989);
// compiled call node returning call6990 (depth = 5)
// Begin line 2199
  setline(2199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe6991 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe6992 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call6993 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe6992);
// compiled member node returning call6993 (depth = 7)
  Object call6994 = callmethodflags(call6993, "new", 0, partcv, params, 0);
  gc_frame_end(callframe6991);
// compiled member node returning call6994 (depth = 6)
  *var_suggestion = call6994;
  if (call6994 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 2200
  setline(2200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe6996 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 6)
  int callframe6997 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call6998 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe6997);
// compiled member node returning call6998 (depth = 6)
  gc_frame_newslot(call6998);
// starting to compile identifier node (depth = 6)
  Object bool6999 = alloc_Boolean(1);
// compiled identifier node returning bool6999 (depth = 6)
  gc_frame_newslot(bool6999);
// starting to compile identifier node (depth = 6)
  Object bool7000 = alloc_Boolean(0);
// compiled identifier node returning bool7000 (depth = 6)
  gc_frame_newslot(bool7000);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = call6998;
  params[2] = bool6999;
  params[3] = bool7000;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7001 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe6996);
// compiled call node returning call7001 (depth = 5)
// Begin line 2201
  setline(2201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7002 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7003 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7002);
// compiled call node returning call7003 (depth = 5)
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7004 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 2203
  setline(2203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit7006 == NULL) {
    strlit7006 = alloc_String("A variable without a value can be declared with 'var' followed only by the variable name.");
    gc_root(strlit7006);
  }
// compiled string node returning strlit7006 (depth = 7)
  int op_slot_right_7005 = gc_frame_newslot(strlit7006);
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit7008 == NULL) {
    strlit7008 = alloc_String("a variable declaration must have a value after the ':='. ");
    gc_root(strlit7008);
  }
// compiled string node returning strlit7008 (depth = 7)
  int op_slot_left_7005 = gc_frame_newslot(strlit7008);
  params[0] = strlit7006;
  partcv[0] = 1;
  Object opresult7009 = callmethod(strlit7008, "++(1)", 1, partcv, params);
// compiled op node returning opresult7009 (depth = 6)
  gc_frame_newslot(opresult7009);
// Begin line 2204
  setline(2204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe7010 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call7011 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7010);
// compiled member node returning call7011 (depth = 6)
  gc_frame_newslot(call7011);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7013 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call7014 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7013);
// compiled member node returning call7014 (depth = 7)
  int op_slot_right_7012 = gc_frame_newslot(call7014);
// starting to compile member node (depth = 7)
  int callframe7016 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call7017 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7016);
// compiled member node returning call7017 (depth = 7)
  int op_slot_left_7012 = gc_frame_newslot(call7017);
  params[0] = call7014;
  partcv[0] = 1;
  Object sum7018 = callmethod(call7017, "+(1)", 1, partcv, params);
// compiled op node returning sum7018 (depth = 6)
  gc_frame_newslot(sum7018);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2202
  setline(2202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult7009;
  params[1] = call7011;
  params[2] = sum7018;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7019 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7004);
// compiled call node returning call7019 (depth = 5)
    gc_frame_newslot(call7019);
    if6957 = call7019;
  } else {
  }
// compiled if node returning if6957 (depth = 4)
// Begin line 2206
  setline(2206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7020 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call7021 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7020);
// compiled member node returning call7021 (depth = 5)
  *var_val = call7021;
  if (call7021 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if6951 = done;
  } else {
// Begin line 2208
  setline(2208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7026 == NULL) {
    strlit7026 = alloc_String("=");
    gc_root(strlit7026);
  }
// compiled string node returning strlit7026 (depth = 7)
  int op_slot_right_7025 = gc_frame_newslot(strlit7026);
// starting to compile member node (depth = 7)
  int callframe7028 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call7029 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7028);
// compiled member node returning call7029 (depth = 7)
  int op_slot_left_7025 = gc_frame_newslot(call7029);
  params[0] = strlit7026;
  partcv[0] = 1;
  Object opresult7030 = callmethod(call7029, "==(1)", 1, partcv, params);
// compiled op node returning opresult7030 (depth = 6)
  int op_slot_right_7024 = gc_frame_newslot(opresult7030);
// starting to compile call node (depth = 6)
  int callframe7032 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7033 == NULL) {
    strlit7033 = alloc_String("op");
    gc_root(strlit7033);
  }
// compiled string node returning strlit7033 (depth = 7)
  gc_frame_newslot(strlit7033);
// call case 4: self request
  params[0] = strlit7033;
  partcv[0] = 1;
  Object call7034 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7032);
// compiled call node returning call7034 (depth = 6)
  int op_slot_left_7024 = gc_frame_newslot(call7034);
  params[0] = opresult7030;
  partcv[0] = 1;
  Object opresult7035 = callmethod(call7034, "&&(1)", 1, partcv, params);
// compiled op node returning opresult7035 (depth = 5)
  Object if7023 = done;
  if (istrue(opresult7035)) {
// Begin line 2209
  setline(2209);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array7036 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7036 (depth = 6)
  *var_suggestions = array7036;
  if (array7036 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2210
  setline(2210);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7037 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7038 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call7039 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7038);
// compiled member node returning call7039 (depth = 7)
  Object call7040 = callmethodflags(call7039, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7037);
// compiled member node returning call7040 (depth = 6)
  *var_suggestion = call7040;
  if (call7040 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2211
  setline(2211);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7041 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 6)
  if (strlit7042 == NULL) {
    strlit7042 = alloc_String(":=");
    gc_root(strlit7042);
  }
// compiled string node returning strlit7042 (depth = 6)
  gc_frame_newslot(strlit7042);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = strlit7042;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7043 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7041);
// compiled call node returning call7043 (depth = 5)
// Begin line 2212
  setline(2212);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7044 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7045 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7044);
// compiled call node returning call7045 (depth = 5)
// Begin line 2213
  setline(2213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7046 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe7047 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call7048 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7047);
// compiled member node returning call7048 (depth = 7)
  Object call7049 = callmethodflags(call7048, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7046);
// compiled member node returning call7049 (depth = 6)
  *var_suggestion = call7049;
  if (call7049 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 2214
  setline(2214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7051 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_varTok (depth = 6)
  gc_frame_newslot(*var_varTok);
// starting to compile string node (depth = 6)
  if (strlit7052 == NULL) {
    strlit7052 = alloc_String("def");
    gc_root(strlit7052);
  }
// compiled string node returning strlit7052 (depth = 6)
  gc_frame_newslot(strlit7052);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_varTok;
  params[1] = strlit7052;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7053 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7051);
// compiled call node returning call7053 (depth = 5)
// Begin line 2215
  setline(2215);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7054 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7055 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7054);
// compiled call node returning call7055 (depth = 5)
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7056 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7057 == NULL) {
    strlit7057 = alloc_String("a variable declaration must use ':=' instead of '='. A definition uses 'def' and '='.");
    gc_root(strlit7057);
  }
// compiled string node returning strlit7057 (depth = 6)
  gc_frame_newslot(strlit7057);
// Begin line 2217
  setline(2217);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe7058 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call7059 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7058);
// compiled member node returning call7059 (depth = 6)
  gc_frame_newslot(call7059);
// starting to compile member node (depth = 6)
  int callframe7060 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call7061 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7060);
// compiled member node returning call7061 (depth = 6)
  gc_frame_newslot(call7061);
// starting to compile member node (depth = 6)
  int callframe7062 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call7063 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7062);
// compiled member node returning call7063 (depth = 6)
  gc_frame_newslot(call7063);
// Begin line 2218
  setline(2218);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2216
  setline(2216);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit7057;
  params[1] = call7059;
  params[2] = call7061;
  params[3] = call7063;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call7064 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7056);
// compiled call node returning call7064 (depth = 5)
    gc_frame_newslot(call7064);
    if7023 = call7064;
  } else {
  }
// compiled if node returning if7023 (depth = 4)
    gc_frame_newslot(if7023);
    if6951 = if7023;
  }
// compiled if node returning if6951 (depth = 3)
// Begin line 2221
  setline(2221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7065 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pos (depth = 4)
  gc_frame_newslot(*var_pos);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_line;
  params[1] = *var_pos;
  partcv[0] = 2;
  Object call7066 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7065);
// compiled call node returning call7066 (depth = 3)
// Begin line 2222
  setline(2222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7067 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_val (depth = 5)
  gc_frame_newslot(*var_val);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7068 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call7069 = callmethodflags(*var_ast, "varDecNode", 0, partcv, params, 0);
  gc_frame_end(callframe7068);
// compiled member node returning call7069 (depth = 5)
  params[0] = *var_name;
  params[1] = *var_val;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call7070 = callmethodflags(call7069, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe7067);
// compiled call node returning call7070 (depth = 4)
  *var_o = call7070;
  if (call7070 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2223
  setline(2223);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_right_7072 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 5)
  Object bool7074 = alloc_Boolean(0);
// compiled identifier node returning bool7074 (depth = 5)
  int op_slot_left_7072 = gc_frame_newslot(bool7074);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult7075 = callmethod(bool7074, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7075 (depth = 4)
  Object if7071 = done;
  if (istrue(opresult7075)) {
// starting to compile call node (depth = 4)
  int callframe7076 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7077 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  Object call7078 = callmethodflags(*var_o, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe7077);
// compiled member node returning call7078 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call7079 = callmethodflags(call7078, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7076);
// compiled call node returning call7079 (depth = 4)
    gc_frame_newslot(call7079);
    if7071 = call7079;
  } else {
  }
// compiled if node returning if7071 (depth = 3)
// Begin line 2224
  setline(2224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7080 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7081 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7080);
// compiled call node returning call7081 (depth = 3)
// Begin line 2225
  setline(2225);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7082 = gc_frame_new();
// call case 4: self request
  Object call7083 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7082);
// compiled member node returning call7083 (depth = 3)
    gc_frame_newslot(call7083);
    if6866 = call7083;
  } else {
  }
// compiled if node returning if6866 (depth = 2)
  gc_frame_end(frame);
  return if6866;
}
Object meth_parser__apply7094(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe7095 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blocksOK (depth = 6)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7096 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7095);
// compiled call node returning call7096 (depth = 5)
  gc_frame_end(frame);
  return call7096;
}
Object meth_parser__apply7102(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe7103 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit7104 == NULL) {
    strlit7104 = alloc_String("comma");
    gc_root(strlit7104);
  }
// compiled string node returning strlit7104 (depth = 8)
  gc_frame_newslot(strlit7104);
// call case 4: self request
  params[0] = strlit7104;
  partcv[0] = 1;
  Object call7105 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7103);
// compiled call node returning call7105 (depth = 7)
  gc_frame_end(frame);
  return call7105;
}
Object meth_parser__apply7120(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 11)
  int callframe7121 = gc_frame_new();
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_blocksOK (depth = 12)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call7122 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7121);
// compiled call node returning call7122 (depth = 11)
  gc_frame_end(frame);
  return call7122;
}
Object meth_parser__apply7108(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_nextTok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "nextTok");
// starting to compile bind node (depth = 7)
// Begin line 2237
  setline(2237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe7109 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call7110 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7109);
// compiled member node returning call7110 (depth = 8)
  *var_tmp = call7110;
  if (call7110 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 2238
  setline(2238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe7112 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tmp (depth = 8)
  gc_frame_newslot(*var_tmp);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_params (depth = 8)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7113 = callmethodflags(*var_params, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7112);
// compiled call node returning call7113 (depth = 7)
// Begin line 2239
  setline(2239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe7114 = gc_frame_new();
// call case 4: self request
  Object call7115 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7114);
// compiled member node returning call7115 (depth = 7)
// Begin line 2240
  setline(2240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe7117 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 9)
  int callframe7118 = gc_frame_new();
// starting to compile block node (depth = 10)
  Object block7119 = alloc_Block(NULL, NULL, "parser", 2240);
  gc_frame_newslot(block7119);
// method "_apply"
  block_savedest(block7119);
  Object closure7120 = createclosure(2, "_apply");
  setclosureframe(closure7120, stackframe);
  addtoclosure(closure7120, var_blocksOK);
  addtoclosure(closure7120, selfslot);
  struct UserObject *uo7120 = (struct UserObject*)block7119;
  uo7120->data[0] = (Object)closure7120;
  Method *meth_meth_parser__apply7120 = addmethod2pos(block7119, "_apply", &meth_parser__apply7120, 0);
  int argcv_meth_parser__apply7120[] = {0};
  meth_meth_parser__apply7120->type = alloc_MethodType(1, argcv_meth_parser__apply7120);
  meth_meth_parser__apply7120->definitionModule = modulename;
  meth_meth_parser__apply7120->definitionLine = 3404;
// compiled block node returning block7119 (depth = 10)
  gc_frame_newslot(block7119);
// call case 4: self request
  params[0] = block7119;
  partcv[0] = 1;
  Object call7124 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7118);
// compiled call node returning call7124 (depth = 9)
  Object call7125 = callmethodflags(call7124, "not", 0, partcv, params, 0);
  gc_frame_end(callframe7117);
// compiled member node returning call7125 (depth = 8)
  Object if7116 = done;
  if (istrue(call7125)) {
// Begin line 2241
  setline(2241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile array node (depth = 9)
  Object array7126 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7126 (depth = 9)
  *var_suggestions = array7126;
  if (array7126 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 2242
  setline(2242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe7127 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe7128 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call7129 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7128);
// compiled member node returning call7129 (depth = 10)
  Object call7130 = callmethodflags(call7129, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7127);
// compiled member node returning call7130 (depth = 9)
  *var_suggestion = call7130;
  if (call7130 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 2243
  setline(2243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile call node (depth = 9)
  int callframe7131 = gc_frame_new();
// starting to compile array node (depth = 10)
  Object array7132 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 11)
  if (strlit7133 == NULL) {
    strlit7133 = alloc_String("rsquare");
    gc_root(strlit7133);
  }
// compiled string node returning strlit7133 (depth = 11)
  params[0] = strlit7133;
  partcv[0] = 1;
  callmethodflags(array7132, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array7132 (depth = 10)
  gc_frame_newslot(array7132);
// call case 4: self request
  params[0] = array7132;
  partcv[0] = 1;
  Object call7134 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7131);
// compiled call node returning call7134 (depth = 9)
  *var_nextTok = call7134;
  if (call7134 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 2244
  setline(2244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  int op_slot_right_7136 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  int op_slot_left_7136 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7138 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult7138 (depth = 9)
  Object if7135 = done;
  if (istrue(opresult7138)) {
// Begin line 2245
  setline(2245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe7139 = gc_frame_new();
// starting to compile string node (depth = 10)
  if (strlit7140 == NULL) {
    strlit7140 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7140);
  }
// compiled string node returning strlit7140 (depth = 10)
  gc_frame_newslot(strlit7140);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = strlit7140;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7141 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7139);
// compiled call node returning call7141 (depth = 9)
    gc_frame_newslot(call7141);
    if7135 = call7141;
  } else {
// Begin line 2247
  setline(2247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe7142 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 10)
  int callframe7143 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_nextTok (depth = 11)
  Object call7144 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe7143);
// compiled member node returning call7144 (depth = 10)
  gc_frame_newslot(call7144);
// starting to compile identifier node (depth = 10)
  Object bool7145 = alloc_Boolean(1);
// compiled identifier node returning bool7145 (depth = 10)
  gc_frame_newslot(bool7145);
// starting to compile identifier node (depth = 10)
  Object bool7146 = alloc_Boolean(0);
// compiled identifier node returning bool7146 (depth = 10)
  gc_frame_newslot(bool7146);
// starting to compile string node (depth = 10)
  if (strlit7147 == NULL) {
    strlit7147 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit7147);
  }
// compiled string node returning strlit7147 (depth = 10)
  gc_frame_newslot(strlit7147);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_suggestion (depth = 10)
  params[0] = *var_sym;
  params[1] = call7144;
  params[2] = bool7145;
  params[3] = bool7146;
  params[4] = strlit7147;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7148 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe7142);
// compiled call node returning call7148 (depth = 9)
    gc_frame_newslot(call7148);
    if7135 = call7148;
  }
// compiled if node returning if7135 (depth = 8)
// Begin line 2249
  setline(2249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7149 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7150 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7149);
// compiled call node returning call7150 (depth = 8)
// Begin line 2250
  setline(2250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe7151 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe7152 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call7153 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7152);
// compiled member node returning call7153 (depth = 10)
  Object call7154 = callmethodflags(call7153, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7151);
// compiled member node returning call7154 (depth = 9)
  *var_suggestion = call7154;
  if (call7154 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 2251
  setline(2251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7156 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 9)
  int callframe7157 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call7158 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe7157);
// compiled member node returning call7158 (depth = 9)
  gc_frame_newslot(call7158);
// starting to compile identifier node (depth = 9)
  Object bool7159 = alloc_Boolean(1);
// compiled identifier node returning bool7159 (depth = 9)
  gc_frame_newslot(bool7159);
// starting to compile identifier node (depth = 9)
  Object bool7160 = alloc_Boolean(0);
// compiled identifier node returning bool7160 (depth = 9)
  gc_frame_newslot(bool7160);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_lastToken;
  params[1] = call7158;
  params[2] = bool7159;
  params[3] = bool7160;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7161 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7156);
// compiled call node returning call7161 (depth = 8)
// Begin line 2252
  setline(2252);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7162 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7163 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7162);
// compiled call node returning call7163 (depth = 8)
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7164 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit7165 == NULL) {
    strlit7165 = alloc_String("a Lineup must contain zero or more expressions separated by commas.");
    gc_root(strlit7165);
  }
// compiled string node returning strlit7165 (depth = 9)
  gc_frame_newslot(strlit7165);
// Begin line 2254
  setline(2254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe7166 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call7167 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7166);
// compiled member node returning call7167 (depth = 9)
  gc_frame_newslot(call7167);
// starting to compile member node (depth = 9)
  int callframe7168 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call7169 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7168);
// compiled member node returning call7169 (depth = 9)
  gc_frame_newslot(call7169);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2253
  setline(2253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit7165;
  params[1] = call7167;
  params[2] = call7169;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7170 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7164);
// compiled call node returning call7170 (depth = 8)
    gc_frame_newslot(call7170);
    if7116 = call7170;
  } else {
  }
// compiled if node returning if7116 (depth = 7)
  gc_frame_end(frame);
  return if7116;
}
Object meth_parser__apply7099(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_tmp = getfromclosure(closure, 1);
  Object *var_params = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2236
  setline(2236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7100 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block7101 = alloc_Block(NULL, NULL, "parser", 2236);
  gc_frame_newslot(block7101);
// method "_apply"
  block_savedest(block7101);
  Object closure7102 = createclosure(1, "_apply");
  setclosureframe(closure7102, stackframe);
  addtoclosure(closure7102, selfslot);
  struct UserObject *uo7102 = (struct UserObject*)block7101;
  uo7102->data[0] = (Object)closure7102;
  Method *meth_meth_parser__apply7102 = addmethod2pos(block7101, "_apply", &meth_parser__apply7102, 0);
  int argcv_meth_parser__apply7102[] = {0};
  meth_meth_parser__apply7102->type = alloc_MethodType(1, argcv_meth_parser__apply7102);
  meth_meth_parser__apply7102->definitionModule = modulename;
  meth_meth_parser__apply7102->definitionLine = 3404;
// compiled block node returning block7101 (depth = 6)
  gc_frame_newslot(block7101);
// starting to compile block node (depth = 6)
  Object block7107 = alloc_Block(NULL, NULL, "parser", 2236);
  gc_frame_newslot(block7107);
// method "_apply"
  block_savedest(block7107);
  Object closure7108 = createclosure(8, "_apply");
  setclosureframe(closure7108, stackframe);
  addtoclosure(closure7108, var_values);
  addtoclosure(closure7108, var_tmp);
  addtoclosure(closure7108, var_params);
  addtoclosure(closure7108, var_blocksOK);
  addtoclosure(closure7108, var_errormessages);
  addtoclosure(closure7108, var_sym);
  addtoclosure(closure7108, var_lastToken);
  addtoclosure(closure7108, selfslot);
  struct UserObject *uo7108 = (struct UserObject*)block7107;
  uo7108->data[0] = (Object)closure7108;
  Method *meth_meth_parser__apply7108 = addmethod2pos(block7107, "_apply", &meth_parser__apply7108, 0);
  int argcv_meth_parser__apply7108[] = {0};
  meth_meth_parser__apply7108->type = alloc_MethodType(1, argcv_meth_parser__apply7108);
  meth_meth_parser__apply7108->definitionModule = modulename;
  meth_meth_parser__apply7108->definitionLine = 3404;
// compiled block node returning block7107 (depth = 6)
  gc_frame_newslot(block7107);
// call case 5: prelude request
  params[0] = block7101;
  params[1] = block7107;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7172 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7100);
// compiled call node returning call7172 (depth = 5)
// Begin line 2257
  setline(2257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7173 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call7174 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7173);
// compiled member node returning call7174 (depth = 6)
  *var_tmp = call7174;
  if (call7174 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 2258
  setline(2258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7176 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tmp (depth = 6)
  gc_frame_newslot(*var_tmp);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_params (depth = 6)
  params[0] = *var_tmp;
  partcv[0] = 1;
  Object call7177 = callmethodflags(*var_params, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7176);
// compiled call node returning call7177 (depth = 5)
  gc_frame_end(frame);
  return call7177;
}
Object meth_parser_doarray7084(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 51, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doarray");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_tmp = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "tmp");
  Object *var_params = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "params");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_o = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "o");
// Begin line 2231
  setline(2231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7086 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit7087 == NULL) {
    strlit7087 = alloc_String("lsquare");
    gc_root(strlit7087);
  }
// compiled string node returning strlit7087 (depth = 4)
  gc_frame_newslot(strlit7087);
// call case 4: self request
  params[0] = strlit7087;
  partcv[0] = 1;
  Object call7088 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7086);
// compiled call node returning call7088 (depth = 3)
  Object if7085 = done;
  if (istrue(call7088)) {
// Begin line 2232
  setline(2232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7089 = gc_frame_new();
// call case 4: self request
  Object call7090 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7089);
// compiled member node returning call7090 (depth = 3)
// Begin line 2233
  setline(2233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_tmp = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 2234
  setline(2234);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array7091 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7091 (depth = 4)
  *var_params = array7091;
  if (array7091 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2235
  setline(2235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7092 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block7093 = alloc_Block(NULL, NULL, "parser", 2235);
  gc_frame_newslot(block7093);
// method "_apply"
  block_savedest(block7093);
  Object closure7094 = createclosure(2, "_apply");
  setclosureframe(closure7094, stackframe);
  addtoclosure(closure7094, var_blocksOK);
  addtoclosure(closure7094, selfslot);
  struct UserObject *uo7094 = (struct UserObject*)block7093;
  uo7094->data[0] = (Object)closure7094;
  Method *meth_meth_parser__apply7094 = addmethod2pos(block7093, "_apply", &meth_parser__apply7094, 0);
  int argcv_meth_parser__apply7094[] = {0};
  meth_meth_parser__apply7094->type = alloc_MethodType(1, argcv_meth_parser__apply7094);
  meth_meth_parser__apply7094->definitionModule = modulename;
  meth_meth_parser__apply7094->definitionLine = 3404;
// compiled block node returning block7093 (depth = 4)
  gc_frame_newslot(block7093);
// starting to compile block node (depth = 4)
  Object block7098 = alloc_Block(NULL, NULL, "parser", 2235);
  gc_frame_newslot(block7098);
// method "_apply"
  block_savedest(block7098);
  Object closure7099 = createclosure(8, "_apply");
  setclosureframe(closure7099, stackframe);
  addtoclosure(closure7099, var_values);
  addtoclosure(closure7099, var_tmp);
  addtoclosure(closure7099, var_params);
  addtoclosure(closure7099, var_blocksOK);
  addtoclosure(closure7099, var_errormessages);
  addtoclosure(closure7099, var_sym);
  addtoclosure(closure7099, var_lastToken);
  addtoclosure(closure7099, selfslot);
  struct UserObject *uo7099 = (struct UserObject*)block7098;
  uo7099->data[0] = (Object)closure7099;
  Method *meth_meth_parser__apply7099 = addmethod2pos(block7098, "_apply", &meth_parser__apply7099, 0);
  int argcv_meth_parser__apply7099[] = {0};
  meth_meth_parser__apply7099->type = alloc_MethodType(1, argcv_meth_parser__apply7099);
  meth_meth_parser__apply7099->definitionModule = modulename;
  meth_meth_parser__apply7099->definitionLine = 3404;
// compiled block node returning block7098 (depth = 4)
  gc_frame_newslot(block7098);
// call case 4: self request
  params[0] = block7093;
  params[1] = block7098;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7179 = callmethodflags(self, "ifConsume(1)then(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7092);
// compiled call node returning call7179 (depth = 3)
// Begin line 2260
  setline(2260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7182 == NULL) {
    strlit7182 = alloc_String("rsquare");
    gc_root(strlit7182);
  }
// compiled string node returning strlit7182 (depth = 5)
  int op_slot_right_7181 = gc_frame_newslot(strlit7182);
// starting to compile member node (depth = 5)
  int callframe7184 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call7185 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7184);
// compiled member node returning call7185 (depth = 5)
  int op_slot_left_7181 = gc_frame_newslot(call7185);
  params[0] = strlit7182;
  partcv[0] = 1;
  Object opresult7186 = callmethod(call7185, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7186 (depth = 4)
  Object if7180 = done;
  if (istrue(opresult7186)) {
// Begin line 2261
  setline(2261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7187 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7188 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call7189 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7188);
// compiled member node returning call7189 (depth = 6)
  Object call7190 = callmethodflags(call7189, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7187);
// compiled member node returning call7190 (depth = 5)
  *var_suggestion = call7190;
  if (call7190 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2262
  setline(2262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7191 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7192 == NULL) {
    strlit7192 = alloc_String("]");
    gc_root(strlit7192);
  }
// compiled string node returning strlit7192 (depth = 5)
  gc_frame_newslot(strlit7192);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit7192;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7193 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7191);
// compiled call node returning call7193 (depth = 4)
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7194 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7195 == NULL) {
    strlit7195 = alloc_String("a Lineup beginning with a '[' must end with a ']'.");
    gc_root(strlit7195);
  }
// compiled string node returning strlit7195 (depth = 5)
  gc_frame_newslot(strlit7195);
// Begin line 2264
  setline(2264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe7196 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call7197 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7196);
// compiled member node returning call7197 (depth = 5)
  gc_frame_newslot(call7197);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7199 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call7200 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7199);
// compiled member node returning call7200 (depth = 6)
  int op_slot_right_7198 = gc_frame_newslot(call7200);
// starting to compile member node (depth = 6)
  int callframe7202 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call7203 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7202);
// compiled member node returning call7203 (depth = 6)
  int op_slot_left_7198 = gc_frame_newslot(call7203);
  params[0] = call7200;
  partcv[0] = 1;
  Object sum7204 = callmethod(call7203, "+(1)", 1, partcv, params);
// compiled op node returning sum7204 (depth = 5)
  gc_frame_newslot(sum7204);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2263
  setline(2263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit7195;
  params[1] = call7197;
  params[2] = sum7204;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7205 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7194);
// compiled call node returning call7205 (depth = 4)
    gc_frame_newslot(call7205);
    if7180 = call7205;
  } else {
  }
// compiled if node returning if7180 (depth = 3)
// Begin line 2266
  setline(2266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7206 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_params (depth = 5)
  gc_frame_newslot(*var_params);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7207 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call7208 = callmethodflags(*var_ast, "arrayNode", 0, partcv, params, 0);
  gc_frame_end(callframe7207);
// compiled member node returning call7208 (depth = 5)
  params[0] = *var_params;
  partcv[0] = 1;
  Object call7209 = callmethodflags(call7208, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7206);
// compiled call node returning call7209 (depth = 4)
  *var_o = call7209;
  if (call7209 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2267
  setline(2267);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7210 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call7211 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7210);
// compiled call node returning call7211 (depth = 3)
// Begin line 2268
  setline(2268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7212 = gc_frame_new();
// call case 4: self request
  Object call7213 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7212);
// compiled member node returning call7213 (depth = 3)
    gc_frame_newslot(call7213);
    if7085 = call7213;
  } else {
  }
// compiled if node returning if7085 (depth = 2)
  gc_frame_end(frame);
  return if7085;
}
Object meth_parser_dodialect7214(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 52, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dodialect");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
  Object *var_errorPos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "errorPos");
// Begin line 2274
  setline(2274);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7216 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit7217 == NULL) {
    strlit7217 = alloc_String("dialect");
    gc_root(strlit7217);
  }
// compiled string node returning strlit7217 (depth = 4)
  gc_frame_newslot(strlit7217);
// call case 4: self request
  params[0] = strlit7217;
  partcv[0] = 1;
  Object call7218 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7216);
// compiled call node returning call7218 (depth = 3)
  Object if7215 = done;
  if (istrue(call7218)) {
// Begin line 2275
  setline(2275);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7219 = gc_frame_new();
// call case 4: self request
  Object call7220 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7219);
// compiled member node returning call7220 (depth = 3)
// Begin line 2276
  setline(2276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7223 == NULL) {
    strlit7223 = alloc_String("string");
    gc_root(strlit7223);
  }
// compiled string node returning strlit7223 (depth = 5)
  int op_slot_right_7222 = gc_frame_newslot(strlit7223);
// starting to compile member node (depth = 5)
  int callframe7225 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call7226 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7225);
// compiled member node returning call7226 (depth = 5)
  int op_slot_left_7222 = gc_frame_newslot(call7226);
  params[0] = strlit7223;
  partcv[0] = 1;
  Object opresult7227 = callmethod(call7226, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7227 (depth = 4)
  Object if7221 = done;
  if (istrue(opresult7227)) {
// Begin line 2277
  setline(2277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7228 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7229 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call7230 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7229);
// compiled member node returning call7230 (depth = 6)
  Object call7231 = callmethodflags(call7230, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7228);
// compiled member node returning call7231 (depth = 5)
  *var_suggestion = call7231;
  if (call7231 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2278
  setline(2278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_errorPos = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 2279
  setline(2279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7235 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call7236 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7235);
// compiled member node returning call7236 (depth = 7)
  int op_slot_right_7234 = gc_frame_newslot(call7236);
// starting to compile member node (depth = 7)
  int callframe7238 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call7239 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7238);
// compiled member node returning call7239 (depth = 7)
  int op_slot_left_7234 = gc_frame_newslot(call7239);
  params[0] = call7236;
  partcv[0] = 1;
  Object opresult7240 = callmethod(call7239, "==(1)", 1, partcv, params);
// compiled op node returning opresult7240 (depth = 6)
  int op_slot_right_7233 = gc_frame_newslot(opresult7240);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7243 == NULL) {
    strlit7243 = alloc_String("identifier");
    gc_root(strlit7243);
  }
// compiled string node returning strlit7243 (depth = 7)
  int op_slot_right_7242 = gc_frame_newslot(strlit7243);
// starting to compile member node (depth = 7)
  int callframe7245 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call7246 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7245);
// compiled member node returning call7246 (depth = 7)
  int op_slot_left_7242 = gc_frame_newslot(call7246);
  params[0] = strlit7243;
  partcv[0] = 1;
  Object opresult7247 = callmethod(call7246, "==(1)", 1, partcv, params);
// compiled op node returning opresult7247 (depth = 6)
  int op_slot_left_7233 = gc_frame_newslot(opresult7247);
  params[0] = opresult7240;
  partcv[0] = 1;
  Object opresult7248 = callmethod(opresult7247, "&&(1)", 1, partcv, params);
// compiled op node returning opresult7248 (depth = 5)
  Object if7232 = done;
  if (istrue(opresult7248)) {
// Begin line 2280
  setline(2280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7249 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7251 == NULL) {
    strlit7251 = alloc_String("""\x22""");
    gc_root(strlit7251);
  }
// compiled string node returning strlit7251 (depth = 7)
  int op_slot_right_7250 = gc_frame_newslot(strlit7251);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe7254 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call7255 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7254);
// compiled member node returning call7255 (depth = 8)
  int op_slot_right_7253 = gc_frame_newslot(call7255);
// starting to compile string node (depth = 8)
  if (strlit7257 == NULL) {
    strlit7257 = alloc_String("""\x22""");
    gc_root(strlit7257);
  }
// compiled string node returning strlit7257 (depth = 8)
  int op_slot_left_7253 = gc_frame_newslot(strlit7257);
  params[0] = call7255;
  partcv[0] = 1;
  Object opresult7258 = callmethod(strlit7257, "++(1)", 1, partcv, params);
// compiled op node returning opresult7258 (depth = 7)
  int op_slot_left_7250 = gc_frame_newslot(opresult7258);
  params[0] = strlit7251;
  partcv[0] = 1;
  Object opresult7259 = callmethod(opresult7258, "++(1)", 1, partcv, params);
// compiled op node returning opresult7259 (depth = 6)
  gc_frame_newslot(opresult7259);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = opresult7259;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7260 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7249);
// compiled call node returning call7260 (depth = 5)
// Begin line 2281
  setline(2281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7261 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call7262 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7261);
// compiled member node returning call7262 (depth = 6)
  *var_errorPos = call7262;
  if (call7262 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7232 = done;
  } else {
// Begin line 2283
  setline(2283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7264 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7265 == NULL) {
    strlit7265 = alloc_String(" ""\x22""""\xc2""""\xab""dialect name""\xc2""""\xbb""""\x22""");
    gc_root(strlit7265);
  }
// compiled string node returning strlit7265 (depth = 6)
  gc_frame_newslot(strlit7265);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7265;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7266 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7264);
// compiled call node returning call7266 (depth = 5)
// Begin line 2284
  setline(2284);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num7268 = alloc_Float64(1);
// compiled num node returning num7268 (depth = 7)
  int op_slot_right_7267 = gc_frame_newslot(num7268);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe7271 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call7272 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7271);
// compiled member node returning call7272 (depth = 8)
  int op_slot_right_7270 = gc_frame_newslot(call7272);
// starting to compile member node (depth = 8)
  int callframe7274 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call7275 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7274);
// compiled member node returning call7275 (depth = 8)
  int op_slot_left_7270 = gc_frame_newslot(call7275);
  params[0] = call7272;
  partcv[0] = 1;
  Object sum7276 = callmethod(call7275, "+(1)", 1, partcv, params);
// compiled op node returning sum7276 (depth = 7)
  int op_slot_left_7267 = gc_frame_newslot(sum7276);
  params[0] = num7268;
  partcv[0] = 1;
  Object sum7277 = callmethod(sum7276, "+(1)", 1, partcv, params);
// compiled op node returning sum7277 (depth = 6)
  *var_errorPos = sum7277;
  if (sum7277 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7232 = done;
  }
// compiled if node returning if7232 (depth = 4)
// Begin line 2286
  setline(2286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7279 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7280 == NULL) {
    strlit7280 = alloc_String("a dialect statement must have the name of the dialect in quotes after the 'dialect'.");
    gc_root(strlit7280);
  }
// compiled string node returning strlit7280 (depth = 5)
  gc_frame_newslot(strlit7280);
// Begin line 2287
  setline(2287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe7281 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call7282 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7281);
// compiled member node returning call7282 (depth = 5)
  gc_frame_newslot(call7282);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errorPos (depth = 5)
  gc_frame_newslot(*var_errorPos);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2286
  setline(2286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit7280;
  params[1] = call7282;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7283 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7279);
// compiled call node returning call7283 (depth = 4)
    gc_frame_newslot(call7283);
    if7221 = call7283;
  } else {
  }
// compiled if node returning if7221 (depth = 3)
// Begin line 2289
  setline(2289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7284 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe7285 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7286 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call7287 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7286);
// compiled member node returning call7287 (depth = 5)
  gc_frame_newslot(call7287);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7288 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call7289 = callmethodflags(*var_ast, "dialectNode", 0, partcv, params, 0);
  gc_frame_end(callframe7288);
// compiled member node returning call7289 (depth = 5)
  params[0] = call7287;
  partcv[0] = 1;
  Object call7290 = callmethodflags(call7289, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7285);
// compiled call node returning call7290 (depth = 4)
  gc_frame_newslot(call7290);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = call7290;
  partcv[0] = 1;
  Object call7291 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7284);
// compiled call node returning call7291 (depth = 3)
// Begin line 2290
  setline(2290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7292 = gc_frame_new();
// call case 4: self request
  Object call7293 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7292);
// compiled member node returning call7293 (depth = 3)
    gc_frame_newslot(call7293);
    if7215 = call7293;
  } else {
  }
// compiled if node returning if7215 (depth = 2)
  gc_frame_end(frame);
  return if7215;
}
Object meth_parser__apply7334(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 7)
  int callframe7335 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_noBlocks (depth = 8)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call7336 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7335);
// compiled call node returning call7336 (depth = 7)
  gc_frame_end(frame);
  return call7336;
}
Object meth_parser__apply7444(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_inhNode = getfromclosure(closure, 0);
  Object *var_btok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe7445 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inhNode (depth = 6)
  gc_frame_newslot(*var_inhNode);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  gc_frame_newslot(*var_btok);
// call case 4: self request
  params[0] = *var_inhNode;
  params[1] = *var_btok;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7446 = callmethodflags(self, "inheritsModifier(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7445);
// compiled call node returning call7446 (depth = 5)
  gc_frame_end(frame);
  return call7446;
}
Object meth_parser__apply7449(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  gc_frame_end(frame);
  return done;
}
Object meth_parser_inheritsOrUses7294(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 53, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritsOrUses");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_done = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_noBlocks = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_values = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_msg = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "msg");
  Object *var_inhNode = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "inhNode");
// Begin line 2297
  setline(2297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7296 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7297 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7298 == NULL) {
    strlit7298 = alloc_String("keyword");
    gc_root(strlit7298);
  }
// compiled string node returning strlit7298 (depth = 5)
  gc_frame_newslot(strlit7298);
// call case 4: self request
  params[0] = strlit7298;
  partcv[0] = 1;
  Object call7299 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7297);
// compiled call node returning call7299 (depth = 4)
  partcv[0] = 0;
  Object call7300 = callmethodflags(call7299, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe7296);
// compiled call node returning call7300 (depth = 3)
  Object if7295 = done;
  if (istrue(call7300)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if7295 = undefined;
  } else {
  }
// compiled if node returning if7295 (depth = 2)
// Begin line 2298
  setline(2298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7304 == NULL) {
    strlit7304 = alloc_String("use");
    gc_root(strlit7304);
  }
// compiled string node returning strlit7304 (depth = 5)
  int op_slot_right_7303 = gc_frame_newslot(strlit7304);
// starting to compile member node (depth = 5)
  int callframe7306 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call7307 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7306);
// compiled member node returning call7307 (depth = 5)
  int op_slot_left_7303 = gc_frame_newslot(call7307);
  params[0] = strlit7304;
  partcv[0] = 1;
  Object opresult7308 = callmethod(call7307, "==(1)", 1, partcv, params);
// compiled op node returning opresult7308 (depth = 4)
  int op_slot_right_7302 = gc_frame_newslot(opresult7308);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7312 == NULL) {
    strlit7312 = alloc_String("inherit");
    gc_root(strlit7312);
  }
// compiled string node returning strlit7312 (depth = 6)
  int op_slot_right_7311 = gc_frame_newslot(strlit7312);
// starting to compile member node (depth = 6)
  int callframe7314 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call7315 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7314);
// compiled member node returning call7315 (depth = 6)
  int op_slot_left_7311 = gc_frame_newslot(call7315);
  params[0] = strlit7312;
  partcv[0] = 1;
  Object opresult7316 = callmethod(call7315, "==(1)", 1, partcv, params);
// compiled op node returning opresult7316 (depth = 5)
  int op_slot_right_7310 = gc_frame_newslot(opresult7316);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7319 == NULL) {
    strlit7319 = alloc_String("inherits");
    gc_root(strlit7319);
  }
// compiled string node returning strlit7319 (depth = 6)
  int op_slot_right_7318 = gc_frame_newslot(strlit7319);
// starting to compile member node (depth = 6)
  int callframe7321 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call7322 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7321);
// compiled member node returning call7322 (depth = 6)
  int op_slot_left_7318 = gc_frame_newslot(call7322);
  params[0] = strlit7319;
  partcv[0] = 1;
  Object opresult7323 = callmethod(call7322, "==(1)", 1, partcv, params);
// compiled op node returning opresult7323 (depth = 5)
  int op_slot_left_7310 = gc_frame_newslot(opresult7323);
  params[0] = opresult7316;
  partcv[0] = 1;
  Object opresult7324 = callmethod(opresult7323, "||(1)", 1, partcv, params);
// compiled op node returning opresult7324 (depth = 4)
  int op_slot_left_7302 = gc_frame_newslot(opresult7324);
  params[0] = opresult7308;
  partcv[0] = 1;
  Object opresult7325 = callmethod(opresult7324, "||(1)", 1, partcv, params);
// compiled op node returning opresult7325 (depth = 3)
  Object if7301 = done;
  if (istrue(opresult7325)) {
// Begin line 2299
  setline(2299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2300
  setline(2300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7326 = gc_frame_new();
// call case 4: self request
  Object call7327 = callmethodflags(self, "checkIndent", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7326);
// compiled member node returning call7327 (depth = 3)
// Begin line 2301
  setline(2301);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7328 = gc_frame_new();
// call case 4: self request
  Object call7329 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7328);
// compiled member node returning call7329 (depth = 3)
// Begin line 2302
  setline(2302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7331 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe7332 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block7333 = alloc_Block(NULL, NULL, "parser", 2302);
  gc_frame_newslot(block7333);
// method "_apply"
  block_savedest(block7333);
  Object closure7334 = createclosure(2, "_apply");
  setclosureframe(closure7334, stackframe);
  addtoclosure(closure7334, var_noBlocks);
  addtoclosure(closure7334, selfslot);
  struct UserObject *uo7334 = (struct UserObject*)block7333;
  uo7334->data[0] = (Object)closure7334;
  Method *meth_meth_parser__apply7334 = addmethod2pos(block7333, "_apply", &meth_parser__apply7334, 0);
  int argcv_meth_parser__apply7334[] = {0};
  meth_meth_parser__apply7334->type = alloc_MethodType(1, argcv_meth_parser__apply7334);
  meth_meth_parser__apply7334->definitionModule = modulename;
  meth_meth_parser__apply7334->definitionLine = 3404;
// compiled block node returning block7333 (depth = 6)
  gc_frame_newslot(block7333);
// call case 4: self request
  params[0] = block7333;
  partcv[0] = 1;
  Object call7338 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7332);
// compiled call node returning call7338 (depth = 5)
  Object call7339 = callmethodflags(call7338, "not", 0, partcv, params, 0);
  gc_frame_end(callframe7331);
// compiled member node returning call7339 (depth = 4)
  Object if7330 = done;
  if (istrue(call7339)) {
// Begin line 2303
  setline(2303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array7340 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7340 (depth = 5)
  *var_suggestions = array7340;
  if (array7340 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2304
  setline(2304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7341 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7342 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call7343 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7342);
// compiled member node returning call7343 (depth = 6)
  Object call7344 = callmethodflags(call7343, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7341);
// compiled member node returning call7344 (depth = 5)
  *var_suggestion = call7344;
  if (call7344 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2305
  setline(2305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7345 = gc_frame_new();
// starting to compile array node (depth = 6)
  Object array7346 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 7)
  if (strlit7347 == NULL) {
    strlit7347 = alloc_String("rsquare");
    gc_root(strlit7347);
  }
// compiled string node returning strlit7347 (depth = 7)
  params[0] = strlit7347;
  partcv[0] = 1;
  callmethodflags(array7346, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array7346 (depth = 6)
  gc_frame_newslot(array7346);
// call case 4: self request
  params[0] = array7346;
  partcv[0] = 1;
  Object call7348 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7345);
// compiled call node returning call7348 (depth = 5)
  *var_nextTok = call7348;
  if (call7348 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2306
  setline(2306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_7350 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_7350 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult7352 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult7352 (depth = 5)
  Object if7349 = done;
  if (istrue(opresult7352)) {
// Begin line 2307
  setline(2307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7353 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7354 == NULL) {
    strlit7354 = alloc_String(" ""\xc2""""\xab""parent""\xc2""""\xbb""");
    gc_root(strlit7354);
  }
// compiled string node returning strlit7354 (depth = 6)
  gc_frame_newslot(strlit7354);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit7354;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7355 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7353);
// compiled call node returning call7355 (depth = 5)
    gc_frame_newslot(call7355);
    if7349 = call7355;
  } else {
// Begin line 2309
  setline(2309);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe7356 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
  int callframe7357 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call7358 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe7357);
// compiled member node returning call7358 (depth = 6)
  gc_frame_newslot(call7358);
// starting to compile identifier node (depth = 6)
  Object bool7359 = alloc_Boolean(1);
// compiled identifier node returning bool7359 (depth = 6)
  gc_frame_newslot(bool7359);
// starting to compile identifier node (depth = 6)
  Object bool7360 = alloc_Boolean(0);
// compiled identifier node returning bool7360 (depth = 6)
  gc_frame_newslot(bool7360);
// starting to compile string node (depth = 6)
  if (strlit7361 == NULL) {
    strlit7361 = alloc_String(" ""\xc2""""\xab""parent""\xc2""""\xbb""");
    gc_root(strlit7361);
  }
// compiled string node returning strlit7361 (depth = 6)
  gc_frame_newslot(strlit7361);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call7358;
  params[2] = bool7359;
  params[3] = bool7360;
  params[4] = strlit7361;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call7362 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe7356);
// compiled call node returning call7362 (depth = 5)
    gc_frame_newslot(call7362);
    if7349 = call7362;
  }
// compiled if node returning if7349 (depth = 4)
// Begin line 2311
  setline(2311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7363 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7364 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7363);
// compiled call node returning call7364 (depth = 4)
// Begin line 2312
  setline(2312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7365 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7366 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call7367 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7366);
// compiled member node returning call7367 (depth = 6)
  Object call7368 = callmethodflags(call7367, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7365);
// compiled member node returning call7368 (depth = 5)
  *var_suggestion = call7368;
  if (call7368 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2313
  setline(2313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7370 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 5)
  int callframe7371 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  Object call7372 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe7371);
// compiled member node returning call7372 (depth = 5)
  gc_frame_newslot(call7372);
// starting to compile identifier node (depth = 5)
  Object bool7373 = alloc_Boolean(1);
// compiled identifier node returning bool7373 (depth = 5)
  gc_frame_newslot(bool7373);
// starting to compile identifier node (depth = 5)
  Object bool7374 = alloc_Boolean(0);
// compiled identifier node returning bool7374 (depth = 5)
  gc_frame_newslot(bool7374);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_lastToken;
  params[1] = call7372;
  params[2] = bool7373;
  params[3] = bool7374;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7375 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7370);
// compiled call node returning call7375 (depth = 4)
// Begin line 2314
  setline(2314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7376 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7377 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7376);
// compiled call node returning call7377 (depth = 4)
// Begin line 2315
  setline(2315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7379 == NULL) {
    strlit7379 = alloc_String(" keyword must be followed by an expression that creates ");
    gc_root(strlit7379);
  }
// compiled string node returning strlit7379 (depth = 6)
  int op_slot_right_7378 = gc_frame_newslot(strlit7379);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7382 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_btok (depth = 8)
  Object call7383 = callmethodflags(*var_btok, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7382);
// compiled member node returning call7383 (depth = 7)
  int op_slot_right_7381 = gc_frame_newslot(call7383);
// starting to compile string node (depth = 7)
  if (strlit7385 == NULL) {
    strlit7385 = alloc_String("The ");
    gc_root(strlit7385);
  }
// compiled string node returning strlit7385 (depth = 7)
  int op_slot_left_7381 = gc_frame_newslot(strlit7385);
  params[0] = call7383;
  partcv[0] = 1;
  Object opresult7386 = callmethod(strlit7385, "++(1)", 1, partcv, params);
// compiled op node returning opresult7386 (depth = 6)
  int op_slot_left_7378 = gc_frame_newslot(opresult7386);
  params[0] = strlit7379;
  partcv[0] = 1;
  Object opresult7387 = callmethod(opresult7386, "++(1)", 1, partcv, params);
// compiled op node returning opresult7387 (depth = 5)
  *var_msg = opresult7387;
  if (opresult7387 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2316
  setline(2316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7390 == NULL) {
    strlit7390 = alloc_String("use");
    gc_root(strlit7390);
  }
// compiled string node returning strlit7390 (depth = 6)
  int op_slot_right_7389 = gc_frame_newslot(strlit7390);
// starting to compile member node (depth = 6)
  int callframe7392 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  Object call7393 = callmethodflags(*var_btok, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7392);
// compiled member node returning call7393 (depth = 6)
  int op_slot_left_7389 = gc_frame_newslot(call7393);
  params[0] = strlit7390;
  partcv[0] = 1;
  Object opresult7394 = callmethod(call7393, "==(1)", 1, partcv, params);
// compiled op node returning opresult7394 (depth = 5)
  Object if7388 = done;
  if (istrue(opresult7394)) {
// Begin line 2317
  setline(2317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7396 == NULL) {
    strlit7396 = alloc_String("the trait being used.");
    gc_root(strlit7396);
  }
// compiled string node returning strlit7396 (depth = 7)
  int op_slot_right_7395 = gc_frame_newslot(strlit7396);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_msg (depth = 7)
  int op_slot_left_7395 = gc_frame_newslot(*var_msg);
  params[0] = strlit7396;
  partcv[0] = 1;
  Object opresult7398 = callmethod(*var_msg, "++(1)", 1, partcv, params);
// compiled op node returning opresult7398 (depth = 6)
  *var_msg = opresult7398;
  if (opresult7398 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7388 = done;
  } else {
// Begin line 2319
  setline(2319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7401 == NULL) {
    strlit7401 = alloc_String("the object being inherited.");
    gc_root(strlit7401);
  }
// compiled string node returning strlit7401 (depth = 7)
  int op_slot_right_7400 = gc_frame_newslot(strlit7401);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_msg (depth = 7)
  int op_slot_left_7400 = gc_frame_newslot(*var_msg);
  params[0] = strlit7401;
  partcv[0] = 1;
  Object opresult7403 = callmethod(*var_msg, "++(1)", 1, partcv, params);
// compiled op node returning opresult7403 (depth = 6)
  *var_msg = opresult7403;
  if (opresult7403 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if7388 = done;
  }
// compiled if node returning if7388 (depth = 4)
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7405 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_msg (depth = 5)
  gc_frame_newslot(*var_msg);
// Begin line 2322
  setline(2322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe7406 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call7407 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7406);
// compiled member node returning call7407 (depth = 5)
  gc_frame_newslot(call7407);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num7409 = alloc_Float64(1);
// compiled num node returning num7409 (depth = 6)
  int op_slot_right_7408 = gc_frame_newslot(num7409);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7412 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call7413 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7412);
// compiled member node returning call7413 (depth = 7)
  int op_slot_right_7411 = gc_frame_newslot(call7413);
// starting to compile member node (depth = 7)
  int callframe7415 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call7416 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7415);
// compiled member node returning call7416 (depth = 7)
  int op_slot_left_7411 = gc_frame_newslot(call7416);
  params[0] = call7413;
  partcv[0] = 1;
  Object sum7417 = callmethod(call7416, "+(1)", 1, partcv, params);
// compiled op node returning sum7417 (depth = 6)
  int op_slot_left_7408 = gc_frame_newslot(sum7417);
  params[0] = num7409;
  partcv[0] = 1;
  Object sum7418 = callmethod(sum7417, "+(1)", 1, partcv, params);
// compiled op node returning sum7418 (depth = 5)
  gc_frame_newslot(sum7418);
// Begin line 2323
  setline(2323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2321
  setline(2321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = *var_msg;
  params[1] = call7407;
  params[2] = sum7418;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7419 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7405);
// compiled call node returning call7419 (depth = 4)
    gc_frame_newslot(call7419);
    if7330 = call7419;
  } else {
  }
// compiled if node returning if7330 (depth = 3)
// Begin line 2325
  setline(2325);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7420 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe7421 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_btok (depth = 5)
  Object call7422 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7421);
// compiled member node returning call7422 (depth = 4)
  gc_frame_newslot(call7422);
// starting to compile member node (depth = 4)
  int callframe7423 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_btok (depth = 5)
  Object call7424 = callmethodflags(*var_btok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7423);
// compiled member node returning call7424 (depth = 4)
  gc_frame_newslot(call7424);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call7422;
  params[1] = call7424;
  partcv[0] = 2;
  Object call7425 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7420);
// compiled call node returning call7425 (depth = 3)
// Begin line 2326
  setline(2326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7426 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe7427 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call7428 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7427);
// compiled member node returning call7428 (depth = 5)
  gc_frame_newslot(call7428);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7429 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call7430 = callmethodflags(*var_ast, "inheritsNode", 0, partcv, params, 0);
  gc_frame_end(callframe7429);
// compiled member node returning call7430 (depth = 5)
  params[0] = call7428;
  partcv[0] = 1;
  Object call7431 = callmethodflags(call7430, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7426);
// compiled call node returning call7431 (depth = 4)
  *var_inhNode = call7431;
  if (call7431 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2327
  setline(2327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7434 == NULL) {
    strlit7434 = alloc_String("use");
    gc_root(strlit7434);
  }
// compiled string node returning strlit7434 (depth = 5)
  int op_slot_right_7433 = gc_frame_newslot(strlit7434);
// starting to compile member node (depth = 5)
  int callframe7436 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  Object call7437 = callmethodflags(*var_btok, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7436);
// compiled member node returning call7437 (depth = 5)
  int op_slot_left_7433 = gc_frame_newslot(call7437);
  params[0] = strlit7434;
  partcv[0] = 1;
  Object opresult7438 = callmethod(call7437, "==(1)", 1, partcv, params);
// compiled op node returning opresult7438 (depth = 4)
  Object if7432 = done;
  if (istrue(opresult7438)) {
// Begin line 2328
  setline(2328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7439 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool7440 = alloc_Boolean(1);
// compiled identifier node returning bool7440 (depth = 5)
  gc_frame_newslot(bool7440);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_inhNode (depth = 5)
  params[0] = bool7440;
  partcv[0] = 1;
  Object call7441 = callmethodflags(*var_inhNode, "isUse:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7439);
// compiled call node returning call7441 (depth = 4)
    gc_frame_newslot(call7441);
    if7432 = call7441;
  } else {
  }
// compiled if node returning if7432 (depth = 3)
// Begin line 2330
  setline(2330);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7442 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block7443 = alloc_Block(NULL, NULL, "parser", 2330);
  gc_frame_newslot(block7443);
// method "_apply"
  block_savedest(block7443);
  Object closure7444 = createclosure(3, "_apply");
  setclosureframe(closure7444, stackframe);
  addtoclosure(closure7444, var_inhNode);
  addtoclosure(closure7444, var_btok);
  addtoclosure(closure7444, selfslot);
  struct UserObject *uo7444 = (struct UserObject*)block7443;
  uo7444->data[0] = (Object)closure7444;
  Method *meth_meth_parser__apply7444 = addmethod2pos(block7443, "_apply", &meth_parser__apply7444, 0);
  int argcv_meth_parser__apply7444[] = {0};
  meth_meth_parser__apply7444->type = alloc_MethodType(1, argcv_meth_parser__apply7444);
  meth_meth_parser__apply7444->definitionModule = modulename;
  meth_meth_parser__apply7444->definitionLine = 3404;
// compiled block node returning block7443 (depth = 4)
  gc_frame_newslot(block7443);
// starting to compile block node (depth = 4)
  Object block7448 = alloc_Block(NULL, NULL, "parser", 2330);
  gc_frame_newslot(block7448);
// method "_apply"
  block_savedest(block7448);
  Object closure7449 = createclosure(1, "_apply");
  setclosureframe(closure7449, stackframe);
  addtoclosure(closure7449, selfslot);
  struct UserObject *uo7449 = (struct UserObject*)block7448;
  uo7449->data[0] = (Object)closure7449;
  Method *meth_meth_parser__apply7449 = addmethod2pos(block7448, "_apply", &meth_parser__apply7449, 0);
  int argcv_meth_parser__apply7449[] = {0};
  meth_meth_parser__apply7449->type = alloc_MethodType(1, argcv_meth_parser__apply7449);
  meth_meth_parser__apply7449->definitionModule = modulename;
  meth_meth_parser__apply7449->definitionLine = 3404;
// compiled block node returning block7448 (depth = 4)
  gc_frame_newslot(block7448);
// call case 5: prelude request
  params[0] = block7443;
  params[1] = block7448;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7451 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7442);
// compiled call node returning call7451 (depth = 3)
// Begin line 2331
  setline(2331);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7452 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_inhNode (depth = 4)
  gc_frame_newslot(*var_inhNode);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_inhNode;
  partcv[0] = 1;
  Object call7453 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7452);
// compiled call node returning call7453 (depth = 3)
    gc_frame_newslot(call7453);
    if7301 = call7453;
  } else {
  }
// compiled if node returning if7301 (depth = 2)
  gc_frame_end(frame);
  return if7301;
}
Object meth_parser_inheritsModifier_40_1_41_onLineOf_40_1_41_7454(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 54, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "inheritsModifier(1)onLineOf(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method inheritsModifier(_)onLineOf(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method inheritsModifier(_)onLineOf(_)");
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 2 && args)
    graceRaise(RequestError(), "missing argument list for inheritsModifier(_)onLineOf(_) (probably reflection error): got %i lists, expected 2.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part inheritsModifier(_)");
  Object *var_startToken = &(stackframe->slots[1]);
  *var_startToken = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part onLineOf(_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2337
  setline(2337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7456 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe7457 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7458 == NULL) {
    strlit7458 = alloc_String("keyword");
    gc_root(strlit7458);
  }
// compiled string node returning strlit7458 (depth = 5)
  gc_frame_newslot(strlit7458);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_startToken (depth = 5)
  gc_frame_newslot(*var_startToken);
// call case 4: self request
  params[0] = strlit7458;
  params[1] = *var_startToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7459 = callmethodflags(self, "accept(1)onLineOf(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7457);
// compiled call node returning call7459 (depth = 4)
  partcv[0] = 0;
  Object call7460 = callmethodflags(call7459, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe7456);
// compiled call node returning call7460 (depth = 3)
  Object if7455 = done;
  if (istrue(call7460)) {
// Begin line 2338
  setline(2338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool7461 = alloc_Boolean(0);
// compiled identifier node returning bool7461 (depth = 4)
  return bool7461;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if7455 = undefined;
  } else {
  }
// compiled if node returning if7455 (depth = 2)
// Begin line 2340
  setline(2340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7464 == NULL) {
    strlit7464 = alloc_String("alias");
    gc_root(strlit7464);
  }
// compiled string node returning strlit7464 (depth = 4)
  int op_slot_right_7463 = gc_frame_newslot(strlit7464);
// starting to compile member node (depth = 4)
  int callframe7466 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call7467 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7466);
// compiled member node returning call7467 (depth = 4)
  int op_slot_left_7463 = gc_frame_newslot(call7467);
  params[0] = strlit7464;
  partcv[0] = 1;
  Object opresult7468 = callmethod(call7467, "==(1)", 1, partcv, params);
// compiled op node returning opresult7468 (depth = 3)
  Object if7462 = done;
  if (istrue(opresult7468)) {
// Begin line 2341
  setline(2341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7469 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  gc_frame_newslot(*var_node);
// call case 4: self request
  params[0] = *var_node;
  partcv[0] = 1;
  Object call7470 = callmethodflags(self, "parseAlias(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7469);
// compiled call node returning call7470 (depth = 3)
    gc_frame_newslot(call7470);
    if7462 = call7470;
  } else {
// Begin line 2344
  setline(2344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2342
  setline(2342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7473 == NULL) {
    strlit7473 = alloc_String("exclude");
    gc_root(strlit7473);
  }
// compiled string node returning strlit7473 (depth = 5)
  int op_slot_right_7472 = gc_frame_newslot(strlit7473);
// starting to compile member node (depth = 5)
  int callframe7475 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call7476 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7475);
// compiled member node returning call7476 (depth = 5)
  int op_slot_left_7472 = gc_frame_newslot(call7476);
  params[0] = strlit7473;
  partcv[0] = 1;
  Object opresult7477 = callmethod(call7476, "==(1)", 1, partcv, params);
// compiled op node returning opresult7477 (depth = 4)
  Object if7471 = done;
  if (istrue(opresult7477)) {
// Begin line 2343
  setline(2343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7478 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_node (depth = 5)
  gc_frame_newslot(*var_node);
// call case 4: self request
  params[0] = *var_node;
  partcv[0] = 1;
  Object call7479 = callmethodflags(self, "parseExclude(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7478);
// compiled call node returning call7479 (depth = 4)
    gc_frame_newslot(call7479);
    if7471 = call7479;
  } else {
// Begin line 2345
  setline(2345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
  Object bool7480 = alloc_Boolean(0);
// compiled identifier node returning bool7480 (depth = 4)
    gc_frame_newslot(bool7480);
    if7471 = bool7480;
  }
// compiled if node returning if7471 (depth = 3)
    gc_frame_newslot(if7471);
    if7462 = if7471;
  }
// compiled if node returning if7462 (depth = 2)
  gc_frame_end(frame);
  return if7462;
}
Object meth_parser_parseAlias_40_1_41_7481(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 55, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(6, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parseAlias(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parseAlias(_)");
  Object params[3];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parseAlias(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parseAlias(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_newSig = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "newSig");
  Object *var_newMeth = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "newMeth");
  Object *var_oldSig = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "oldSig");
  Object *var_oldMeth = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "oldMeth");
// Begin line 2350
  setline(2350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe7482 = gc_frame_new();
// call case 4: self request
  Object call7483 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7482);
// compiled member node returning call7483 (depth = 2)
// Begin line 2351
  setline(2351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7484 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7485 = alloc_Boolean(1);
// compiled identifier node returning bool7485 (depth = 4)
  gc_frame_newslot(bool7485);
// call case 4: self request
  params[0] = bool7485;
  partcv[0] = 1;
  Object call7486 = callmethodflags(self, "methodsignature(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7484);
// compiled call node returning call7486 (depth = 3)
  *var_newSig = call7486;
  if (call7486 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2352
  setline(2352);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe7487 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newSig (depth = 4)
  Object call7488 = callmethodflags(*var_newSig, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe7487);
// compiled member node returning call7488 (depth = 3)
  *var_newMeth = call7488;
  if (call7488 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2353
  setline(2353);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7492 == NULL) {
    strlit7492 = alloc_String("=");
    gc_root(strlit7492);
  }
// compiled string node returning strlit7492 (depth = 5)
  int op_slot_right_7491 = gc_frame_newslot(strlit7492);
// starting to compile member node (depth = 5)
  int callframe7494 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call7495 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7494);
// compiled member node returning call7495 (depth = 5)
  int op_slot_left_7491 = gc_frame_newslot(call7495);
  params[0] = strlit7492;
  partcv[0] = 1;
  Object opresult7496 = callmethod(call7495, "==(1)", 1, partcv, params);
// compiled op node returning opresult7496 (depth = 4)
  int op_slot_right_7490 = gc_frame_newslot(opresult7496);
// starting to compile call node (depth = 4)
  int callframe7498 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7499 == NULL) {
    strlit7499 = alloc_String("op");
    gc_root(strlit7499);
  }
// compiled string node returning strlit7499 (depth = 5)
  gc_frame_newslot(strlit7499);
// call case 4: self request
  params[0] = strlit7499;
  partcv[0] = 1;
  Object call7500 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7498);
// compiled call node returning call7500 (depth = 4)
  int op_slot_left_7490 = gc_frame_newslot(call7500);
  params[0] = opresult7496;
  partcv[0] = 1;
  Object opresult7501 = callmethod(call7500, "&&(1)", 1, partcv, params);
// compiled op node returning opresult7501 (depth = 3)
  Object if7489 = done;
  if (istrue(opresult7501)) {
// Begin line 2354
  setline(2354);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7502 = gc_frame_new();
// call case 4: self request
  Object call7503 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7502);
// compiled member node returning call7503 (depth = 3)
// Begin line 2355
  setline(2355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7504 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool7505 = alloc_Boolean(1);
// compiled identifier node returning bool7505 (depth = 5)
  gc_frame_newslot(bool7505);
// call case 4: self request
  params[0] = bool7505;
  partcv[0] = 1;
  Object call7506 = callmethodflags(self, "methodsignature(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7504);
// compiled call node returning call7506 (depth = 4)
  *var_oldSig = call7506;
  if (call7506 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2356
  setline(2356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7507 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_oldSig (depth = 5)
  Object call7508 = callmethodflags(*var_oldSig, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe7507);
// compiled member node returning call7508 (depth = 4)
  *var_oldMeth = call7508;
  if (call7508 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2357
  setline(2357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7509 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7510 = alloc_Boolean(0);
// compiled identifier node returning bool7510 (depth = 4)
  gc_frame_newslot(bool7510);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_oldMeth (depth = 4)
  params[0] = bool7510;
  partcv[0] = 1;
  Object call7511 = callmethodflags(*var_oldMeth, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7509);
// compiled call node returning call7511 (depth = 3)
// Begin line 2358
  setline(2358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7512 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_newMeth (depth = 4)
  gc_frame_newslot(*var_newMeth);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_oldMeth (depth = 4)
  gc_frame_newslot(*var_oldMeth);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  params[0] = *var_newMeth;
  params[1] = *var_oldMeth;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7513 = callmethodflags(*var_node, "addAlias(1)for(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7512);
// compiled call node returning call7513 (depth = 3)
    gc_frame_newslot(call7513);
    if7489 = call7513;
  } else {
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7514 = gc_frame_new();
// starting to compile op node (depth = 4)
// Begin line 2361
  setline(2361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7516 == NULL) {
    strlit7516 = alloc_String("'newMethodName = oldMethodName'");
    gc_root(strlit7516);
  }
// compiled string node returning strlit7516 (depth = 5)
  int op_slot_right_7515 = gc_frame_newslot(strlit7516);
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit7518 == NULL) {
    strlit7518 = alloc_String("An alias modifier must take the form ");
    gc_root(strlit7518);
  }
// compiled string node returning strlit7518 (depth = 5)
  int op_slot_left_7515 = gc_frame_newslot(strlit7518);
  params[0] = strlit7516;
  partcv[0] = 1;
  Object opresult7519 = callmethod(strlit7518, "++(1)", 1, partcv, params);
// compiled op node returning opresult7519 (depth = 4)
  gc_frame_newslot(opresult7519);
// Begin line 2362
  setline(2362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe7520 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call7521 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7520);
// compiled member node returning call7521 (depth = 4)
  gc_frame_newslot(call7521);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7523 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call7524 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7523);
// compiled member node returning call7524 (depth = 5)
  int op_slot_right_7522 = gc_frame_newslot(call7524);
// starting to compile member node (depth = 5)
  int callframe7526 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call7527 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7526);
// compiled member node returning call7527 (depth = 5)
  int op_slot_left_7522 = gc_frame_newslot(call7527);
  params[0] = call7524;
  partcv[0] = 1;
  Object sum7528 = callmethod(call7527, "+(1)", 1, partcv, params);
// compiled op node returning sum7528 (depth = 4)
  gc_frame_newslot(sum7528);
// call case 6: other requests
// Begin line 2360
  setline(2360);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult7519;
  params[1] = call7521;
  params[2] = sum7528;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call7529 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe7514);
// compiled call node returning call7529 (depth = 3)
    gc_frame_newslot(call7529);
    if7489 = call7529;
  }
// compiled if node returning if7489 (depth = 2)
// Begin line 2364
  setline(2364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool7530 = alloc_Boolean(1);
// compiled identifier node returning bool7530 (depth = 3)
  return bool7530;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_parseExclude_40_1_41_7531(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct StackFrameObject *stackframe = alloc_StackFrame(4, NULL);
  pushclosure(NULL);
  pushstackframe(stackframe, "parseExclude(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parseExclude(_)");
  Object params[1];
  int partcv[1];
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parseExclude(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_node = &(stackframe->slots[0]);
  *var_node = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parseExclude(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_exSig = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "exSig");
  Object *var_excludedMeth = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "excludedMeth");
// Begin line 2367
  setline(2367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe7532 = gc_frame_new();
// call case 4: self request
  Object call7533 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7532);
// compiled member node returning call7533 (depth = 2)
// Begin line 2368
  setline(2368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7534 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7535 = alloc_Boolean(1);
// compiled identifier node returning bool7535 (depth = 4)
  gc_frame_newslot(bool7535);
// call case 4: self request
  params[0] = bool7535;
  partcv[0] = 1;
  Object call7536 = callmethodflags(self, "methodsignature(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7534);
// compiled call node returning call7536 (depth = 3)
  *var_exSig = call7536;
  if (call7536 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2369
  setline(2369);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe7537 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_exSig (depth = 4)
  Object call7538 = callmethodflags(*var_exSig, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe7537);
// compiled member node returning call7538 (depth = 3)
  *var_excludedMeth = call7538;
  if (call7538 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2370
  setline(2370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7539 = gc_frame_new();
// starting to compile identifier node (depth = 3)
  Object bool7540 = alloc_Boolean(0);
// compiled identifier node returning bool7540 (depth = 3)
  gc_frame_newslot(bool7540);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_excludedMeth (depth = 3)
  params[0] = bool7540;
  partcv[0] = 1;
  Object call7541 = callmethodflags(*var_excludedMeth, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7539);
// compiled call node returning call7541 (depth = 2)
// Begin line 2371
  setline(2371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7542 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_excludedMeth (depth = 3)
  gc_frame_newslot(*var_excludedMeth);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_node (depth = 3)
  params[0] = *var_excludedMeth;
  partcv[0] = 1;
  Object call7543 = callmethodflags(*var_node, "addExclusion(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7542);
// compiled call node returning call7543 (depth = 2)
// Begin line 2372
  setline(2372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool7544 = alloc_Boolean(1);
// compiled identifier node returning bool7544 (depth = 3)
  return bool7544;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_doobject7545(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 57, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doobject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[3];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2379
  setline(2379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7547 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit7548 == NULL) {
    strlit7548 = alloc_String("object");
    gc_root(strlit7548);
  }
// compiled string node returning strlit7548 (depth = 4)
  gc_frame_newslot(strlit7548);
// call case 4: self request
  params[0] = strlit7548;
  partcv[0] = 1;
  Object call7549 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7547);
// compiled call node returning call7549 (depth = 3)
  Object if7546 = done;
  if (istrue(call7549)) {
// Begin line 2380
  setline(2380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7550 = gc_frame_new();
// call case 4: self request
  Object call7551 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7550);
// compiled member node returning call7551 (depth = 3)
// Begin line 2381
  setline(2381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7552 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit7553 == NULL) {
    strlit7553 = alloc_String("an object constructor");
    gc_root(strlit7553);
  }
// compiled string node returning strlit7553 (depth = 4)
  gc_frame_newslot(strlit7553);
// Begin line 2382
  setline(2382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// starting to compile string node (depth = 4)
  if (strlit7554 == NULL) {
    strlit7554 = alloc_String("'object'");
    gc_root(strlit7554);
  }
// compiled string node returning strlit7554 (depth = 4)
  gc_frame_newslot(strlit7554);
// call case 4: self request
  params[0] = strlit7553;
  params[1] = *var_lastToken;
  params[2] = strlit7554;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7555 = callmethodflags(self, "parseObjectConstructorBody(1)startingWith(1)after(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7552);
// compiled call node returning call7555 (depth = 3)
    gc_frame_newslot(call7555);
    if7546 = call7555;
  } else {
  }
// compiled if node returning if7546 (depth = 2)
  gc_frame_end(frame);
  return if7546;
}
Object meth_parser__apply_40_1_41_7572(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7574 == NULL) {
    strlit7574 = alloc_String("rbrace");
    gc_root(strlit7574);
  }
// compiled string node returning strlit7574 (depth = 7)
  int op_slot_right_7573 = gc_frame_newslot(strlit7574);
// starting to compile member node (depth = 7)
  int callframe7576 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_t (depth = 8)
  Object call7577 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7576);
// compiled member node returning call7577 (depth = 7)
  int op_slot_left_7573 = gc_frame_newslot(call7577);
  params[0] = strlit7574;
  partcv[0] = 1;
  Object opresult7578 = callmethod(call7577, "==(1)", 1, partcv, params);
// compiled op node returning opresult7578 (depth = 6)
  gc_frame_end(frame);
  return opresult7578;
}
Object meth_parser__apply7651(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7653 == NULL) {
    strlit7653 = alloc_String("eof");
    gc_root(strlit7653);
  }
// compiled string node returning strlit7653 (depth = 7)
  int op_slot_right_7652 = gc_frame_newslot(strlit7653);
// starting to compile member node (depth = 7)
  int callframe7655 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call7656 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7655);
// compiled member node returning call7656 (depth = 7)
  int op_slot_left_7652 = gc_frame_newslot(call7656);
  params[0] = strlit7653;
  partcv[0] = 1;
  Object opresult7657 = callmethod(call7656, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7657 (depth = 6)
  gc_frame_end(frame);
  return opresult7657;
}
Object meth_parser__apply7648(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block7650 = alloc_Block(NULL, NULL, "parser", 2415);
  gc_frame_newslot(block7650);
// method "_apply"
  block_savedest(block7650);
  Object closure7651 = createclosure(2, "_apply");
  setclosureframe(closure7651, stackframe);
  addtoclosure(closure7651, var_sym);
  addtoclosure(closure7651, selfslot);
  struct UserObject *uo7651 = (struct UserObject*)block7650;
  uo7651->data[0] = (Object)closure7651;
  Method *meth_meth_parser__apply7651 = addmethod2pos(block7650, "_apply", &meth_parser__apply7651, 0);
  int argcv_meth_parser__apply7651[] = {0};
  meth_meth_parser__apply7651->type = alloc_MethodType(1, argcv_meth_parser__apply7651);
  meth_meth_parser__apply7651->definitionModule = modulename;
  meth_meth_parser__apply7651->definitionLine = 3404;
// compiled block node returning block7650 (depth = 5)
  int op_slot_right_7649 = gc_frame_newslot(block7650);
// starting to compile member node (depth = 5)
  int callframe7660 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe7661 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit7662 == NULL) {
    strlit7662 = alloc_String("rbrace");
    gc_root(strlit7662);
  }
// compiled string node returning strlit7662 (depth = 7)
  gc_frame_newslot(strlit7662);
// call case 4: self request
  params[0] = strlit7662;
  partcv[0] = 1;
  Object call7663 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7661);
// compiled call node returning call7663 (depth = 6)
  Object call7664 = callmethodflags(call7663, "not", 0, partcv, params, 0);
  gc_frame_end(callframe7660);
// compiled member node returning call7664 (depth = 5)
  int op_slot_left_7649 = gc_frame_newslot(call7664);
  params[0] = block7650;
  partcv[0] = 1;
  Object opresult7665 = callmethod(call7664, "&&(1)", 1, partcv, params);
// compiled op node returning opresult7665 (depth = 4)
  gc_frame_end(frame);
  return opresult7665;
}
Object meth_parser__apply7672(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 7)
  int callframe7673 = gc_frame_new();
// call case 4: self request
  Object call7674 = callmethodflags(self, "inheritsOrUses", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7673);
// compiled member node returning call7674 (depth = 7)
  gc_frame_end(frame);
  return call7674;
}
Object meth_parser__apply7752(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 8)
  int callframe7753 = gc_frame_new();
// call case 4: self request
  Object call7754 = callmethodflags(self, "methoddec", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7753);
// compiled member node returning call7754 (depth = 8)
  gc_frame_end(frame);
  return call7754;
}
Object meth_parser__apply7766(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 9)
  int callframe7767 = gc_frame_new();
// call case 4: self request
  Object call7768 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7767);
// compiled member node returning call7768 (depth = 9)
  gc_frame_end(frame);
  return call7768;
}
Object meth_parser__apply7668(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_inPreamble = getfromclosure(closure, 1);
  Object *var_usedTraits = getfromclosure(closure, 2);
  Object *var_superObject = getfromclosure(closure, 3);
  Object *var_constructName = getfromclosure(closure, 4);
  Object *var_errormessages = getfromclosure(closure, 5);
  Object *var_body = getfromclosure(closure, 6);
  Object *var_sym = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_parentNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "parentNode");
// Begin line 2416
  setline(2416);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe7670 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block7671 = alloc_Block(NULL, NULL, "parser", 2416);
  gc_frame_newslot(block7671);
// method "_apply"
  block_savedest(block7671);
  Object closure7672 = createclosure(1, "_apply");
  setclosureframe(closure7672, stackframe);
  addtoclosure(closure7672, selfslot);
  struct UserObject *uo7672 = (struct UserObject*)block7671;
  uo7672->data[0] = (Object)closure7672;
  Method *meth_meth_parser__apply7672 = addmethod2pos(block7671, "_apply", &meth_parser__apply7672, 0);
  int argcv_meth_parser__apply7672[] = {0};
  meth_meth_parser__apply7672->type = alloc_MethodType(1, argcv_meth_parser__apply7672);
  meth_meth_parser__apply7672->definitionModule = modulename;
  meth_meth_parser__apply7672->definitionLine = 3404;
// compiled block node returning block7671 (depth = 6)
  gc_frame_newslot(block7671);
// call case 4: self request
  params[0] = block7671;
  partcv[0] = 1;
  Object call7676 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7670);
// compiled call node returning call7676 (depth = 5)
  Object if7669 = done;
  if (istrue(call7676)) {
// Begin line 2417
  setline(2417);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7677 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call7678 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7677);
// compiled member node returning call7678 (depth = 6)
  *var_parentNode = call7678;
  if (call7678 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2418
  setline(2418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_inPreamble (depth = 6)
  Object if7679 = done;
  if (istrue(*var_inPreamble)) {
// Begin line 2419
  setline(2419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe7681 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_parentNode (depth = 8)
  Object call7682 = callmethodflags(*var_parentNode, "isUse", 0, partcv, params, 0);
  gc_frame_end(callframe7681);
// compiled member node returning call7682 (depth = 7)
  Object if7680 = done;
  if (istrue(call7682)) {
// Begin line 2420
  setline(2420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe7683 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_parentNode (depth = 8)
  gc_frame_newslot(*var_parentNode);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_usedTraits (depth = 8)
  params[0] = *var_parentNode;
  partcv[0] = 1;
  Object call7684 = callmethodflags(*var_usedTraits, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7683);
// compiled call node returning call7684 (depth = 7)
    gc_frame_newslot(call7684);
    if7680 = call7684;
  } else {
// Begin line 2423
  setline(2423);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 2421
  setline(2421);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe7686 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_usedTraits (depth = 9)
  Object call7687 = callmethodflags(*var_usedTraits, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe7686);
// compiled member node returning call7687 (depth = 8)
  Object if7685 = done;
  if (istrue(call7687)) {
// Begin line 2422
  setline(2422);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_parentNode (depth = 9)
  *var_superObject = *var_parentNode;
  if (*var_parentNode == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if7685 = done;
  } else {
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe7689 = gc_frame_new();
// starting to compile op node (depth = 9)
// Begin line 2425
  setline(2425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit7692 == NULL) {
    strlit7692 = alloc_String("");
    gc_root(strlit7692);
  }
// compiled string node returning strlit7692 (depth = 11)
  int op_slot_right_7691 = gc_frame_newslot(strlit7692);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_constructName (depth = 12)
  int op_slot_right_7694 = gc_frame_newslot(*var_constructName);
// starting to compile string node (depth = 12)
  if (strlit7696 == NULL) {
    strlit7696 = alloc_String("before 'use' in ");
    gc_root(strlit7696);
  }
// compiled string node returning strlit7696 (depth = 12)
  int op_slot_left_7694 = gc_frame_newslot(strlit7696);
  params[0] = *var_constructName;
  partcv[0] = 1;
  Object opresult7697 = callmethod(strlit7696, "++(1)", 1, partcv, params);
// compiled op node returning opresult7697 (depth = 11)
  int op_slot_left_7691 = gc_frame_newslot(opresult7697);
  params[0] = strlit7692;
  partcv[0] = 1;
  Object opresult7698 = callmethod(opresult7697, "++(1)", 1, partcv, params);
// compiled op node returning opresult7698 (depth = 10)
  int op_slot_right_7690 = gc_frame_newslot(opresult7698);
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit7700 == NULL) {
    strlit7700 = alloc_String("'inherit' must come ");
    gc_root(strlit7700);
  }
// compiled string node returning strlit7700 (depth = 10)
  int op_slot_left_7690 = gc_frame_newslot(strlit7700);
  params[0] = opresult7698;
  partcv[0] = 1;
  Object opresult7701 = callmethod(strlit7700, "++(1)", 1, partcv, params);
// compiled op node returning opresult7701 (depth = 9)
  gc_frame_newslot(opresult7701);
// Begin line 2426
  setline(2426);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe7702 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_parentNode (depth = 10)
  Object call7703 = callmethodflags(*var_parentNode, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7702);
// compiled member node returning call7703 (depth = 9)
  gc_frame_newslot(call7703);
// starting to compile member node (depth = 9)
  int callframe7704 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_parentNode (depth = 10)
  Object call7705 = callmethodflags(*var_parentNode, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7704);
// compiled member node returning call7705 (depth = 9)
  gc_frame_newslot(call7705);
// Begin line 2427
  setline(2427);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num7707 = alloc_Float64(7);
// compiled num node returning num7707 (depth = 10)
  int op_slot_right_7706 = gc_frame_newslot(num7707);
// starting to compile member node (depth = 10)
  int callframe7709 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_parentNode (depth = 11)
  Object call7710 = callmethodflags(*var_parentNode, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7709);
// compiled member node returning call7710 (depth = 10)
  int op_slot_left_7706 = gc_frame_newslot(call7710);
  params[0] = num7707;
  partcv[0] = 1;
  Object sum7711 = callmethod(call7710, "+(1)", 1, partcv, params);
// compiled op node returning sum7711 (depth = 9)
  gc_frame_newslot(sum7711);
// call case 6: other requests
// Begin line 2424
  setline(2424);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = opresult7701;
  params[1] = call7703;
  params[2] = call7705;
  params[3] = sum7711;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call7712 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe7689);
// compiled call node returning call7712 (depth = 8)
    gc_frame_newslot(call7712);
    if7685 = call7712;
  }
// compiled if node returning if7685 (depth = 7)
    gc_frame_newslot(if7685);
    if7680 = if7685;
  }
// compiled if node returning if7680 (depth = 6)
    gc_frame_newslot(if7680);
    if7679 = if7680;
  } else {
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7713 = gc_frame_new();
// starting to compile op node (depth = 7)
// Begin line 2431
  setline(2431);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7716 == NULL) {
    strlit7716 = alloc_String("");
    gc_root(strlit7716);
  }
// compiled string node returning strlit7716 (depth = 9)
  int op_slot_right_7715 = gc_frame_newslot(strlit7716);
// starting to compile op node (depth = 9)
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_constructName (depth = 10)
  int op_slot_right_7718 = gc_frame_newslot(*var_constructName);
// starting to compile string node (depth = 10)
  if (strlit7720 == NULL) {
    strlit7720 = alloc_String("come at the start of ");
    gc_root(strlit7720);
  }
// compiled string node returning strlit7720 (depth = 10)
  int op_slot_left_7718 = gc_frame_newslot(strlit7720);
  params[0] = *var_constructName;
  partcv[0] = 1;
  Object opresult7721 = callmethod(strlit7720, "++(1)", 1, partcv, params);
// compiled op node returning opresult7721 (depth = 9)
  int op_slot_left_7715 = gc_frame_newslot(opresult7721);
  params[0] = strlit7716;
  partcv[0] = 1;
  Object opresult7722 = callmethod(opresult7721, "++(1)", 1, partcv, params);
// compiled op node returning opresult7722 (depth = 8)
  int op_slot_right_7714 = gc_frame_newslot(opresult7722);
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit7725 == NULL) {
    strlit7725 = alloc_String("' must ");
    gc_root(strlit7725);
  }
// compiled string node returning strlit7725 (depth = 9)
  int op_slot_right_7724 = gc_frame_newslot(strlit7725);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe7728 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_parentNode (depth = 11)
  Object call7729 = callmethodflags(*var_parentNode, "statementName", 0, partcv, params, 0);
  gc_frame_end(callframe7728);
// compiled member node returning call7729 (depth = 10)
  int op_slot_right_7727 = gc_frame_newslot(call7729);
// starting to compile string node (depth = 10)
  if (strlit7731 == NULL) {
    strlit7731 = alloc_String("'");
    gc_root(strlit7731);
  }
// compiled string node returning strlit7731 (depth = 10)
  int op_slot_left_7727 = gc_frame_newslot(strlit7731);
  params[0] = call7729;
  partcv[0] = 1;
  Object opresult7732 = callmethod(strlit7731, "++(1)", 1, partcv, params);
// compiled op node returning opresult7732 (depth = 9)
  int op_slot_left_7724 = gc_frame_newslot(opresult7732);
  params[0] = strlit7725;
  partcv[0] = 1;
  Object opresult7733 = callmethod(opresult7732, "++(1)", 1, partcv, params);
// compiled op node returning opresult7733 (depth = 8)
  int op_slot_left_7714 = gc_frame_newslot(opresult7733);
  params[0] = opresult7722;
  partcv[0] = 1;
  Object opresult7734 = callmethod(opresult7733, "++(1)", 1, partcv, params);
// compiled op node returning opresult7734 (depth = 7)
  gc_frame_newslot(opresult7734);
// Begin line 2432
  setline(2432);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe7735 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_parentNode (depth = 8)
  Object call7736 = callmethodflags(*var_parentNode, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7735);
// compiled member node returning call7736 (depth = 7)
  gc_frame_newslot(call7736);
// starting to compile member node (depth = 7)
  int callframe7737 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_parentNode (depth = 8)
  Object call7738 = callmethodflags(*var_parentNode, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7737);
// compiled member node returning call7738 (depth = 7)
  gc_frame_newslot(call7738);
// Begin line 2433
  setline(2433);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe7740 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe7741 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_parentNode (depth = 10)
  Object call7742 = callmethodflags(*var_parentNode, "statementName", 0, partcv, params, 0);
  gc_frame_end(callframe7741);
// compiled member node returning call7742 (depth = 9)
  Object call7743 = callmethodflags(call7742, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7740);
// compiled member node returning call7743 (depth = 8)
  int op_slot_right_7739 = gc_frame_newslot(call7743);
// starting to compile member node (depth = 8)
  int callframe7745 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_parentNode (depth = 9)
  Object call7746 = callmethodflags(*var_parentNode, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7745);
// compiled member node returning call7746 (depth = 8)
  int op_slot_left_7739 = gc_frame_newslot(call7746);
  params[0] = call7743;
  partcv[0] = 1;
  Object sum7747 = callmethod(call7746, "+(1)", 1, partcv, params);
// compiled op node returning sum7747 (depth = 7)
  gc_frame_newslot(sum7747);
// call case 6: other requests
// Begin line 2430
  setline(2430);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult7734;
  params[1] = call7736;
  params[2] = call7738;
  params[3] = sum7747;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call7748 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe7713);
// compiled call node returning call7748 (depth = 6)
    gc_frame_newslot(call7748);
    if7679 = call7748;
  }
// compiled if node returning if7679 (depth = 5)
    gc_frame_newslot(if7679);
    if7669 = if7679;
  } else {
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 2435
  setline(2435);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7750 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block7751 = alloc_Block(NULL, NULL, "parser", 2435);
  gc_frame_newslot(block7751);
// method "_apply"
  block_savedest(block7751);
  Object closure7752 = createclosure(1, "_apply");
  setclosureframe(closure7752, stackframe);
  addtoclosure(closure7752, selfslot);
  struct UserObject *uo7752 = (struct UserObject*)block7751;
  uo7752->data[0] = (Object)closure7752;
  Method *meth_meth_parser__apply7752 = addmethod2pos(block7751, "_apply", &meth_parser__apply7752, 0);
  int argcv_meth_parser__apply7752[] = {0};
  meth_meth_parser__apply7752->type = alloc_MethodType(1, argcv_meth_parser__apply7752);
  meth_meth_parser__apply7752->definitionModule = modulename;
  meth_meth_parser__apply7752->definitionLine = 3404;
// compiled block node returning block7751 (depth = 7)
  gc_frame_newslot(block7751);
// call case 4: self request
  params[0] = block7751;
  partcv[0] = 1;
  Object call7756 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7750);
// compiled call node returning call7756 (depth = 6)
  Object if7749 = done;
  if (istrue(call7756)) {
// Begin line 2436
  setline(2436);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
  Object bool7757 = alloc_Boolean(0);
// compiled identifier node returning bool7757 (depth = 7)
  *var_inPreamble = bool7757;
  if (bool7757 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 2437
  setline(2437);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe7759 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe7760 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call7761 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7760);
// compiled member node returning call7761 (depth = 7)
  gc_frame_newslot(call7761);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_body (depth = 7)
  params[0] = call7761;
  partcv[0] = 1;
  Object call7762 = callmethodflags(*var_body, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7759);
// compiled call node returning call7762 (depth = 6)
    gc_frame_newslot(call7762);
    if7749 = call7762;
  } else {
// Begin line 2441
  setline(2441);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2438
  setline(2438);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe7764 = gc_frame_new();
// starting to compile block node (depth = 8)
  Object block7765 = alloc_Block(NULL, NULL, "parser", 2438);
  gc_frame_newslot(block7765);
// method "_apply"
  block_savedest(block7765);
  Object closure7766 = createclosure(1, "_apply");
  setclosureframe(closure7766, stackframe);
  addtoclosure(closure7766, selfslot);
  struct UserObject *uo7766 = (struct UserObject*)block7765;
  uo7766->data[0] = (Object)closure7766;
  Method *meth_meth_parser__apply7766 = addmethod2pos(block7765, "_apply", &meth_parser__apply7766, 0);
  int argcv_meth_parser__apply7766[] = {0};
  meth_meth_parser__apply7766->type = alloc_MethodType(1, argcv_meth_parser__apply7766);
  meth_meth_parser__apply7766->definitionModule = modulename;
  meth_meth_parser__apply7766->definitionLine = 3404;
// compiled block node returning block7765 (depth = 8)
  gc_frame_newslot(block7765);
// call case 4: self request
  params[0] = block7765;
  partcv[0] = 1;
  Object call7770 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7764);
// compiled call node returning call7770 (depth = 7)
  Object if7763 = done;
  if (istrue(call7770)) {
// Begin line 2439
  setline(2439);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
  Object bool7771 = alloc_Boolean(0);
// compiled identifier node returning bool7771 (depth = 8)
  *var_inPreamble = bool7771;
  if (bool7771 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 2440
  setline(2440);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe7773 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe7774 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call7775 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7774);
// compiled member node returning call7775 (depth = 8)
  gc_frame_newslot(call7775);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_body (depth = 8)
  params[0] = call7775;
  partcv[0] = 1;
  Object call7776 = callmethodflags(*var_body, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7773);
// compiled call node returning call7776 (depth = 7)
    gc_frame_newslot(call7776);
    if7763 = call7776;
  } else {
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe7777 = gc_frame_new();
// starting to compile op node (depth = 8)
// Begin line 2443
  setline(2443);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit7780 == NULL) {
    strlit7780 = alloc_String("");
    gc_root(strlit7780);
  }
// compiled string node returning strlit7780 (depth = 10)
  int op_slot_right_7779 = gc_frame_newslot(strlit7780);
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_constructName (depth = 11)
  int op_slot_right_7782 = gc_frame_newslot(*var_constructName);
// starting to compile string node (depth = 11)
  if (strlit7784 == NULL) {
    strlit7784 = alloc_String("of of ");
    gc_root(strlit7784);
  }
// compiled string node returning strlit7784 (depth = 11)
  int op_slot_left_7782 = gc_frame_newslot(strlit7784);
  params[0] = *var_constructName;
  partcv[0] = 1;
  Object opresult7785 = callmethod(strlit7784, "++(1)", 1, partcv, params);
// compiled op node returning opresult7785 (depth = 10)
  int op_slot_left_7779 = gc_frame_newslot(opresult7785);
  params[0] = strlit7780;
  partcv[0] = 1;
  Object opresult7786 = callmethod(opresult7785, "++(1)", 1, partcv, params);
// compiled op node returning opresult7786 (depth = 9)
  int op_slot_right_7778 = gc_frame_newslot(opresult7786);
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit7789 == NULL) {
    strlit7789 = alloc_String("' in body ");
    gc_root(strlit7789);
  }
// compiled string node returning strlit7789 (depth = 10)
  int op_slot_right_7788 = gc_frame_newslot(strlit7789);
// starting to compile op node (depth = 10)
// starting to compile member node (depth = 11)
  int callframe7792 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call7793 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7792);
// compiled member node returning call7793 (depth = 11)
  int op_slot_right_7791 = gc_frame_newslot(call7793);
// starting to compile string node (depth = 11)
  if (strlit7795 == NULL) {
    strlit7795 = alloc_String("unexpected symbol '");
    gc_root(strlit7795);
  }
// compiled string node returning strlit7795 (depth = 11)
  int op_slot_left_7791 = gc_frame_newslot(strlit7795);
  params[0] = call7793;
  partcv[0] = 1;
  Object opresult7796 = callmethod(strlit7795, "++(1)", 1, partcv, params);
// compiled op node returning opresult7796 (depth = 10)
  int op_slot_left_7788 = gc_frame_newslot(opresult7796);
  params[0] = strlit7789;
  partcv[0] = 1;
  Object opresult7797 = callmethod(opresult7796, "++(1)", 1, partcv, params);
// compiled op node returning opresult7797 (depth = 9)
  int op_slot_left_7778 = gc_frame_newslot(opresult7797);
  params[0] = opresult7786;
  partcv[0] = 1;
  Object opresult7798 = callmethod(opresult7797, "++(1)", 1, partcv, params);
// compiled op node returning opresult7798 (depth = 8)
  gc_frame_newslot(opresult7798);
// Begin line 2444
  setline(2444);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe7799 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call7800 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7799);
// compiled member node returning call7800 (depth = 8)
  gc_frame_newslot(call7800);
// starting to compile member node (depth = 8)
  int callframe7801 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call7802 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7801);
// compiled member node returning call7802 (depth = 8)
  gc_frame_newslot(call7802);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num7804 = alloc_Float64(1);
// compiled num node returning num7804 (depth = 9)
  int op_slot_right_7803 = gc_frame_newslot(num7804);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe7807 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe7808 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call7809 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe7808);
// compiled member node returning call7809 (depth = 11)
  Object call7810 = callmethodflags(call7809, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7807);
// compiled member node returning call7810 (depth = 10)
  int op_slot_right_7806 = gc_frame_newslot(call7810);
// starting to compile member node (depth = 10)
  int callframe7812 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call7813 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7812);
// compiled member node returning call7813 (depth = 10)
  int op_slot_left_7806 = gc_frame_newslot(call7813);
  params[0] = call7810;
  partcv[0] = 1;
  Object sum7814 = callmethod(call7813, "+(1)", 1, partcv, params);
// compiled op node returning sum7814 (depth = 9)
  int op_slot_left_7803 = gc_frame_newslot(sum7814);
  params[0] = num7804;
  partcv[0] = 1;
  Object diff7815 = callmethod(sum7814, "-(1)", 1, partcv, params);
// compiled op node returning diff7815 (depth = 8)
  gc_frame_newslot(diff7815);
// call case 6: other requests
// Begin line 2442
  setline(2442);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult7798;
  params[1] = call7800;
  params[2] = call7802;
  params[3] = diff7815;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call7816 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe7777);
// compiled call node returning call7816 (depth = 7)
    gc_frame_newslot(call7816);
    if7763 = call7816;
  }
// compiled if node returning if7763 (depth = 6)
    gc_frame_newslot(if7763);
    if7749 = if7763;
  }
// compiled if node returning if7749 (depth = 5)
    gc_frame_newslot(if7749);
    if7669 = if7749;
  }
// compiled if node returning if7669 (depth = 4)
  gc_frame_end(frame);
  return if7669;
}
Object meth_parser_parseObjectConstructorBody_40_1_41_startingWith_40_1_41_after_40_1_41_7556(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 58, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(13, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parseObjectConstructorBody(1)startingWith(1)after(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parseObjectConstructorBody(_)startingWith(_)after(_)");
  if (nparts > 0 && argcv[1] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parseObjectConstructorBody(_)startingWith(_)after(_)");
  if (nparts > 0 && argcv[2] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parseObjectConstructorBody(_)startingWith(_)after(_)");
  Object params[4];
  int partcv[3];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_statementToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 3 && args)
    graceRaise(RequestError(), "missing argument list for parseObjectConstructorBody(_)startingWith(_)after(_) (probably reflection error): got %i lists, expected 3.", nparts);
  Object *var_constructName = &(stackframe->slots[0]);
  *var_constructName = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parseObjectConstructorBody(_)");
  Object *var_btok = &(stackframe->slots[1]);
  *var_btok = args[curarg];
  curarg++;
  if (argcv && argcv[1] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part startingWith(_)");
  Object *var_prev = &(stackframe->slots[2]);
  *var_prev = args[curarg];
  curarg++;
  if (argcv && argcv[2] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part after(_)");
  Object *selfslot = &(stackframe->slots[3]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_localMinIndentLevel = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "localMinIndentLevel");
  Object *var_anns = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "anns");
  Object *var_suggestion = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "suggestion");
  Object *var_nextTok = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "nextTok");
  Object *var_body = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "body");
  Object *var_superObject = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "superObject");
  Object *var_usedTraits = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "usedTraits");
  Object *var_inPreamble = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "inPreamble");
  Object *var_objNode = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "objNode");
// Begin line 2391
  setline(2391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2392
  setline(2392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe7557 = gc_frame_new();
// call case 4: self request
  Object call7558 = callmethodflags(self, "doannotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7557);
// compiled member node returning call7558 (depth = 3)
  *var_anns = call7558;
  if (call7558 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2393
  setline(2393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7561 == NULL) {
    strlit7561 = alloc_String("lbrace");
    gc_root(strlit7561);
  }
// compiled string node returning strlit7561 (depth = 4)
  int op_slot_right_7560 = gc_frame_newslot(strlit7561);
// starting to compile member node (depth = 4)
  int callframe7563 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call7564 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7563);
// compiled member node returning call7564 (depth = 4)
  int op_slot_left_7560 = gc_frame_newslot(call7564);
  params[0] = strlit7561;
  partcv[0] = 1;
  Object opresult7565 = callmethod(call7564, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7565 (depth = 3)
  Object if7559 = done;
  if (istrue(opresult7565)) {
// Begin line 2394
  setline(2394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7566 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7567 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call7568 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7567);
// compiled member node returning call7568 (depth = 5)
  Object call7569 = callmethodflags(call7568, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7566);
// compiled member node returning call7569 (depth = 4)
  *var_suggestion = call7569;
  if (call7569 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2395
  setline(2395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7570 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block7571 = alloc_Block(NULL, NULL, "parser", 2395);
  gc_frame_newslot(block7571);
// method "_apply(_)"
  block_savedest(block7571);
  Object closure7572 = createclosure(1, "_apply(1)");
  setclosureframe(closure7572, stackframe);
  addtoclosure(closure7572, selfslot);
  struct UserObject *uo7572 = (struct UserObject*)block7571;
  uo7572->data[0] = (Object)closure7572;
  Method *meth_meth_parser__apply_40_1_41_7572 = addmethod2pos(block7571, "_apply(1)", &meth_parser__apply_40_1_41_7572, 0);
  int argcv_meth_parser__apply_40_1_41_7572[] = {1};
  meth_meth_parser__apply_40_1_41_7572->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_7572);
  meth_meth_parser__apply_40_1_41_7572->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_7572->definitionLine = 3404;
// compiled block node returning block7571 (depth = 5)
  gc_frame_newslot(block7571);
// call case 4: self request
  params[0] = block7571;
  partcv[0] = 1;
  Object call7580 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7570);
// compiled call node returning call7580 (depth = 4)
  *var_nextTok = call7580;
  if (call7580 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2396
  setline(2396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nextTok (depth = 5)
  int op_slot_right_7582 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 5)
  Object bool7584 = alloc_Boolean(0);
// compiled identifier node returning bool7584 (depth = 5)
  int op_slot_left_7582 = gc_frame_newslot(bool7584);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult7585 = callmethod(bool7584, "==(1)", 1, partcv, params);
// compiled op node returning opresult7585 (depth = 4)
  Object if7581 = done;
  if (istrue(opresult7585)) {
// Begin line 2397
  setline(2397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7586 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7587 == NULL) {
    strlit7587 = alloc_String(" {}");
    gc_root(strlit7587);
  }
// compiled string node returning strlit7587 (depth = 5)
  gc_frame_newslot(strlit7587);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit7587;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7588 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7586);
// compiled call node returning call7588 (depth = 4)
    gc_frame_newslot(call7588);
    if7581 = call7588;
  } else {
// Begin line 2399
  setline(2399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7589 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7590 == NULL) {
    strlit7590 = alloc_String(" {");
    gc_root(strlit7590);
  }
// compiled string node returning strlit7590 (depth = 5)
  gc_frame_newslot(strlit7590);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit7590;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7591 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7589);
// compiled call node returning call7591 (depth = 4)
    gc_frame_newslot(call7591);
    if7581 = call7591;
  }
// compiled if node returning if7581 (depth = 3)
// Begin line 2401
  setline(2401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7592 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7594 == NULL) {
    strlit7594 = alloc_String(".");
    gc_root(strlit7594);
  }
// compiled string node returning strlit7594 (depth = 5)
  int op_slot_right_7593 = gc_frame_newslot(strlit7594);
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_prev (depth = 6)
  int op_slot_right_7596 = gc_frame_newslot(*var_prev);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7599 == NULL) {
    strlit7599 = alloc_String(" must have a '{' after the ");
    gc_root(strlit7599);
  }
// compiled string node returning strlit7599 (depth = 7)
  int op_slot_right_7598 = gc_frame_newslot(strlit7599);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_constructName (depth = 8)
  int op_slot_right_7601 = gc_frame_newslot(*var_constructName);
// starting to compile string node (depth = 8)
  if (strlit7603 == NULL) {
    strlit7603 = alloc_String("");
    gc_root(strlit7603);
  }
// compiled string node returning strlit7603 (depth = 8)
  int op_slot_left_7601 = gc_frame_newslot(strlit7603);
  params[0] = *var_constructName;
  partcv[0] = 1;
  Object opresult7604 = callmethod(strlit7603, "++(1)", 1, partcv, params);
// compiled op node returning opresult7604 (depth = 7)
  int op_slot_left_7598 = gc_frame_newslot(opresult7604);
  params[0] = strlit7599;
  partcv[0] = 1;
  Object opresult7605 = callmethod(opresult7604, "++(1)", 1, partcv, params);
// compiled op node returning opresult7605 (depth = 6)
  int op_slot_left_7596 = gc_frame_newslot(opresult7605);
  params[0] = *var_prev;
  partcv[0] = 1;
  Object opresult7606 = callmethod(opresult7605, "++(1)", 1, partcv, params);
// compiled op node returning opresult7606 (depth = 5)
  int op_slot_left_7593 = gc_frame_newslot(opresult7606);
  params[0] = strlit7594;
  partcv[0] = 1;
  Object opresult7607 = callmethod(opresult7606, "++(1)", 1, partcv, params);
// compiled op node returning opresult7607 (depth = 4)
  gc_frame_newslot(opresult7607);
// Begin line 2402
  setline(2402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe7608 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call7609 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7608);
// compiled member node returning call7609 (depth = 4)
  gc_frame_newslot(call7609);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7611 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call7612 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7611);
// compiled member node returning call7612 (depth = 5)
  int op_slot_right_7610 = gc_frame_newslot(call7612);
// starting to compile member node (depth = 5)
  int callframe7614 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call7615 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7614);
// compiled member node returning call7615 (depth = 5)
  int op_slot_left_7610 = gc_frame_newslot(call7615);
  params[0] = call7612;
  partcv[0] = 1;
  Object sum7616 = callmethod(call7615, "+(1)", 1, partcv, params);
// compiled op node returning sum7616 (depth = 4)
  gc_frame_newslot(sum7616);
// Begin line 2403
  setline(2403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2401
  setline(2401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = opresult7607;
  params[1] = call7609;
  params[2] = sum7616;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7617 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7592);
// compiled call node returning call7617 (depth = 3)
    gc_frame_newslot(call7617);
    if7559 = call7617;
  } else {
  }
// compiled if node returning if7559 (depth = 2)
// Begin line 2405
  setline(2405);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe7618 = gc_frame_new();
// call case 4: self request
  Object call7619 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7618);
// compiled member node returning call7619 (depth = 2)
// Begin line 2406
  setline(2406);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7622 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_statementToken (depth = 5)
  Object call7623 = callmethodflags(*var_statementToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7622);
// compiled member node returning call7623 (depth = 4)
  int op_slot_right_7621 = gc_frame_newslot(call7623);
// starting to compile member node (depth = 4)
  int callframe7625 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call7626 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7625);
// compiled member node returning call7626 (depth = 4)
  int op_slot_left_7621 = gc_frame_newslot(call7626);
  params[0] = call7623;
  partcv[0] = 1;
  Object opresult7627 = callmethod(call7626, "==(1)", 1, partcv, params);
// compiled op node returning opresult7627 (depth = 3)
  Object if7620 = done;
  if (istrue(opresult7627)) {
// Begin line 2407
  setline(2407);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7629 = alloc_Float64(2);
// compiled num node returning num7629 (depth = 5)
  int op_slot_right_7628 = gc_frame_newslot(num7629);
// starting to compile member node (depth = 5)
  int callframe7631 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call7632 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7631);
// compiled member node returning call7632 (depth = 5)
  int op_slot_left_7628 = gc_frame_newslot(call7632);
  params[0] = num7629;
  partcv[0] = 1;
  Object diff7633 = callmethod(call7632, "-(1)", 1, partcv, params);
// compiled op node returning diff7633 (depth = 4)
  *var_minIndentLevel = diff7633;
  if (diff7633 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if7620 = done;
  } else {
// Begin line 2409
  setline(2409);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7636 = alloc_Float64(2);
// compiled num node returning num7636 (depth = 5)
  int op_slot_right_7635 = gc_frame_newslot(num7636);
// starting to compile member node (depth = 5)
  int callframe7638 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_statementToken (depth = 6)
  Object call7639 = callmethodflags(*var_statementToken, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe7638);
// compiled member node returning call7639 (depth = 5)
  int op_slot_left_7635 = gc_frame_newslot(call7639);
  params[0] = num7636;
  partcv[0] = 1;
  Object sum7640 = callmethod(call7639, "+(1)", 1, partcv, params);
// compiled op node returning sum7640 (depth = 4)
  *var_minIndentLevel = sum7640;
  if (sum7640 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if7620 = done;
  }
// compiled if node returning if7620 (depth = 2)
// Begin line 2411
  setline(2411);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array7642 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7642 (depth = 3)
  *var_body = array7642;
  if (array7642 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2412
  setline(2412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool7643 = alloc_Boolean(0);
// compiled identifier node returning bool7643 (depth = 3)
  *var_superObject = bool7643;
  if (bool7643 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2413
  setline(2413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array7644 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7644 (depth = 3)
  *var_usedTraits = array7644;
  if (array7644 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2414
  setline(2414);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool7645 = alloc_Boolean(1);
// compiled identifier node returning bool7645 (depth = 3)
  *var_inPreamble = bool7645;
  if (bool7645 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2415
  setline(2415);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7646 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block7647 = alloc_Block(NULL, NULL, "parser", 2415);
  gc_frame_newslot(block7647);
// method "_apply"
  block_savedest(block7647);
  Object closure7648 = createclosure(2, "_apply");
  setclosureframe(closure7648, stackframe);
  addtoclosure(closure7648, var_sym);
  addtoclosure(closure7648, selfslot);
  struct UserObject *uo7648 = (struct UserObject*)block7647;
  uo7648->data[0] = (Object)closure7648;
  Method *meth_meth_parser__apply7648 = addmethod2pos(block7647, "_apply", &meth_parser__apply7648, 0);
  int argcv_meth_parser__apply7648[] = {0};
  meth_meth_parser__apply7648->type = alloc_MethodType(1, argcv_meth_parser__apply7648);
  meth_meth_parser__apply7648->definitionModule = modulename;
  meth_meth_parser__apply7648->definitionLine = 3404;
// compiled block node returning block7647 (depth = 3)
  gc_frame_newslot(block7647);
// starting to compile block node (depth = 3)
  Object block7667 = alloc_Block(NULL, NULL, "parser", 2415);
  gc_frame_newslot(block7667);
// method "_apply"
  block_savedest(block7667);
  Object closure7668 = createclosure(9, "_apply");
  setclosureframe(closure7668, stackframe);
  addtoclosure(closure7668, var_values);
  addtoclosure(closure7668, var_inPreamble);
  addtoclosure(closure7668, var_usedTraits);
  addtoclosure(closure7668, var_superObject);
  addtoclosure(closure7668, var_constructName);
  addtoclosure(closure7668, var_errormessages);
  addtoclosure(closure7668, var_body);
  addtoclosure(closure7668, var_sym);
  addtoclosure(closure7668, selfslot);
  struct UserObject *uo7668 = (struct UserObject*)block7667;
  uo7668->data[0] = (Object)closure7668;
  Method *meth_meth_parser__apply7668 = addmethod2pos(block7667, "_apply", &meth_parser__apply7668, 0);
  int argcv_meth_parser__apply7668[] = {0};
  meth_meth_parser__apply7668->type = alloc_MethodType(1, argcv_meth_parser__apply7668);
  meth_meth_parser__apply7668->definitionModule = modulename;
  meth_meth_parser__apply7668->definitionLine = 3404;
// compiled block node returning block7667 (depth = 3)
  gc_frame_newslot(block7667);
// call case 5: prelude request
  params[0] = block7647;
  params[1] = block7667;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7818 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7646);
// compiled call node returning call7818 (depth = 2)
// Begin line 2447
  setline(2447);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe7819 = gc_frame_new();
// call case 4: self request
  Object call7820 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7819);
// compiled member node returning call7820 (depth = 2)
// Begin line 2448
  setline(2448);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7821 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe7822 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_btok (depth = 4)
  Object call7823 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7822);
// compiled member node returning call7823 (depth = 3)
  gc_frame_newslot(call7823);
// starting to compile member node (depth = 3)
  int callframe7824 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_btok (depth = 4)
  Object call7825 = callmethodflags(*var_btok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7824);
// compiled member node returning call7825 (depth = 3)
  gc_frame_newslot(call7825);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call7823;
  params[1] = call7825;
  partcv[0] = 2;
  Object call7826 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7821);
// compiled call node returning call7826 (depth = 2)
// Begin line 2449
  setline(2449);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7827 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body (depth = 4)
  gc_frame_newslot(*var_body);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_superObject (depth = 4)
  gc_frame_newslot(*var_superObject);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7828 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call7829 = callmethodflags(*var_ast, "objectNode", 0, partcv, params, 0);
  gc_frame_end(callframe7828);
// compiled member node returning call7829 (depth = 4)
  params[0] = *var_body;
  params[1] = *var_superObject;
  partcv[0] = 2;
  Object call7830 = callmethodflags(call7829, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe7827);
// compiled call node returning call7830 (depth = 3)
  *var_objNode = call7830;
  if (call7830 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2450
  setline(2450);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_anns (depth = 4)
  int op_slot_right_7832 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 4)
  Object bool7834 = alloc_Boolean(0);
// compiled identifier node returning bool7834 (depth = 4)
  int op_slot_left_7832 = gc_frame_newslot(bool7834);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult7835 = callmethod(bool7834, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7835 (depth = 3)
  Object if7831 = done;
  if (istrue(opresult7835)) {
// starting to compile call node (depth = 3)
  int callframe7836 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_anns (depth = 4)
  gc_frame_newslot(*var_anns);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe7837 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_objNode (depth = 5)
  Object call7838 = callmethodflags(*var_objNode, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe7837);
// compiled member node returning call7838 (depth = 4)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call7839 = callmethodflags(call7838, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7836);
// compiled call node returning call7839 (depth = 3)
    gc_frame_newslot(call7839);
    if7831 = call7839;
  } else {
  }
// compiled if node returning if7831 (depth = 2)
// Begin line 2451
  setline(2451);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7840 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_usedTraits (depth = 3)
  gc_frame_newslot(*var_usedTraits);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_objNode (depth = 3)
  params[0] = *var_usedTraits;
  partcv[0] = 1;
  Object call7841 = callmethodflags(*var_objNode, "usedTraits:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7840);
// compiled call node returning call7841 (depth = 2)
// Begin line 2452
  setline(2452);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7842 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_objNode (depth = 3)
  gc_frame_newslot(*var_objNode);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_objNode;
  partcv[0] = 1;
  Object call7843 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7842);
// compiled call node returning call7843 (depth = 2)
// Begin line 2453
  setline(2453);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_localMinIndentLevel (depth = 3)
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_doclass7845(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 59, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(15, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doclass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_minIndentLevel = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_objName = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "objName");
  Object *var_meth = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "meth");
  Object *var_objNode = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "objNode");
  Object *var_asStringBody = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "asStringBody");
  Object *var_signature = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "signature");
  Object *var_asStringMeth = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "asStringMeth");
  Object *var_metaBody = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "metaBody");
  Object *var_metaObj = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "metaObj");
  Object *var_defDec = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "defDec");
// Begin line 2485
  setline(2485);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2486
  setline(2486);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe7846 = gc_frame_new();
// call case 4: self request
  Object call7847 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7846);
// compiled member node returning call7847 (depth = 2)
// Begin line 2487
  setline(2487);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2488
  setline(2488);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7850 == NULL) {
    strlit7850 = alloc_String("identifier");
    gc_root(strlit7850);
  }
// compiled string node returning strlit7850 (depth = 4)
  int op_slot_right_7849 = gc_frame_newslot(strlit7850);
// starting to compile member node (depth = 4)
  int callframe7852 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call7853 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7852);
// compiled member node returning call7853 (depth = 4)
  int op_slot_left_7849 = gc_frame_newslot(call7853);
  params[0] = strlit7850;
  partcv[0] = 1;
  Object opresult7854 = callmethod(call7853, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7854 (depth = 3)
  Object if7848 = done;
  if (istrue(opresult7854)) {
// Begin line 2489
  setline(2489);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array7855 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array7855 (depth = 4)
  *var_suggestions = array7855;
  if (array7855 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2490
  setline(2490);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit7858 == NULL) {
    strlit7858 = alloc_String("lbrace");
    gc_root(strlit7858);
  }
// compiled string node returning strlit7858 (depth = 5)
  int op_slot_right_7857 = gc_frame_newslot(strlit7858);
// starting to compile member node (depth = 5)
  int callframe7860 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call7861 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7860);
// compiled member node returning call7861 (depth = 5)
  int op_slot_left_7857 = gc_frame_newslot(call7861);
  params[0] = strlit7858;
  partcv[0] = 1;
  Object opresult7862 = callmethod(call7861, "==(1)", 1, partcv, params);
// compiled op node returning opresult7862 (depth = 4)
  Object if7856 = done;
  if (istrue(opresult7862)) {
// Begin line 2491
  setline(2491);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7863 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call7865 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7864);
// compiled member node returning call7865 (depth = 6)
  Object call7866 = callmethodflags(call7865, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7863);
// compiled member node returning call7866 (depth = 5)
  *var_suggestion = call7866;
  if (call7866 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2492
  setline(2492);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7867 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7868 == NULL) {
    strlit7868 = alloc_String(" ""\xc2""""\xab""class name""\xc2""""\xbb"".new");
    gc_root(strlit7868);
  }
// compiled string node returning strlit7868 (depth = 5)
  gc_frame_newslot(strlit7868);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit7868;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7869 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7867);
// compiled call node returning call7869 (depth = 4)
// Begin line 2493
  setline(2493);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7870 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7871 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7870);
// compiled call node returning call7871 (depth = 4)
// Begin line 2494
  setline(2494);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7872 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7873 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call7874 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7873);
// compiled member node returning call7874 (depth = 6)
  Object call7875 = callmethodflags(call7874, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7872);
// compiled member node returning call7875 (depth = 5)
  *var_suggestion = call7875;
  if (call7875 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2495
  setline(2495);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7877 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// starting to compile string node (depth = 5)
  if (strlit7878 == NULL) {
    strlit7878 = alloc_String("object");
    gc_root(strlit7878);
  }
// compiled string node returning strlit7878 (depth = 5)
  gc_frame_newslot(strlit7878);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_lastToken;
  params[1] = strlit7878;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7879 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7877);
// compiled call node returning call7879 (depth = 4)
// Begin line 2496
  setline(2496);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7880 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7881 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7880);
// compiled call node returning call7881 (depth = 4)
    gc_frame_newslot(call7881);
    if7856 = call7881;
  } else {
// Begin line 2498
  setline(2498);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7882 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7883 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call7884 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe7883);
// compiled member node returning call7884 (depth = 6)
  Object call7885 = callmethodflags(call7884, "new", 0, partcv, params, 0);
  gc_frame_end(callframe7882);
// compiled member node returning call7885 (depth = 5)
  *var_suggestion = call7885;
  if (call7885 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2499
  setline(2499);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7886 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit7887 == NULL) {
    strlit7887 = alloc_String(" ""\xc2""""\xab""class name""\xc2""""\xbb"".new {}");
    gc_root(strlit7887);
  }
// compiled string node returning strlit7887 (depth = 5)
  gc_frame_newslot(strlit7887);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit7887;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call7888 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7886);
// compiled call node returning call7888 (depth = 4)
// Begin line 2500
  setline(2500);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe7889 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call7890 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7889);
// compiled call node returning call7890 (depth = 4)
    gc_frame_newslot(call7890);
    if7856 = call7890;
  }
// compiled if node returning if7856 (depth = 3)
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7891 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit7892 == NULL) {
    strlit7892 = alloc_String("a class must have a name after the 'class'.");
    gc_root(strlit7892);
  }
// compiled string node returning strlit7892 (depth = 4)
  gc_frame_newslot(strlit7892);
// Begin line 2503
  setline(2503);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe7893 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call7894 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe7893);
// compiled member node returning call7894 (depth = 4)
  gc_frame_newslot(call7894);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num7896 = alloc_Float64(1);
// compiled num node returning num7896 (depth = 5)
  int op_slot_right_7895 = gc_frame_newslot(num7896);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe7899 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call7900 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe7899);
// compiled member node returning call7900 (depth = 6)
  int op_slot_right_7898 = gc_frame_newslot(call7900);
// starting to compile member node (depth = 6)
  int callframe7902 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call7903 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe7902);
// compiled member node returning call7903 (depth = 6)
  int op_slot_left_7898 = gc_frame_newslot(call7903);
  params[0] = call7900;
  partcv[0] = 1;
  Object sum7904 = callmethod(call7903, "+(1)", 1, partcv, params);
// compiled op node returning sum7904 (depth = 5)
  int op_slot_left_7895 = gc_frame_newslot(sum7904);
  params[0] = num7896;
  partcv[0] = 1;
  Object sum7905 = callmethod(sum7904, "+(1)", 1, partcv, params);
// compiled op node returning sum7905 (depth = 4)
  gc_frame_newslot(sum7905);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestions (depth = 4)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2502
  setline(2502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit7892;
  params[1] = call7894;
  params[2] = sum7905;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call7906 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe7891);
// compiled call node returning call7906 (depth = 3)
    gc_frame_newslot(call7906);
    if7848 = call7906;
  } else {
  }
// compiled if node returning if7848 (depth = 2)
// Begin line 2505
  setline(2505);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile identifier node (depth = 3)
  Object bool7907 = alloc_Boolean(0);
// compiled identifier node returning bool7907 (depth = 3)
  *var_objName = bool7907;
  if (bool7907 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2506
  setline(2506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit7910 == NULL) {
    strlit7910 = alloc_String("dot");
    gc_root(strlit7910);
  }
// compiled string node returning strlit7910 (depth = 4)
  int op_slot_right_7909 = gc_frame_newslot(strlit7910);
// starting to compile member node (depth = 4)
  int callframe7912 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7913 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  Object call7914 = callmethodflags(*var_tokens, "first", 0, partcv, params, 0);
  gc_frame_end(callframe7913);
// compiled member node returning call7914 (depth = 5)
  Object call7915 = callmethodflags(call7914, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe7912);
// compiled member node returning call7915 (depth = 4)
  int op_slot_left_7909 = gc_frame_newslot(call7915);
  params[0] = strlit7910;
  partcv[0] = 1;
  Object opresult7916 = callmethod(call7915, "==(1)", 1, partcv, params);
// compiled op node returning opresult7916 (depth = 3)
  Object if7908 = done;
  if (istrue(opresult7916)) {
// Begin line 2507
  setline(2507);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7917 = gc_frame_new();
// call case 4: self request
  Object call7918 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7917);
// compiled member node returning call7918 (depth = 3)
// Begin line 2508
  setline(2508);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe7919 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call7920 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7919);
// compiled member node returning call7920 (depth = 4)
  *var_objName = call7920;
  if (call7920 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2509
  setline(2509);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7922 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7923 = alloc_Boolean(1);
// compiled identifier node returning bool7923 (depth = 4)
  gc_frame_newslot(bool7923);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objName (depth = 4)
  params[0] = bool7923;
  partcv[0] = 1;
  Object call7924 = callmethodflags(*var_objName, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7922);
// compiled call node returning call7924 (depth = 3)
// Begin line 2510
  setline(2510);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe7925 = gc_frame_new();
// call case 4: self request
  Object call7926 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7925);
// compiled member node returning call7926 (depth = 3)
    gc_frame_newslot(call7926);
    if7908 = call7926;
  } else {
  }
// compiled if node returning if7908 (depth = 2)
// Begin line 2512
  setline(2512);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe7927 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool7928 = alloc_Boolean(0);
// compiled identifier node returning bool7928 (depth = 4)
  gc_frame_newslot(bool7928);
// call case 4: self request
  params[0] = bool7928;
  partcv[0] = 1;
  Object call7929 = callmethodflags(self, "methodsignature(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7927);
// compiled call node returning call7929 (depth = 3)
  *var_meth = call7929;
  if (call7929 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2513
  setline(2513);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7930 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_btok (depth = 3)
  gc_frame_newslot(*var_btok);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_meth (depth = 3)
  params[0] = *var_btok;
  partcv[0] = 1;
  Object call7931 = callmethodflags(*var_meth, "setPositionFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7930);
// compiled call node returning call7931 (depth = 2)
// Begin line 2514
  setline(2514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7932 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit7933 == NULL) {
    strlit7933 = alloc_String("a class");
    gc_root(strlit7933);
  }
// compiled string node returning strlit7933 (depth = 3)
  gc_frame_newslot(strlit7933);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_btok (depth = 3)
  gc_frame_newslot(*var_btok);
// starting to compile string node (depth = 3)
  if (strlit7934 == NULL) {
    strlit7934 = alloc_String("method header");
    gc_root(strlit7934);
  }
// compiled string node returning strlit7934 (depth = 3)
  gc_frame_newslot(strlit7934);
// call case 4: self request
  params[0] = strlit7933;
  params[1] = *var_btok;
  params[2] = strlit7934;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call7935 = callmethodflags(self, "parseObjectConstructorBody(1)startingWith(1)after(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe7932);
// compiled call node returning call7935 (depth = 2)
// Begin line 2515
  setline(2515);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe7936 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  Object call7937 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe7936);
// compiled member node returning call7937 (depth = 3)
  *var_objNode = call7937;
  if (call7937 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2516
  setline(2516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7938 = gc_frame_new();
// starting to compile array node (depth = 3)
  Object array7939 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objNode (depth = 4)
  params[0] = *var_objNode;
  partcv[0] = 1;
  callmethodflags(array7939, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array7939 (depth = 3)
  gc_frame_newslot(array7939);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_meth (depth = 3)
  params[0] = array7939;
  partcv[0] = 1;
  Object call7940 = callmethodflags(*var_meth, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7938);
// compiled call node returning call7940 (depth = 2)
// Begin line 2517
  setline(2517);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7941 = gc_frame_new();
// starting to compile identifier node (depth = 3)
  Object bool7942 = alloc_Boolean(1);
// compiled identifier node returning bool7942 (depth = 3)
  gc_frame_newslot(bool7942);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_meth (depth = 3)
  params[0] = bool7942;
  partcv[0] = 1;
  Object call7943 = callmethodflags(*var_meth, "usesClassSyntax:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7941);
// compiled call node returning call7943 (depth = 2)
// Begin line 2518
  setline(2518);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe7944 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe7945 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objNode (depth = 4)
  Object call7946 = callmethodflags(*var_objNode, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe7945);
// compiled member node returning call7946 (depth = 3)
  gc_frame_newslot(call7946);
// call case 6: other requests
// starting to compile member node (depth = 3)
  int callframe7947 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  Object call7948 = callmethodflags(*var_meth, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe7947);
// compiled member node returning call7948 (depth = 3)
  params[0] = call7946;
  partcv[0] = 1;
  Object call7949 = callmethodflags(call7948, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7944);
// compiled call node returning call7949 (depth = 2)
// Begin line 2520
  setline(2520);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objName (depth = 4)
  int op_slot_right_7951 = gc_frame_newslot(*var_objName);
// starting to compile identifier node (depth = 4)
  Object bool7953 = alloc_Boolean(0);
// compiled identifier node returning bool7953 (depth = 4)
  int op_slot_left_7951 = gc_frame_newslot(bool7953);
  params[0] = *var_objName;
  partcv[0] = 1;
  Object opresult7954 = callmethod(bool7953, "≠(1)", 1, partcv, params);
// compiled op node returning opresult7954 (depth = 3)
  Object if7950 = done;
  if (istrue(opresult7954)) {
// Begin line 2521
  setline(2521);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe7955 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe7957 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_meth (depth = 6)
  Object call7958 = callmethodflags(*var_meth, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe7957);
// compiled member node returning call7958 (depth = 5)
  int op_slot_right_7956 = gc_frame_newslot(call7958);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7961 == NULL) {
    strlit7961 = alloc_String(".");
    gc_root(strlit7961);
  }
// compiled string node returning strlit7961 (depth = 6)
  int op_slot_right_7960 = gc_frame_newslot(strlit7961);
// starting to compile member node (depth = 6)
  int callframe7963 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_objName (depth = 7)
  Object call7964 = callmethodflags(*var_objName, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe7963);
// compiled member node returning call7964 (depth = 6)
  int op_slot_left_7960 = gc_frame_newslot(call7964);
  params[0] = strlit7961;
  partcv[0] = 1;
  Object opresult7965 = callmethod(call7964, "++(1)", 1, partcv, params);
// compiled op node returning opresult7965 (depth = 5)
  int op_slot_left_7956 = gc_frame_newslot(opresult7965);
  params[0] = call7958;
  partcv[0] = 1;
  Object opresult7966 = callmethod(opresult7965, "++(1)", 1, partcv, params);
// compiled op node returning opresult7966 (depth = 4)
  gc_frame_newslot(opresult7966);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objNode (depth = 4)
  params[0] = opresult7966;
  partcv[0] = 1;
  Object call7967 = callmethodflags(*var_objNode, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7955);
// compiled call node returning call7967 (depth = 3)
// Begin line 2522
  setline(2522);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array7968 = alloc_BuiltinList();
  gc_pause();
// starting to compile call node (depth = 5)
  int callframe7969 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit7971 == NULL) {
    strlit7971 = alloc_String("");
    gc_root(strlit7971);
  }
// compiled string node returning strlit7971 (depth = 7)
  int op_slot_right_7970 = gc_frame_newslot(strlit7971);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe7974 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_objName (depth = 9)
  Object call7975 = callmethodflags(*var_objName, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe7974);
// compiled member node returning call7975 (depth = 8)
  int op_slot_right_7973 = gc_frame_newslot(call7975);
// starting to compile string node (depth = 8)
  if (strlit7977 == NULL) {
    strlit7977 = alloc_String("class ");
    gc_root(strlit7977);
  }
// compiled string node returning strlit7977 (depth = 8)
  int op_slot_left_7973 = gc_frame_newslot(strlit7977);
  params[0] = call7975;
  partcv[0] = 1;
  Object opresult7978 = callmethod(strlit7977, "++(1)", 1, partcv, params);
// compiled op node returning opresult7978 (depth = 7)
  int op_slot_left_7970 = gc_frame_newslot(opresult7978);
  params[0] = strlit7971;
  partcv[0] = 1;
  Object opresult7979 = callmethod(opresult7978, "++(1)", 1, partcv, params);
// compiled op node returning opresult7979 (depth = 6)
  gc_frame_newslot(opresult7979);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7980 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call7981 = callmethodflags(*var_ast, "stringNode", 0, partcv, params, 0);
  gc_frame_end(callframe7980);
// compiled member node returning call7981 (depth = 6)
  params[0] = opresult7979;
  partcv[0] = 1;
  Object call7982 = callmethodflags(call7981, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7969);
// compiled call node returning call7982 (depth = 5)
  params[0] = call7982;
  partcv[0] = 1;
  callmethodflags(array7968, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array7968 (depth = 4)
  *var_asStringBody = array7968;
  if (array7968 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2523
  setline(2523);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array7983 = alloc_BuiltinList();
  gc_pause();
// starting to compile call node (depth = 5)
  int callframe7984 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit7985 == NULL) {
    strlit7985 = alloc_String("asString");
    gc_root(strlit7985);
  }
// compiled string node returning strlit7985 (depth = 6)
  gc_frame_newslot(strlit7985);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe7986 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call7987 = callmethodflags(*var_ast, "signaturePart", 0, partcv, params, 0);
  gc_frame_end(callframe7986);
// compiled member node returning call7987 (depth = 6)
  params[0] = strlit7985;
  partcv[0] = 1;
  Object call7988 = callmethodflags(call7987, "partName(1)", 1, partcv, params, 0);
  gc_frame_end(callframe7984);
// compiled call node returning call7988 (depth = 5)
  params[0] = call7988;
  partcv[0] = 1;
  callmethodflags(array7983, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array7983 (depth = 4)
  *var_signature = array7983;
  if (array7983 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2524
  setline(2524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7989 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  gc_frame_newslot(*var_signature);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_asStringBody (depth = 5)
  gc_frame_newslot(*var_asStringBody);
// starting to compile identifier node (depth = 5)
  Object bool7990 = alloc_Boolean(0);
// compiled identifier node returning bool7990 (depth = 5)
  gc_frame_newslot(bool7990);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe7991 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call7992 = callmethodflags(*var_ast, "methodNode", 0, partcv, params, 0);
  gc_frame_end(callframe7991);
// compiled member node returning call7992 (depth = 5)
  params[0] = *var_signature;
  params[1] = *var_asStringBody;
  params[2] = bool7990;
  partcv[0] = 3;
  Object call7993 = callmethodflags(call7992, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe7989);
// compiled call node returning call7993 (depth = 4)
  *var_asStringMeth = call7993;
  if (call7993 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2525
  setline(2525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array7994 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  params[0] = *var_meth;
  partcv[0] = 1;
  callmethodflags(array7994, "push(1)", 1, partcv, params, CFLAG_SELF);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_asStringMeth (depth = 5)
  params[0] = *var_asStringMeth;
  partcv[0] = 1;
  callmethodflags(array7994, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array7994 (depth = 4)
  *var_metaBody = array7994;
  if (array7994 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2526
  setline(2526);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe7995 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_metaBody (depth = 5)
  gc_frame_newslot(*var_metaBody);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit7997 == NULL) {
    strlit7997 = alloc_String("");
    gc_root(strlit7997);
  }
// compiled string node returning strlit7997 (depth = 6)
  int op_slot_right_7996 = gc_frame_newslot(strlit7997);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8000 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_objName (depth = 8)
  Object call8001 = callmethodflags(*var_objName, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8000);
// compiled member node returning call8001 (depth = 7)
  int op_slot_right_7999 = gc_frame_newslot(call8001);
// starting to compile string node (depth = 7)
  if (strlit8003 == NULL) {
    strlit8003 = alloc_String("class ");
    gc_root(strlit8003);
  }
// compiled string node returning strlit8003 (depth = 7)
  int op_slot_left_7999 = gc_frame_newslot(strlit8003);
  params[0] = call8001;
  partcv[0] = 1;
  Object opresult8004 = callmethod(strlit8003, "++(1)", 1, partcv, params);
// compiled op node returning opresult8004 (depth = 6)
  int op_slot_left_7996 = gc_frame_newslot(opresult8004);
  params[0] = strlit7997;
  partcv[0] = 1;
  Object opresult8005 = callmethod(opresult8004, "++(1)", 1, partcv, params);
// compiled op node returning opresult8005 (depth = 5)
  gc_frame_newslot(opresult8005);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8006 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call8007 = callmethodflags(*var_ast, "objectNode", 0, partcv, params, 0);
  gc_frame_end(callframe8006);
// compiled member node returning call8007 (depth = 5)
  params[0] = *var_metaBody;
  params[1] = opresult8005;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8008 = callmethodflags(call8007, "body(1)named(1)", 2, partcv, params, 0);
  gc_frame_end(callframe7995);
// compiled call node returning call8008 (depth = 4)
  *var_metaObj = call8008;
  if (call8008 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2527
  setline(2527);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8009 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_objName (depth = 5)
  gc_frame_newslot(*var_objName);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_metaObj (depth = 5)
  gc_frame_newslot(*var_metaObj);
// starting to compile member node (depth = 5)
  int callframe8010 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call8011 = callmethodflags(*var_ast, "unknownType", 0, partcv, params, 0);
  gc_frame_end(callframe8010);
// compiled member node returning call8011 (depth = 5)
  gc_frame_newslot(call8011);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8012 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call8013 = callmethodflags(*var_ast, "defDecNode", 0, partcv, params, 0);
  gc_frame_end(callframe8012);
// compiled member node returning call8013 (depth = 5)
  params[0] = *var_objName;
  params[1] = *var_metaObj;
  params[2] = call8011;
  partcv[0] = 3;
  Object call8014 = callmethodflags(call8013, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe8009);
// compiled call node returning call8014 (depth = 4)
  *var_defDec = call8014;
  if (call8014 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2528
  setline(2528);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8015 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_btok (depth = 4)
  gc_frame_newslot(*var_btok);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_defDec (depth = 4)
  params[0] = *var_btok;
  partcv[0] = 1;
  Object call8016 = callmethodflags(*var_defDec, "startToken:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8015);
// compiled call node returning call8016 (depth = 3)
// Begin line 2529
  setline(2529);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8017 = gc_frame_new();
// starting to compile call node (depth = 4)
  int callframe8018 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8019 == NULL) {
    strlit8019 = alloc_String("public");
    gc_root(strlit8019);
  }
// compiled string node returning strlit8019 (depth = 5)
  gc_frame_newslot(strlit8019);
// starting to compile identifier node (depth = 5)
  Object bool8020 = alloc_Boolean(0);
// compiled identifier node returning bool8020 (depth = 5)
  gc_frame_newslot(bool8020);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8021 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call8022 = callmethodflags(*var_ast, "identifierNode", 0, partcv, params, 0);
  gc_frame_end(callframe8021);
// compiled member node returning call8022 (depth = 5)
  params[0] = strlit8019;
  params[1] = bool8020;
  partcv[0] = 2;
  Object call8023 = callmethodflags(call8022, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8018);
// compiled call node returning call8023 (depth = 4)
  gc_frame_newslot(call8023);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8024 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_defDec (depth = 5)
  Object call8025 = callmethodflags(*var_defDec, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe8024);
// compiled member node returning call8025 (depth = 4)
  params[0] = call8023;
  partcv[0] = 1;
  Object call8026 = callmethodflags(call8025, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8017);
// compiled call node returning call8026 (depth = 3)
// Begin line 2530
  setline(2530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8027 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_defDec (depth = 4)
  gc_frame_newslot(*var_defDec);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_defDec;
  partcv[0] = 1;
  Object call8028 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8027);
// compiled call node returning call8028 (depth = 3)
    gc_frame_newslot(call8028);
    if7950 = call8028;
  } else {
// Begin line 2532
  setline(2532);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8029 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8030 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  Object call8031 = callmethodflags(*var_meth, "canonicalName", 0, partcv, params, 0);
  gc_frame_end(callframe8030);
// compiled member node returning call8031 (depth = 4)
  gc_frame_newslot(call8031);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objNode (depth = 4)
  params[0] = call8031;
  partcv[0] = 1;
  Object call8032 = callmethodflags(*var_objNode, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8029);
// compiled call node returning call8032 (depth = 3)
// Begin line 2533
  setline(2533);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8035 == NULL) {
    strlit8035 = alloc_String("class");
    gc_root(strlit8035);
  }
// compiled string node returning strlit8035 (depth = 5)
  int op_slot_right_8034 = gc_frame_newslot(strlit8035);
// starting to compile member node (depth = 5)
  int callframe8037 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  Object call8038 = callmethodflags(*var_btok, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8037);
// compiled member node returning call8038 (depth = 5)
  int op_slot_left_8034 = gc_frame_newslot(call8038);
  params[0] = strlit8035;
  partcv[0] = 1;
  Object opresult8039 = callmethod(call8038, "==(1)", 1, partcv, params);
// compiled op node returning opresult8039 (depth = 4)
  Object if8033 = done;
  if (istrue(opresult8039)) {
// Begin line 2534
  setline(2534);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8040 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool8041 = alloc_Boolean(1);
// compiled identifier node returning bool8041 (depth = 5)
  gc_frame_newslot(bool8041);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_objNode (depth = 5)
  params[0] = bool8041;
  partcv[0] = 1;
  Object call8042 = callmethodflags(*var_objNode, "inClass:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8040);
// compiled call node returning call8042 (depth = 4)
    gc_frame_newslot(call8042);
    if8033 = call8042;
  } else {
// Begin line 2538
  setline(2538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 2535
  setline(2535);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8045 == NULL) {
    strlit8045 = alloc_String("trait");
    gc_root(strlit8045);
  }
// compiled string node returning strlit8045 (depth = 6)
  int op_slot_right_8044 = gc_frame_newslot(strlit8045);
// starting to compile member node (depth = 6)
  int callframe8047 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  Object call8048 = callmethodflags(*var_btok, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8047);
// compiled member node returning call8048 (depth = 6)
  int op_slot_left_8044 = gc_frame_newslot(call8048);
  params[0] = strlit8045;
  partcv[0] = 1;
  Object opresult8049 = callmethod(call8048, "==(1)", 1, partcv, params);
// compiled op node returning opresult8049 (depth = 5)
  Object if8043 = done;
  if (istrue(opresult8049)) {
// Begin line 2536
  setline(2536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8050 = gc_frame_new();
// starting to compile identifier node (depth = 6)
  Object bool8051 = alloc_Boolean(1);
// compiled identifier node returning bool8051 (depth = 6)
  gc_frame_newslot(bool8051);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_objNode (depth = 6)
  params[0] = bool8051;
  partcv[0] = 1;
  Object call8052 = callmethodflags(*var_objNode, "inTrait:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8050);
// compiled call node returning call8052 (depth = 5)
    gc_frame_newslot(call8052);
    if8043 = call8052;
  } else {
  }
// compiled if node returning if8043 (depth = 4)
    gc_frame_newslot(if8043);
    if8033 = if8043;
  }
// compiled if node returning if8033 (depth = 3)
// Begin line 2538
  setline(2538);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8053 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  gc_frame_newslot(*var_meth);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call8054 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8053);
// compiled call node returning call8054 (depth = 3)
    gc_frame_newslot(call8054);
    if7950 = call8054;
  }
// compiled if node returning if7950 (depth = 2)
// Begin line 2540
  setline(2540);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe8055 = gc_frame_new();
// call case 4: self request
  Object call8056 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8055);
// compiled member node returning call8056 (depth = 2)
// Begin line 2541
  setline(2541);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_localMinIndentLevel (depth = 3)
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply8062(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2548
  setline(2548);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8064 == NULL) {
    strlit8064 = alloc_String("method");
    gc_root(strlit8064);
  }
// compiled string node returning strlit8064 (depth = 6)
  int op_slot_right_8063 = gc_frame_newslot(strlit8064);
// starting to compile member node (depth = 6)
  int callframe8066 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8067 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_tokens (depth = 8)
  Object call8068 = callmethodflags(*var_tokens, "first", 0, partcv, params, 0);
  gc_frame_end(callframe8067);
// compiled member node returning call8068 (depth = 7)
  Object call8069 = callmethodflags(call8068, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8066);
// compiled member node returning call8069 (depth = 6)
  int op_slot_left_8063 = gc_frame_newslot(call8069);
  params[0] = strlit8064;
  partcv[0] = 1;
  Object opresult8070 = callmethod(call8069, "==(1)", 1, partcv, params);
// compiled op node returning opresult8070 (depth = 5)
  gc_frame_end(frame);
  return opresult8070;
}
Object meth_parser__apply8075(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2547
  setline(2547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8077 == NULL) {
    strlit8077 = alloc_String("keyword");
    gc_root(strlit8077);
  }
// compiled string node returning strlit8077 (depth = 7)
  int op_slot_right_8076 = gc_frame_newslot(strlit8077);
// starting to compile member node (depth = 7)
  int callframe8079 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe8080 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_tokens (depth = 9)
  Object call8081 = callmethodflags(*var_tokens, "first", 0, partcv, params, 0);
  gc_frame_end(callframe8080);
// compiled member node returning call8081 (depth = 8)
  Object call8082 = callmethodflags(call8081, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8079);
// compiled member node returning call8082 (depth = 7)
  int op_slot_left_8076 = gc_frame_newslot(call8082);
  params[0] = strlit8077;
  partcv[0] = 1;
  Object opresult8083 = callmethod(call8082, "==(1)", 1, partcv, params);
// compiled op node returning opresult8083 (depth = 6)
  gc_frame_end(frame);
  return opresult8083;
}
Object meth_parser_dofactoryMethod8058(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 60, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dofactoryMethod");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_tokens = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_values = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_localMinIndentLevel = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "localMinIndentLevel");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_meth = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "meth");
  Object *var_objNode = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "objNode");
// Begin line 2546
  setline(2546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// Begin line 2547
  setline(2547);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block8061 = alloc_Block(NULL, NULL, "parser", 2547);
  gc_frame_newslot(block8061);
// method "_apply"
  block_savedest(block8061);
  Object closure8062 = createclosure(2, "_apply");
  setclosureframe(closure8062, stackframe);
  addtoclosure(closure8062, var_tokens);
  addtoclosure(closure8062, selfslot);
  struct UserObject *uo8062 = (struct UserObject*)block8061;
  uo8062->data[0] = (Object)closure8062;
  Method *meth_meth_parser__apply8062 = addmethod2pos(block8061, "_apply", &meth_parser__apply8062, 0);
  int argcv_meth_parser__apply8062[] = {0};
  meth_meth_parser__apply8062->type = alloc_MethodType(1, argcv_meth_parser__apply8062);
  meth_meth_parser__apply8062->definitionModule = modulename;
  meth_meth_parser__apply8062->definitionLine = 3404;
// compiled block node returning block8061 (depth = 4)
  int op_slot_right_8060 = gc_frame_newslot(block8061);
// Begin line 2546
  setline(2546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block8074 = alloc_Block(NULL, NULL, "parser", 2546);
  gc_frame_newslot(block8074);
// method "_apply"
  block_savedest(block8074);
  Object closure8075 = createclosure(2, "_apply");
  setclosureframe(closure8075, stackframe);
  addtoclosure(closure8075, var_tokens);
  addtoclosure(closure8075, selfslot);
  struct UserObject *uo8075 = (struct UserObject*)block8074;
  uo8075->data[0] = (Object)closure8075;
  Method *meth_meth_parser__apply8075 = addmethod2pos(block8074, "_apply", &meth_parser__apply8075, 0);
  int argcv_meth_parser__apply8075[] = {0};
  meth_meth_parser__apply8075->type = alloc_MethodType(1, argcv_meth_parser__apply8075);
  meth_meth_parser__apply8075->definitionModule = modulename;
  meth_meth_parser__apply8075->definitionLine = 3404;
// compiled block node returning block8074 (depth = 5)
  int op_slot_right_8073 = gc_frame_newslot(block8074);
// Begin line 2546
  setline(2546);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8086 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8087 == NULL) {
    strlit8087 = alloc_String("factory");
    gc_root(strlit8087);
  }
// compiled string node returning strlit8087 (depth = 6)
  gc_frame_newslot(strlit8087);
// call case 4: self request
  params[0] = strlit8087;
  partcv[0] = 1;
  Object call8088 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8086);
// compiled call node returning call8088 (depth = 5)
  int op_slot_left_8073 = gc_frame_newslot(call8088);
  params[0] = block8074;
  partcv[0] = 1;
  Object opresult8089 = callmethod(call8088, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8089 (depth = 4)
  int op_slot_left_8060 = gc_frame_newslot(opresult8089);
  params[0] = block8061;
  partcv[0] = 1;
  Object opresult8090 = callmethod(opresult8089, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8090 (depth = 3)
  Object if8059 = done;
  if (istrue(opresult8090)) {
// Begin line 2549
  setline(2549);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2550
  setline(2550);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8091 = gc_frame_new();
// call case 4: self request
  Object call8092 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8091);
// compiled member node returning call8092 (depth = 3)
// Begin line 2551
  setline(2551);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8093 = gc_frame_new();
// call case 4: self request
  Object call8094 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8093);
// compiled member node returning call8094 (depth = 3)
// Begin line 2552
  setline(2552);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_minIndentLevel (depth = 4)
  *var_localMinIndentLevel = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2553
  setline(2553);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8097 == NULL) {
    strlit8097 = alloc_String("identifier");
    gc_root(strlit8097);
  }
// compiled string node returning strlit8097 (depth = 5)
  int op_slot_right_8096 = gc_frame_newslot(strlit8097);
// starting to compile member node (depth = 5)
  int callframe8099 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call8100 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8099);
// compiled member node returning call8100 (depth = 5)
  int op_slot_left_8096 = gc_frame_newslot(call8100);
  params[0] = strlit8097;
  partcv[0] = 1;
  Object opresult8101 = callmethod(call8100, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8101 (depth = 4)
  Object if8095 = done;
  if (istrue(opresult8101)) {
// Begin line 2554
  setline(2554);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array8102 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8102 (depth = 5)
  *var_suggestions = array8102;
  if (array8102 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2555
  setline(2555);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8105 == NULL) {
    strlit8105 = alloc_String("lbrace");
    gc_root(strlit8105);
  }
// compiled string node returning strlit8105 (depth = 6)
  int op_slot_right_8104 = gc_frame_newslot(strlit8105);
// starting to compile member node (depth = 6)
  int callframe8107 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8108 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8107);
// compiled member node returning call8108 (depth = 6)
  int op_slot_left_8104 = gc_frame_newslot(call8108);
  params[0] = strlit8105;
  partcv[0] = 1;
  Object opresult8109 = callmethod(call8108, "==(1)", 1, partcv, params);
// compiled op node returning opresult8109 (depth = 5)
  Object if8103 = done;
  if (istrue(opresult8109)) {
// Begin line 2556
  setline(2556);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8110 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8111 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call8112 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8111);
// compiled member node returning call8112 (depth = 7)
  Object call8113 = callmethodflags(call8112, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8110);
// compiled member node returning call8113 (depth = 6)
  *var_suggestion = call8113;
  if (call8113 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2557
  setline(2557);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8114 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8115 == NULL) {
    strlit8115 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit8115);
  }
// compiled string node returning strlit8115 (depth = 6)
  gc_frame_newslot(strlit8115);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8115;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8116 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8114);
// compiled call node returning call8116 (depth = 5)
// Begin line 2558
  setline(2558);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8117 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8118 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8117);
// compiled call node returning call8118 (depth = 5)
// Begin line 2559
  setline(2559);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8119 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8120 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call8121 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8120);
// compiled member node returning call8121 (depth = 7)
  Object call8122 = callmethodflags(call8121, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8119);
// compiled member node returning call8122 (depth = 6)
  *var_suggestion = call8122;
  if (call8122 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 2560
  setline(2560);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8124 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile string node (depth = 6)
  if (strlit8125 == NULL) {
    strlit8125 = alloc_String("object");
    gc_root(strlit8125);
  }
// compiled string node returning strlit8125 (depth = 6)
  gc_frame_newslot(strlit8125);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = strlit8125;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8126 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8124);
// compiled call node returning call8126 (depth = 5)
// Begin line 2561
  setline(2561);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8127 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8128 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8127);
// compiled call node returning call8128 (depth = 5)
    gc_frame_newslot(call8128);
    if8103 = call8128;
  } else {
// Begin line 2563
  setline(2563);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8129 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8130 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call8131 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8130);
// compiled member node returning call8131 (depth = 7)
  Object call8132 = callmethodflags(call8131, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8129);
// compiled member node returning call8132 (depth = 6)
  *var_suggestion = call8132;
  if (call8132 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2564
  setline(2564);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8133 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8134 == NULL) {
    strlit8134 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb"" {}");
    gc_root(strlit8134);
  }
// compiled string node returning strlit8134 (depth = 6)
  gc_frame_newslot(strlit8134);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8134;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8135 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8133);
// compiled call node returning call8135 (depth = 5)
// Begin line 2565
  setline(2565);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8136 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8137 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8136);
// compiled call node returning call8137 (depth = 5)
    gc_frame_newslot(call8137);
    if8103 = call8137;
  }
// compiled if node returning if8103 (depth = 4)
// Begin line 2567
  setline(2567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8138 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8139 == NULL) {
    strlit8139 = alloc_String("a factory method must have a name after the 'method'.");
    gc_root(strlit8139);
  }
// compiled string node returning strlit8139 (depth = 5)
  gc_frame_newslot(strlit8139);
// Begin line 2568
  setline(2568);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8140 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call8141 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8140);
// compiled member node returning call8141 (depth = 5)
  gc_frame_newslot(call8141);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num8143 = alloc_Float64(1);
// compiled num node returning num8143 (depth = 6)
  int op_slot_right_8142 = gc_frame_newslot(num8143);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8146 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call8147 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8146);
// compiled member node returning call8147 (depth = 7)
  int op_slot_right_8145 = gc_frame_newslot(call8147);
// starting to compile member node (depth = 7)
  int callframe8149 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call8150 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8149);
// compiled member node returning call8150 (depth = 7)
  int op_slot_left_8145 = gc_frame_newslot(call8150);
  params[0] = call8147;
  partcv[0] = 1;
  Object sum8151 = callmethod(call8150, "+(1)", 1, partcv, params);
// compiled op node returning sum8151 (depth = 6)
  int op_slot_left_8142 = gc_frame_newslot(sum8151);
  params[0] = num8143;
  partcv[0] = 1;
  Object sum8152 = callmethod(sum8151, "+(1)", 1, partcv, params);
// compiled op node returning sum8152 (depth = 5)
  gc_frame_newslot(sum8152);
// Begin line 2569
  setline(2569);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2567
  setline(2567);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8139;
  params[1] = call8141;
  params[2] = sum8152;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8153 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8138);
// compiled call node returning call8153 (depth = 4)
    gc_frame_newslot(call8153);
    if8095 = call8153;
  } else {
  }
// compiled if node returning if8095 (depth = 3)
// Begin line 2571
  setline(2571);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8154 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool8155 = alloc_Boolean(0);
// compiled identifier node returning bool8155 (depth = 5)
  gc_frame_newslot(bool8155);
// call case 4: self request
  params[0] = bool8155;
  partcv[0] = 1;
  Object call8156 = callmethodflags(self, "methodsignature(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8154);
// compiled call node returning call8156 (depth = 4)
  *var_meth = call8156;
  if (call8156 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2572
  setline(2572);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8157 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8158 == NULL) {
    strlit8158 = alloc_String("a factory method");
    gc_root(strlit8158);
  }
// compiled string node returning strlit8158 (depth = 4)
  gc_frame_newslot(strlit8158);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_btok (depth = 4)
  gc_frame_newslot(*var_btok);
// starting to compile string node (depth = 4)
  if (strlit8159 == NULL) {
    strlit8159 = alloc_String("method header");
    gc_root(strlit8159);
  }
// compiled string node returning strlit8159 (depth = 4)
  gc_frame_newslot(strlit8159);
// call case 4: self request
  params[0] = strlit8158;
  params[1] = *var_btok;
  params[2] = strlit8159;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8160 = callmethodflags(self, "parseObjectConstructorBody(1)startingWith(1)after(1)", 3, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8157);
// compiled call node returning call8160 (depth = 3)
// Begin line 2573
  setline(2573);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8161 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call8162 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8161);
// compiled member node returning call8162 (depth = 4)
  *var_objNode = call8162;
  if (call8162 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2574
  setline(2574);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8163 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8164 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  Object call8165 = callmethodflags(*var_meth, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8164);
// compiled member node returning call8165 (depth = 4)
  gc_frame_newslot(call8165);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_objNode (depth = 4)
  params[0] = call8165;
  partcv[0] = 1;
  Object call8166 = callmethodflags(*var_objNode, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8163);
// compiled call node returning call8166 (depth = 3)
// Begin line 2575
  setline(2575);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8167 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8168 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_btok (depth = 5)
  Object call8169 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8168);
// compiled member node returning call8169 (depth = 4)
  gc_frame_newslot(call8169);
// starting to compile member node (depth = 4)
  int callframe8170 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_btok (depth = 5)
  Object call8171 = callmethodflags(*var_btok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8170);
// compiled member node returning call8171 (depth = 4)
  gc_frame_newslot(call8171);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call8169;
  params[1] = call8171;
  partcv[0] = 2;
  Object call8172 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8167);
// compiled call node returning call8172 (depth = 3)
// Begin line 2576
  setline(2576);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8173 = gc_frame_new();
// starting to compile array node (depth = 4)
  Object array8174 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_objNode (depth = 5)
  params[0] = *var_objNode;
  partcv[0] = 1;
  callmethodflags(array8174, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array8174 (depth = 4)
  gc_frame_newslot(array8174);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  params[0] = array8174;
  partcv[0] = 1;
  Object call8175 = callmethodflags(*var_meth, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8173);
// compiled call node returning call8175 (depth = 3)
// Begin line 2577
  setline(2577);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8176 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8177 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_objNode (depth = 5)
  Object call8178 = callmethodflags(*var_objNode, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe8177);
// compiled member node returning call8178 (depth = 4)
  gc_frame_newslot(call8178);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8179 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meth (depth = 5)
  Object call8180 = callmethodflags(*var_meth, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe8179);
// compiled member node returning call8180 (depth = 4)
  params[0] = call8178;
  partcv[0] = 1;
  Object call8181 = callmethodflags(call8180, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8176);
// compiled call node returning call8181 (depth = 3)
// Begin line 2581
  setline(2581);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8182 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_meth (depth = 4)
  gc_frame_newslot(*var_meth);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_meth;
  partcv[0] = 1;
  Object call8183 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8182);
// compiled call node returning call8183 (depth = 3)
// Begin line 2582
  setline(2582);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8184 = gc_frame_new();
// call case 4: self request
  Object call8185 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8184);
// compiled member node returning call8185 (depth = 3)
// Begin line 2583
  setline(2583);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_localMinIndentLevel (depth = 4)
  *var_minIndentLevel = *var_localMinIndentLevel;
  if (*var_localMinIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if8059 = done;
  } else {
  }
// compiled if node returning if8059 (depth = 2)
  gc_frame_end(frame);
  return if8059;
}
Object meth_parser__apply8248(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit8250 == NULL) {
    strlit8250 = alloc_String("lbrace");
    gc_root(strlit8250);
  }
// compiled string node returning strlit8250 (depth = 7)
  int op_slot_right_8249 = gc_frame_newslot(strlit8250);
// starting to compile member node (depth = 7)
  int callframe8252 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_s (depth = 8)
  Object call8253 = callmethodflags(*var_s, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8252);
// compiled member node returning call8253 (depth = 7)
  int op_slot_left_8249 = gc_frame_newslot(call8253);
  params[0] = strlit8250;
  partcv[0] = 1;
  Object opresult8254 = callmethod(call8253, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8254 (depth = 6)
  gc_frame_end(frame);
  return opresult8254;
}
Object meth_parser__apply8257(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_s = getfromclosure(closure, 0);
  Object *var_body = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2618
  setline(2618);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8258 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_s (depth = 7)
  gc_frame_newslot(*var_s);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_body (depth = 7)
  params[0] = *var_s;
  partcv[0] = 1;
  Object call8259 = callmethodflags(*var_body, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8258);
// compiled call node returning call8259 (depth = 6)
// Begin line 2619
  setline(2619);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe8260 = gc_frame_new();
// call case 4: self request
  Object call8261 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8260);
// compiled member node returning call8261 (depth = 6)
// Begin line 2620
  setline(2620);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8262 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call8263 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8262);
// compiled member node returning call8263 (depth = 7)
  *var_s = call8263;
  if (call8263 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_methoddec8187(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 61, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(12, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methoddec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementToken = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_stok = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "stok");
  Object *var_methNode = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "methNode");
  Object *var_body = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "body");
  Object *var_localMin = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "localMin");
  Object *var_anns = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "anns");
  Object *var_s = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "s");
  Object *var_suggestion = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "suggestion");
  Object *var_closingBrace = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "closingBrace");
// Begin line 2590
  setline(2590);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8189 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8190 == NULL) {
    strlit8190 = alloc_String("method");
    gc_root(strlit8190);
  }
// compiled string node returning strlit8190 (depth = 4)
  gc_frame_newslot(strlit8190);
// call case 4: self request
  params[0] = strlit8190;
  partcv[0] = 1;
  Object call8191 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8189);
// compiled call node returning call8191 (depth = 3)
  Object if8188 = done;
  if (istrue(call8191)) {
// Begin line 2591
  setline(2591);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2592
  setline(2592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8192 = gc_frame_new();
// call case 4: self request
  Object call8193 = callmethodflags(self, "checkIndent", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8192);
// compiled member node returning call8193 (depth = 3)
// Begin line 2593
  setline(2593);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2594
  setline(2594);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_stok = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2595
  setline(2595);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8195 = gc_frame_new();
// call case 4: self request
  Object call8196 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8195);
// compiled member node returning call8196 (depth = 3)
// Begin line 2596
  setline(2596);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8197 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_btok (depth = 5)
  gc_frame_newslot(*var_btok);
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe8198 = gc_frame_new();
// starting to compile identifier node (depth = 6)
  Object bool8199 = alloc_Boolean(0);
// compiled identifier node returning bool8199 (depth = 6)
  gc_frame_newslot(bool8199);
// call case 4: self request
  params[0] = bool8199;
  partcv[0] = 1;
  Object call8200 = callmethodflags(self, "methodsignature(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8198);
// compiled call node returning call8200 (depth = 5)
  params[0] = *var_btok;
  partcv[0] = 1;
  Object call8201 = callmethodflags(call8200, "setPositionFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8197);
// compiled call node returning call8201 (depth = 4)
  *var_methNode = call8201;
  if (call8201 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2597
  setline(2597);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array8202 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8202 (depth = 4)
  *var_body = array8202;
  if (array8202 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2598
  setline(2598);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_localMin = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 2599
  setline(2599);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8203 = gc_frame_new();
// call case 4: self request
  Object call8204 = callmethodflags(self, "doannotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8203);
// compiled member node returning call8204 (depth = 4)
  *var_anns = call8204;
  if (call8204 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2600
  setline(2600);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8206 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8207 == NULL) {
    strlit8207 = alloc_String("lbrace");
    gc_root(strlit8207);
  }
// compiled string node returning strlit8207 (depth = 5)
  gc_frame_newslot(strlit8207);
// call case 4: self request
  params[0] = strlit8207;
  partcv[0] = 1;
  Object call8208 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8206);
// compiled call node returning call8208 (depth = 4)
  Object if8205 = done;
  if (istrue(call8208)) {
// Begin line 2601
  setline(2601);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8209 = gc_frame_new();
// call case 4: self request
  Object call8210 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8209);
// compiled member node returning call8210 (depth = 4)
// Begin line 2602
  setline(2602);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_minIndentLevel (depth = 5)
  *var_localMin = *var_minIndentLevel;
  if (*var_minIndentLevel == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2603
  setline(2603);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8214 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_stok (depth = 7)
  Object call8215 = callmethodflags(*var_stok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8214);
// compiled member node returning call8215 (depth = 6)
  int op_slot_right_8213 = gc_frame_newslot(call8215);
// starting to compile member node (depth = 6)
  int callframe8217 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8218 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8217);
// compiled member node returning call8218 (depth = 6)
  int op_slot_left_8213 = gc_frame_newslot(call8218);
  params[0] = call8215;
  partcv[0] = 1;
  Object opresult8219 = callmethod(call8218, "==(1)", 1, partcv, params);
// compiled op node returning opresult8219 (depth = 5)
  Object if8212 = done;
  if (istrue(opresult8219)) {
// Begin line 2604
  setline(2604);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8221 = alloc_Float64(1);
// compiled num node returning num8221 (depth = 7)
  int op_slot_right_8220 = gc_frame_newslot(num8221);
// starting to compile member node (depth = 7)
  int callframe8223 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call8224 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8223);
// compiled member node returning call8224 (depth = 7)
  int op_slot_left_8220 = gc_frame_newslot(call8224);
  params[0] = num8221;
  partcv[0] = 1;
  Object diff8225 = callmethod(call8224, "-(1)", 1, partcv, params);
// compiled op node returning diff8225 (depth = 6)
  *var_minIndentLevel = diff8225;
  if (diff8225 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8212 = done;
  } else {
// Begin line 2606
  setline(2606);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num8228 = alloc_Float64(1);
// compiled num node returning num8228 (depth = 7)
  int op_slot_right_8227 = gc_frame_newslot(num8228);
// starting to compile member node (depth = 7)
  int callframe8230 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_stok (depth = 8)
  Object call8231 = callmethodflags(*var_stok, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe8230);
// compiled member node returning call8231 (depth = 7)
  int op_slot_left_8227 = gc_frame_newslot(call8231);
  params[0] = num8228;
  partcv[0] = 1;
  Object sum8232 = callmethod(call8231, "+(1)", 1, partcv, params);
// compiled op node returning sum8232 (depth = 6)
  *var_minIndentLevel = sum8232;
  if (sum8232 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if8212 = done;
  }
// compiled if node returning if8212 (depth = 4)
// Begin line 2608
  setline(2608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8234 = gc_frame_new();
// starting to compile object node (depth = 5)
  Object inheritingObject8235 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj8235 = alloc_userobj2(3,4, objclass8235);
  gc_frame_newslot(obj8235);
// OBJECT OUTER DEC outer
  adddatum2(obj8235, self, 0);
  addmethodreal(obj8235,"outer", &reader_parser_outer_8236);
  Object oldself8235 = self;
  struct StackFrameObject *oldstackframe8235 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe8235);
  gc_frame_newslot((Object)stackframe);
  self = obj8235;
  Object *oldselfslot8235 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter8235 = (*(struct UserObject *)self).data[0], lowerouter8235 = thisouter8235;
  if (inheritingObject8235) {
    struct UserObject *inho8235 = (struct UserObject *)inheritingObject8235;
    while (inho8235->super != GraceDefaultObject) inho8235 = (struct UserObject *)inho8235->super;
    inho8235->super = obj8235;
    self = inheritingObject8235;
    *selfslot = self;
    lowerouter8235 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter8235;
  }
if (objclass8235 == NULL) {
  Method *reader8237 = addmethodrealflags(obj8235, "kind",&reader_parser_kind_8237, MFLAG_DEF);
  reader8237->definitionModule = modulename;
  reader8237->definitionLine = 2609;
}
adddatum2(obj8235, alloc_Undefined(), 1);
if (objclass8235 == NULL) {
  Method *reader8238 = addmethodrealflags(obj8235, "register", &reader_parser_register_8238, 0);
  Method *writer8238 = addmethodrealflags(obj8235, "register:=(1)", &writer_parser_register_8238, 0);
  reader8238->definitionModule = modulename;
  writer8238->definitionModule = modulename;
  reader8238->definitionLine = 2610;
  writer8238->definitionLine = 2610;
}
obj8235->flags |= OFLAG_MUTABLE;
adddatum2(obj8235, alloc_Undefined(), 2);
  sourceObject = obj8235;
// Begin line 2609
  setline(2609);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit8239 == NULL) {
    strlit8239 = alloc_String("lbrace");
    gc_root(strlit8239);
  }
// compiled string node returning strlit8239 (depth = 6)
  adddatum2(obj8235, strlit8239, 1);
  sourceObject = obj8235;
// Begin line 2610
  setline(2610);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 6)
  if (strlit8240 == NULL) {
    strlit8240 = alloc_String("");
    gc_root(strlit8240);
  }
// compiled string node returning strlit8240 (depth = 6)
  adddatum2(obj8235, strlit8240, 2);
  objclass8235 = obj8235->class;
  objclass8235->definitionModule = modulename;
  objclass8235->definitionLine = 2608;
  (*(struct UserObject *)self).data[0] = lowerouter8235;
  self = oldself8235;
  selfslot = oldselfslot8235;
  stackframe = oldstackframe8235;
// compiled object node returning obj8235 (depth = 5)
  gc_frame_newslot(obj8235);
// call case 6: other requests
// Begin line 2608
  setline(2608);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  params[0] = obj8235;
  partcv[0] = 1;
  Object call8241 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8234);
// compiled call node returning call8241 (depth = 4)
// Begin line 2612
  setline(2612);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8242 = gc_frame_new();
// call case 4: self request
  Object call8243 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8242);
// compiled member node returning call8243 (depth = 4)
// Begin line 2613
  setline(2613);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8244 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call8245 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8244);
// compiled member node returning call8245 (depth = 5)
  *var_s = call8245;
  if (call8245 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2614
  setline(2614);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8246 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block8247 = alloc_Block(NULL, NULL, "parser", 2614);
  gc_frame_newslot(block8247);
// method "_apply"
  block_savedest(block8247);
  Object closure8248 = createclosure(2, "_apply");
  setclosureframe(closure8248, stackframe);
  addtoclosure(closure8248, var_s);
  addtoclosure(closure8248, selfslot);
  struct UserObject *uo8248 = (struct UserObject*)block8247;
  uo8248->data[0] = (Object)closure8248;
  Method *meth_meth_parser__apply8248 = addmethod2pos(block8247, "_apply", &meth_parser__apply8248, 0);
  int argcv_meth_parser__apply8248[] = {0};
  meth_meth_parser__apply8248->type = alloc_MethodType(1, argcv_meth_parser__apply8248);
  meth_meth_parser__apply8248->definitionModule = modulename;
  meth_meth_parser__apply8248->definitionLine = 3404;
// compiled block node returning block8247 (depth = 5)
  gc_frame_newslot(block8247);
// starting to compile block node (depth = 5)
  Object block8256 = alloc_Block(NULL, NULL, "parser", 2614);
  gc_frame_newslot(block8256);
// method "_apply"
  block_savedest(block8256);
  Object closure8257 = createclosure(4, "_apply");
  setclosureframe(closure8257, stackframe);
  addtoclosure(closure8257, var_s);
  addtoclosure(closure8257, var_body);
  addtoclosure(closure8257, var_values);
  addtoclosure(closure8257, selfslot);
  struct UserObject *uo8257 = (struct UserObject*)block8256;
  uo8257->data[0] = (Object)closure8257;
  Method *meth_meth_parser__apply8257 = addmethod2pos(block8256, "_apply", &meth_parser__apply8257, 0);
  int argcv_meth_parser__apply8257[] = {0};
  meth_meth_parser__apply8257->type = alloc_MethodType(1, argcv_meth_parser__apply8257);
  meth_meth_parser__apply8257->definitionModule = modulename;
  meth_meth_parser__apply8257->definitionLine = 3404;
// compiled block node returning block8256 (depth = 5)
  gc_frame_newslot(block8256);
// call case 5: prelude request
  params[0] = block8247;
  params[1] = block8256;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8266 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8246);
// compiled call node returning call8266 (depth = 4)
// Begin line 2622
  setline(2622);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8269 == NULL) {
    strlit8269 = alloc_String("rbrace");
    gc_root(strlit8269);
  }
// compiled string node returning strlit8269 (depth = 6)
  int op_slot_right_8268 = gc_frame_newslot(strlit8269);
// starting to compile member node (depth = 6)
  int callframe8271 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8272 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8271);
// compiled member node returning call8272 (depth = 6)
  int op_slot_left_8268 = gc_frame_newslot(call8272);
  params[0] = strlit8269;
  partcv[0] = 1;
  Object opresult8273 = callmethod(call8272, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8273 (depth = 5)
  Object if8267 = done;
  if (istrue(opresult8273)) {
// Begin line 2623
  setline(2623);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8274 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8275 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call8276 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8275);
// compiled member node returning call8276 (depth = 7)
  Object call8277 = callmethodflags(call8276, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8274);
// compiled member node returning call8277 (depth = 6)
  *var_suggestion = call8277;
  if (call8277 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2624
  setline(2624);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8278 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_btok (depth = 7)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 7)
  Object bool8279 = alloc_Boolean(0);
// compiled identifier node returning bool8279 (depth = 7)
  gc_frame_newslot(bool8279);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool8279;
  partcv[0] = 2;
  Object call8280 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8278);
// compiled call node returning call8280 (depth = 6)
  *var_closingBrace = call8280;
  if (call8280 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2625
  setline(2625);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8282 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8283 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_closingBrace (depth = 8)
  Object call8284 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe8283);
// compiled member node returning call8284 (depth = 7)
  Object call8285 = callmethodflags(call8284, "not", 0, partcv, params, 0);
  gc_frame_end(callframe8282);
// compiled member node returning call8285 (depth = 6)
  Object if8281 = done;
  if (istrue(call8285)) {
// Begin line 2626
  setline(2626);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_8287 = gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 8)
  int callframe8289 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_closingBrace (depth = 9)
  Object call8290 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe8289);
// compiled member node returning call8290 (depth = 8)
  int op_slot_left_8287 = gc_frame_newslot(call8290);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult8291 = callmethod(call8290, "==(1)", 1, partcv, params);
// compiled op node returning opresult8291 (depth = 7)
  Object if8286 = done;
  if (istrue(opresult8291)) {
// Begin line 2627
  setline(2627);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8292 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8293 == NULL) {
    strlit8293 = alloc_String("}");
    gc_root(strlit8293);
  }
// compiled string node returning strlit8293 (depth = 8)
  gc_frame_newslot(strlit8293);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit8293;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8294 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8292);
// compiled call node returning call8294 (depth = 7)
    gc_frame_newslot(call8294);
    if8286 = call8294;
  } else {
// Begin line 2629
  setline(2629);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8295 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num8297 = alloc_Float64(0.1);
// compiled num node returning num8297 (depth = 9)
  int op_slot_right_8296 = gc_frame_newslot(num8297);
// starting to compile member node (depth = 9)
  int callframe8299 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe8300 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_closingBrace (depth = 11)
  Object call8301 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe8300);
// compiled member node returning call8301 (depth = 10)
  Object call8302 = callmethodflags(call8301, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8299);
// compiled member node returning call8302 (depth = 9)
  int op_slot_left_8296 = gc_frame_newslot(call8302);
  params[0] = num8297;
  partcv[0] = 1;
  Object sum8303 = callmethod(call8302, "+(1)", 1, partcv, params);
// compiled op node returning sum8303 (depth = 8)
  gc_frame_newslot(sum8303);
// starting to compile string node (depth = 8)
  if (strlit8304 == NULL) {
    strlit8304 = alloc_String("}");
    gc_root(strlit8304);
  }
// compiled string node returning strlit8304 (depth = 8)
  gc_frame_newslot(strlit8304);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = sum8303;
  params[1] = strlit8304;
  partcv[0] = 2;
  Object call8305 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8295);
// compiled call node returning call8305 (depth = 7)
    gc_frame_newslot(call8305);
    if8286 = call8305;
  }
// compiled if node returning if8286 (depth = 6)
    gc_frame_newslot(if8286);
    if8281 = if8286;
  } else {
  }
// compiled if node returning if8281 (depth = 5)
// Begin line 2632
  setline(2632);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8306 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call8307 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8306);
// compiled call node returning call8307 (depth = 5)
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8308 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8309 == NULL) {
    strlit8309 = alloc_String("a method must end with a '}'.");
    gc_root(strlit8309);
  }
// compiled string node returning strlit8309 (depth = 6)
  gc_frame_newslot(strlit8309);
// Begin line 2634
  setline(2634);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe8310 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8311 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8310);
// compiled member node returning call8311 (depth = 6)
  gc_frame_newslot(call8311);
// starting to compile member node (depth = 6)
  int callframe8312 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8313 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8312);
// compiled member node returning call8313 (depth = 6)
  gc_frame_newslot(call8313);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2633
  setline(2633);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit8309;
  params[1] = call8311;
  params[2] = call8313;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8314 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8308);
// compiled call node returning call8314 (depth = 5)
    gc_frame_newslot(call8314);
    if8267 = call8314;
  } else {
  }
// compiled if node returning if8267 (depth = 4)
// Begin line 2636
  setline(2636);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8315 = gc_frame_new();
// call case 4: self request
  Object call8316 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8315);
// compiled member node returning call8316 (depth = 4)
// Begin line 2637
  setline(2637);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_localMin (depth = 5)
  *var_minIndentLevel = *var_localMin;
  if (*var_localMin == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if8205 = done;
  } else {
// Begin line 2639
  setline(2639);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8318 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8319 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call8320 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8319);
// compiled member node returning call8320 (depth = 6)
  Object call8321 = callmethodflags(call8320, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8318);
// compiled member node returning call8321 (depth = 5)
  *var_suggestion = call8321;
  if (call8321 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2640
  setline(2640);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8322 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_btok (depth = 6)
  gc_frame_newslot(*var_btok);
// starting to compile identifier node (depth = 6)
  Object bool8323 = alloc_Boolean(1);
// compiled identifier node returning bool8323 (depth = 6)
  gc_frame_newslot(bool8323);
// call case 4: self request
  params[0] = *var_btok;
  params[1] = bool8323;
  partcv[0] = 2;
  Object call8324 = callmethodflags(self, "findClosingBrace(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8322);
// compiled call node returning call8324 (depth = 5)
  *var_closingBrace = call8324;
  if (call8324 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2641
  setline(2641);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8326 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8327 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_closingBrace (depth = 7)
  Object call8328 = callmethodflags(*var_closingBrace, "found", 0, partcv, params, 0);
  gc_frame_end(callframe8327);
// compiled member node returning call8328 (depth = 6)
  Object call8329 = callmethodflags(call8328, "not", 0, partcv, params, 0);
  gc_frame_end(callframe8326);
// compiled member node returning call8329 (depth = 5)
  Object if8325 = done;
  if (istrue(call8329)) {
// Begin line 2642
  setline(2642);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  int op_slot_right_8331 = gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 7)
  int callframe8333 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_closingBrace (depth = 8)
  Object call8334 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe8333);
// compiled member node returning call8334 (depth = 7)
  int op_slot_left_8331 = gc_frame_newslot(call8334);
  params[0] = *var_lastToken;
  partcv[0] = 1;
  Object opresult8335 = callmethod(call8334, "==(1)", 1, partcv, params);
// compiled op node returning opresult8335 (depth = 6)
  Object if8330 = done;
  if (istrue(opresult8335)) {
// Begin line 2643
  setline(2643);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8336 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8337 == NULL) {
    strlit8337 = alloc_String(" {}");
    gc_root(strlit8337);
  }
// compiled string node returning strlit8337 (depth = 7)
  gc_frame_newslot(strlit8337);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 7)
  Object bool8338 = alloc_Boolean(1);
// compiled identifier node returning bool8338 (depth = 7)
  gc_frame_newslot(bool8338);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit8337;
  params[1] = *var_lastToken;
  params[2] = bool8338;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8339 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8336);
// compiled call node returning call8339 (depth = 6)
    gc_frame_newslot(call8339);
    if8330 = call8339;
  } else {
// Begin line 2645
  setline(2645);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8340 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num8342 = alloc_Float64(0.1);
// compiled num node returning num8342 (depth = 8)
  int op_slot_right_8341 = gc_frame_newslot(num8342);
// starting to compile member node (depth = 8)
  int callframe8344 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe8345 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_closingBrace (depth = 10)
  Object call8346 = callmethodflags(*var_closingBrace, "tok", 0, partcv, params, 0);
  gc_frame_end(callframe8345);
// compiled member node returning call8346 (depth = 9)
  Object call8347 = callmethodflags(call8346, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8344);
// compiled member node returning call8347 (depth = 8)
  int op_slot_left_8341 = gc_frame_newslot(call8347);
  params[0] = num8342;
  partcv[0] = 1;
  Object sum8348 = callmethod(call8347, "+(1)", 1, partcv, params);
// compiled op node returning sum8348 (depth = 7)
  gc_frame_newslot(sum8348);
// starting to compile string node (depth = 7)
  if (strlit8349 == NULL) {
    strlit8349 = alloc_String("}");
    gc_root(strlit8349);
  }
// compiled string node returning strlit8349 (depth = 7)
  gc_frame_newslot(strlit8349);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = sum8348;
  params[1] = strlit8349;
  partcv[0] = 2;
  Object call8350 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe8340);
// compiled call node returning call8350 (depth = 6)
// Begin line 2646
  setline(2646);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8351 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8352 == NULL) {
    strlit8352 = alloc_String(" {");
    gc_root(strlit8352);
  }
// compiled string node returning strlit8352 (depth = 7)
  gc_frame_newslot(strlit8352);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 7)
  Object bool8353 = alloc_Boolean(1);
// compiled identifier node returning bool8353 (depth = 7)
  gc_frame_newslot(bool8353);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit8352;
  params[1] = *var_lastToken;
  params[2] = bool8353;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8354 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8351);
// compiled call node returning call8354 (depth = 6)
    gc_frame_newslot(call8354);
    if8330 = call8354;
  }
// compiled if node returning if8330 (depth = 5)
    gc_frame_newslot(if8330);
    if8325 = if8330;
  } else {
// Begin line 2649
  setline(2649);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8355 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8356 == NULL) {
    strlit8356 = alloc_String(" {");
    gc_root(strlit8356);
  }
// compiled string node returning strlit8356 (depth = 6)
  gc_frame_newslot(strlit8356);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 6)
  Object bool8357 = alloc_Boolean(1);
// compiled identifier node returning bool8357 (depth = 6)
  gc_frame_newslot(bool8357);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8356;
  params[1] = *var_lastToken;
  params[2] = bool8357;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8358 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)andTrailingSpace(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8355);
// compiled call node returning call8358 (depth = 5)
    gc_frame_newslot(call8358);
    if8325 = call8358;
  }
// compiled if node returning if8325 (depth = 4)
// Begin line 2651
  setline(2651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8359 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8360 == NULL) {
    strlit8360 = alloc_String("a method must have a '{' after the name.");
    gc_root(strlit8360);
  }
// compiled string node returning strlit8360 (depth = 5)
  gc_frame_newslot(strlit8360);
// Begin line 2652
  setline(2652);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8361 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call8362 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8361);
// compiled member node returning call8362 (depth = 5)
  gc_frame_newslot(call8362);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8364 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call8365 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8364);
// compiled member node returning call8365 (depth = 6)
  int op_slot_right_8363 = gc_frame_newslot(call8365);
// starting to compile member node (depth = 6)
  int callframe8367 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call8368 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8367);
// compiled member node returning call8368 (depth = 6)
  int op_slot_left_8363 = gc_frame_newslot(call8368);
  params[0] = call8365;
  partcv[0] = 1;
  Object sum8369 = callmethod(call8368, "+(1)", 1, partcv, params);
// compiled op node returning sum8369 (depth = 5)
  gc_frame_newslot(sum8369);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2651
  setline(2651);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8360;
  params[1] = call8362;
  params[2] = sum8369;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8370 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8359);
// compiled call node returning call8370 (depth = 4)
    gc_frame_newslot(call8370);
    if8205 = call8370;
  }
// compiled if node returning if8205 (depth = 3)
// Begin line 2654
  setline(2654);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8371 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_body (depth = 4)
  gc_frame_newslot(*var_body);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methNode (depth = 4)
  params[0] = *var_body;
  partcv[0] = 1;
  Object call8372 = callmethodflags(*var_methNode, "body:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8371);
// compiled call node returning call8372 (depth = 3)
// Begin line 2655
  setline(2655);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8373 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8374 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_btok (depth = 5)
  Object call8375 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8374);
// compiled member node returning call8375 (depth = 4)
  gc_frame_newslot(call8375);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call8375;
  partcv[0] = 1;
  Object call8376 = callmethodflags(*var_util, "setline(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8373);
// compiled call node returning call8376 (depth = 3)
// Begin line 2656
  setline(2656);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_right_8378 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 5)
  Object bool8380 = alloc_Boolean(0);
// compiled identifier node returning bool8380 (depth = 5)
  int op_slot_left_8378 = gc_frame_newslot(bool8380);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult8381 = callmethod(bool8380, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8381 (depth = 4)
  Object if8377 = done;
  if (istrue(opresult8381)) {
// starting to compile call node (depth = 4)
  int callframe8382 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8383 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methNode (depth = 6)
  Object call8384 = callmethodflags(*var_methNode, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe8383);
// compiled member node returning call8384 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call8385 = callmethodflags(call8384, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8382);
// compiled call node returning call8385 (depth = 4)
    gc_frame_newslot(call8385);
    if8377 = call8385;
  } else {
  }
// compiled if node returning if8377 (depth = 3)
// Begin line 2657
  setline(2657);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8386 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methNode (depth = 4)
  gc_frame_newslot(*var_methNode);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_methNode;
  partcv[0] = 1;
  Object call8387 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8386);
// compiled call node returning call8387 (depth = 3)
// Begin line 2658
  setline(2658);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8388 = gc_frame_new();
// call case 4: self request
  Object call8389 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8388);
// compiled member node returning call8389 (depth = 3)
    gc_frame_newslot(call8389);
    if8188 = call8389;
  } else {
  }
// compiled if node returning if8188 (depth = 2)
  gc_frame_end(frame);
  return if8188;
}
Object meth_parser__apply8395(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sameline = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8397 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8398 == NULL) {
    strlit8398 = alloc_String("identifier");
    gc_root(strlit8398);
  }
// compiled string node returning strlit8398 (depth = 6)
  gc_frame_newslot(strlit8398);
// call case 4: self request
  params[0] = strlit8398;
  partcv[0] = 1;
  Object call8399 = callmethodflags(self, "acceptSameLine(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8397);
// compiled call node returning call8399 (depth = 5)
  int op_slot_right_8396 = gc_frame_newslot(call8399);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8402 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8403 == NULL) {
    strlit8403 = alloc_String("identifier");
    gc_root(strlit8403);
  }
// compiled string node returning strlit8403 (depth = 7)
  gc_frame_newslot(strlit8403);
// call case 4: self request
  params[0] = strlit8403;
  partcv[0] = 1;
  Object call8404 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8402);
// compiled call node returning call8404 (depth = 6)
  int op_slot_right_8401 = gc_frame_newslot(call8404);
// starting to compile call node (depth = 6)
  int callframe8406 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sameline (depth = 7)
  partcv[0] = 0;
  Object call8407 = callmethodflags(*var_sameline, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe8406);
// compiled call node returning call8407 (depth = 6)
  int op_slot_left_8401 = gc_frame_newslot(call8407);
  params[0] = call8404;
  partcv[0] = 1;
  Object opresult8408 = callmethod(call8407, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8408 (depth = 5)
  int op_slot_left_8396 = gc_frame_newslot(opresult8408);
  params[0] = call8399;
  partcv[0] = 1;
  Object opresult8409 = callmethod(opresult8408, "||(1)", 1, partcv, params);
// compiled op node returning opresult8409 (depth = 4)
  gc_frame_end(frame);
  return opresult8409;
}
Object meth_parser__apply8452(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 6)
// Begin line 2684
  setline(2684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8456 == NULL) {
    strlit8456 = alloc_String("*");
    gc_root(strlit8456);
  }
// compiled string node returning strlit8456 (depth = 9)
  int op_slot_right_8455 = gc_frame_newslot(strlit8456);
// starting to compile member node (depth = 9)
  int callframe8458 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call8459 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8458);
// compiled member node returning call8459 (depth = 9)
  int op_slot_left_8455 = gc_frame_newslot(call8459);
  params[0] = strlit8456;
  partcv[0] = 1;
  Object opresult8460 = callmethod(call8459, "==(1)", 1, partcv, params);
// compiled op node returning opresult8460 (depth = 8)
  int op_slot_right_8454 = gc_frame_newslot(opresult8460);
// starting to compile call node (depth = 8)
  int callframe8462 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit8463 == NULL) {
    strlit8463 = alloc_String("op");
    gc_root(strlit8463);
  }
// compiled string node returning strlit8463 (depth = 9)
  gc_frame_newslot(strlit8463);
// call case 4: self request
  params[0] = strlit8463;
  partcv[0] = 1;
  Object call8464 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8462);
// compiled call node returning call8464 (depth = 8)
  int op_slot_left_8454 = gc_frame_newslot(call8464);
  params[0] = opresult8460;
  partcv[0] = 1;
  Object opresult8465 = callmethod(call8464, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8465 (depth = 7)
  int op_slot_right_8453 = gc_frame_newslot(opresult8465);
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8467 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8468 == NULL) {
    strlit8468 = alloc_String("identifier");
    gc_root(strlit8468);
  }
// compiled string node returning strlit8468 (depth = 8)
  gc_frame_newslot(strlit8468);
// call case 4: self request
  params[0] = strlit8468;
  partcv[0] = 1;
  Object call8469 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8467);
// compiled call node returning call8469 (depth = 7)
  int op_slot_left_8453 = gc_frame_newslot(call8469);
  params[0] = opresult8465;
  partcv[0] = 1;
  Object opresult8470 = callmethod(call8469, "||(1)", 1, partcv, params);
// compiled op node returning opresult8470 (depth = 6)
  gc_frame_end(frame);
  return opresult8470;
}
Object meth_parser__apply8473(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[3];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_part = getfromclosure(closure, 4);
  Object *var_comma = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_nxt = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "nxt");
// Begin line 2685
  setline(2685);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8475 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8476 == NULL) {
    strlit8476 = alloc_String("op");
    gc_root(strlit8476);
  }
// compiled string node returning strlit8476 (depth = 8)
  gc_frame_newslot(strlit8476);
// call case 4: self request
  params[0] = strlit8476;
  partcv[0] = 1;
  Object call8477 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8475);
// compiled call node returning call8477 (depth = 7)
  Object if8474 = done;
  if (istrue(call8477)) {
// Begin line 2686
  setline(2686);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe8478 = gc_frame_new();
// call case 4: self request
  Object call8479 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8478);
// compiled member node returning call8479 (depth = 7)
// Begin line 2687
  setline(2687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe8480 = gc_frame_new();
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8482 == NULL) {
    strlit8482 = alloc_String(" an Iterable.");
    gc_root(strlit8482);
  }
// compiled string node returning strlit8482 (depth = 9)
  int op_slot_right_8481 = gc_frame_newslot(strlit8482);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe8485 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call8486 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8485);
// compiled member node returning call8486 (depth = 10)
  int op_slot_right_8484 = gc_frame_newslot(call8486);
// starting to compile string node (depth = 10)
  if (strlit8488 == NULL) {
    strlit8488 = alloc_String("variable length parameters (parameters prefixed by '*') are no longer part of Grace.  Consider making ");
    gc_root(strlit8488);
  }
// compiled string node returning strlit8488 (depth = 10)
  int op_slot_left_8484 = gc_frame_newslot(strlit8488);
  params[0] = call8486;
  partcv[0] = 1;
  Object opresult8489 = callmethod(strlit8488, "++(1)", 1, partcv, params);
// compiled op node returning opresult8489 (depth = 9)
  int op_slot_left_8481 = gc_frame_newslot(opresult8489);
  params[0] = strlit8482;
  partcv[0] = 1;
  Object opresult8490 = callmethod(opresult8489, "++(1)", 1, partcv, params);
// compiled op node returning opresult8490 (depth = 8)
  gc_frame_newslot(opresult8490);
// Begin line 2688
  setline(2688);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe8491 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call8492 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8491);
// compiled member node returning call8492 (depth = 8)
  gc_frame_newslot(call8492);
// starting to compile member node (depth = 8)
  int callframe8493 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call8494 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8493);
// compiled member node returning call8494 (depth = 8)
  gc_frame_newslot(call8494);
// call case 6: other requests
// Begin line 2687
  setline(2687);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = opresult8490;
  params[1] = call8492;
  params[2] = call8494;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call8495 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe8480);
// compiled call node returning call8495 (depth = 7)
    gc_frame_newslot(call8495);
    if8474 = call8495;
  } else {
  }
// compiled if node returning if8474 (depth = 6)
// Begin line 2690
  setline(2690);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe8496 = gc_frame_new();
// call case 4: self request
  Object call8497 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8496);
// compiled member node returning call8497 (depth = 6)
// Begin line 2691
  setline(2691);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8498 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call8499 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8498);
// compiled member node returning call8499 (depth = 7)
  *var_nxt = call8499;
  if (call8499 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 2692
  setline(2692);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8500 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool8501 = alloc_Boolean(1);
// compiled identifier node returning bool8501 (depth = 7)
  gc_frame_newslot(bool8501);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nxt (depth = 7)
  params[0] = bool8501;
  partcv[0] = 1;
  Object call8502 = callmethodflags(*var_nxt, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8500);
// compiled call node returning call8502 (depth = 6)
// Begin line 2693
  setline(2693);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8503 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe8504 = gc_frame_new();
// call case 4: self request
  Object call8505 = callmethodflags(self, "optionalTypeAnnotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8504);
// compiled member node returning call8505 (depth = 7)
  gc_frame_newslot(call8505);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nxt (depth = 7)
  params[0] = call8505;
  partcv[0] = 1;
  Object call8506 = callmethodflags(*var_nxt, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8503);
// compiled call node returning call8506 (depth = 6)
// Begin line 2694
  setline(2694);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8507 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nxt (depth = 7)
  gc_frame_newslot(*var_nxt);
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8508 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_part (depth = 8)
  Object call8509 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe8508);
// compiled member node returning call8509 (depth = 7)
  params[0] = *var_nxt;
  partcv[0] = 1;
  Object call8510 = callmethodflags(call8509, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8507);
// compiled call node returning call8510 (depth = 6)
// Begin line 2695
  setline(2695);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe8512 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8513 == NULL) {
    strlit8513 = alloc_String("comma");
    gc_root(strlit8513);
  }
// compiled string node returning strlit8513 (depth = 8)
  gc_frame_newslot(strlit8513);
// call case 4: self request
  params[0] = strlit8513;
  partcv[0] = 1;
  Object call8514 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8512);
// compiled call node returning call8514 (depth = 7)
  Object if8511 = done;
  if (istrue(call8514)) {
// Begin line 2696
  setline(2696);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  *var_comma = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 2697
  setline(2697);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe8516 = gc_frame_new();
// call case 4: self request
  Object call8517 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8516);
// compiled member node returning call8517 (depth = 7)
    gc_frame_newslot(call8517);
    if8511 = call8517;
  } else {
  }
// compiled if node returning if8511 (depth = 6)
  gc_frame_end(frame);
  return if8511;
}
Object meth_parser__apply8412(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(5, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  Object *var_signature = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_part = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "part");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_comma = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "comma");
// Begin line 2672
  setline(2672);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8413 = gc_frame_new();
// call case 4: self request
  Object call8414 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8413);
// compiled member node returning call8414 (depth = 4)
// Begin line 2673
  setline(2673);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8415 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe8416 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8417 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call8418 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8417);
// compiled member node returning call8418 (depth = 7)
  Object call8419 = callmethodflags(call8418, "nameString", 0, partcv, params, 0);
  gc_frame_end(callframe8416);
// compiled member node returning call8419 (depth = 6)
  gc_frame_newslot(call8419);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8420 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call8421 = callmethodflags(*var_ast, "signaturePart", 0, partcv, params, 0);
  gc_frame_end(callframe8420);
// compiled member node returning call8421 (depth = 6)
  params[0] = call8419;
  partcv[0] = 1;
  Object call8422 = callmethodflags(call8421, "partName(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8415);
// compiled call node returning call8422 (depth = 5)
  *var_part = call8422;
  if (call8422 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2674
  setline(2674);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8424 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe8425 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8426 == NULL) {
    strlit8426 = alloc_String("lparen");
    gc_root(strlit8426);
  }
// compiled string node returning strlit8426 (depth = 7)
  gc_frame_newslot(strlit8426);
// call case 4: self request
  params[0] = strlit8426;
  partcv[0] = 1;
  Object call8427 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8425);
// compiled call node returning call8427 (depth = 6)
  Object call8428 = callmethodflags(call8427, "not", 0, partcv, params, 0);
  gc_frame_end(callframe8424);
// compiled member node returning call8428 (depth = 5)
  Object if8423 = done;
  if (istrue(call8428)) {
// Begin line 2675
  setline(2675);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8429 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8430 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call8431 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8430);
// compiled member node returning call8431 (depth = 7)
  Object call8432 = callmethodflags(call8431, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8429);
// compiled member node returning call8432 (depth = 6)
  *var_suggestion = call8432;
  if (call8432 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2676
  setline(2676);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8433 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8434 == NULL) {
    strlit8434 = alloc_String("()");
    gc_root(strlit8434);
  }
// compiled string node returning strlit8434 (depth = 6)
  gc_frame_newslot(strlit8434);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8434;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8435 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8433);
// compiled call node returning call8435 (depth = 5)
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8436 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 2678
  setline(2678);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8438 == NULL) {
    strlit8438 = alloc_String("parameter lists must have parentheses around each parameter list.");
    gc_root(strlit8438);
  }
// compiled string node returning strlit8438 (depth = 7)
  int op_slot_right_8437 = gc_frame_newslot(strlit8438);
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit8440 == NULL) {
    strlit8440 = alloc_String("the declaration of a method with multiple ");
    gc_root(strlit8440);
  }
// compiled string node returning strlit8440 (depth = 7)
  int op_slot_left_8437 = gc_frame_newslot(strlit8440);
  params[0] = strlit8438;
  partcv[0] = 1;
  Object opresult8441 = callmethod(strlit8440, "++(1)", 1, partcv, params);
// compiled op node returning opresult8441 (depth = 6)
  gc_frame_newslot(opresult8441);
// Begin line 2679
  setline(2679);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe8442 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8443 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8442);
// compiled member node returning call8443 (depth = 6)
  gc_frame_newslot(call8443);
// starting to compile member node (depth = 6)
  int callframe8444 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8445 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8444);
// compiled member node returning call8445 (depth = 6)
  gc_frame_newslot(call8445);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2677
  setline(2677);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult8441;
  params[1] = call8443;
  params[2] = call8445;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8446 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8436);
// compiled call node returning call8446 (depth = 5)
    gc_frame_newslot(call8446);
    if8423 = call8446;
  } else {
  }
// compiled if node returning if8423 (depth = 4)
// Begin line 2681
  setline(2681);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8447 = gc_frame_new();
// call case 4: self request
  Object call8448 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8447);
// compiled member node returning call8448 (depth = 4)
// Begin line 2682
  setline(2682);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool8449 = alloc_Boolean(0);
// compiled identifier node returning bool8449 (depth = 5)
  *var_comma = bool8449;
  if (bool8449 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2683
  setline(2683);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8450 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block8451 = alloc_Block(NULL, NULL, "parser", 2683);
  gc_frame_newslot(block8451);
// method "_apply"
  block_savedest(block8451);
  Object closure8452 = createclosure(2, "_apply");
  setclosureframe(closure8452, stackframe);
  addtoclosure(closure8452, var_sym);
  addtoclosure(closure8452, selfslot);
  struct UserObject *uo8452 = (struct UserObject*)block8451;
  uo8452->data[0] = (Object)closure8452;
  Method *meth_meth_parser__apply8452 = addmethod2pos(block8451, "_apply", &meth_parser__apply8452, 0);
  int argcv_meth_parser__apply8452[] = {0};
  meth_meth_parser__apply8452->type = alloc_MethodType(1, argcv_meth_parser__apply8452);
  meth_meth_parser__apply8452->definitionModule = modulename;
  meth_meth_parser__apply8452->definitionLine = 3404;
// compiled block node returning block8451 (depth = 5)
  gc_frame_newslot(block8451);
// Begin line 2684
  setline(2684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 5)
  Object block8472 = alloc_Block(NULL, NULL, "parser", 2684);
  gc_frame_newslot(block8472);
// method "_apply"
  block_savedest(block8472);
  Object closure8473 = createclosure(7, "_apply");
  setclosureframe(closure8473, stackframe);
  addtoclosure(closure8473, var_sym);
  addtoclosure(closure8473, var_lastToken);
  addtoclosure(closure8473, var_errormessages);
  addtoclosure(closure8473, var_values);
  addtoclosure(closure8473, var_part);
  addtoclosure(closure8473, var_comma);
  addtoclosure(closure8473, selfslot);
  struct UserObject *uo8473 = (struct UserObject*)block8472;
  uo8473->data[0] = (Object)closure8473;
  Method *meth_meth_parser__apply8473 = addmethod2pos(block8472, "_apply", &meth_parser__apply8473, 0);
  int argcv_meth_parser__apply8473[] = {0};
  meth_meth_parser__apply8473->type = alloc_MethodType(1, argcv_meth_parser__apply8473);
  meth_meth_parser__apply8473->definitionModule = modulename;
  meth_meth_parser__apply8473->definitionLine = 3404;
// compiled block node returning block8472 (depth = 5)
  gc_frame_newslot(block8472);
// call case 5: prelude request
  params[0] = block8451;
  params[1] = block8472;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8519 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8450);
// compiled call node returning call8519 (depth = 4)
// Begin line 2700
  setline(2700);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8522 == NULL) {
    strlit8522 = alloc_String("rparen");
    gc_root(strlit8522);
  }
// compiled string node returning strlit8522 (depth = 6)
  int op_slot_right_8521 = gc_frame_newslot(strlit8522);
// starting to compile member node (depth = 6)
  int callframe8524 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8525 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8524);
// compiled member node returning call8525 (depth = 6)
  int op_slot_left_8521 = gc_frame_newslot(call8525);
  params[0] = strlit8522;
  partcv[0] = 1;
  Object opresult8526 = callmethod(call8525, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8526 (depth = 5)
  Object if8520 = done;
  if (istrue(opresult8526)) {
// Begin line 2701
  setline(2701);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8527 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe8528 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call8529 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8528);
// compiled member node returning call8529 (depth = 7)
  Object call8530 = callmethodflags(call8529, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8527);
// compiled member node returning call8530 (depth = 6)
  *var_suggestion = call8530;
  if (call8530 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2702
  setline(2702);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8531 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8532 == NULL) {
    strlit8532 = alloc_String(")");
    gc_root(strlit8532);
  }
// compiled string node returning strlit8532 (depth = 6)
  gc_frame_newslot(strlit8532);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit8532;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8533 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8531);
// compiled call node returning call8533 (depth = 5)
// Begin line 2703
  setline(2703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8534 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8535 == NULL) {
    strlit8535 = alloc_String("a part of a multi-part method beginning with a '(' must end with a ')'.");
    gc_root(strlit8535);
  }
// compiled string node returning strlit8535 (depth = 6)
  gc_frame_newslot(strlit8535);
// Begin line 2704
  setline(2704);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe8536 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call8537 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8536);
// compiled member node returning call8537 (depth = 6)
  gc_frame_newslot(call8537);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe8539 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call8540 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8539);
// compiled member node returning call8540 (depth = 7)
  int op_slot_right_8538 = gc_frame_newslot(call8540);
// starting to compile member node (depth = 7)
  int callframe8542 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call8543 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8542);
// compiled member node returning call8543 (depth = 7)
  int op_slot_left_8538 = gc_frame_newslot(call8543);
  params[0] = call8540;
  partcv[0] = 1;
  Object sum8544 = callmethod(call8543, "+(1)", 1, partcv, params);
// compiled op node returning sum8544 (depth = 6)
  gc_frame_newslot(sum8544);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2703
  setline(2703);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit8535;
  params[1] = call8537;
  params[2] = sum8544;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8545 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8534);
// compiled call node returning call8545 (depth = 5)
    gc_frame_newslot(call8545);
    if8520 = call8545;
  } else {
  }
// compiled if node returning if8520 (depth = 4)
// Begin line 2706
  setline(2706);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8546 = gc_frame_new();
// call case 4: self request
  Object call8547 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8546);
// compiled member node returning call8547 (depth = 4)
// Begin line 2707
  setline(2707);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8548 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  gc_frame_newslot(*var_part);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_signature (depth = 5)
  params[0] = *var_part;
  partcv[0] = 1;
  Object call8549 = callmethodflags(*var_signature, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8548);
// compiled call node returning call8549 (depth = 4)
  gc_frame_end(frame);
  return call8549;
}
Object meth_parser_methodDecRest_40_2_41_8390(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 62, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodDecRest(2)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 2)
    graceRaise(RequestError(), "insufficient arguments to method methodDecRest(_,_)");
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_sym = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for methodDecRest(_,_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_tm = &(stackframe->slots[0]);
  *var_tm = args[curarg];
  curarg++;
  Object *var_sameline = &(stackframe->slots[1]);
  *var_sameline = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 2)
    graceRaise(RequestError(), "wrong number of arguments for part methodDecRest(_,_)");
  Object *selfslot = &(stackframe->slots[2]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_signature = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "signature");
// Begin line 2670
  setline(2670);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe8391 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tm (depth = 4)
  Object call8392 = callmethodflags(*var_tm, "signature", 0, partcv, params, 0);
  gc_frame_end(callframe8391);
// compiled member node returning call8392 (depth = 3)
  *var_signature = call8392;
  if (call8392 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2671
  setline(2671);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe8393 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block8394 = alloc_Block(NULL, NULL, "parser", 2671);
  gc_frame_newslot(block8394);
// method "_apply"
  block_savedest(block8394);
  Object closure8395 = createclosure(2, "_apply");
  setclosureframe(closure8395, stackframe);
  addtoclosure(closure8395, var_sameline);
  addtoclosure(closure8395, selfslot);
  struct UserObject *uo8395 = (struct UserObject*)block8394;
  uo8395->data[0] = (Object)closure8395;
  Method *meth_meth_parser__apply8395 = addmethod2pos(block8394, "_apply", &meth_parser__apply8395, 0);
  int argcv_meth_parser__apply8395[] = {0};
  meth_meth_parser__apply8395->type = alloc_MethodType(1, argcv_meth_parser__apply8395);
  meth_meth_parser__apply8395->definitionModule = modulename;
  meth_meth_parser__apply8395->definitionLine = 3404;
// compiled block node returning block8394 (depth = 3)
  gc_frame_newslot(block8394);
// starting to compile block node (depth = 3)
  Object block8411 = alloc_Block(NULL, NULL, "parser", 2671);
  gc_frame_newslot(block8411);
// method "_apply"
  block_savedest(block8411);
  Object closure8412 = createclosure(7, "_apply");
  setclosureframe(closure8412, stackframe);
  addtoclosure(closure8412, var_values);
  addtoclosure(closure8412, var_ast);
  addtoclosure(closure8412, var_errormessages);
  addtoclosure(closure8412, var_lastToken);
  addtoclosure(closure8412, var_sym);
  addtoclosure(closure8412, var_signature);
  addtoclosure(closure8412, selfslot);
  struct UserObject *uo8412 = (struct UserObject*)block8411;
  uo8412->data[0] = (Object)closure8412;
  Method *meth_meth_parser__apply8412 = addmethod2pos(block8411, "_apply", &meth_parser__apply8412, 0);
  int argcv_meth_parser__apply8412[] = {0};
  meth_meth_parser__apply8412->type = alloc_MethodType(1, argcv_meth_parser__apply8412);
  meth_meth_parser__apply8412->definitionModule = modulename;
  meth_meth_parser__apply8412->definitionLine = 3404;
// compiled block node returning block8411 (depth = 3)
  gc_frame_newslot(block8411);
// call case 5: prelude request
  params[0] = block8394;
  params[1] = block8411;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8551 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8393);
// compiled call node returning call8551 (depth = 2)
  gc_frame_end(frame);
  return call8551;
}
Object meth_parser__apply8562(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
  int callframe8563 = gc_frame_new();
// call case 4: self request
  Object call8564 = callmethodflags(self, "typeexpression", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8563);
// compiled member node returning call8564 (depth = 6)
  gc_frame_end(frame);
  return call8564;
}
Object meth_parser_optionalTypeAnnotation8552(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 63, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "optionalTypeAnnotation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_sym = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
// Begin line 2714
  setline(2714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8554 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8555 == NULL) {
    strlit8555 = alloc_String("colon");
    gc_root(strlit8555);
  }
// compiled string node returning strlit8555 (depth = 4)
  gc_frame_newslot(strlit8555);
// call case 4: self request
  params[0] = strlit8555;
  partcv[0] = 1;
  Object call8556 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8554);
// compiled call node returning call8556 (depth = 3)
  Object if8553 = done;
  if (istrue(call8556)) {
// Begin line 2715
  setline(2715);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8557 = gc_frame_new();
// call case 4: self request
  Object call8558 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8557);
// compiled member node returning call8558 (depth = 3)
// Begin line 2716
  setline(2716);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe8560 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block8561 = alloc_Block(NULL, NULL, "parser", 2716);
  gc_frame_newslot(block8561);
// method "_apply"
  block_savedest(block8561);
  Object closure8562 = createclosure(1, "_apply");
  setclosureframe(closure8562, stackframe);
  addtoclosure(closure8562, selfslot);
  struct UserObject *uo8562 = (struct UserObject*)block8561;
  uo8562->data[0] = (Object)closure8562;
  Method *meth_meth_parser__apply8562 = addmethod2pos(block8561, "_apply", &meth_parser__apply8562, 0);
  int argcv_meth_parser__apply8562[] = {0};
  meth_meth_parser__apply8562->type = alloc_MethodType(1, argcv_meth_parser__apply8562);
  meth_meth_parser__apply8562->definitionModule = modulename;
  meth_meth_parser__apply8562->definitionLine = 3404;
// compiled block node returning block8561 (depth = 5)
  gc_frame_newslot(block8561);
// call case 4: self request
  params[0] = block8561;
  partcv[0] = 1;
  Object call8566 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8560);
// compiled call node returning call8566 (depth = 4)
  Object if8559 = done;
  if (istrue(call8566)) {
// Begin line 2717
  setline(2717);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8567 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call8568 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8567);
// compiled member node returning call8568 (depth = 4)
    gc_frame_newslot(call8568);
    if8559 = call8568;
  } else {
// Begin line 2719
  setline(2719);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8569 = gc_frame_new();
// call case 4: self request
  Object call8570 = callmethodflags(self, "checkBadTypeLiteral", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8569);
// compiled member node returning call8570 (depth = 4)
// Begin line 2720
  setline(2720);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array8571 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8571 (depth = 5)
  *var_suggestions = array8571;
  if (array8571 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2721
  setline(2721);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8572 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8573 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call8574 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8573);
// compiled member node returning call8574 (depth = 6)
  Object call8575 = callmethodflags(call8574, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8572);
// compiled member node returning call8575 (depth = 5)
  *var_suggestion = call8575;
  if (call8575 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2722
  setline(2722);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8576 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8577 == NULL) {
    strlit8577 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit8577);
  }
// compiled string node returning strlit8577 (depth = 5)
  gc_frame_newslot(strlit8577);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit8577;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8578 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8576);
// compiled call node returning call8578 (depth = 4)
// Begin line 2723
  setline(2723);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8579 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8580 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8579);
// compiled call node returning call8580 (depth = 4)
// Begin line 2724
  setline(2724);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8581 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8582 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call8583 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8582);
// compiled member node returning call8583 (depth = 6)
  Object call8584 = callmethodflags(call8583, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8581);
// compiled member node returning call8584 (depth = 5)
  *var_suggestion = call8584;
  if (call8584 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 2725
  setline(2725);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8586 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// starting to compile identifier node (depth = 5)
  Object bool8587 = alloc_Boolean(1);
// compiled identifier node returning bool8587 (depth = 5)
  gc_frame_newslot(bool8587);
// starting to compile identifier node (depth = 5)
  Object bool8588 = alloc_Boolean(0);
// compiled identifier node returning bool8588 (depth = 5)
  gc_frame_newslot(bool8588);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_lastToken;
  params[1] = bool8587;
  params[2] = bool8588;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call8589 = callmethodflags(*var_suggestion, "deleteToken(1)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8586);
// compiled call node returning call8589 (depth = 4)
// Begin line 2726
  setline(2726);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8590 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call8591 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8590);
// compiled call node returning call8591 (depth = 4)
// Begin line 2727
  setline(2727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8592 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8593 == NULL) {
    strlit8593 = alloc_String("a type name or type expression must follow ':'.");
    gc_root(strlit8593);
  }
// compiled string node returning strlit8593 (depth = 5)
  gc_frame_newslot(strlit8593);
// Begin line 2728
  setline(2728);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8594 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call8595 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8594);
// compiled member node returning call8595 (depth = 5)
  gc_frame_newslot(call8595);
// starting to compile member node (depth = 5)
  int callframe8596 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call8597 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8596);
// compiled member node returning call8597 (depth = 5)
  gc_frame_newslot(call8597);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2727
  setline(2727);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8593;
  params[1] = call8595;
  params[2] = call8597;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8598 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8592);
// compiled call node returning call8598 (depth = 4)
    gc_frame_newslot(call8598);
    if8559 = call8598;
  }
// compiled if node returning if8559 (depth = 3)
    gc_frame_newslot(if8559);
    if8553 = if8559;
  } else {
// Begin line 2731
  setline(2731);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
  Object bool8599 = alloc_Boolean(0);
// compiled identifier node returning bool8599 (depth = 3)
    gc_frame_newslot(bool8599);
    if8553 = bool8599;
  }
// compiled if node returning if8553 (depth = 2)
  gc_frame_end(frame);
  return if8553;
}
Object meth_parser__apply8667(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8669 == NULL) {
    strlit8669 = alloc_String("rsquare");
    gc_root(strlit8669);
  }
// compiled string node returning strlit8669 (depth = 6)
  int op_slot_right_8668 = gc_frame_newslot(strlit8669);
// starting to compile member node (depth = 6)
  int callframe8671 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8672 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8671);
// compiled member node returning call8672 (depth = 6)
  int op_slot_left_8668 = gc_frame_newslot(call8672);
  params[0] = strlit8669;
  partcv[0] = 1;
  Object opresult8673 = callmethod(call8672, "==(1)", 1, partcv, params);
// compiled op node returning opresult8673 (depth = 5)
  gc_frame_end(frame);
  return opresult8673;
}
Object meth_parser__apply8747(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 5)
// Begin line 2766
  setline(2766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8751 == NULL) {
    strlit8751 = alloc_String("*");
    gc_root(strlit8751);
  }
// compiled string node returning strlit8751 (depth = 8)
  int op_slot_right_8750 = gc_frame_newslot(strlit8751);
// starting to compile member node (depth = 8)
  int callframe8753 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call8754 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8753);
// compiled member node returning call8754 (depth = 8)
  int op_slot_left_8750 = gc_frame_newslot(call8754);
  params[0] = strlit8751;
  partcv[0] = 1;
  Object opresult8755 = callmethod(call8754, "==(1)", 1, partcv, params);
// compiled op node returning opresult8755 (depth = 7)
  int op_slot_right_8749 = gc_frame_newslot(opresult8755);
// starting to compile call node (depth = 7)
  int callframe8757 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit8758 == NULL) {
    strlit8758 = alloc_String("op");
    gc_root(strlit8758);
  }
// compiled string node returning strlit8758 (depth = 8)
  gc_frame_newslot(strlit8758);
// call case 4: self request
  params[0] = strlit8758;
  partcv[0] = 1;
  Object call8759 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8757);
// compiled call node returning call8759 (depth = 7)
  int op_slot_left_8749 = gc_frame_newslot(call8759);
  params[0] = opresult8755;
  partcv[0] = 1;
  Object opresult8760 = callmethod(call8759, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8760 (depth = 6)
  int op_slot_right_8748 = gc_frame_newslot(opresult8760);
// Begin line 2765
  setline(2765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8762 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8763 == NULL) {
    strlit8763 = alloc_String("identifier");
    gc_root(strlit8763);
  }
// compiled string node returning strlit8763 (depth = 7)
  gc_frame_newslot(strlit8763);
// call case 4: self request
  params[0] = strlit8763;
  partcv[0] = 1;
  Object call8764 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8762);
// compiled call node returning call8764 (depth = 6)
  int op_slot_left_8748 = gc_frame_newslot(call8764);
  params[0] = opresult8760;
  partcv[0] = 1;
  Object opresult8765 = callmethod(call8764, "||(1)", 1, partcv, params);
// compiled op node returning opresult8765 (depth = 5)
  gc_frame_end(frame);
  return opresult8765;
}
Object meth_parser__apply8768(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_lastToken = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_id = getfromclosure(closure, 4);
  Object *var_part = getfromclosure(closure, 5);
  Object *var_comma = getfromclosure(closure, 6);
  Object self = *(getfromclosure(closure, 7));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 2769
  setline(2769);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8770 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8771 == NULL) {
    strlit8771 = alloc_String("op");
    gc_root(strlit8771);
  }
// compiled string node returning strlit8771 (depth = 7)
  gc_frame_newslot(strlit8771);
// call case 4: self request
  params[0] = strlit8771;
  partcv[0] = 1;
  Object call8772 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8770);
// compiled call node returning call8772 (depth = 6)
  Object if8769 = done;
  if (istrue(call8772)) {
// Begin line 2770
  setline(2770);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe8773 = gc_frame_new();
// call case 4: self request
  Object call8774 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8773);
// compiled member node returning call8774 (depth = 6)
// Begin line 2771
  setline(2771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe8775 = gc_frame_new();
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8777 == NULL) {
    strlit8777 = alloc_String(" an Iterable.");
    gc_root(strlit8777);
  }
// compiled string node returning strlit8777 (depth = 8)
  int op_slot_right_8776 = gc_frame_newslot(strlit8777);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe8780 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call8781 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8780);
// compiled member node returning call8781 (depth = 9)
  int op_slot_right_8779 = gc_frame_newslot(call8781);
// starting to compile string node (depth = 9)
  if (strlit8783 == NULL) {
    strlit8783 = alloc_String("variable length parameters (parameters prefixed by '*') are no longer part of Grace.  Consider making ");
    gc_root(strlit8783);
  }
// compiled string node returning strlit8783 (depth = 9)
  int op_slot_left_8779 = gc_frame_newslot(strlit8783);
  params[0] = call8781;
  partcv[0] = 1;
  Object opresult8784 = callmethod(strlit8783, "++(1)", 1, partcv, params);
// compiled op node returning opresult8784 (depth = 8)
  int op_slot_left_8776 = gc_frame_newslot(opresult8784);
  params[0] = strlit8777;
  partcv[0] = 1;
  Object opresult8785 = callmethod(opresult8784, "++(1)", 1, partcv, params);
// compiled op node returning opresult8785 (depth = 7)
  gc_frame_newslot(opresult8785);
// Begin line 2772
  setline(2772);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe8786 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call8787 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8786);
// compiled member node returning call8787 (depth = 7)
  gc_frame_newslot(call8787);
// starting to compile member node (depth = 7)
  int callframe8788 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call8789 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8788);
// compiled member node returning call8789 (depth = 7)
  gc_frame_newslot(call8789);
// call case 6: other requests
// Begin line 2771
  setline(2771);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  params[0] = opresult8785;
  params[1] = call8787;
  params[2] = call8789;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call8790 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe8775);
// compiled call node returning call8790 (depth = 6)
    gc_frame_newslot(call8790);
    if8769 = call8790;
  } else {
  }
// compiled if node returning if8769 (depth = 5)
// Begin line 2774
  setline(2774);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8791 = gc_frame_new();
// call case 4: self request
  Object call8792 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8791);
// compiled member node returning call8792 (depth = 5)
// Begin line 2775
  setline(2775);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8793 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  Object call8794 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8793);
// compiled member node returning call8794 (depth = 6)
  *var_id = call8794;
  if (call8794 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 2776
  setline(2776);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8796 = gc_frame_new();
// starting to compile identifier node (depth = 6)
  Object bool8797 = alloc_Boolean(1);
// compiled identifier node returning bool8797 (depth = 6)
  gc_frame_newslot(bool8797);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_id (depth = 6)
  params[0] = bool8797;
  partcv[0] = 1;
  Object call8798 = callmethodflags(*var_id, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8796);
// compiled call node returning call8798 (depth = 5)
// Begin line 2777
  setline(2777);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8799 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe8800 = gc_frame_new();
// call case 4: self request
  Object call8801 = callmethodflags(self, "optionalTypeAnnotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8800);
// compiled member node returning call8801 (depth = 6)
  gc_frame_newslot(call8801);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_id (depth = 6)
  params[0] = call8801;
  partcv[0] = 1;
  Object call8802 = callmethodflags(*var_id, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8799);
// compiled call node returning call8802 (depth = 5)
// Begin line 2778
  setline(2778);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8803 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_id (depth = 6)
  gc_frame_newslot(*var_id);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8804 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call8805 = callmethodflags(*var_part, "params", 0, partcv, params, 0);
  gc_frame_end(callframe8804);
// compiled member node returning call8805 (depth = 6)
  params[0] = *var_id;
  partcv[0] = 1;
  Object call8806 = callmethodflags(call8805, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8803);
// compiled call node returning call8806 (depth = 5)
// Begin line 2779
  setline(2779);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8808 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8809 == NULL) {
    strlit8809 = alloc_String("comma");
    gc_root(strlit8809);
  }
// compiled string node returning strlit8809 (depth = 7)
  gc_frame_newslot(strlit8809);
// call case 4: self request
  params[0] = strlit8809;
  partcv[0] = 1;
  Object call8810 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8808);
// compiled call node returning call8810 (depth = 6)
  Object if8807 = done;
  if (istrue(call8810)) {
// Begin line 2780
  setline(2780);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  *var_comma = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 2781
  setline(2781);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe8812 = gc_frame_new();
// call case 4: self request
  Object call8813 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8812);
// compiled member node returning call8813 (depth = 6)
    gc_frame_newslot(call8813);
    if8807 = call8813;
  } else {
// Begin line 2790
  setline(2790);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 2782
  setline(2782);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit8816 == NULL) {
    strlit8816 = alloc_String("rparen");
    gc_root(strlit8816);
  }
// compiled string node returning strlit8816 (depth = 8)
  int op_slot_right_8815 = gc_frame_newslot(strlit8816);
// starting to compile member node (depth = 8)
  int callframe8818 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call8819 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8818);
// compiled member node returning call8819 (depth = 8)
  int op_slot_left_8815 = gc_frame_newslot(call8819);
  params[0] = strlit8816;
  partcv[0] = 1;
  Object opresult8820 = callmethod(call8819, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8820 (depth = 7)
  Object if8814 = done;
  if (istrue(opresult8820)) {
// Begin line 2783
  setline(2783);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8823 == NULL) {
    strlit8823 = alloc_String("rparen");
    gc_root(strlit8823);
  }
// compiled string node returning strlit8823 (depth = 9)
  int op_slot_right_8822 = gc_frame_newslot(strlit8823);
// starting to compile member node (depth = 9)
  int callframe8825 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call8826 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8825);
// compiled member node returning call8826 (depth = 9)
  int op_slot_left_8822 = gc_frame_newslot(call8826);
  params[0] = strlit8823;
  partcv[0] = 1;
  Object opresult8827 = callmethod(call8826, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8827 (depth = 8)
  Object if8821 = done;
  if (istrue(opresult8827)) {
// Begin line 2784
  setline(2784);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe8828 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe8829 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call8830 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8829);
// compiled member node returning call8830 (depth = 10)
  Object call8831 = callmethodflags(call8830, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8828);
// compiled member node returning call8831 (depth = 9)
  *var_suggestion = call8831;
  if (call8831 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 2785
  setline(2785);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe8832 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit8833 == NULL) {
    strlit8833 = alloc_String(")");
    gc_root(strlit8833);
  }
// compiled string node returning strlit8833 (depth = 9)
  gc_frame_newslot(strlit8833);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit8833;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8834 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8832);
// compiled call node returning call8834 (depth = 8)
// Begin line 2786
  setline(2786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe8835 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit8836 == NULL) {
    strlit8836 = alloc_String("a part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit8836);
  }
// compiled string node returning strlit8836 (depth = 9)
  gc_frame_newslot(strlit8836);
// Begin line 2787
  setline(2787);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe8837 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call8838 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8837);
// compiled member node returning call8838 (depth = 9)
  gc_frame_newslot(call8838);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe8840 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  Object call8841 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8840);
// compiled member node returning call8841 (depth = 10)
  int op_slot_right_8839 = gc_frame_newslot(call8841);
// starting to compile member node (depth = 10)
  int callframe8843 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_lastToken (depth = 11)
  Object call8844 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8843);
// compiled member node returning call8844 (depth = 10)
  int op_slot_left_8839 = gc_frame_newslot(call8844);
  params[0] = call8841;
  partcv[0] = 1;
  Object sum8845 = callmethod(call8844, "+(1)", 1, partcv, params);
// compiled op node returning sum8845 (depth = 9)
  gc_frame_newslot(sum8845);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2786
  setline(2786);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = strlit8836;
  params[1] = call8838;
  params[2] = sum8845;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8846 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8835);
// compiled call node returning call8846 (depth = 8)
    gc_frame_newslot(call8846);
    if8821 = call8846;
  } else {
  }
// compiled if node returning if8821 (depth = 7)
    gc_frame_newslot(if8821);
    if8814 = if8821;
  } else {
  }
// compiled if node returning if8814 (depth = 6)
    gc_frame_newslot(if8814);
    if8807 = if8814;
  }
// compiled if node returning if8807 (depth = 5)
  gc_frame_end(frame);
  return if8807;
}
Object meth_parser__apply_40_1_41_8862(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe8865 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call8866 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8865);
// compiled member node returning call8866 (depth = 9)
  int op_slot_right_8864 = gc_frame_newslot(call8866);
// starting to compile member node (depth = 9)
  int callframe8868 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call8869 = callmethodflags(*var_t, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8868);
// compiled member node returning call8869 (depth = 9)
  int op_slot_left_8864 = gc_frame_newslot(call8869);
  params[0] = call8866;
  partcv[0] = 1;
  Object opresult8870 = callmethod(call8869, "==(1)", 1, partcv, params);
// compiled op node returning opresult8870 (depth = 8)
  int op_slot_right_8863 = gc_frame_newslot(opresult8870);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit8873 == NULL) {
    strlit8873 = alloc_String("rparen");
    gc_root(strlit8873);
  }
// compiled string node returning strlit8873 (depth = 9)
  int op_slot_right_8872 = gc_frame_newslot(strlit8873);
// starting to compile member node (depth = 9)
  int callframe8875 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_t (depth = 10)
  Object call8876 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8875);
// compiled member node returning call8876 (depth = 9)
  int op_slot_left_8872 = gc_frame_newslot(call8876);
  params[0] = strlit8873;
  partcv[0] = 1;
  Object opresult8877 = callmethod(call8876, "==(1)", 1, partcv, params);
// compiled op node returning opresult8877 (depth = 8)
  int op_slot_left_8863 = gc_frame_newslot(opresult8877);
  params[0] = opresult8870;
  partcv[0] = 1;
  Object opresult8878 = callmethod(opresult8877, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8878 (depth = 7)
  gc_frame_end(frame);
  return opresult8878;
}
Object meth_parser_methodsignature_40_1_41_8600(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 64, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "methodsignature(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method methodsignature(_)");
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for methodsignature(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_sameline = &(stackframe->slots[0]);
  *var_sameline = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part methodsignature(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_startToken = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "startToken");
  Object *var_part = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "part");
  Object *var_result = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "result");
  Object *var_lparen = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "lparen");
  Object *var_id = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "id");
  Object *var_comma = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "comma");
  Object *var_rparen = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "rparen");
// Begin line 2737
  setline(2737);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8604 == NULL) {
    strlit8604 = alloc_String("lsquare");
    gc_root(strlit8604);
  }
// compiled string node returning strlit8604 (depth = 5)
  int op_slot_right_8603 = gc_frame_newslot(strlit8604);
// starting to compile member node (depth = 5)
  int callframe8606 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call8607 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8606);
// compiled member node returning call8607 (depth = 5)
  int op_slot_left_8603 = gc_frame_newslot(call8607);
  params[0] = strlit8604;
  partcv[0] = 1;
  Object opresult8608 = callmethod(call8607, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8608 (depth = 4)
  int op_slot_right_8602 = gc_frame_newslot(opresult8608);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8612 == NULL) {
    strlit8612 = alloc_String("op");
    gc_root(strlit8612);
  }
// compiled string node returning strlit8612 (depth = 6)
  int op_slot_right_8611 = gc_frame_newslot(strlit8612);
// starting to compile member node (depth = 6)
  int callframe8614 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8615 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8614);
// compiled member node returning call8615 (depth = 6)
  int op_slot_left_8611 = gc_frame_newslot(call8615);
  params[0] = strlit8612;
  partcv[0] = 1;
  Object opresult8616 = callmethod(call8615, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8616 (depth = 5)
  int op_slot_right_8610 = gc_frame_newslot(opresult8616);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8619 == NULL) {
    strlit8619 = alloc_String("identifier");
    gc_root(strlit8619);
  }
// compiled string node returning strlit8619 (depth = 6)
  int op_slot_right_8618 = gc_frame_newslot(strlit8619);
// starting to compile member node (depth = 6)
  int callframe8621 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8622 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8621);
// compiled member node returning call8622 (depth = 6)
  int op_slot_left_8618 = gc_frame_newslot(call8622);
  params[0] = strlit8619;
  partcv[0] = 1;
  Object opresult8623 = callmethod(call8622, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8623 (depth = 5)
  int op_slot_left_8610 = gc_frame_newslot(opresult8623);
  params[0] = opresult8616;
  partcv[0] = 1;
  Object opresult8624 = callmethod(opresult8623, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8624 (depth = 4)
  int op_slot_left_8602 = gc_frame_newslot(opresult8624);
  params[0] = opresult8608;
  partcv[0] = 1;
  Object opresult8625 = callmethod(opresult8624, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8625 (depth = 3)
  Object if8601 = done;
  if (istrue(opresult8625)) {
// Begin line 2738
  setline(2738);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8626 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8627 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call8628 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8627);
// compiled member node returning call8628 (depth = 5)
  Object call8629 = callmethodflags(call8628, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8626);
// compiled member node returning call8629 (depth = 4)
  *var_suggestion = call8629;
  if (call8629 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2739
  setline(2739);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8630 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8631 == NULL) {
    strlit8631 = alloc_String(" ""\xc2""""\xab""method name""\xc2""""\xbb""");
    gc_root(strlit8631);
  }
// compiled string node returning strlit8631 (depth = 4)
  gc_frame_newslot(strlit8631);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit8631;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8632 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8630);
// compiled call node returning call8632 (depth = 3)
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8633 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8634 == NULL) {
    strlit8634 = alloc_String("a method name must start with an identifier, or be an operator.");
    gc_root(strlit8634);
  }
// compiled string node returning strlit8634 (depth = 4)
  gc_frame_newslot(strlit8634);
// Begin line 2741
  setline(2741);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8635 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call8636 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8635);
// compiled member node returning call8636 (depth = 4)
  gc_frame_newslot(call8636);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num8638 = alloc_Float64(1);
// compiled num node returning num8638 (depth = 5)
  int op_slot_right_8637 = gc_frame_newslot(num8638);
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8641 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call8642 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe8641);
// compiled member node returning call8642 (depth = 6)
  int op_slot_right_8640 = gc_frame_newslot(call8642);
// starting to compile member node (depth = 6)
  int callframe8644 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call8645 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8644);
// compiled member node returning call8645 (depth = 6)
  int op_slot_left_8640 = gc_frame_newslot(call8645);
  params[0] = call8642;
  partcv[0] = 1;
  Object sum8646 = callmethod(call8645, "+(1)", 1, partcv, params);
// compiled op node returning sum8646 (depth = 5)
  int op_slot_left_8637 = gc_frame_newslot(sum8646);
  params[0] = num8638;
  partcv[0] = 1;
  Object sum8647 = callmethod(sum8646, "+(1)", 1, partcv, params);
// compiled op node returning sum8647 (depth = 4)
  gc_frame_newslot(sum8647);
// Begin line 2742
  setline(2742);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2740
  setline(2740);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit8634;
  params[1] = call8636;
  params[2] = sum8647;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call8648 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8633);
// compiled call node returning call8648 (depth = 3)
    gc_frame_newslot(call8648);
    if8601 = call8648;
  } else {
  }
// compiled if node returning if8601 (depth = 2)
// Begin line 2744
  setline(2744);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_startToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2745
  setline(2745);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8649 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8650 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_startToken (depth = 5)
  Object call8651 = callmethodflags(*var_startToken, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8650);
// compiled member node returning call8651 (depth = 4)
  gc_frame_newslot(call8651);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8652 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call8653 = callmethodflags(*var_ast, "signaturePart", 0, partcv, params, 0);
  gc_frame_end(callframe8652);
// compiled member node returning call8653 (depth = 4)
  params[0] = call8651;
  partcv[0] = 1;
  Object call8654 = callmethodflags(call8653, "partName(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8649);
// compiled call node returning call8654 (depth = 3)
  *var_part = call8654;
  if (call8654 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2746
  setline(2746);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe8655 = gc_frame_new();
// call case 4: self request
  Object call8656 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8655);
// compiled member node returning call8656 (depth = 2)
// Begin line 2747
  setline(2747);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8657 = gc_frame_new();
// starting to compile array node (depth = 4)
  Object array8658 = alloc_BuiltinList();
  gc_pause();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = *var_part;
  partcv[0] = 1;
  callmethodflags(array8658, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array8658 (depth = 4)
  gc_frame_newslot(array8658);
// starting to compile array node (depth = 4)
  Object array8659 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8659 (depth = 4)
  gc_frame_newslot(array8659);
// starting to compile identifier node (depth = 4)
  Object bool8660 = alloc_Boolean(0);
// compiled identifier node returning bool8660 (depth = 4)
  gc_frame_newslot(bool8660);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8661 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call8662 = callmethodflags(*var_ast, "methodNode", 0, partcv, params, 0);
  gc_frame_end(callframe8661);
// compiled member node returning call8662 (depth = 4)
  params[0] = array8658;
  params[1] = array8659;
  params[2] = bool8660;
  partcv[0] = 3;
  Object call8663 = callmethodflags(call8662, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe8657);
// compiled call node returning call8663 (depth = 3)
  *var_result = call8663;
  if (call8663 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2748
  setline(2748);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile block node (depth = 4)
  Object block8666 = alloc_Block(NULL, NULL, "parser", 2748);
  gc_frame_newslot(block8666);
// method "_apply"
  block_savedest(block8666);
  Object closure8667 = createclosure(2, "_apply");
  setclosureframe(closure8667, stackframe);
  addtoclosure(closure8667, var_sym);
  addtoclosure(closure8667, selfslot);
  struct UserObject *uo8667 = (struct UserObject*)block8666;
  uo8667->data[0] = (Object)closure8667;
  Method *meth_meth_parser__apply8667 = addmethod2pos(block8666, "_apply", &meth_parser__apply8667, 0);
  int argcv_meth_parser__apply8667[] = {0};
  meth_meth_parser__apply8667->type = alloc_MethodType(1, argcv_meth_parser__apply8667);
  meth_meth_parser__apply8667->definitionModule = modulename;
  meth_meth_parser__apply8667->definitionLine = 3404;
// compiled block node returning block8666 (depth = 4)
  int op_slot_right_8665 = gc_frame_newslot(block8666);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8677 == NULL) {
    strlit8677 = alloc_String("[");
    gc_root(strlit8677);
  }
// compiled string node returning strlit8677 (depth = 5)
  int op_slot_right_8676 = gc_frame_newslot(strlit8677);
// starting to compile member node (depth = 5)
  int callframe8679 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_startToken (depth = 6)
  Object call8680 = callmethodflags(*var_startToken, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8679);
// compiled member node returning call8680 (depth = 5)
  int op_slot_left_8676 = gc_frame_newslot(call8680);
  params[0] = strlit8677;
  partcv[0] = 1;
  Object opresult8681 = callmethod(call8680, "==(1)", 1, partcv, params);
// compiled op node returning opresult8681 (depth = 4)
  int op_slot_left_8665 = gc_frame_newslot(opresult8681);
  params[0] = block8666;
  partcv[0] = 1;
  Object opresult8682 = callmethod(opresult8681, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8682 (depth = 3)
  Object if8664 = done;
  if (istrue(opresult8682)) {
// Begin line 2749
  setline(2749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8683 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8684 == NULL) {
    strlit8684 = alloc_String("methods named '[]' and '[]:=' are no longer part of Grace.");
    gc_root(strlit8684);
  }
// compiled string node returning strlit8684 (depth = 4)
  gc_frame_newslot(strlit8684);
// Begin line 2750
  setline(2750);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8685 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call8686 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8685);
// compiled member node returning call8686 (depth = 4)
  gc_frame_newslot(call8686);
// starting to compile member node (depth = 4)
  int callframe8687 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call8688 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8687);
// compiled member node returning call8688 (depth = 4)
  gc_frame_newslot(call8688);
// starting to compile member node (depth = 4)
  int callframe8689 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call8690 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8689);
// compiled member node returning call8690 (depth = 4)
  gc_frame_newslot(call8690);
// call case 6: other requests
// Begin line 2749
  setline(2749);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit8684;
  params[1] = call8686;
  params[2] = call8688;
  params[3] = call8690;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call8691 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe8683);
// compiled call node returning call8691 (depth = 3)
    gc_frame_newslot(call8691);
    if8664 = call8691;
  } else {
  }
// compiled if node returning if8664 (depth = 2)
// Begin line 2752
  setline(2752);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8693 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8694 == NULL) {
    strlit8694 = alloc_String("lgeneric");
    gc_root(strlit8694);
  }
// compiled string node returning strlit8694 (depth = 4)
  gc_frame_newslot(strlit8694);
// call case 4: self request
  params[0] = strlit8694;
  partcv[0] = 1;
  Object call8695 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8693);
// compiled call node returning call8695 (depth = 3)
  Object if8692 = done;
  if (istrue(call8695)) {
// starting to compile call node (depth = 3)
  int callframe8696 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8697 = gc_frame_new();
// call case 4: self request
  Object call8698 = callmethodflags(self, "typeparameters", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8697);
// compiled member node returning call8698 (depth = 4)
  gc_frame_newslot(call8698);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = call8698;
  partcv[0] = 1;
  Object call8699 = callmethodflags(*var_result, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8696);
// compiled call node returning call8699 (depth = 3)
    gc_frame_newslot(call8699);
    if8692 = call8699;
  } else {
  }
// compiled if node returning if8692 (depth = 2)
// Begin line 2753
  setline(2753);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8701 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8702 == NULL) {
    strlit8702 = alloc_String("bind");
    gc_root(strlit8702);
  }
// compiled string node returning strlit8702 (depth = 4)
  gc_frame_newslot(strlit8702);
// call case 4: self request
  params[0] = strlit8702;
  partcv[0] = 1;
  Object call8703 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8701);
// compiled call node returning call8703 (depth = 3)
  Object if8700 = done;
  if (istrue(call8703)) {
// Begin line 2754
  setline(2754);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8704 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8706 == NULL) {
    strlit8706 = alloc_String(":=");
    gc_root(strlit8706);
  }
// compiled string node returning strlit8706 (depth = 5)
  int op_slot_right_8705 = gc_frame_newslot(strlit8706);
// starting to compile member node (depth = 5)
  int callframe8708 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  Object call8709 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe8708);
// compiled member node returning call8709 (depth = 5)
  int op_slot_left_8705 = gc_frame_newslot(call8709);
  params[0] = strlit8706;
  partcv[0] = 1;
  Object opresult8710 = callmethod(call8709, "++(1)", 1, partcv, params);
// compiled op node returning opresult8710 (depth = 4)
  gc_frame_newslot(opresult8710);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_part (depth = 4)
  params[0] = opresult8710;
  partcv[0] = 1;
  Object call8711 = callmethodflags(*var_part, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8704);
// compiled call node returning call8711 (depth = 3)
// Begin line 2755
  setline(2755);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8712 = gc_frame_new();
// call case 4: self request
  Object call8713 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8712);
// compiled member node returning call8713 (depth = 3)
    gc_frame_newslot(call8713);
    if8700 = call8713;
  } else {
// Begin line 2760
  setline(2760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 2756
  setline(2756);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit8717 == NULL) {
    strlit8717 = alloc_String("prefix");
    gc_root(strlit8717);
  }
// compiled string node returning strlit8717 (depth = 6)
  int op_slot_right_8716 = gc_frame_newslot(strlit8717);
// starting to compile member node (depth = 6)
  int callframe8719 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_startToken (depth = 7)
  Object call8720 = callmethodflags(*var_startToken, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8719);
// compiled member node returning call8720 (depth = 6)
  int op_slot_left_8716 = gc_frame_newslot(call8720);
  params[0] = strlit8717;
  partcv[0] = 1;
  Object opresult8721 = callmethod(call8720, "==(1)", 1, partcv, params);
// compiled op node returning opresult8721 (depth = 5)
  int op_slot_right_8715 = gc_frame_newslot(opresult8721);
// starting to compile call node (depth = 5)
  int callframe8723 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8724 == NULL) {
    strlit8724 = alloc_String("op");
    gc_root(strlit8724);
  }
// compiled string node returning strlit8724 (depth = 6)
  gc_frame_newslot(strlit8724);
// call case 4: self request
  params[0] = strlit8724;
  partcv[0] = 1;
  Object call8725 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8723);
// compiled call node returning call8725 (depth = 5)
  int op_slot_left_8715 = gc_frame_newslot(call8725);
  params[0] = opresult8721;
  partcv[0] = 1;
  Object opresult8726 = callmethod(call8725, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8726 (depth = 4)
  Object if8714 = done;
  if (istrue(opresult8726)) {
// Begin line 2757
  setline(2757);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8727 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8729 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8730 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe8729);
// compiled member node returning call8730 (depth = 6)
  int op_slot_right_8728 = gc_frame_newslot(call8730);
// starting to compile member node (depth = 6)
  int callframe8732 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call8733 = callmethodflags(*var_part, "name", 0, partcv, params, 0);
  gc_frame_end(callframe8732);
// compiled member node returning call8733 (depth = 6)
  int op_slot_left_8728 = gc_frame_newslot(call8733);
  params[0] = call8730;
  partcv[0] = 1;
  Object opresult8734 = callmethod(call8733, "++(1)", 1, partcv, params);
// compiled op node returning opresult8734 (depth = 5)
  gc_frame_newslot(opresult8734);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = opresult8734;
  partcv[0] = 1;
  Object call8735 = callmethodflags(*var_part, "name:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8727);
// compiled call node returning call8735 (depth = 4)
// Begin line 2758
  setline(2758);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8736 = gc_frame_new();
// call case 4: self request
  Object call8737 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8736);
// compiled member node returning call8737 (depth = 4)
    gc_frame_newslot(call8737);
    if8714 = call8737;
  } else {
  }
// compiled if node returning if8714 (depth = 3)
    gc_frame_newslot(if8714);
    if8700 = if8714;
  }
// compiled if node returning if8700 (depth = 2)
// Begin line 2760
  setline(2760);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8739 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8740 == NULL) {
    strlit8740 = alloc_String("lparen");
    gc_root(strlit8740);
  }
// compiled string node returning strlit8740 (depth = 4)
  gc_frame_newslot(strlit8740);
// call case 4: self request
  params[0] = strlit8740;
  partcv[0] = 1;
  Object call8741 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8739);
// compiled call node returning call8741 (depth = 3)
  Object if8738 = done;
  if (istrue(call8741)) {
// Begin line 2761
  setline(2761);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_lparen = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2762
  setline(2762);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8742 = gc_frame_new();
// call case 4: self request
  Object call8743 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8742);
// compiled member node returning call8743 (depth = 3)
// Begin line 2763
  setline(2763);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_id = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 2764
  setline(2764);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool8744 = alloc_Boolean(0);
// compiled identifier node returning bool8744 (depth = 4)
  *var_comma = bool8744;
  if (bool8744 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2765
  setline(2765);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8745 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block8746 = alloc_Block(NULL, NULL, "parser", 2765);
  gc_frame_newslot(block8746);
// method "_apply"
  block_savedest(block8746);
  Object closure8747 = createclosure(2, "_apply");
  setclosureframe(closure8747, stackframe);
  addtoclosure(closure8747, var_sym);
  addtoclosure(closure8747, selfslot);
  struct UserObject *uo8747 = (struct UserObject*)block8746;
  uo8747->data[0] = (Object)closure8747;
  Method *meth_meth_parser__apply8747 = addmethod2pos(block8746, "_apply", &meth_parser__apply8747, 0);
  int argcv_meth_parser__apply8747[] = {0};
  meth_meth_parser__apply8747->type = alloc_MethodType(1, argcv_meth_parser__apply8747);
  meth_meth_parser__apply8747->definitionModule = modulename;
  meth_meth_parser__apply8747->definitionLine = 3404;
// compiled block node returning block8746 (depth = 4)
  gc_frame_newslot(block8746);
// Begin line 2766
  setline(2766);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 4)
  Object block8767 = alloc_Block(NULL, NULL, "parser", 2766);
  gc_frame_newslot(block8767);
// method "_apply"
  block_savedest(block8767);
  Object closure8768 = createclosure(8, "_apply");
  setclosureframe(closure8768, stackframe);
  addtoclosure(closure8768, var_sym);
  addtoclosure(closure8768, var_lastToken);
  addtoclosure(closure8768, var_errormessages);
  addtoclosure(closure8768, var_values);
  addtoclosure(closure8768, var_id);
  addtoclosure(closure8768, var_part);
  addtoclosure(closure8768, var_comma);
  addtoclosure(closure8768, selfslot);
  struct UserObject *uo8768 = (struct UserObject*)block8767;
  uo8768->data[0] = (Object)closure8768;
  Method *meth_meth_parser__apply8768 = addmethod2pos(block8767, "_apply", &meth_parser__apply8768, 0);
  int argcv_meth_parser__apply8768[] = {0};
  meth_meth_parser__apply8768->type = alloc_MethodType(1, argcv_meth_parser__apply8768);
  meth_meth_parser__apply8768->definitionModule = modulename;
  meth_meth_parser__apply8768->definitionLine = 3404;
// compiled block node returning block8767 (depth = 4)
  gc_frame_newslot(block8767);
// call case 5: prelude request
  params[0] = block8746;
  params[1] = block8767;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8848 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8745);
// compiled call node returning call8848 (depth = 3)
// Begin line 2791
  setline(2791);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit8851 == NULL) {
    strlit8851 = alloc_String("rparen");
    gc_root(strlit8851);
  }
// compiled string node returning strlit8851 (depth = 5)
  int op_slot_right_8850 = gc_frame_newslot(strlit8851);
// starting to compile member node (depth = 5)
  int callframe8853 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call8854 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8853);
// compiled member node returning call8854 (depth = 5)
  int op_slot_left_8850 = gc_frame_newslot(call8854);
  params[0] = strlit8851;
  partcv[0] = 1;
  Object opresult8855 = callmethod(call8854, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8855 (depth = 4)
  Object if8849 = done;
  if (istrue(opresult8855)) {
// Begin line 2792
  setline(2792);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8856 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe8857 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call8858 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8857);
// compiled member node returning call8858 (depth = 6)
  Object call8859 = callmethodflags(call8858, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8856);
// compiled member node returning call8859 (depth = 5)
  *var_suggestion = call8859;
  if (call8859 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2793
  setline(2793);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8860 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block8861 = alloc_Block(NULL, NULL, "parser", 2793);
  gc_frame_newslot(block8861);
// method "_apply(_)"
  block_savedest(block8861);
  Object closure8862 = createclosure(2, "_apply(1)");
  setclosureframe(closure8862, stackframe);
  addtoclosure(closure8862, var_lastToken);
  addtoclosure(closure8862, selfslot);
  struct UserObject *uo8862 = (struct UserObject*)block8861;
  uo8862->data[0] = (Object)closure8862;
  Method *meth_meth_parser__apply_40_1_41_8862 = addmethod2pos(block8861, "_apply(1)", &meth_parser__apply_40_1_41_8862, 0);
  int argcv_meth_parser__apply_40_1_41_8862[] = {1};
  meth_meth_parser__apply_40_1_41_8862->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_8862);
  meth_meth_parser__apply_40_1_41_8862->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_8862->definitionLine = 3404;
// compiled block node returning block8861 (depth = 6)
  gc_frame_newslot(block8861);
// call case 4: self request
  params[0] = block8861;
  partcv[0] = 1;
  Object call8880 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8860);
// compiled call node returning call8880 (depth = 5)
  *var_rparen = call8880;
  if (call8880 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2794
  setline(2794);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_rparen (depth = 6)
  int op_slot_right_8882 = gc_frame_newslot(*var_rparen);
// starting to compile identifier node (depth = 6)
  Object bool8884 = alloc_Boolean(0);
// compiled identifier node returning bool8884 (depth = 6)
  int op_slot_left_8882 = gc_frame_newslot(bool8884);
  params[0] = *var_rparen;
  partcv[0] = 1;
  Object opresult8885 = callmethod(bool8884, "==(1)", 1, partcv, params);
// compiled op node returning opresult8885 (depth = 5)
  Object if8881 = done;
  if (istrue(opresult8885)) {
// Begin line 2795
  setline(2795);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8886 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// starting to compile string node (depth = 6)
  if (strlit8887 == NULL) {
    strlit8887 = alloc_String(")");
    gc_root(strlit8887);
  }
// compiled string node returning strlit8887 (depth = 6)
  gc_frame_newslot(strlit8887);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_lastToken;
  params[1] = strlit8887;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8888 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe8886);
// compiled call node returning call8888 (depth = 5)
    gc_frame_newslot(call8888);
    if8881 = call8888;
  } else {
// Begin line 2797
  setline(2797);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8889 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call8890 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8889);
// compiled call node returning call8890 (depth = 5)
    gc_frame_newslot(call8890);
    if8881 = call8890;
  }
// compiled if node returning if8881 (depth = 4)
// Begin line 2799
  setline(2799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8891 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8892 == NULL) {
    strlit8892 = alloc_String("a part of a method beginning with a '(' must end with a ')'.");
    gc_root(strlit8892);
  }
// compiled string node returning strlit8892 (depth = 5)
  gc_frame_newslot(strlit8892);
// Begin line 2800
  setline(2800);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8893 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call8894 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8893);
// compiled member node returning call8894 (depth = 5)
  gc_frame_newslot(call8894);
// starting to compile member node (depth = 5)
  int callframe8895 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call8896 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8895);
// compiled member node returning call8896 (depth = 5)
  gc_frame_newslot(call8896);
// starting to compile member node (depth = 5)
  int callframe8897 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call8898 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8897);
// compiled member node returning call8898 (depth = 5)
  gc_frame_newslot(call8898);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2799
  setline(2799);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit8892;
  params[1] = call8894;
  params[2] = call8896;
  params[3] = call8898;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call8899 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe8891);
// compiled call node returning call8899 (depth = 4)
    gc_frame_newslot(call8899);
    if8849 = call8899;
  } else {
  }
// compiled if node returning if8849 (depth = 3)
// Begin line 2802
  setline(2802);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8902 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_part (depth = 6)
  Object call8903 = callmethodflags(*var_part, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8902);
// compiled member node returning call8903 (depth = 5)
  int op_slot_right_8901 = gc_frame_newslot(call8903);
// starting to compile member node (depth = 5)
  int callframe8905 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call8906 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe8905);
// compiled member node returning call8906 (depth = 5)
  int op_slot_left_8901 = gc_frame_newslot(call8906);
  params[0] = call8903;
  partcv[0] = 1;
  Object opresult8907 = callmethod(call8906, "==(1)", 1, partcv, params);
// compiled op node returning opresult8907 (depth = 4)
  Object if8900 = done;
  if (istrue(opresult8907)) {
// Begin line 2803
  setline(2803);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8908 = gc_frame_new();
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe8910 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_part (depth = 7)
  Object call8911 = callmethodflags(*var_part, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8910);
// compiled member node returning call8911 (depth = 6)
  int op_slot_right_8909 = gc_frame_newslot(call8911);
// starting to compile member node (depth = 6)
  int callframe8913 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call8914 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe8913);
// compiled member node returning call8914 (depth = 6)
  int op_slot_left_8909 = gc_frame_newslot(call8914);
  params[0] = call8911;
  partcv[0] = 1;
  Object diff8915 = callmethod(call8914, "-(1)", 1, partcv, params);
// compiled op node returning diff8915 (depth = 5)
  gc_frame_newslot(diff8915);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_part (depth = 5)
  params[0] = diff8915;
  partcv[0] = 1;
  Object call8916 = callmethodflags(*var_part, "lineLength:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8908);
// compiled call node returning call8916 (depth = 4)
    gc_frame_newslot(call8916);
    if8900 = call8916;
  } else {
  }
// compiled if node returning if8900 (depth = 3)
// Begin line 2805
  setline(2805);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8917 = gc_frame_new();
// call case 4: self request
  Object call8918 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8917);
// compiled member node returning call8918 (depth = 3)
// Begin line 2806
  setline(2806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 2807
  setline(2807);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe8921 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8922 == NULL) {
    strlit8922 = alloc_String("identifier");
    gc_root(strlit8922);
  }
// compiled string node returning strlit8922 (depth = 6)
  gc_frame_newslot(strlit8922);
// call case 4: self request
  params[0] = strlit8922;
  partcv[0] = 1;
  Object call8923 = callmethodflags(self, "acceptSameLine(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8921);
// compiled call node returning call8923 (depth = 5)
  int op_slot_right_8920 = gc_frame_newslot(call8923);
// Begin line 2806
  setline(2806);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe8926 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit8927 == NULL) {
    strlit8927 = alloc_String("identifier");
    gc_root(strlit8927);
  }
// compiled string node returning strlit8927 (depth = 7)
  gc_frame_newslot(strlit8927);
// call case 4: self request
  params[0] = strlit8927;
  partcv[0] = 1;
  Object call8928 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8926);
// compiled call node returning call8928 (depth = 6)
  int op_slot_right_8925 = gc_frame_newslot(call8928);
// starting to compile call node (depth = 6)
  int callframe8930 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sameline (depth = 7)
  partcv[0] = 0;
  Object call8931 = callmethodflags(*var_sameline, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe8930);
// compiled call node returning call8931 (depth = 6)
  int op_slot_left_8925 = gc_frame_newslot(call8931);
  params[0] = call8928;
  partcv[0] = 1;
  Object opresult8932 = callmethod(call8931, "&&(1)", 1, partcv, params);
// compiled op node returning opresult8932 (depth = 5)
  int op_slot_left_8920 = gc_frame_newslot(opresult8932);
  params[0] = call8923;
  partcv[0] = 1;
  Object opresult8933 = callmethod(opresult8932, "||(1)", 1, partcv, params);
// compiled op node returning opresult8933 (depth = 4)
  Object if8919 = done;
  if (istrue(opresult8933)) {
// Begin line 2810
  setline(2810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8934 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_result (depth = 5)
  gc_frame_newslot(*var_result);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sameline (depth = 5)
  gc_frame_newslot(*var_sameline);
// call case 4: self request
  params[0] = *var_result;
  params[1] = *var_sameline;
  partcv[0] = 2;
  Object call8935 = callmethodflags(self, "methodDecRest(2)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8934);
// compiled call node returning call8935 (depth = 4)
    gc_frame_newslot(call8935);
    if8919 = call8935;
  } else {
  }
// compiled if node returning if8919 (depth = 3)
    gc_frame_newslot(if8919);
    if8738 = if8919;
  } else {
  }
// compiled if node returning if8738 (depth = 2)
// Begin line 2813
  setline(2813);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8937 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit8938 == NULL) {
    strlit8938 = alloc_String("arrow");
    gc_root(strlit8938);
  }
// compiled string node returning strlit8938 (depth = 4)
  gc_frame_newslot(strlit8938);
// call case 4: self request
  params[0] = strlit8938;
  partcv[0] = 1;
  Object call8939 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8937);
// compiled call node returning call8939 (depth = 3)
  Object if8936 = done;
  if (istrue(call8939)) {
// Begin line 2815
  setline(2815);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8940 = gc_frame_new();
// call case 4: self request
  Object call8941 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8940);
// compiled member node returning call8941 (depth = 3)
// Begin line 2816
  setline(2816);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe8942 = gc_frame_new();
// call case 4: self request
  Object call8943 = callmethodflags(self, "typeexpression", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8942);
// compiled member node returning call8943 (depth = 3)
// Begin line 2817
  setline(2817);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe8944 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe8945 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call8946 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8945);
// compiled member node returning call8946 (depth = 4)
  gc_frame_newslot(call8946);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_result (depth = 4)
  params[0] = call8946;
  partcv[0] = 1;
  Object call8947 = callmethodflags(*var_result, "dtype:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8944);
// compiled call node returning call8947 (depth = 3)
    gc_frame_newslot(call8947);
    if8936 = call8947;
  } else {
  }
// compiled if node returning if8936 (depth = 2)
// Begin line 2819
  setline(2819);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_parser__apply8954(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe8955 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit8956 == NULL) {
    strlit8956 = alloc_String("identifier");
    gc_root(strlit8956);
  }
// compiled string node returning strlit8956 (depth = 5)
  gc_frame_newslot(strlit8956);
// call case 4: self request
  params[0] = strlit8956;
  partcv[0] = 1;
  Object call8957 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8955);
// compiled call node returning call8957 (depth = 4)
  gc_frame_end(frame);
  return call8957;
}
Object meth_parser__apply8960(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_typeIds = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_id = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "id");
// Begin line 2826
  setline(2826);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe8961 = gc_frame_new();
// call case 4: self request
  Object call8962 = callmethodflags(self, "identifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8961);
// compiled member node returning call8962 (depth = 4)
// Begin line 2827
  setline(2827);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe8963 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call8964 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe8963);
// compiled member node returning call8964 (depth = 5)
  *var_id = call8964;
  if (call8964 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2828
  setline(2828);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8965 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool8966 = alloc_Boolean(1);
// compiled identifier node returning bool8966 (depth = 5)
  gc_frame_newslot(bool8966);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_id (depth = 5)
  params[0] = bool8966;
  partcv[0] = 1;
  Object call8967 = callmethodflags(*var_id, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8965);
// compiled call node returning call8967 (depth = 4)
// Begin line 2829
  setline(2829);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe8968 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_id (depth = 5)
  gc_frame_newslot(*var_id);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeIds (depth = 5)
  params[0] = *var_id;
  partcv[0] = 1;
  Object call8969 = callmethodflags(*var_typeIds, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8968);
// compiled call node returning call8969 (depth = 4)
// Begin line 2830
  setline(2830);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe8971 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit8972 == NULL) {
    strlit8972 = alloc_String("comma");
    gc_root(strlit8972);
  }
// compiled string node returning strlit8972 (depth = 6)
  gc_frame_newslot(strlit8972);
// call case 4: self request
  params[0] = strlit8972;
  partcv[0] = 1;
  Object call8973 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8971);
// compiled call node returning call8973 (depth = 5)
  Object if8970 = done;
  if (istrue(call8973)) {
// Begin line 2831
  setline(2831);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe8974 = gc_frame_new();
// call case 4: self request
  Object call8975 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8974);
// compiled member node returning call8975 (depth = 5)
    gc_frame_newslot(call8975);
    if8970 = call8975;
  } else {
  }
// compiled if node returning if8970 (depth = 4)
  gc_frame_end(frame);
  return if8970;
}
Object meth_parser__apply_40_1_41_8980(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_each = &(stackframe->slots[0]);
  *var_each = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 4)
  int callframe8981 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool8982 = alloc_Boolean(1);
// compiled identifier node returning bool8982 (depth = 5)
  gc_frame_newslot(bool8982);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_each (depth = 5)
  params[0] = bool8982;
  partcv[0] = 1;
  Object call8983 = callmethodflags(*var_each, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8981);
// compiled call node returning call8983 (depth = 4)
  gc_frame_end(frame);
  return call8983;
}
Object meth_parser_typeparameters8948(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 65, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typeparameters");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_sym = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_typeIds = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "typeIds");
  Object *var_result = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "result");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
// Begin line 2823
  setline(2823);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe8949 = gc_frame_new();
// call case 4: self request
  Object call8950 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8949);
// compiled member node returning call8950 (depth = 2)
// Begin line 2824
  setline(2824);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile array node (depth = 3)
  Object array8951 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array8951 (depth = 3)
  *var_typeIds = array8951;
  if (array8951 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2825
  setline(2825);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe8952 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block8953 = alloc_Block(NULL, NULL, "parser", 2825);
  gc_frame_newslot(block8953);
// method "_apply"
  block_savedest(block8953);
  Object closure8954 = createclosure(1, "_apply");
  setclosureframe(closure8954, stackframe);
  addtoclosure(closure8954, selfslot);
  struct UserObject *uo8954 = (struct UserObject*)block8953;
  uo8954->data[0] = (Object)closure8954;
  Method *meth_meth_parser__apply8954 = addmethod2pos(block8953, "_apply", &meth_parser__apply8954, 0);
  int argcv_meth_parser__apply8954[] = {0};
  meth_meth_parser__apply8954->type = alloc_MethodType(1, argcv_meth_parser__apply8954);
  meth_meth_parser__apply8954->definitionModule = modulename;
  meth_meth_parser__apply8954->definitionLine = 3404;
// compiled block node returning block8953 (depth = 3)
  gc_frame_newslot(block8953);
// starting to compile block node (depth = 3)
  Object block8959 = alloc_Block(NULL, NULL, "parser", 2825);
  gc_frame_newslot(block8959);
// method "_apply"
  block_savedest(block8959);
  Object closure8960 = createclosure(3, "_apply");
  setclosureframe(closure8960, stackframe);
  addtoclosure(closure8960, var_values);
  addtoclosure(closure8960, var_typeIds);
  addtoclosure(closure8960, selfslot);
  struct UserObject *uo8960 = (struct UserObject*)block8959;
  uo8960->data[0] = (Object)closure8960;
  Method *meth_meth_parser__apply8960 = addmethod2pos(block8959, "_apply", &meth_parser__apply8960, 0);
  int argcv_meth_parser__apply8960[] = {0};
  meth_meth_parser__apply8960->type = alloc_MethodType(1, argcv_meth_parser__apply8960);
  meth_meth_parser__apply8960->definitionModule = modulename;
  meth_meth_parser__apply8960->definitionLine = 3404;
// compiled block node returning block8959 (depth = 3)
  gc_frame_newslot(block8959);
// call case 5: prelude request
  params[0] = block8953;
  params[1] = block8959;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call8977 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe8952);
// compiled call node returning call8977 (depth = 2)
// Begin line 2834
  setline(2834);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe8978 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block8979 = alloc_Block(NULL, NULL, "parser", 2834);
  gc_frame_newslot(block8979);
// method "_apply(_)"
  block_savedest(block8979);
  Object closure8980 = createclosure(1, "_apply(1)");
  setclosureframe(closure8980, stackframe);
  addtoclosure(closure8980, selfslot);
  struct UserObject *uo8980 = (struct UserObject*)block8979;
  uo8980->data[0] = (Object)closure8980;
  Method *meth_meth_parser__apply_40_1_41_8980 = addmethod2pos(block8979, "_apply(1)", &meth_parser__apply_40_1_41_8980, 0);
  int argcv_meth_parser__apply_40_1_41_8980[] = {1};
  meth_meth_parser__apply_40_1_41_8980->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_8980);
  meth_meth_parser__apply_40_1_41_8980->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_8980->definitionLine = 3404;
// compiled block node returning block8979 (depth = 3)
  gc_frame_newslot(block8979);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_typeIds (depth = 3)
  params[0] = block8979;
  partcv[0] = 1;
  Object call8985 = callmethodflags(*var_typeIds, "do(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8978);
// compiled call node returning call8985 (depth = 2)
// Begin line 2835
  setline(2835);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe8986 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_typeIds (depth = 4)
  gc_frame_newslot(*var_typeIds);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe8987 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call8988 = callmethodflags(*var_ast, "typeParametersNode", 0, partcv, params, 0);
  gc_frame_end(callframe8987);
// compiled member node returning call8988 (depth = 4)
  params[0] = *var_typeIds;
  partcv[0] = 1;
  Object call8989 = callmethodflags(call8988, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe8986);
// compiled call node returning call8989 (depth = 3)
  *var_result = call8989;
  if (call8989 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2836
  setline(2836);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit8992 == NULL) {
    strlit8992 = alloc_String("rgeneric");
    gc_root(strlit8992);
  }
// compiled string node returning strlit8992 (depth = 4)
  int op_slot_right_8991 = gc_frame_newslot(strlit8992);
// starting to compile member node (depth = 4)
  int callframe8994 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call8995 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe8994);
// compiled member node returning call8995 (depth = 4)
  int op_slot_left_8991 = gc_frame_newslot(call8995);
  params[0] = strlit8992;
  partcv[0] = 1;
  Object opresult8996 = callmethod(call8995, "≠(1)", 1, partcv, params);
// compiled op node returning opresult8996 (depth = 3)
  Object if8990 = done;
  if (istrue(opresult8996)) {
// Begin line 2837
  setline(2837);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe8997 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe8998 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call8999 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe8998);
// compiled member node returning call8999 (depth = 5)
  Object call9000 = callmethodflags(call8999, "new", 0, partcv, params, 0);
  gc_frame_end(callframe8997);
// compiled member node returning call9000 (depth = 4)
  *var_suggestion = call9000;
  if (call9000 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2838
  setline(2838);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9001 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9002 == NULL) {
    strlit9002 = alloc_String(">");
    gc_root(strlit9002);
  }
// compiled string node returning strlit9002 (depth = 4)
  gc_frame_newslot(strlit9002);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_lastToken (depth = 4)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  params[0] = strlit9002;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9003 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9001);
// compiled call node returning call9003 (depth = 3)
// Begin line 2839
  setline(2839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9004 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9005 == NULL) {
    strlit9005 = alloc_String("a list of type parameters starting with '<' must end with '>'.");
    gc_root(strlit9005);
  }
// compiled string node returning strlit9005 (depth = 4)
  gc_frame_newslot(strlit9005);
// Begin line 2840
  setline(2840);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9006 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call9007 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9006);
// compiled member node returning call9007 (depth = 4)
  gc_frame_newslot(call9007);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9009 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call9010 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9009);
// compiled member node returning call9010 (depth = 5)
  int op_slot_right_9008 = gc_frame_newslot(call9010);
// starting to compile member node (depth = 5)
  int callframe9012 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call9013 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9012);
// compiled member node returning call9013 (depth = 5)
  int op_slot_left_9008 = gc_frame_newslot(call9013);
  params[0] = call9010;
  partcv[0] = 1;
  Object sum9014 = callmethod(call9013, "+(1)", 1, partcv, params);
// compiled op node returning sum9014 (depth = 4)
  gc_frame_newslot(sum9014);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_suggestion (depth = 4)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2839
  setline(2839);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit9005;
  params[1] = call9007;
  params[2] = sum9014;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9015 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9004);
// compiled call node returning call9015 (depth = 3)
    gc_frame_newslot(call9015);
    if8990 = call9015;
  } else {
  }
// compiled if node returning if8990 (depth = 2)
// Begin line 2842
  setline(2842);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe9016 = gc_frame_new();
// call case 4: self request
  Object call9017 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9016);
// compiled member node returning call9017 (depth = 2)
// Begin line 2843
  setline(2843);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_result (depth = 2)
  gc_frame_end(frame);
  return *var_result;
}
Object meth_parser_doimport9018(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 66, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(12, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doimport");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_importline = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "importline");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_errorPos = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "errorPos");
  Object *var_p = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "p");
  Object *var_name = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "name");
  Object *var_dtype = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "dtype");
  Object *var_o = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "o");
  Object *var_anns = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "anns");
// Begin line 2849
  setline(2849);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9020 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9021 == NULL) {
    strlit9021 = alloc_String("import");
    gc_root(strlit9021);
  }
// compiled string node returning strlit9021 (depth = 4)
  gc_frame_newslot(strlit9021);
// call case 4: self request
  params[0] = strlit9021;
  partcv[0] = 1;
  Object call9022 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9020);
// compiled call node returning call9022 (depth = 3)
  Object if9019 = done;
  if (istrue(call9022)) {
// Begin line 2850
  setline(2850);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9023 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call9024 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9023);
// compiled member node returning call9024 (depth = 4)
  *var_importline = call9024;
  if (call9024 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2851
  setline(2851);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9025 = gc_frame_new();
// call case 4: self request
  Object call9026 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9025);
// compiled member node returning call9026 (depth = 3)
// Begin line 2852
  setline(2852);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9029 == NULL) {
    strlit9029 = alloc_String("string");
    gc_root(strlit9029);
  }
// compiled string node returning strlit9029 (depth = 5)
  int op_slot_right_9028 = gc_frame_newslot(strlit9029);
// starting to compile member node (depth = 5)
  int callframe9031 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call9032 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9031);
// compiled member node returning call9032 (depth = 5)
  int op_slot_left_9028 = gc_frame_newslot(call9032);
  params[0] = strlit9029;
  partcv[0] = 1;
  Object opresult9033 = callmethod(call9032, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9033 (depth = 4)
  Object if9027 = done;
  if (istrue(opresult9033)) {
// Begin line 2853
  setline(2853);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9034 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9035 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call9036 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9035);
// compiled member node returning call9036 (depth = 6)
  Object call9037 = callmethodflags(call9036, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9034);
// compiled member node returning call9037 (depth = 5)
  *var_suggestion = call9037;
  if (call9037 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2854
  setline(2854);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_errorPos = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 2855
  setline(2855);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9041 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9042 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9041);
// compiled member node returning call9042 (depth = 7)
  int op_slot_right_9040 = gc_frame_newslot(call9042);
// starting to compile member node (depth = 7)
  int callframe9044 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9045 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9044);
// compiled member node returning call9045 (depth = 7)
  int op_slot_left_9040 = gc_frame_newslot(call9045);
  params[0] = call9042;
  partcv[0] = 1;
  Object opresult9046 = callmethod(call9045, "==(1)", 1, partcv, params);
// compiled op node returning opresult9046 (depth = 6)
  int op_slot_right_9039 = gc_frame_newslot(opresult9046);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9049 == NULL) {
    strlit9049 = alloc_String("identifier");
    gc_root(strlit9049);
  }
// compiled string node returning strlit9049 (depth = 7)
  int op_slot_right_9048 = gc_frame_newslot(strlit9049);
// starting to compile member node (depth = 7)
  int callframe9051 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9052 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9051);
// compiled member node returning call9052 (depth = 7)
  int op_slot_left_9048 = gc_frame_newslot(call9052);
  params[0] = strlit9049;
  partcv[0] = 1;
  Object opresult9053 = callmethod(call9052, "==(1)", 1, partcv, params);
// compiled op node returning opresult9053 (depth = 6)
  int op_slot_left_9039 = gc_frame_newslot(opresult9053);
  params[0] = opresult9046;
  partcv[0] = 1;
  Object opresult9054 = callmethod(opresult9053, "&&(1)", 1, partcv, params);
// compiled op node returning opresult9054 (depth = 5)
  Object if9038 = done;
  if (istrue(opresult9054)) {
// Begin line 2856
  setline(2856);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9055 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9057 == NULL) {
    strlit9057 = alloc_String("""\x22""");
    gc_root(strlit9057);
  }
// compiled string node returning strlit9057 (depth = 7)
  int op_slot_right_9056 = gc_frame_newslot(strlit9057);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9060 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call9061 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9060);
// compiled member node returning call9061 (depth = 8)
  int op_slot_right_9059 = gc_frame_newslot(call9061);
// starting to compile string node (depth = 8)
  if (strlit9063 == NULL) {
    strlit9063 = alloc_String("""\x22""");
    gc_root(strlit9063);
  }
// compiled string node returning strlit9063 (depth = 8)
  int op_slot_left_9059 = gc_frame_newslot(strlit9063);
  params[0] = call9061;
  partcv[0] = 1;
  Object opresult9064 = callmethod(strlit9063, "++(1)", 1, partcv, params);
// compiled op node returning opresult9064 (depth = 7)
  int op_slot_left_9056 = gc_frame_newslot(opresult9064);
  params[0] = strlit9057;
  partcv[0] = 1;
  Object opresult9065 = callmethod(opresult9064, "++(1)", 1, partcv, params);
// compiled op node returning opresult9065 (depth = 6)
  gc_frame_newslot(opresult9065);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = opresult9065;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9066 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9055);
// compiled call node returning call9066 (depth = 5)
// Begin line 2857
  setline(2857);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9067 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9068 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9067);
// compiled member node returning call9068 (depth = 6)
  *var_errorPos = call9068;
  if (call9068 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9038 = done;
  } else {
// Begin line 2859
  setline(2859);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9070 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9071 == NULL) {
    strlit9071 = alloc_String(" ""\x22""""\xc2""""\xab""module name""\xc2""""\xbb""""\x22""");
    gc_root(strlit9071);
  }
// compiled string node returning strlit9071 (depth = 6)
  gc_frame_newslot(strlit9071);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit9071;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9072 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9070);
// compiled call node returning call9072 (depth = 5)
// Begin line 2860
  setline(2860);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9074 = alloc_Float64(1);
// compiled num node returning num9074 (depth = 7)
  int op_slot_right_9073 = gc_frame_newslot(num9074);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9077 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call9078 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9077);
// compiled member node returning call9078 (depth = 8)
  int op_slot_right_9076 = gc_frame_newslot(call9078);
// starting to compile member node (depth = 8)
  int callframe9080 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call9081 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9080);
// compiled member node returning call9081 (depth = 8)
  int op_slot_left_9076 = gc_frame_newslot(call9081);
  params[0] = call9078;
  partcv[0] = 1;
  Object sum9082 = callmethod(call9081, "+(1)", 1, partcv, params);
// compiled op node returning sum9082 (depth = 7)
  int op_slot_left_9073 = gc_frame_newslot(sum9082);
  params[0] = num9074;
  partcv[0] = 1;
  Object sum9083 = callmethod(sum9082, "+(1)", 1, partcv, params);
// compiled op node returning sum9083 (depth = 6)
  *var_errorPos = sum9083;
  if (sum9083 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9038 = done;
  }
// compiled if node returning if9038 (depth = 4)
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9085 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9086 == NULL) {
    strlit9086 = alloc_String("an import statement must have the name of the module in quotes, 'as', and an identifier after 'import'.");
    gc_root(strlit9086);
  }
// compiled string node returning strlit9086 (depth = 5)
  gc_frame_newslot(strlit9086);
// Begin line 2863
  setline(2863);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9087 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call9088 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9087);
// compiled member node returning call9088 (depth = 5)
  gc_frame_newslot(call9088);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errorPos (depth = 5)
  gc_frame_newslot(*var_errorPos);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2862
  setline(2862);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9086;
  params[1] = call9088;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9089 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9085);
// compiled call node returning call9089 (depth = 4)
    gc_frame_newslot(call9089);
    if9027 = call9089;
  } else {
  }
// compiled if node returning if9027 (depth = 3)
// Begin line 2865
  setline(2865);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9090 = gc_frame_new();
// call case 4: self request
  Object call9091 = callmethodflags(self, "pushstring", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9090);
// compiled member node returning call9091 (depth = 3)
// Begin line 2866
  setline(2866);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9092 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call9093 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe9092);
// compiled member node returning call9093 (depth = 4)
  *var_p = call9093;
  if (call9093 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2867
  setline(2867);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9097 == NULL) {
    strlit9097 = alloc_String("as");
    gc_root(strlit9097);
  }
// compiled string node returning strlit9097 (depth = 6)
  int op_slot_right_9096 = gc_frame_newslot(strlit9097);
// starting to compile member node (depth = 6)
  int callframe9099 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9100 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9099);
// compiled member node returning call9100 (depth = 6)
  int op_slot_left_9096 = gc_frame_newslot(call9100);
  params[0] = strlit9097;
  partcv[0] = 1;
  Object opresult9101 = callmethod(call9100, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9101 (depth = 5)
  int op_slot_right_9095 = gc_frame_newslot(opresult9101);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9104 == NULL) {
    strlit9104 = alloc_String("identifier");
    gc_root(strlit9104);
  }
// compiled string node returning strlit9104 (depth = 6)
  int op_slot_right_9103 = gc_frame_newslot(strlit9104);
// starting to compile member node (depth = 6)
  int callframe9106 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9107 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9106);
// compiled member node returning call9107 (depth = 6)
  int op_slot_left_9103 = gc_frame_newslot(call9107);
  params[0] = strlit9104;
  partcv[0] = 1;
  Object opresult9108 = callmethod(call9107, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9108 (depth = 5)
  int op_slot_left_9095 = gc_frame_newslot(opresult9108);
  params[0] = opresult9101;
  partcv[0] = 1;
  Object opresult9109 = callmethod(opresult9108, "||(1)", 1, partcv, params);
// compiled op node returning opresult9109 (depth = 4)
  Object if9094 = done;
  if (istrue(opresult9109)) {
// Begin line 2868
  setline(2868);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9110 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9111 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call9112 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9111);
// compiled member node returning call9112 (depth = 6)
  Object call9113 = callmethodflags(call9112, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9110);
// compiled member node returning call9113 (depth = 5)
  *var_suggestion = call9113;
  if (call9113 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2869
  setline(2869);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9117 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9118 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9117);
// compiled member node returning call9118 (depth = 7)
  int op_slot_right_9116 = gc_frame_newslot(call9118);
// starting to compile member node (depth = 7)
  int callframe9120 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9121 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9120);
// compiled member node returning call9121 (depth = 7)
  int op_slot_left_9116 = gc_frame_newslot(call9121);
  params[0] = call9118;
  partcv[0] = 1;
  Object opresult9122 = callmethod(call9121, "==(1)", 1, partcv, params);
// compiled op node returning opresult9122 (depth = 6)
  int op_slot_right_9115 = gc_frame_newslot(opresult9122);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9125 == NULL) {
    strlit9125 = alloc_String("identifier");
    gc_root(strlit9125);
  }
// compiled string node returning strlit9125 (depth = 7)
  int op_slot_right_9124 = gc_frame_newslot(strlit9125);
// starting to compile member node (depth = 7)
  int callframe9127 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9128 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9127);
// compiled member node returning call9128 (depth = 7)
  int op_slot_left_9124 = gc_frame_newslot(call9128);
  params[0] = strlit9125;
  partcv[0] = 1;
  Object opresult9129 = callmethod(call9128, "==(1)", 1, partcv, params);
// compiled op node returning opresult9129 (depth = 6)
  int op_slot_left_9115 = gc_frame_newslot(opresult9129);
  params[0] = opresult9122;
  partcv[0] = 1;
  Object opresult9130 = callmethod(opresult9129, "&&(1)", 1, partcv, params);
// compiled op node returning opresult9130 (depth = 5)
  Object if9114 = done;
  if (istrue(opresult9130)) {
// Begin line 2870
  setline(2870);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9131 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9132 == NULL) {
    strlit9132 = alloc_String(" as");
    gc_root(strlit9132);
  }
// compiled string node returning strlit9132 (depth = 6)
  gc_frame_newslot(strlit9132);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit9132;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9133 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9131);
// compiled call node returning call9133 (depth = 5)
    gc_frame_newslot(call9133);
    if9114 = call9133;
  } else {
// Begin line 2872
  setline(2872);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9134 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9136 == NULL) {
    strlit9136 = alloc_String("");
    gc_root(strlit9136);
  }
// compiled string node returning strlit9136 (depth = 7)
  int op_slot_right_9135 = gc_frame_newslot(strlit9136);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9139 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_p (depth = 9)
  Object call9140 = callmethodflags(*var_p, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9139);
// compiled member node returning call9140 (depth = 8)
  int op_slot_right_9138 = gc_frame_newslot(call9140);
// starting to compile string node (depth = 8)
  if (strlit9142 == NULL) {
    strlit9142 = alloc_String(" as ");
    gc_root(strlit9142);
  }
// compiled string node returning strlit9142 (depth = 8)
  int op_slot_left_9138 = gc_frame_newslot(strlit9142);
  params[0] = call9140;
  partcv[0] = 1;
  Object opresult9143 = callmethod(strlit9142, "++(1)", 1, partcv, params);
// compiled op node returning opresult9143 (depth = 7)
  int op_slot_left_9135 = gc_frame_newslot(opresult9143);
  params[0] = strlit9136;
  partcv[0] = 1;
  Object opresult9144 = callmethod(opresult9143, "++(1)", 1, partcv, params);
// compiled op node returning opresult9144 (depth = 6)
  gc_frame_newslot(opresult9144);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = opresult9144;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9145 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9134);
// compiled call node returning call9145 (depth = 5)
    gc_frame_newslot(call9145);
    if9114 = call9145;
  }
// compiled if node returning if9114 (depth = 4)
// Begin line 2874
  setline(2874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9146 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9147 == NULL) {
    strlit9147 = alloc_String("an import statement must have 'as', and an identifier after the name of the module in quotes.");
    gc_root(strlit9147);
  }
// compiled string node returning strlit9147 (depth = 5)
  gc_frame_newslot(strlit9147);
// Begin line 2875
  setline(2875);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9148 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call9149 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9148);
// compiled member node returning call9149 (depth = 5)
  gc_frame_newslot(call9149);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9151 = alloc_Float64(1);
// compiled num node returning num9151 (depth = 6)
  int op_slot_right_9150 = gc_frame_newslot(num9151);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9154 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9155 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9154);
// compiled member node returning call9155 (depth = 7)
  int op_slot_right_9153 = gc_frame_newslot(call9155);
// starting to compile member node (depth = 7)
  int callframe9157 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9158 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9157);
// compiled member node returning call9158 (depth = 7)
  int op_slot_left_9153 = gc_frame_newslot(call9158);
  params[0] = call9155;
  partcv[0] = 1;
  Object sum9159 = callmethod(call9158, "+(1)", 1, partcv, params);
// compiled op node returning sum9159 (depth = 6)
  int op_slot_left_9150 = gc_frame_newslot(sum9159);
  params[0] = num9151;
  partcv[0] = 1;
  Object sum9160 = callmethod(sum9159, "+(1)", 1, partcv, params);
// compiled op node returning sum9160 (depth = 5)
  gc_frame_newslot(sum9160);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2874
  setline(2874);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9147;
  params[1] = call9149;
  params[2] = sum9160;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9161 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9146);
// compiled call node returning call9161 (depth = 4)
    gc_frame_newslot(call9161);
    if9094 = call9161;
  } else {
  }
// compiled if node returning if9094 (depth = 3)
// Begin line 2877
  setline(2877);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9162 = gc_frame_new();
// call case 4: self request
  Object call9163 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9162);
// compiled member node returning call9163 (depth = 3)
// Begin line 2878
  setline(2878);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9166 == NULL) {
    strlit9166 = alloc_String("identifier");
    gc_root(strlit9166);
  }
// compiled string node returning strlit9166 (depth = 5)
  int op_slot_right_9165 = gc_frame_newslot(strlit9166);
// starting to compile member node (depth = 5)
  int callframe9168 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call9169 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9168);
// compiled member node returning call9169 (depth = 5)
  int op_slot_left_9165 = gc_frame_newslot(call9169);
  params[0] = strlit9166;
  partcv[0] = 1;
  Object opresult9170 = callmethod(call9169, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9170 (depth = 4)
  Object if9164 = done;
  if (istrue(opresult9170)) {
// Begin line 2879
  setline(2879);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9171 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9172 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call9173 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9172);
// compiled member node returning call9173 (depth = 6)
  Object call9174 = callmethodflags(call9173, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9171);
// compiled member node returning call9174 (depth = 5)
  *var_suggestion = call9174;
  if (call9174 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 2880
  setline(2880);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_errorPos = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 2881
  setline(2881);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9178 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9179 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9178);
// compiled member node returning call9179 (depth = 7)
  int op_slot_right_9177 = gc_frame_newslot(call9179);
// starting to compile member node (depth = 7)
  int callframe9181 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9182 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9181);
// compiled member node returning call9182 (depth = 7)
  int op_slot_left_9177 = gc_frame_newslot(call9182);
  params[0] = call9179;
  partcv[0] = 1;
  Object opresult9183 = callmethod(call9182, "==(1)", 1, partcv, params);
// compiled op node returning opresult9183 (depth = 6)
  int op_slot_right_9176 = gc_frame_newslot(opresult9183);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9186 == NULL) {
    strlit9186 = alloc_String("string");
    gc_root(strlit9186);
  }
// compiled string node returning strlit9186 (depth = 7)
  int op_slot_right_9185 = gc_frame_newslot(strlit9186);
// starting to compile member node (depth = 7)
  int callframe9188 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9189 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9188);
// compiled member node returning call9189 (depth = 7)
  int op_slot_left_9185 = gc_frame_newslot(call9189);
  params[0] = strlit9186;
  partcv[0] = 1;
  Object opresult9190 = callmethod(call9189, "==(1)", 1, partcv, params);
// compiled op node returning opresult9190 (depth = 6)
  int op_slot_left_9176 = gc_frame_newslot(opresult9190);
  params[0] = opresult9183;
  partcv[0] = 1;
  Object opresult9191 = callmethod(opresult9190, "&&(1)", 1, partcv, params);
// compiled op node returning opresult9191 (depth = 5)
  Object if9175 = done;
  if (istrue(opresult9191)) {
// Begin line 2882
  setline(2882);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9192 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9194 == NULL) {
    strlit9194 = alloc_String("");
    gc_root(strlit9194);
  }
// compiled string node returning strlit9194 (depth = 7)
  int op_slot_right_9193 = gc_frame_newslot(strlit9194);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9197 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call9198 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9197);
// compiled member node returning call9198 (depth = 8)
  int op_slot_right_9196 = gc_frame_newslot(call9198);
// starting to compile string node (depth = 8)
  if (strlit9200 == NULL) {
    strlit9200 = alloc_String("");
    gc_root(strlit9200);
  }
// compiled string node returning strlit9200 (depth = 8)
  int op_slot_left_9196 = gc_frame_newslot(strlit9200);
  params[0] = call9198;
  partcv[0] = 1;
  Object opresult9201 = callmethod(strlit9200, "++(1)", 1, partcv, params);
// compiled op node returning opresult9201 (depth = 7)
  int op_slot_left_9193 = gc_frame_newslot(opresult9201);
  params[0] = strlit9194;
  partcv[0] = 1;
  Object opresult9202 = callmethod(opresult9201, "++(1)", 1, partcv, params);
// compiled op node returning opresult9202 (depth = 6)
  gc_frame_newslot(opresult9202);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = opresult9202;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9203 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9192);
// compiled call node returning call9203 (depth = 5)
// Begin line 2883
  setline(2883);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9204 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9205 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9204);
// compiled member node returning call9205 (depth = 6)
  *var_errorPos = call9205;
  if (call9205 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9175 = done;
  } else {
// Begin line 2885
  setline(2885);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9207 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9209 == NULL) {
    strlit9209 = alloc_String("");
    gc_root(strlit9209);
  }
// compiled string node returning strlit9209 (depth = 7)
  int op_slot_right_9208 = gc_frame_newslot(strlit9209);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9212 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_p (depth = 9)
  Object call9213 = callmethodflags(*var_p, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9212);
// compiled member node returning call9213 (depth = 8)
  int op_slot_right_9211 = gc_frame_newslot(call9213);
// starting to compile string node (depth = 8)
  if (strlit9215 == NULL) {
    strlit9215 = alloc_String(" ");
    gc_root(strlit9215);
  }
// compiled string node returning strlit9215 (depth = 8)
  int op_slot_left_9211 = gc_frame_newslot(strlit9215);
  params[0] = call9213;
  partcv[0] = 1;
  Object opresult9216 = callmethod(strlit9215, "++(1)", 1, partcv, params);
// compiled op node returning opresult9216 (depth = 7)
  int op_slot_left_9208 = gc_frame_newslot(opresult9216);
  params[0] = strlit9209;
  partcv[0] = 1;
  Object opresult9217 = callmethod(opresult9216, "++(1)", 1, partcv, params);
// compiled op node returning opresult9217 (depth = 6)
  gc_frame_newslot(opresult9217);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = opresult9217;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9218 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9207);
// compiled call node returning call9218 (depth = 5)
// Begin line 2886
  setline(2886);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9220 = alloc_Float64(1);
// compiled num node returning num9220 (depth = 7)
  int op_slot_right_9219 = gc_frame_newslot(num9220);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9223 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call9224 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9223);
// compiled member node returning call9224 (depth = 8)
  int op_slot_right_9222 = gc_frame_newslot(call9224);
// starting to compile member node (depth = 8)
  int callframe9226 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call9227 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9226);
// compiled member node returning call9227 (depth = 8)
  int op_slot_left_9222 = gc_frame_newslot(call9227);
  params[0] = call9224;
  partcv[0] = 1;
  Object sum9228 = callmethod(call9227, "+(1)", 1, partcv, params);
// compiled op node returning sum9228 (depth = 7)
  int op_slot_left_9219 = gc_frame_newslot(sum9228);
  params[0] = num9220;
  partcv[0] = 1;
  Object sum9229 = callmethod(sum9228, "+(1)", 1, partcv, params);
// compiled op node returning sum9229 (depth = 6)
  *var_errorPos = sum9229;
  if (sum9229 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
    gc_frame_newslot(done);
    if9175 = done;
  }
// compiled if node returning if9175 (depth = 4)
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9231 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9232 == NULL) {
    strlit9232 = alloc_String("an import statement must have an identifier after 'as'.");
    gc_root(strlit9232);
  }
// compiled string node returning strlit9232 (depth = 5)
  gc_frame_newslot(strlit9232);
// Begin line 2889
  setline(2889);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9233 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call9234 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9233);
// compiled member node returning call9234 (depth = 5)
  gc_frame_newslot(call9234);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errorPos (depth = 5)
  gc_frame_newslot(*var_errorPos);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2888
  setline(2888);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9232;
  params[1] = call9234;
  params[2] = *var_errorPos;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9235 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9231);
// compiled call node returning call9235 (depth = 4)
    gc_frame_newslot(call9235);
    if9164 = call9235;
  } else {
  }
// compiled if node returning if9164 (depth = 3)
// Begin line 2891
  setline(2891);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9236 = gc_frame_new();
// call case 4: self request
  Object call9237 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9236);
// compiled member node returning call9237 (depth = 3)
// Begin line 2892
  setline(2892);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9238 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call9239 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe9238);
// compiled member node returning call9239 (depth = 4)
  *var_name = call9239;
  if (call9239 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2893
  setline(2893);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9240 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool9241 = alloc_Boolean(1);
// compiled identifier node returning bool9241 (depth = 4)
  gc_frame_newslot(bool9241);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_name (depth = 4)
  params[0] = bool9241;
  partcv[0] = 1;
  Object call9242 = callmethodflags(*var_name, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9240);
// compiled call node returning call9242 (depth = 3)
// Begin line 2894
  setline(2894);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9243 = gc_frame_new();
// call case 4: self request
  Object call9244 = callmethodflags(self, "optionalTypeAnnotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9243);
// compiled member node returning call9244 (depth = 4)
  *var_dtype = call9244;
  if (call9244 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2895
  setline(2895);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9245 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_importline (depth = 4)
  gc_frame_newslot(*var_importline);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_importline;
  partcv[0] = 1;
  Object call9246 = callmethodflags(*var_util, "setline(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9245);
// compiled call node returning call9246 (depth = 3)
// Begin line 2896
  setline(2896);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9247 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9248 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_p (depth = 6)
  Object call9249 = callmethodflags(*var_p, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9248);
// compiled member node returning call9249 (depth = 5)
  gc_frame_newslot(call9249);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_name (depth = 5)
  gc_frame_newslot(*var_name);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9250 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call9251 = callmethodflags(*var_ast, "importNode", 0, partcv, params, 0);
  gc_frame_end(callframe9250);
// compiled member node returning call9251 (depth = 5)
  params[0] = call9249;
  params[1] = *var_name;
  params[2] = *var_dtype;
  partcv[0] = 3;
  Object call9252 = callmethodflags(call9251, "new(3)", 1, partcv, params, 0);
  gc_frame_end(callframe9247);
// compiled call node returning call9252 (depth = 4)
  *var_o = call9252;
  if (call9252 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2897
  setline(2897);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9253 = gc_frame_new();
// call case 4: self request
  Object call9254 = callmethodflags(self, "doannotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9253);
// compiled member node returning call9254 (depth = 4)
  *var_anns = call9254;
  if (call9254 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2898
  setline(2898);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_right_9256 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 5)
  Object bool9258 = alloc_Boolean(0);
// compiled identifier node returning bool9258 (depth = 5)
  int op_slot_left_9256 = gc_frame_newslot(bool9258);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult9259 = callmethod(bool9258, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9259 (depth = 4)
  Object if9255 = done;
  if (istrue(opresult9259)) {
// starting to compile call node (depth = 4)
  int callframe9260 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9261 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  Object call9262 = callmethodflags(*var_o, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe9261);
// compiled member node returning call9262 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call9263 = callmethodflags(call9262, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9260);
// compiled call node returning call9263 (depth = 4)
    gc_frame_newslot(call9263);
    if9255 = call9263;
  } else {
  }
// compiled if node returning if9255 (depth = 3)
// Begin line 2899
  setline(2899);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9264 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call9265 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9264);
// compiled call node returning call9265 (depth = 3)
// Begin line 2900
  setline(2900);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9266 = gc_frame_new();
// call case 4: self request
  Object call9267 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9266);
// compiled member node returning call9267 (depth = 3)
    gc_frame_newslot(call9267);
    if9019 = call9267;
  } else {
  }
// compiled if node returning if9019 (depth = 2)
  gc_frame_end(frame);
  return if9019;
}
Object meth_parser__apply9278(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
  int callframe9279 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe9280 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit9281 == NULL) {
    strlit9281 = alloc_String("rbrace");
    gc_root(strlit9281);
  }
// compiled string node returning strlit9281 (depth = 8)
  gc_frame_newslot(strlit9281);
// call case 4: self request
  params[0] = strlit9281;
  partcv[0] = 1;
  Object call9282 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9280);
// compiled call node returning call9282 (depth = 7)
  Object call9283 = callmethodflags(call9282, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9279);
// compiled member node returning call9283 (depth = 6)
  gc_frame_end(frame);
  return call9283;
}
Object meth_parser__apply9293(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 8)
  int callframe9294 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_blocksOK (depth = 9)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call9295 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9294);
// compiled call node returning call9295 (depth = 8)
  gc_frame_end(frame);
  return call9295;
}
Object meth_parser_doreturn9268(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 67, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "doreturn");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_blocksOK = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_retTok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "retTok");
  Object *var_retval = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "retval");
  Object *var_suggestions = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestions");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_nextTok = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "nextTok");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 2906
  setline(2906);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9270 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9271 == NULL) {
    strlit9271 = alloc_String("return");
    gc_root(strlit9271);
  }
// compiled string node returning strlit9271 (depth = 4)
  gc_frame_newslot(strlit9271);
// call case 4: self request
  params[0] = strlit9271;
  partcv[0] = 1;
  Object call9272 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9270);
// compiled call node returning call9272 (depth = 3)
  Object if9269 = done;
  if (istrue(call9272)) {
// Begin line 2907
  setline(2907);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  *var_retTok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2908
  setline(2908);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9273 = gc_frame_new();
// call case 4: self request
  Object call9274 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9273);
// compiled member node returning call9274 (depth = 3)
// Begin line 2909
  setline(2909);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
  *var_retval = undefined;
// compiled vardec node returning done (depth = 3)
// Begin line 2910
  setline(2910);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile block node (depth = 5)
  Object block9277 = alloc_Block(NULL, NULL, "parser", 2910);
  gc_frame_newslot(block9277);
// method "_apply"
  block_savedest(block9277);
  Object closure9278 = createclosure(1, "_apply");
  setclosureframe(closure9278, stackframe);
  addtoclosure(closure9278, selfslot);
  struct UserObject *uo9278 = (struct UserObject*)block9277;
  uo9278->data[0] = (Object)closure9278;
  Method *meth_meth_parser__apply9278 = addmethod2pos(block9277, "_apply", &meth_parser__apply9278, 0);
  int argcv_meth_parser__apply9278[] = {0};
  meth_meth_parser__apply9278->type = alloc_MethodType(1, argcv_meth_parser__apply9278);
  meth_meth_parser__apply9278->definitionModule = modulename;
  meth_meth_parser__apply9278->definitionLine = 3404;
// compiled block node returning block9277 (depth = 5)
  int op_slot_right_9276 = gc_frame_newslot(block9277);
// starting to compile member node (depth = 5)
  int callframe9286 = gc_frame_new();
// call case 4: self request
  Object call9287 = callmethodflags(self, "tokenOnSameLine", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9286);
// compiled member node returning call9287 (depth = 5)
  int op_slot_left_9276 = gc_frame_newslot(call9287);
  params[0] = block9277;
  partcv[0] = 1;
  Object opresult9288 = callmethod(call9287, "&&(1)", 1, partcv, params);
// compiled op node returning opresult9288 (depth = 4)
  Object if9275 = done;
  if (istrue(opresult9288)) {
// Begin line 2911
  setline(2911);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9290 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe9291 = gc_frame_new();
// starting to compile block node (depth = 7)
  Object block9292 = alloc_Block(NULL, NULL, "parser", 2911);
  gc_frame_newslot(block9292);
// method "_apply"
  block_savedest(block9292);
  Object closure9293 = createclosure(2, "_apply");
  setclosureframe(closure9293, stackframe);
  addtoclosure(closure9293, var_blocksOK);
  addtoclosure(closure9293, selfslot);
  struct UserObject *uo9293 = (struct UserObject*)block9292;
  uo9293->data[0] = (Object)closure9293;
  Method *meth_meth_parser__apply9293 = addmethod2pos(block9292, "_apply", &meth_parser__apply9293, 0);
  int argcv_meth_parser__apply9293[] = {0};
  meth_meth_parser__apply9293->type = alloc_MethodType(1, argcv_meth_parser__apply9293);
  meth_meth_parser__apply9293->definitionModule = modulename;
  meth_meth_parser__apply9293->definitionLine = 3404;
// compiled block node returning block9292 (depth = 7)
  gc_frame_newslot(block9292);
// call case 4: self request
  params[0] = block9292;
  partcv[0] = 1;
  Object call9297 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9291);
// compiled call node returning call9297 (depth = 6)
  Object call9298 = callmethodflags(call9297, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9290);
// compiled member node returning call9298 (depth = 5)
  Object if9289 = done;
  if (istrue(call9298)) {
// Begin line 2912
  setline(2912);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile array node (depth = 6)
  Object array9299 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9299 (depth = 6)
  *var_suggestions = array9299;
  if (array9299 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2913
  setline(2913);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9300 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9301 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call9302 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9301);
// compiled member node returning call9302 (depth = 7)
  Object call9303 = callmethodflags(call9302, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9300);
// compiled member node returning call9303 (depth = 6)
  *var_suggestion = call9303;
  if (call9303 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 5)
// Begin line 2914
  setline(2914);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9304 = gc_frame_new();
// starting to compile array node (depth = 7)
  Object array9305 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 8)
  if (strlit9306 == NULL) {
    strlit9306 = alloc_String("rbrace");
    gc_root(strlit9306);
  }
// compiled string node returning strlit9306 (depth = 8)
  params[0] = strlit9306;
  partcv[0] = 1;
  callmethodflags(array9305, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array9305 (depth = 7)
  gc_frame_newslot(array9305);
// call case 4: self request
  params[0] = array9305;
  partcv[0] = 1;
  Object call9307 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9304);
// compiled call node returning call9307 (depth = 6)
  *var_nextTok = call9307;
  if (call9307 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2915
  setline(2915);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  int op_slot_right_9309 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_left_9309 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult9311 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult9311 (depth = 6)
  Object if9308 = done;
  if (istrue(opresult9311)) {
// Begin line 2916
  setline(2916);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9312 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit9313 == NULL) {
    strlit9313 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit9313);
  }
// compiled string node returning strlit9313 (depth = 7)
  gc_frame_newslot(strlit9313);
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = strlit9313;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9314 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9312);
// compiled call node returning call9314 (depth = 6)
// Begin line 2917
  setline(2917);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9315 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9316 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9315);
// compiled call node returning call9316 (depth = 6)
// Begin line 2918
  setline(2918);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9317 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe9318 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call9319 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9318);
// compiled member node returning call9319 (depth = 8)
  Object call9320 = callmethodflags(call9319, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9317);
// compiled member node returning call9320 (depth = 7)
  *var_suggestion = call9320;
  if (call9320 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 2919
  setline(2919);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9322 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
  Object bool9323 = alloc_Boolean(1);
// compiled identifier node returning bool9323 (depth = 7)
  gc_frame_newslot(bool9323);
// starting to compile identifier node (depth = 7)
  Object bool9324 = alloc_Boolean(0);
// compiled identifier node returning bool9324 (depth = 7)
  gc_frame_newslot(bool9324);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = bool9323;
  params[2] = bool9324;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9325 = callmethodflags(*var_suggestion, "deleteToken(1)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9322);
// compiled call node returning call9325 (depth = 6)
    gc_frame_newslot(call9325);
    if9308 = call9325;
  } else {
// Begin line 2921
  setline(2921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9326 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe9327 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call9328 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe9327);
// compiled member node returning call9328 (depth = 7)
  gc_frame_newslot(call9328);
// starting to compile identifier node (depth = 7)
  Object bool9329 = alloc_Boolean(1);
// compiled identifier node returning bool9329 (depth = 7)
  gc_frame_newslot(bool9329);
// starting to compile identifier node (depth = 7)
  Object bool9330 = alloc_Boolean(0);
// compiled identifier node returning bool9330 (depth = 7)
  gc_frame_newslot(bool9330);
// starting to compile string node (depth = 7)
  if (strlit9331 == NULL) {
    strlit9331 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit9331);
  }
// compiled string node returning strlit9331 (depth = 7)
  gc_frame_newslot(strlit9331);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call9328;
  params[2] = bool9329;
  params[3] = bool9330;
  params[4] = strlit9331;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call9332 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe9326);
// compiled call node returning call9332 (depth = 6)
// Begin line 2922
  setline(2922);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9333 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9334 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9333);
// compiled call node returning call9334 (depth = 6)
// Begin line 2923
  setline(2923);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9335 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe9336 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call9337 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9336);
// compiled member node returning call9337 (depth = 8)
  Object call9338 = callmethodflags(call9337, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9335);
// compiled member node returning call9338 (depth = 7)
  *var_suggestion = call9338;
  if (call9338 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 2924
  setline(2924);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9340 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 7)
  int callframe9341 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  Object call9342 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe9341);
// compiled member node returning call9342 (depth = 7)
  gc_frame_newslot(call9342);
// starting to compile identifier node (depth = 7)
  Object bool9343 = alloc_Boolean(1);
// compiled identifier node returning bool9343 (depth = 7)
  gc_frame_newslot(bool9343);
// starting to compile identifier node (depth = 7)
  Object bool9344 = alloc_Boolean(0);
// compiled identifier node returning bool9344 (depth = 7)
  gc_frame_newslot(bool9344);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = call9342;
  params[2] = bool9343;
  params[3] = bool9344;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9345 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9340);
// compiled call node returning call9345 (depth = 6)
    gc_frame_newslot(call9345);
    if9308 = call9345;
  }
// compiled if node returning if9308 (depth = 5)
// Begin line 2926
  setline(2926);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9346 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9347 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9346);
// compiled call node returning call9347 (depth = 5)
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9348 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9349 == NULL) {
    strlit9349 = alloc_String("a return statement must have either an expression or a new-line after 'return'.");
    gc_root(strlit9349);
  }
// compiled string node returning strlit9349 (depth = 6)
  gc_frame_newslot(strlit9349);
// Begin line 2928
  setline(2928);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe9350 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9351 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9350);
// compiled member node returning call9351 (depth = 6)
  gc_frame_newslot(call9351);
// starting to compile member node (depth = 6)
  int callframe9352 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9353 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9352);
// compiled member node returning call9353 (depth = 6)
  gc_frame_newslot(call9353);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9355 = alloc_Float64(1);
// compiled num node returning num9355 (depth = 7)
  int op_slot_right_9354 = gc_frame_newslot(num9355);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe9358 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call9359 = callmethodflags(*var_sym, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9358);
// compiled member node returning call9359 (depth = 8)
  int op_slot_right_9357 = gc_frame_newslot(call9359);
// starting to compile member node (depth = 8)
  int callframe9361 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call9362 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9361);
// compiled member node returning call9362 (depth = 8)
  int op_slot_left_9357 = gc_frame_newslot(call9362);
  params[0] = call9359;
  partcv[0] = 1;
  Object sum9363 = callmethod(call9362, "+(1)", 1, partcv, params);
// compiled op node returning sum9363 (depth = 7)
  int op_slot_left_9354 = gc_frame_newslot(sum9363);
  params[0] = num9355;
  partcv[0] = 1;
  Object diff9364 = callmethod(sum9363, "-(1)", 1, partcv, params);
// compiled op node returning diff9364 (depth = 6)
  gc_frame_newslot(diff9364);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 2927
  setline(2927);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit9349;
  params[1] = call9351;
  params[2] = call9353;
  params[3] = diff9364;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call9365 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9348);
// compiled call node returning call9365 (depth = 5)
    gc_frame_newslot(call9365);
    if9289 = call9365;
  } else {
  }
// compiled if node returning if9289 (depth = 4)
// Begin line 2930
  setline(2930);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9366 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call9367 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe9366);
// compiled member node returning call9367 (depth = 5)
  *var_retval = call9367;
  if (call9367 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9275 = done;
  } else {
// Begin line 2932
  setline(2932);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9369 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9370 == NULL) {
    strlit9370 = alloc_String("done");
    gc_root(strlit9370);
  }
// compiled string node returning strlit9370 (depth = 6)
  gc_frame_newslot(strlit9370);
// starting to compile identifier node (depth = 6)
  Object bool9371 = alloc_Boolean(0);
// compiled identifier node returning bool9371 (depth = 6)
  gc_frame_newslot(bool9371);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9372 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call9373 = callmethodflags(*var_ast, "identifierNode", 0, partcv, params, 0);
  gc_frame_end(callframe9372);
// compiled member node returning call9373 (depth = 6)
  params[0] = strlit9370;
  params[1] = bool9371;
  partcv[0] = 2;
  Object call9374 = callmethodflags(call9373, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9369);
// compiled call node returning call9374 (depth = 5)
  *var_retval = call9374;
  if (call9374 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if9275 = done;
  }
// compiled if node returning if9275 (depth = 3)
// Begin line 2934
  setline(2934);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9376 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9377 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_retTok (depth = 5)
  Object call9378 = callmethodflags(*var_retTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9377);
// compiled member node returning call9378 (depth = 4)
  gc_frame_newslot(call9378);
// starting to compile member node (depth = 4)
  int callframe9379 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_retTok (depth = 5)
  Object call9380 = callmethodflags(*var_retTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9379);
// compiled member node returning call9380 (depth = 4)
  gc_frame_newslot(call9380);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call9378;
  params[1] = call9380;
  partcv[0] = 2;
  Object call9381 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9376);
// compiled call node returning call9381 (depth = 3)
// Begin line 2935
  setline(2935);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9382 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_retval (depth = 5)
  gc_frame_newslot(*var_retval);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9383 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call9384 = callmethodflags(*var_ast, "returnNode", 0, partcv, params, 0);
  gc_frame_end(callframe9383);
// compiled member node returning call9384 (depth = 5)
  params[0] = *var_retval;
  partcv[0] = 1;
  Object call9385 = callmethodflags(call9384, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9382);
// compiled call node returning call9385 (depth = 4)
  *var_o = call9385;
  if (call9385 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 3)
// Begin line 2936
  setline(2936);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9386 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call9387 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9386);
// compiled call node returning call9387 (depth = 3)
    gc_frame_newslot(call9387);
    if9269 = call9387;
  } else {
  }
// compiled if node returning if9269 (depth = 2)
  gc_frame_end(frame);
  return if9269;
}
Object meth_parser_domethodtype9388(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 68, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "domethodtype");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_ast = getfromclosure(closure, 1);
  Object *var_values = getfromclosure(closure, 2);
  Object *var_lastToken = getfromclosure(closure, 3);
  Object *var_errormessages = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_methodTypeTok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "methodTypeTok");
  Object *var_methNode = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "methNode");
  Object *var_dtype = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "dtype");
  Object *var_o = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "o");
  Object *var_suggestion = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "suggestion");
  Object *var_newLine = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "newLine");
// Begin line 2942
  setline(2942);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_methodTypeTok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2943
  setline(2943);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9389 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool9390 = alloc_Boolean(1);
// compiled identifier node returning bool9390 (depth = 4)
  gc_frame_newslot(bool9390);
// call case 4: self request
  params[0] = bool9390;
  partcv[0] = 1;
  Object call9391 = callmethodflags(self, "methodsignature(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9389);
// compiled call node returning call9391 (depth = 3)
  *var_methNode = call9391;
  if (call9391 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2944
  setline(2944);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe9392 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methNode (depth = 4)
  Object call9393 = callmethodflags(*var_methNode, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe9392);
// compiled member node returning call9393 (depth = 3)
  *var_dtype = call9393;
  if (call9393 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 2945
  setline(2945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9396 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_methNode (depth = 5)
  Object call9397 = callmethodflags(*var_methNode, "dtype", 0, partcv, params, 0);
  gc_frame_end(callframe9396);
// compiled member node returning call9397 (depth = 4)
  int op_slot_right_9395 = gc_frame_newslot(call9397);
// starting to compile identifier node (depth = 4)
  Object bool9399 = alloc_Boolean(0);
// compiled identifier node returning bool9399 (depth = 4)
  int op_slot_left_9395 = gc_frame_newslot(bool9399);
  params[0] = call9397;
  partcv[0] = 1;
  Object opresult9400 = callmethod(bool9399, "==(1)", 1, partcv, params);
// compiled op node returning opresult9400 (depth = 3)
  Object if9394 = done;
  if (istrue(opresult9400)) {
// Begin line 2946
  setline(2946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9401 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9402 == NULL) {
    strlit9402 = alloc_String("Done");
    gc_root(strlit9402);
  }
// compiled string node returning strlit9402 (depth = 5)
  gc_frame_newslot(strlit9402);
// starting to compile identifier node (depth = 5)
  Object bool9403 = alloc_Boolean(0);
// compiled identifier node returning bool9403 (depth = 5)
  gc_frame_newslot(bool9403);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9404 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call9405 = callmethodflags(*var_ast, "identifierNode", 0, partcv, params, 0);
  gc_frame_end(callframe9404);
// compiled member node returning call9405 (depth = 5)
  params[0] = strlit9402;
  params[1] = bool9403;
  partcv[0] = 2;
  Object call9406 = callmethodflags(call9405, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9401);
// compiled call node returning call9406 (depth = 4)
  *var_dtype = call9406;
  if (call9406 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if9394 = done;
  } else {
  }
// compiled if node returning if9394 (depth = 2)
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// Begin line 2949
  setline(2949);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9408 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methodTypeTok (depth = 4)
  gc_frame_newslot(*var_methodTypeTok);
// call case 6: other requests
// Begin line 2948
  setline(2948);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9409 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9410 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_methNode (depth = 6)
  Object call9411 = callmethodflags(*var_methNode, "signature", 0, partcv, params, 0);
  gc_frame_end(callframe9410);
// compiled member node returning call9411 (depth = 5)
  gc_frame_newslot(call9411);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_dtype (depth = 5)
  gc_frame_newslot(*var_dtype);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9412 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call9413 = callmethodflags(*var_ast, "methodTypeNode", 0, partcv, params, 0);
  gc_frame_end(callframe9412);
// compiled member node returning call9413 (depth = 5)
  params[0] = call9411;
  params[1] = *var_dtype;
  partcv[0] = 2;
  Object call9414 = callmethodflags(call9413, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9409);
// compiled call node returning call9414 (depth = 4)
  params[0] = *var_methodTypeTok;
  partcv[0] = 1;
  Object call9415 = callmethodflags(call9414, "setPositionFrom(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9408);
// compiled call node returning call9415 (depth = 3)
  *var_o = call9415;
  if (call9415 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2950
  setline(2950);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe9416 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe9417 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_methNode (depth = 4)
  Object call9418 = callmethodflags(*var_methNode, "typeParams", 0, partcv, params, 0);
  gc_frame_end(callframe9417);
// compiled member node returning call9418 (depth = 3)
  gc_frame_newslot(call9418);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  params[0] = call9418;
  partcv[0] = 1;
  Object call9419 = callmethodflags(*var_o, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9416);
// compiled call node returning call9419 (depth = 2)
// Begin line 2951
  setline(2951);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe9420 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call9421 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9420);
// compiled call node returning call9421 (depth = 2)
// Begin line 2952
  setline(2952);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe9422 = gc_frame_new();
// call case 4: self request
  Object call9423 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9422);
// compiled member node returning call9423 (depth = 2)
// Begin line 2953
  setline(2953);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9425 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9426 == NULL) {
    strlit9426 = alloc_String("semicolon");
    gc_root(strlit9426);
  }
// compiled string node returning strlit9426 (depth = 4)
  gc_frame_newslot(strlit9426);
// call case 4: self request
  params[0] = strlit9426;
  partcv[0] = 1;
  Object call9427 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9425);
// compiled call node returning call9427 (depth = 3)
  Object if9424 = done;
  if (istrue(call9427)) {
// Begin line 2954
  setline(2954);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9428 = gc_frame_new();
// call case 4: self request
  Object call9429 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9428);
// compiled member node returning call9429 (depth = 3)
    gc_frame_newslot(call9429);
    if9424 = call9429;
  } else {
// Begin line 2956
  setline(2956);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9431 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe9432 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9433 == NULL) {
    strlit9433 = alloc_String("rbrace");
    gc_root(strlit9433);
  }
// compiled string node returning strlit9433 (depth = 6)
  gc_frame_newslot(strlit9433);
// call case 4: self request
  params[0] = strlit9433;
  partcv[0] = 1;
  Object call9434 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9432);
// compiled call node returning call9434 (depth = 5)
  partcv[0] = 0;
  Object call9435 = callmethodflags(call9434, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe9431);
// compiled call node returning call9435 (depth = 4)
  Object if9430 = done;
  if (istrue(call9435)) {
// Begin line 2957
  setline(2957);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9438 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9439 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9438);
// compiled member node returning call9439 (depth = 6)
  int op_slot_right_9437 = gc_frame_newslot(call9439);
// starting to compile member node (depth = 6)
  int callframe9441 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call9442 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9441);
// compiled member node returning call9442 (depth = 6)
  int op_slot_left_9437 = gc_frame_newslot(call9442);
  params[0] = call9439;
  partcv[0] = 1;
  Object opresult9443 = callmethod(call9442, "==(1)", 1, partcv, params);
// compiled op node returning opresult9443 (depth = 5)
  Object if9436 = done;
  if (istrue(opresult9443)) {
// Begin line 2958
  setline(2958);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe9444 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe9445 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call9446 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9445);
// compiled member node returning call9446 (depth = 7)
  Object call9447 = callmethodflags(call9446, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9444);
// compiled member node returning call9447 (depth = 6)
  *var_suggestion = call9447;
  if (call9447 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2959
  setline(2959);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9449 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9450 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9449);
// compiled member node returning call9450 (depth = 7)
  int op_slot_right_9448 = gc_frame_newslot(call9450);
// starting to compile call node (depth = 7)
  int callframe9452 = gc_frame_new();
// starting to compile num node (depth = 8)
  Object num9453 = alloc_Float64(1);
// compiled num node returning num9453 (depth = 8)
  gc_frame_newslot(num9453);
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num9455 = alloc_Float64(1);
// compiled num node returning num9455 (depth = 9)
  int op_slot_right_9454 = gc_frame_newslot(num9455);
// starting to compile member node (depth = 9)
  int callframe9457 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call9458 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9457);
// compiled member node returning call9458 (depth = 9)
  int op_slot_left_9454 = gc_frame_newslot(call9458);
  params[0] = num9455;
  partcv[0] = 1;
  Object diff9459 = callmethod(call9458, "-(1)", 1, partcv, params);
// compiled op node returning diff9459 (depth = 8)
  gc_frame_newslot(diff9459);
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe9460 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe9461 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call9462 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9461);
// compiled member node returning call9462 (depth = 9)
  gc_frame_newslot(call9462);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe9463 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  Object call9464 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe9463);
// compiled member node returning call9464 (depth = 9)
  params[0] = call9462;
  partcv[0] = 1;
  Object call9465 = callmethodflags(call9464, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9460);
// compiled call node returning call9465 (depth = 8)
  params[0] = num9453;
  params[1] = diff9459;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9466 = callmethodflags(call9465, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9452);
// compiled call node returning call9466 (depth = 7)
  int op_slot_left_9448 = gc_frame_newslot(call9466);
  params[0] = call9450;
  partcv[0] = 1;
  Object opresult9467 = callmethod(call9466, "++(1)", 1, partcv, params);
// compiled op node returning opresult9467 (depth = 6)
  *var_newLine = opresult9467;
  if (opresult9467 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 2960
  setline(2960);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9468 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num9470 = alloc_Float64(0.1);
// compiled num node returning num9470 (depth = 7)
  int op_slot_right_9469 = gc_frame_newslot(num9470);
// starting to compile member node (depth = 7)
  int callframe9472 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9473 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9472);
// compiled member node returning call9473 (depth = 7)
  int op_slot_left_9469 = gc_frame_newslot(call9473);
  params[0] = num9470;
  partcv[0] = 1;
  Object sum9474 = callmethod(call9473, "+(1)", 1, partcv, params);
// compiled op node returning sum9474 (depth = 6)
  gc_frame_newslot(sum9474);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newLine (depth = 6)
  gc_frame_newslot(*var_newLine);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = sum9474;
  params[1] = *var_newLine;
  partcv[0] = 2;
  Object call9475 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9468);
// compiled call node returning call9475 (depth = 5)
// Begin line 2961
  setline(2961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9476 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
  Object bool9477 = alloc_Boolean(1);
// compiled identifier node returning bool9477 (depth = 6)
  gc_frame_newslot(bool9477);
// starting to compile identifier node (depth = 6)
  Object bool9478 = alloc_Boolean(1);
// compiled identifier node returning bool9478 (depth = 6)
  gc_frame_newslot(bool9478);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = bool9477;
  params[2] = bool9478;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9479 = callmethodflags(*var_suggestion, "deleteToken(1)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9476);
// compiled call node returning call9479 (depth = 5)
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9480 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9481 == NULL) {
    strlit9481 = alloc_String("methods in a type literal must be on separate lines, or separated by semicolons.");
    gc_root(strlit9481);
  }
// compiled string node returning strlit9481 (depth = 6)
  gc_frame_newslot(strlit9481);
// Begin line 2963
  setline(2963);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe9482 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9483 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9482);
// compiled member node returning call9483 (depth = 6)
  gc_frame_newslot(call9483);
// starting to compile member node (depth = 6)
  int callframe9484 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9485 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9484);
// compiled member node returning call9485 (depth = 6)
  gc_frame_newslot(call9485);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2962
  setline(2962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = strlit9481;
  params[1] = call9483;
  params[2] = call9485;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9486 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9480);
// compiled call node returning call9486 (depth = 5)
    gc_frame_newslot(call9486);
    if9436 = call9486;
  } else {
  }
// compiled if node returning if9436 (depth = 4)
    gc_frame_newslot(if9436);
    if9430 = if9436;
  } else {
  }
// compiled if node returning if9430 (depth = 3)
    gc_frame_newslot(if9430);
    if9424 = if9430;
  }
// compiled if node returning if9424 (depth = 2)
  gc_frame_end(frame);
  return if9424;
}
Object meth_parser__apply9529(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 5)
  int callframe9530 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 6)
  int callframe9531 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit9532 == NULL) {
    strlit9532 = alloc_String("rbrace");
    gc_root(strlit9532);
  }
// compiled string node returning strlit9532 (depth = 7)
  gc_frame_newslot(strlit9532);
// call case 4: self request
  params[0] = strlit9532;
  partcv[0] = 1;
  Object call9533 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9531);
// compiled call node returning call9533 (depth = 6)
  Object call9534 = callmethodflags(call9533, "not", 0, partcv, params, 0);
  gc_frame_end(callframe9530);
// compiled member node returning call9534 (depth = 5)
  gc_frame_end(frame);
  return call9534;
}
Object meth_parser__apply9537(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_types = getfromclosure(closure, 1);
  Object *var_meths = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 2989
  setline(2989);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe9539 = gc_frame_new();
// starting to compile string node (depth = 7)
  if (strlit9540 == NULL) {
    strlit9540 = alloc_String("type");
    gc_root(strlit9540);
  }
// compiled string node returning strlit9540 (depth = 7)
  gc_frame_newslot(strlit9540);
// call case 4: self request
  params[0] = strlit9540;
  partcv[0] = 1;
  Object call9541 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9539);
// compiled call node returning call9541 (depth = 6)
  Object if9538 = done;
  if (istrue(call9541)) {
// Begin line 2990
  setline(2990);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe9542 = gc_frame_new();
// call case 4: self request
  Object call9543 = callmethodflags(self, "typedec", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9542);
// compiled member node returning call9543 (depth = 6)
// Begin line 2991
  setline(2991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9544 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe9545 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call9546 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe9545);
// compiled member node returning call9546 (depth = 7)
  gc_frame_newslot(call9546);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_types (depth = 7)
  params[0] = call9546;
  partcv[0] = 1;
  Object call9547 = callmethodflags(*var_types, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9544);
// compiled call node returning call9547 (depth = 6)
    gc_frame_newslot(call9547);
    if9538 = call9547;
  } else {
// Begin line 2993
  setline(2993);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe9548 = gc_frame_new();
// call case 4: self request
  Object call9549 = callmethodflags(self, "domethodtype", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9548);
// compiled member node returning call9549 (depth = 6)
// Begin line 2994
  setline(2994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe9550 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe9551 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call9552 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe9551);
// compiled member node returning call9552 (depth = 7)
  gc_frame_newslot(call9552);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_meths (depth = 7)
  params[0] = call9552;
  partcv[0] = 1;
  Object call9553 = callmethodflags(*var_meths, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9550);
// compiled call node returning call9553 (depth = 6)
    gc_frame_newslot(call9553);
    if9538 = call9553;
  }
// compiled if node returning if9538 (depth = 5)
  gc_frame_end(frame);
  return if9538;
}
Object meth_parser_dotypeLiteral9487(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 69, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "dotypeLiteral");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_done = getfromclosure(closure, 2);
  Object *var_auto_count = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_util = getfromclosure(closure, 5);
  Object *var_ast = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_typeLiteralTok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "typeLiteralTok");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_meths = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "meths");
  Object *var_types = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "types");
  Object *var_mc = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "mc");
  Object *var_t = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "t");
// Begin line 2971
  setline(2971);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_typeLiteralTok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 2972
  setline(2972);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9489 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9490 == NULL) {
    strlit9490 = alloc_String("type");
    gc_root(strlit9490);
  }
// compiled string node returning strlit9490 (depth = 4)
  gc_frame_newslot(strlit9490);
// call case 4: self request
  params[0] = strlit9490;
  partcv[0] = 1;
  Object call9491 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9489);
// compiled call node returning call9491 (depth = 3)
  Object if9488 = done;
  if (istrue(call9491)) {
// Begin line 2973
  setline(2973);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9492 = gc_frame_new();
// call case 4: self request
  Object call9493 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9492);
// compiled member node returning call9493 (depth = 3)
// Begin line 2974
  setline(2974);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9495 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 5)
  int callframe9496 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9497 == NULL) {
    strlit9497 = alloc_String("lbrace");
    gc_root(strlit9497);
  }
// compiled string node returning strlit9497 (depth = 6)
  gc_frame_newslot(strlit9497);
// call case 4: self request
  params[0] = strlit9497;
  partcv[0] = 1;
  Object call9498 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9496);
// compiled call node returning call9498 (depth = 5)
  partcv[0] = 0;
  Object call9499 = callmethodflags(call9498, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe9495);
// compiled call node returning call9499 (depth = 4)
  Object if9494 = done;
  if (istrue(call9499)) {
// Begin line 2975
  setline(2975);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9500 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9501 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call9502 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9501);
// compiled member node returning call9502 (depth = 6)
  Object call9503 = callmethodflags(call9502, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9500);
// compiled member node returning call9503 (depth = 5)
  *var_suggestion = call9503;
  if (call9503 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 2976
  setline(2976);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9504 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 5)
  if (strlit9505 == NULL) {
    strlit9505 = alloc_String("{");
    gc_root(strlit9505);
  }
// compiled string node returning strlit9505 (depth = 5)
  gc_frame_newslot(strlit9505);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = *var_sym;
  params[1] = strlit9505;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9506 = callmethodflags(*var_suggestion, "replaceToken(1)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9504);
// compiled call node returning call9506 (depth = 4)
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9507 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9508 == NULL) {
    strlit9508 = alloc_String("type literals must open with a brace.");
    gc_root(strlit9508);
  }
// compiled string node returning strlit9508 (depth = 5)
  gc_frame_newslot(strlit9508);
// Begin line 2978
  setline(2978);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9509 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call9510 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9509);
// compiled member node returning call9510 (depth = 5)
  gc_frame_newslot(call9510);
// starting to compile member node (depth = 5)
  int callframe9511 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call9512 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9511);
// compiled member node returning call9512 (depth = 5)
  gc_frame_newslot(call9512);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 2977
  setline(2977);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9508;
  params[1] = call9510;
  params[2] = call9512;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9513 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9507);
// compiled call node returning call9513 (depth = 4)
// Begin line 2979
  setline(2979);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 4)
// Begin line 2980
  setline(2980);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_done (depth = 5)
  return *var_done;
// compiled return node returning undefined (depth = 4)
    gc_frame_newslot(undefined);
    if9494 = undefined;
  } else {
  }
// compiled if node returning if9494 (depth = 3)
    gc_frame_newslot(if9494);
    if9488 = if9494;
  } else {
  }
// compiled if node returning if9488 (depth = 2)
// Begin line 2982
  setline(2982);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9515 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9516 == NULL) {
    strlit9516 = alloc_String("lbrace");
    gc_root(strlit9516);
  }
// compiled string node returning strlit9516 (depth = 4)
  gc_frame_newslot(strlit9516);
// call case 4: self request
  params[0] = strlit9516;
  partcv[0] = 1;
  Object call9517 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9515);
// compiled call node returning call9517 (depth = 3)
  Object if9514 = done;
  if (istrue(call9517)) {
// Begin line 2983
  setline(2983);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array9518 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9518 (depth = 4)
  *var_meths = array9518;
  if (array9518 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2984
  setline(2984);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile array node (depth = 4)
  Object array9519 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9519 (depth = 4)
  *var_types = array9519;
  if (array9519 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2985
  setline(2985);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_auto_count (depth = 4)
  *var_mc = *var_auto_count;
  if (*var_auto_count == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 2986
  setline(2986);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num9521 = alloc_Float64(1);
// compiled num node returning num9521 (depth = 5)
  int op_slot_right_9520 = gc_frame_newslot(num9521);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_auto_count (depth = 5)
  int op_slot_left_9520 = gc_frame_newslot(*var_auto_count);
  params[0] = num9521;
  partcv[0] = 1;
  Object sum9523 = callmethod(*var_auto_count, "+(1)", 1, partcv, params);
// compiled op node returning sum9523 (depth = 4)
  *var_auto_count = sum9523;
  if (sum9523 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
// Begin line 2987
  setline(2987);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9525 = gc_frame_new();
// call case 4: self request
  Object call9526 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9525);
// compiled member node returning call9526 (depth = 3)
// Begin line 2988
  setline(2988);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9527 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block9528 = alloc_Block(NULL, NULL, "parser", 2988);
  gc_frame_newslot(block9528);
// method "_apply"
  block_savedest(block9528);
  Object closure9529 = createclosure(1, "_apply");
  setclosureframe(closure9529, stackframe);
  addtoclosure(closure9529, selfslot);
  struct UserObject *uo9529 = (struct UserObject*)block9528;
  uo9529->data[0] = (Object)closure9529;
  Method *meth_meth_parser__apply9529 = addmethod2pos(block9528, "_apply", &meth_parser__apply9529, 0);
  int argcv_meth_parser__apply9529[] = {0};
  meth_meth_parser__apply9529->type = alloc_MethodType(1, argcv_meth_parser__apply9529);
  meth_meth_parser__apply9529->definitionModule = modulename;
  meth_meth_parser__apply9529->definitionLine = 3404;
// compiled block node returning block9528 (depth = 4)
  gc_frame_newslot(block9528);
// starting to compile block node (depth = 4)
  Object block9536 = alloc_Block(NULL, NULL, "parser", 2988);
  gc_frame_newslot(block9536);
// method "_apply"
  block_savedest(block9536);
  Object closure9537 = createclosure(4, "_apply");
  setclosureframe(closure9537, stackframe);
  addtoclosure(closure9537, var_values);
  addtoclosure(closure9537, var_types);
  addtoclosure(closure9537, var_meths);
  addtoclosure(closure9537, selfslot);
  struct UserObject *uo9537 = (struct UserObject*)block9536;
  uo9537->data[0] = (Object)closure9537;
  Method *meth_meth_parser__apply9537 = addmethod2pos(block9536, "_apply", &meth_parser__apply9537, 0);
  int argcv_meth_parser__apply9537[] = {0};
  meth_meth_parser__apply9537->type = alloc_MethodType(1, argcv_meth_parser__apply9537);
  meth_meth_parser__apply9537->definitionModule = modulename;
  meth_meth_parser__apply9537->definitionLine = 3404;
// compiled block node returning block9536 (depth = 4)
  gc_frame_newslot(block9536);
// call case 5: prelude request
  params[0] = block9528;
  params[1] = block9536;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9555 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9527);
// compiled call node returning call9555 (depth = 3)
// Begin line 2997
  setline(2997);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9556 = gc_frame_new();
// call case 4: self request
  Object call9557 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9556);
// compiled member node returning call9557 (depth = 3)
// Begin line 2998
  setline(2998);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9558 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9559 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeLiteralTok (depth = 5)
  Object call9560 = callmethodflags(*var_typeLiteralTok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9559);
// compiled member node returning call9560 (depth = 4)
  gc_frame_newslot(call9560);
// starting to compile member node (depth = 4)
  int callframe9561 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_typeLiteralTok (depth = 5)
  Object call9562 = callmethodflags(*var_typeLiteralTok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9561);
// compiled member node returning call9562 (depth = 4)
  gc_frame_newslot(call9562);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = call9560;
  params[1] = call9562;
  partcv[0] = 2;
  Object call9563 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9558);
// compiled call node returning call9563 (depth = 3)
// Begin line 2999
  setline(2999);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9564 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_meths (depth = 5)
  gc_frame_newslot(*var_meths);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_types (depth = 5)
  gc_frame_newslot(*var_types);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9565 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call9566 = callmethodflags(*var_ast, "typeLiteralNode", 0, partcv, params, 0);
  gc_frame_end(callframe9565);
// compiled member node returning call9566 (depth = 5)
  params[0] = *var_meths;
  params[1] = *var_types;
  partcv[0] = 2;
  Object call9567 = callmethodflags(call9566, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9564);
// compiled call node returning call9567 (depth = 4)
  *var_t = call9567;
  if (call9567 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3000
  setline(3000);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9568 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_t (depth = 4)
  gc_frame_newslot(*var_t);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_t;
  partcv[0] = 1;
  Object call9569 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9568);
// compiled call node returning call9569 (depth = 3)
    gc_frame_newslot(call9569);
    if9514 = call9569;
  } else {
  }
// compiled if node returning if9514 (depth = 2)
  gc_frame_end(frame);
  return if9514;
}
Object meth_parser__apply_40_1_41_9659(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var_t = &(stackframe->slots[0]);
  *var_t = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9661 == NULL) {
    strlit9661 = alloc_String("lbrace");
    gc_root(strlit9661);
  }
// compiled string node returning strlit9661 (depth = 8)
  int op_slot_right_9660 = gc_frame_newslot(strlit9661);
// starting to compile member node (depth = 8)
  int callframe9663 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_t (depth = 9)
  Object call9664 = callmethodflags(*var_t, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9663);
// compiled member node returning call9664 (depth = 8)
  int op_slot_left_9660 = gc_frame_newslot(call9664);
  params[0] = strlit9661;
  partcv[0] = 1;
  Object opresult9665 = callmethod(call9664, "==(1)", 1, partcv, params);
// compiled op node returning opresult9665 (depth = 7)
  gc_frame_end(frame);
  return opresult9665;
}
Object meth_parser__apply9671(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_nextTok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  int op_slot_right_9672 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_nextTok (depth = 8)
  int op_slot_left_9672 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult9674 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult9674 (depth = 7)
  gc_frame_end(frame);
  return opresult9674;
}
Object meth_parser_typedec9570(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 70, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "typedec");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  Object *var_lastToken = getfromclosure(closure, 2);
  Object *var_util = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_ast = getfromclosure(closure, 5);
  Object *var_noBlocks = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_line = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "line");
  Object *var_pos = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "pos");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nt = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nt");
  Object *var_anns = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "anns");
  Object *var_nextTok = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "nextTok");
// Begin line 3006
  setline(3006);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9572 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9573 == NULL) {
    strlit9573 = alloc_String("type");
    gc_root(strlit9573);
  }
// compiled string node returning strlit9573 (depth = 4)
  gc_frame_newslot(strlit9573);
// call case 4: self request
  params[0] = strlit9573;
  partcv[0] = 1;
  Object call9574 = callmethodflags(self, "acceptKeyword(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9572);
// compiled call node returning call9574 (depth = 3)
  Object if9571 = done;
  if (istrue(call9574)) {
// Begin line 3007
  setline(3007);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9575 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call9576 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9575);
// compiled member node returning call9576 (depth = 4)
  *var_line = call9576;
  if (call9576 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3008
  setline(3008);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9577 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call9578 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9577);
// compiled member node returning call9578 (depth = 4)
  *var_pos = call9578;
  if (call9578 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3009
  setline(3009);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9579 = gc_frame_new();
// call case 4: self request
  Object call9580 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9579);
// compiled member node returning call9580 (depth = 3)
// Begin line 3010
  setline(3010);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9583 == NULL) {
    strlit9583 = alloc_String("identifier");
    gc_root(strlit9583);
  }
// compiled string node returning strlit9583 (depth = 5)
  int op_slot_right_9582 = gc_frame_newslot(strlit9583);
// starting to compile member node (depth = 5)
  int callframe9585 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call9586 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9585);
// compiled member node returning call9586 (depth = 5)
  int op_slot_left_9582 = gc_frame_newslot(call9586);
  params[0] = strlit9583;
  partcv[0] = 1;
  Object opresult9587 = callmethod(call9586, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9587 (depth = 4)
  Object if9581 = done;
  if (istrue(opresult9587)) {
// Begin line 3011
  setline(3011);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9588 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9589 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call9590 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9589);
// compiled member node returning call9590 (depth = 6)
  Object call9591 = callmethodflags(call9590, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9588);
// compiled member node returning call9591 (depth = 5)
  *var_suggestion = call9591;
  if (call9591 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3012
  setline(3012);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9592 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9593 == NULL) {
    strlit9593 = alloc_String(" ""\xc2""""\xab""type name""\xc2""""\xbb""");
    gc_root(strlit9593);
  }
// compiled string node returning strlit9593 (depth = 5)
  gc_frame_newslot(strlit9593);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  params[0] = strlit9593;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9594 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9592);
// compiled call node returning call9594 (depth = 4)
// Begin line 3013
  setline(3013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9595 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9596 == NULL) {
    strlit9596 = alloc_String("a type declaration must have a name after the 'type'.");
    gc_root(strlit9596);
  }
// compiled string node returning strlit9596 (depth = 5)
  gc_frame_newslot(strlit9596);
// Begin line 3014
  setline(3014);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9597 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call9598 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9597);
// compiled member node returning call9598 (depth = 5)
  gc_frame_newslot(call9598);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9600 = alloc_Float64(1);
// compiled num node returning num9600 (depth = 6)
  int op_slot_right_9599 = gc_frame_newslot(num9600);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9603 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9604 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9603);
// compiled member node returning call9604 (depth = 7)
  int op_slot_right_9602 = gc_frame_newslot(call9604);
// starting to compile member node (depth = 7)
  int callframe9606 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9607 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9606);
// compiled member node returning call9607 (depth = 7)
  int op_slot_left_9602 = gc_frame_newslot(call9607);
  params[0] = call9604;
  partcv[0] = 1;
  Object sum9608 = callmethod(call9607, "+(1)", 1, partcv, params);
// compiled op node returning sum9608 (depth = 6)
  int op_slot_left_9599 = gc_frame_newslot(sum9608);
  params[0] = num9600;
  partcv[0] = 1;
  Object sum9609 = callmethod(sum9608, "+(1)", 1, partcv, params);
// compiled op node returning sum9609 (depth = 5)
  gc_frame_newslot(sum9609);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 3013
  setline(3013);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9596;
  params[1] = call9598;
  params[2] = sum9609;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9610 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9595);
// compiled call node returning call9610 (depth = 4)
    gc_frame_newslot(call9610);
    if9581 = call9610;
  } else {
  }
// compiled if node returning if9581 (depth = 3)
// Begin line 3016
  setline(3016);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9611 = gc_frame_new();
// call case 4: self request
  Object call9612 = callmethodflags(self, "pushidentifier", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9611);
// compiled member node returning call9612 (depth = 3)
// Begin line 3017
  setline(3017);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9613 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_line (depth = 4)
  gc_frame_newslot(*var_line);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_pos (depth = 4)
  gc_frame_newslot(*var_pos);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_util (depth = 4)
  params[0] = *var_line;
  params[1] = *var_pos;
  partcv[0] = 2;
  Object call9614 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9613);
// compiled call node returning call9614 (depth = 3)
// Begin line 3018
  setline(3018);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9615 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9616 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_values (depth = 6)
  Object call9617 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe9616);
// compiled member node returning call9617 (depth = 5)
  gc_frame_newslot(call9617);
// starting to compile identifier node (depth = 5)
  Object bool9618 = alloc_Boolean(0);
// compiled identifier node returning bool9618 (depth = 5)
  gc_frame_newslot(bool9618);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9619 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ast (depth = 6)
  Object call9620 = callmethodflags(*var_ast, "typeDecNode", 0, partcv, params, 0);
  gc_frame_end(callframe9619);
// compiled member node returning call9620 (depth = 5)
  params[0] = call9617;
  params[1] = bool9618;
  partcv[0] = 2;
  Object call9621 = callmethodflags(call9620, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9615);
// compiled call node returning call9621 (depth = 4)
  *var_nt = call9621;
  if (call9621 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3019
  setline(3019);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9623 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9624 == NULL) {
    strlit9624 = alloc_String("lgeneric");
    gc_root(strlit9624);
  }
// compiled string node returning strlit9624 (depth = 5)
  gc_frame_newslot(strlit9624);
// call case 4: self request
  params[0] = strlit9624;
  partcv[0] = 1;
  Object call9625 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9623);
// compiled call node returning call9625 (depth = 4)
  Object if9622 = done;
  if (istrue(call9625)) {
// starting to compile call node (depth = 4)
  int callframe9626 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe9627 = gc_frame_new();
// call case 4: self request
  Object call9628 = callmethodflags(self, "typeparameters", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9627);
// compiled member node returning call9628 (depth = 5)
  gc_frame_newslot(call9628);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nt (depth = 5)
  params[0] = call9628;
  partcv[0] = 1;
  Object call9629 = callmethodflags(*var_nt, "typeParams:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9626);
// compiled call node returning call9629 (depth = 4)
    gc_frame_newslot(call9629);
    if9622 = call9629;
  } else {
  }
// compiled if node returning if9622 (depth = 3)
// Begin line 3020
  setline(3020);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9630 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool9631 = alloc_Boolean(1);
// compiled identifier node returning bool9631 (depth = 4)
  gc_frame_newslot(bool9631);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe9632 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_nt (depth = 5)
  Object call9633 = callmethodflags(*var_nt, "name", 0, partcv, params, 0);
  gc_frame_end(callframe9632);
// compiled member node returning call9633 (depth = 4)
  params[0] = bool9631;
  partcv[0] = 1;
  Object call9634 = callmethodflags(call9633, "isBindingOccurrence:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9630);
// compiled call node returning call9634 (depth = 3)
// Begin line 3021
  setline(3021);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe9635 = gc_frame_new();
// call case 4: self request
  Object call9636 = callmethodflags(self, "doannotation", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9635);
// compiled member node returning call9636 (depth = 4)
  *var_anns = call9636;
  if (call9636 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3022
  setline(3022);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9640 == NULL) {
    strlit9640 = alloc_String("=");
    gc_root(strlit9640);
  }
// compiled string node returning strlit9640 (depth = 6)
  int op_slot_right_9639 = gc_frame_newslot(strlit9640);
// starting to compile member node (depth = 6)
  int callframe9642 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9643 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9642);
// compiled member node returning call9643 (depth = 6)
  int op_slot_left_9639 = gc_frame_newslot(call9643);
  params[0] = strlit9640;
  partcv[0] = 1;
  Object opresult9644 = callmethod(call9643, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9644 (depth = 5)
  int op_slot_right_9638 = gc_frame_newslot(opresult9644);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9647 == NULL) {
    strlit9647 = alloc_String("op");
    gc_root(strlit9647);
  }
// compiled string node returning strlit9647 (depth = 6)
  int op_slot_right_9646 = gc_frame_newslot(strlit9647);
// starting to compile member node (depth = 6)
  int callframe9649 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9650 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9649);
// compiled member node returning call9650 (depth = 6)
  int op_slot_left_9646 = gc_frame_newslot(call9650);
  params[0] = strlit9647;
  partcv[0] = 1;
  Object opresult9651 = callmethod(call9650, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9651 (depth = 5)
  int op_slot_left_9638 = gc_frame_newslot(opresult9651);
  params[0] = opresult9644;
  partcv[0] = 1;
  Object opresult9652 = callmethod(opresult9651, "||(1)", 1, partcv, params);
// compiled op node returning opresult9652 (depth = 4)
  Object if9637 = done;
  if (istrue(opresult9652)) {
// Begin line 3023
  setline(3023);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe9653 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe9654 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call9655 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9654);
// compiled member node returning call9655 (depth = 6)
  Object call9656 = callmethodflags(call9655, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9653);
// compiled member node returning call9656 (depth = 5)
  *var_suggestion = call9656;
  if (call9656 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 4)
// Begin line 3024
  setline(3024);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe9657 = gc_frame_new();
// starting to compile block node (depth = 6)
  Object block9658 = alloc_Block(NULL, NULL, "parser", 3024);
  gc_frame_newslot(block9658);
// method "_apply(_)"
  block_savedest(block9658);
  Object closure9659 = createclosure(1, "_apply(1)");
  setclosureframe(closure9659, stackframe);
  addtoclosure(closure9659, selfslot);
  struct UserObject *uo9659 = (struct UserObject*)block9658;
  uo9659->data[0] = (Object)closure9659;
  Method *meth_meth_parser__apply_40_1_41_9659 = addmethod2pos(block9658, "_apply(1)", &meth_parser__apply_40_1_41_9659, 0);
  int argcv_meth_parser__apply_40_1_41_9659[] = {1};
  meth_meth_parser__apply_40_1_41_9659->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_9659);
  meth_meth_parser__apply_40_1_41_9659->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_9659->definitionLine = 3404;
// compiled block node returning block9658 (depth = 6)
  gc_frame_newslot(block9658);
// call case 4: self request
  params[0] = block9658;
  partcv[0] = 1;
  Object call9667 = callmethodflags(self, "findNextToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9657);
// compiled call node returning call9667 (depth = 5)
  *var_nextTok = call9667;
  if (call9667 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3025
  setline(3025);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block9670 = alloc_Block(NULL, NULL, "parser", 3025);
  gc_frame_newslot(block9670);
// method "_apply"
  block_savedest(block9670);
  Object closure9671 = createclosure(3, "_apply");
  setclosureframe(closure9671, stackframe);
  addtoclosure(closure9671, var_sym);
  addtoclosure(closure9671, var_nextTok);
  addtoclosure(closure9671, selfslot);
  struct UserObject *uo9671 = (struct UserObject*)block9670;
  uo9671->data[0] = (Object)closure9671;
  Method *meth_meth_parser__apply9671 = addmethod2pos(block9670, "_apply", &meth_parser__apply9671, 0);
  int argcv_meth_parser__apply9671[] = {0};
  meth_meth_parser__apply9671->type = alloc_MethodType(1, argcv_meth_parser__apply9671);
  meth_meth_parser__apply9671->definitionModule = modulename;
  meth_meth_parser__apply9671->definitionLine = 3404;
// compiled block node returning block9670 (depth = 6)
  int op_slot_right_9669 = gc_frame_newslot(block9670);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  int op_slot_right_9677 = gc_frame_newslot(*var_nextTok);
// starting to compile identifier node (depth = 7)
  Object bool9679 = alloc_Boolean(0);
// compiled identifier node returning bool9679 (depth = 7)
  int op_slot_left_9677 = gc_frame_newslot(bool9679);
  params[0] = *var_nextTok;
  partcv[0] = 1;
  Object opresult9680 = callmethod(bool9679, "==(1)", 1, partcv, params);
// compiled op node returning opresult9680 (depth = 6)
  int op_slot_left_9669 = gc_frame_newslot(opresult9680);
  params[0] = block9670;
  partcv[0] = 1;
  Object opresult9681 = callmethod(opresult9680, "||(1)", 1, partcv, params);
// compiled op node returning opresult9681 (depth = 5)
  Object if9668 = done;
  if (istrue(opresult9681)) {
// Begin line 3026
  setline(3026);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9682 = gc_frame_new();
// starting to compile string node (depth = 6)
  if (strlit9683 == NULL) {
    strlit9683 = alloc_String(" =");
    gc_root(strlit9683);
  }
// compiled string node returning strlit9683 (depth = 6)
  gc_frame_newslot(strlit9683);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = strlit9683;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9684 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9682);
// compiled call node returning call9684 (depth = 5)
    gc_frame_newslot(call9684);
    if9668 = call9684;
  } else {
// Begin line 3028
  setline(3028);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe9685 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
  int callframe9686 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call9687 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe9686);
// compiled member node returning call9687 (depth = 6)
  gc_frame_newslot(call9687);
// starting to compile string node (depth = 6)
  if (strlit9688 == NULL) {
    strlit9688 = alloc_String("=");
    gc_root(strlit9688);
  }
// compiled string node returning strlit9688 (depth = 6)
  gc_frame_newslot(strlit9688);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call9687;
  params[2] = strlit9688;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call9689 = callmethodflags(*var_suggestion, "replaceTokenRange(2)with(1)", 2, partcv, params, 0);
  gc_frame_end(callframe9685);
// compiled call node returning call9689 (depth = 5)
    gc_frame_newslot(call9689);
    if9668 = call9689;
  }
// compiled if node returning if9668 (depth = 4)
// Begin line 3030
  setline(3030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9690 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9691 == NULL) {
    strlit9691 = alloc_String("a type declaration must have an '=' after the type name.");
    gc_root(strlit9691);
  }
// compiled string node returning strlit9691 (depth = 5)
  gc_frame_newslot(strlit9691);
// Begin line 3031
  setline(3031);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9692 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call9693 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9692);
// compiled member node returning call9693 (depth = 5)
  gc_frame_newslot(call9693);
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num9695 = alloc_Float64(1);
// compiled num node returning num9695 (depth = 6)
  int op_slot_right_9694 = gc_frame_newslot(num9695);
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe9698 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9699 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe9698);
// compiled member node returning call9699 (depth = 7)
  int op_slot_right_9697 = gc_frame_newslot(call9699);
// starting to compile member node (depth = 7)
  int callframe9701 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call9702 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9701);
// compiled member node returning call9702 (depth = 7)
  int op_slot_left_9697 = gc_frame_newslot(call9702);
  params[0] = call9699;
  partcv[0] = 1;
  Object sum9703 = callmethod(call9702, "+(1)", 1, partcv, params);
// compiled op node returning sum9703 (depth = 6)
  int op_slot_left_9694 = gc_frame_newslot(sum9703);
  params[0] = num9695;
  partcv[0] = 1;
  Object sum9704 = callmethod(sum9703, "+(1)", 1, partcv, params);
// compiled op node returning sum9704 (depth = 5)
  gc_frame_newslot(sum9704);
// Begin line 3032
  setline(3032);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestion (depth = 5)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 3030
  setline(3030);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit9691;
  params[1] = call9693;
  params[2] = sum9704;
  params[3] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9705 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9690);
// compiled call node returning call9705 (depth = 4)
    gc_frame_newslot(call9705);
    if9637 = call9705;
  } else {
  }
// compiled if node returning if9637 (depth = 3)
// Begin line 3034
  setline(3034);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9706 = gc_frame_new();
// call case 4: self request
  Object call9707 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9706);
// compiled member node returning call9707 (depth = 3)
// Begin line 3036
  setline(3036);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile call node (depth = 4)
  int callframe9709 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit9710 == NULL) {
    strlit9710 = alloc_String("lbrace");
    gc_root(strlit9710);
  }
// compiled string node returning strlit9710 (depth = 5)
  gc_frame_newslot(strlit9710);
// call case 4: self request
  params[0] = strlit9710;
  partcv[0] = 1;
  Object call9711 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9709);
// compiled call node returning call9711 (depth = 4)
  Object if9708 = done;
  if (istrue(call9711)) {
// Begin line 3037
  setline(3037);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9712 = gc_frame_new();
// call case 4: self request
  Object call9713 = callmethodflags(self, "dotypeLiteral", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9712);
// compiled member node returning call9713 (depth = 4)
    gc_frame_newslot(call9713);
    if9708 = call9713;
  } else {
// Begin line 3039
  setline(3039);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9714 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_noBlocks (depth = 5)
  gc_frame_newslot(*var_noBlocks);
// call case 4: self request
  params[0] = *var_noBlocks;
  partcv[0] = 1;
  Object call9715 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9714);
// compiled call node returning call9715 (depth = 4)
    gc_frame_newslot(call9715);
    if9708 = call9715;
  }
// compiled if node returning if9708 (depth = 3)
// Begin line 3041
  setline(3041);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9716 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe9717 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call9718 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe9717);
// compiled member node returning call9718 (depth = 4)
  gc_frame_newslot(call9718);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nt (depth = 4)
  params[0] = call9718;
  partcv[0] = 1;
  Object call9719 = callmethodflags(*var_nt, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9716);
// compiled call node returning call9719 (depth = 3)
// Begin line 3042
  setline(3042);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  int op_slot_right_9721 = gc_frame_newslot(*var_anns);
// starting to compile identifier node (depth = 5)
  Object bool9723 = alloc_Boolean(0);
// compiled identifier node returning bool9723 (depth = 5)
  int op_slot_left_9721 = gc_frame_newslot(bool9723);
  params[0] = *var_anns;
  partcv[0] = 1;
  Object opresult9724 = callmethod(bool9723, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9724 (depth = 4)
  Object if9720 = done;
  if (istrue(opresult9724)) {
// Begin line 3043
  setline(3043);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe9725 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_anns (depth = 5)
  gc_frame_newslot(*var_anns);
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe9726 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nt (depth = 6)
  Object call9727 = callmethodflags(*var_nt, "annotations", 0, partcv, params, 0);
  gc_frame_end(callframe9726);
// compiled member node returning call9727 (depth = 5)
  params[0] = *var_anns;
  partcv[0] = 1;
  Object call9728 = callmethodflags(call9727, "addAll(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9725);
// compiled call node returning call9728 (depth = 4)
    gc_frame_newslot(call9728);
    if9720 = call9728;
  } else {
  }
// compiled if node returning if9720 (depth = 3)
// Begin line 3045
  setline(3045);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe9729 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_nt (depth = 4)
  gc_frame_newslot(*var_nt);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  params[0] = *var_nt;
  partcv[0] = 1;
  Object call9730 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9729);
// compiled call node returning call9730 (depth = 3)
// Begin line 3046
  setline(3046);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe9731 = gc_frame_new();
// call case 4: self request
  Object call9732 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9731);
// compiled member node returning call9732 (depth = 3)
    gc_frame_newslot(call9732);
    if9571 = call9732;
  } else {
  }
// compiled if node returning if9571 (depth = 2)
  gc_frame_end(frame);
  return if9571;
}
Object meth_parser__apply_40_1_41_9812(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[3];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_suggestion = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___0 = &(stackframe->slots[0]);
  *var___0 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3064
  setline(3064);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 10)
  int callframe9813 = gc_frame_new();
// starting to compile string node (depth = 11)
  if (strlit9814 == NULL) {
    strlit9814 = alloc_String(" ");
    gc_root(strlit9814);
  }
// compiled string node returning strlit9814 (depth = 11)
  gc_frame_newslot(strlit9814);
// starting to compile num node (depth = 11)
  Object num9815 = alloc_Float64(1);
// compiled num node returning num9815 (depth = 11)
  gc_frame_newslot(num9815);
// starting to compile member node (depth = 11)
  int callframe9816 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call9817 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9816);
// compiled member node returning call9817 (depth = 11)
  gc_frame_newslot(call9817);
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_suggestion (depth = 11)
  params[0] = strlit9814;
  params[1] = num9815;
  params[2] = call9817;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call9818 = callmethodflags(*var_suggestion, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9813);
// compiled call node returning call9818 (depth = 10)
  gc_frame_end(frame);
  return call9818;
}
Object meth_parser__apply9830(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  Object *var_tok = getfromclosure(closure, 1);
  Object self = *(getfromclosure(closure, 2));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_minIndentLevel (depth = 12)
  int op_slot_right_9832 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile member node (depth = 12)
  int callframe9834 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  Object call9835 = callmethodflags(*var_tok, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe9834);
// compiled member node returning call9835 (depth = 12)
  int op_slot_left_9832 = gc_frame_newslot(call9835);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult9836 = callmethod(call9835, "≥(1)", 1, partcv, params);
// compiled op node returning opresult9836 (depth = 11)
  int op_slot_right_9831 = gc_frame_newslot(opresult9836);
// starting to compile op node (depth = 11)
// starting to compile op node (depth = 12)
// starting to compile num node (depth = 13)
  Object num9840 = alloc_Float64(1);
// compiled num node returning num9840 (depth = 13)
  int op_slot_right_9839 = gc_frame_newslot(num9840);
// starting to compile member node (depth = 13)
  int callframe9842 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_tok (depth = 14)
  Object call9843 = callmethodflags(*var_tok, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe9842);
// compiled member node returning call9843 (depth = 13)
  int op_slot_left_9839 = gc_frame_newslot(call9843);
  params[0] = num9840;
  partcv[0] = 1;
  Object sum9844 = callmethod(call9843, "+(1)", 1, partcv, params);
// compiled op node returning sum9844 (depth = 12)
  int op_slot_right_9838 = gc_frame_newslot(sum9844);
// starting to compile member node (depth = 12)
  int callframe9846 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_tok (depth = 13)
  Object call9847 = callmethodflags(*var_tok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9846);
// compiled member node returning call9847 (depth = 12)
  int op_slot_left_9838 = gc_frame_newslot(call9847);
  params[0] = sum9844;
  partcv[0] = 1;
  Object opresult9848 = callmethod(call9847, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9848 (depth = 11)
  int op_slot_left_9831 = gc_frame_newslot(opresult9848);
  params[0] = opresult9836;
  partcv[0] = 1;
  Object opresult9849 = callmethod(opresult9848, "||(1)", 1, partcv, params);
// compiled op node returning opresult9849 (depth = 10)
  gc_frame_end(frame);
  return opresult9849;
}
Object meth_parser__apply9852(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tok = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 10)
// Begin line 3071
  setline(3071);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
  int callframe9853 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_tok (depth = 12)
  Object call9854 = callmethodflags(*var_tok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe9853);
// compiled member node returning call9854 (depth = 11)
  *var_tok = call9854;
  if (call9854 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_parser__apply_40_1_41_9867(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method _apply(_)");
  Object params[1];
  int partcv[1];
  Object *var_line = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *var___1 = &(stackframe->slots[0]);
  *var___1 = args[curarg];
  curarg++;
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3075
  setline(3075);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit9869 == NULL) {
    strlit9869 = alloc_String(" ");
    gc_root(strlit9869);
  }
// compiled string node returning strlit9869 (depth = 12)
  int op_slot_right_9868 = gc_frame_newslot(strlit9869);
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_line (depth = 12)
  int op_slot_left_9868 = gc_frame_newslot(*var_line);
  params[0] = strlit9869;
  partcv[0] = 1;
  Object opresult9871 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult9871 (depth = 11)
  *var_line = opresult9871;
  if (opresult9871 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 10)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_checkIndent9733(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 71, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(11, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[3];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_minIndentLevel = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_lastIndent = getfromclosure(closure, 5);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestions = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestions");
  Object *var_suggestion = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestion");
  Object *var_tok = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "tok");
  Object *var_line = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "line");
  Object *var_m1 = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "m1");
  Object *var_m2 = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "m2");
  Object *var_m3 = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "m3");
  Object *var_m4 = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "m4");
  Object *var_m5 = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "m5");
  Object *var_msg = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "msg");
// Begin line 3051
  setline(3051);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indentFreePass (depth = 3)
  Object if9734 = done;
  if (istrue(*var_indentFreePass)) {
// Begin line 3052
  setline(3052);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool9735 = alloc_Boolean(0);
// compiled identifier node returning bool9735 (depth = 4)
  *var_indentFreePass = bool9735;
  if (bool9735 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
    gc_frame_newslot(done);
    if9734 = done;
  } else {
// Begin line 3055
  setline(3055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3053
  setline(3053);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9739 == NULL) {
    strlit9739 = alloc_String("semicolon");
    gc_root(strlit9739);
  }
// compiled string node returning strlit9739 (depth = 5)
  int op_slot_right_9738 = gc_frame_newslot(strlit9739);
// starting to compile member node (depth = 5)
  int callframe9741 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call9742 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9741);
// compiled member node returning call9742 (depth = 5)
  int op_slot_left_9738 = gc_frame_newslot(call9742);
  params[0] = strlit9739;
  partcv[0] = 1;
  Object opresult9743 = callmethod(call9742, "==(1)", 1, partcv, params);
// compiled op node returning opresult9743 (depth = 4)
  Object if9737 = done;
  if (istrue(opresult9743)) {
    gc_frame_newslot(done);
    if9737 = done;
  } else {
// Begin line 3058
  setline(3058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3055
  setline(3055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// Begin line 3056
  setline(3056);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9747 == NULL) {
    strlit9747 = alloc_String("rsquare");
    gc_root(strlit9747);
  }
// compiled string node returning strlit9747 (depth = 7)
  int op_slot_right_9746 = gc_frame_newslot(strlit9747);
// starting to compile member node (depth = 7)
  int callframe9749 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9750 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9749);
// compiled member node returning call9750 (depth = 7)
  int op_slot_left_9746 = gc_frame_newslot(call9750);
  params[0] = strlit9747;
  partcv[0] = 1;
  Object opresult9751 = callmethod(call9750, "==(1)", 1, partcv, params);
// compiled op node returning opresult9751 (depth = 6)
  int op_slot_right_9745 = gc_frame_newslot(opresult9751);
// Begin line 3055
  setline(3055);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9755 == NULL) {
    strlit9755 = alloc_String("rparen");
    gc_root(strlit9755);
  }
// compiled string node returning strlit9755 (depth = 8)
  int op_slot_right_9754 = gc_frame_newslot(strlit9755);
// starting to compile member node (depth = 8)
  int callframe9757 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call9758 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9757);
// compiled member node returning call9758 (depth = 8)
  int op_slot_left_9754 = gc_frame_newslot(call9758);
  params[0] = strlit9755;
  partcv[0] = 1;
  Object opresult9759 = callmethod(call9758, "==(1)", 1, partcv, params);
// compiled op node returning opresult9759 (depth = 7)
  int op_slot_right_9753 = gc_frame_newslot(opresult9759);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9762 == NULL) {
    strlit9762 = alloc_String("rbrace");
    gc_root(strlit9762);
  }
// compiled string node returning strlit9762 (depth = 8)
  int op_slot_right_9761 = gc_frame_newslot(strlit9762);
// starting to compile member node (depth = 8)
  int callframe9764 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call9765 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9764);
// compiled member node returning call9765 (depth = 8)
  int op_slot_left_9761 = gc_frame_newslot(call9765);
  params[0] = strlit9762;
  partcv[0] = 1;
  Object opresult9766 = callmethod(call9765, "==(1)", 1, partcv, params);
// compiled op node returning opresult9766 (depth = 7)
  int op_slot_left_9753 = gc_frame_newslot(opresult9766);
  params[0] = opresult9759;
  partcv[0] = 1;
  Object opresult9767 = callmethod(opresult9766, "||(1)", 1, partcv, params);
// compiled op node returning opresult9767 (depth = 6)
  int op_slot_left_9745 = gc_frame_newslot(opresult9767);
  params[0] = opresult9751;
  partcv[0] = 1;
  Object opresult9768 = callmethod(opresult9767, "||(1)", 1, partcv, params);
// compiled op node returning opresult9768 (depth = 5)
  Object if9744 = done;
  if (istrue(opresult9768)) {
    gc_frame_newslot(done);
    if9744 = done;
  } else {
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3058
  setline(3058);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9771 == NULL) {
    strlit9771 = alloc_String("eof");
    gc_root(strlit9771);
  }
// compiled string node returning strlit9771 (depth = 7)
  int op_slot_right_9770 = gc_frame_newslot(strlit9771);
// starting to compile member node (depth = 7)
  int callframe9773 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9774 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe9773);
// compiled member node returning call9774 (depth = 7)
  int op_slot_left_9770 = gc_frame_newslot(call9774);
  params[0] = strlit9771;
  partcv[0] = 1;
  Object opresult9775 = callmethod(call9774, "==(1)", 1, partcv, params);
// compiled op node returning opresult9775 (depth = 6)
  Object if9769 = done;
  if (istrue(opresult9775)) {
    gc_frame_newslot(done);
    if9769 = done;
  } else {
// Begin line 3084
  setline(3084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3059
  setline(3059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_minIndentLevel (depth = 8)
  int op_slot_right_9777 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile member node (depth = 8)
  int callframe9779 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call9780 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe9779);
// compiled member node returning call9780 (depth = 8)
  int op_slot_left_9777 = gc_frame_newslot(call9780);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult9781 = callmethod(call9780, "<(1)", 1, partcv, params);
// compiled op node returning opresult9781 (depth = 7)
  Object if9776 = done;
  if (istrue(opresult9781)) {
// Begin line 3060
  setline(3060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_minIndentLevel (depth = 9)
  int op_slot_right_9783 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num9786 = alloc_Float64(1);
// compiled num node returning num9786 (depth = 10)
  int op_slot_right_9785 = gc_frame_newslot(num9786);
// starting to compile member node (depth = 10)
  int callframe9788 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call9789 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9788);
// compiled member node returning call9789 (depth = 10)
  int op_slot_left_9785 = gc_frame_newslot(call9789);
  params[0] = num9786;
  partcv[0] = 1;
  Object diff9790 = callmethod(call9789, "-(1)", 1, partcv, params);
// compiled op node returning diff9790 (depth = 9)
  int op_slot_left_9783 = gc_frame_newslot(diff9790);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult9791 = callmethod(diff9790, "≠(1)", 1, partcv, params);
// compiled op node returning opresult9791 (depth = 8)
  Object if9782 = done;
  if (istrue(opresult9791)) {
// Begin line 3061
  setline(3061);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 8)
// starting to compile array node (depth = 9)
  Object array9792 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array9792 (depth = 9)
  *var_suggestions = array9792;
  if (array9792 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 8)
// Begin line 3062
  setline(3062);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe9793 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe9794 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call9795 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9794);
// compiled member node returning call9795 (depth = 10)
  Object call9796 = callmethodflags(call9795, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9793);
// compiled member node returning call9796 (depth = 9)
  *var_suggestion = call9796;
  if (call9796 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 3063
  setline(3063);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9797 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile op node (depth = 11)
// starting to compile num node (depth = 12)
  Object num9801 = alloc_Float64(1);
// compiled num node returning num9801 (depth = 12)
  int op_slot_right_9800 = gc_frame_newslot(num9801);
// starting to compile member node (depth = 12)
  int callframe9803 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  Object call9804 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9803);
// compiled member node returning call9804 (depth = 12)
  int op_slot_left_9800 = gc_frame_newslot(call9804);
  params[0] = num9801;
  partcv[0] = 1;
  Object diff9805 = callmethod(call9804, "-(1)", 1, partcv, params);
// compiled op node returning diff9805 (depth = 11)
  int op_slot_right_9799 = gc_frame_newslot(diff9805);
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_minIndentLevel (depth = 11)
  int op_slot_left_9799 = gc_frame_newslot(*var_minIndentLevel);
  params[0] = diff9805;
  partcv[0] = 1;
  Object diff9807 = callmethod(*var_minIndentLevel, "-(1)", 1, partcv, params);
// compiled op node returning diff9807 (depth = 10)
  int op_slot_right_9798 = gc_frame_newslot(diff9807);
// starting to compile num node (depth = 10)
  Object num9809 = alloc_Float64(1);
// compiled num node returning num9809 (depth = 10)
  int op_slot_left_9798 = gc_frame_newslot(num9809);
  params[0] = diff9807;
  partcv[0] = 1;
  Object opresult9810 = callmethod(num9809, "..(1)", 1, partcv, params);
// compiled op node returning opresult9810 (depth = 9)
  gc_frame_newslot(opresult9810);
// starting to compile block node (depth = 9)
  Object block9811 = alloc_Block(NULL, NULL, "parser", 3063);
  gc_frame_newslot(block9811);
// method "_apply(_)"
  block_savedest(block9811);
  Object closure9812 = createclosure(3, "_apply(1)");
  setclosureframe(closure9812, stackframe);
  addtoclosure(closure9812, var_sym);
  addtoclosure(closure9812, var_suggestion);
  addtoclosure(closure9812, selfslot);
  struct UserObject *uo9812 = (struct UserObject*)block9811;
  uo9812->data[0] = (Object)closure9812;
  Method *meth_meth_parser__apply_40_1_41_9812 = addmethod2pos(block9811, "_apply(1)", &meth_parser__apply_40_1_41_9812, 0);
  int argcv_meth_parser__apply_40_1_41_9812[] = {1};
  meth_meth_parser__apply_40_1_41_9812->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_9812);
  meth_meth_parser__apply_40_1_41_9812->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_9812->definitionLine = 3404;
// compiled block node returning block9811 (depth = 9)
  gc_frame_newslot(block9811);
// call case 5: prelude request
  params[0] = opresult9810;
  params[1] = block9811;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9820 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9797);
// compiled call node returning call9820 (depth = 8)
// Begin line 3066
  setline(3066);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9821 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9822 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9821);
// compiled call node returning call9822 (depth = 8)
// Begin line 3067
  setline(3067);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe9823 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe9824 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_errormessages (depth = 11)
  Object call9825 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe9824);
// compiled member node returning call9825 (depth = 10)
  Object call9826 = callmethodflags(call9825, "new", 0, partcv, params, 0);
  gc_frame_end(callframe9823);
// compiled member node returning call9826 (depth = 9)
  *var_suggestion = call9826;
  if (call9826 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 3069
  setline(3069);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  *var_tok = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 3070
  setline(3070);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9828 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block9829 = alloc_Block(NULL, NULL, "parser", 3070);
  gc_frame_newslot(block9829);
// method "_apply"
  block_savedest(block9829);
  Object closure9830 = createclosure(3, "_apply");
  setclosureframe(closure9830, stackframe);
  addtoclosure(closure9830, var_minIndentLevel);
  addtoclosure(closure9830, var_tok);
  addtoclosure(closure9830, selfslot);
  struct UserObject *uo9830 = (struct UserObject*)block9829;
  uo9830->data[0] = (Object)closure9830;
  Method *meth_meth_parser__apply9830 = addmethod2pos(block9829, "_apply", &meth_parser__apply9830, 0);
  int argcv_meth_parser__apply9830[] = {0};
  meth_meth_parser__apply9830->type = alloc_MethodType(1, argcv_meth_parser__apply9830);
  meth_meth_parser__apply9830->definitionModule = modulename;
  meth_meth_parser__apply9830->definitionLine = 3404;
// compiled block node returning block9829 (depth = 9)
  gc_frame_newslot(block9829);
// starting to compile block node (depth = 9)
  Object block9851 = alloc_Block(NULL, NULL, "parser", 3070);
  gc_frame_newslot(block9851);
// method "_apply"
  block_savedest(block9851);
  Object closure9852 = createclosure(2, "_apply");
  setclosureframe(closure9852, stackframe);
  addtoclosure(closure9852, var_tok);
  addtoclosure(closure9852, selfslot);
  struct UserObject *uo9852 = (struct UserObject*)block9851;
  uo9852->data[0] = (Object)closure9852;
  Method *meth_meth_parser__apply9852 = addmethod2pos(block9851, "_apply", &meth_parser__apply9852, 0);
  int argcv_meth_parser__apply9852[] = {0};
  meth_meth_parser__apply9852->type = alloc_MethodType(1, argcv_meth_parser__apply9852);
  meth_meth_parser__apply9852->definitionModule = modulename;
  meth_meth_parser__apply9852->definitionLine = 3404;
// compiled block node returning block9851 (depth = 9)
  gc_frame_newslot(block9851);
// call case 5: prelude request
  params[0] = block9829;
  params[1] = block9851;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9857 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9828);
// compiled call node returning call9857 (depth = 8)
// Begin line 3073
  setline(3073);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit9858 == NULL) {
    strlit9858 = alloc_String("");
    gc_root(strlit9858);
  }
// compiled string node returning strlit9858 (depth = 9)
  *var_line = strlit9858;
  if (strlit9858 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 8)
// Begin line 3074
  setline(3074);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9859 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe9861 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_tok (depth = 11)
  Object call9862 = callmethodflags(*var_tok, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe9861);
// compiled member node returning call9862 (depth = 10)
  int op_slot_right_9860 = gc_frame_newslot(call9862);
// starting to compile num node (depth = 10)
  Object num9864 = alloc_Float64(1);
// compiled num node returning num9864 (depth = 10)
  int op_slot_left_9860 = gc_frame_newslot(num9864);
  params[0] = call9862;
  partcv[0] = 1;
  Object opresult9865 = callmethod(num9864, "..(1)", 1, partcv, params);
// compiled op node returning opresult9865 (depth = 9)
  gc_frame_newslot(opresult9865);
// starting to compile block node (depth = 9)
  Object block9866 = alloc_Block(NULL, NULL, "parser", 3074);
  gc_frame_newslot(block9866);
// method "_apply(_)"
  block_savedest(block9866);
  Object closure9867 = createclosure(2, "_apply(1)");
  setclosureframe(closure9867, stackframe);
  addtoclosure(closure9867, var_line);
  addtoclosure(closure9867, selfslot);
  struct UserObject *uo9867 = (struct UserObject*)block9866;
  uo9867->data[0] = (Object)closure9867;
  Method *meth_meth_parser__apply_40_1_41_9867 = addmethod2pos(block9866, "_apply(1)", &meth_parser__apply_40_1_41_9867, 0);
  int argcv_meth_parser__apply_40_1_41_9867[] = {1};
  meth_meth_parser__apply_40_1_41_9867->type = alloc_MethodType(1, argcv_meth_parser__apply_40_1_41_9867);
  meth_meth_parser__apply_40_1_41_9867->definitionModule = modulename;
  meth_meth_parser__apply_40_1_41_9867->definitionLine = 3404;
// compiled block node returning block9866 (depth = 9)
  gc_frame_newslot(block9866);
// call case 5: prelude request
  params[0] = opresult9865;
  params[1] = block9866;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call9874 = callmethodflags(prelude, "for(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9859);
// compiled call node returning call9874 (depth = 8)
// Begin line 3077
  setline(3077);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9876 == NULL) {
    strlit9876 = alloc_String("}");
    gc_root(strlit9876);
  }
// compiled string node returning strlit9876 (depth = 10)
  int op_slot_right_9875 = gc_frame_newslot(strlit9876);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_line (depth = 10)
  int op_slot_left_9875 = gc_frame_newslot(*var_line);
  params[0] = strlit9876;
  partcv[0] = 1;
  Object opresult9878 = callmethod(*var_line, "++(1)", 1, partcv, params);
// compiled op node returning opresult9878 (depth = 9)
  *var_line = opresult9878;
  if (opresult9878 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
// Begin line 3078
  setline(3078);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9880 = gc_frame_new();
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num9882 = alloc_Float64(0.9);
// compiled num node returning num9882 (depth = 10)
  int op_slot_right_9881 = gc_frame_newslot(num9882);
// starting to compile member node (depth = 10)
  int callframe9884 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call9885 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9884);
// compiled member node returning call9885 (depth = 10)
  int op_slot_left_9881 = gc_frame_newslot(call9885);
  params[0] = num9882;
  partcv[0] = 1;
  Object diff9886 = callmethod(call9885, "-(1)", 1, partcv, params);
// compiled op node returning diff9886 (depth = 9)
  gc_frame_newslot(diff9886);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_line (depth = 9)
  gc_frame_newslot(*var_line);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = diff9886;
  params[1] = *var_line;
  partcv[0] = 2;
  Object call9887 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe9880);
// compiled call node returning call9887 (depth = 8)
// Begin line 3079
  setline(3079);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9888 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call9889 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe9888);
// compiled call node returning call9889 (depth = 8)
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe9890 = gc_frame_new();
// starting to compile op node (depth = 9)
// Begin line 3081
  setline(3081);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit9893 == NULL) {
    strlit9893 = alloc_String(". This is often caused by a missing '}'.");
    gc_root(strlit9893);
  }
// compiled string node returning strlit9893 (depth = 11)
  int op_slot_right_9892 = gc_frame_newslot(strlit9893);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_minIndentLevel (depth = 12)
  int op_slot_right_9895 = gc_frame_newslot(*var_minIndentLevel);
// starting to compile string node (depth = 12)
  if (strlit9897 == NULL) {
    strlit9897 = alloc_String("at least ");
    gc_root(strlit9897);
  }
// compiled string node returning strlit9897 (depth = 12)
  int op_slot_left_9895 = gc_frame_newslot(strlit9897);
  params[0] = *var_minIndentLevel;
  partcv[0] = 1;
  Object opresult9898 = callmethod(strlit9897, "++(1)", 1, partcv, params);
// compiled op node returning opresult9898 (depth = 11)
  int op_slot_left_9892 = gc_frame_newslot(opresult9898);
  params[0] = strlit9893;
  partcv[0] = 1;
  Object opresult9899 = callmethod(opresult9898, "++(1)", 1, partcv, params);
// compiled op node returning opresult9899 (depth = 10)
  int op_slot_right_9891 = gc_frame_newslot(opresult9899);
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit9901 == NULL) {
    strlit9901 = alloc_String("the indentation for this line must be ");
    gc_root(strlit9901);
  }
// compiled string node returning strlit9901 (depth = 10)
  int op_slot_left_9891 = gc_frame_newslot(strlit9901);
  params[0] = opresult9899;
  partcv[0] = 1;
  Object opresult9902 = callmethod(strlit9901, "++(1)", 1, partcv, params);
// compiled op node returning opresult9902 (depth = 9)
  gc_frame_newslot(opresult9902);
// Begin line 3082
  setline(3082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe9903 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call9904 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9903);
// compiled member node returning call9904 (depth = 9)
  gc_frame_newslot(call9904);
// starting to compile member node (depth = 9)
  int callframe9905 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call9906 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9905);
// compiled member node returning call9906 (depth = 9)
  gc_frame_newslot(call9906);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestions (depth = 9)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 3080
  setline(3080);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = opresult9902;
  params[1] = call9904;
  params[2] = call9906;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call9907 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe9890);
// compiled call node returning call9907 (depth = 8)
    gc_frame_newslot(call9907);
    if9782 = call9907;
  } else {
  }
// compiled if node returning if9782 (depth = 7)
    gc_frame_newslot(if9782);
    if9776 = if9782;
  } else {
// Begin line 3086
  setline(3086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3084
  setline(3084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num9911 = alloc_Float64(1);
// compiled num node returning num9911 (depth = 10)
  int op_slot_right_9910 = gc_frame_newslot(num9911);
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_minIndentLevel (depth = 10)
  int op_slot_left_9910 = gc_frame_newslot(*var_minIndentLevel);
  params[0] = num9911;
  partcv[0] = 1;
  Object sum9913 = callmethod(*var_minIndentLevel, "+(1)", 1, partcv, params);
// compiled op node returning sum9913 (depth = 9)
  int op_slot_right_9909 = gc_frame_newslot(sum9913);
// starting to compile member node (depth = 9)
  int callframe9915 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call9916 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe9915);
// compiled member node returning call9916 (depth = 9)
  int op_slot_left_9909 = gc_frame_newslot(call9916);
  params[0] = sum9913;
  partcv[0] = 1;
  Object opresult9917 = callmethod(call9916, ">(1)", 1, partcv, params);
// compiled op node returning opresult9917 (depth = 8)
  Object if9908 = done;
  if (istrue(opresult9917)) {
// Begin line 3085
  setline(3085);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe9918 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call9919 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe9918);
// compiled member node returning call9919 (depth = 9)
  *var_minIndentLevel = call9919;
  if (call9919 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 8)
    gc_frame_newslot(done);
    if9908 = done;
  } else {
// Begin line 3095
  setline(3095);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 3086
  setline(3086);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num9923 = alloc_Float64(1);
// compiled num node returning num9923 (depth = 10)
  int op_slot_right_9922 = gc_frame_newslot(num9923);
// starting to compile member node (depth = 10)
  int callframe9925 = gc_frame_new();
// call case 6: other requests
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_lastIndent (depth = 12)
  int op_slot_right_9926 = gc_frame_newslot(*var_lastIndent);
// starting to compile member node (depth = 12)
  int callframe9928 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  Object call9929 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe9928);
// compiled member node returning call9929 (depth = 12)
  int op_slot_left_9926 = gc_frame_newslot(call9929);
  params[0] = *var_lastIndent;
  partcv[0] = 1;
  Object diff9930 = callmethod(call9929, "-(1)", 1, partcv, params);
// compiled op node returning diff9930 (depth = 11)
  Object call9931 = callmethodflags(diff9930, "abs", 0, partcv, params, 0);
  gc_frame_end(callframe9925);
// compiled member node returning call9931 (depth = 10)
  int op_slot_left_9922 = gc_frame_newslot(call9931);
  params[0] = num9923;
  partcv[0] = 1;
  Object opresult9932 = callmethod(call9931, "==(1)", 1, partcv, params);
// compiled op node returning opresult9932 (depth = 9)
  Object if9921 = done;
  if (istrue(opresult9932)) {
// Begin line 3087
  setline(3087);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9933 == NULL) {
    strlit9933 = alloc_String("the indentation for this line can't differ ");
    gc_root(strlit9933);
  }
// compiled string node returning strlit9933 (depth = 10)
  *var_m1 = strlit9933;
  if (strlit9933 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 3088
  setline(3088);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9934 == NULL) {
    strlit9934 = alloc_String("from that of the previous line by 1.""\x0a""  To start a block, or ");
    gc_root(strlit9934);
  }
// compiled string node returning strlit9934 (depth = 10)
  *var_m2 = strlit9934;
  if (strlit9934 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 3089
  setline(3089);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9935 == NULL) {
    strlit9935 = alloc_String("to signal a continuation line, increase the indent by 2 or more. ");
    gc_root(strlit9935);
  }
// compiled string node returning strlit9935 (depth = 10)
  *var_m3 = strlit9935;
  if (strlit9935 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 3090
  setline(3090);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9936 == NULL) {
    strlit9936 = alloc_String("To end a block, or end the continuation, decrease the indent ");
    gc_root(strlit9936);
  }
// compiled string node returning strlit9936 (depth = 10)
  *var_m4 = strlit9936;
  if (strlit9936 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 3091
  setline(3091);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit9937 == NULL) {
    strlit9937 = alloc_String("to the prior level. Otherwise, use the same indent as the previous line.");
    gc_root(strlit9937);
  }
// compiled string node returning strlit9937 (depth = 10)
  *var_m5 = strlit9937;
  if (strlit9937 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 3092
  setline(3092);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 9)
// starting to compile op node (depth = 10)
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_m5 (depth = 11)
  int op_slot_right_9938 = gc_frame_newslot(*var_m5);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_m4 (depth = 12)
  int op_slot_right_9940 = gc_frame_newslot(*var_m4);
// starting to compile op node (depth = 12)
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_m3 (depth = 13)
  int op_slot_right_9942 = gc_frame_newslot(*var_m3);
// starting to compile op node (depth = 13)
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_m2 (depth = 14)
  int op_slot_right_9944 = gc_frame_newslot(*var_m2);
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_m1 (depth = 14)
  int op_slot_left_9944 = gc_frame_newslot(*var_m1);
  params[0] = *var_m2;
  partcv[0] = 1;
  Object opresult9946 = callmethod(*var_m1, "++(1)", 1, partcv, params);
// compiled op node returning opresult9946 (depth = 13)
  int op_slot_left_9942 = gc_frame_newslot(opresult9946);
  params[0] = *var_m3;
  partcv[0] = 1;
  Object opresult9947 = callmethod(opresult9946, "++(1)", 1, partcv, params);
// compiled op node returning opresult9947 (depth = 12)
  int op_slot_left_9940 = gc_frame_newslot(opresult9947);
  params[0] = *var_m4;
  partcv[0] = 1;
  Object opresult9948 = callmethod(opresult9947, "++(1)", 1, partcv, params);
// compiled op node returning opresult9948 (depth = 11)
  int op_slot_left_9938 = gc_frame_newslot(opresult9948);
  params[0] = *var_m5;
  partcv[0] = 1;
  Object opresult9949 = callmethod(opresult9948, "++(1)", 1, partcv, params);
// compiled op node returning opresult9949 (depth = 10)
  *var_msg = opresult9949;
  if (opresult9949 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 9)
// Begin line 3093
  setline(3093);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 9)
  int callframe9950 = gc_frame_new();
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_msg (depth = 10)
  gc_frame_newslot(*var_msg);
// starting to compile member node (depth = 10)
  int callframe9951 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call9952 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe9951);
// compiled member node returning call9952 (depth = 10)
  gc_frame_newslot(call9952);
// starting to compile member node (depth = 10)
  int callframe9953 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call9954 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe9953);
// compiled member node returning call9954 (depth = 10)
  gc_frame_newslot(call9954);
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  params[0] = *var_msg;
  params[1] = call9952;
  params[2] = call9954;
  partcv[0] = 1;
  partcv[1] = 2;
  Object call9955 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)", 2, partcv, params, 0);
  gc_frame_end(callframe9950);
// compiled call node returning call9955 (depth = 9)
    gc_frame_newslot(call9955);
    if9921 = call9955;
  } else {
  }
// compiled if node returning if9921 (depth = 8)
    gc_frame_newslot(if9921);
    if9908 = if9921;
  }
// compiled if node returning if9908 (depth = 7)
    gc_frame_newslot(if9908);
    if9776 = if9908;
  }
// compiled if node returning if9776 (depth = 6)
    gc_frame_newslot(if9776);
    if9769 = if9776;
  }
// compiled if node returning if9769 (depth = 5)
    gc_frame_newslot(if9769);
    if9744 = if9769;
  }
// compiled if node returning if9744 (depth = 4)
    gc_frame_newslot(if9744);
    if9737 = if9744;
  }
// compiled if node returning if9737 (depth = 3)
    gc_frame_newslot(if9737);
    if9734 = if9737;
  }
// compiled if node returning if9734 (depth = 2)
  gc_frame_end(frame);
  return if9734;
}
Object meth_parser__apply10052(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 5)
  int callframe10053 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_blocksOK (depth = 6)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call10054 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10053);
// compiled call node returning call10054 (depth = 5)
  gc_frame_end(frame);
  return call10054;
}
Object meth_parser__apply10133(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile call node (depth = 10)
  int callframe10134 = gc_frame_new();
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_blocksOK (depth = 11)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call10135 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10134);
// compiled call node returning call10135 (depth = 10)
  gc_frame_end(frame);
  return call10135;
}
Object meth_parser__apply10057(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(7, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_blocksOK = getfromclosure(closure, 2);
  Object *var_errormessages = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_btok = getfromclosure(closure, 5);
  Object *var_util = getfromclosure(closure, 6);
  Object *var_ast = getfromclosure(closure, 7);
  Object self = *(getfromclosure(closure, 8));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_dest = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "dest");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_suggestion = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "suggestion");
  Object *var_nextTok = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "nextTok");
  Object *var_val = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "val");
  Object *var_o = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "o");
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// Begin line 3135
  setline(3135);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10060 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit10061 == NULL) {
    strlit10061 = alloc_String("bind");
    gc_root(strlit10061);
  }
// compiled string node returning strlit10061 (depth = 8)
  gc_frame_newslot(strlit10061);
// call case 4: self request
  params[0] = strlit10061;
  partcv[0] = 1;
  Object call10062 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10060);
// compiled call node returning call10062 (depth = 7)
  int op_slot_right_10059 = gc_frame_newslot(call10062);
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// Begin line 3134
  setline(3134);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10066 == NULL) {
    strlit10066 = alloc_String("index");
    gc_root(strlit10066);
  }
// compiled string node returning strlit10066 (depth = 9)
  int op_slot_right_10065 = gc_frame_newslot(strlit10066);
// starting to compile member node (depth = 9)
  int callframe10068 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 10)
  int callframe10069 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_values (depth = 11)
  Object call10070 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10069);
// compiled member node returning call10070 (depth = 10)
  Object call10071 = callmethodflags(call10070, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10068);
// compiled member node returning call10071 (depth = 9)
  int op_slot_left_10065 = gc_frame_newslot(call10071);
  params[0] = strlit10066;
  partcv[0] = 1;
  Object opresult10072 = callmethod(call10071, "==(1)", 1, partcv, params);
// compiled op node returning opresult10072 (depth = 8)
  int op_slot_right_10064 = gc_frame_newslot(opresult10072);
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// Begin line 3133
  setline(3133);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit10076 == NULL) {
    strlit10076 = alloc_String("member");
    gc_root(strlit10076);
  }
// compiled string node returning strlit10076 (depth = 10)
  int op_slot_right_10075 = gc_frame_newslot(strlit10076);
// starting to compile member node (depth = 10)
  int callframe10078 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe10079 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_values (depth = 12)
  Object call10080 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10079);
// compiled member node returning call10080 (depth = 11)
  Object call10081 = callmethodflags(call10080, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10078);
// compiled member node returning call10081 (depth = 10)
  int op_slot_left_10075 = gc_frame_newslot(call10081);
  params[0] = strlit10076;
  partcv[0] = 1;
  Object opresult10082 = callmethod(call10081, "==(1)", 1, partcv, params);
// compiled op node returning opresult10082 (depth = 9)
  int op_slot_right_10074 = gc_frame_newslot(opresult10082);
// Begin line 3132
  setline(3132);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit10085 == NULL) {
    strlit10085 = alloc_String("identifier");
    gc_root(strlit10085);
  }
// compiled string node returning strlit10085 (depth = 10)
  int op_slot_right_10084 = gc_frame_newslot(strlit10085);
// starting to compile member node (depth = 10)
  int callframe10087 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe10088 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_values (depth = 12)
  Object call10089 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10088);
// compiled member node returning call10089 (depth = 11)
  Object call10090 = callmethodflags(call10089, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10087);
// compiled member node returning call10090 (depth = 10)
  int op_slot_left_10084 = gc_frame_newslot(call10090);
  params[0] = strlit10085;
  partcv[0] = 1;
  Object opresult10091 = callmethod(call10090, "==(1)", 1, partcv, params);
// compiled op node returning opresult10091 (depth = 9)
  int op_slot_left_10074 = gc_frame_newslot(opresult10091);
  params[0] = opresult10082;
  partcv[0] = 1;
  Object opresult10092 = callmethod(opresult10091, "||(1)", 1, partcv, params);
// compiled op node returning opresult10092 (depth = 8)
  int op_slot_left_10064 = gc_frame_newslot(opresult10092);
  params[0] = opresult10072;
  partcv[0] = 1;
  Object opresult10093 = callmethod(opresult10092, "||(1)", 1, partcv, params);
// compiled op node returning opresult10093 (depth = 7)
  int op_slot_left_10059 = gc_frame_newslot(opresult10093);
  params[0] = call10062;
  partcv[0] = 1;
  Object opresult10094 = callmethod(opresult10093, "&&(1)", 1, partcv, params);
// compiled op node returning opresult10094 (depth = 6)
  Object if10058 = done;
  if (istrue(opresult10094)) {
// Begin line 3136
  setline(3136);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10095 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call10096 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe10095);
// compiled member node returning call10096 (depth = 7)
  *var_dest = call10096;
  if (call10096 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 3137
  setline(3137);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10099 == NULL) {
    strlit10099 = alloc_String("lbrace");
    gc_root(strlit10099);
  }
// compiled string node returning strlit10099 (depth = 8)
  int op_slot_right_10098 = gc_frame_newslot(strlit10099);
// starting to compile member node (depth = 8)
  int callframe10101 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_dest (depth = 9)
  Object call10102 = callmethodflags(*var_dest, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10101);
// compiled member node returning call10102 (depth = 8)
  int op_slot_left_10098 = gc_frame_newslot(call10102);
  params[0] = strlit10099;
  partcv[0] = 1;
  Object opresult10103 = callmethod(call10102, "==(1)", 1, partcv, params);
// compiled op node returning opresult10103 (depth = 7)
  Object if10097 = done;
  if (istrue(opresult10103)) {
// Begin line 3138
  setline(3138);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10105 == NULL) {
    strlit10105 = alloc_String("");
    gc_root(strlit10105);
  }
// compiled string node returning strlit10105 (depth = 9)
  int op_slot_right_10104 = gc_frame_newslot(strlit10105);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe10108 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call10109 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10108);
// compiled member node returning call10109 (depth = 10)
  int op_slot_right_10107 = gc_frame_newslot(call10109);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10112 == NULL) {
    strlit10112 = alloc_String(", sym.line = ");
    gc_root(strlit10112);
  }
// compiled string node returning strlit10112 (depth = 11)
  int op_slot_right_10111 = gc_frame_newslot(strlit10112);
// starting to compile op node (depth = 11)
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  int op_slot_right_10114 = gc_frame_newslot(*var_sym);
// starting to compile string node (depth = 12)
  if (strlit10116 == NULL) {
    strlit10116 = alloc_String("sym = ");
    gc_root(strlit10116);
  }
// compiled string node returning strlit10116 (depth = 12)
  int op_slot_left_10114 = gc_frame_newslot(strlit10116);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10117 = callmethod(strlit10116, "++(1)", 1, partcv, params);
// compiled op node returning opresult10117 (depth = 11)
  int op_slot_left_10111 = gc_frame_newslot(opresult10117);
  params[0] = strlit10112;
  partcv[0] = 1;
  Object opresult10118 = callmethod(opresult10117, "++(1)", 1, partcv, params);
// compiled op node returning opresult10118 (depth = 10)
  int op_slot_left_10107 = gc_frame_newslot(opresult10118);
  params[0] = call10109;
  partcv[0] = 1;
  Object opresult10119 = callmethod(opresult10118, "++(1)", 1, partcv, params);
// compiled op node returning opresult10119 (depth = 9)
  int op_slot_left_10104 = gc_frame_newslot(opresult10119);
  params[0] = strlit10105;
  partcv[0] = 1;
  Object opresult10120 = callmethod(opresult10119, "++(1)", 1, partcv, params);
// compiled op node returning opresult10120 (depth = 8)
  params[0] = opresult10120;
  Object call10121 = gracelib_print(NULL, 1,  params);
// compiled call node returning call10121 (depth = 7)
// Begin line 3139
  setline(3139);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10122 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit10123 == NULL) {
    strlit10123 = alloc_String("popped lbrace token while parsing statement");
    gc_root(strlit10123);
  }
// compiled string node returning strlit10123 (depth = 8)
  gc_frame_newslot(strlit10123);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10124 = gc_frame_new();
// call case 5: prelude request
  Object call10125 = callmethodflags(prelude, "ProgrammingError", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10124);
// compiled member node returning call10125 (depth = 8)
  params[0] = strlit10123;
  partcv[0] = 1;
  Object call10126 = callmethodflags(call10125, "raise(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10122);
// compiled call node returning call10126 (depth = 7)
    gc_frame_newslot(call10126);
    if10097 = call10126;
  } else {
  }
// compiled if node returning if10097 (depth = 6)
// Begin line 3141
  setline(3141);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe10127 = gc_frame_new();
// call case 4: self request
  Object call10128 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10127);
// compiled member node returning call10128 (depth = 6)
// Begin line 3142
  setline(3142);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10130 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe10131 = gc_frame_new();
// starting to compile block node (depth = 9)
  Object block10132 = alloc_Block(NULL, NULL, "parser", 3142);
  gc_frame_newslot(block10132);
// method "_apply"
  block_savedest(block10132);
  Object closure10133 = createclosure(2, "_apply");
  setclosureframe(closure10133, stackframe);
  addtoclosure(closure10133, var_blocksOK);
  addtoclosure(closure10133, selfslot);
  struct UserObject *uo10133 = (struct UserObject*)block10132;
  uo10133->data[0] = (Object)closure10133;
  Method *meth_meth_parser__apply10133 = addmethod2pos(block10132, "_apply", &meth_parser__apply10133, 0);
  int argcv_meth_parser__apply10133[] = {0};
  meth_meth_parser__apply10133->type = alloc_MethodType(1, argcv_meth_parser__apply10133);
  meth_meth_parser__apply10133->definitionModule = modulename;
  meth_meth_parser__apply10133->definitionLine = 3404;
// compiled block node returning block10132 (depth = 9)
  gc_frame_newslot(block10132);
// call case 4: self request
  params[0] = block10132;
  partcv[0] = 1;
  Object call10137 = callmethodflags(self, "didConsume(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10131);
// compiled call node returning call10137 (depth = 8)
  Object call10138 = callmethodflags(call10137, "not", 0, partcv, params, 0);
  gc_frame_end(callframe10130);
// compiled member node returning call10138 (depth = 7)
  Object if10129 = done;
  if (istrue(call10138)) {
// Begin line 3143
  setline(3143);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile array node (depth = 8)
  Object array10139 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10139 (depth = 8)
  *var_suggestions = array10139;
  if (array10139 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 3144
  setline(3144);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe10140 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe10141 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call10142 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10141);
// compiled member node returning call10142 (depth = 9)
  Object call10143 = callmethodflags(call10142, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10140);
// compiled member node returning call10143 (depth = 8)
  *var_suggestion = call10143;
  if (call10143 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 7)
// Begin line 3145
  setline(3145);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 7)
// starting to compile call node (depth = 8)
  int callframe10144 = gc_frame_new();
// starting to compile array node (depth = 9)
  Object array10145 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 10)
  if (strlit10146 == NULL) {
    strlit10146 = alloc_String("rbrace");
    gc_root(strlit10146);
  }
// compiled string node returning strlit10146 (depth = 10)
  params[0] = strlit10146;
  partcv[0] = 1;
  callmethodflags(array10145, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array10145 (depth = 9)
  gc_frame_newslot(array10145);
// call case 4: self request
  params[0] = array10145;
  partcv[0] = 1;
  Object call10147 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10144);
// compiled call node returning call10147 (depth = 8)
  *var_nextTok = call10147;
  if (call10147 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 7)
// Begin line 3146
  setline(3146);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  int op_slot_right_10149 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  int op_slot_left_10149 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10151 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult10151 (depth = 8)
  Object if10148 = done;
  if (istrue(opresult10151)) {
// Begin line 3147
  setline(3147);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10152 = gc_frame_new();
// starting to compile string node (depth = 9)
  if (strlit10153 == NULL) {
    strlit10153 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit10153);
  }
// compiled string node returning strlit10153 (depth = 9)
  gc_frame_newslot(strlit10153);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  gc_frame_newslot(*var_lastToken);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = strlit10153;
  params[1] = *var_lastToken;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10154 = callmethodflags(*var_suggestion, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10152);
// compiled call node returning call10154 (depth = 8)
    gc_frame_newslot(call10154);
    if10148 = call10154;
  } else {
// Begin line 3149
  setline(3149);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10155 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 9)
  int callframe10156 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_nextTok (depth = 10)
  Object call10157 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe10156);
// compiled member node returning call10157 (depth = 9)
  gc_frame_newslot(call10157);
// starting to compile identifier node (depth = 9)
  Object bool10158 = alloc_Boolean(1);
// compiled identifier node returning bool10158 (depth = 9)
  gc_frame_newslot(bool10158);
// starting to compile identifier node (depth = 9)
  Object bool10159 = alloc_Boolean(0);
// compiled identifier node returning bool10159 (depth = 9)
  gc_frame_newslot(bool10159);
// starting to compile string node (depth = 9)
  if (strlit10160 == NULL) {
    strlit10160 = alloc_String(" ""\xc2""""\xab""expression""\xc2""""\xbb""");
    gc_root(strlit10160);
  }
// compiled string node returning strlit10160 (depth = 9)
  gc_frame_newslot(strlit10160);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_suggestion (depth = 9)
  params[0] = *var_sym;
  params[1] = call10157;
  params[2] = bool10158;
  params[3] = bool10159;
  params[4] = strlit10160;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10161 = callmethodflags(*var_suggestion, "replaceTokenRange(2)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe10155);
// compiled call node returning call10161 (depth = 8)
    gc_frame_newslot(call10161);
    if10148 = call10161;
  }
// compiled if node returning if10148 (depth = 7)
// Begin line 3151
  setline(3151);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10162 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10163 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10162);
// compiled call node returning call10163 (depth = 7)
// Begin line 3152
  setline(3152);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe10164 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe10165 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call10166 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10165);
// compiled member node returning call10166 (depth = 9)
  Object call10167 = callmethodflags(call10166, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10164);
// compiled member node returning call10167 (depth = 8)
  *var_suggestion = call10167;
  if (call10167 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 3153
  setline(3153);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10169 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  gc_frame_newslot(*var_lastToken);
// starting to compile member node (depth = 8)
  int callframe10170 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_nextTok (depth = 9)
  Object call10171 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe10170);
// compiled member node returning call10171 (depth = 8)
  gc_frame_newslot(call10171);
// starting to compile identifier node (depth = 8)
  Object bool10172 = alloc_Boolean(1);
// compiled identifier node returning bool10172 (depth = 8)
  gc_frame_newslot(bool10172);
// starting to compile identifier node (depth = 8)
  Object bool10173 = alloc_Boolean(0);
// compiled identifier node returning bool10173 (depth = 8)
  gc_frame_newslot(bool10173);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_lastToken;
  params[1] = call10171;
  params[2] = bool10172;
  params[3] = bool10173;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10174 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10169);
// compiled call node returning call10174 (depth = 7)
// Begin line 3154
  setline(3154);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10175 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10176 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10175);
// compiled call node returning call10176 (depth = 7)
// Begin line 3155
  setline(3155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10177 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit10178 == NULL) {
    strlit10178 = alloc_String("a valid expression must follow ':='.");
    gc_root(strlit10178);
  }
// compiled string node returning strlit10178 (depth = 8)
  gc_frame_newslot(strlit10178);
// Begin line 3156
  setline(3156);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe10179 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call10180 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10179);
// compiled member node returning call10180 (depth = 8)
  gc_frame_newslot(call10180);
// starting to compile member node (depth = 8)
  int callframe10181 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call10182 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10181);
// compiled member node returning call10182 (depth = 8)
  gc_frame_newslot(call10182);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 3155
  setline(3155);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  params[0] = strlit10178;
  params[1] = call10180;
  params[2] = call10182;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10183 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10177);
// compiled call node returning call10183 (depth = 7)
    gc_frame_newslot(call10183);
    if10129 = call10183;
  } else {
  }
// compiled if node returning if10129 (depth = 6)
// Begin line 3158
  setline(3158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10184 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call10185 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe10184);
// compiled member node returning call10185 (depth = 7)
  *var_val = call10185;
  if (call10185 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 3159
  setline(3159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10186 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe10187 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_btok (depth = 8)
  Object call10188 = callmethodflags(*var_btok, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10187);
// compiled member node returning call10188 (depth = 7)
  gc_frame_newslot(call10188);
// starting to compile member node (depth = 7)
  int callframe10189 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_btok (depth = 8)
  Object call10190 = callmethodflags(*var_btok, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10189);
// compiled member node returning call10190 (depth = 7)
  gc_frame_newslot(call10190);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_util (depth = 7)
  params[0] = call10188;
  params[1] = call10190;
  partcv[0] = 2;
  Object call10191 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10186);
// compiled call node returning call10191 (depth = 6)
// Begin line 3160
  setline(3160);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 6)
// starting to compile call node (depth = 7)
  int callframe10192 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_dest (depth = 8)
  gc_frame_newslot(*var_dest);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_val (depth = 8)
  gc_frame_newslot(*var_val);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10193 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_ast (depth = 9)
  Object call10194 = callmethodflags(*var_ast, "bindNode", 0, partcv, params, 0);
  gc_frame_end(callframe10193);
// compiled member node returning call10194 (depth = 8)
  params[0] = *var_dest;
  params[1] = *var_val;
  partcv[0] = 2;
  Object call10195 = callmethodflags(call10194, "new(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10192);
// compiled call node returning call10195 (depth = 7)
  *var_o = call10195;
  if (call10195 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 6)
// Begin line 3161
  setline(3161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10196 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_values (depth = 7)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10197 = callmethodflags(*var_values, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10196);
// compiled call node returning call10197 (depth = 6)
    gc_frame_newslot(call10197);
    if10058 = call10197;
  } else {
  }
// compiled if node returning if10058 (depth = 5)
  gc_frame_end(frame);
  return if10058;
}
Object meth_parser_statement9956(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 72, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_statementIndent = getfromclosure(closure, 1);
  Object *var_statementToken = getfromclosure(closure, 2);
  Object *var_blocksOK = getfromclosure(closure, 3);
  Object *var_values = getfromclosure(closure, 4);
  Object *var_errormessages = getfromclosure(closure, 5);
  Object *var_lastToken = getfromclosure(closure, 6);
  Object *var_util = getfromclosure(closure, 7);
  Object *var_ast = getfromclosure(closure, 8);
  Object *var_indentFreePass = getfromclosure(closure, 9);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_btok = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "btok");
  Object *var_oldLine = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "oldLine");
// Begin line 3104
  setline(3104);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe9957 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call9958 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe9957);
// compiled member node returning call9958 (depth = 3)
  *var_statementIndent = call9958;
  if (call9958 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 3105
  setline(3105);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_statementToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 3106
  setline(3106);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  *var_btok = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3107
  setline(3107);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe9961 = gc_frame_new();
// call case 4: self request
  Object call9962 = callmethodflags(self, "checkIndent", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9961);
// compiled member node returning call9962 (depth = 2)
// Begin line 3108
  setline(3108);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe9964 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit9965 == NULL) {
    strlit9965 = alloc_String("keyword");
    gc_root(strlit9965);
  }
// compiled string node returning strlit9965 (depth = 4)
  gc_frame_newslot(strlit9965);
// call case 4: self request
  params[0] = strlit9965;
  partcv[0] = 1;
  Object call9966 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9964);
// compiled call node returning call9966 (depth = 3)
  Object if9963 = done;
  if (istrue(call9966)) {
// Begin line 3109
  setline(3109);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit9969 == NULL) {
    strlit9969 = alloc_String("var");
    gc_root(strlit9969);
  }
// compiled string node returning strlit9969 (depth = 5)
  int op_slot_right_9968 = gc_frame_newslot(strlit9969);
// starting to compile member node (depth = 5)
  int callframe9971 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call9972 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9971);
// compiled member node returning call9972 (depth = 5)
  int op_slot_left_9968 = gc_frame_newslot(call9972);
  params[0] = strlit9969;
  partcv[0] = 1;
  Object opresult9973 = callmethod(call9972, "==(1)", 1, partcv, params);
// compiled op node returning opresult9973 (depth = 4)
  Object if9967 = done;
  if (istrue(opresult9973)) {
// Begin line 3110
  setline(3110);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe9974 = gc_frame_new();
// call case 4: self request
  Object call9975 = callmethodflags(self, "vardec", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9974);
// compiled member node returning call9975 (depth = 4)
    gc_frame_newslot(call9975);
    if9967 = call9975;
  } else {
// Begin line 3113
  setline(3113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// Begin line 3111
  setline(3111);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit9978 == NULL) {
    strlit9978 = alloc_String("def");
    gc_root(strlit9978);
  }
// compiled string node returning strlit9978 (depth = 6)
  int op_slot_right_9977 = gc_frame_newslot(strlit9978);
// starting to compile member node (depth = 6)
  int callframe9980 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call9981 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9980);
// compiled member node returning call9981 (depth = 6)
  int op_slot_left_9977 = gc_frame_newslot(call9981);
  params[0] = strlit9978;
  partcv[0] = 1;
  Object opresult9982 = callmethod(call9981, "==(1)", 1, partcv, params);
// compiled op node returning opresult9982 (depth = 5)
  Object if9976 = done;
  if (istrue(opresult9982)) {
// Begin line 3112
  setline(3112);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe9983 = gc_frame_new();
// call case 4: self request
  Object call9984 = callmethodflags(self, "defdec", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9983);
// compiled member node returning call9984 (depth = 5)
    gc_frame_newslot(call9984);
    if9976 = call9984;
  } else {
// Begin line 3115
  setline(3115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3113
  setline(3113);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit9987 == NULL) {
    strlit9987 = alloc_String("import");
    gc_root(strlit9987);
  }
// compiled string node returning strlit9987 (depth = 7)
  int op_slot_right_9986 = gc_frame_newslot(strlit9987);
// starting to compile member node (depth = 7)
  int callframe9989 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call9990 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9989);
// compiled member node returning call9990 (depth = 7)
  int op_slot_left_9986 = gc_frame_newslot(call9990);
  params[0] = strlit9987;
  partcv[0] = 1;
  Object opresult9991 = callmethod(call9990, "==(1)", 1, partcv, params);
// compiled op node returning opresult9991 (depth = 6)
  Object if9985 = done;
  if (istrue(opresult9991)) {
// Begin line 3114
  setline(3114);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe9992 = gc_frame_new();
// call case 4: self request
  Object call9993 = callmethodflags(self, "doimport", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe9992);
// compiled member node returning call9993 (depth = 6)
    gc_frame_newslot(call9993);
    if9985 = call9993;
  } else {
// Begin line 3117
  setline(3117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3115
  setline(3115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit9996 == NULL) {
    strlit9996 = alloc_String("dialect");
    gc_root(strlit9996);
  }
// compiled string node returning strlit9996 (depth = 8)
  int op_slot_right_9995 = gc_frame_newslot(strlit9996);
// starting to compile member node (depth = 8)
  int callframe9998 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call9999 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe9998);
// compiled member node returning call9999 (depth = 8)
  int op_slot_left_9995 = gc_frame_newslot(call9999);
  params[0] = strlit9996;
  partcv[0] = 1;
  Object opresult10000 = callmethod(call9999, "==(1)", 1, partcv, params);
// compiled op node returning opresult10000 (depth = 7)
  Object if9994 = done;
  if (istrue(opresult10000)) {
// Begin line 3116
  setline(3116);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 7)
  int callframe10001 = gc_frame_new();
// call case 4: self request
  Object call10002 = callmethodflags(self, "dodialect", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10001);
// compiled member node returning call10002 (depth = 7)
    gc_frame_newslot(call10002);
    if9994 = call10002;
  } else {
// Begin line 3119
  setline(3119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3117
  setline(3117);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10005 == NULL) {
    strlit10005 = alloc_String("type");
    gc_root(strlit10005);
  }
// compiled string node returning strlit10005 (depth = 9)
  int op_slot_right_10004 = gc_frame_newslot(strlit10005);
// starting to compile member node (depth = 9)
  int callframe10007 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call10008 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10007);
// compiled member node returning call10008 (depth = 9)
  int op_slot_left_10004 = gc_frame_newslot(call10008);
  params[0] = strlit10005;
  partcv[0] = 1;
  Object opresult10009 = callmethod(call10008, "==(1)", 1, partcv, params);
// compiled op node returning opresult10009 (depth = 8)
  Object if10003 = done;
  if (istrue(opresult10009)) {
// Begin line 3118
  setline(3118);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe10010 = gc_frame_new();
// call case 4: self request
  Object call10011 = callmethodflags(self, "typedec", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10010);
// compiled member node returning call10011 (depth = 8)
    gc_frame_newslot(call10011);
    if10003 = call10011;
  } else {
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 8)
// Begin line 3119
  setline(3119);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit10014 == NULL) {
    strlit10014 = alloc_String("class");
    gc_root(strlit10014);
  }
// compiled string node returning strlit10014 (depth = 10)
  int op_slot_right_10013 = gc_frame_newslot(strlit10014);
// starting to compile member node (depth = 10)
  int callframe10016 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call10017 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10016);
// compiled member node returning call10017 (depth = 10)
  int op_slot_left_10013 = gc_frame_newslot(call10017);
  params[0] = strlit10014;
  partcv[0] = 1;
  Object opresult10018 = callmethod(call10017, "==(1)", 1, partcv, params);
// compiled op node returning opresult10018 (depth = 9)
  Object if10012 = done;
  if (istrue(opresult10018)) {
// Begin line 3120
  setline(3120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe10019 = gc_frame_new();
// call case 4: self request
  Object call10020 = callmethodflags(self, "doclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10019);
// compiled member node returning call10020 (depth = 9)
    gc_frame_newslot(call10020);
    if10012 = call10020;
  } else {
// Begin line 3123
  setline(3123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 9)
// Begin line 3121
  setline(3121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10023 == NULL) {
    strlit10023 = alloc_String("trait");
    gc_root(strlit10023);
  }
// compiled string node returning strlit10023 (depth = 11)
  int op_slot_right_10022 = gc_frame_newslot(strlit10023);
// starting to compile member node (depth = 11)
  int callframe10025 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_sym (depth = 12)
  Object call10026 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10025);
// compiled member node returning call10026 (depth = 11)
  int op_slot_left_10022 = gc_frame_newslot(call10026);
  params[0] = strlit10023;
  partcv[0] = 1;
  Object opresult10027 = callmethod(call10026, "==(1)", 1, partcv, params);
// compiled op node returning opresult10027 (depth = 10)
  Object if10021 = done;
  if (istrue(opresult10027)) {
// Begin line 3122
  setline(3122);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 10)
  int callframe10028 = gc_frame_new();
// call case 4: self request
  Object call10029 = callmethodflags(self, "doclass", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10028);
// compiled member node returning call10029 (depth = 10)
    gc_frame_newslot(call10029);
    if10021 = call10029;
  } else {
// Begin line 3125
  setline(3125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 10)
// Begin line 3123
  setline(3123);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 11)
// starting to compile string node (depth = 12)
  if (strlit10032 == NULL) {
    strlit10032 = alloc_String("factory");
    gc_root(strlit10032);
  }
// compiled string node returning strlit10032 (depth = 12)
  int op_slot_right_10031 = gc_frame_newslot(strlit10032);
// starting to compile member node (depth = 12)
  int callframe10034 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_sym (depth = 13)
  Object call10035 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10034);
// compiled member node returning call10035 (depth = 12)
  int op_slot_left_10031 = gc_frame_newslot(call10035);
  params[0] = strlit10032;
  partcv[0] = 1;
  Object opresult10036 = callmethod(call10035, "==(1)", 1, partcv, params);
// compiled op node returning opresult10036 (depth = 11)
  Object if10030 = done;
  if (istrue(opresult10036)) {
// Begin line 3124
  setline(3124);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 11)
  int callframe10037 = gc_frame_new();
// call case 4: self request
  Object call10038 = callmethodflags(self, "dofactoryMethod", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10037);
// compiled member node returning call10038 (depth = 11)
    gc_frame_newslot(call10038);
    if10030 = call10038;
  } else {
// Begin line 3127
  setline(3127);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 11)
// Begin line 3125
  setline(3125);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 12)
// starting to compile string node (depth = 13)
  if (strlit10041 == NULL) {
    strlit10041 = alloc_String("return");
    gc_root(strlit10041);
  }
// compiled string node returning strlit10041 (depth = 13)
  int op_slot_right_10040 = gc_frame_newslot(strlit10041);
// starting to compile member node (depth = 13)
  int callframe10043 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 14)
// compiled identifier node returning *var_sym (depth = 14)
  Object call10044 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10043);
// compiled member node returning call10044 (depth = 13)
  int op_slot_left_10040 = gc_frame_newslot(call10044);
  params[0] = strlit10041;
  partcv[0] = 1;
  Object opresult10045 = callmethod(call10044, "==(1)", 1, partcv, params);
// compiled op node returning opresult10045 (depth = 12)
  Object if10039 = done;
  if (istrue(opresult10045)) {
// Begin line 3126
  setline(3126);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 12)
  int callframe10046 = gc_frame_new();
// call case 4: self request
  Object call10047 = callmethodflags(self, "doreturn", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10046);
// compiled member node returning call10047 (depth = 12)
    gc_frame_newslot(call10047);
    if10039 = call10047;
  } else {
// Begin line 3128
  setline(3128);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 12)
  int callframe10048 = gc_frame_new();
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_blocksOK (depth = 13)
  gc_frame_newslot(*var_blocksOK);
// call case 4: self request
  params[0] = *var_blocksOK;
  partcv[0] = 1;
  Object call10049 = callmethodflags(self, "expression(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10048);
// compiled call node returning call10049 (depth = 12)
    gc_frame_newslot(call10049);
    if10039 = call10049;
  }
// compiled if node returning if10039 (depth = 11)
    gc_frame_newslot(if10039);
    if10030 = if10039;
  }
// compiled if node returning if10030 (depth = 10)
    gc_frame_newslot(if10030);
    if10021 = if10030;
  }
// compiled if node returning if10021 (depth = 9)
    gc_frame_newslot(if10021);
    if10012 = if10021;
  }
// compiled if node returning if10012 (depth = 8)
    gc_frame_newslot(if10012);
    if10003 = if10012;
  }
// compiled if node returning if10003 (depth = 7)
    gc_frame_newslot(if10003);
    if9994 = if10003;
  }
// compiled if node returning if9994 (depth = 6)
    gc_frame_newslot(if9994);
    if9985 = if9994;
  }
// compiled if node returning if9985 (depth = 5)
    gc_frame_newslot(if9985);
    if9976 = if9985;
  }
// compiled if node returning if9976 (depth = 4)
    gc_frame_newslot(if9976);
    if9967 = if9976;
  }
// compiled if node returning if9967 (depth = 3)
    gc_frame_newslot(if9967);
    if9963 = if9967;
  } else {
// Begin line 3131
  setline(3131);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10050 = gc_frame_new();
// starting to compile block node (depth = 4)
  Object block10051 = alloc_Block(NULL, NULL, "parser", 3131);
  gc_frame_newslot(block10051);
// method "_apply"
  block_savedest(block10051);
  Object closure10052 = createclosure(2, "_apply");
  setclosureframe(closure10052, stackframe);
  addtoclosure(closure10052, var_blocksOK);
  addtoclosure(closure10052, selfslot);
  struct UserObject *uo10052 = (struct UserObject*)block10051;
  uo10052->data[0] = (Object)closure10052;
  Method *meth_meth_parser__apply10052 = addmethod2pos(block10051, "_apply", &meth_parser__apply10052, 0);
  int argcv_meth_parser__apply10052[] = {0};
  meth_meth_parser__apply10052->type = alloc_MethodType(1, argcv_meth_parser__apply10052);
  meth_meth_parser__apply10052->definitionModule = modulename;
  meth_meth_parser__apply10052->definitionLine = 3404;
// compiled block node returning block10051 (depth = 4)
  gc_frame_newslot(block10051);
// starting to compile block node (depth = 4)
  Object block10056 = alloc_Block(NULL, NULL, "parser", 3131);
  gc_frame_newslot(block10056);
// method "_apply"
  block_savedest(block10056);
  Object closure10057 = createclosure(9, "_apply");
  setclosureframe(closure10057, stackframe);
  addtoclosure(closure10057, var_values);
  addtoclosure(closure10057, var_sym);
  addtoclosure(closure10057, var_blocksOK);
  addtoclosure(closure10057, var_errormessages);
  addtoclosure(closure10057, var_lastToken);
  addtoclosure(closure10057, var_btok);
  addtoclosure(closure10057, var_util);
  addtoclosure(closure10057, var_ast);
  addtoclosure(closure10057, selfslot);
  struct UserObject *uo10057 = (struct UserObject*)block10056;
  uo10057->data[0] = (Object)closure10057;
  Method *meth_meth_parser__apply10057 = addmethod2pos(block10056, "_apply", &meth_parser__apply10057, 0);
  int argcv_meth_parser__apply10057[] = {0};
  meth_meth_parser__apply10057->type = alloc_MethodType(1, argcv_meth_parser__apply10057);
  meth_meth_parser__apply10057->definitionModule = modulename;
  meth_meth_parser__apply10057->definitionLine = 3404;
// compiled block node returning block10056 (depth = 4)
  gc_frame_newslot(block10056);
// call case 4: self request
  params[0] = block10051;
  params[1] = block10056;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10199 = callmethodflags(self, "ifConsume(1)then(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10050);
// compiled call node returning call10199 (depth = 3)
    gc_frame_newslot(call10199);
    if9963 = call10199;
  }
// compiled if node returning if9963 (depth = 2)
// Begin line 3165
  setline(3165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe10200 = gc_frame_new();
// call case 4: self request
  Object call10201 = callmethodflags(self, "reconcileComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10200);
// compiled member node returning call10201 (depth = 2)
// Begin line 3166
  setline(3166);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe10203 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10204 == NULL) {
    strlit10204 = alloc_String("eof");
    gc_root(strlit10204);
  }
// compiled string node returning strlit10204 (depth = 4)
  gc_frame_newslot(strlit10204);
// call case 4: self request
  params[0] = strlit10204;
  partcv[0] = 1;
  Object call10205 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10203);
// compiled call node returning call10205 (depth = 3)
  Object if10202 = done;
  if (istrue(call10205)) {
// Begin line 3167
  setline(3167);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
  Object bool10206 = alloc_Boolean(1);
// compiled identifier node returning bool10206 (depth = 4)
  return bool10206;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if10202 = undefined;
  } else {
  }
// compiled if node returning if10202 (depth = 2)
// Begin line 3169
  setline(3169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe10208 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10209 == NULL) {
    strlit10209 = alloc_String("semicolon");
    gc_root(strlit10209);
  }
// compiled string node returning strlit10209 (depth = 4)
  gc_frame_newslot(strlit10209);
// call case 4: self request
  params[0] = strlit10209;
  partcv[0] = 1;
  Object call10210 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10208);
// compiled call node returning call10210 (depth = 3)
  Object if10207 = done;
  if (istrue(call10210)) {
// Begin line 3170
  setline(3170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10211 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10212 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10211);
// compiled member node returning call10212 (depth = 4)
  *var_oldLine = call10212;
  if (call10212 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3171
  setline(3171);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10213 = gc_frame_new();
// call case 4: self request
  Object call10214 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10213);
// compiled member node returning call10214 (depth = 3)
// Begin line 3172
  setline(3172);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_oldLine (depth = 5)
  int op_slot_right_10216 = gc_frame_newslot(*var_oldLine);
// starting to compile member node (depth = 5)
  int callframe10218 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10219 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10218);
// compiled member node returning call10219 (depth = 5)
  int op_slot_left_10216 = gc_frame_newslot(call10219);
  params[0] = *var_oldLine;
  partcv[0] = 1;
  Object opresult10220 = callmethod(call10219, "==(1)", 1, partcv, params);
// compiled op node returning opresult10220 (depth = 4)
  Object if10215 = done;
  if (istrue(opresult10220)) {
// Begin line 3173
  setline(3173);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile identifier node (depth = 5)
  Object bool10221 = alloc_Boolean(1);
// compiled identifier node returning bool10221 (depth = 5)
  *var_indentFreePass = bool10221;
  if (bool10221 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
    gc_frame_newslot(done);
    if10215 = done;
  } else {
  }
// compiled if node returning if10215 (depth = 3)
    gc_frame_newslot(if10215);
    if10207 = if10215;
  } else {
// Begin line 3176
  setline(3176);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 3)
  int callframe10223 = gc_frame_new();
// call case 4: self request
  Object call10224 = callmethodflags(self, "checkUnexpectedTokenAfterStatement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10223);
// compiled member node returning call10224 (depth = 3)
    gc_frame_newslot(call10224);
    if10207 = call10224;
  }
// compiled if node returning if10207 (depth = 2)
  gc_frame_end(frame);
  return if10207;
}
Object meth_parser__apply10283(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_previousCommentToken = getfromclosure(closure, 1);
  Object *var_tokens = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 4)
// Begin line 3196
  setline(3196);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  *var_previousCommentToken = *var_sym;
  if (*var_sym == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 3197
  setline(3197);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10285 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  Object call10286 = callmethodflags(*var_tokens, "poll", 0, partcv, params, 0);
  gc_frame_end(callframe10285);
// compiled member node returning call10286 (depth = 5)
  *var_sym = call10286;
  if (call10286 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 3198
  setline(3198);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num10291 = alloc_Float64(1);
// compiled num node returning num10291 (depth = 7)
  int op_slot_right_10290 = gc_frame_newslot(num10291);
// starting to compile member node (depth = 7)
  int callframe10293 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_previousCommentToken (depth = 8)
  Object call10294 = callmethodflags(*var_previousCommentToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10293);
// compiled member node returning call10294 (depth = 7)
  int op_slot_left_10290 = gc_frame_newslot(call10294);
  params[0] = num10291;
  partcv[0] = 1;
  Object sum10295 = callmethod(call10294, "+(1)", 1, partcv, params);
// compiled op node returning sum10295 (depth = 6)
  int op_slot_right_10289 = gc_frame_newslot(sum10295);
// starting to compile member node (depth = 6)
  int callframe10297 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call10298 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10297);
// compiled member node returning call10298 (depth = 6)
  int op_slot_left_10289 = gc_frame_newslot(call10298);
  params[0] = sum10295;
  partcv[0] = 1;
  Object opresult10299 = callmethod(call10298, ">(1)", 1, partcv, params);
// compiled op node returning opresult10299 (depth = 5)
  Object if10288 = done;
  if (istrue(opresult10299)) {
// starting to compile member node (depth = 5)
  int callframe10300 = gc_frame_new();
// call case 4: self request
  Object call10301 = callmethodflags(self, "noteBlank", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10300);
// compiled member node returning call10301 (depth = 5)
    gc_frame_newslot(call10301);
    if10288 = call10301;
  } else {
  }
// compiled if node returning if10288 (depth = 4)
// Begin line 3199
  setline(3199);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10302 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10303 == NULL) {
    strlit10303 = alloc_String("comment");
    gc_root(strlit10303);
  }
// compiled string node returning strlit10303 (depth = 5)
  gc_frame_newslot(strlit10303);
// call case 4: self request
  params[0] = strlit10303;
  partcv[0] = 1;
  Object call10304 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10302);
// compiled call node returning call10304 (depth = 4)
  gc_frame_end(frame);
  return call10304;
}
Object meth_parser__apply10307(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_util = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_o = getfromclosure(closure, 3);
  Object *var_comments = getfromclosure(closure, 4);
  Object *var_lastToken = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 3201
  setline(3201);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10308 = gc_frame_new();
// starting to compile member node (depth = 5)
  int callframe10309 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10310 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10309);
// compiled member node returning call10310 (depth = 5)
  gc_frame_newslot(call10310);
// starting to compile member node (depth = 5)
  int callframe10311 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10312 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10311);
// compiled member node returning call10312 (depth = 5)
  gc_frame_newslot(call10312);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  params[0] = call10310;
  params[1] = call10312;
  partcv[0] = 2;
  Object call10313 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10308);
// compiled call node returning call10313 (depth = 4)
// Begin line 3202
  setline(3202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10314 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe10315 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call10316 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10315);
// compiled member node returning call10316 (depth = 6)
  gc_frame_newslot(call10316);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10317 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ast (depth = 7)
  Object call10318 = callmethodflags(*var_ast, "commentNode", 0, partcv, params, 0);
  gc_frame_end(callframe10317);
// compiled member node returning call10318 (depth = 6)
  params[0] = call10316;
  partcv[0] = 1;
  Object call10319 = callmethodflags(call10318, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10314);
// compiled call node returning call10319 (depth = 5)
  *var_o = call10319;
  if (call10319 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
// Begin line 3203
  setline(3203);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num10324 = alloc_Float64(1);
// compiled num node returning num10324 (depth = 7)
  int op_slot_right_10323 = gc_frame_newslot(num10324);
// starting to compile member node (depth = 7)
  int callframe10326 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call10327 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10326);
// compiled member node returning call10327 (depth = 7)
  int op_slot_left_10323 = gc_frame_newslot(call10327);
  params[0] = num10324;
  partcv[0] = 1;
  Object diff10328 = callmethod(call10327, "-(1)", 1, partcv, params);
// compiled op node returning diff10328 (depth = 6)
  int op_slot_right_10322 = gc_frame_newslot(diff10328);
// starting to compile member node (depth = 6)
  int callframe10330 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10331 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_comments (depth = 8)
  Object call10332 = callmethodflags(*var_comments, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10331);
// compiled member node returning call10332 (depth = 7)
  Object call10333 = callmethodflags(call10332, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe10330);
// compiled member node returning call10333 (depth = 6)
  int op_slot_left_10322 = gc_frame_newslot(call10333);
  params[0] = diff10328;
  partcv[0] = 1;
  Object opresult10334 = callmethod(call10333, "==(1)", 1, partcv, params);
// compiled op node returning opresult10334 (depth = 5)
  Object if10321 = done;
  if (istrue(opresult10334)) {
// Begin line 3204
  setline(3204);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10335 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10336 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_comments (depth = 7)
  Object call10337 = callmethodflags(*var_comments, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10336);
// compiled member node returning call10337 (depth = 6)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10338 = callmethodflags(call10337, "extendCommentUsing(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10335);
// compiled call node returning call10338 (depth = 5)
    gc_frame_newslot(call10338);
    if10321 = call10338;
  } else {
// Begin line 3206
  setline(3206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10339 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_o (depth = 6)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_comments (depth = 6)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10340 = callmethodflags(*var_comments, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10339);
// compiled call node returning call10340 (depth = 5)
// Begin line 3207
  setline(3207);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num10344 = alloc_Float64(1);
// compiled num node returning num10344 (depth = 8)
  int op_slot_right_10343 = gc_frame_newslot(num10344);
// starting to compile member node (depth = 8)
  int callframe10346 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call10347 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10346);
// compiled member node returning call10347 (depth = 8)
  int op_slot_left_10343 = gc_frame_newslot(call10347);
  params[0] = num10344;
  partcv[0] = 1;
  Object diff10348 = callmethod(call10347, "-(1)", 1, partcv, params);
// compiled op node returning diff10348 (depth = 7)
  int op_slot_right_10342 = gc_frame_newslot(diff10348);
// starting to compile member node (depth = 7)
  int callframe10350 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call10351 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10350);
// compiled member node returning call10351 (depth = 7)
  int op_slot_left_10342 = gc_frame_newslot(call10351);
  params[0] = diff10348;
  partcv[0] = 1;
  Object opresult10352 = callmethod(call10351, "<(1)", 1, partcv, params);
// compiled op node returning opresult10352 (depth = 6)
  Object if10341 = done;
  if (istrue(opresult10352)) {
// Begin line 3208
  setline(3208);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10353 = gc_frame_new();
// starting to compile identifier node (depth = 7)
  Object bool10354 = alloc_Boolean(1);
// compiled identifier node returning bool10354 (depth = 7)
  gc_frame_newslot(bool10354);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_o (depth = 7)
  params[0] = bool10354;
  partcv[0] = 1;
  Object call10355 = callmethodflags(*var_o, "isPreceededByBlankLine:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10353);
// compiled call node returning call10355 (depth = 6)
    gc_frame_newslot(call10355);
    if10341 = call10355;
  } else {
  }
// compiled if node returning if10341 (depth = 5)
    gc_frame_newslot(if10341);
    if10321 = if10341;
  }
// compiled if node returning if10321 (depth = 4)
  gc_frame_end(frame);
  return if10321;
}
Object meth_parser_pushComments10225(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 73, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "pushComments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_done = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_util = getfromclosure(closure, 2);
  Object *var_ast = getfromclosure(closure, 3);
  Object *var_lastToken = getfromclosure(closure, 4);
  Object *var_comments = getfromclosure(closure, 5);
  Object *var_previousCommentToken = getfromclosure(closure, 6);
  Object *var_tokens = getfromclosure(closure, 7);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_o = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "o");
// Begin line 3186
  setline(3186);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe10227 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 4)
  int callframe10228 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10229 == NULL) {
    strlit10229 = alloc_String("comment");
    gc_root(strlit10229);
  }
// compiled string node returning strlit10229 (depth = 5)
  gc_frame_newslot(strlit10229);
// call case 4: self request
  params[0] = strlit10229;
  partcv[0] = 1;
  Object call10230 = callmethodflags(self, "accept(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10228);
// compiled call node returning call10230 (depth = 4)
  partcv[0] = 0;
  Object call10231 = callmethodflags(call10230, "prefix!", 1, partcv, params, 0);
  gc_frame_end(callframe10227);
// compiled call node returning call10231 (depth = 3)
  Object if10226 = done;
  if (istrue(call10231)) {
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if10226 = undefined;
  } else {
  }
// compiled if node returning if10226 (depth = 2)
// Begin line 3187
  setline(3187);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10232 = gc_frame_new();
// starting to compile member node (depth = 3)
  int callframe10233 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call10234 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10233);
// compiled member node returning call10234 (depth = 3)
  gc_frame_newslot(call10234);
// starting to compile member node (depth = 3)
  int callframe10235 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  Object call10236 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10235);
// compiled member node returning call10236 (depth = 3)
  gc_frame_newslot(call10236);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = call10234;
  params[1] = call10236;
  partcv[0] = 2;
  Object call10237 = callmethodflags(*var_util, "setPosition(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10232);
// compiled call node returning call10237 (depth = 2)
// Begin line 3188
  setline(3188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe10238 = gc_frame_new();
// starting to compile member node (depth = 4)
  int callframe10239 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10240 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10239);
// compiled member node returning call10240 (depth = 4)
  gc_frame_newslot(call10240);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10241 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call10242 = callmethodflags(*var_ast, "commentNode", 0, partcv, params, 0);
  gc_frame_end(callframe10241);
// compiled member node returning call10242 (depth = 4)
  params[0] = call10240;
  partcv[0] = 1;
  Object call10243 = callmethodflags(call10242, "new(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10238);
// compiled call node returning call10243 (depth = 3)
  *var_o = call10243;
  if (call10243 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3189
  setline(3189);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10247 == NULL) {
    strlit10247 = alloc_String("comment");
    gc_root(strlit10247);
  }
// compiled string node returning strlit10247 (depth = 5)
  int op_slot_right_10246 = gc_frame_newslot(strlit10247);
// starting to compile member node (depth = 5)
  int callframe10249 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call10250 = callmethodflags(*var_lastToken, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10249);
// compiled member node returning call10250 (depth = 5)
  int op_slot_left_10246 = gc_frame_newslot(call10250);
  params[0] = strlit10247;
  partcv[0] = 1;
  Object opresult10251 = callmethod(call10250, "≠(1)", 1, partcv, params);
// compiled op node returning opresult10251 (depth = 4)
  int op_slot_right_10245 = gc_frame_newslot(opresult10251);
// starting to compile op node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10254 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10255 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10254);
// compiled member node returning call10255 (depth = 5)
  int op_slot_right_10253 = gc_frame_newslot(call10255);
// starting to compile member node (depth = 5)
  int callframe10257 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call10258 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10257);
// compiled member node returning call10258 (depth = 5)
  int op_slot_left_10253 = gc_frame_newslot(call10258);
  params[0] = call10255;
  partcv[0] = 1;
  Object opresult10259 = callmethod(call10258, "==(1)", 1, partcv, params);
// compiled op node returning opresult10259 (depth = 4)
  int op_slot_left_10245 = gc_frame_newslot(opresult10259);
  params[0] = opresult10251;
  partcv[0] = 1;
  Object opresult10260 = callmethod(opresult10259, "&&(1)", 1, partcv, params);
// compiled op node returning opresult10260 (depth = 3)
  Object if10244 = done;
  if (istrue(opresult10260)) {
// Begin line 3190
  setline(3190);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10261 = gc_frame_new();
// starting to compile identifier node (depth = 4)
  Object bool10262 = alloc_Boolean(1);
// compiled identifier node returning bool10262 (depth = 4)
  gc_frame_newslot(bool10262);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_o (depth = 4)
  params[0] = bool10262;
  partcv[0] = 1;
  Object call10263 = callmethodflags(*var_o, "isPartialLine:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10261);
// compiled call node returning call10263 (depth = 3)
    gc_frame_newslot(call10263);
    if10244 = call10263;
  } else {
// Begin line 3194
  setline(3194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// Begin line 3191
  setline(3191);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10267 = alloc_Float64(1);
// compiled num node returning num10267 (depth = 6)
  int op_slot_right_10266 = gc_frame_newslot(num10267);
// starting to compile member node (depth = 6)
  int callframe10269 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call10270 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10269);
// compiled member node returning call10270 (depth = 6)
  int op_slot_left_10266 = gc_frame_newslot(call10270);
  params[0] = num10267;
  partcv[0] = 1;
  Object diff10271 = callmethod(call10270, "-(1)", 1, partcv, params);
// compiled op node returning diff10271 (depth = 5)
  int op_slot_right_10265 = gc_frame_newslot(diff10271);
// starting to compile member node (depth = 5)
  int callframe10273 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_lastToken (depth = 6)
  Object call10274 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10273);
// compiled member node returning call10274 (depth = 5)
  int op_slot_left_10265 = gc_frame_newslot(call10274);
  params[0] = diff10271;
  partcv[0] = 1;
  Object opresult10275 = callmethod(call10274, "<(1)", 1, partcv, params);
// compiled op node returning opresult10275 (depth = 4)
  Object if10264 = done;
  if (istrue(opresult10275)) {
// Begin line 3192
  setline(3192);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10276 = gc_frame_new();
// starting to compile identifier node (depth = 5)
  Object bool10277 = alloc_Boolean(1);
// compiled identifier node returning bool10277 (depth = 5)
  gc_frame_newslot(bool10277);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_o (depth = 5)
  params[0] = bool10277;
  partcv[0] = 1;
  Object call10278 = callmethodflags(*var_o, "isPreceededByBlankLine:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10276);
// compiled call node returning call10278 (depth = 4)
    gc_frame_newslot(call10278);
    if10264 = call10278;
  } else {
  }
// compiled if node returning if10264 (depth = 3)
    gc_frame_newslot(if10264);
    if10244 = if10264;
  }
// compiled if node returning if10244 (depth = 2)
// Begin line 3194
  setline(3194);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10279 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_o (depth = 3)
  gc_frame_newslot(*var_o);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_comments (depth = 3)
  params[0] = *var_o;
  partcv[0] = 1;
  Object call10280 = callmethodflags(*var_comments, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10279);
// compiled call node returning call10280 (depth = 2)
// Begin line 3195
  setline(3195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10281 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block10282 = alloc_Block(NULL, NULL, "parser", 3195);
  gc_frame_newslot(block10282);
// method "_apply"
  block_savedest(block10282);
  Object closure10283 = createclosure(4, "_apply");
  setclosureframe(closure10283, stackframe);
  addtoclosure(closure10283, var_sym);
  addtoclosure(closure10283, var_previousCommentToken);
  addtoclosure(closure10283, var_tokens);
  addtoclosure(closure10283, selfslot);
  struct UserObject *uo10283 = (struct UserObject*)block10282;
  uo10283->data[0] = (Object)closure10283;
  Method *meth_meth_parser__apply10283 = addmethod2pos(block10282, "_apply", &meth_parser__apply10283, 0);
  int argcv_meth_parser__apply10283[] = {0};
  meth_meth_parser__apply10283->type = alloc_MethodType(1, argcv_meth_parser__apply10283);
  meth_meth_parser__apply10283->definitionModule = modulename;
  meth_meth_parser__apply10283->definitionLine = 3404;
// compiled block node returning block10282 (depth = 3)
  gc_frame_newslot(block10282);
// Begin line 3200
  setline(3200);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile block node (depth = 3)
  Object block10306 = alloc_Block(NULL, NULL, "parser", 3200);
  gc_frame_newslot(block10306);
// method "_apply"
  block_savedest(block10306);
  Object closure10307 = createclosure(7, "_apply");
  setclosureframe(closure10307, stackframe);
  addtoclosure(closure10307, var_sym);
  addtoclosure(closure10307, var_util);
  addtoclosure(closure10307, var_ast);
  addtoclosure(closure10307, var_o);
  addtoclosure(closure10307, var_comments);
  addtoclosure(closure10307, var_lastToken);
  addtoclosure(closure10307, selfslot);
  struct UserObject *uo10307 = (struct UserObject*)block10306;
  uo10307->data[0] = (Object)closure10307;
  Method *meth_meth_parser__apply10307 = addmethod2pos(block10306, "_apply", &meth_parser__apply10307, 0);
  int argcv_meth_parser__apply10307[] = {0};
  meth_meth_parser__apply10307->type = alloc_MethodType(1, argcv_meth_parser__apply10307);
  meth_meth_parser__apply10307->definitionModule = modulename;
  meth_meth_parser__apply10307->definitionLine = 3404;
// compiled block node returning block10306 (depth = 3)
  gc_frame_newslot(block10306);
// call case 5: prelude request
  params[0] = block10282;
  params[1] = block10306;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10357 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10281);
// compiled call node returning call10357 (depth = 2)
  gc_frame_end(frame);
  return call10357;
}
Object meth_parser__apply10383(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10385 = alloc_Float64(0);
// compiled num node returning num10385 (depth = 5)
  int op_slot_right_10384 = gc_frame_newslot(num10385);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ix (depth = 5)
  int op_slot_left_10384 = gc_frame_newslot(*var_ix);
  params[0] = num10385;
  partcv[0] = 1;
  Object opresult10387 = callmethod(*var_ix, ">(1)", 1, partcv, params);
// compiled op node returning opresult10387 (depth = 4)
  gc_frame_end(frame);
  return opresult10387;
}
Object meth_parser__apply10390(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_ix = getfromclosure(closure, 0);
  Object *var_comments = getfromclosure(closure, 1);
  Object *var_oLine = getfromclosure(closure, 2);
  Object *var_postComments = getfromclosure(closure, 3);
  Object *var_preComments = getfromclosure(closure, 4);
  Object self = *(getfromclosure(closure, 5));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_each = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "each");
  Object *var_isPostComment = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "isPostComment");
  Object *var_isPreComment = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "isPreComment");
// Begin line 3237
  setline(3237);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10391 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_comments (depth = 6)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call10392 = callmethodflags(*var_comments, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10391);
// compiled call node returning call10392 (depth = 5)
  *var_each = call10392;
  if (call10392 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3238
  setline(3238);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num10396 = alloc_Float64(1);
// compiled num node returning num10396 (depth = 8)
  int op_slot_right_10395 = gc_frame_newslot(num10396);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_oLine (depth = 8)
  int op_slot_left_10395 = gc_frame_newslot(*var_oLine);
  params[0] = num10396;
  partcv[0] = 1;
  Object sum10398 = callmethod(*var_oLine, "+(1)", 1, partcv, params);
// compiled op node returning sum10398 (depth = 7)
  int op_slot_right_10394 = gc_frame_newslot(sum10398);
// starting to compile member node (depth = 7)
  int callframe10400 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  Object call10401 = callmethodflags(*var_each, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10400);
// compiled member node returning call10401 (depth = 7)
  int op_slot_left_10394 = gc_frame_newslot(call10401);
  params[0] = sum10398;
  partcv[0] = 1;
  Object opresult10402 = callmethod(call10401, "==(1)", 1, partcv, params);
// compiled op node returning opresult10402 (depth = 6)
  int op_slot_right_10393 = gc_frame_newslot(opresult10402);
// starting to compile op node (depth = 6)
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_oLine (depth = 7)
  int op_slot_right_10404 = gc_frame_newslot(*var_oLine);
// starting to compile member node (depth = 7)
  int callframe10406 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  Object call10407 = callmethodflags(*var_each, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10406);
// compiled member node returning call10407 (depth = 7)
  int op_slot_left_10404 = gc_frame_newslot(call10407);
  params[0] = *var_oLine;
  partcv[0] = 1;
  Object opresult10408 = callmethod(call10407, "==(1)", 1, partcv, params);
// compiled op node returning opresult10408 (depth = 6)
  int op_slot_left_10393 = gc_frame_newslot(opresult10408);
  params[0] = opresult10402;
  partcv[0] = 1;
  Object opresult10409 = callmethod(opresult10408, "||(1)", 1, partcv, params);
// compiled op node returning opresult10409 (depth = 5)
  *var_isPostComment = opresult10409;
  if (opresult10409 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3239
  setline(3239);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num10413 = alloc_Float64(1);
// compiled num node returning num10413 (depth = 8)
  int op_slot_right_10412 = gc_frame_newslot(num10413);
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_oLine (depth = 8)
  int op_slot_left_10412 = gc_frame_newslot(*var_oLine);
  params[0] = num10413;
  partcv[0] = 1;
  Object diff10415 = callmethod(*var_oLine, "-(1)", 1, partcv, params);
// compiled op node returning diff10415 (depth = 7)
  int op_slot_right_10411 = gc_frame_newslot(diff10415);
// starting to compile member node (depth = 7)
  int callframe10417 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_each (depth = 8)
  Object call10418 = callmethodflags(*var_each, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe10417);
// compiled member node returning call10418 (depth = 7)
  int op_slot_left_10411 = gc_frame_newslot(call10418);
  params[0] = diff10415;
  partcv[0] = 1;
  Object opresult10419 = callmethod(call10418, "==(1)", 1, partcv, params);
// compiled op node returning opresult10419 (depth = 6)
  int op_slot_right_10410 = gc_frame_newslot(opresult10419);
// starting to compile member node (depth = 6)
  int callframe10421 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_each (depth = 7)
  Object call10422 = callmethodflags(*var_each, "isPreceededByBlankLine", 0, partcv, params, 0);
  gc_frame_end(callframe10421);
// compiled member node returning call10422 (depth = 6)
  int op_slot_left_10410 = gc_frame_newslot(call10422);
  params[0] = opresult10419;
  partcv[0] = 1;
  Object opresult10423 = callmethod(call10422, "&&(1)", 1, partcv, params);
// compiled op node returning opresult10423 (depth = 5)
  *var_isPreComment = opresult10423;
  if (opresult10423 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3240
  setline(3240);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_isPostComment (depth = 5)
  Object if10424 = done;
  if (istrue(*var_isPostComment)) {
// Begin line 3241
  setline(3241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10425 = gc_frame_new();
// starting to compile call node (depth = 6)
  int callframe10426 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_ix (depth = 7)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_comments (depth = 7)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call10427 = callmethodflags(*var_comments, "removeAt(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10426);
// compiled call node returning call10427 (depth = 6)
  gc_frame_newslot(call10427);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_postComments (depth = 6)
  params[0] = call10427;
  partcv[0] = 1;
  Object call10428 = callmethodflags(*var_postComments, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10425);
// compiled call node returning call10428 (depth = 5)
    gc_frame_newslot(call10428);
    if10424 = call10428;
  } else {
// Begin line 3244
  setline(3244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// Begin line 3242
  setline(3242);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_isPreComment (depth = 6)
  Object if10429 = done;
  if (istrue(*var_isPreComment)) {
// Begin line 3243
  setline(3243);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10430 = gc_frame_new();
// starting to compile call node (depth = 7)
  int callframe10431 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_ix (depth = 8)
  gc_frame_newslot(*var_ix);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_comments (depth = 8)
  params[0] = *var_ix;
  partcv[0] = 1;
  Object call10432 = callmethodflags(*var_comments, "removeAt(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10431);
// compiled call node returning call10432 (depth = 7)
  gc_frame_newslot(call10432);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_preComments (depth = 7)
  params[0] = call10432;
  partcv[0] = 1;
  Object call10433 = callmethodflags(*var_preComments, "addFirst(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10430);
// compiled call node returning call10433 (depth = 6)
    gc_frame_newslot(call10433);
    if10429 = call10433;
  } else {
// Begin line 3247
  setline(3247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// Begin line 3244
  setline(3244);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 7)
// starting to compile op node (depth = 8)
// starting to compile num node (depth = 9)
  Object num10437 = alloc_Float64(1);
// compiled num node returning num10437 (depth = 9)
  int op_slot_right_10436 = gc_frame_newslot(num10437);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_oLine (depth = 9)
  int op_slot_left_10436 = gc_frame_newslot(*var_oLine);
  params[0] = num10437;
  partcv[0] = 1;
  Object diff10439 = callmethod(*var_oLine, "-(1)", 1, partcv, params);
// compiled op node returning diff10439 (depth = 8)
  int op_slot_right_10435 = gc_frame_newslot(diff10439);
// starting to compile member node (depth = 8)
  int callframe10441 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_each (depth = 9)
  Object call10442 = callmethodflags(*var_each, "endLine", 0, partcv, params, 0);
  gc_frame_end(callframe10441);
// compiled member node returning call10442 (depth = 8)
  int op_slot_left_10435 = gc_frame_newslot(call10442);
  params[0] = diff10439;
  partcv[0] = 1;
  Object opresult10443 = callmethod(call10442, "<(1)", 1, partcv, params);
// compiled op node returning opresult10443 (depth = 7)
  Object if10434 = done;
  if (istrue(opresult10443)) {
// Begin line 3245
  setline(3245);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile num node (depth = 8)
  Object num10444 = alloc_Float64(0);
// compiled num node returning num10444 (depth = 8)
  *var_ix = num10444;
  if (num10444 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
    gc_frame_newslot(done);
    if10434 = done;
  } else {
  }
// compiled if node returning if10434 (depth = 6)
    gc_frame_newslot(if10434);
    if10429 = if10434;
  }
// compiled if node returning if10429 (depth = 5)
    gc_frame_newslot(if10429);
    if10424 = if10429;
  }
// compiled if node returning if10424 (depth = 4)
// Begin line 3247
  setline(3247);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile num node (depth = 6)
  Object num10447 = alloc_Float64(1);
// compiled num node returning num10447 (depth = 6)
  int op_slot_right_10446 = gc_frame_newslot(num10447);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_ix (depth = 6)
  int op_slot_left_10446 = gc_frame_newslot(*var_ix);
  params[0] = num10447;
  partcv[0] = 1;
  Object diff10449 = callmethod(*var_ix, "-(1)", 1, partcv, params);
// compiled op node returning diff10449 (depth = 5)
  *var_ix = diff10449;
  if (diff10449 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_reconcileComments10358(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 74, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(8, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "reconcileComments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[2];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_moduleObject = getfromclosure(closure, 1);
  Object *var_done = getfromclosure(closure, 2);
  Object *var_comments = getfromclosure(closure, 3);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_node = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "node");
  Object *var_oLine = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "oLine");
  Object *var_preComments = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "preComments");
  Object *var_postComments = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "postComments");
  Object *var_ix = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "ix");
  Object *var_postSz = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "postSz");
  Object *var_preSz = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "preSz");
// Begin line 3220
  setline(3220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe10359 = gc_frame_new();
// call case 4: self request
  Object call10360 = callmethodflags(self, "pushComments", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10359);
// compiled member node returning call10360 (depth = 2)
// Begin line 3221
  setline(3221);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile if node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10362 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call10363 = callmethodflags(*var_values, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10362);
// compiled member node returning call10363 (depth = 4)
  Object if10361 = done;
struct StackFrameObject *iftmpstackframe10361 = stackframe;
  if (istrue(call10363)) {
stackframe = alloc_StackFrame(0, iftmpstackframe10361);
gc_frame_newslot((Object)stackframe);
// Begin line 3222
  setline(3222);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleObject (depth = 4)
    gc_frame_newslot(*var_moduleObject);
    if10361 = *var_moduleObject;
  } else {
  stackframe = alloc_StackFrame(0, iftmpstackframe10361);
  gc_frame_newslot((Object)stackframe);
// Begin line 3224
  setline(3224);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10364 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_values (depth = 5)
  Object call10365 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10364);
// compiled member node returning call10365 (depth = 4)
    gc_frame_newslot(call10365);
    if10361 = call10365;
  }
stackframe = iftmpstackframe10361;
// compiled if node returning if10361 (depth = 3)
  *var_node = if10361;
  if (if10361 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3226
  setline(3226);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10368 == NULL) {
    strlit10368 = alloc_String("lbrace");
    gc_root(strlit10368);
  }
// compiled string node returning strlit10368 (depth = 4)
  int op_slot_right_10367 = gc_frame_newslot(strlit10368);
// starting to compile member node (depth = 4)
  int callframe10370 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_node (depth = 5)
  Object call10371 = callmethodflags(*var_node, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10370);
// compiled member node returning call10371 (depth = 4)
  int op_slot_left_10367 = gc_frame_newslot(call10371);
  params[0] = strlit10368;
  partcv[0] = 1;
  Object opresult10372 = callmethod(call10371, "==(1)", 1, partcv, params);
// compiled op node returning opresult10372 (depth = 3)
  Object if10366 = done;
  if (istrue(opresult10372)) {
// Begin line 3229
  setline(3229);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// Begin line 3230
  setline(3230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_done (depth = 4)
  return *var_done;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if10366 = undefined;
  } else {
  }
// compiled if node returning if10366 (depth = 2)
// Begin line 3231
  setline(3231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe10373 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_node (depth = 4)
  Object call10374 = callmethodflags(*var_node, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10373);
// compiled member node returning call10374 (depth = 3)
  *var_oLine = call10374;
  if (call10374 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3232
  setline(3232);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe10375 = gc_frame_new();
// call case 5: prelude request
  Object call10376 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10375);
// compiled member node returning call10376 (depth = 3)
  *var_preComments = call10376;
  if (call10376 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3233
  setline(3233);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe10377 = gc_frame_new();
// call case 5: prelude request
  Object call10378 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10377);
// compiled member node returning call10378 (depth = 3)
  *var_postComments = call10378;
  if (call10378 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3235
  setline(3235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe10379 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_comments (depth = 4)
  Object call10380 = callmethodflags(*var_comments, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10379);
// compiled member node returning call10380 (depth = 3)
  *var_ix = call10380;
  if (call10380 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3236
  setline(3236);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10381 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block10382 = alloc_Block(NULL, NULL, "parser", 3236);
  gc_frame_newslot(block10382);
// method "_apply"
  block_savedest(block10382);
  Object closure10383 = createclosure(2, "_apply");
  setclosureframe(closure10383, stackframe);
  addtoclosure(closure10383, var_ix);
  addtoclosure(closure10383, selfslot);
  struct UserObject *uo10383 = (struct UserObject*)block10382;
  uo10383->data[0] = (Object)closure10383;
  Method *meth_meth_parser__apply10383 = addmethod2pos(block10382, "_apply", &meth_parser__apply10383, 0);
  int argcv_meth_parser__apply10383[] = {0};
  meth_meth_parser__apply10383->type = alloc_MethodType(1, argcv_meth_parser__apply10383);
  meth_meth_parser__apply10383->definitionModule = modulename;
  meth_meth_parser__apply10383->definitionLine = 3404;
// compiled block node returning block10382 (depth = 3)
  gc_frame_newslot(block10382);
// starting to compile block node (depth = 3)
  Object block10389 = alloc_Block(NULL, NULL, "parser", 3236);
  gc_frame_newslot(block10389);
// method "_apply"
  block_savedest(block10389);
  Object closure10390 = createclosure(6, "_apply");
  setclosureframe(closure10390, stackframe);
  addtoclosure(closure10390, var_ix);
  addtoclosure(closure10390, var_comments);
  addtoclosure(closure10390, var_oLine);
  addtoclosure(closure10390, var_postComments);
  addtoclosure(closure10390, var_preComments);
  addtoclosure(closure10390, selfslot);
  struct UserObject *uo10390 = (struct UserObject*)block10389;
  uo10390->data[0] = (Object)closure10390;
  Method *meth_meth_parser__apply10390 = addmethod2pos(block10389, "_apply", &meth_parser__apply10390, 0);
  int argcv_meth_parser__apply10390[] = {0};
  meth_meth_parser__apply10390->type = alloc_MethodType(1, argcv_meth_parser__apply10390);
  meth_meth_parser__apply10390->definitionModule = modulename;
  meth_meth_parser__apply10390->definitionLine = 3404;
// compiled block node returning block10389 (depth = 3)
  gc_frame_newslot(block10389);
// call case 5: prelude request
  params[0] = block10382;
  params[1] = block10389;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10452 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10381);
// compiled call node returning call10452 (depth = 2)
// Begin line 3250
  setline(3250);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe10453 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_postComments (depth = 4)
  Object call10454 = callmethodflags(*var_postComments, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10453);
// compiled member node returning call10454 (depth = 3)
  *var_postSz = call10454;
  if (call10454 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3251
  setline(3251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe10455 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_preComments (depth = 4)
  Object call10456 = callmethodflags(*var_preComments, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10455);
// compiled member node returning call10456 (depth = 3)
  *var_preSz = call10456;
  if (call10456 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 2)
// Begin line 3253
  setline(3253);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10460 = alloc_Float64(1);
// compiled num node returning num10460 (depth = 5)
  int op_slot_right_10459 = gc_frame_newslot(num10460);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_preSz (depth = 5)
  int op_slot_left_10459 = gc_frame_newslot(*var_preSz);
  params[0] = num10460;
  partcv[0] = 1;
  Object opresult10462 = callmethod(*var_preSz, ">(1)", 1, partcv, params);
// compiled op node returning opresult10462 (depth = 4)
  int op_slot_right_10458 = gc_frame_newslot(opresult10462);
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10465 = alloc_Float64(1);
// compiled num node returning num10465 (depth = 5)
  int op_slot_right_10464 = gc_frame_newslot(num10465);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_postSz (depth = 5)
  int op_slot_left_10464 = gc_frame_newslot(*var_postSz);
  params[0] = num10465;
  partcv[0] = 1;
  Object opresult10467 = callmethod(*var_postSz, ">(1)", 1, partcv, params);
// compiled op node returning opresult10467 (depth = 4)
  int op_slot_left_10458 = gc_frame_newslot(opresult10467);
  params[0] = opresult10462;
  partcv[0] = 1;
  Object opresult10468 = callmethod(opresult10467, "&&(1)", 1, partcv, params);
// compiled op node returning opresult10468 (depth = 3)
  Object if10457 = done;
  if (istrue(opresult10468)) {
// Begin line 3254
  setline(3254);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10469 = gc_frame_new();
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10471 == NULL) {
    strlit10471 = alloc_String("""\x0a""");
    gc_root(strlit10471);
  }
// compiled string node returning strlit10471 (depth = 5)
  int op_slot_right_10470 = gc_frame_newslot(strlit10471);
// starting to compile member node (depth = 5)
  int callframe10473 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10474 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_preComments (depth = 7)
  Object call10475 = callmethodflags(*var_preComments, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10474);
// compiled member node returning call10475 (depth = 6)
  Object call10476 = callmethodflags(call10475, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10473);
// compiled member node returning call10476 (depth = 5)
  int op_slot_left_10470 = gc_frame_newslot(call10476);
  params[0] = strlit10471;
  partcv[0] = 1;
  Object opresult10477 = callmethod(call10476, "++(1)", 1, partcv, params);
// compiled op node returning opresult10477 (depth = 4)
  gc_frame_newslot(opresult10477);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10478 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_preComments (depth = 5)
  Object call10479 = callmethodflags(*var_preComments, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10478);
// compiled member node returning call10479 (depth = 4)
  params[0] = opresult10477;
  partcv[0] = 1;
  Object call10480 = callmethodflags(call10479, "value:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10469);
// compiled call node returning call10480 (depth = 3)
    gc_frame_newslot(call10480);
    if10457 = call10480;
  } else {
  }
// compiled if node returning if10457 (depth = 2)
// Begin line 3256
  setline(3256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10481 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_preComments (depth = 3)
  gc_frame_newslot(*var_preComments);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_node (depth = 3)
  params[0] = *var_preComments;
  partcv[0] = 1;
  Object call10482 = callmethodflags(*var_node, "addComments(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10481);
// compiled call node returning call10482 (depth = 2)
// Begin line 3257
  setline(3257);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10483 = gc_frame_new();
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_postComments (depth = 3)
  gc_frame_newslot(*var_postComments);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_node (depth = 3)
  params[0] = *var_postComments;
  partcv[0] = 1;
  Object call10484 = callmethodflags(*var_node, "addComments(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10483);
// compiled call node returning call10484 (depth = 2)
  gc_frame_end(frame);
  return call10484;
}
Object meth_parser_checkBadOperators10485(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 75, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(3, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkBadOperators");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
// Begin line 3261
  setline(3261);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10488 == NULL) {
    strlit10488 = alloc_String("=");
    gc_root(strlit10488);
  }
// compiled string node returning strlit10488 (depth = 4)
  int op_slot_right_10487 = gc_frame_newslot(strlit10488);
// starting to compile member node (depth = 4)
  int callframe10490 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10491 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10490);
// compiled member node returning call10491 (depth = 4)
  int op_slot_left_10487 = gc_frame_newslot(call10491);
  params[0] = strlit10488;
  partcv[0] = 1;
  Object opresult10492 = callmethod(call10491, "==(1)", 1, partcv, params);
// compiled op node returning opresult10492 (depth = 3)
  Object if10486 = done;
  if (istrue(opresult10492)) {
// Begin line 3262
  setline(3262);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10493 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10494 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call10495 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10494);
// compiled member node returning call10495 (depth = 5)
  Object call10496 = callmethodflags(call10495, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10493);
// compiled member node returning call10496 (depth = 4)
  *var_sugg = call10496;
  if (call10496 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3263
  setline(3263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10497 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10498 == NULL) {
    strlit10498 = alloc_String("=");
    gc_root(strlit10498);
  }
// compiled string node returning strlit10498 (depth = 4)
  gc_frame_newslot(strlit10498);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  params[0] = strlit10498;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10499 = callmethodflags(*var_sugg, "insert(1)afterToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10497);
// compiled call node returning call10499 (depth = 3)
// Begin line 3264
  setline(3264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10500 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10501 == NULL) {
    strlit10501 = alloc_String("use '==' to test equality, not '='.");
    gc_root(strlit10501);
  }
// compiled string node returning strlit10501 (depth = 4)
  gc_frame_newslot(strlit10501);
// Begin line 3265
  setline(3265);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10502 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10503 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10502);
// compiled member node returning call10503 (depth = 4)
  gc_frame_newslot(call10503);
// starting to compile member node (depth = 4)
  int callframe10504 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10505 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10504);
// compiled member node returning call10505 (depth = 4)
  gc_frame_newslot(call10505);
// starting to compile member node (depth = 4)
  int callframe10506 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10507 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10506);
// compiled member node returning call10507 (depth = 4)
  gc_frame_newslot(call10507);
// Begin line 3266
  setline(3266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  gc_frame_newslot(*var_sugg);
// call case 6: other requests
// Begin line 3264
  setline(3264);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit10501;
  params[1] = call10503;
  params[2] = call10505;
  params[3] = call10507;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10508 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10500);
// compiled call node returning call10508 (depth = 3)
    gc_frame_newslot(call10508);
    if10486 = call10508;
  } else {
  }
// compiled if node returning if10486 (depth = 2)
// Begin line 3268
  setline(3268);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10511 == NULL) {
    strlit10511 = alloc_String("rgeneric");
    gc_root(strlit10511);
  }
// compiled string node returning strlit10511 (depth = 4)
  int op_slot_right_10510 = gc_frame_newslot(strlit10511);
// starting to compile member node (depth = 4)
  int callframe10513 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10514 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10513);
// compiled member node returning call10514 (depth = 4)
  int op_slot_left_10510 = gc_frame_newslot(call10514);
  params[0] = strlit10511;
  partcv[0] = 1;
  Object opresult10515 = callmethod(call10514, "==(1)", 1, partcv, params);
// compiled op node returning opresult10515 (depth = 3)
  Object if10509 = done;
  if (istrue(opresult10515)) {
// Begin line 3269
  setline(3269);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10516 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10517 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call10518 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10517);
// compiled member node returning call10518 (depth = 5)
  Object call10519 = callmethodflags(call10518, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10516);
// compiled member node returning call10519 (depth = 4)
  *var_sugg = call10519;
  if (call10519 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3270
  setline(3270);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10520 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10521 == NULL) {
    strlit10521 = alloc_String(" ");
    gc_root(strlit10521);
  }
// compiled string node returning strlit10521 (depth = 4)
  gc_frame_newslot(strlit10521);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  params[0] = strlit10521;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10522 = callmethodflags(*var_sugg, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10520);
// compiled call node returning call10522 (depth = 3)
// Begin line 3271
  setline(3271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10523 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10524 == NULL) {
    strlit10524 = alloc_String("the '>' operator must be preceded by a space.");
    gc_root(strlit10524);
  }
// compiled string node returning strlit10524 (depth = 4)
  gc_frame_newslot(strlit10524);
// Begin line 3272
  setline(3272);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10525 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10526 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10525);
// compiled member node returning call10526 (depth = 4)
  gc_frame_newslot(call10526);
// starting to compile member node (depth = 4)
  int callframe10527 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10528 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10527);
// compiled member node returning call10528 (depth = 4)
  gc_frame_newslot(call10528);
// starting to compile member node (depth = 4)
  int callframe10529 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10530 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10529);
// compiled member node returning call10530 (depth = 4)
  gc_frame_newslot(call10530);
// Begin line 3273
  setline(3273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  gc_frame_newslot(*var_sugg);
// call case 6: other requests
// Begin line 3271
  setline(3271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit10524;
  params[1] = call10526;
  params[2] = call10528;
  params[3] = call10530;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10531 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10523);
// compiled call node returning call10531 (depth = 3)
    gc_frame_newslot(call10531);
    if10509 = call10531;
  } else {
  }
// compiled if node returning if10509 (depth = 2)
  gc_frame_end(frame);
  return if10509;
}
Object meth_parser_checkBadTypeLiteral10532(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 76, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkBadTypeLiteral");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_sym = getfromclosure(closure, 0);
  Object *var_errormessages = getfromclosure(closure, 1);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
// Begin line 3278
  setline(3278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile string node (depth = 4)
  if (strlit10535 == NULL) {
    strlit10535 = alloc_String("lbrace");
    gc_root(strlit10535);
  }
// compiled string node returning strlit10535 (depth = 4)
  int op_slot_right_10534 = gc_frame_newslot(strlit10535);
// starting to compile member node (depth = 4)
  int callframe10537 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10538 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10537);
// compiled member node returning call10538 (depth = 4)
  int op_slot_left_10534 = gc_frame_newslot(call10538);
  params[0] = strlit10535;
  partcv[0] = 1;
  Object opresult10539 = callmethod(call10538, "==(1)", 1, partcv, params);
// compiled op node returning opresult10539 (depth = 3)
  Object if10533 = done;
  if (istrue(opresult10539)) {
// Begin line 3279
  setline(3279);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10540 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10541 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call10542 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10541);
// compiled member node returning call10542 (depth = 5)
  Object call10543 = callmethodflags(call10542, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10540);
// compiled member node returning call10543 (depth = 4)
  *var_sugg = call10543;
  if (call10543 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3280
  setline(3280);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10544 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10545 == NULL) {
    strlit10545 = alloc_String("type ");
    gc_root(strlit10545);
  }
// compiled string node returning strlit10545 (depth = 4)
  gc_frame_newslot(strlit10545);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sym (depth = 4)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  params[0] = strlit10545;
  params[1] = *var_sym;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10546 = callmethodflags(*var_sugg, "insert(1)beforeToken(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10544);
// compiled call node returning call10546 (depth = 3)
// Begin line 3281
  setline(3281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10547 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10548 == NULL) {
    strlit10548 = alloc_String("type literals must start with the keyword 'type'.");
    gc_root(strlit10548);
  }
// compiled string node returning strlit10548 (depth = 4)
  gc_frame_newslot(strlit10548);
// Begin line 3282
  setline(3282);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10549 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10550 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10549);
// compiled member node returning call10550 (depth = 4)
  gc_frame_newslot(call10550);
// starting to compile member node (depth = 4)
  int callframe10551 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10552 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10551);
// compiled member node returning call10552 (depth = 4)
  gc_frame_newslot(call10552);
// starting to compile member node (depth = 4)
  int callframe10553 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10554 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10553);
// compiled member node returning call10554 (depth = 4)
  gc_frame_newslot(call10554);
// Begin line 3283
  setline(3283);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  gc_frame_newslot(*var_sugg);
// call case 6: other requests
// Begin line 3281
  setline(3281);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit10548;
  params[1] = call10550;
  params[2] = call10552;
  params[3] = call10554;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10555 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10547);
// compiled call node returning call10555 (depth = 3)
    gc_frame_newslot(call10555);
    if10533 = call10555;
  } else {
  }
// compiled if node returning if10533 (depth = 2)
  gc_frame_end(frame);
  return if10533;
}
Object meth_parser__apply10660(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10662 == NULL) {
    strlit10662 = alloc_String("identifier");
    gc_root(strlit10662);
  }
// compiled string node returning strlit10662 (depth = 8)
  int op_slot_right_10661 = gc_frame_newslot(strlit10662);
// starting to compile member node (depth = 8)
  int callframe10664 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call10665 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10664);
// compiled member node returning call10665 (depth = 8)
  int op_slot_left_10661 = gc_frame_newslot(call10665);
  params[0] = strlit10662;
  partcv[0] = 1;
  Object opresult10666 = callmethod(call10665, "==(1)", 1, partcv, params);
// compiled op node returning opresult10666 (depth = 7)
  gc_frame_end(frame);
  return opresult10666;
}
Object meth_parser__apply10674(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 10)
// starting to compile string node (depth = 11)
  if (strlit10676 == NULL) {
    strlit10676 = alloc_String("member");
    gc_root(strlit10676);
  }
// compiled string node returning strlit10676 (depth = 11)
  int op_slot_right_10675 = gc_frame_newslot(strlit10676);
// starting to compile member node (depth = 11)
  int callframe10678 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 12)
  int callframe10679 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 13)
// compiled identifier node returning *var_values (depth = 13)
  Object call10680 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10679);
// compiled member node returning call10680 (depth = 12)
  Object call10681 = callmethodflags(call10680, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10678);
// compiled member node returning call10681 (depth = 11)
  int op_slot_left_10675 = gc_frame_newslot(call10681);
  params[0] = strlit10676;
  partcv[0] = 1;
  Object opresult10682 = callmethod(call10681, "==(1)", 1, partcv, params);
// compiled op node returning opresult10682 (depth = 10)
  gc_frame_end(frame);
  return opresult10682;
}
Object meth_parser__apply10671(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 8)
// starting to compile block node (depth = 9)
  Object block10673 = alloc_Block(NULL, NULL, "parser", 3313);
  gc_frame_newslot(block10673);
// method "_apply"
  block_savedest(block10673);
  Object closure10674 = createclosure(2, "_apply");
  setclosureframe(closure10674, stackframe);
  addtoclosure(closure10674, var_values);
  addtoclosure(closure10674, selfslot);
  struct UserObject *uo10674 = (struct UserObject*)block10673;
  uo10674->data[0] = (Object)closure10674;
  Method *meth_meth_parser__apply10674 = addmethod2pos(block10673, "_apply", &meth_parser__apply10674, 0);
  int argcv_meth_parser__apply10674[] = {0};
  meth_meth_parser__apply10674->type = alloc_MethodType(1, argcv_meth_parser__apply10674);
  meth_meth_parser__apply10674->definitionModule = modulename;
  meth_meth_parser__apply10674->definitionLine = 3404;
// compiled block node returning block10673 (depth = 9)
  int op_slot_right_10672 = gc_frame_newslot(block10673);
// starting to compile op node (depth = 9)
// starting to compile string node (depth = 10)
  if (strlit10686 == NULL) {
    strlit10686 = alloc_String("identifier");
    gc_root(strlit10686);
  }
// compiled string node returning strlit10686 (depth = 10)
  int op_slot_right_10685 = gc_frame_newslot(strlit10686);
// starting to compile member node (depth = 10)
  int callframe10688 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 11)
  int callframe10689 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 12)
// compiled identifier node returning *var_values (depth = 12)
  Object call10690 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10689);
// compiled member node returning call10690 (depth = 11)
  Object call10691 = callmethodflags(call10690, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10688);
// compiled member node returning call10691 (depth = 10)
  int op_slot_left_10685 = gc_frame_newslot(call10691);
  params[0] = strlit10686;
  partcv[0] = 1;
  Object opresult10692 = callmethod(call10691, "==(1)", 1, partcv, params);
// compiled op node returning opresult10692 (depth = 9)
  int op_slot_left_10672 = gc_frame_newslot(opresult10692);
  params[0] = block10673;
  partcv[0] = 1;
  Object opresult10693 = callmethod(opresult10692, "||(1)", 1, partcv, params);
// compiled op node returning opresult10693 (depth = 8)
  gc_frame_end(frame);
  return opresult10693;
}
Object meth_parser_checkUnexpectedTokenAfterStatement10556(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 77, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(10, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "checkUnexpectedTokenAfterStatement");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[4];
  Object *var_lastToken = getfromclosure(closure, 0);
  Object *var_sym = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_values = getfromclosure(closure, 3);
  Object *var_util = getfromclosure(closure, 4);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "sugg");
  Object *var_suggestions = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "suggestions");
  Object *var_sugg2 = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "sugg2");
  Object *var_suggestion = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "suggestion");
  Object *var_n = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "n");
  Object *var_nextTok = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "nextTok");
  Object *var_newLine = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "newLine");
// Begin line 3288
  setline(3288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10559 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_lastToken (depth = 5)
  Object call10560 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10559);
// compiled member node returning call10560 (depth = 4)
  int op_slot_right_10558 = gc_frame_newslot(call10560);
// starting to compile member node (depth = 4)
  int callframe10562 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10563 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10562);
// compiled member node returning call10563 (depth = 4)
  int op_slot_left_10558 = gc_frame_newslot(call10563);
  params[0] = call10560;
  partcv[0] = 1;
  Object opresult10564 = callmethod(call10563, "==(1)", 1, partcv, params);
// compiled op node returning opresult10564 (depth = 3)
  Object if10557 = done;
  if (istrue(opresult10564)) {
// Begin line 3289
  setline(3289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// Begin line 3290
  setline(3290);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile string node (depth = 6)
  if (strlit10568 == NULL) {
    strlit10568 = alloc_String("identifier");
    gc_root(strlit10568);
  }
// compiled string node returning strlit10568 (depth = 6)
  int op_slot_right_10567 = gc_frame_newslot(strlit10568);
// starting to compile member node (depth = 6)
  int callframe10570 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call10571 = callmethodflags(*var_lastToken, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10570);
// compiled member node returning call10571 (depth = 6)
  int op_slot_left_10567 = gc_frame_newslot(call10571);
  params[0] = strlit10568;
  partcv[0] = 1;
  Object opresult10572 = callmethod(call10571, "==(1)", 1, partcv, params);
// compiled op node returning opresult10572 (depth = 5)
  int op_slot_right_10566 = gc_frame_newslot(opresult10572);
// Begin line 3289
  setline(3289);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10576 == NULL) {
    strlit10576 = alloc_String("=");
    gc_root(strlit10576);
  }
// compiled string node returning strlit10576 (depth = 7)
  int op_slot_right_10575 = gc_frame_newslot(strlit10576);
// starting to compile member node (depth = 7)
  int callframe10578 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call10579 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10578);
// compiled member node returning call10579 (depth = 7)
  int op_slot_left_10575 = gc_frame_newslot(call10579);
  params[0] = strlit10576;
  partcv[0] = 1;
  Object opresult10580 = callmethod(call10579, "==(1)", 1, partcv, params);
// compiled op node returning opresult10580 (depth = 6)
  int op_slot_right_10574 = gc_frame_newslot(opresult10580);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10583 == NULL) {
    strlit10583 = alloc_String("op");
    gc_root(strlit10583);
  }
// compiled string node returning strlit10583 (depth = 7)
  int op_slot_right_10582 = gc_frame_newslot(strlit10583);
// starting to compile member node (depth = 7)
  int callframe10585 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call10586 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10585);
// compiled member node returning call10586 (depth = 7)
  int op_slot_left_10582 = gc_frame_newslot(call10586);
  params[0] = strlit10583;
  partcv[0] = 1;
  Object opresult10587 = callmethod(call10586, "==(1)", 1, partcv, params);
// compiled op node returning opresult10587 (depth = 6)
  int op_slot_left_10574 = gc_frame_newslot(opresult10587);
  params[0] = opresult10580;
  partcv[0] = 1;
  Object opresult10588 = callmethod(opresult10587, "&&(1)", 1, partcv, params);
// compiled op node returning opresult10588 (depth = 5)
  int op_slot_left_10566 = gc_frame_newslot(opresult10588);
  params[0] = opresult10572;
  partcv[0] = 1;
  Object opresult10589 = callmethod(opresult10588, "&&(1)", 1, partcv, params);
// compiled op node returning opresult10589 (depth = 4)
  Object if10565 = done;
  if (istrue(opresult10589)) {
// Begin line 3291
  setline(3291);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10590 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10591 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call10592 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10591);
// compiled member node returning call10592 (depth = 6)
  Object call10593 = callmethodflags(call10592, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10590);
// compiled member node returning call10593 (depth = 5)
  *var_sugg = call10593;
  if (call10593 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3292
  setline(3292);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array10594 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10594 (depth = 5)
  *var_suggestions = array10594;
  if (array10594 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3293
  setline(3293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10595 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 5)
  Object bool10596 = alloc_Boolean(0);
// compiled identifier node returning bool10596 (depth = 5)
  gc_frame_newslot(bool10596);
// starting to compile identifier node (depth = 5)
  Object bool10597 = alloc_Boolean(0);
// compiled identifier node returning bool10597 (depth = 5)
  gc_frame_newslot(bool10597);
// starting to compile string node (depth = 5)
  if (strlit10598 == NULL) {
    strlit10598 = alloc_String(":=");
    gc_root(strlit10598);
  }
// compiled string node returning strlit10598 (depth = 5)
  gc_frame_newslot(strlit10598);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg (depth = 5)
  params[0] = *var_sym;
  params[1] = bool10596;
  params[2] = bool10597;
  params[3] = strlit10598;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10599 = callmethodflags(*var_sugg, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe10595);
// compiled call node returning call10599 (depth = 4)
// Begin line 3294
  setline(3294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10600 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg (depth = 5)
  gc_frame_newslot(*var_sugg);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_sugg;
  partcv[0] = 1;
  Object call10601 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10600);
// compiled call node returning call10601 (depth = 4)
// Begin line 3295
  setline(3295);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10602 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10603 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call10604 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10603);
// compiled member node returning call10604 (depth = 6)
  Object call10605 = callmethodflags(call10604, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10602);
// compiled member node returning call10605 (depth = 5)
  *var_sugg2 = call10605;
  if (call10605 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3296
  setline(3296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10606 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 5)
  Object bool10607 = alloc_Boolean(0);
// compiled identifier node returning bool10607 (depth = 5)
  gc_frame_newslot(bool10607);
// starting to compile identifier node (depth = 5)
  Object bool10608 = alloc_Boolean(0);
// compiled identifier node returning bool10608 (depth = 5)
  gc_frame_newslot(bool10608);
// starting to compile string node (depth = 5)
  if (strlit10609 == NULL) {
    strlit10609 = alloc_String("==");
    gc_root(strlit10609);
  }
// compiled string node returning strlit10609 (depth = 5)
  gc_frame_newslot(strlit10609);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg2 (depth = 5)
  params[0] = *var_sym;
  params[1] = bool10607;
  params[2] = bool10608;
  params[3] = strlit10609;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10610 = callmethodflags(*var_sugg2, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe10606);
// compiled call node returning call10610 (depth = 4)
// Begin line 3297
  setline(3297);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10611 = gc_frame_new();
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg2 (depth = 5)
  gc_frame_newslot(*var_sugg2);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  params[0] = *var_sugg2;
  partcv[0] = 1;
  Object call10612 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10611);
// compiled call node returning call10612 (depth = 4)
// Begin line 3298
  setline(3298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10613 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10614 == NULL) {
    strlit10614 = alloc_String("assignment uses ':=', not '='.");
    gc_root(strlit10614);
  }
// compiled string node returning strlit10614 (depth = 5)
  gc_frame_newslot(strlit10614);
// Begin line 3299
  setline(3299);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10615 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10616 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10615);
// compiled member node returning call10616 (depth = 5)
  gc_frame_newslot(call10616);
// starting to compile member node (depth = 5)
  int callframe10617 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10618 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10617);
// compiled member node returning call10618 (depth = 5)
  gc_frame_newslot(call10618);
// starting to compile member node (depth = 5)
  int callframe10619 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10620 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10619);
// compiled member node returning call10620 (depth = 5)
  gc_frame_newslot(call10620);
// Begin line 3300
  setline(3300);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 3298
  setline(3298);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10614;
  params[1] = call10616;
  params[2] = call10618;
  params[3] = call10620;
  params[4] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10621 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10613);
// compiled call node returning call10621 (depth = 4)
    gc_frame_newslot(call10621);
    if10565 = call10621;
  } else {
  }
// compiled if node returning if10565 (depth = 3)
// Begin line 3302
  setline(3302);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10624 == NULL) {
    strlit10624 = alloc_String("rgeneric");
    gc_root(strlit10624);
  }
// compiled string node returning strlit10624 (depth = 5)
  int op_slot_right_10623 = gc_frame_newslot(strlit10624);
// starting to compile member node (depth = 5)
  int callframe10626 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10627 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10626);
// compiled member node returning call10627 (depth = 5)
  int op_slot_left_10623 = gc_frame_newslot(call10627);
  params[0] = strlit10624;
  partcv[0] = 1;
  Object opresult10628 = callmethod(call10627, "==(1)", 1, partcv, params);
// compiled op node returning opresult10628 (depth = 4)
  Object if10622 = done;
  if (istrue(opresult10628)) {
// Begin line 3303
  setline(3303);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe10629 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 6)
  int callframe10630 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_errormessages (depth = 7)
  Object call10631 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10630);
// compiled member node returning call10631 (depth = 6)
  Object call10632 = callmethodflags(call10631, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10629);
// compiled member node returning call10632 (depth = 5)
  *var_sugg = call10632;
  if (call10632 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3304
  setline(3304);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10633 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10634 == NULL) {
    strlit10634 = alloc_String(" ");
    gc_root(strlit10634);
  }
// compiled string node returning strlit10634 (depth = 5)
  gc_frame_newslot(strlit10634);
// starting to compile member node (depth = 5)
  int callframe10635 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10636 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10635);
// compiled member node returning call10636 (depth = 5)
  gc_frame_newslot(call10636);
// starting to compile member node (depth = 5)
  int callframe10637 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10638 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10637);
// compiled member node returning call10638 (depth = 5)
  gc_frame_newslot(call10638);
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg (depth = 5)
  params[0] = strlit10634;
  params[1] = call10636;
  params[2] = call10638;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10639 = callmethodflags(*var_sugg, "insert(1)atPosition(1)onLine(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10633);
// compiled call node returning call10639 (depth = 4)
// Begin line 3305
  setline(3305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10640 = gc_frame_new();
// Begin line 3306
  setline(3306);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 5)
  if (strlit10641 == NULL) {
    strlit10641 = alloc_String("The '>' operator must have a space before it.");
    gc_root(strlit10641);
  }
// compiled string node returning strlit10641 (depth = 5)
  gc_frame_newslot(strlit10641);
// Begin line 3307
  setline(3307);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10642 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10643 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10642);
// compiled member node returning call10643 (depth = 5)
  gc_frame_newslot(call10643);
// starting to compile member node (depth = 5)
  int callframe10644 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10645 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10644);
// compiled member node returning call10645 (depth = 5)
  gc_frame_newslot(call10645);
// starting to compile member node (depth = 5)
  int callframe10646 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10647 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10646);
// compiled member node returning call10647 (depth = 5)
  gc_frame_newslot(call10647);
// Begin line 3308
  setline(3308);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sugg (depth = 5)
  gc_frame_newslot(*var_sugg);
// call case 6: other requests
// Begin line 3305
  setline(3305);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10641;
  params[1] = call10643;
  params[2] = call10645;
  params[3] = call10647;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10648 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10640);
// compiled call node returning call10648 (depth = 4)
    gc_frame_newslot(call10648);
    if10622 = call10648;
  } else {
  }
// compiled if node returning if10622 (depth = 3)
// Begin line 3310
  setline(3310);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 3)
// starting to compile op node (depth = 4)
// starting to compile string node (depth = 5)
  if (strlit10651 == NULL) {
    strlit10651 = alloc_String("rbrace");
    gc_root(strlit10651);
  }
// compiled string node returning strlit10651 (depth = 5)
  int op_slot_right_10650 = gc_frame_newslot(strlit10651);
// starting to compile member node (depth = 5)
  int callframe10653 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10654 = callmethodflags(*var_sym, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10653);
// compiled member node returning call10654 (depth = 5)
  int op_slot_left_10650 = gc_frame_newslot(call10654);
  params[0] = strlit10651;
  partcv[0] = 1;
  Object opresult10655 = callmethod(call10654, "≠(1)", 1, partcv, params);
// compiled op node returning opresult10655 (depth = 4)
  Object if10649 = done;
  if (istrue(opresult10655)) {
// Begin line 3311
  setline(3311);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile array node (depth = 5)
  Object array10656 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array10656 (depth = 5)
  *var_suggestions = array10656;
  if (array10656 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3312
  setline(3312);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 4)
  *var_suggestion = undefined;
// compiled vardec node returning done (depth = 4)
// Begin line 3313
  setline(3313);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile block node (depth = 6)
  Object block10659 = alloc_Block(NULL, NULL, "parser", 3313);
  gc_frame_newslot(block10659);
// method "_apply"
  block_savedest(block10659);
  Object closure10660 = createclosure(2, "_apply");
  setclosureframe(closure10660, stackframe);
  addtoclosure(closure10660, var_sym);
  addtoclosure(closure10660, selfslot);
  struct UserObject *uo10660 = (struct UserObject*)block10659;
  uo10660->data[0] = (Object)closure10660;
  Method *meth_meth_parser__apply10660 = addmethod2pos(block10659, "_apply", &meth_parser__apply10660, 0);
  int argcv_meth_parser__apply10660[] = {0};
  meth_meth_parser__apply10660->type = alloc_MethodType(1, argcv_meth_parser__apply10660);
  meth_meth_parser__apply10660->definitionModule = modulename;
  meth_meth_parser__apply10660->definitionLine = 3404;
// compiled block node returning block10659 (depth = 6)
  int op_slot_right_10658 = gc_frame_newslot(block10659);
// starting to compile op node (depth = 6)
// starting to compile block node (depth = 7)
  Object block10670 = alloc_Block(NULL, NULL, "parser", 3313);
  gc_frame_newslot(block10670);
// method "_apply"
  block_savedest(block10670);
  Object closure10671 = createclosure(2, "_apply");
  setclosureframe(closure10671, stackframe);
  addtoclosure(closure10671, var_values);
  addtoclosure(closure10671, selfslot);
  struct UserObject *uo10671 = (struct UserObject*)block10670;
  uo10671->data[0] = (Object)closure10671;
  Method *meth_meth_parser__apply10671 = addmethod2pos(block10670, "_apply", &meth_parser__apply10671, 0);
  int argcv_meth_parser__apply10671[] = {0};
  meth_meth_parser__apply10671->type = alloc_MethodType(1, argcv_meth_parser__apply10671);
  meth_meth_parser__apply10671->definitionModule = modulename;
  meth_meth_parser__apply10671->definitionLine = 3404;
// compiled block node returning block10670 (depth = 7)
  int op_slot_right_10669 = gc_frame_newslot(block10670);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num10697 = alloc_Float64(0);
// compiled num node returning num10697 (depth = 8)
  int op_slot_right_10696 = gc_frame_newslot(num10697);
// starting to compile member node (depth = 8)
  int callframe10699 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call10700 = callmethodflags(*var_values, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10699);
// compiled member node returning call10700 (depth = 8)
  int op_slot_left_10696 = gc_frame_newslot(call10700);
  params[0] = num10697;
  partcv[0] = 1;
  Object opresult10701 = callmethod(call10700, ">(1)", 1, partcv, params);
// compiled op node returning opresult10701 (depth = 7)
  int op_slot_left_10669 = gc_frame_newslot(opresult10701);
  params[0] = block10670;
  partcv[0] = 1;
  Object opresult10702 = callmethod(opresult10701, "&&(1)", 1, partcv, params);
// compiled op node returning opresult10702 (depth = 6)
  int op_slot_left_10658 = gc_frame_newslot(opresult10702);
  params[0] = block10659;
  partcv[0] = 1;
  Object opresult10703 = callmethod(opresult10702, "&&(1)", 1, partcv, params);
// compiled op node returning opresult10703 (depth = 5)
  Object if10657 = done;
  if (istrue(opresult10703)) {
// Begin line 3314
  setline(3314);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10704 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10705 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call10706 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10705);
// compiled member node returning call10706 (depth = 7)
  Object call10707 = callmethodflags(call10706, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10704);
// compiled member node returning call10707 (depth = 6)
  *var_suggestion = call10707;
  if (call10707 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 3315
  setline(3315);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10709 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
  Object bool10710 = alloc_Boolean(1);
// compiled identifier node returning bool10710 (depth = 6)
  gc_frame_newslot(bool10710);
// starting to compile identifier node (depth = 6)
  Object bool10711 = alloc_Boolean(0);
// compiled identifier node returning bool10711 (depth = 6)
  gc_frame_newslot(bool10711);
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10713 == NULL) {
    strlit10713 = alloc_String(")");
    gc_root(strlit10713);
  }
// compiled string node returning strlit10713 (depth = 7)
  int op_slot_right_10712 = gc_frame_newslot(strlit10713);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe10716 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call10717 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10716);
// compiled member node returning call10717 (depth = 8)
  int op_slot_right_10715 = gc_frame_newslot(call10717);
// starting to compile string node (depth = 8)
  if (strlit10719 == NULL) {
    strlit10719 = alloc_String("(");
    gc_root(strlit10719);
  }
// compiled string node returning strlit10719 (depth = 8)
  int op_slot_left_10715 = gc_frame_newslot(strlit10719);
  params[0] = call10717;
  partcv[0] = 1;
  Object opresult10720 = callmethod(strlit10719, "++(1)", 1, partcv, params);
// compiled op node returning opresult10720 (depth = 7)
  int op_slot_left_10712 = gc_frame_newslot(opresult10720);
  params[0] = strlit10713;
  partcv[0] = 1;
  Object opresult10721 = callmethod(opresult10720, "++(1)", 1, partcv, params);
// compiled op node returning opresult10721 (depth = 6)
  gc_frame_newslot(opresult10721);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = bool10710;
  params[2] = bool10711;
  params[3] = opresult10721;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10722 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe10709);
// compiled call node returning call10722 (depth = 5)
// Begin line 3316
  setline(3316);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10723 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10724 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10723);
// compiled call node returning call10724 (depth = 5)
// Begin line 3317
  setline(3317);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10727 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call10728 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe10727);
// compiled member node returning call10728 (depth = 7)
  int op_slot_right_10726 = gc_frame_newslot(call10728);
// starting to compile identifier node (depth = 7)
  Object bool10730 = alloc_Boolean(0);
// compiled identifier node returning bool10730 (depth = 7)
  int op_slot_left_10726 = gc_frame_newslot(bool10730);
  params[0] = call10728;
  partcv[0] = 1;
  Object opresult10731 = callmethod(bool10730, "≠(1)", 1, partcv, params);
// compiled op node returning opresult10731 (depth = 6)
  Object if10725 = done;
  if (istrue(opresult10731)) {
// Begin line 3318
  setline(3318);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10732 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call10733 = callmethodflags(*var_sym, "next", 0, partcv, params, 0);
  gc_frame_end(callframe10732);
// compiled member node returning call10733 (depth = 7)
  *var_n = call10733;
  if (call10733 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 3319
  setline(3319);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe10736 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call10737 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10736);
// compiled member node returning call10737 (depth = 8)
  int op_slot_right_10735 = gc_frame_newslot(call10737);
// starting to compile member node (depth = 8)
  int callframe10739 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_n (depth = 9)
  Object call10740 = callmethodflags(*var_n, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10739);
// compiled member node returning call10740 (depth = 8)
  int op_slot_left_10735 = gc_frame_newslot(call10740);
  params[0] = call10737;
  partcv[0] = 1;
  Object opresult10741 = callmethod(call10740, "==(1)", 1, partcv, params);
// compiled op node returning opresult10741 (depth = 7)
  Object if10734 = done;
  if (istrue(opresult10741)) {
// Begin line 3320
  setline(3320);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe10742 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe10743 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_errormessages (depth = 10)
  Object call10744 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10743);
// compiled member node returning call10744 (depth = 9)
  Object call10745 = callmethodflags(call10744, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10742);
// compiled member node returning call10745 (depth = 8)
  *var_suggestion = call10745;
  if (call10745 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 7)
// Begin line 3321
  setline(3321);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10747 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 8)
  Object bool10748 = alloc_Boolean(1);
// compiled identifier node returning bool10748 (depth = 8)
  gc_frame_newslot(bool10748);
// starting to compile identifier node (depth = 8)
  Object bool10749 = alloc_Boolean(0);
// compiled identifier node returning bool10749 (depth = 8)
  gc_frame_newslot(bool10749);
// starting to compile op node (depth = 8)
// starting to compile string node (depth = 9)
  if (strlit10751 == NULL) {
    strlit10751 = alloc_String("");
    gc_root(strlit10751);
  }
// compiled string node returning strlit10751 (depth = 9)
  int op_slot_right_10750 = gc_frame_newslot(strlit10751);
// starting to compile op node (depth = 9)
// starting to compile member node (depth = 10)
  int callframe10754 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_sym (depth = 11)
  Object call10755 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10754);
// compiled member node returning call10755 (depth = 10)
  int op_slot_right_10753 = gc_frame_newslot(call10755);
// starting to compile string node (depth = 10)
  if (strlit10757 == NULL) {
    strlit10757 = alloc_String("(");
    gc_root(strlit10757);
  }
// compiled string node returning strlit10757 (depth = 10)
  int op_slot_left_10753 = gc_frame_newslot(strlit10757);
  params[0] = call10755;
  partcv[0] = 1;
  Object opresult10758 = callmethod(strlit10757, "++(1)", 1, partcv, params);
// compiled op node returning opresult10758 (depth = 9)
  int op_slot_left_10750 = gc_frame_newslot(opresult10758);
  params[0] = strlit10751;
  partcv[0] = 1;
  Object opresult10759 = callmethod(opresult10758, "++(1)", 1, partcv, params);
// compiled op node returning opresult10759 (depth = 8)
  gc_frame_newslot(opresult10759);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = *var_sym;
  params[1] = bool10748;
  params[2] = bool10749;
  params[3] = opresult10759;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10760 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe10747);
// compiled call node returning call10760 (depth = 7)
// Begin line 3322
  setline(3322);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10761 = gc_frame_new();
// starting to compile string node (depth = 8)
  if (strlit10762 == NULL) {
    strlit10762 = alloc_String(")");
    gc_root(strlit10762);
  }
// compiled string node returning strlit10762 (depth = 8)
  gc_frame_newslot(strlit10762);
// starting to compile member node (depth = 8)
  int callframe10763 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call10764 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10763);
// compiled member node returning call10764 (depth = 8)
  gc_frame_newslot(call10764);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  params[0] = strlit10762;
  params[1] = call10764;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10765 = callmethodflags(*var_suggestion, "append(1)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10761);
// compiled call node returning call10765 (depth = 7)
// Begin line 3323
  setline(3323);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10766 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestion (depth = 8)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_suggestions (depth = 8)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10767 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10766);
// compiled call node returning call10767 (depth = 7)
    gc_frame_newslot(call10767);
    if10734 = call10767;
  } else {
  }
// compiled if node returning if10734 (depth = 6)
    gc_frame_newslot(if10734);
    if10725 = if10734;
  } else {
  }
// compiled if node returning if10725 (depth = 5)
// Begin line 3326
  setline(3326);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 5)
// starting to compile op node (depth = 6)
// starting to compile string node (depth = 7)
  if (strlit10770 == NULL) {
    strlit10770 = alloc_String("identifier");
    gc_root(strlit10770);
  }
// compiled string node returning strlit10770 (depth = 7)
  int op_slot_right_10769 = gc_frame_newslot(strlit10770);
// starting to compile member node (depth = 7)
  int callframe10772 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10773 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_values (depth = 9)
  Object call10774 = callmethodflags(*var_values, "last", 0, partcv, params, 0);
  gc_frame_end(callframe10773);
// compiled member node returning call10774 (depth = 8)
  Object call10775 = callmethodflags(call10774, "kind", 0, partcv, params, 0);
  gc_frame_end(callframe10772);
// compiled member node returning call10775 (depth = 7)
  int op_slot_left_10769 = gc_frame_newslot(call10775);
  params[0] = strlit10770;
  partcv[0] = 1;
  Object opresult10776 = callmethod(call10775, "==(1)", 1, partcv, params);
// compiled op node returning opresult10776 (depth = 6)
  Object if10768 = done;
  if (istrue(opresult10776)) {
// Begin line 3327
  setline(3327);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10777 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10778 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  Object call10779 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10778);
// compiled member node returning call10779 (depth = 8)
  Object call10780 = callmethodflags(call10779, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10777);
// compiled member node returning call10780 (depth = 7)
  *var_suggestion = call10780;
  if (call10780 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 6)
// Begin line 3328
  setline(3328);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10782 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 7)
  Object bool10783 = alloc_Boolean(0);
// compiled identifier node returning bool10783 (depth = 7)
  gc_frame_newslot(bool10783);
// starting to compile identifier node (depth = 7)
  Object bool10784 = alloc_Boolean(0);
// compiled identifier node returning bool10784 (depth = 7)
  gc_frame_newslot(bool10784);
// starting to compile op node (depth = 7)
// starting to compile string node (depth = 8)
  if (strlit10786 == NULL) {
    strlit10786 = alloc_String("""\x22""");
    gc_root(strlit10786);
  }
// compiled string node returning strlit10786 (depth = 8)
  int op_slot_right_10785 = gc_frame_newslot(strlit10786);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe10789 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call10790 = callmethodflags(*var_sym, "value", 0, partcv, params, 0);
  gc_frame_end(callframe10789);
// compiled member node returning call10790 (depth = 9)
  int op_slot_right_10788 = gc_frame_newslot(call10790);
// starting to compile string node (depth = 9)
  if (strlit10792 == NULL) {
    strlit10792 = alloc_String("""\x22""");
    gc_root(strlit10792);
  }
// compiled string node returning strlit10792 (depth = 9)
  int op_slot_left_10788 = gc_frame_newslot(strlit10792);
  params[0] = call10790;
  partcv[0] = 1;
  Object opresult10793 = callmethod(strlit10792, "++(1)", 1, partcv, params);
// compiled op node returning opresult10793 (depth = 8)
  int op_slot_left_10785 = gc_frame_newslot(opresult10793);
  params[0] = strlit10786;
  partcv[0] = 1;
  Object opresult10794 = callmethod(opresult10793, "++(1)", 1, partcv, params);
// compiled op node returning opresult10794 (depth = 7)
  gc_frame_newslot(opresult10794);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  params[0] = *var_sym;
  params[1] = bool10783;
  params[2] = bool10784;
  params[3] = opresult10794;
  partcv[0] = 1;
  partcv[1] = 1;
  partcv[2] = 1;
  partcv[3] = 1;
  Object call10795 = callmethodflags(*var_suggestion, "replaceToken(1)leading(1)trailing(1)with(1)", 4, partcv, params, 0);
  gc_frame_end(callframe10782);
// compiled call node returning call10795 (depth = 6)
// Begin line 3329
  setline(3329);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 6)
  int callframe10796 = gc_frame_new();
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestion (depth = 7)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_suggestions (depth = 7)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10797 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10796);
// compiled call node returning call10797 (depth = 6)
    gc_frame_newslot(call10797);
    if10768 = call10797;
  } else {
  }
// compiled if node returning if10768 (depth = 5)
    gc_frame_newslot(if10768);
    if10657 = if10768;
  } else {
  }
// compiled if node returning if10657 (depth = 4)
// Begin line 3332
  setline(3332);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 4)
// starting to compile call node (depth = 5)
  int callframe10798 = gc_frame_new();
// starting to compile array node (depth = 6)
  Object array10799 = alloc_BuiltinList();
  gc_pause();
// starting to compile string node (depth = 7)
  if (strlit10800 == NULL) {
    strlit10800 = alloc_String("rbrace");
    gc_root(strlit10800);
  }
// compiled string node returning strlit10800 (depth = 7)
  params[0] = strlit10800;
  partcv[0] = 1;
  callmethodflags(array10799, "push(1)", 1, partcv, params, CFLAG_SELF);
  gc_unpause();
// compiled array node returning array10799 (depth = 6)
  gc_frame_newslot(array10799);
// call case 4: self request
  params[0] = array10799;
  partcv[0] = 1;
  Object call10801 = callmethodflags(self, "findNextValidToken(1)", 1, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10798);
// compiled call node returning call10801 (depth = 5)
  *var_nextTok = call10801;
  if (call10801 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 4)
// Begin line 3333
  setline(3333);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  int op_slot_right_10803 = gc_frame_newslot(*var_sym);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_nextTok (depth = 6)
  int op_slot_left_10803 = gc_frame_newslot(*var_nextTok);
  params[0] = *var_sym;
  partcv[0] = 1;
  Object opresult10805 = callmethod(*var_nextTok, "==(1)", 1, partcv, params);
// compiled op node returning opresult10805 (depth = 5)
  Object if10802 = done;
  if (istrue(opresult10805)) {
// Begin line 3334
  setline(3334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10806 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10807 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call10808 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10807);
// compiled member node returning call10808 (depth = 7)
  Object call10809 = callmethodflags(call10808, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10806);
// compiled member node returning call10809 (depth = 6)
  *var_suggestion = call10809;
  if (call10809 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 3335
  setline(3335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10811 = gc_frame_new();
// starting to compile member node (depth = 6)
  int callframe10812 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_lastToken (depth = 7)
  Object call10813 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10812);
// compiled member node returning call10813 (depth = 6)
  gc_frame_newslot(call10813);
// starting to compile call node (depth = 6)
  int callframe10814 = gc_frame_new();
// starting to compile num node (depth = 7)
  Object num10815 = alloc_Float64(1);
// compiled num node returning num10815 (depth = 7)
  gc_frame_newslot(num10815);
// starting to compile op node (depth = 7)
// starting to compile num node (depth = 8)
  Object num10817 = alloc_Float64(1);
// compiled num node returning num10817 (depth = 8)
  int op_slot_right_10816 = gc_frame_newslot(num10817);
// starting to compile op node (depth = 8)
// starting to compile member node (depth = 9)
  int callframe10820 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call10821 = callmethodflags(*var_lastToken, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10820);
// compiled member node returning call10821 (depth = 9)
  int op_slot_right_10819 = gc_frame_newslot(call10821);
// starting to compile member node (depth = 9)
  int callframe10823 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_lastToken (depth = 10)
  Object call10824 = callmethodflags(*var_lastToken, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10823);
// compiled member node returning call10824 (depth = 9)
  int op_slot_left_10819 = gc_frame_newslot(call10824);
  params[0] = call10821;
  partcv[0] = 1;
  Object sum10825 = callmethod(call10824, "+(1)", 1, partcv, params);
// compiled op node returning sum10825 (depth = 8)
  int op_slot_left_10816 = gc_frame_newslot(sum10825);
  params[0] = num10817;
  partcv[0] = 1;
  Object diff10826 = callmethod(sum10825, "-(1)", 1, partcv, params);
// compiled op node returning diff10826 (depth = 7)
  gc_frame_newslot(diff10826);
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe10827 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe10828 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_lastToken (depth = 9)
  Object call10829 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10828);
// compiled member node returning call10829 (depth = 8)
  gc_frame_newslot(call10829);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10830 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  Object call10831 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe10830);
// compiled member node returning call10831 (depth = 8)
  params[0] = call10829;
  partcv[0] = 1;
  Object call10832 = callmethodflags(call10831, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10827);
// compiled call node returning call10832 (depth = 7)
  params[0] = num10815;
  params[1] = diff10826;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10833 = callmethodflags(call10832, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10814);
// compiled call node returning call10833 (depth = 6)
  gc_frame_newslot(call10833);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = call10813;
  params[1] = call10833;
  partcv[0] = 2;
  Object call10834 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10811);
// compiled call node returning call10834 (depth = 5)
// Begin line 3336
  setline(3336);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile call node (depth = 6)
  int callframe10835 = gc_frame_new();
// starting to compile member node (depth = 7)
  int callframe10836 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_sym (depth = 8)
  Object call10837 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10836);
// compiled member node returning call10837 (depth = 7)
  gc_frame_newslot(call10837);
// starting to compile member node (depth = 7)
  int callframe10838 = gc_frame_new();
// call case 6: other requests
// starting to compile call node (depth = 8)
  int callframe10839 = gc_frame_new();
// starting to compile member node (depth = 9)
  int callframe10840 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_sym (depth = 10)
  Object call10841 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10840);
// compiled member node returning call10841 (depth = 9)
  gc_frame_newslot(call10841);
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe10842 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_util (depth = 10)
  Object call10843 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe10842);
// compiled member node returning call10843 (depth = 9)
  params[0] = call10841;
  partcv[0] = 1;
  Object call10844 = callmethodflags(call10843, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10839);
// compiled call node returning call10844 (depth = 8)
  Object call10845 = callmethodflags(call10844, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10838);
// compiled member node returning call10845 (depth = 7)
  gc_frame_newslot(call10845);
// call case 6: other requests
// starting to compile call node (depth = 7)
  int callframe10846 = gc_frame_new();
// starting to compile member node (depth = 8)
  int callframe10847 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call10848 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10847);
// compiled member node returning call10848 (depth = 8)
  gc_frame_newslot(call10848);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10849 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_util (depth = 9)
  Object call10850 = callmethodflags(*var_util, "lines", 0, partcv, params, 0);
  gc_frame_end(callframe10849);
// compiled member node returning call10850 (depth = 8)
  params[0] = call10848;
  partcv[0] = 1;
  Object call10851 = callmethodflags(call10850, "at(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10846);
// compiled call node returning call10851 (depth = 7)
  params[0] = call10837;
  params[1] = call10845;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10852 = callmethodflags(call10851, "substringFrom(1)to(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10835);
// compiled call node returning call10852 (depth = 6)
  *var_newLine = call10852;
  if (call10852 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 3337
  setline(3337);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10853 = gc_frame_new();
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num10855 = alloc_Float64(0.1);
// compiled num node returning num10855 (depth = 7)
  int op_slot_right_10854 = gc_frame_newslot(num10855);
// starting to compile member node (depth = 7)
  int callframe10857 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_lastToken (depth = 8)
  Object call10858 = callmethodflags(*var_lastToken, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10857);
// compiled member node returning call10858 (depth = 7)
  int op_slot_left_10854 = gc_frame_newslot(call10858);
  params[0] = num10855;
  partcv[0] = 1;
  Object sum10859 = callmethod(call10858, "+(1)", 1, partcv, params);
// compiled op node returning sum10859 (depth = 6)
  gc_frame_newslot(sum10859);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_newLine (depth = 6)
  gc_frame_newslot(*var_newLine);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = sum10859;
  params[1] = *var_newLine;
  partcv[0] = 2;
  Object call10860 = callmethodflags(*var_suggestion, "addLine(2)", 1, partcv, params, 0);
  gc_frame_end(callframe10853);
// compiled call node returning call10860 (depth = 5)
// Begin line 3338
  setline(3338);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10861 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10862 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10861);
// compiled call node returning call10862 (depth = 5)
    gc_frame_newslot(call10862);
    if10802 = call10862;
  } else {
// Begin line 3340
  setline(3340);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe10863 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe10864 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call10865 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10864);
// compiled member node returning call10865 (depth = 7)
  Object call10866 = callmethodflags(call10865, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10863);
// compiled member node returning call10866 (depth = 6)
  *var_suggestion = call10866;
  if (call10866 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 5)
// Begin line 3341
  setline(3341);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10868 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// starting to compile member node (depth = 6)
  int callframe10869 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_nextTok (depth = 7)
  Object call10870 = callmethodflags(*var_nextTok, "prev", 0, partcv, params, 0);
  gc_frame_end(callframe10869);
// compiled member node returning call10870 (depth = 6)
  gc_frame_newslot(call10870);
// starting to compile identifier node (depth = 6)
  Object bool10871 = alloc_Boolean(1);
// compiled identifier node returning bool10871 (depth = 6)
  gc_frame_newslot(bool10871);
// starting to compile identifier node (depth = 6)
  Object bool10872 = alloc_Boolean(0);
// compiled identifier node returning bool10872 (depth = 6)
  gc_frame_newslot(bool10872);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  params[1] = call10870;
  params[2] = bool10871;
  params[3] = bool10872;
  partcv[0] = 2;
  partcv[1] = 1;
  partcv[2] = 1;
  Object call10873 = callmethodflags(*var_suggestion, "deleteTokenRange(2)leading(1)trailing(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10868);
// compiled call node returning call10873 (depth = 5)
// Begin line 3342
  setline(3342);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe10874 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestions (depth = 6)
  params[0] = *var_suggestion;
  partcv[0] = 1;
  Object call10875 = callmethodflags(*var_suggestions, "push(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10874);
// compiled call node returning call10875 (depth = 5)
    gc_frame_newslot(call10875);
    if10802 = call10875;
  }
// compiled if node returning if10802 (depth = 4)
// Begin line 3344
  setline(3344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10876 = gc_frame_new();
// starting to compile string node (depth = 5)
  if (strlit10877 == NULL) {
    strlit10877 = alloc_String("multiple statements must be separated by a newline or a semicolon. This is often caused by missing parentheses.");
    gc_root(strlit10877);
  }
// compiled string node returning strlit10877 (depth = 5)
  gc_frame_newslot(strlit10877);
// Begin line 3345
  setline(3345);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 5)
  int callframe10878 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10879 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10878);
// compiled member node returning call10879 (depth = 5)
  gc_frame_newslot(call10879);
// starting to compile member node (depth = 5)
  int callframe10880 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  Object call10881 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10880);
// compiled member node returning call10881 (depth = 5)
  gc_frame_newslot(call10881);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_suggestions (depth = 5)
  gc_frame_newslot(*var_suggestions);
// call case 6: other requests
// Begin line 3344
  setline(3344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_errormessages (depth = 5)
  params[0] = strlit10877;
  params[1] = call10879;
  params[2] = call10881;
  params[3] = *var_suggestions;
  partcv[0] = 1;
  partcv[1] = 2;
  partcv[2] = 1;
  Object call10882 = callmethodflags(*var_errormessages, "syntaxError(1)atPosition(2)withSuggestions(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10876);
// compiled call node returning call10882 (depth = 4)
    gc_frame_newslot(call10882);
    if10649 = call10882;
  } else {
  }
// compiled if node returning if10649 (depth = 3)
    gc_frame_newslot(if10649);
    if10557 = if10649;
  } else {
  }
// compiled if node returning if10557 (depth = 2)
  gc_frame_end(frame);
  return if10557;
}
Object meth_parser__apply10934(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  Object self = *(getfromclosure(closure, 1));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile op node (depth = 4)
// starting to compile num node (depth = 5)
  Object num10936 = alloc_Float64(0);
// compiled num node returning num10936 (depth = 5)
  int op_slot_right_10935 = gc_frame_newslot(num10936);
// starting to compile member node (depth = 5)
  int callframe10938 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  Object call10939 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10938);
// compiled member node returning call10939 (depth = 5)
  int op_slot_left_10935 = gc_frame_newslot(call10939);
  params[0] = num10936;
  partcv[0] = 1;
  Object opresult10940 = callmethod(call10939, ">(1)", 1, partcv, params);
// compiled op node returning opresult10940 (depth = 4)
  gc_frame_end(frame);
  return opresult10940;
}
Object meth_parser__apply10952(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object self = *(getfromclosure(closure, 0));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile member node (depth = 6)
  int callframe10953 = gc_frame_new();
// call case 4: self request
  Object call10954 = callmethodflags(self, "inheritsOrUses", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10953);
// compiled member node returning call10954 (depth = 6)
  gc_frame_end(frame);
  return call10954;
}
Object meth_parser__apply10957(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[4];
  int partcv[2];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_moduleObject = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object self = *(getfromclosure(closure, 3));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_parentNode = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "parentNode");
// Begin line 3376
  setline(3376);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10958 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_values (depth = 8)
  Object call10959 = callmethodflags(*var_values, "pop", 0, partcv, params, 0);
  gc_frame_end(callframe10958);
// compiled member node returning call10959 (depth = 7)
  *var_parentNode = call10959;
  if (call10959 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 6)
// Begin line 3377
  setline(3377);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 6)
// starting to compile member node (depth = 7)
  int callframe10961 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_parentNode (depth = 8)
  Object call10962 = callmethodflags(*var_parentNode, "isUse", 0, partcv, params, 0);
  gc_frame_end(callframe10961);
// compiled member node returning call10962 (depth = 7)
  Object if10960 = done;
  if (istrue(call10962)) {
// Begin line 3378
  setline(3378);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 7)
  int callframe10963 = gc_frame_new();
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_parentNode (depth = 8)
  gc_frame_newslot(*var_parentNode);
// call case 6: other requests
// starting to compile member node (depth = 8)
  int callframe10964 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_moduleObject (depth = 9)
  Object call10965 = callmethodflags(*var_moduleObject, "usedTraits", 0, partcv, params, 0);
  gc_frame_end(callframe10964);
// compiled member node returning call10965 (depth = 8)
  params[0] = *var_parentNode;
  partcv[0] = 1;
  Object call10966 = callmethodflags(call10965, "add(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10963);
// compiled call node returning call10966 (depth = 7)
    gc_frame_newslot(call10966);
    if10960 = call10966;
  } else {
// Begin line 3381
  setline(3381);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 7)
// Begin line 3379
  setline(3379);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 8)
  int callframe10968 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 9)
  int callframe10969 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_moduleObject (depth = 10)
  Object call10970 = callmethodflags(*var_moduleObject, "usedTraits", 0, partcv, params, 0);
  gc_frame_end(callframe10969);
// compiled member node returning call10970 (depth = 9)
  Object call10971 = callmethodflags(call10970, "isEmpty", 0, partcv, params, 0);
  gc_frame_end(callframe10968);
// compiled member node returning call10971 (depth = 8)
  Object if10967 = done;
  if (istrue(call10971)) {
// Begin line 3380
  setline(3380);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10972 = gc_frame_new();
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_parentNode (depth = 9)
  gc_frame_newslot(*var_parentNode);
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_moduleObject (depth = 9)
  params[0] = *var_parentNode;
  partcv[0] = 1;
  Object call10973 = callmethodflags(*var_moduleObject, "superclass:=(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10972);
// compiled call node returning call10973 (depth = 8)
    gc_frame_newslot(call10973);
    if10967 = call10973;
  } else {
// Begin line 3382
  setline(3382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 8)
  int callframe10974 = gc_frame_new();
// starting to compile op node (depth = 9)
// Begin line 3383
  setline(3383);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit10976 == NULL) {
    strlit10976 = alloc_String("before 'use' in a module.");
    gc_root(strlit10976);
  }
// compiled string node returning strlit10976 (depth = 10)
  int op_slot_right_10975 = gc_frame_newslot(strlit10976);
// Begin line 3382
  setline(3382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 10)
  if (strlit10978 == NULL) {
    strlit10978 = alloc_String("'inherit' must come ");
    gc_root(strlit10978);
  }
// compiled string node returning strlit10978 (depth = 10)
  int op_slot_left_10975 = gc_frame_newslot(strlit10978);
  params[0] = strlit10976;
  partcv[0] = 1;
  Object opresult10979 = callmethod(strlit10978, "++(1)", 1, partcv, params);
// compiled op node returning opresult10979 (depth = 9)
  gc_frame_newslot(opresult10979);
// Begin line 3384
  setline(3384);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 9)
  int callframe10980 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_parentNode (depth = 10)
  Object call10981 = callmethodflags(*var_parentNode, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10980);
// compiled member node returning call10981 (depth = 9)
  gc_frame_newslot(call10981);
// starting to compile member node (depth = 9)
  int callframe10982 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 10)
// compiled identifier node returning *var_parentNode (depth = 10)
  Object call10983 = callmethodflags(*var_parentNode, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10982);
// compiled member node returning call10983 (depth = 9)
  gc_frame_newslot(call10983);
// Begin line 3385
  setline(3385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile op node (depth = 9)
// starting to compile num node (depth = 10)
  Object num10985 = alloc_Float64(7);
// compiled num node returning num10985 (depth = 10)
  int op_slot_right_10984 = gc_frame_newslot(num10985);
// starting to compile member node (depth = 10)
  int callframe10987 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 11)
// compiled identifier node returning *var_parentNode (depth = 11)
  Object call10988 = callmethodflags(*var_parentNode, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe10987);
// compiled member node returning call10988 (depth = 10)
  int op_slot_left_10984 = gc_frame_newslot(call10988);
  params[0] = num10985;
  partcv[0] = 1;
  Object sum10989 = callmethod(call10988, "+(1)", 1, partcv, params);
// compiled op node returning sum10989 (depth = 9)
  gc_frame_newslot(sum10989);
// call case 6: other requests
// Begin line 3382
  setline(3382);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_errormessages (depth = 9)
  params[0] = opresult10979;
  params[1] = call10981;
  params[2] = call10983;
  params[3] = sum10989;
  partcv[0] = 1;
  partcv[1] = 3;
  Object call10990 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)", 2, partcv, params, 0);
  gc_frame_end(callframe10974);
// compiled call node returning call10990 (depth = 8)
    gc_frame_newslot(call10990);
    if10967 = call10990;
  }
// compiled if node returning if10967 (depth = 7)
    gc_frame_newslot(if10967);
    if10960 = if10967;
  }
// compiled if node returning if10960 (depth = 6)
  gc_frame_end(frame);
  return if10960;
}
Object meth_parser__apply10943(Object realself, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)realself;
  Object closure = getdatum((Object)uo, 0, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "_apply");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[5];
  int partcv[3];
  Object *var_values = getfromclosure(closure, 0);
  Object *var_moduleObject = getfromclosure(closure, 1);
  Object *var_errormessages = getfromclosure(closure, 2);
  Object *var_oldlength = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object self = *(getfromclosure(closure, 6));
  sourceObject = self;
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_suggestion = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "suggestion");
// Begin line 3372
  setline(3372);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10944 = gc_frame_new();
// call case 4: self request
  Object call10945 = callmethodflags(self, "blank", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10944);
// compiled member node returning call10945 (depth = 4)
// Begin line 3373
  setline(3373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10946 = gc_frame_new();
// call case 4: self request
  Object call10947 = callmethodflags(self, "methoddec", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10946);
// compiled member node returning call10947 (depth = 4)
// Begin line 3374
  setline(3374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10948 = gc_frame_new();
// call case 4: self request
  Object call10949 = callmethodflags(self, "blank", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10948);
// compiled member node returning call10949 (depth = 4)
// Begin line 3375
  setline(3375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 4)
  int callframe10950 = gc_frame_new();
// starting to compile block node (depth = 5)
  Object block10951 = alloc_Block(NULL, NULL, "parser", 3375);
  gc_frame_newslot(block10951);
// method "_apply"
  block_savedest(block10951);
  Object closure10952 = createclosure(1, "_apply");
  setclosureframe(closure10952, stackframe);
  addtoclosure(closure10952, selfslot);
  struct UserObject *uo10952 = (struct UserObject*)block10951;
  uo10952->data[0] = (Object)closure10952;
  Method *meth_meth_parser__apply10952 = addmethod2pos(block10951, "_apply", &meth_parser__apply10952, 0);
  int argcv_meth_parser__apply10952[] = {0};
  meth_meth_parser__apply10952->type = alloc_MethodType(1, argcv_meth_parser__apply10952);
  meth_meth_parser__apply10952->definitionModule = modulename;
  meth_meth_parser__apply10952->definitionLine = 3404;
// compiled block node returning block10951 (depth = 5)
  gc_frame_newslot(block10951);
// starting to compile block node (depth = 5)
  Object block10956 = alloc_Block(NULL, NULL, "parser", 3375);
  gc_frame_newslot(block10956);
// method "_apply"
  block_savedest(block10956);
  Object closure10957 = createclosure(4, "_apply");
  setclosureframe(closure10957, stackframe);
  addtoclosure(closure10957, var_values);
  addtoclosure(closure10957, var_moduleObject);
  addtoclosure(closure10957, var_errormessages);
  addtoclosure(closure10957, selfslot);
  struct UserObject *uo10957 = (struct UserObject*)block10956;
  uo10957->data[0] = (Object)closure10957;
  Method *meth_meth_parser__apply10957 = addmethod2pos(block10956, "_apply", &meth_parser__apply10957, 0);
  int argcv_meth_parser__apply10957[] = {0};
  meth_meth_parser__apply10957->type = alloc_MethodType(1, argcv_meth_parser__apply10957);
  meth_meth_parser__apply10957->definitionModule = modulename;
  meth_meth_parser__apply10957->definitionLine = 3404;
// compiled block node returning block10956 (depth = 5)
  gc_frame_newslot(block10956);
// call case 4: self request
  params[0] = block10951;
  params[1] = block10956;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10992 = callmethodflags(self, "ifConsume(1)then(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10950);
// compiled call node returning call10992 (depth = 4)
// Begin line 3388
  setline(3388);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10993 = gc_frame_new();
// call case 4: self request
  Object call10994 = callmethodflags(self, "blank", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10993);
// compiled member node returning call10994 (depth = 4)
// Begin line 3389
  setline(3389);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10995 = gc_frame_new();
// call case 4: self request
  Object call10996 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10995);
// compiled member node returning call10996 (depth = 4)
// Begin line 3390
  setline(3390);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10997 = gc_frame_new();
// call case 4: self request
  Object call10998 = callmethodflags(self, "blank", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10997);
// compiled member node returning call10998 (depth = 4)
// Begin line 3391
  setline(3391);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 4)
// starting to compile op node (depth = 5)
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_oldlength (depth = 6)
  int op_slot_right_11000 = gc_frame_newslot(*var_oldlength);
// starting to compile member node (depth = 6)
  int callframe11002 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_tokens (depth = 7)
  Object call11003 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe11002);
// compiled member node returning call11003 (depth = 6)
  int op_slot_left_11000 = gc_frame_newslot(call11003);
  params[0] = *var_oldlength;
  partcv[0] = 1;
  Object opresult11004 = callmethod(call11003, "==(1)", 1, partcv, params);
// compiled op node returning opresult11004 (depth = 5)
  Object if10999 = done;
  if (istrue(opresult11004)) {
// Begin line 3392
  setline(3392);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 5)
// starting to compile member node (depth = 6)
  int callframe11005 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 7)
  int callframe11006 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 8)
// compiled identifier node returning *var_errormessages (depth = 8)
  Object call11007 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe11006);
// compiled member node returning call11007 (depth = 7)
  Object call11008 = callmethodflags(call11007, "new", 0, partcv, params, 0);
  gc_frame_end(callframe11005);
// compiled member node returning call11008 (depth = 6)
  *var_suggestion = call11008;
  if (call11008 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 5)
// Begin line 3393
  setline(3393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11009 = gc_frame_new();
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_sym (depth = 6)
  gc_frame_newslot(*var_sym);
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  params[0] = *var_sym;
  partcv[0] = 1;
  Object call11010 = callmethodflags(*var_suggestion, "deleteToken(1)", 1, partcv, params, 0);
  gc_frame_end(callframe11009);
// compiled call node returning call11010 (depth = 5)
// Begin line 3394
  setline(3394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 5)
  int callframe11011 = gc_frame_new();
// starting to compile op node (depth = 6)
// Begin line 3395
  setline(3395);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit11013 == NULL) {
    strlit11013 = alloc_String("caused by an extra '}', ')', or ']'.");
    gc_root(strlit11013);
  }
// compiled string node returning strlit11013 (depth = 7)
  int op_slot_right_11012 = gc_frame_newslot(strlit11013);
// Begin line 3394
  setline(3394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 7)
  if (strlit11015 == NULL) {
    strlit11015 = alloc_String("invalid statement. This is often ");
    gc_root(strlit11015);
  }
// compiled string node returning strlit11015 (depth = 7)
  int op_slot_left_11012 = gc_frame_newslot(strlit11015);
  params[0] = strlit11013;
  partcv[0] = 1;
  Object opresult11016 = callmethod(strlit11015, "++(1)", 1, partcv, params);
// compiled op node returning opresult11016 (depth = 6)
  gc_frame_newslot(opresult11016);
// Begin line 3396
  setline(3396);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 6)
  int callframe11017 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call11018 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe11017);
// compiled member node returning call11018 (depth = 6)
  gc_frame_newslot(call11018);
// starting to compile member node (depth = 6)
  int callframe11019 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 7)
// compiled identifier node returning *var_sym (depth = 7)
  Object call11020 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe11019);
// compiled member node returning call11020 (depth = 6)
  gc_frame_newslot(call11020);
// starting to compile op node (depth = 6)
// starting to compile num node (depth = 7)
  Object num11022 = alloc_Float64(1);
// compiled num node returning num11022 (depth = 7)
  int op_slot_right_11021 = gc_frame_newslot(num11022);
// starting to compile op node (depth = 7)
// starting to compile member node (depth = 8)
  int callframe11025 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call11026 = callmethodflags(*var_sym, "size", 0, partcv, params, 0);
  gc_frame_end(callframe11025);
// compiled member node returning call11026 (depth = 8)
  int op_slot_right_11024 = gc_frame_newslot(call11026);
// starting to compile member node (depth = 8)
  int callframe11028 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 9)
// compiled identifier node returning *var_sym (depth = 9)
  Object call11029 = callmethodflags(*var_sym, "linePos", 0, partcv, params, 0);
  gc_frame_end(callframe11028);
// compiled member node returning call11029 (depth = 8)
  int op_slot_left_11024 = gc_frame_newslot(call11029);
  params[0] = call11026;
  partcv[0] = 1;
  Object sum11030 = callmethod(call11029, "+(1)", 1, partcv, params);
// compiled op node returning sum11030 (depth = 7)
  int op_slot_left_11021 = gc_frame_newslot(sum11030);
  params[0] = num11022;
  partcv[0] = 1;
  Object diff11031 = callmethod(sum11030, "-(1)", 1, partcv, params);
// compiled op node returning diff11031 (depth = 6)
  gc_frame_newslot(diff11031);
// Begin line 3397
  setline(3397);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_suggestion (depth = 6)
  gc_frame_newslot(*var_suggestion);
// call case 6: other requests
// Begin line 3394
  setline(3394);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  params[0] = opresult11016;
  params[1] = call11018;
  params[2] = call11020;
  params[3] = diff11031;
  params[4] = *var_suggestion;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call11032 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe11011);
// compiled call node returning call11032 (depth = 5)
    gc_frame_newslot(call11032);
    if10999 = call11032;
  } else {
  }
// compiled if node returning if10999 (depth = 4)
// Begin line 3399
  setline(3399);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 4)
// starting to compile member node (depth = 5)
  int callframe11033 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_tokens (depth = 6)
  Object call11034 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe11033);
// compiled member node returning call11034 (depth = 5)
  *var_oldlength = call11034;
  if (call11034 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 4)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_parse_40_1_41_10883(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 78, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(4, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "parse(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method parse(_)");
  Object params[5];
  int partcv[3];
  Object *var_util = getfromclosure(closure, 0);
  Object *var_values = getfromclosure(closure, 1);
  Object *var_ast = getfromclosure(closure, 2);
  Object *var_moduleObject = getfromclosure(closure, 3);
  Object *var_tokens = getfromclosure(closure, 4);
  Object *var_sym = getfromclosure(closure, 5);
  Object *var_errormessages = getfromclosure(closure, 6);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for parse(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var_toks = &(stackframe->slots[0]);
  *var_toks = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part parse(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
  Object *var_sugg = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "sugg");
  Object *var_oldlength = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "oldlength");
// Begin line 3355
  setline(3355);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10884 = gc_frame_new();
// starting to compile string node (depth = 3)
  if (strlit10885 == NULL) {
    strlit10885 = alloc_String("parsing.");
    gc_root(strlit10885);
  }
// compiled string node returning strlit10885 (depth = 3)
  gc_frame_newslot(strlit10885);
// call case 6: other requests
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_util (depth = 3)
  params[0] = strlit10885;
  partcv[0] = 1;
  Object call10886 = callmethodflags(*var_util, "log_verbose(1)", 1, partcv, params, 0);
  gc_frame_end(callframe10884);
// compiled call node returning call10886 (depth = 2)
// Begin line 3356
  setline(3356);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile call node (depth = 3)
  int callframe10887 = gc_frame_new();
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_values (depth = 4)
  gc_frame_newslot(*var_values);
// starting to compile member node (depth = 4)
  int callframe10888 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_util (depth = 5)
  Object call10889 = callmethodflags(*var_util, "modname", 0, partcv, params, 0);
  gc_frame_end(callframe10888);
// compiled member node returning call10889 (depth = 4)
  gc_frame_newslot(call10889);
// call case 6: other requests
// starting to compile member node (depth = 4)
  int callframe10890 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_ast (depth = 5)
  Object call10891 = callmethodflags(*var_ast, "moduleNode", 0, partcv, params, 0);
  gc_frame_end(callframe10890);
// compiled member node returning call10891 (depth = 4)
  params[0] = *var_values;
  params[1] = call10889;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call10892 = callmethodflags(call10891, "body(1)named(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10887);
// compiled call node returning call10892 (depth = 3)
  *var_moduleObject = call10892;
  if (call10892 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 3358
  setline(3358);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num10896 = alloc_Float64(0);
// compiled num node returning num10896 (depth = 4)
  int op_slot_right_10895 = gc_frame_newslot(num10896);
// starting to compile member node (depth = 4)
  int callframe10898 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_toks (depth = 5)
  Object call10899 = callmethodflags(*var_toks, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10898);
// compiled member node returning call10899 (depth = 4)
  int op_slot_left_10895 = gc_frame_newslot(call10899);
  params[0] = num10896;
  partcv[0] = 1;
  Object opresult10900 = callmethod(call10899, "==(1)", 1, partcv, params);
// compiled op node returning opresult10900 (depth = 3)
  Object if10894 = done;
  if (istrue(opresult10900)) {
// Begin line 3359
  setline(3359);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_moduleObject (depth = 4)
  return *var_moduleObject;
// compiled return node returning undefined (depth = 3)
    gc_frame_newslot(undefined);
    if10894 = undefined;
  } else {
  }
// compiled if node returning if10894 (depth = 2)
// Begin line 3361
  setline(3361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile bind node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_toks (depth = 3)
  *var_tokens = *var_toks;
  if (*var_toks == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 2)
// Begin line 3362
  setline(3362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe10902 = gc_frame_new();
// call case 4: self request
  Object call10903 = callmethodflags(self, "next", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10902);
// compiled member node returning call10903 (depth = 2)
// Begin line 3363
  setline(3363);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile if node (depth = 2)
// starting to compile op node (depth = 3)
// starting to compile num node (depth = 4)
  Object num10906 = alloc_Float64(0);
// compiled num node returning num10906 (depth = 4)
  int op_slot_right_10905 = gc_frame_newslot(num10906);
// starting to compile member node (depth = 4)
  int callframe10908 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10909 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe10908);
// compiled member node returning call10909 (depth = 4)
  int op_slot_left_10905 = gc_frame_newslot(call10909);
  params[0] = num10906;
  partcv[0] = 1;
  Object opresult10910 = callmethod(call10909, ">(1)", 1, partcv, params);
// compiled op node returning opresult10910 (depth = 3)
  Object if10904 = done;
  if (istrue(opresult10910)) {
// Begin line 3364
  setline(3364);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 3)
// starting to compile member node (depth = 4)
  int callframe10911 = gc_frame_new();
// call case 6: other requests
// starting to compile member node (depth = 5)
  int callframe10912 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 6)
// compiled identifier node returning *var_errormessages (depth = 6)
  Object call10913 = callmethodflags(*var_errormessages, "suggestion", 0, partcv, params, 0);
  gc_frame_end(callframe10912);
// compiled member node returning call10913 (depth = 5)
  Object call10914 = callmethodflags(call10913, "new", 0, partcv, params, 0);
  gc_frame_end(callframe10911);
// compiled member node returning call10914 (depth = 4)
  *var_sugg = call10914;
  if (call10914 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled defdec node returning done (depth = 3)
// Begin line 3365
  setline(3365);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10915 = gc_frame_new();
// starting to compile num node (depth = 4)
  Object num10916 = alloc_Float64(1);
// compiled num node returning num10916 (depth = 4)
  gc_frame_newslot(num10916);
// starting to compile member node (depth = 4)
  int callframe10917 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10918 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe10917);
// compiled member node returning call10918 (depth = 4)
  gc_frame_newslot(call10918);
// starting to compile member node (depth = 4)
  int callframe10919 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10920 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10919);
// compiled member node returning call10920 (depth = 4)
  gc_frame_newslot(call10920);
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  params[0] = num10916;
  params[1] = call10918;
  params[2] = call10920;
  partcv[0] = 2;
  partcv[1] = 1;
  Object call10921 = callmethodflags(*var_sugg, "deleteRange(2)onLine(1)", 2, partcv, params, 0);
  gc_frame_end(callframe10915);
// compiled call node returning call10921 (depth = 3)
// Begin line 3366
  setline(3366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 3)
  int callframe10922 = gc_frame_new();
// starting to compile string node (depth = 4)
  if (strlit10923 == NULL) {
    strlit10923 = alloc_String("the first line must not be indented.");
    gc_root(strlit10923);
  }
// compiled string node returning strlit10923 (depth = 4)
  gc_frame_newslot(strlit10923);
// Begin line 3367
  setline(3367);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 4)
  int callframe10924 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10925 = callmethodflags(*var_sym, "line", 0, partcv, params, 0);
  gc_frame_end(callframe10924);
// compiled member node returning call10925 (depth = 4)
  gc_frame_newslot(call10925);
// starting to compile num node (depth = 4)
  Object num10926 = alloc_Float64(1);
// compiled num node returning num10926 (depth = 4)
  gc_frame_newslot(num10926);
// starting to compile member node (depth = 4)
  int callframe10927 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 5)
// compiled identifier node returning *var_sym (depth = 5)
  Object call10928 = callmethodflags(*var_sym, "indent", 0, partcv, params, 0);
  gc_frame_end(callframe10927);
// compiled member node returning call10928 (depth = 4)
  gc_frame_newslot(call10928);
// Begin line 3368
  setline(3368);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_sugg (depth = 4)
  gc_frame_newslot(*var_sugg);
// call case 6: other requests
// Begin line 3366
  setline(3366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_errormessages (depth = 4)
  params[0] = strlit10923;
  params[1] = call10925;
  params[2] = num10926;
  params[3] = call10928;
  params[4] = *var_sugg;
  partcv[0] = 1;
  partcv[1] = 3;
  partcv[2] = 1;
  Object call10929 = callmethodflags(*var_errormessages, "syntaxError(1)atRange(3)withSuggestion(1)", 3, partcv, params, 0);
  gc_frame_end(callframe10922);
// compiled call node returning call10929 (depth = 3)
    gc_frame_newslot(call10929);
    if10904 = call10929;
  } else {
  }
// compiled if node returning if10904 (depth = 2)
// Begin line 3370
  setline(3370);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 2)
// starting to compile member node (depth = 3)
  int callframe10930 = gc_frame_new();
// call case 6: other requests
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var_tokens (depth = 4)
  Object call10931 = callmethodflags(*var_tokens, "size", 0, partcv, params, 0);
  gc_frame_end(callframe10930);
// compiled member node returning call10931 (depth = 3)
  *var_oldlength = call10931;
  if (call10931 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// compiled vardec node returning done (depth = 2)
// Begin line 3371
  setline(3371);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile call node (depth = 2)
  int callframe10932 = gc_frame_new();
// starting to compile block node (depth = 3)
  Object block10933 = alloc_Block(NULL, NULL, "parser", 3371);
  gc_frame_newslot(block10933);
// method "_apply"
  block_savedest(block10933);
  Object closure10934 = createclosure(2, "_apply");
  setclosureframe(closure10934, stackframe);
  addtoclosure(closure10934, var_tokens);
  addtoclosure(closure10934, selfslot);
  struct UserObject *uo10934 = (struct UserObject*)block10933;
  uo10934->data[0] = (Object)closure10934;
  Method *meth_meth_parser__apply10934 = addmethod2pos(block10933, "_apply", &meth_parser__apply10934, 0);
  int argcv_meth_parser__apply10934[] = {0};
  meth_meth_parser__apply10934->type = alloc_MethodType(1, argcv_meth_parser__apply10934);
  meth_meth_parser__apply10934->definitionModule = modulename;
  meth_meth_parser__apply10934->definitionLine = 3404;
// compiled block node returning block10933 (depth = 3)
  gc_frame_newslot(block10933);
// starting to compile block node (depth = 3)
  Object block10942 = alloc_Block(NULL, NULL, "parser", 3371);
  gc_frame_newslot(block10942);
// method "_apply"
  block_savedest(block10942);
  Object closure10943 = createclosure(7, "_apply");
  setclosureframe(closure10943, stackframe);
  addtoclosure(closure10943, var_values);
  addtoclosure(closure10943, var_moduleObject);
  addtoclosure(closure10943, var_errormessages);
  addtoclosure(closure10943, var_oldlength);
  addtoclosure(closure10943, var_tokens);
  addtoclosure(closure10943, var_sym);
  addtoclosure(closure10943, selfslot);
  struct UserObject *uo10943 = (struct UserObject*)block10942;
  uo10943->data[0] = (Object)closure10943;
  Method *meth_meth_parser__apply10943 = addmethod2pos(block10942, "_apply", &meth_parser__apply10943, 0);
  int argcv_meth_parser__apply10943[] = {0};
  meth_meth_parser__apply10943->type = alloc_MethodType(1, argcv_meth_parser__apply10943);
  meth_meth_parser__apply10943->definitionModule = modulename;
  meth_meth_parser__apply10943->definitionLine = 3404;
// compiled block node returning block10942 (depth = 3)
  gc_frame_newslot(block10942);
// call case 5: prelude request
  params[0] = block10933;
  params[1] = block10942;
  partcv[0] = 1;
  partcv[1] = 1;
  Object call11037 = callmethodflags(prelude, "while(1)do(1)", 2, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe10932);
// compiled call node returning call11037 (depth = 2)
// Begin line 3401
  setline(3401);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe11038 = gc_frame_new();
// call case 4: self request
  Object call11039 = callmethodflags(self, "blank", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11038);
// compiled member node returning call11039 (depth = 2)
// Begin line 3402
  setline(3402);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe11040 = gc_frame_new();
// call case 4: self request
  Object call11041 = callmethodflags(self, "statement", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11040);
// compiled member node returning call11041 (depth = 2)
// Begin line 3403
  setline(3403);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile member node (depth = 2)
  int callframe11042 = gc_frame_new();
// call case 4: self request
  Object call11043 = callmethodflags(self, "blank", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11042);
// compiled member node returning call11043 (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile return node (depth = 2)
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_moduleObject (depth = 3)
  return *var_moduleObject;
// compiled return node returning undefined (depth = 2)
  gc_frame_end(frame);
  return undefined;
}
Object meth_parser_blankLocation11045(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 79, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blankLocation");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blankLocation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blankLocation (depth = 3)
  gc_frame_end(frame);
  return *var_blankLocation;
}
Object meth_parser_blankLocation_58__61__40_1_41_11046(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 80, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blankLocation:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method blankLocation:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_blankLocation = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for blankLocation:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part blankLocation:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_blankLocation = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastLine11049(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 81, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastLine");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastLine = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lastLine (depth = 3)
  gc_frame_end(frame);
  return *var_lastLine;
}
Object meth_parser_lastLine_58__61__40_1_41_11050(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 82, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastLine:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lastLine:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_lastLine = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lastLine:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lastLine:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_lastLine = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastIndent11053(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 83, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lastIndent (depth = 3)
  gc_frame_end(frame);
  return *var_lastIndent;
}
Object meth_parser_lastIndent_58__61__40_1_41_11054(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 84, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastIndent:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lastIndent:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_lastIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lastIndent:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lastIndent:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_lastIndent = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_indentFreePass11057(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 85, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indentFreePass");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_indentFreePass (depth = 3)
  gc_frame_end(frame);
  return *var_indentFreePass;
}
Object meth_parser_indentFreePass_58__61__40_1_41_11058(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 86, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "indentFreePass:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method indentFreePass:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_indentFreePass = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for indentFreePass:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part indentFreePass:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_indentFreePass = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_minIndentLevel11061(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 87, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "minIndentLevel");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_minIndentLevel (depth = 3)
  gc_frame_end(frame);
  return *var_minIndentLevel;
}
Object meth_parser_minIndentLevel_58__61__40_1_41_11062(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 88, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "minIndentLevel:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method minIndentLevel:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_minIndentLevel = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for minIndentLevel:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part minIndentLevel:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_minIndentLevel = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_statementIndent11065(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 89, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementIndent");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_statementIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_statementIndent (depth = 3)
  gc_frame_end(frame);
  return *var_statementIndent;
}
Object meth_parser_statementIndent_58__61__40_1_41_11066(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 90, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementIndent:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method statementIndent:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_statementIndent = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for statementIndent:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part statementIndent:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_statementIndent = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_tokens11069(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 91, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokens");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_tokens (depth = 3)
  gc_frame_end(frame);
  return *var_tokens;
}
Object meth_parser_tokens_58__61__40_1_41_11070(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 92, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "tokens:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method tokens:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_tokens = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for tokens:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part tokens:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_tokens = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_values11073(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 93, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_values (depth = 3)
  gc_frame_end(frame);
  return *var_values;
}
Object meth_parser_values_58__61__40_1_41_11074(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 94, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "values:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method values:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_values = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for values:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part values:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_values = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_moduleObject11076(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 95, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "moduleObject");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_moduleObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_moduleObject (depth = 3)
  gc_frame_end(frame);
  return *var_moduleObject;
}
Object meth_parser_moduleObject_58__61__40_1_41_11077(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 96, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "moduleObject:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method moduleObject:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_moduleObject = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for moduleObject:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part moduleObject:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_moduleObject = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_comments11081(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 97, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comments");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_comments = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_comments (depth = 3)
  gc_frame_end(frame);
  return *var_comments;
}
Object meth_parser_comments_58__61__40_1_41_11082(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 98, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comments:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method comments:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_comments = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for comments:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part comments:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_comments = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_auto_count11085(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 99, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "auto_count");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_auto_count = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_auto_count (depth = 3)
  gc_frame_end(frame);
  return *var_auto_count;
}
Object meth_parser_auto_count_58__61__40_1_41_11086(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 100, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "auto_count:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method auto_count:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_auto_count = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for auto_count:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part auto_count:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_auto_count = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_noBlocks11089(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 101, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "noBlocks");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_noBlocks = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_noBlocks (depth = 3)
  gc_frame_end(frame);
  return *var_noBlocks;
}
Object meth_parser_blocksOK11091(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 102, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "blocksOK");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_blocksOK = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_blocksOK (depth = 3)
  gc_frame_end(frame);
  return *var_blocksOK;
}
Object meth_parser_braceIsType11093(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 103, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "braceIsType");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_braceIsType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_braceIsType (depth = 3)
  gc_frame_end(frame);
  return *var_braceIsType;
}
Object meth_parser_braceIsType_58__61__40_1_41_11094(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 104, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "braceIsType:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method braceIsType:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_braceIsType = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for braceIsType:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part braceIsType:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_braceIsType = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_sym11110(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 105, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sym");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_sym (depth = 3)
  gc_frame_end(frame);
  return *var_sym;
}
Object meth_parser_sym_58__61__40_1_41_11111(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 106, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "sym:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method sym:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_sym = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for sym:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part sym:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_sym = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_lastToken11113(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 107, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_lastToken (depth = 3)
  gc_frame_end(frame);
  return *var_lastToken;
}
Object meth_parser_lastToken_58__61__40_1_41_11114(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 108, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "lastToken:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method lastToken:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_lastToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for lastToken:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part lastToken:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_lastToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_previousCommentToken11116(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 109, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "previousCommentToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_previousCommentToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_previousCommentToken (depth = 3)
  gc_frame_end(frame);
  return *var_previousCommentToken;
}
Object meth_parser_previousCommentToken_58__61__40_1_41_11117(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 110, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "previousCommentToken:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method previousCommentToken:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_previousCommentToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for previousCommentToken:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part previousCommentToken:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_previousCommentToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_statementToken11119(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 111, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementToken");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_statementToken (depth = 3)
  gc_frame_end(frame);
  return *var_statementToken;
}
Object meth_parser_statementToken_58__61__40_1_41_11120(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 112, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "statementToken:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method statementToken:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_statementToken = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for statementToken:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part statementToken:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_statementToken = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_comment11123(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 113, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comment");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_comment = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_comment (depth = 3)
  gc_frame_end(frame);
  return *var_comment;
}
Object meth_parser_comment_58__61__40_1_41_11124(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 114, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "comment:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method comment:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_comment = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for comment:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part comment:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_comment = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object meth_parser_firstCallOfNext11127(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 115, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(1, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "firstCallOfNext");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  Object params[1];
  int partcv[1];
  Object *var_firstCallOfNext = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile identifier node (depth = 3)
// compiled identifier node returning *var_firstCallOfNext (depth = 3)
  gc_frame_end(frame);
  return *var_firstCallOfNext;
}
Object meth_parser_firstCallOfNext_58__61__40_1_41_11128(Object self, int nparts, int *argcv, Object *args, int32_t flags) {
  struct UserObject *uo = (struct UserObject*)self;
  Object closure = getdatum((Object)uo, 116, (flags>>24)&0xff);
  struct StackFrameObject *stackframe = alloc_StackFrame(2, getclosureframe(closure));
  pushclosure(closure);
  pushstackframe(stackframe, "firstCallOfNext:=(1)");
  int frame = gc_frame_new();
  gc_frame_newslot((Object)stackframe);
  Object methodInheritingObject = NULL;
  if (nparts > 0 && argcv[0] < 1)
    graceRaise(RequestError(), "insufficient arguments to method firstCallOfNext:=(_)");
  Object params[1];
  int partcv[1];
  Object *var_firstCallOfNext = getfromclosure(closure, 0);
  int i;
  int curarg = 0;
  int pushcv[] = {1};
  if (nparts < 1 && args)
    graceRaise(RequestError(), "missing argument list for firstCallOfNext:=(_) (probably reflection error): got %i lists, expected 1.", nparts);
  Object *var__var_assign_tmp = &(stackframe->slots[0]);
  *var__var_assign_tmp = args[curarg];
  curarg++;
  if (argcv && argcv[0] != 1)
    graceRaise(RequestError(), "wrong number of arguments for part firstCallOfNext:=(_)");
  Object *selfslot = &(stackframe->slots[1]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  if (methodInheritingObject) curarg++;
// starting to compile bind node (depth = 3)
// starting to compile identifier node (depth = 4)
// compiled identifier node returning *var__var_assign_tmp (depth = 4)
  *var_firstCallOfNext = *var__var_assign_tmp;
  if (*var__var_assign_tmp == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// compiled bind node returning done (depth = 3)
  gc_frame_end(frame);
  return done;
}
Object module_parser_init() {
  int flags = 0;
  int frame = gc_frame_new();
  Object self = alloc_obj2(118, 118);
  self->class->definitionModule = modulename;
  gc_root(self);
  prelude = module_StandardPrelude_init();
  adddatum2(self, prelude, 0);
  addmethod2(self, "outer", &grace_userobj_outer);
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
  setclassname(self, "Module<parser>");
  Object *var_MatchFailed = alloc_var();
  *var_MatchFailed = alloc_MatchFailed();
  Object *var_noSuchValue = alloc_var();
  *var_noSuchValue = done;
  Object *var_done = alloc_var();
  *var_done = done;
  Object *var_Object = alloc_var();
  *var_Object = ObjectType;
  type_Object = ObjectType;
  Object *var_String = alloc_var();
  *var_String = String;
  type_String = String;
  Object *var_Block = alloc_var();
  *var_Block = Block;
  type_Block = Block;
  Object *var_Done = alloc_var();
  *var_Done = Done;
  type_Done = Done;
  Object *var_Number = alloc_var();
  *var_Number = Number;
  type_Number = Number;
  Object *var_Boolean = alloc_var();
  *var_Boolean = Boolean;
  type_Boolean = Boolean;
  Object *var_Dynamic = alloc_var();
  *var_Dynamic = Dynamic;
  Object *var_Unknown = alloc_var();
  *var_Unknown= Unknown;
  Object *var_Type = alloc_var();
  *var_Type = Type;
  type_Done = Type;
  Object *var__prelude = alloc_var();
  *var__prelude = grace_prelude();
  Object *var_prelude = alloc_var();
  *var_prelude = prelude;
  gc_root(*var_MatchFailed);
  emptyclosure = createclosure(0, "empty");
  gc_root(emptyclosure);
  struct StackFrameObject *stackframe = alloc_StackFrame(118, NULL);
  gc_root((Object)stackframe);
  pushstackframe(stackframe, "module scope");
  Object *selfslot = &(stackframe->slots[0]);
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
// end of preamble
  Object params[1];
  int partcv[1];
  Object *var_io = alloc_var();
  Object *var_ast = alloc_var();
  Object *var_util = alloc_var();
  Object *var_errormessages = alloc_var();
  Object *var_blankLocation = &(stackframe->slots[1]);
  setframeelementname(stackframe, 1, "blankLocation");
  Object *var_lastLine = &(stackframe->slots[2]);
  setframeelementname(stackframe, 2, "lastLine");
  Object *var_lastIndent = &(stackframe->slots[3]);
  setframeelementname(stackframe, 3, "lastIndent");
  Object *var_indentFreePass = &(stackframe->slots[4]);
  setframeelementname(stackframe, 4, "indentFreePass");
  Object *var_minIndentLevel = &(stackframe->slots[5]);
  setframeelementname(stackframe, 5, "minIndentLevel");
  Object *var_statementIndent = &(stackframe->slots[6]);
  setframeelementname(stackframe, 6, "statementIndent");
  Object *var_tokens = &(stackframe->slots[7]);
  setframeelementname(stackframe, 7, "tokens");
  Object *var_values = &(stackframe->slots[8]);
  setframeelementname(stackframe, 8, "values");
  Object *var_moduleObject = &(stackframe->slots[9]);
  setframeelementname(stackframe, 9, "moduleObject");
  Object *var_comments = &(stackframe->slots[10]);
  setframeelementname(stackframe, 10, "comments");
  Object *var_auto_count = &(stackframe->slots[11]);
  setframeelementname(stackframe, 11, "auto_count");
  Object *var_noBlocks = &(stackframe->slots[12]);
  setframeelementname(stackframe, 12, "noBlocks");
  Object *var_blocksOK = &(stackframe->slots[13]);
  setframeelementname(stackframe, 13, "blocksOK");
  Object *var_braceIsType = &(stackframe->slots[14]);
  setframeelementname(stackframe, 14, "braceIsType");
  Object *var_sym = &(stackframe->slots[15]);
  setframeelementname(stackframe, 15, "sym");
  Object *var_lastToken = &(stackframe->slots[16]);
  setframeelementname(stackframe, 16, "lastToken");
  Object *var_previousCommentToken = &(stackframe->slots[17]);
  setframeelementname(stackframe, 17, "previousCommentToken");
  Object *var_statementToken = &(stackframe->slots[18]);
  setframeelementname(stackframe, 18, "statementToken");
  Object *var_comment = &(stackframe->slots[19]);
  setframeelementname(stackframe, 19, "comment");
  Object *var_firstCallOfNext = &(stackframe->slots[20]);
  setframeelementname(stackframe, 20, "firstCallOfNext");
// Begin line 37
  setline(37);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "noteBlank"
  block_savedest(self);
  Object closure1 = createclosure(2, "noteBlank");
  setclosureframe(closure1, stackframe);
  addtoclosure(closure1, var_sym);
  addtoclosure(closure1, var_blankLocation);
  struct UserObject *uo1 = (struct UserObject*)self;
  uo1->data[1] = (Object)closure1;
  Method *meth_meth_parser_noteBlank1 = addmethod2pos(self, "noteBlank", &meth_parser_noteBlank1, 1);
  int argcv_meth_parser_noteBlank1[] = {0};
  meth_meth_parser_noteBlank1->type = alloc_MethodType(1, argcv_meth_parser_noteBlank1);
  meth_meth_parser_noteBlank1->definitionModule = modulename;
  meth_meth_parser_noteBlank1->definitionLine = 37;
// compiled method node returning  (depth = 1)
// Begin line 43
  setline(43);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "next"
  block_savedest(self);
  Object closure9 = createclosure(7, "next");
  setclosureframe(closure9, stackframe);
  addtoclosure(closure9, var_tokens);
  addtoclosure(closure9, var_sym);
  addtoclosure(closure9, var_lastToken);
  addtoclosure(closure9, var_lastLine);
  addtoclosure(closure9, var_lastIndent);
  addtoclosure(closure9, var_util);
  addtoclosure(closure9, var_errormessages);
  struct UserObject *uo9 = (struct UserObject*)self;
  uo9->data[2] = (Object)closure9;
  Method *meth_meth_parser_next9 = addmethod2pos(self, "next", &meth_parser_next9, 2);
  int argcv_meth_parser_next9[] = {0};
  meth_meth_parser_next9->type = alloc_MethodType(1, argcv_meth_parser_next9);
  meth_meth_parser_next9->definitionModule = modulename;
  meth_meth_parser_next9->definitionLine = 43;
// compiled method node returning  (depth = 1)
// Begin line 63
  setline(63);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "findNextToken(_)"
  block_savedest(self);
  Object closure60 = createclosure(2, "findNextToken(1)");
  setclosureframe(closure60, stackframe);
  addtoclosure(closure60, var_sym);
  addtoclosure(closure60, var_lastToken);
  struct UserObject *uo60 = (struct UserObject*)self;
  uo60->data[3] = (Object)closure60;
  Method *meth_meth_parser_findNextToken_40_1_41_60 = addmethod2pos(self, "findNextToken(1)", &meth_parser_findNextToken_40_1_41_60, 3);
  int argcv_meth_parser_findNextToken_40_1_41_60[] = {1};
  meth_meth_parser_findNextToken_40_1_41_60->type = alloc_MethodType(1, argcv_meth_parser_findNextToken_40_1_41_60);
  meth_meth_parser_findNextToken_40_1_41_60->definitionModule = modulename;
  meth_meth_parser_findNextToken_40_1_41_60->definitionLine = 63;
// compiled method node returning  (depth = 1)
// Begin line 81
  setline(81);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "findNextTokenIndentedAt(_)"
  block_savedest(self);
  Object closure107 = createclosure(1, "findNextTokenIndentedAt(1)");
  setclosureframe(closure107, stackframe);
  addtoclosure(closure107, var_sym);
  struct UserObject *uo107 = (struct UserObject*)self;
  uo107->data[4] = (Object)closure107;
  Method *meth_meth_parser_findNextTokenIndentedAt_40_1_41_107 = addmethod2pos(self, "findNextTokenIndentedAt(1)", &meth_parser_findNextTokenIndentedAt_40_1_41_107, 4);
  int argcv_meth_parser_findNextTokenIndentedAt_40_1_41_107[] = {1};
  meth_meth_parser_findNextTokenIndentedAt_40_1_41_107->type = alloc_MethodType(1, argcv_meth_parser_findNextTokenIndentedAt_40_1_41_107);
  meth_meth_parser_findNextTokenIndentedAt_40_1_41_107->definitionModule = modulename;
  meth_meth_parser_findNextTokenIndentedAt_40_1_41_107->definitionLine = 81;
// compiled method node returning  (depth = 1)
// Begin line 96
  setline(96);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "findNextValidToken(_)"
  block_savedest(self);
  Object closure189 = createclosure(1, "findNextValidToken(1)");
  setclosureframe(closure189, stackframe);
  addtoclosure(closure189, var_sym);
  struct UserObject *uo189 = (struct UserObject*)self;
  uo189->data[5] = (Object)closure189;
  Method *meth_meth_parser_findNextValidToken_40_1_41_189 = addmethod2pos(self, "findNextValidToken(1)", &meth_parser_findNextValidToken_40_1_41_189, 5);
  int argcv_meth_parser_findNextValidToken_40_1_41_189[] = {1};
  meth_meth_parser_findNextValidToken_40_1_41_189->type = alloc_MethodType(1, argcv_meth_parser_findNextValidToken_40_1_41_189);
  meth_meth_parser_findNextValidToken_40_1_41_189->definitionModule = modulename;
  meth_meth_parser_findNextValidToken_40_1_41_189->definitionLine = 96;
// compiled method node returning  (depth = 1)
// Begin line 121
  setline(121);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "findClosingBrace(_,_)"
  block_savedest(self);
  Object closure230 = createclosure(1, "findClosingBrace(2)");
  setclosureframe(closure230, stackframe);
  addtoclosure(closure230, var_sym);
  struct UserObject *uo230 = (struct UserObject*)self;
  uo230->data[6] = (Object)closure230;
  Method *meth_meth_parser_findClosingBrace_40_2_41_230 = addmethod2pos(self, "findClosingBrace(2)", &meth_parser_findClosingBrace_40_2_41_230, 6);
  int argcv_meth_parser_findClosingBrace_40_2_41_230[] = {2};
  meth_meth_parser_findClosingBrace_40_2_41_230->type = alloc_MethodType(1, argcv_meth_parser_findClosingBrace_40_2_41_230);
  meth_meth_parser_findClosingBrace_40_2_41_230->definitionModule = modulename;
  meth_meth_parser_findClosingBrace_40_2_41_230->definitionLine = 121;
// compiled method node returning  (depth = 1)
// Begin line 159
  setline(159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "accept(_)"
  block_savedest(self);
  Object closure382 = createclosure(1, "accept(1)");
  setclosureframe(closure382, stackframe);
  addtoclosure(closure382, var_sym);
  struct UserObject *uo382 = (struct UserObject*)self;
  uo382->data[7] = (Object)closure382;
  Method *meth_meth_parser_accept_40_1_41_382 = addmethod2pos(self, "accept(1)", &meth_parser_accept_40_1_41_382, 7);
  int argcv_meth_parser_accept_40_1_41_382[] = {1};
  meth_meth_parser_accept_40_1_41_382->type = alloc_MethodType(1, argcv_meth_parser_accept_40_1_41_382);
  meth_meth_parser_accept_40_1_41_382->definitionModule = modulename;
  meth_meth_parser_accept_40_1_41_382->definitionLine = 159;
// compiled method node returning  (depth = 1)
// Begin line 165
  setline(165);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "acceptKeyword(_)"
  block_savedest(self);
  Object closure388 = createclosure(1, "acceptKeyword(1)");
  setclosureframe(closure388, stackframe);
  addtoclosure(closure388, var_sym);
  struct UserObject *uo388 = (struct UserObject*)self;
  uo388->data[8] = (Object)closure388;
  Method *meth_meth_parser_acceptKeyword_40_1_41_388 = addmethod2pos(self, "acceptKeyword(1)", &meth_parser_acceptKeyword_40_1_41_388, 8);
  int argcv_meth_parser_acceptKeyword_40_1_41_388[] = {1};
  meth_meth_parser_acceptKeyword_40_1_41_388->type = alloc_MethodType(1, argcv_meth_parser_acceptKeyword_40_1_41_388);
  meth_meth_parser_acceptKeyword_40_1_41_388->definitionModule = modulename;
  meth_meth_parser_acceptKeyword_40_1_41_388->definitionLine = 165;
// compiled method node returning  (depth = 1)
// Begin line 170
  setline(170);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "acceptSameLine(_)"
  block_savedest(self);
  Object closure402 = createclosure(3, "acceptSameLine(1)");
  setclosureframe(closure402, stackframe);
  addtoclosure(closure402, var_lastIndent);
  addtoclosure(closure402, var_sym);
  addtoclosure(closure402, var_lastLine);
  struct UserObject *uo402 = (struct UserObject*)self;
  uo402->data[9] = (Object)closure402;
  Method *meth_meth_parser_acceptSameLine_40_1_41_402 = addmethod2pos(self, "acceptSameLine(1)", &meth_parser_acceptSameLine_40_1_41_402, 9);
  int argcv_meth_parser_acceptSameLine_40_1_41_402[] = {1};
  meth_meth_parser_acceptSameLine_40_1_41_402->type = alloc_MethodType(1, argcv_meth_parser_acceptSameLine_40_1_41_402);
  meth_meth_parser_acceptSameLine_40_1_41_402->definitionModule = modulename;
  meth_meth_parser_acceptSameLine_40_1_41_402->definitionLine = 170;
// compiled method node returning  (depth = 1)
// Begin line 178
  setline(178);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "acceptWithoutSpaces(_)"
  block_savedest(self);
  Object closure424 = createclosure(3, "acceptWithoutSpaces(1)");
  setclosureframe(closure424, stackframe);
  addtoclosure(closure424, var_lastToken);
  addtoclosure(closure424, var_sym);
  addtoclosure(closure424, var_lastLine);
  struct UserObject *uo424 = (struct UserObject*)self;
  uo424->data[10] = (Object)closure424;
  Method *meth_meth_parser_acceptWithoutSpaces_40_1_41_424 = addmethod2pos(self, "acceptWithoutSpaces(1)", &meth_parser_acceptWithoutSpaces_40_1_41_424, 10);
  int argcv_meth_parser_acceptWithoutSpaces_40_1_41_424[] = {1};
  meth_meth_parser_acceptWithoutSpaces_40_1_41_424->type = alloc_MethodType(1, argcv_meth_parser_acceptWithoutSpaces_40_1_41_424);
  meth_meth_parser_acceptWithoutSpaces_40_1_41_424->definitionModule = modulename;
  meth_meth_parser_acceptWithoutSpaces_40_1_41_424->definitionLine = 178;
// compiled method node returning  (depth = 1)
// Begin line 185
  setline(185);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "acceptAfterSpaces(_)"
  block_savedest(self);
  Object closure453 = createclosure(3, "acceptAfterSpaces(1)");
  setclosureframe(closure453, stackframe);
  addtoclosure(closure453, var_sym);
  addtoclosure(closure453, var_lastLine);
  addtoclosure(closure453, var_lastToken);
  struct UserObject *uo453 = (struct UserObject*)self;
  uo453->data[11] = (Object)closure453;
  Method *meth_meth_parser_acceptAfterSpaces_40_1_41_453 = addmethod2pos(self, "acceptAfterSpaces(1)", &meth_parser_acceptAfterSpaces_40_1_41_453, 11);
  int argcv_meth_parser_acceptAfterSpaces_40_1_41_453[] = {1};
  meth_meth_parser_acceptAfterSpaces_40_1_41_453->type = alloc_MethodType(1, argcv_meth_parser_acceptAfterSpaces_40_1_41_453);
  meth_meth_parser_acceptAfterSpaces_40_1_41_453->definitionModule = modulename;
  meth_meth_parser_acceptAfterSpaces_40_1_41_453->definitionLine = 185;
// compiled method node returning  (depth = 1)
// Begin line 195
  setline(195);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "accept(_)onLineOf(_)"
  block_savedest(self);
  Object closure490 = createclosure(1, "accept(1)onLineOf(1)");
  setclosureframe(closure490, stackframe);
  addtoclosure(closure490, var_sym);
  struct UserObject *uo490 = (struct UserObject*)self;
  uo490->data[12] = (Object)closure490;
  Method *meth_meth_parser_accept_40_1_41_onLineOf_40_1_41_490 = addmethod2pos(self, "accept(1)onLineOf(1)", &meth_parser_accept_40_1_41_onLineOf_40_1_41_490, 12);
  int argcv_meth_parser_accept_40_1_41_onLineOf_40_1_41_490[] = {1, 1};
  meth_meth_parser_accept_40_1_41_onLineOf_40_1_41_490->type = alloc_MethodType(2, argcv_meth_parser_accept_40_1_41_onLineOf_40_1_41_490);
  meth_meth_parser_accept_40_1_41_onLineOf_40_1_41_490->definitionModule = modulename;
  meth_meth_parser_accept_40_1_41_onLineOf_40_1_41_490->definitionLine = 195;
// compiled method node returning  (depth = 1)
// Begin line 202
  setline(202);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "acceptAfterSpaces(_)onLineOf(_)"
  block_savedest(self);
  Object closure516 = createclosure(2, "acceptAfterSpaces(1)onLineOf(1)");
  setclosureframe(closure516, stackframe);
  addtoclosure(closure516, var_sym);
  addtoclosure(closure516, var_lastToken);
  struct UserObject *uo516 = (struct UserObject*)self;
  uo516->data[13] = (Object)closure516;
  Method *meth_meth_parser_acceptAfterSpaces_40_1_41_onLineOf_40_1_41_516 = addmethod2pos(self, "acceptAfterSpaces(1)onLineOf(1)", &meth_parser_acceptAfterSpaces_40_1_41_onLineOf_40_1_41_516, 13);
  int argcv_meth_parser_acceptAfterSpaces_40_1_41_onLineOf_40_1_41_516[] = {1, 1};
  meth_meth_parser_acceptAfterSpaces_40_1_41_onLineOf_40_1_41_516->type = alloc_MethodType(2, argcv_meth_parser_acceptAfterSpaces_40_1_41_onLineOf_40_1_41_516);
  meth_meth_parser_acceptAfterSpaces_40_1_41_onLineOf_40_1_41_516->definitionModule = modulename;
  meth_meth_parser_acceptAfterSpaces_40_1_41_onLineOf_40_1_41_516->definitionLine = 202;
// compiled method node returning  (depth = 1)
// Begin line 214
  setline(214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "accept(_)onLineOfLastOr(_)"
  block_savedest(self);
  Object closure555 = createclosure(2, "accept(1)onLineOfLastOr(1)");
  setclosureframe(closure555, stackframe);
  addtoclosure(closure555, var_sym);
  addtoclosure(closure555, var_lastToken);
  struct UserObject *uo555 = (struct UserObject*)self;
  uo555->data[14] = (Object)closure555;
  Method *meth_meth_parser_accept_40_1_41_onLineOfLastOr_40_1_41_555 = addmethod2pos(self, "accept(1)onLineOfLastOr(1)", &meth_parser_accept_40_1_41_onLineOfLastOr_40_1_41_555, 14);
  int argcv_meth_parser_accept_40_1_41_onLineOfLastOr_40_1_41_555[] = {1, 1};
  meth_meth_parser_accept_40_1_41_onLineOfLastOr_40_1_41_555->type = alloc_MethodType(2, argcv_meth_parser_accept_40_1_41_onLineOfLastOr_40_1_41_555);
  meth_meth_parser_accept_40_1_41_onLineOfLastOr_40_1_41_555->definitionModule = modulename;
  meth_meth_parser_accept_40_1_41_onLineOfLastOr_40_1_41_555->definitionLine = 214;
// compiled method node returning  (depth = 1)
// Begin line 220
  setline(220);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "acceptArgumentOnLineOf(_)"
  block_savedest(self);
  Object closure591 = createclosure(1, "acceptArgumentOnLineOf(1)");
  setclosureframe(closure591, stackframe);
  addtoclosure(closure591, var_sym);
  struct UserObject *uo591 = (struct UserObject*)self;
  uo591->data[15] = (Object)closure591;
  Method *meth_meth_parser_acceptArgumentOnLineOf_40_1_41_591 = addmethod2pos(self, "acceptArgumentOnLineOf(1)", &meth_parser_acceptArgumentOnLineOf_40_1_41_591, 15);
  int argcv_meth_parser_acceptArgumentOnLineOf_40_1_41_591[] = {1};
  meth_meth_parser_acceptArgumentOnLineOf_40_1_41_591->type = alloc_MethodType(1, argcv_meth_parser_acceptArgumentOnLineOf_40_1_41_591);
  meth_meth_parser_acceptArgumentOnLineOf_40_1_41_591->definitionModule = modulename;
  meth_meth_parser_acceptArgumentOnLineOf_40_1_41_591->definitionLine = 220;
// compiled method node returning  (depth = 1)
// Begin line 231
  setline(231);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "tokenOnSameLine"
  block_savedest(self);
  Object closure632 = createclosure(3, "tokenOnSameLine");
  setclosureframe(closure632, stackframe);
  addtoclosure(closure632, var_lastIndent);
  addtoclosure(closure632, var_sym);
  addtoclosure(closure632, var_lastLine);
  struct UserObject *uo632 = (struct UserObject*)self;
  uo632->data[16] = (Object)closure632;
  Method *meth_meth_parser_tokenOnSameLine632 = addmethod2pos(self, "tokenOnSameLine", &meth_parser_tokenOnSameLine632, 16);
  int argcv_meth_parser_tokenOnSameLine632[] = {0};
  meth_meth_parser_tokenOnSameLine632->type = alloc_MethodType(1, argcv_meth_parser_tokenOnSameLine632);
  meth_meth_parser_tokenOnSameLine632->definitionModule = modulename;
  meth_meth_parser_tokenOnSameLine632->definitionLine = 231;
// compiled method node returning  (depth = 1)
// Begin line 235
  setline(235);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "didConsume(_)"
  block_savedest(self);
  Object closure646 = createclosure(1, "didConsume(1)");
  setclosureframe(closure646, stackframe);
  addtoclosure(closure646, var_tokens);
  struct UserObject *uo646 = (struct UserObject*)self;
  uo646->data[17] = (Object)closure646;
  Method *meth_meth_parser_didConsume_40_1_41_646 = addmethod2pos(self, "didConsume(1)", &meth_parser_didConsume_40_1_41_646, 17);
  int argcv_meth_parser_didConsume_40_1_41_646[] = {1};
  meth_meth_parser_didConsume_40_1_41_646->type = alloc_MethodType(1, argcv_meth_parser_didConsume_40_1_41_646);
  meth_meth_parser_didConsume_40_1_41_646->definitionModule = modulename;
  meth_meth_parser_didConsume_40_1_41_646->definitionLine = 235;
// compiled method node returning  (depth = 1)
// Begin line 241
  setline(241);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "ifConsume(_)then(_)"
  block_savedest(self);
  Object closure656 = createclosure(1, "ifConsume(1)then(1)");
  setclosureframe(closure656, stackframe);
  addtoclosure(closure656, var_tokens);
  struct UserObject *uo656 = (struct UserObject*)self;
  uo656->data[18] = (Object)closure656;
  Method *meth_meth_parser_ifConsume_40_1_41_then_40_1_41_656 = addmethod2pos(self, "ifConsume(1)then(1)", &meth_parser_ifConsume_40_1_41_then_40_1_41_656, 18);
  int argcv_meth_parser_ifConsume_40_1_41_then_40_1_41_656[] = {1, 1};
  meth_meth_parser_ifConsume_40_1_41_then_40_1_41_656->type = alloc_MethodType(2, argcv_meth_parser_ifConsume_40_1_41_then_40_1_41_656);
  meth_meth_parser_ifConsume_40_1_41_then_40_1_41_656->definitionModule = modulename;
  meth_meth_parser_ifConsume_40_1_41_then_40_1_41_656->definitionLine = 241;
// compiled method node returning  (depth = 1)
// Begin line 251
  setline(251);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "pushnum"
  block_savedest(self);
  Object closure669 = createclosure(3, "pushnum");
  setclosureframe(closure669, stackframe);
  addtoclosure(closure669, var_sym);
  addtoclosure(closure669, var_ast);
  addtoclosure(closure669, var_values);
  struct UserObject *uo669 = (struct UserObject*)self;
  uo669->data[19] = (Object)closure669;
  Method *meth_meth_parser_pushnum669 = addmethod2pos(self, "pushnum", &meth_parser_pushnum669, 19);
  int argcv_meth_parser_pushnum669[] = {0};
  meth_meth_parser_pushnum669->type = alloc_MethodType(1, argcv_meth_parser_pushnum669);
  meth_meth_parser_pushnum669->definitionModule = modulename;
  meth_meth_parser_pushnum669->definitionLine = 251;
// compiled method node returning  (depth = 1)
// Begin line 258
  setline(258);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "pushstring"
  block_savedest(self);
  Object closure680 = createclosure(3, "pushstring");
  setclosureframe(closure680, stackframe);
  addtoclosure(closure680, var_sym);
  addtoclosure(closure680, var_ast);
  addtoclosure(closure680, var_values);
  struct UserObject *uo680 = (struct UserObject*)self;
  uo680->data[20] = (Object)closure680;
  Method *meth_meth_parser_pushstring680 = addmethod2pos(self, "pushstring", &meth_parser_pushstring680, 20);
  int argcv_meth_parser_pushstring680[] = {0};
  meth_meth_parser_pushstring680->type = alloc_MethodType(1, argcv_meth_parser_pushstring680);
  meth_meth_parser_pushstring680->definitionModule = modulename;
  meth_meth_parser_pushstring680->definitionLine = 258;
// compiled method node returning  (depth = 1)
// Begin line 266
  setline(266);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "pushidentifier"
  block_savedest(self);
  Object closure691 = createclosure(5, "pushidentifier");
  setclosureframe(closure691, stackframe);
  addtoclosure(closure691, var_sym);
  addtoclosure(closure691, var_util);
  addtoclosure(closure691, var_ast);
  addtoclosure(closure691, var_auto_count);
  addtoclosure(closure691, var_values);
  struct UserObject *uo691 = (struct UserObject*)self;
  uo691->data[21] = (Object)closure691;
  Method *meth_meth_parser_pushidentifier691 = addmethod2pos(self, "pushidentifier", &meth_parser_pushidentifier691, 21);
  int argcv_meth_parser_pushidentifier691[] = {0};
  meth_meth_parser_pushidentifier691->type = alloc_MethodType(1, argcv_meth_parser_pushidentifier691);
  meth_meth_parser_pushidentifier691->definitionModule = modulename;
  meth_meth_parser_pushidentifier691->definitionLine = 266;
// compiled method node returning  (depth = 1)
// Begin line 278
  setline(278);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "checkAnnotation(_)"
  block_savedest(self);
  Object closure730 = createclosure(2, "checkAnnotation(1)");
  setclosureframe(closure730, stackframe);
  addtoclosure(closure730, var_sym);
  addtoclosure(closure730, var_errormessages);
  struct UserObject *uo730 = (struct UserObject*)self;
  uo730->data[22] = (Object)closure730;
  Method *meth_meth_parser_checkAnnotation_40_1_41_730 = addmethod2pos(self, "checkAnnotation(1)", &meth_parser_checkAnnotation_40_1_41_730, 22);
  int argcv_meth_parser_checkAnnotation_40_1_41_730[] = {1};
  meth_meth_parser_checkAnnotation_40_1_41_730->type = alloc_MethodType(1, argcv_meth_parser_checkAnnotation_40_1_41_730);
  meth_meth_parser_checkAnnotation_40_1_41_730->definitionModule = modulename;
  meth_meth_parser_checkAnnotation_40_1_41_730->definitionLine = 278;
// compiled method node returning  (depth = 1)
// Begin line 296
  setline(296);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doannotation"
  block_savedest(self);
  Object closure820 = createclosure(5, "doannotation");
  setclosureframe(closure820, stackframe);
  addtoclosure(closure820, var_noBlocks);
  addtoclosure(closure820, var_errormessages);
  addtoclosure(closure820, var_sym);
  addtoclosure(closure820, var_lastToken);
  addtoclosure(closure820, var_values);
  struct UserObject *uo820 = (struct UserObject*)self;
  uo820->data[23] = (Object)closure820;
  Method *meth_meth_parser_doannotation820 = addmethod2pos(self, "doannotation", &meth_parser_doannotation820, 23);
  int argcv_meth_parser_doannotation820[] = {0};
  meth_meth_parser_doannotation820->type = alloc_MethodType(1, argcv_meth_parser_doannotation820);
  meth_meth_parser_doannotation820->definitionModule = modulename;
  meth_meth_parser_doannotation820->definitionLine = 296;
// compiled method node returning  (depth = 1)
// Begin line 344
  setline(344);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "blank"
  block_savedest(self);
  Object closure984 = createclosure(8, "blank");
  setclosureframe(closure984, stackframe);
  addtoclosure(closure984, var_blankLocation);
  addtoclosure(closure984, var_lastToken);
  addtoclosure(closure984, var_sym);
  addtoclosure(closure984, var_done);
  addtoclosure(closure984, var_previousCommentToken);
  addtoclosure(closure984, var_values);
  addtoclosure(closure984, var_util);
  addtoclosure(closure984, var_ast);
  struct UserObject *uo984 = (struct UserObject*)self;
  uo984->data[24] = (Object)closure984;
  Method *meth_meth_parser_blank984 = addmethod2pos(self, "blank", &meth_parser_blank984, 24);
  int argcv_meth_parser_blank984[] = {0};
  meth_meth_parser_blank984->type = alloc_MethodType(1, argcv_meth_parser_blank984);
  meth_meth_parser_blank984->definitionModule = modulename;
  meth_meth_parser_blank984->definitionLine = 344;
// compiled method node returning  (depth = 1)
// Begin line 362
  setline(362);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "dotypeterm"
  block_savedest(self);
  Object closure1071 = createclosure(1, "dotypeterm");
  setclosureframe(closure1071, stackframe);
  addtoclosure(closure1071, var_noBlocks);
  struct UserObject *uo1071 = (struct UserObject*)self;
  uo1071->data[25] = (Object)closure1071;
  Method *meth_meth_parser_dotypeterm1071 = addmethod2pos(self, "dotypeterm", &meth_parser_dotypeterm1071, 25);
  int argcv_meth_parser_dotypeterm1071[] = {0};
  meth_meth_parser_dotypeterm1071->type = alloc_MethodType(1, argcv_meth_parser_dotypeterm1071);
  meth_meth_parser_dotypeterm1071->definitionModule = modulename;
  meth_meth_parser_dotypeterm1071->definitionLine = 362;
// compiled method node returning  (depth = 1)
// Begin line 374
  setline(374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "typeexpression"
  block_savedest(self);
  Object closure1088 = createclosure(6, "typeexpression");
  setclosureframe(closure1088, stackframe);
  addtoclosure(closure1088, var_values);
  addtoclosure(closure1088, var_statementToken);
  addtoclosure(closure1088, var_sym);
  addtoclosure(closure1088, var_errormessages);
  addtoclosure(closure1088, var_lastToken);
  addtoclosure(closure1088, var_noBlocks);
  struct UserObject *uo1088 = (struct UserObject*)self;
  uo1088->data[26] = (Object)closure1088;
  Method *meth_meth_parser_typeexpression1088 = addmethod2pos(self, "typeexpression", &meth_parser_typeexpression1088, 26);
  int argcv_meth_parser_typeexpression1088[] = {0};
  meth_meth_parser_typeexpression1088->type = alloc_MethodType(1, argcv_meth_parser_typeexpression1088);
  meth_meth_parser_typeexpression1088->definitionModule = modulename;
  meth_meth_parser_typeexpression1088->definitionLine = 374;
// compiled method node returning  (depth = 1)
// Begin line 413
  setline(413);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "newIf(_,_,_)"
  block_savedest(self);
  Object closure1180 = createclosure(1, "newIf(3)");
  setclosureframe(closure1180, stackframe);
  addtoclosure(closure1180, var_ast);
  struct UserObject *uo1180 = (struct UserObject*)self;
  uo1180->data[27] = (Object)closure1180;
  Method *meth_meth_parser_newIf_40_3_41_1180 = addmethod2pos(self, "newIf(3)", &meth_parser_newIf_40_3_41_1180, 27);
  int argcv_meth_parser_newIf_40_3_41_1180[] = {3};
  meth_meth_parser_newIf_40_3_41_1180->type = alloc_MethodType(1, argcv_meth_parser_newIf_40_3_41_1180);
  meth_meth_parser_newIf_40_3_41_1180->definitionModule = modulename;
  meth_meth_parser_newIf_40_3_41_1180->definitionLine = 413;
// compiled method node returning  (depth = 1)
// Begin line 419
  setline(419);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "block"
  block_savedest(self);
  Object closure1197 = createclosure(12, "block");
  setclosureframe(closure1197, stackframe);
  addtoclosure(closure1197, var_sym);
  addtoclosure(closure1197, var_statementIndent);
  addtoclosure(closure1197, var_statementToken);
  addtoclosure(closure1197, var_blocksOK);
  addtoclosure(closure1197, var_values);
  addtoclosure(closure1197, var_braceIsType);
  addtoclosure(closure1197, var_errormessages);
  addtoclosure(closure1197, var_lastToken);
  addtoclosure(closure1197, var_indentFreePass);
  addtoclosure(closure1197, var_util);
  addtoclosure(closure1197, var_ast);
  addtoclosure(closure1197, var_minIndentLevel);
  struct UserObject *uo1197 = (struct UserObject*)self;
  uo1197->data[28] = (Object)closure1197;
  Method *meth_meth_parser_block1197 = addmethod2pos(self, "block", &meth_parser_block1197, 28);
  int argcv_meth_parser_block1197[] = {0};
  meth_meth_parser_block1197->type = alloc_MethodType(1, argcv_meth_parser_block1197);
  meth_meth_parser_block1197->definitionModule = modulename;
  meth_meth_parser_block1197->definitionLine = 419;
// compiled method node returning  (depth = 1)
// Begin line 592
  setline(592);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doif"
  block_savedest(self);
  Object closure1719 = createclosure(9, "doif");
  setclosureframe(closure1719, stackframe);
  addtoclosure(closure1719, var_sym);
  addtoclosure(closure1719, var_errormessages);
  addtoclosure(closure1719, var_blocksOK);
  addtoclosure(closure1719, var_lastToken);
  addtoclosure(closure1719, var_values);
  addtoclosure(closure1719, var_minIndentLevel);
  addtoclosure(closure1719, var_statementIndent);
  addtoclosure(closure1719, var_statementToken);
  addtoclosure(closure1719, var_util);
  struct UserObject *uo1719 = (struct UserObject*)self;
  uo1719->data[29] = (Object)closure1719;
  Method *meth_meth_parser_doif1719 = addmethod2pos(self, "doif", &meth_parser_doif1719, 29);
  int argcv_meth_parser_doif1719[] = {0};
  meth_meth_parser_doif1719->type = alloc_MethodType(1, argcv_meth_parser_doif1719);
  meth_meth_parser_doif1719->definitionModule = modulename;
  meth_meth_parser_doif1719->definitionLine = 592;
// compiled method node returning  (depth = 1)
// Begin line 994
  setline(994);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "identifier"
  block_savedest(self);
  Object closure3165 = createclosure(1, "identifier");
  setclosureframe(closure3165, stackframe);
  addtoclosure(closure3165, var_sym);
  struct UserObject *uo3165 = (struct UserObject*)self;
  uo3165->data[30] = (Object)closure3165;
  Method *meth_meth_parser_identifier3165 = addmethod2pos(self, "identifier", &meth_parser_identifier3165, 30);
  int argcv_meth_parser_identifier3165[] = {0};
  meth_meth_parser_identifier3165->type = alloc_MethodType(1, argcv_meth_parser_identifier3165);
  meth_meth_parser_identifier3165->definitionModule = modulename;
  meth_meth_parser_identifier3165->definitionLine = 994;
// compiled method node returning  (depth = 1)
// Begin line 1004
  setline(1004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "prefixop"
  block_savedest(self);
  Object closure3181 = createclosure(6, "prefixop");
  setclosureframe(closure3181, stackframe);
  addtoclosure(closure3181, var_sym);
  addtoclosure(closure3181, var_blocksOK);
  addtoclosure(closure3181, var_errormessages);
  addtoclosure(closure3181, var_lastToken);
  addtoclosure(closure3181, var_values);
  addtoclosure(closure3181, var_ast);
  struct UserObject *uo3181 = (struct UserObject*)self;
  uo3181->data[31] = (Object)closure3181;
  Method *meth_meth_parser_prefixop3181 = addmethod2pos(self, "prefixop", &meth_parser_prefixop3181, 31);
  int argcv_meth_parser_prefixop3181[] = {0};
  meth_meth_parser_prefixop3181->type = alloc_MethodType(1, argcv_meth_parser_prefixop3181);
  meth_meth_parser_prefixop3181->definitionModule = modulename;
  meth_meth_parser_prefixop3181->definitionLine = 1004;
// compiled method node returning  (depth = 1)
// Begin line 1060
  setline(1060);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "generic"
  block_savedest(self);
  Object closure3364 = createclosure(5, "generic");
  setclosureframe(closure3364, stackframe);
  addtoclosure(closure3364, var_values);
  addtoclosure(closure3364, var_sym);
  addtoclosure(closure3364, var_errormessages);
  addtoclosure(closure3364, var_lastToken);
  addtoclosure(closure3364, var_ast);
  struct UserObject *uo3364 = (struct UserObject*)self;
  uo3364->data[32] = (Object)closure3364;
  Method *meth_meth_parser_generic3364 = addmethod2pos(self, "generic", &meth_parser_generic3364, 32);
  int argcv_meth_parser_generic3364[] = {0};
  meth_meth_parser_generic3364->type = alloc_MethodType(1, argcv_meth_parser_generic3364);
  meth_meth_parser_generic3364->definitionModule = modulename;
  meth_meth_parser_generic3364->definitionLine = 1060;
// compiled method node returning  (depth = 1)
// Begin line 1120
  setline(1120);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "trycatch"
  block_savedest(self);
  Object closure3547 = createclosure(9, "trycatch");
  setclosureframe(closure3547, stackframe);
  addtoclosure(closure3547, var_sym);
  addtoclosure(closure3547, var_minIndentLevel);
  addtoclosure(closure3547, var_errormessages);
  addtoclosure(closure3547, var_lastToken);
  addtoclosure(closure3547, var_blocksOK);
  addtoclosure(closure3547, var_values);
  addtoclosure(closure3547, var_tokens);
  addtoclosure(closure3547, var_util);
  addtoclosure(closure3547, var_ast);
  struct UserObject *uo3547 = (struct UserObject*)self;
  uo3547->data[33] = (Object)closure3547;
  Method *meth_meth_parser_trycatch3547 = addmethod2pos(self, "trycatch", &meth_parser_trycatch3547, 33);
  int argcv_meth_parser_trycatch3547[] = {0};
  meth_meth_parser_trycatch3547->type = alloc_MethodType(1, argcv_meth_parser_trycatch3547);
  meth_meth_parser_trycatch3547->definitionModule = modulename;
  meth_meth_parser_trycatch3547->definitionLine = 1120;
// compiled method node returning  (depth = 1)
// Begin line 1288
  setline(1288);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "matchcase"
  block_savedest(self);
  Object closure4148 = createclosure(9, "matchcase");
  setclosureframe(closure4148, stackframe);
  addtoclosure(closure4148, var_sym);
  addtoclosure(closure4148, var_minIndentLevel);
  addtoclosure(closure4148, var_errormessages);
  addtoclosure(closure4148, var_blocksOK);
  addtoclosure(closure4148, var_lastToken);
  addtoclosure(closure4148, var_values);
  addtoclosure(closure4148, var_tokens);
  addtoclosure(closure4148, var_util);
  addtoclosure(closure4148, var_ast);
  struct UserObject *uo4148 = (struct UserObject*)self;
  uo4148->data[34] = (Object)closure4148;
  Method *meth_meth_parser_matchcase4148 = addmethod2pos(self, "matchcase", &meth_parser_matchcase4148, 34);
  int argcv_meth_parser_matchcase4148[] = {0};
  meth_meth_parser_matchcase4148->type = alloc_MethodType(1, argcv_meth_parser_matchcase4148);
  meth_meth_parser_matchcase4148->definitionModule = modulename;
  meth_meth_parser_matchcase4148->definitionLine = 1288;
// compiled method node returning  (depth = 1)
// Begin line 1393
  setline(1393);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "term"
  block_savedest(self);
  Object closure4523 = createclosure(3, "term");
  setclosureframe(closure4523, stackframe);
  addtoclosure(closure4523, var_sym);
  addtoclosure(closure4523, var_util);
  addtoclosure(closure4523, var_lastToken);
  struct UserObject *uo4523 = (struct UserObject*)self;
  uo4523->data[35] = (Object)closure4523;
  Method *meth_meth_parser_term4523 = addmethod2pos(self, "term", &meth_parser_term4523, 35);
  int argcv_meth_parser_term4523[] = {0};
  meth_meth_parser_term4523->type = alloc_MethodType(1, argcv_meth_parser_term4523);
  meth_meth_parser_term4523->definitionModule = modulename;
  meth_meth_parser_term4523->definitionLine = 1393;
// compiled method node returning  (depth = 1)
// Begin line 1425
  setline(1425);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "expression(_)"
  block_savedest(self);
  Object closure4623 = createclosure(6, "expression(1)");
  setclosureframe(closure4623, stackframe);
  addtoclosure(closure4623, var_values);
  addtoclosure(closure4623, var_sym);
  addtoclosure(closure4623, var_util);
  addtoclosure(closure4623, var_statementToken);
  addtoclosure(closure4623, var_errormessages);
  addtoclosure(closure4623, var_lastToken);
  struct UserObject *uo4623 = (struct UserObject*)self;
  uo4623->data[36] = (Object)closure4623;
  Method *meth_meth_parser_expression_40_1_41_4623 = addmethod2pos(self, "expression(1)", &meth_parser_expression_40_1_41_4623, 36);
  int argcv_meth_parser_expression_40_1_41_4623[] = {1};
  meth_meth_parser_expression_40_1_41_4623->type = alloc_MethodType(1, argcv_meth_parser_expression_40_1_41_4623);
  meth_meth_parser_expression_40_1_41_4623->definitionModule = modulename;
  meth_meth_parser_expression_40_1_41_4623->definitionLine = 1425;
// compiled method node returning  (depth = 1)
// Begin line 1468
  setline(1468);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "postfixsquare"
  block_savedest(self);
  Object closure4731 = createclosure(5, "postfixsquare");
  setclosureframe(closure4731, stackframe);
  addtoclosure(closure4731, var_sym);
  addtoclosure(closure4731, var_values);
  addtoclosure(closure4731, var_blocksOK);
  addtoclosure(closure4731, var_errormessages);
  addtoclosure(closure4731, var_lastToken);
  struct UserObject *uo4731 = (struct UserObject*)self;
  uo4731->data[37] = (Object)closure4731;
  Method *meth_meth_parser_postfixsquare4731 = addmethod2pos(self, "postfixsquare", &meth_parser_postfixsquare4731, 37);
  int argcv_meth_parser_postfixsquare4731[] = {0};
  meth_meth_parser_postfixsquare4731->type = alloc_MethodType(1, argcv_meth_parser_postfixsquare4731);
  meth_meth_parser_postfixsquare4731->definitionModule = modulename;
  meth_meth_parser_postfixsquare4731->definitionLine = 1468;
// compiled method node returning  (depth = 1)
// Begin line 1506
  setline(1506);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "oprec(_)"
  struct UserObject *uo4837 = (struct UserObject*)self;
  uo4837->data[38] = emptyclosure;
  Method *meth_meth_parser_oprec_40_1_41_4837 = addmethod2pos(self, "oprec(1)", &meth_parser_oprec_40_1_41_4837, 38);
  int argcv_meth_parser_oprec_40_1_41_4837[] = {1};
  meth_meth_parser_oprec_40_1_41_4837->type = alloc_MethodType(1, argcv_meth_parser_oprec_40_1_41_4837);
  meth_meth_parser_oprec_40_1_41_4837->definitionModule = modulename;
  meth_meth_parser_oprec_40_1_41_4837->definitionLine = 1506;
// compiled method node returning  (depth = 1)
// Begin line 1516
  setline(1516);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "toprec(_)"
  struct UserObject *uo4851 = (struct UserObject*)self;
  uo4851->data[39] = emptyclosure;
  Method *meth_meth_parser_toprec_40_1_41_4851 = addmethod2pos(self, "toprec(1)", &meth_parser_toprec_40_1_41_4851, 39);
  int argcv_meth_parser_toprec_40_1_41_4851[] = {1};
  meth_meth_parser_toprec_40_1_41_4851->type = alloc_MethodType(1, argcv_meth_parser_toprec_40_1_41_4851);
  meth_meth_parser_toprec_40_1_41_4851->definitionModule = modulename;
  meth_meth_parser_toprec_40_1_41_4851->definitionLine = 1516;
// compiled method node returning  (depth = 1)
// Begin line 1525
  setline(1525);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "typeexpressionrest"
  block_savedest(self);
  Object closure4864 = createclosure(1, "typeexpressionrest");
  setclosureframe(closure4864, stackframe);
  addtoclosure(closure4864, var_noBlocks);
  struct UserObject *uo4864 = (struct UserObject*)self;
  uo4864->data[40] = (Object)closure4864;
  Method *meth_meth_parser_typeexpressionrest4864 = addmethod2pos(self, "typeexpressionrest", &meth_parser_typeexpressionrest4864, 40);
  int argcv_meth_parser_typeexpressionrest4864[] = {0};
  meth_meth_parser_typeexpressionrest4864->type = alloc_MethodType(1, argcv_meth_parser_typeexpressionrest4864);
  meth_meth_parser_typeexpressionrest4864->definitionModule = modulename;
  meth_meth_parser_typeexpressionrest4864->definitionLine = 1525;
// compiled method node returning  (depth = 1)
// Begin line 1531
  setline(1531);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "valueexpressionrest"
  block_savedest(self);
  Object closure4877 = createclosure(1, "valueexpressionrest");
  setclosureframe(closure4877, stackframe);
  addtoclosure(closure4877, var_blocksOK);
  struct UserObject *uo4877 = (struct UserObject*)self;
  uo4877->data[41] = (Object)closure4877;
  Method *meth_meth_parser_valueexpressionrest4877 = addmethod2pos(self, "valueexpressionrest", &meth_parser_valueexpressionrest4877, 41);
  int argcv_meth_parser_valueexpressionrest4877[] = {0};
  meth_meth_parser_valueexpressionrest4877->type = alloc_MethodType(1, argcv_meth_parser_valueexpressionrest4877);
  meth_meth_parser_valueexpressionrest4877->definitionModule = modulename;
  meth_meth_parser_valueexpressionrest4877->definitionLine = 1531;
// compiled method node returning  (depth = 1)
// Begin line 1537
  setline(1537);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "expressionrest(_)recursingWith(_)blocks(_)"
  block_savedest(self);
  Object closure4890 = createclosure(7, "expressionrest(1)recursingWith(1)blocks(1)");
  setclosureframe(closure4890, stackframe);
  addtoclosure(closure4890, var_values);
  addtoclosure(closure4890, var_sym);
  addtoclosure(closure4890, var_statementToken);
  addtoclosure(closure4890, var_errormessages);
  addtoclosure(closure4890, var_lastToken);
  addtoclosure(closure4890, var_util);
  addtoclosure(closure4890, var_ast);
  struct UserObject *uo4890 = (struct UserObject*)self;
  uo4890->data[42] = (Object)closure4890;
  Method *meth_meth_parser_expressionrest_40_1_41_recursingWith_40_1_41_blocks_40_1_41_4890 = addmethod2pos(self, "expressionrest(1)recursingWith(1)blocks(1)", &meth_parser_expressionrest_40_1_41_recursingWith_40_1_41_blocks_40_1_41_4890, 42);
  int argcv_meth_parser_expressionrest_40_1_41_recursingWith_40_1_41_blocks_40_1_41_4890[] = {1, 1, 1};
  meth_meth_parser_expressionrest_40_1_41_recursingWith_40_1_41_blocks_40_1_41_4890->type = alloc_MethodType(3, argcv_meth_parser_expressionrest_40_1_41_recursingWith_40_1_41_blocks_40_1_41_4890);
  meth_meth_parser_expressionrest_40_1_41_recursingWith_40_1_41_blocks_40_1_41_4890->definitionModule = modulename;
  meth_meth_parser_expressionrest_40_1_41_recursingWith_40_1_41_blocks_40_1_41_4890->definitionLine = 1537;
// compiled method node returning  (depth = 1)
// Begin line 1684
  setline(1684);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "dotrest(_)"
  block_savedest(self);
  Object closure5401 = createclosure(6, "dotrest(1)");
  setclosureframe(closure5401, stackframe);
  addtoclosure(closure5401, var_sym);
  addtoclosure(closure5401, var_util);
  addtoclosure(closure5401, var_values);
  addtoclosure(closure5401, var_ast);
  addtoclosure(closure5401, var_errormessages);
  addtoclosure(closure5401, var_lastToken);
  struct UserObject *uo5401 = (struct UserObject*)self;
  uo5401->data[43] = (Object)closure5401;
  Method *meth_meth_parser_dotrest_40_1_41_5401 = addmethod2pos(self, "dotrest(1)", &meth_parser_dotrest_40_1_41_5401, 43);
  int argcv_meth_parser_dotrest_40_1_41_5401[] = {1};
  meth_meth_parser_dotrest_40_1_41_5401->type = alloc_MethodType(1, argcv_meth_parser_dotrest_40_1_41_5401);
  meth_meth_parser_dotrest_40_1_41_5401->definitionModule = modulename;
  meth_meth_parser_dotrest_40_1_41_5401->definitionLine = 1684;
// compiled method node returning  (depth = 1)
// Begin line 1718
  setline(1718);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "callrest(_)"
  block_savedest(self);
  Object closure5507 = createclosure(6, "callrest(1)");
  setclosureframe(closure5507, stackframe);
  addtoclosure(closure5507, var_values);
  addtoclosure(closure5507, var_sym);
  addtoclosure(closure5507, var_util);
  addtoclosure(closure5507, var_ast);
  addtoclosure(closure5507, var_lastToken);
  addtoclosure(closure5507, var_minIndentLevel);
  struct UserObject *uo5507 = (struct UserObject*)self;
  uo5507->data[44] = (Object)closure5507;
  Method *meth_meth_parser_callrest_40_1_41_5507 = addmethod2pos(self, "callrest(1)", &meth_parser_callrest_40_1_41_5507, 44);
  int argcv_meth_parser_callrest_40_1_41_5507[] = {1};
  meth_meth_parser_callrest_40_1_41_5507->type = alloc_MethodType(1, argcv_meth_parser_callrest_40_1_41_5507);
  meth_meth_parser_callrest_40_1_41_5507->definitionModule = modulename;
  meth_meth_parser_callrest_40_1_41_5507->definitionLine = 1718;
// compiled method node returning  (depth = 1)
// Begin line 1811
  setline(1811);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "parenthesizedArg(_)"
  block_savedest(self);
  Object closure5732 = createclosure(5, "parenthesizedArg(1)");
  setclosureframe(closure5732, stackframe);
  addtoclosure(closure5732, var_blocksOK);
  addtoclosure(closure5732, var_values);
  addtoclosure(closure5732, var_errormessages);
  addtoclosure(closure5732, var_sym);
  addtoclosure(closure5732, var_lastToken);
  struct UserObject *uo5732 = (struct UserObject*)self;
  uo5732->data[45] = (Object)closure5732;
  Method *meth_meth_parser_parenthesizedArg_40_1_41_5732 = addmethod2pos(self, "parenthesizedArg(1)", &meth_parser_parenthesizedArg_40_1_41_5732, 45);
  int argcv_meth_parser_parenthesizedArg_40_1_41_5732[] = {1};
  meth_meth_parser_parenthesizedArg_40_1_41_5732->type = alloc_MethodType(1, argcv_meth_parser_parenthesizedArg_40_1_41_5732);
  meth_meth_parser_parenthesizedArg_40_1_41_5732->definitionModule = modulename;
  meth_meth_parser_parenthesizedArg_40_1_41_5732->definitionLine = 1811;
// compiled method node returning  (depth = 1)
// Begin line 1921
  setline(1921);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "typeArgs"
  block_savedest(self);
  Object closure6134 = createclosure(4, "typeArgs");
  setclosureframe(closure6134, stackframe);
  addtoclosure(closure6134, var_sym);
  addtoclosure(closure6134, var_values);
  addtoclosure(closure6134, var_errormessages);
  addtoclosure(closure6134, var_lastToken);
  struct UserObject *uo6134 = (struct UserObject*)self;
  uo6134->data[46] = (Object)closure6134;
  Method *meth_meth_parser_typeArgs6134 = addmethod2pos(self, "typeArgs", &meth_parser_typeArgs6134, 46);
  int argcv_meth_parser_typeArgs6134[] = {0};
  meth_meth_parser_typeArgs6134->type = alloc_MethodType(1, argcv_meth_parser_typeArgs6134);
  meth_meth_parser_typeArgs6134->definitionModule = modulename;
  meth_meth_parser_typeArgs6134->definitionLine = 1921;
// compiled method node returning  (depth = 1)
// Begin line 1946
  setline(1946);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "typeArg"
  block_savedest(self);
  Object closure6213 = createclosure(3, "typeArg");
  setclosureframe(closure6213, stackframe);
  addtoclosure(closure6213, var_sym);
  addtoclosure(closure6213, var_values);
  addtoclosure(closure6213, var_ast);
  struct UserObject *uo6213 = (struct UserObject*)self;
  uo6213->data[47] = (Object)closure6213;
  Method *meth_meth_parser_typeArg6213 = addmethod2pos(self, "typeArg", &meth_parser_typeArg6213, 47);
  int argcv_meth_parser_typeArg6213[] = {0};
  meth_meth_parser_typeArg6213->type = alloc_MethodType(1, argcv_meth_parser_typeArg6213);
  meth_meth_parser_typeArg6213->definitionModule = modulename;
  meth_meth_parser_typeArg6213->definitionLine = 1946;
// compiled method node returning  (depth = 1)
// Begin line 1962
  setline(1962);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "callmprest(_,_,_)"
  block_savedest(self);
  Object closure6245 = createclosure(6, "callmprest(3)");
  setclosureframe(closure6245, stackframe);
  addtoclosure(closure6245, var_lastToken);
  addtoclosure(closure6245, var_ast);
  addtoclosure(closure6245, var_values);
  addtoclosure(closure6245, var_errormessages);
  addtoclosure(closure6245, var_sym);
  addtoclosure(closure6245, var_blocksOK);
  struct UserObject *uo6245 = (struct UserObject*)self;
  uo6245->data[48] = (Object)closure6245;
  Method *meth_meth_parser_callmprest_40_3_41_6245 = addmethod2pos(self, "callmprest(3)", &meth_parser_callmprest_40_3_41_6245, 48);
  int argcv_meth_parser_callmprest_40_3_41_6245[] = {3};
  meth_meth_parser_callmprest_40_3_41_6245->type = alloc_MethodType(1, argcv_meth_parser_callmprest_40_3_41_6245);
  meth_meth_parser_callmprest_40_3_41_6245->definitionModule = modulename;
  meth_meth_parser_callmprest_40_3_41_6245->definitionLine = 1962;
// compiled method node returning  (depth = 1)
// Begin line 2084
  setline(2084);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "defdec"
  block_savedest(self);
  Object closure6610 = createclosure(7, "defdec");
  setclosureframe(closure6610, stackframe);
  addtoclosure(closure6610, var_sym);
  addtoclosure(closure6610, var_errormessages);
  addtoclosure(closure6610, var_lastToken);
  addtoclosure(closure6610, var_values);
  addtoclosure(closure6610, var_blocksOK);
  addtoclosure(closure6610, var_util);
  addtoclosure(closure6610, var_ast);
  struct UserObject *uo6610 = (struct UserObject*)self;
  uo6610->data[49] = (Object)closure6610;
  Method *meth_meth_parser_defdec6610 = addmethod2pos(self, "defdec", &meth_parser_defdec6610, 49);
  int argcv_meth_parser_defdec6610[] = {0};
  meth_meth_parser_defdec6610->type = alloc_MethodType(1, argcv_meth_parser_defdec6610);
  meth_meth_parser_defdec6610->definitionModule = modulename;
  meth_meth_parser_defdec6610->definitionLine = 2084;
// compiled method node returning  (depth = 1)
// Begin line 2161
  setline(2161);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "vardec"
  block_savedest(self);
  Object closure6865 = createclosure(7, "vardec");
  setclosureframe(closure6865, stackframe);
  addtoclosure(closure6865, var_sym);
  addtoclosure(closure6865, var_errormessages);
  addtoclosure(closure6865, var_lastToken);
  addtoclosure(closure6865, var_values);
  addtoclosure(closure6865, var_blocksOK);
  addtoclosure(closure6865, var_util);
  addtoclosure(closure6865, var_ast);
  struct UserObject *uo6865 = (struct UserObject*)self;
  uo6865->data[50] = (Object)closure6865;
  Method *meth_meth_parser_vardec6865 = addmethod2pos(self, "vardec", &meth_parser_vardec6865, 50);
  int argcv_meth_parser_vardec6865[] = {0};
  meth_meth_parser_vardec6865->type = alloc_MethodType(1, argcv_meth_parser_vardec6865);
  meth_meth_parser_vardec6865->definitionModule = modulename;
  meth_meth_parser_vardec6865->definitionLine = 2161;
// compiled method node returning  (depth = 1)
// Begin line 2230
  setline(2230);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doarray"
  block_savedest(self);
  Object closure7084 = createclosure(6, "doarray");
  setclosureframe(closure7084, stackframe);
  addtoclosure(closure7084, var_blocksOK);
  addtoclosure(closure7084, var_values);
  addtoclosure(closure7084, var_errormessages);
  addtoclosure(closure7084, var_sym);
  addtoclosure(closure7084, var_lastToken);
  addtoclosure(closure7084, var_ast);
  struct UserObject *uo7084 = (struct UserObject*)self;
  uo7084->data[51] = (Object)closure7084;
  Method *meth_meth_parser_doarray7084 = addmethod2pos(self, "doarray", &meth_parser_doarray7084, 51);
  int argcv_meth_parser_doarray7084[] = {0};
  meth_meth_parser_doarray7084->type = alloc_MethodType(1, argcv_meth_parser_doarray7084);
  meth_meth_parser_doarray7084->definitionModule = modulename;
  meth_meth_parser_doarray7084->definitionLine = 2230;
// compiled method node returning  (depth = 1)
// Begin line 2273
  setline(2273);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "dodialect"
  block_savedest(self);
  Object closure7214 = createclosure(5, "dodialect");
  setclosureframe(closure7214, stackframe);
  addtoclosure(closure7214, var_sym);
  addtoclosure(closure7214, var_errormessages);
  addtoclosure(closure7214, var_lastToken);
  addtoclosure(closure7214, var_ast);
  addtoclosure(closure7214, var_values);
  struct UserObject *uo7214 = (struct UserObject*)self;
  uo7214->data[52] = (Object)closure7214;
  Method *meth_meth_parser_dodialect7214 = addmethod2pos(self, "dodialect", &meth_parser_dodialect7214, 52);
  int argcv_meth_parser_dodialect7214[] = {0};
  meth_meth_parser_dodialect7214->type = alloc_MethodType(1, argcv_meth_parser_dodialect7214);
  meth_meth_parser_dodialect7214->definitionModule = modulename;
  meth_meth_parser_dodialect7214->definitionLine = 2273;
// compiled method node returning  (depth = 1)
// Begin line 2294
  setline(2294);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "inheritsOrUses"
  block_savedest(self);
  Object closure7294 = createclosure(8, "inheritsOrUses");
  setclosureframe(closure7294, stackframe);
  addtoclosure(closure7294, var_done);
  addtoclosure(closure7294, var_sym);
  addtoclosure(closure7294, var_noBlocks);
  addtoclosure(closure7294, var_errormessages);
  addtoclosure(closure7294, var_lastToken);
  addtoclosure(closure7294, var_util);
  addtoclosure(closure7294, var_values);
  addtoclosure(closure7294, var_ast);
  struct UserObject *uo7294 = (struct UserObject*)self;
  uo7294->data[53] = (Object)closure7294;
  Method *meth_meth_parser_inheritsOrUses7294 = addmethod2pos(self, "inheritsOrUses", &meth_parser_inheritsOrUses7294, 53);
  int argcv_meth_parser_inheritsOrUses7294[] = {0};
  meth_meth_parser_inheritsOrUses7294->type = alloc_MethodType(1, argcv_meth_parser_inheritsOrUses7294);
  meth_meth_parser_inheritsOrUses7294->definitionModule = modulename;
  meth_meth_parser_inheritsOrUses7294->definitionLine = 2294;
// compiled method node returning  (depth = 1)
// Begin line 2335
  setline(2335);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "inheritsModifier(_)onLineOf(_)"
  block_savedest(self);
  Object closure7454 = createclosure(1, "inheritsModifier(1)onLineOf(1)");
  setclosureframe(closure7454, stackframe);
  addtoclosure(closure7454, var_sym);
  struct UserObject *uo7454 = (struct UserObject*)self;
  uo7454->data[54] = (Object)closure7454;
  Method *meth_meth_parser_inheritsModifier_40_1_41_onLineOf_40_1_41_7454 = addmethod2pos(self, "inheritsModifier(1)onLineOf(1)", &meth_parser_inheritsModifier_40_1_41_onLineOf_40_1_41_7454, 54);
  int argcv_meth_parser_inheritsModifier_40_1_41_onLineOf_40_1_41_7454[] = {1, 1};
  meth_meth_parser_inheritsModifier_40_1_41_onLineOf_40_1_41_7454->type = alloc_MethodType(2, argcv_meth_parser_inheritsModifier_40_1_41_onLineOf_40_1_41_7454);
  meth_meth_parser_inheritsModifier_40_1_41_onLineOf_40_1_41_7454->definitionModule = modulename;
  meth_meth_parser_inheritsModifier_40_1_41_onLineOf_40_1_41_7454->definitionLine = 2335;
// compiled method node returning  (depth = 1)
// Begin line 2349
  setline(2349);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "parseAlias(_)"
  block_savedest(self);
  Object closure7481 = createclosure(3, "parseAlias(1)");
  setclosureframe(closure7481, stackframe);
  addtoclosure(closure7481, var_sym);
  addtoclosure(closure7481, var_lastToken);
  addtoclosure(closure7481, var_errormessages);
  struct UserObject *uo7481 = (struct UserObject*)self;
  uo7481->data[55] = (Object)closure7481;
  Method *meth_meth_parser_parseAlias_40_1_41_7481 = addmethod2pos(self, "parseAlias(1)", &meth_parser_parseAlias_40_1_41_7481, 55);
  int argcv_meth_parser_parseAlias_40_1_41_7481[] = {1};
  meth_meth_parser_parseAlias_40_1_41_7481->type = alloc_MethodType(1, argcv_meth_parser_parseAlias_40_1_41_7481);
  meth_meth_parser_parseAlias_40_1_41_7481->definitionModule = modulename;
  meth_meth_parser_parseAlias_40_1_41_7481->definitionLine = 2349;
// compiled method node returning  (depth = 1)
// Begin line 2366
  setline(2366);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "parseExclude(_)"
  struct UserObject *uo7531 = (struct UserObject*)self;
  uo7531->data[56] = emptyclosure;
  Method *meth_meth_parser_parseExclude_40_1_41_7531 = addmethod2pos(self, "parseExclude(1)", &meth_parser_parseExclude_40_1_41_7531, 56);
  int argcv_meth_parser_parseExclude_40_1_41_7531[] = {1};
  meth_meth_parser_parseExclude_40_1_41_7531->type = alloc_MethodType(1, argcv_meth_parser_parseExclude_40_1_41_7531);
  meth_meth_parser_parseExclude_40_1_41_7531->definitionModule = modulename;
  meth_meth_parser_parseExclude_40_1_41_7531->definitionLine = 2366;
// compiled method node returning  (depth = 1)
// Begin line 2375
  setline(2375);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doobject"
  block_savedest(self);
  Object closure7545 = createclosure(1, "doobject");
  setclosureframe(closure7545, stackframe);
  addtoclosure(closure7545, var_lastToken);
  struct UserObject *uo7545 = (struct UserObject*)self;
  uo7545->data[57] = (Object)closure7545;
  Method *meth_meth_parser_doobject7545 = addmethod2pos(self, "doobject", &meth_parser_doobject7545, 57);
  int argcv_meth_parser_doobject7545[] = {0};
  meth_meth_parser_doobject7545->type = alloc_MethodType(1, argcv_meth_parser_doobject7545);
  meth_meth_parser_doobject7545->definitionModule = modulename;
  meth_meth_parser_doobject7545->definitionLine = 2375;
// compiled method node returning  (depth = 1)
// Begin line 2386
  setline(2386);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "parseObjectConstructorBody(_)startingWith(_)after(_)"
  block_savedest(self);
  Object closure7556 = createclosure(8, "parseObjectConstructorBody(1)startingWith(1)after(1)");
  setclosureframe(closure7556, stackframe);
  addtoclosure(closure7556, var_minIndentLevel);
  addtoclosure(closure7556, var_sym);
  addtoclosure(closure7556, var_errormessages);
  addtoclosure(closure7556, var_lastToken);
  addtoclosure(closure7556, var_statementToken);
  addtoclosure(closure7556, var_values);
  addtoclosure(closure7556, var_util);
  addtoclosure(closure7556, var_ast);
  struct UserObject *uo7556 = (struct UserObject*)self;
  uo7556->data[58] = (Object)closure7556;
  Method *meth_meth_parser_parseObjectConstructorBody_40_1_41_startingWith_40_1_41_after_40_1_41_7556 = addmethod2pos(self, "parseObjectConstructorBody(1)startingWith(1)after(1)", &meth_parser_parseObjectConstructorBody_40_1_41_startingWith_40_1_41_after_40_1_41_7556, 58);
  int argcv_meth_parser_parseObjectConstructorBody_40_1_41_startingWith_40_1_41_after_40_1_41_7556[] = {1, 1, 1};
  meth_meth_parser_parseObjectConstructorBody_40_1_41_startingWith_40_1_41_after_40_1_41_7556->type = alloc_MethodType(3, argcv_meth_parser_parseObjectConstructorBody_40_1_41_startingWith_40_1_41_after_40_1_41_7556);
  meth_meth_parser_parseObjectConstructorBody_40_1_41_startingWith_40_1_41_after_40_1_41_7556->definitionModule = modulename;
  meth_meth_parser_parseObjectConstructorBody_40_1_41_startingWith_40_1_41_after_40_1_41_7556->definitionLine = 2386;
// compiled method node returning  (depth = 1)
// Begin line 2456
  setline(2456);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doclass"
  block_savedest(self);
  Object closure7845 = createclosure(7, "doclass");
  setclosureframe(closure7845, stackframe);
  addtoclosure(closure7845, var_sym);
  addtoclosure(closure7845, var_minIndentLevel);
  addtoclosure(closure7845, var_errormessages);
  addtoclosure(closure7845, var_lastToken);
  addtoclosure(closure7845, var_tokens);
  addtoclosure(closure7845, var_values);
  addtoclosure(closure7845, var_ast);
  struct UserObject *uo7845 = (struct UserObject*)self;
  uo7845->data[59] = (Object)closure7845;
  Method *meth_meth_parser_doclass7845 = addmethod2pos(self, "doclass", &meth_parser_doclass7845, 59);
  int argcv_meth_parser_doclass7845[] = {0};
  meth_meth_parser_doclass7845->type = alloc_MethodType(1, argcv_meth_parser_doclass7845);
  meth_meth_parser_doclass7845->definitionModule = modulename;
  meth_meth_parser_doclass7845->definitionLine = 2456;
// compiled method node returning  (depth = 1)
// Begin line 2544
  setline(2544);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "dofactoryMethod"
  block_savedest(self);
  Object closure8058 = createclosure(7, "dofactoryMethod");
  setclosureframe(closure8058, stackframe);
  addtoclosure(closure8058, var_tokens);
  addtoclosure(closure8058, var_sym);
  addtoclosure(closure8058, var_minIndentLevel);
  addtoclosure(closure8058, var_errormessages);
  addtoclosure(closure8058, var_lastToken);
  addtoclosure(closure8058, var_values);
  addtoclosure(closure8058, var_util);
  struct UserObject *uo8058 = (struct UserObject*)self;
  uo8058->data[60] = (Object)closure8058;
  Method *meth_meth_parser_dofactoryMethod8058 = addmethod2pos(self, "dofactoryMethod", &meth_parser_dofactoryMethod8058, 60);
  int argcv_meth_parser_dofactoryMethod8058[] = {0};
  meth_meth_parser_dofactoryMethod8058->type = alloc_MethodType(1, argcv_meth_parser_dofactoryMethod8058);
  meth_meth_parser_dofactoryMethod8058->definitionModule = modulename;
  meth_meth_parser_dofactoryMethod8058->definitionLine = 2544;
// compiled method node returning  (depth = 1)
// Begin line 2587
  setline(2587);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "methoddec"
  block_savedest(self);
  Object closure8187 = createclosure(7, "methoddec");
  setclosureframe(closure8187, stackframe);
  addtoclosure(closure8187, var_sym);
  addtoclosure(closure8187, var_statementToken);
  addtoclosure(closure8187, var_minIndentLevel);
  addtoclosure(closure8187, var_values);
  addtoclosure(closure8187, var_errormessages);
  addtoclosure(closure8187, var_lastToken);
  addtoclosure(closure8187, var_util);
  struct UserObject *uo8187 = (struct UserObject*)self;
  uo8187->data[61] = (Object)closure8187;
  Method *meth_meth_parser_methoddec8187 = addmethod2pos(self, "methoddec", &meth_parser_methoddec8187, 61);
  int argcv_meth_parser_methoddec8187[] = {0};
  meth_meth_parser_methoddec8187->type = alloc_MethodType(1, argcv_meth_parser_methoddec8187);
  meth_meth_parser_methoddec8187->definitionModule = modulename;
  meth_meth_parser_methoddec8187->definitionLine = 2587;
// compiled method node returning  (depth = 1)
// Begin line 2663
  setline(2663);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "methodDecRest(_,_)"
  block_savedest(self);
  Object closure8390 = createclosure(5, "methodDecRest(2)");
  setclosureframe(closure8390, stackframe);
  addtoclosure(closure8390, var_values);
  addtoclosure(closure8390, var_ast);
  addtoclosure(closure8390, var_errormessages);
  addtoclosure(closure8390, var_lastToken);
  addtoclosure(closure8390, var_sym);
  struct UserObject *uo8390 = (struct UserObject*)self;
  uo8390->data[62] = (Object)closure8390;
  Method *meth_meth_parser_methodDecRest_40_2_41_8390 = addmethod2pos(self, "methodDecRest(2)", &meth_parser_methodDecRest_40_2_41_8390, 62);
  int argcv_meth_parser_methodDecRest_40_2_41_8390[] = {2};
  meth_meth_parser_methodDecRest_40_2_41_8390->type = alloc_MethodType(1, argcv_meth_parser_methodDecRest_40_2_41_8390);
  meth_meth_parser_methodDecRest_40_2_41_8390->definitionModule = modulename;
  meth_meth_parser_methodDecRest_40_2_41_8390->definitionLine = 2663;
// compiled method node returning  (depth = 1)
// Begin line 2711
  setline(2711);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "optionalTypeAnnotation"
  block_savedest(self);
  Object closure8552 = createclosure(4, "optionalTypeAnnotation");
  setclosureframe(closure8552, stackframe);
  addtoclosure(closure8552, var_values);
  addtoclosure(closure8552, var_errormessages);
  addtoclosure(closure8552, var_lastToken);
  addtoclosure(closure8552, var_sym);
  struct UserObject *uo8552 = (struct UserObject*)self;
  uo8552->data[63] = (Object)closure8552;
  Method *meth_meth_parser_optionalTypeAnnotation8552 = addmethod2pos(self, "optionalTypeAnnotation", &meth_parser_optionalTypeAnnotation8552, 63);
  int argcv_meth_parser_optionalTypeAnnotation8552[] = {0};
  meth_meth_parser_optionalTypeAnnotation8552->type = alloc_MethodType(1, argcv_meth_parser_optionalTypeAnnotation8552);
  meth_meth_parser_optionalTypeAnnotation8552->definitionModule = modulename;
  meth_meth_parser_optionalTypeAnnotation8552->definitionLine = 2711;
// compiled method node returning  (depth = 1)
// Begin line 2735
  setline(2735);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "methodsignature(_)"
  block_savedest(self);
  Object closure8600 = createclosure(5, "methodsignature(1)");
  setclosureframe(closure8600, stackframe);
  addtoclosure(closure8600, var_sym);
  addtoclosure(closure8600, var_errormessages);
  addtoclosure(closure8600, var_lastToken);
  addtoclosure(closure8600, var_ast);
  addtoclosure(closure8600, var_values);
  struct UserObject *uo8600 = (struct UserObject*)self;
  uo8600->data[64] = (Object)closure8600;
  Method *meth_meth_parser_methodsignature_40_1_41_8600 = addmethod2pos(self, "methodsignature(1)", &meth_parser_methodsignature_40_1_41_8600, 64);
  int argcv_meth_parser_methodsignature_40_1_41_8600[] = {1};
  meth_meth_parser_methodsignature_40_1_41_8600->type = alloc_MethodType(1, argcv_meth_parser_methodsignature_40_1_41_8600);
  meth_meth_parser_methodsignature_40_1_41_8600->definitionModule = modulename;
  meth_meth_parser_methodsignature_40_1_41_8600->definitionLine = 2735;
// compiled method node returning  (depth = 1)
// Begin line 2822
  setline(2822);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "typeparameters"
  block_savedest(self);
  Object closure8948 = createclosure(5, "typeparameters");
  setclosureframe(closure8948, stackframe);
  addtoclosure(closure8948, var_values);
  addtoclosure(closure8948, var_ast);
  addtoclosure(closure8948, var_sym);
  addtoclosure(closure8948, var_errormessages);
  addtoclosure(closure8948, var_lastToken);
  struct UserObject *uo8948 = (struct UserObject*)self;
  uo8948->data[65] = (Object)closure8948;
  Method *meth_meth_parser_typeparameters8948 = addmethod2pos(self, "typeparameters", &meth_parser_typeparameters8948, 65);
  int argcv_meth_parser_typeparameters8948[] = {0};
  meth_meth_parser_typeparameters8948->type = alloc_MethodType(1, argcv_meth_parser_typeparameters8948);
  meth_meth_parser_typeparameters8948->definitionModule = modulename;
  meth_meth_parser_typeparameters8948->definitionLine = 2822;
// compiled method node returning  (depth = 1)
// Begin line 2846
  setline(2846);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doimport"
  block_savedest(self);
  Object closure9018 = createclosure(6, "doimport");
  setclosureframe(closure9018, stackframe);
  addtoclosure(closure9018, var_sym);
  addtoclosure(closure9018, var_errormessages);
  addtoclosure(closure9018, var_lastToken);
  addtoclosure(closure9018, var_values);
  addtoclosure(closure9018, var_util);
  addtoclosure(closure9018, var_ast);
  struct UserObject *uo9018 = (struct UserObject*)self;
  uo9018->data[66] = (Object)closure9018;
  Method *meth_meth_parser_doimport9018 = addmethod2pos(self, "doimport", &meth_parser_doimport9018, 66);
  int argcv_meth_parser_doimport9018[] = {0};
  meth_meth_parser_doimport9018->type = alloc_MethodType(1, argcv_meth_parser_doimport9018);
  meth_meth_parser_doimport9018->definitionModule = modulename;
  meth_meth_parser_doimport9018->definitionLine = 2846;
// compiled method node returning  (depth = 1)
// Begin line 2904
  setline(2904);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "doreturn"
  block_savedest(self);
  Object closure9268 = createclosure(7, "doreturn");
  setclosureframe(closure9268, stackframe);
  addtoclosure(closure9268, var_sym);
  addtoclosure(closure9268, var_blocksOK);
  addtoclosure(closure9268, var_errormessages);
  addtoclosure(closure9268, var_lastToken);
  addtoclosure(closure9268, var_values);
  addtoclosure(closure9268, var_ast);
  addtoclosure(closure9268, var_util);
  struct UserObject *uo9268 = (struct UserObject*)self;
  uo9268->data[67] = (Object)closure9268;
  Method *meth_meth_parser_doreturn9268 = addmethod2pos(self, "doreturn", &meth_parser_doreturn9268, 67);
  int argcv_meth_parser_doreturn9268[] = {0};
  meth_meth_parser_doreturn9268->type = alloc_MethodType(1, argcv_meth_parser_doreturn9268);
  meth_meth_parser_doreturn9268->definitionModule = modulename;
  meth_meth_parser_doreturn9268->definitionLine = 2904;
// compiled method node returning  (depth = 1)
// Begin line 2940
  setline(2940);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "domethodtype"
  block_savedest(self);
  Object closure9388 = createclosure(6, "domethodtype");
  setclosureframe(closure9388, stackframe);
  addtoclosure(closure9388, var_sym);
  addtoclosure(closure9388, var_ast);
  addtoclosure(closure9388, var_values);
  addtoclosure(closure9388, var_lastToken);
  addtoclosure(closure9388, var_errormessages);
  addtoclosure(closure9388, var_util);
  struct UserObject *uo9388 = (struct UserObject*)self;
  uo9388->data[68] = (Object)closure9388;
  Method *meth_meth_parser_domethodtype9388 = addmethod2pos(self, "domethodtype", &meth_parser_domethodtype9388, 68);
  int argcv_meth_parser_domethodtype9388[] = {0};
  meth_meth_parser_domethodtype9388->type = alloc_MethodType(1, argcv_meth_parser_domethodtype9388);
  meth_meth_parser_domethodtype9388->definitionModule = modulename;
  meth_meth_parser_domethodtype9388->definitionLine = 2940;
// compiled method node returning  (depth = 1)
// Begin line 2969
  setline(2969);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "dotypeLiteral"
  block_savedest(self);
  Object closure9487 = createclosure(7, "dotypeLiteral");
  setclosureframe(closure9487, stackframe);
  addtoclosure(closure9487, var_sym);
  addtoclosure(closure9487, var_errormessages);
  addtoclosure(closure9487, var_done);
  addtoclosure(closure9487, var_auto_count);
  addtoclosure(closure9487, var_values);
  addtoclosure(closure9487, var_util);
  addtoclosure(closure9487, var_ast);
  struct UserObject *uo9487 = (struct UserObject*)self;
  uo9487->data[69] = (Object)closure9487;
  Method *meth_meth_parser_dotypeLiteral9487 = addmethod2pos(self, "dotypeLiteral", &meth_parser_dotypeLiteral9487, 69);
  int argcv_meth_parser_dotypeLiteral9487[] = {0};
  meth_meth_parser_dotypeLiteral9487->type = alloc_MethodType(1, argcv_meth_parser_dotypeLiteral9487);
  meth_meth_parser_dotypeLiteral9487->definitionModule = modulename;
  meth_meth_parser_dotypeLiteral9487->definitionLine = 2969;
// compiled method node returning  (depth = 1)
// Begin line 3004
  setline(3004);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "typedec"
  block_savedest(self);
  Object closure9570 = createclosure(7, "typedec");
  setclosureframe(closure9570, stackframe);
  addtoclosure(closure9570, var_sym);
  addtoclosure(closure9570, var_errormessages);
  addtoclosure(closure9570, var_lastToken);
  addtoclosure(closure9570, var_util);
  addtoclosure(closure9570, var_values);
  addtoclosure(closure9570, var_ast);
  addtoclosure(closure9570, var_noBlocks);
  struct UserObject *uo9570 = (struct UserObject*)self;
  uo9570->data[70] = (Object)closure9570;
  Method *meth_meth_parser_typedec9570 = addmethod2pos(self, "typedec", &meth_parser_typedec9570, 70);
  int argcv_meth_parser_typedec9570[] = {0};
  meth_meth_parser_typedec9570->type = alloc_MethodType(1, argcv_meth_parser_typedec9570);
  meth_meth_parser_typedec9570->definitionModule = modulename;
  meth_meth_parser_typedec9570->definitionLine = 3004;
// compiled method node returning  (depth = 1)
// Begin line 3050
  setline(3050);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "checkIndent"
  block_savedest(self);
  Object closure9733 = createclosure(6, "checkIndent");
  setclosureframe(closure9733, stackframe);
  addtoclosure(closure9733, var_indentFreePass);
  addtoclosure(closure9733, var_sym);
  addtoclosure(closure9733, var_minIndentLevel);
  addtoclosure(closure9733, var_errormessages);
  addtoclosure(closure9733, var_lastToken);
  addtoclosure(closure9733, var_lastIndent);
  struct UserObject *uo9733 = (struct UserObject*)self;
  uo9733->data[71] = (Object)closure9733;
  Method *meth_meth_parser_checkIndent9733 = addmethod2pos(self, "checkIndent", &meth_parser_checkIndent9733, 71);
  int argcv_meth_parser_checkIndent9733[] = {0};
  meth_meth_parser_checkIndent9733->type = alloc_MethodType(1, argcv_meth_parser_checkIndent9733);
  meth_meth_parser_checkIndent9733->definitionModule = modulename;
  meth_meth_parser_checkIndent9733->definitionLine = 3050;
// compiled method node returning  (depth = 1)
// Begin line 3097
  setline(3097);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "statement"
  block_savedest(self);
  Object closure9956 = createclosure(10, "statement");
  setclosureframe(closure9956, stackframe);
  addtoclosure(closure9956, var_sym);
  addtoclosure(closure9956, var_statementIndent);
  addtoclosure(closure9956, var_statementToken);
  addtoclosure(closure9956, var_blocksOK);
  addtoclosure(closure9956, var_values);
  addtoclosure(closure9956, var_errormessages);
  addtoclosure(closure9956, var_lastToken);
  addtoclosure(closure9956, var_util);
  addtoclosure(closure9956, var_ast);
  addtoclosure(closure9956, var_indentFreePass);
  struct UserObject *uo9956 = (struct UserObject*)self;
  uo9956->data[72] = (Object)closure9956;
  Method *meth_meth_parser_statement9956 = addmethod2pos(self, "statement", &meth_parser_statement9956, 72);
  int argcv_meth_parser_statement9956[] = {0};
  meth_meth_parser_statement9956->type = alloc_MethodType(1, argcv_meth_parser_statement9956);
  meth_meth_parser_statement9956->definitionModule = modulename;
  meth_meth_parser_statement9956->definitionLine = 3097;
// compiled method node returning  (depth = 1)
// Begin line 3180
  setline(3180);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "pushComments"
  block_savedest(self);
  Object closure10225 = createclosure(8, "pushComments");
  setclosureframe(closure10225, stackframe);
  addtoclosure(closure10225, var_done);
  addtoclosure(closure10225, var_sym);
  addtoclosure(closure10225, var_util);
  addtoclosure(closure10225, var_ast);
  addtoclosure(closure10225, var_lastToken);
  addtoclosure(closure10225, var_comments);
  addtoclosure(closure10225, var_previousCommentToken);
  addtoclosure(closure10225, var_tokens);
  struct UserObject *uo10225 = (struct UserObject*)self;
  uo10225->data[73] = (Object)closure10225;
  Method *meth_meth_parser_pushComments10225 = addmethod2pos(self, "pushComments", &meth_parser_pushComments10225, 73);
  int argcv_meth_parser_pushComments10225[] = {0};
  meth_meth_parser_pushComments10225->type = alloc_MethodType(1, argcv_meth_parser_pushComments10225);
  meth_meth_parser_pushComments10225->definitionModule = modulename;
  meth_meth_parser_pushComments10225->definitionLine = 3180;
// compiled method node returning  (depth = 1)
// Begin line 3214
  setline(3214);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "reconcileComments"
  block_savedest(self);
  Object closure10358 = createclosure(4, "reconcileComments");
  setclosureframe(closure10358, stackframe);
  addtoclosure(closure10358, var_values);
  addtoclosure(closure10358, var_moduleObject);
  addtoclosure(closure10358, var_done);
  addtoclosure(closure10358, var_comments);
  struct UserObject *uo10358 = (struct UserObject*)self;
  uo10358->data[74] = (Object)closure10358;
  Method *meth_meth_parser_reconcileComments10358 = addmethod2pos(self, "reconcileComments", &meth_parser_reconcileComments10358, 74);
  int argcv_meth_parser_reconcileComments10358[] = {0};
  meth_meth_parser_reconcileComments10358->type = alloc_MethodType(1, argcv_meth_parser_reconcileComments10358);
  meth_meth_parser_reconcileComments10358->definitionModule = modulename;
  meth_meth_parser_reconcileComments10358->definitionLine = 3214;
// compiled method node returning  (depth = 1)
// Begin line 3260
  setline(3260);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "checkBadOperators"
  block_savedest(self);
  Object closure10485 = createclosure(2, "checkBadOperators");
  setclosureframe(closure10485, stackframe);
  addtoclosure(closure10485, var_sym);
  addtoclosure(closure10485, var_errormessages);
  struct UserObject *uo10485 = (struct UserObject*)self;
  uo10485->data[75] = (Object)closure10485;
  Method *meth_meth_parser_checkBadOperators10485 = addmethod2pos(self, "checkBadOperators", &meth_parser_checkBadOperators10485, 75);
  int argcv_meth_parser_checkBadOperators10485[] = {0};
  meth_meth_parser_checkBadOperators10485->type = alloc_MethodType(1, argcv_meth_parser_checkBadOperators10485);
  meth_meth_parser_checkBadOperators10485->definitionModule = modulename;
  meth_meth_parser_checkBadOperators10485->definitionLine = 3260;
// compiled method node returning  (depth = 1)
// Begin line 3277
  setline(3277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "checkBadTypeLiteral"
  block_savedest(self);
  Object closure10532 = createclosure(2, "checkBadTypeLiteral");
  setclosureframe(closure10532, stackframe);
  addtoclosure(closure10532, var_sym);
  addtoclosure(closure10532, var_errormessages);
  struct UserObject *uo10532 = (struct UserObject*)self;
  uo10532->data[76] = (Object)closure10532;
  Method *meth_meth_parser_checkBadTypeLiteral10532 = addmethod2pos(self, "checkBadTypeLiteral", &meth_parser_checkBadTypeLiteral10532, 76);
  int argcv_meth_parser_checkBadTypeLiteral10532[] = {0};
  meth_meth_parser_checkBadTypeLiteral10532->type = alloc_MethodType(1, argcv_meth_parser_checkBadTypeLiteral10532);
  meth_meth_parser_checkBadTypeLiteral10532->definitionModule = modulename;
  meth_meth_parser_checkBadTypeLiteral10532->definitionLine = 3277;
// compiled method node returning  (depth = 1)
// Begin line 3287
  setline(3287);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "checkUnexpectedTokenAfterStatement"
  block_savedest(self);
  Object closure10556 = createclosure(5, "checkUnexpectedTokenAfterStatement");
  setclosureframe(closure10556, stackframe);
  addtoclosure(closure10556, var_lastToken);
  addtoclosure(closure10556, var_sym);
  addtoclosure(closure10556, var_errormessages);
  addtoclosure(closure10556, var_values);
  addtoclosure(closure10556, var_util);
  struct UserObject *uo10556 = (struct UserObject*)self;
  uo10556->data[77] = (Object)closure10556;
  Method *meth_meth_parser_checkUnexpectedTokenAfterStatement10556 = addmethod2pos(self, "checkUnexpectedTokenAfterStatement", &meth_parser_checkUnexpectedTokenAfterStatement10556, 77);
  int argcv_meth_parser_checkUnexpectedTokenAfterStatement10556[] = {0};
  meth_meth_parser_checkUnexpectedTokenAfterStatement10556->type = alloc_MethodType(1, argcv_meth_parser_checkUnexpectedTokenAfterStatement10556);
  meth_meth_parser_checkUnexpectedTokenAfterStatement10556->definitionModule = modulename;
  meth_meth_parser_checkUnexpectedTokenAfterStatement10556->definitionLine = 3287;
// compiled method node returning  (depth = 1)
// Begin line 3351
  setline(3351);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 1)
// method "parse(_)"
  block_savedest(self);
  Object closure10883 = createclosure(7, "parse(1)");
  setclosureframe(closure10883, stackframe);
  addtoclosure(closure10883, var_util);
  addtoclosure(closure10883, var_values);
  addtoclosure(closure10883, var_ast);
  addtoclosure(closure10883, var_moduleObject);
  addtoclosure(closure10883, var_tokens);
  addtoclosure(closure10883, var_sym);
  addtoclosure(closure10883, var_errormessages);
  struct UserObject *uo10883 = (struct UserObject*)self;
  uo10883->data[78] = (Object)closure10883;
  Method *meth_meth_parser_parse_40_1_41_10883 = addmethod2pos(self, "parse(1)", &meth_parser_parse_40_1_41_10883, 78);
  int argcv_meth_parser_parse_40_1_41_10883[] = {1};
  meth_meth_parser_parse_40_1_41_10883->type = alloc_MethodType(1, argcv_meth_parser_parse_40_1_41_10883);
  meth_meth_parser_parse_40_1_41_10883->definitionModule = modulename;
  meth_meth_parser_parse_40_1_41_10883->definitionLine = 3351;
// compiled method node returning  (depth = 1)
// Begin line 2
  setline(2);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of io as io
  if (module_io == NULL)
    module_io = module_io_init();
  *var_io = module_io;
// compiled import node returning done (depth = 1)
// Begin line 3
  setline(3);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of ast as ast
  if (module_ast == NULL)
    module_ast = LOAD_MODULE(ast);
  *var_ast = module_ast;
// compiled import node returning done (depth = 1)
// Begin line 4
  setline(4);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of util as util
  if (module_util == NULL)
    module_util = LOAD_MODULE(util);
  *var_util = module_util;
// compiled import node returning done (depth = 1)
// Begin line 5
  setline(5);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile import node (depth = 1)
// Import of errormessages as errormessages
  if (module_errormessages == NULL)
    module_errormessages = LOAD_MODULE(errormessages);
  *var_errormessages = module_errormessages;
// compiled import node returning done (depth = 1)
// Begin line 1
  setline(1);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 6
  setline(6);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 7
  setline(7);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num11044 = alloc_Float64(0);
// compiled num node returning num11044 (depth = 2)
  *var_blankLocation = num11044;
  if (num11044 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "blankLocation"
  block_savedest(self);
  Object closure11045 = createclosure(1, "blankLocation");
  setclosureframe(closure11045, stackframe);
  addtoclosure(closure11045, var_blankLocation);
  struct UserObject *uo11045 = (struct UserObject*)self;
  uo11045->data[79] = (Object)closure11045;
  Method *meth_meth_parser_blankLocation11045 = addmethod2pos(self, "blankLocation", &meth_parser_blankLocation11045, 79);
  int argcv_meth_parser_blankLocation11045[] = {0};
  meth_meth_parser_blankLocation11045->type = alloc_MethodType(1, argcv_meth_parser_blankLocation11045);
  meth_meth_parser_blankLocation11045->definitionModule = modulename;
  meth_meth_parser_blankLocation11045->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "blankLocation:=(_)"
  block_savedest(self);
  Object closure11046 = createclosure(1, "blankLocation:=(1)");
  setclosureframe(closure11046, stackframe);
  addtoclosure(closure11046, var_blankLocation);
  struct UserObject *uo11046 = (struct UserObject*)self;
  uo11046->data[80] = (Object)closure11046;
  Method *meth_meth_parser_blankLocation_58__61__40_1_41_11046 = addmethod2pos(self, "blankLocation:=(1)", &meth_parser_blankLocation_58__61__40_1_41_11046, 80);
  int argcv_meth_parser_blankLocation_58__61__40_1_41_11046[] = {1};
  meth_meth_parser_blankLocation_58__61__40_1_41_11046->type = alloc_MethodType(1, argcv_meth_parser_blankLocation_58__61__40_1_41_11046);
  meth_meth_parser_blankLocation_58__61__40_1_41_11046->definitionModule = modulename;
  meth_meth_parser_blankLocation_58__61__40_1_41_11046->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 8
  setline(8);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num11048 = alloc_Float64(0);
// compiled num node returning num11048 (depth = 2)
  *var_lastLine = num11048;
  if (num11048 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lastLine"
  block_savedest(self);
  Object closure11049 = createclosure(1, "lastLine");
  setclosureframe(closure11049, stackframe);
  addtoclosure(closure11049, var_lastLine);
  struct UserObject *uo11049 = (struct UserObject*)self;
  uo11049->data[81] = (Object)closure11049;
  Method *meth_meth_parser_lastLine11049 = addmethod2pos(self, "lastLine", &meth_parser_lastLine11049, 81);
  int argcv_meth_parser_lastLine11049[] = {0};
  meth_meth_parser_lastLine11049->type = alloc_MethodType(1, argcv_meth_parser_lastLine11049);
  meth_meth_parser_lastLine11049->definitionModule = modulename;
  meth_meth_parser_lastLine11049->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lastLine:=(_)"
  block_savedest(self);
  Object closure11050 = createclosure(1, "lastLine:=(1)");
  setclosureframe(closure11050, stackframe);
  addtoclosure(closure11050, var_lastLine);
  struct UserObject *uo11050 = (struct UserObject*)self;
  uo11050->data[82] = (Object)closure11050;
  Method *meth_meth_parser_lastLine_58__61__40_1_41_11050 = addmethod2pos(self, "lastLine:=(1)", &meth_parser_lastLine_58__61__40_1_41_11050, 82);
  int argcv_meth_parser_lastLine_58__61__40_1_41_11050[] = {1};
  meth_meth_parser_lastLine_58__61__40_1_41_11050->type = alloc_MethodType(1, argcv_meth_parser_lastLine_58__61__40_1_41_11050);
  meth_meth_parser_lastLine_58__61__40_1_41_11050->definitionModule = modulename;
  meth_meth_parser_lastLine_58__61__40_1_41_11050->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 9
  setline(9);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num11052 = alloc_Float64(0);
// compiled num node returning num11052 (depth = 2)
  *var_lastIndent = num11052;
  if (num11052 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lastIndent"
  block_savedest(self);
  Object closure11053 = createclosure(1, "lastIndent");
  setclosureframe(closure11053, stackframe);
  addtoclosure(closure11053, var_lastIndent);
  struct UserObject *uo11053 = (struct UserObject*)self;
  uo11053->data[83] = (Object)closure11053;
  Method *meth_meth_parser_lastIndent11053 = addmethod2pos(self, "lastIndent", &meth_parser_lastIndent11053, 83);
  int argcv_meth_parser_lastIndent11053[] = {0};
  meth_meth_parser_lastIndent11053->type = alloc_MethodType(1, argcv_meth_parser_lastIndent11053);
  meth_meth_parser_lastIndent11053->definitionModule = modulename;
  meth_meth_parser_lastIndent11053->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lastIndent:=(_)"
  block_savedest(self);
  Object closure11054 = createclosure(1, "lastIndent:=(1)");
  setclosureframe(closure11054, stackframe);
  addtoclosure(closure11054, var_lastIndent);
  struct UserObject *uo11054 = (struct UserObject*)self;
  uo11054->data[84] = (Object)closure11054;
  Method *meth_meth_parser_lastIndent_58__61__40_1_41_11054 = addmethod2pos(self, "lastIndent:=(1)", &meth_parser_lastIndent_58__61__40_1_41_11054, 84);
  int argcv_meth_parser_lastIndent_58__61__40_1_41_11054[] = {1};
  meth_meth_parser_lastIndent_58__61__40_1_41_11054->type = alloc_MethodType(1, argcv_meth_parser_lastIndent_58__61__40_1_41_11054);
  meth_meth_parser_lastIndent_58__61__40_1_41_11054->definitionModule = modulename;
  meth_meth_parser_lastIndent_58__61__40_1_41_11054->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 10
  setline(10);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile identifier node (depth = 2)
  Object bool11056 = alloc_Boolean(0);
// compiled identifier node returning bool11056 (depth = 2)
  *var_indentFreePass = bool11056;
  if (bool11056 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "indentFreePass"
  block_savedest(self);
  Object closure11057 = createclosure(1, "indentFreePass");
  setclosureframe(closure11057, stackframe);
  addtoclosure(closure11057, var_indentFreePass);
  struct UserObject *uo11057 = (struct UserObject*)self;
  uo11057->data[85] = (Object)closure11057;
  Method *meth_meth_parser_indentFreePass11057 = addmethod2pos(self, "indentFreePass", &meth_parser_indentFreePass11057, 85);
  int argcv_meth_parser_indentFreePass11057[] = {0};
  meth_meth_parser_indentFreePass11057->type = alloc_MethodType(1, argcv_meth_parser_indentFreePass11057);
  meth_meth_parser_indentFreePass11057->definitionModule = modulename;
  meth_meth_parser_indentFreePass11057->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "indentFreePass:=(_)"
  block_savedest(self);
  Object closure11058 = createclosure(1, "indentFreePass:=(1)");
  setclosureframe(closure11058, stackframe);
  addtoclosure(closure11058, var_indentFreePass);
  struct UserObject *uo11058 = (struct UserObject*)self;
  uo11058->data[86] = (Object)closure11058;
  Method *meth_meth_parser_indentFreePass_58__61__40_1_41_11058 = addmethod2pos(self, "indentFreePass:=(1)", &meth_parser_indentFreePass_58__61__40_1_41_11058, 86);
  int argcv_meth_parser_indentFreePass_58__61__40_1_41_11058[] = {1};
  meth_meth_parser_indentFreePass_58__61__40_1_41_11058->type = alloc_MethodType(1, argcv_meth_parser_indentFreePass_58__61__40_1_41_11058);
  meth_meth_parser_indentFreePass_58__61__40_1_41_11058->definitionModule = modulename;
  meth_meth_parser_indentFreePass_58__61__40_1_41_11058->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 11
  setline(11);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num11060 = alloc_Float64(0);
// compiled num node returning num11060 (depth = 2)
  *var_minIndentLevel = num11060;
  if (num11060 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "minIndentLevel"
  block_savedest(self);
  Object closure11061 = createclosure(1, "minIndentLevel");
  setclosureframe(closure11061, stackframe);
  addtoclosure(closure11061, var_minIndentLevel);
  struct UserObject *uo11061 = (struct UserObject*)self;
  uo11061->data[87] = (Object)closure11061;
  Method *meth_meth_parser_minIndentLevel11061 = addmethod2pos(self, "minIndentLevel", &meth_parser_minIndentLevel11061, 87);
  int argcv_meth_parser_minIndentLevel11061[] = {0};
  meth_meth_parser_minIndentLevel11061->type = alloc_MethodType(1, argcv_meth_parser_minIndentLevel11061);
  meth_meth_parser_minIndentLevel11061->definitionModule = modulename;
  meth_meth_parser_minIndentLevel11061->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "minIndentLevel:=(_)"
  block_savedest(self);
  Object closure11062 = createclosure(1, "minIndentLevel:=(1)");
  setclosureframe(closure11062, stackframe);
  addtoclosure(closure11062, var_minIndentLevel);
  struct UserObject *uo11062 = (struct UserObject*)self;
  uo11062->data[88] = (Object)closure11062;
  Method *meth_meth_parser_minIndentLevel_58__61__40_1_41_11062 = addmethod2pos(self, "minIndentLevel:=(1)", &meth_parser_minIndentLevel_58__61__40_1_41_11062, 88);
  int argcv_meth_parser_minIndentLevel_58__61__40_1_41_11062[] = {1};
  meth_meth_parser_minIndentLevel_58__61__40_1_41_11062->type = alloc_MethodType(1, argcv_meth_parser_minIndentLevel_58__61__40_1_41_11062);
  meth_meth_parser_minIndentLevel_58__61__40_1_41_11062->definitionModule = modulename;
  meth_meth_parser_minIndentLevel_58__61__40_1_41_11062->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 12
  setline(12);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num11064 = alloc_Float64(0);
// compiled num node returning num11064 (depth = 2)
  *var_statementIndent = num11064;
  if (num11064 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "statementIndent"
  block_savedest(self);
  Object closure11065 = createclosure(1, "statementIndent");
  setclosureframe(closure11065, stackframe);
  addtoclosure(closure11065, var_statementIndent);
  struct UserObject *uo11065 = (struct UserObject*)self;
  uo11065->data[89] = (Object)closure11065;
  Method *meth_meth_parser_statementIndent11065 = addmethod2pos(self, "statementIndent", &meth_parser_statementIndent11065, 89);
  int argcv_meth_parser_statementIndent11065[] = {0};
  meth_meth_parser_statementIndent11065->type = alloc_MethodType(1, argcv_meth_parser_statementIndent11065);
  meth_meth_parser_statementIndent11065->definitionModule = modulename;
  meth_meth_parser_statementIndent11065->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "statementIndent:=(_)"
  block_savedest(self);
  Object closure11066 = createclosure(1, "statementIndent:=(1)");
  setclosureframe(closure11066, stackframe);
  addtoclosure(closure11066, var_statementIndent);
  struct UserObject *uo11066 = (struct UserObject*)self;
  uo11066->data[90] = (Object)closure11066;
  Method *meth_meth_parser_statementIndent_58__61__40_1_41_11066 = addmethod2pos(self, "statementIndent:=(1)", &meth_parser_statementIndent_58__61__40_1_41_11066, 90);
  int argcv_meth_parser_statementIndent_58__61__40_1_41_11066[] = {1};
  meth_meth_parser_statementIndent_58__61__40_1_41_11066->type = alloc_MethodType(1, argcv_meth_parser_statementIndent_58__61__40_1_41_11066);
  meth_meth_parser_statementIndent_58__61__40_1_41_11066->definitionModule = modulename;
  meth_meth_parser_statementIndent_58__61__40_1_41_11066->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 13
  setline(13);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile identifier node (depth = 2)
  Object bool11068 = alloc_Boolean(0);
// compiled identifier node returning bool11068 (depth = 2)
  *var_tokens = bool11068;
  if (bool11068 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "tokens"
  block_savedest(self);
  Object closure11069 = createclosure(1, "tokens");
  setclosureframe(closure11069, stackframe);
  addtoclosure(closure11069, var_tokens);
  struct UserObject *uo11069 = (struct UserObject*)self;
  uo11069->data[91] = (Object)closure11069;
  Method *meth_meth_parser_tokens11069 = addmethod2pos(self, "tokens", &meth_parser_tokens11069, 91);
  int argcv_meth_parser_tokens11069[] = {0};
  meth_meth_parser_tokens11069->type = alloc_MethodType(1, argcv_meth_parser_tokens11069);
  meth_meth_parser_tokens11069->definitionModule = modulename;
  meth_meth_parser_tokens11069->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "tokens:=(_)"
  block_savedest(self);
  Object closure11070 = createclosure(1, "tokens:=(1)");
  setclosureframe(closure11070, stackframe);
  addtoclosure(closure11070, var_tokens);
  struct UserObject *uo11070 = (struct UserObject*)self;
  uo11070->data[92] = (Object)closure11070;
  Method *meth_meth_parser_tokens_58__61__40_1_41_11070 = addmethod2pos(self, "tokens:=(1)", &meth_parser_tokens_58__61__40_1_41_11070, 92);
  int argcv_meth_parser_tokens_58__61__40_1_41_11070[] = {1};
  meth_meth_parser_tokens_58__61__40_1_41_11070->type = alloc_MethodType(1, argcv_meth_parser_tokens_58__61__40_1_41_11070);
  meth_meth_parser_tokens_58__61__40_1_41_11070->definitionModule = modulename;
  meth_meth_parser_tokens_58__61__40_1_41_11070->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 14
  setline(14);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile array node (depth = 2)
  Object array11072 = alloc_BuiltinList();
  gc_pause();
  gc_unpause();
// compiled array node returning array11072 (depth = 2)
  *var_values = array11072;
  if (array11072 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "values"
  block_savedest(self);
  Object closure11073 = createclosure(1, "values");
  setclosureframe(closure11073, stackframe);
  addtoclosure(closure11073, var_values);
  struct UserObject *uo11073 = (struct UserObject*)self;
  uo11073->data[93] = (Object)closure11073;
  Method *meth_meth_parser_values11073 = addmethod2pos(self, "values", &meth_parser_values11073, 93);
  int argcv_meth_parser_values11073[] = {0};
  meth_meth_parser_values11073->type = alloc_MethodType(1, argcv_meth_parser_values11073);
  meth_meth_parser_values11073->definitionModule = modulename;
  meth_meth_parser_values11073->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "values:=(_)"
  block_savedest(self);
  Object closure11074 = createclosure(1, "values:=(1)");
  setclosureframe(closure11074, stackframe);
  addtoclosure(closure11074, var_values);
  struct UserObject *uo11074 = (struct UserObject*)self;
  uo11074->data[94] = (Object)closure11074;
  Method *meth_meth_parser_values_58__61__40_1_41_11074 = addmethod2pos(self, "values:=(1)", &meth_parser_values_58__61__40_1_41_11074, 94);
  int argcv_meth_parser_values_58__61__40_1_41_11074[] = {1};
  meth_meth_parser_values_58__61__40_1_41_11074->type = alloc_MethodType(1, argcv_meth_parser_values_58__61__40_1_41_11074);
  meth_meth_parser_values_58__61__40_1_41_11074->definitionModule = modulename;
  meth_meth_parser_values_58__61__40_1_41_11074->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 15
  setline(15);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
  *var_moduleObject = undefined;
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "moduleObject"
  block_savedest(self);
  Object closure11076 = createclosure(1, "moduleObject");
  setclosureframe(closure11076, stackframe);
  addtoclosure(closure11076, var_moduleObject);
  struct UserObject *uo11076 = (struct UserObject*)self;
  uo11076->data[95] = (Object)closure11076;
  Method *meth_meth_parser_moduleObject11076 = addmethod2pos(self, "moduleObject", &meth_parser_moduleObject11076, 95);
  int argcv_meth_parser_moduleObject11076[] = {0};
  meth_meth_parser_moduleObject11076->type = alloc_MethodType(1, argcv_meth_parser_moduleObject11076);
  meth_meth_parser_moduleObject11076->definitionModule = modulename;
  meth_meth_parser_moduleObject11076->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "moduleObject:=(_)"
  block_savedest(self);
  Object closure11077 = createclosure(1, "moduleObject:=(1)");
  setclosureframe(closure11077, stackframe);
  addtoclosure(closure11077, var_moduleObject);
  struct UserObject *uo11077 = (struct UserObject*)self;
  uo11077->data[96] = (Object)closure11077;
  Method *meth_meth_parser_moduleObject_58__61__40_1_41_11077 = addmethod2pos(self, "moduleObject:=(1)", &meth_parser_moduleObject_58__61__40_1_41_11077, 96);
  int argcv_meth_parser_moduleObject_58__61__40_1_41_11077[] = {1};
  meth_meth_parser_moduleObject_58__61__40_1_41_11077->type = alloc_MethodType(1, argcv_meth_parser_moduleObject_58__61__40_1_41_11077);
  meth_meth_parser_moduleObject_58__61__40_1_41_11077->definitionModule = modulename;
  meth_meth_parser_moduleObject_58__61__40_1_41_11077->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 16
  setline(16);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile member node (depth = 2)
  int callframe11079 = gc_frame_new();
// call case 5: prelude request
  Object call11080 = callmethodflags(prelude, "emptyList", 0, partcv, params, CFLAG_SELF);
  gc_frame_end(callframe11079);
// compiled member node returning call11080 (depth = 2)
  *var_comments = call11080;
  if (call11080 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "comments"
  block_savedest(self);
  Object closure11081 = createclosure(1, "comments");
  setclosureframe(closure11081, stackframe);
  addtoclosure(closure11081, var_comments);
  struct UserObject *uo11081 = (struct UserObject*)self;
  uo11081->data[97] = (Object)closure11081;
  Method *meth_meth_parser_comments11081 = addmethod2pos(self, "comments", &meth_parser_comments11081, 97);
  int argcv_meth_parser_comments11081[] = {0};
  meth_meth_parser_comments11081->type = alloc_MethodType(1, argcv_meth_parser_comments11081);
  meth_meth_parser_comments11081->definitionModule = modulename;
  meth_meth_parser_comments11081->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "comments:=(_)"
  block_savedest(self);
  Object closure11082 = createclosure(1, "comments:=(1)");
  setclosureframe(closure11082, stackframe);
  addtoclosure(closure11082, var_comments);
  struct UserObject *uo11082 = (struct UserObject*)self;
  uo11082->data[98] = (Object)closure11082;
  Method *meth_meth_parser_comments_58__61__40_1_41_11082 = addmethod2pos(self, "comments:=(1)", &meth_parser_comments_58__61__40_1_41_11082, 98);
  int argcv_meth_parser_comments_58__61__40_1_41_11082[] = {1};
  meth_meth_parser_comments_58__61__40_1_41_11082->type = alloc_MethodType(1, argcv_meth_parser_comments_58__61__40_1_41_11082);
  meth_meth_parser_comments_58__61__40_1_41_11082->definitionModule = modulename;
  meth_meth_parser_comments_58__61__40_1_41_11082->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 17
  setline(17);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile num node (depth = 2)
  Object num11084 = alloc_Float64(0);
// compiled num node returning num11084 (depth = 2)
  *var_auto_count = num11084;
  if (num11084 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "auto_count"
  block_savedest(self);
  Object closure11085 = createclosure(1, "auto_count");
  setclosureframe(closure11085, stackframe);
  addtoclosure(closure11085, var_auto_count);
  struct UserObject *uo11085 = (struct UserObject*)self;
  uo11085->data[99] = (Object)closure11085;
  Method *meth_meth_parser_auto_count11085 = addmethod2pos(self, "auto_count", &meth_parser_auto_count11085, 99);
  int argcv_meth_parser_auto_count11085[] = {0};
  meth_meth_parser_auto_count11085->type = alloc_MethodType(1, argcv_meth_parser_auto_count11085);
  meth_meth_parser_auto_count11085->definitionModule = modulename;
  meth_meth_parser_auto_count11085->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "auto_count:=(_)"
  block_savedest(self);
  Object closure11086 = createclosure(1, "auto_count:=(1)");
  setclosureframe(closure11086, stackframe);
  addtoclosure(closure11086, var_auto_count);
  struct UserObject *uo11086 = (struct UserObject*)self;
  uo11086->data[100] = (Object)closure11086;
  Method *meth_meth_parser_auto_count_58__61__40_1_41_11086 = addmethod2pos(self, "auto_count:=(1)", &meth_parser_auto_count_58__61__40_1_41_11086, 100);
  int argcv_meth_parser_auto_count_58__61__40_1_41_11086[] = {1};
  meth_meth_parser_auto_count_58__61__40_1_41_11086->type = alloc_MethodType(1, argcv_meth_parser_auto_count_58__61__40_1_41_11086);
  meth_meth_parser_auto_count_58__61__40_1_41_11086->definitionModule = modulename;
  meth_meth_parser_auto_count_58__61__40_1_41_11086->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 18
  setline(18);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile identifier node (depth = 2)
  Object bool11088 = alloc_Boolean(0);
// compiled identifier node returning bool11088 (depth = 2)
  *var_noBlocks = bool11088;
  if (bool11088 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "noBlocks"
  block_savedest(self);
  Object closure11089 = createclosure(1, "noBlocks");
  setclosureframe(closure11089, stackframe);
  addtoclosure(closure11089, var_noBlocks);
  struct UserObject *uo11089 = (struct UserObject*)self;
  uo11089->data[101] = (Object)closure11089;
  Method *meth_meth_parser_noBlocks11089 = addmethod2pos(self, "noBlocks", &meth_parser_noBlocks11089, 101);
  int argcv_meth_parser_noBlocks11089[] = {0};
  meth_meth_parser_noBlocks11089->type = alloc_MethodType(1, argcv_meth_parser_noBlocks11089);
  meth_meth_parser_noBlocks11089->definitionModule = modulename;
  meth_meth_parser_noBlocks11089->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 19
  setline(19);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile defdec node (depth = 1)
// starting to compile identifier node (depth = 2)
  Object bool11090 = alloc_Boolean(1);
// compiled identifier node returning bool11090 (depth = 2)
  *var_blocksOK = bool11090;
  if (bool11090 == undefined)
    graceRaise(ProgrammingError(), "attempting to use an ininitilized variable");
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "blocksOK"
  block_savedest(self);
  Object closure11091 = createclosure(1, "blocksOK");
  setclosureframe(closure11091, stackframe);
  addtoclosure(closure11091, var_blocksOK);
  struct UserObject *uo11091 = (struct UserObject*)self;
  uo11091->data[102] = (Object)closure11091;
  Method *meth_meth_parser_blocksOK11091 = addmethod2pos(self, "blocksOK", &meth_parser_blocksOK11091, 102);
  int argcv_meth_parser_blocksOK11091[] = {0};
  meth_meth_parser_blocksOK11091->type = alloc_MethodType(1, argcv_meth_parser_blocksOK11091);
  meth_meth_parser_blocksOK11091->definitionModule = modulename;
  meth_meth_parser_blocksOK11091->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled defdec node returning done (depth = 1)
// Begin line 20
  setline(20);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile identifier node (depth = 2)
  Object bool11092 = alloc_Boolean(0);
// compiled identifier node returning bool11092 (depth = 2)
  *var_braceIsType = bool11092;
  if (bool11092 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "braceIsType"
  block_savedest(self);
  Object closure11093 = createclosure(1, "braceIsType");
  setclosureframe(closure11093, stackframe);
  addtoclosure(closure11093, var_braceIsType);
  struct UserObject *uo11093 = (struct UserObject*)self;
  uo11093->data[103] = (Object)closure11093;
  Method *meth_meth_parser_braceIsType11093 = addmethod2pos(self, "braceIsType", &meth_parser_braceIsType11093, 103);
  int argcv_meth_parser_braceIsType11093[] = {0};
  meth_meth_parser_braceIsType11093->type = alloc_MethodType(1, argcv_meth_parser_braceIsType11093);
  meth_meth_parser_braceIsType11093->definitionModule = modulename;
  meth_meth_parser_braceIsType11093->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "braceIsType:=(_)"
  block_savedest(self);
  Object closure11094 = createclosure(1, "braceIsType:=(1)");
  setclosureframe(closure11094, stackframe);
  addtoclosure(closure11094, var_braceIsType);
  struct UserObject *uo11094 = (struct UserObject*)self;
  uo11094->data[104] = (Object)closure11094;
  Method *meth_meth_parser_braceIsType_58__61__40_1_41_11094 = addmethod2pos(self, "braceIsType:=(1)", &meth_parser_braceIsType_58__61__40_1_41_11094, 104);
  int argcv_meth_parser_braceIsType_58__61__40_1_41_11094[] = {1};
  meth_meth_parser_braceIsType_58__61__40_1_41_11094->type = alloc_MethodType(1, argcv_meth_parser_braceIsType_58__61__40_1_41_11094);
  meth_meth_parser_braceIsType_58__61__40_1_41_11094->definitionModule = modulename;
  meth_meth_parser_braceIsType_58__61__40_1_41_11094->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 21
  setline(21);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 23
  setline(23);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile object node (depth = 2)
  Object inheritingObject11096 = inheritingObject;
  if (isTailObject) {
    isTailObject = 0;
    inheritingObject = NULL;
  }
  Object obj11096 = alloc_userobj2(6,7, objclass11096);
  gc_frame_newslot(obj11096);
// OBJECT OUTER DEC outer
  adddatum2(obj11096, self, 0);
  addmethodreal(obj11096,"outer", &reader_parser_outer_11097);
  Object oldself11096 = self;
  struct StackFrameObject *oldstackframe11096 = stackframe;
  stackframe = alloc_StackFrame(1, oldstackframe11096);
  gc_frame_newslot((Object)stackframe);
  self = obj11096;
  Object *oldselfslot11096 = selfslot;
  selfslot = &stackframe->slots[0];
  *selfslot = self;
  setframeelementname(stackframe, 0, "self");
  Object thisouter11096 = (*(struct UserObject *)self).data[0], lowerouter11096 = thisouter11096;
  if (inheritingObject11096) {
    struct UserObject *inho11096 = (struct UserObject *)inheritingObject11096;
    while (inho11096->super != GraceDefaultObject) inho11096 = (struct UserObject *)inho11096->super;
    inho11096->super = obj11096;
    self = inheritingObject11096;
    *selfslot = self;
    lowerouter11096 = (*(struct UserObject *)self).data[0];
    (*(struct UserObject *)self).data[0] = thisouter11096;
  }
if (objclass11096 == NULL) {
  Method *reader11098 = addmethodrealflags(obj11096, "kind",&reader_parser_kind_11098, MFLAG_DEF);
  reader11098->definitionModule = modulename;
  reader11098->definitionLine = 24;
}
adddatum2(obj11096, alloc_Undefined(), 1);
if (objclass11096 == NULL) {
  Method *reader11099 = addmethodrealflags(obj11096, "line",&reader_parser_line_11099, MFLAG_DEF);
  reader11099->definitionModule = modulename;
  reader11099->definitionLine = 25;
}
adddatum2(obj11096, alloc_Undefined(), 2);
if (objclass11096 == NULL) {
  Method *reader11100 = addmethodrealflags(obj11096, "linePos",&reader_parser_linePos_11100, MFLAG_DEF);
  reader11100->definitionModule = modulename;
  reader11100->definitionLine = 26;
}
adddatum2(obj11096, alloc_Undefined(), 3);
if (objclass11096 == NULL) {
  Method *reader11101 = addmethodrealflags(obj11096, "indent",&reader_parser_indent_11101, MFLAG_DEF);
  reader11101->definitionModule = modulename;
  reader11101->definitionLine = 27;
}
adddatum2(obj11096, alloc_Undefined(), 4);
if (objclass11096 == NULL) {
  Method *reader11102 = addmethodrealflags(obj11096, "value",&reader_parser_value_11102, MFLAG_DEF);
  reader11102->definitionModule = modulename;
  reader11102->definitionLine = 28;
}
adddatum2(obj11096, alloc_Undefined(), 5);
if (objclass11096 == NULL) {
  Method *reader11103 = addmethodrealflags(obj11096, "size",&reader_parser_size_11103, MFLAG_DEF);
  reader11103->definitionModule = modulename;
  reader11103->definitionLine = 29;
}
adddatum2(obj11096, alloc_Undefined(), 6);
  sourceObject = obj11096;
// Begin line 24
  setline(24);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11104 == NULL) {
    strlit11104 = alloc_String("start");
    gc_root(strlit11104);
  }
// compiled string node returning strlit11104 (depth = 3)
  adddatum2(obj11096, strlit11104, 1);
  sourceObject = obj11096;
// Begin line 25
  setline(25);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11105 = alloc_Float64(0);
// compiled num node returning num11105 (depth = 3)
  adddatum2(obj11096, num11105, 2);
  sourceObject = obj11096;
// Begin line 26
  setline(26);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11106 = alloc_Float64(0);
// compiled num node returning num11106 (depth = 3)
  adddatum2(obj11096, num11106, 3);
  sourceObject = obj11096;
// Begin line 27
  setline(27);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11107 = alloc_Float64(0);
// compiled num node returning num11107 (depth = 3)
  adddatum2(obj11096, num11107, 4);
  sourceObject = obj11096;
// Begin line 28
  setline(28);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile string node (depth = 3)
  if (strlit11108 == NULL) {
    strlit11108 = alloc_String("");
    gc_root(strlit11108);
  }
// compiled string node returning strlit11108 (depth = 3)
  adddatum2(obj11096, strlit11108, 5);
  sourceObject = obj11096;
// Begin line 29
  setline(29);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile num node (depth = 3)
  Object num11109 = alloc_Float64(0);
// compiled num node returning num11109 (depth = 3)
  adddatum2(obj11096, num11109, 6);
  objclass11096 = obj11096->class;
  objclass11096->definitionModule = modulename;
  objclass11096->definitionLine = 23;
  (*(struct UserObject *)self).data[0] = lowerouter11096;
  self = oldself11096;
  selfslot = oldselfslot11096;
  stackframe = oldstackframe11096;
// compiled object node returning obj11096 (depth = 2)
  *var_sym = obj11096;
  if (obj11096 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "sym"
  block_savedest(self);
  Object closure11110 = createclosure(1, "sym");
  setclosureframe(closure11110, stackframe);
  addtoclosure(closure11110, var_sym);
  struct UserObject *uo11110 = (struct UserObject*)self;
  uo11110->data[105] = (Object)closure11110;
  Method *meth_meth_parser_sym11110 = addmethod2pos(self, "sym", &meth_parser_sym11110, 105);
  int argcv_meth_parser_sym11110[] = {0};
  meth_meth_parser_sym11110->type = alloc_MethodType(1, argcv_meth_parser_sym11110);
  meth_meth_parser_sym11110->definitionModule = modulename;
  meth_meth_parser_sym11110->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "sym:=(_)"
  block_savedest(self);
  Object closure11111 = createclosure(1, "sym:=(1)");
  setclosureframe(closure11111, stackframe);
  addtoclosure(closure11111, var_sym);
  struct UserObject *uo11111 = (struct UserObject*)self;
  uo11111->data[106] = (Object)closure11111;
  Method *meth_meth_parser_sym_58__61__40_1_41_11111 = addmethod2pos(self, "sym:=(1)", &meth_parser_sym_58__61__40_1_41_11111, 106);
  int argcv_meth_parser_sym_58__61__40_1_41_11111[] = {1};
  meth_meth_parser_sym_58__61__40_1_41_11111->type = alloc_MethodType(1, argcv_meth_parser_sym_58__61__40_1_41_11111);
  meth_meth_parser_sym_58__61__40_1_41_11111->definitionModule = modulename;
  meth_meth_parser_sym_58__61__40_1_41_11111->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 31
  setline(31);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 32
  setline(32);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_sym (depth = 2)
  *var_lastToken = *var_sym;
  if (*var_sym == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lastToken"
  block_savedest(self);
  Object closure11113 = createclosure(1, "lastToken");
  setclosureframe(closure11113, stackframe);
  addtoclosure(closure11113, var_lastToken);
  struct UserObject *uo11113 = (struct UserObject*)self;
  uo11113->data[107] = (Object)closure11113;
  Method *meth_meth_parser_lastToken11113 = addmethod2pos(self, "lastToken", &meth_parser_lastToken11113, 107);
  int argcv_meth_parser_lastToken11113[] = {0};
  meth_meth_parser_lastToken11113->type = alloc_MethodType(1, argcv_meth_parser_lastToken11113);
  meth_meth_parser_lastToken11113->definitionModule = modulename;
  meth_meth_parser_lastToken11113->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "lastToken:=(_)"
  block_savedest(self);
  Object closure11114 = createclosure(1, "lastToken:=(1)");
  setclosureframe(closure11114, stackframe);
  addtoclosure(closure11114, var_lastToken);
  struct UserObject *uo11114 = (struct UserObject*)self;
  uo11114->data[108] = (Object)closure11114;
  Method *meth_meth_parser_lastToken_58__61__40_1_41_11114 = addmethod2pos(self, "lastToken:=(1)", &meth_parser_lastToken_58__61__40_1_41_11114, 108);
  int argcv_meth_parser_lastToken_58__61__40_1_41_11114[] = {1};
  meth_meth_parser_lastToken_58__61__40_1_41_11114->type = alloc_MethodType(1, argcv_meth_parser_lastToken_58__61__40_1_41_11114);
  meth_meth_parser_lastToken_58__61__40_1_41_11114->definitionModule = modulename;
  meth_meth_parser_lastToken_58__61__40_1_41_11114->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 33
  setline(33);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_lastToken (depth = 2)
  *var_previousCommentToken = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "previousCommentToken"
  block_savedest(self);
  Object closure11116 = createclosure(1, "previousCommentToken");
  setclosureframe(closure11116, stackframe);
  addtoclosure(closure11116, var_previousCommentToken);
  struct UserObject *uo11116 = (struct UserObject*)self;
  uo11116->data[109] = (Object)closure11116;
  Method *meth_meth_parser_previousCommentToken11116 = addmethod2pos(self, "previousCommentToken", &meth_parser_previousCommentToken11116, 109);
  int argcv_meth_parser_previousCommentToken11116[] = {0};
  meth_meth_parser_previousCommentToken11116->type = alloc_MethodType(1, argcv_meth_parser_previousCommentToken11116);
  meth_meth_parser_previousCommentToken11116->definitionModule = modulename;
  meth_meth_parser_previousCommentToken11116->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "previousCommentToken:=(_)"
  block_savedest(self);
  Object closure11117 = createclosure(1, "previousCommentToken:=(1)");
  setclosureframe(closure11117, stackframe);
  addtoclosure(closure11117, var_previousCommentToken);
  struct UserObject *uo11117 = (struct UserObject*)self;
  uo11117->data[110] = (Object)closure11117;
  Method *meth_meth_parser_previousCommentToken_58__61__40_1_41_11117 = addmethod2pos(self, "previousCommentToken:=(1)", &meth_parser_previousCommentToken_58__61__40_1_41_11117, 110);
  int argcv_meth_parser_previousCommentToken_58__61__40_1_41_11117[] = {1};
  meth_meth_parser_previousCommentToken_58__61__40_1_41_11117->type = alloc_MethodType(1, argcv_meth_parser_previousCommentToken_58__61__40_1_41_11117);
  meth_meth_parser_previousCommentToken_58__61__40_1_41_11117->definitionModule = modulename;
  meth_meth_parser_previousCommentToken_58__61__40_1_41_11117->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 34
  setline(34);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile identifier node (depth = 2)
// compiled identifier node returning *var_lastToken (depth = 2)
  *var_statementToken = *var_lastToken;
  if (*var_lastToken == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "statementToken"
  block_savedest(self);
  Object closure11119 = createclosure(1, "statementToken");
  setclosureframe(closure11119, stackframe);
  addtoclosure(closure11119, var_statementToken);
  struct UserObject *uo11119 = (struct UserObject*)self;
  uo11119->data[111] = (Object)closure11119;
  Method *meth_meth_parser_statementToken11119 = addmethod2pos(self, "statementToken", &meth_parser_statementToken11119, 111);
  int argcv_meth_parser_statementToken11119[] = {0};
  meth_meth_parser_statementToken11119->type = alloc_MethodType(1, argcv_meth_parser_statementToken11119);
  meth_meth_parser_statementToken11119->definitionModule = modulename;
  meth_meth_parser_statementToken11119->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "statementToken:=(_)"
  block_savedest(self);
  Object closure11120 = createclosure(1, "statementToken:=(1)");
  setclosureframe(closure11120, stackframe);
  addtoclosure(closure11120, var_statementToken);
  struct UserObject *uo11120 = (struct UserObject*)self;
  uo11120->data[112] = (Object)closure11120;
  Method *meth_meth_parser_statementToken_58__61__40_1_41_11120 = addmethod2pos(self, "statementToken:=(1)", &meth_parser_statementToken_58__61__40_1_41_11120, 112);
  int argcv_meth_parser_statementToken_58__61__40_1_41_11120[] = {1};
  meth_meth_parser_statementToken_58__61__40_1_41_11120->type = alloc_MethodType(1, argcv_meth_parser_statementToken_58__61__40_1_41_11120);
  meth_meth_parser_statementToken_58__61__40_1_41_11120->definitionModule = modulename;
  meth_meth_parser_statementToken_58__61__40_1_41_11120->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 35
  setline(35);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile identifier node (depth = 2)
  Object bool11122 = alloc_Boolean(0);
// compiled identifier node returning bool11122 (depth = 2)
  *var_comment = bool11122;
  if (bool11122 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "comment"
  block_savedest(self);
  Object closure11123 = createclosure(1, "comment");
  setclosureframe(closure11123, stackframe);
  addtoclosure(closure11123, var_comment);
  struct UserObject *uo11123 = (struct UserObject*)self;
  uo11123->data[113] = (Object)closure11123;
  Method *meth_meth_parser_comment11123 = addmethod2pos(self, "comment", &meth_parser_comment11123, 113);
  int argcv_meth_parser_comment11123[] = {0};
  meth_meth_parser_comment11123->type = alloc_MethodType(1, argcv_meth_parser_comment11123);
  meth_meth_parser_comment11123->definitionModule = modulename;
  meth_meth_parser_comment11123->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "comment:=(_)"
  block_savedest(self);
  Object closure11124 = createclosure(1, "comment:=(1)");
  setclosureframe(closure11124, stackframe);
  addtoclosure(closure11124, var_comment);
  struct UserObject *uo11124 = (struct UserObject*)self;
  uo11124->data[114] = (Object)closure11124;
  Method *meth_meth_parser_comment_58__61__40_1_41_11124 = addmethod2pos(self, "comment:=(1)", &meth_parser_comment_58__61__40_1_41_11124, 114);
  int argcv_meth_parser_comment_58__61__40_1_41_11124[] = {1};
  meth_meth_parser_comment_58__61__40_1_41_11124->type = alloc_MethodType(1, argcv_meth_parser_comment_58__61__40_1_41_11124);
  meth_meth_parser_comment_58__61__40_1_41_11124->definitionModule = modulename;
  meth_meth_parser_comment_58__61__40_1_41_11124->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 36
  setline(36);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 40
  setline(40);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 41
  setline(41);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile vardec node (depth = 1)
// starting to compile identifier node (depth = 2)
  Object bool11126 = alloc_Boolean(1);
// compiled identifier node returning bool11126 (depth = 2)
  *var_firstCallOfNext = bool11126;
  if (bool11126 == undefined)
    callmethod(done, "assignment", 0, NULL, NULL);
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "firstCallOfNext"
  block_savedest(self);
  Object closure11127 = createclosure(1, "firstCallOfNext");
  setclosureframe(closure11127, stackframe);
  addtoclosure(closure11127, var_firstCallOfNext);
  struct UserObject *uo11127 = (struct UserObject*)self;
  uo11127->data[115] = (Object)closure11127;
  Method *meth_meth_parser_firstCallOfNext11127 = addmethod2pos(self, "firstCallOfNext", &meth_parser_firstCallOfNext11127, 115);
  int argcv_meth_parser_firstCallOfNext11127[] = {0};
  meth_meth_parser_firstCallOfNext11127->type = alloc_MethodType(1, argcv_meth_parser_firstCallOfNext11127);
  meth_meth_parser_firstCallOfNext11127->definitionModule = modulename;
  meth_meth_parser_firstCallOfNext11127->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// Begin line 3404
  setline(3404);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile method node (depth = 2)
// method "firstCallOfNext:=(_)"
  block_savedest(self);
  Object closure11128 = createclosure(1, "firstCallOfNext:=(1)");
  setclosureframe(closure11128, stackframe);
  addtoclosure(closure11128, var_firstCallOfNext);
  struct UserObject *uo11128 = (struct UserObject*)self;
  uo11128->data[116] = (Object)closure11128;
  Method *meth_meth_parser_firstCallOfNext_58__61__40_1_41_11128 = addmethod2pos(self, "firstCallOfNext:=(1)", &meth_parser_firstCallOfNext_58__61__40_1_41_11128, 116);
  int argcv_meth_parser_firstCallOfNext_58__61__40_1_41_11128[] = {1};
  meth_meth_parser_firstCallOfNext_58__61__40_1_41_11128->type = alloc_MethodType(1, argcv_meth_parser_firstCallOfNext_58__61__40_1_41_11128);
  meth_meth_parser_firstCallOfNext_58__61__40_1_41_11128->definitionModule = modulename;
  meth_meth_parser_firstCallOfNext_58__61__40_1_41_11128->definitionLine = 3404;
// compiled method node returning  (depth = 2)
// compiled vardec node returning done (depth = 1)
// Begin line 42
  setline(42);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 62
  setline(62);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 80
  setline(80);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 95
  setline(95);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 115
  setline(115);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 158
  setline(158);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 164
  setline(164);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 169
  setline(169);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 174
  setline(174);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 181
  setline(181);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 188
  setline(188);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 206
  setline(206);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 249
  setline(249);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 256
  setline(256);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 263
  setline(263);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 277
  setline(277);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 343
  setline(343);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 361
  setline(361);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 373
  setline(373);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 412
  setline(412);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 418
  setline(418);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 588
  setline(588);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 991
  setline(991);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1003
  setline(1003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1059
  setline(1059);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1420
  setline(1420);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1465
  setline(1465);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1502
  setline(1502);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1514
  setline(1514);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1524
  setline(1524);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1530
  setline(1530);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1536
  setline(1536);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1680
  setline(1680);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1714
  setline(1714);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1810
  setline(1810);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1920
  setline(1920);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1945
  setline(1945);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 1961
  setline(1961);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2082
  setline(2082);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2159
  setline(2159);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2228
  setline(2228);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2271
  setline(2271);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2293
  setline(2293);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2334
  setline(2334);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2348
  setline(2348);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2374
  setline(2374);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2385
  setline(2385);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2455
  setline(2455);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2543
  setline(2543);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2586
  setline(2586);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2662
  setline(2662);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2710
  setline(2710);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2734
  setline(2734);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2821
  setline(2821);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2845
  setline(2845);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2903
  setline(2903);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2939
  setline(2939);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 2968
  setline(2968);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3003
  setline(3003);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3049
  setline(3049);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3096
  setline(3096);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3179
  setline(3179);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3213
  setline(3213);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3259
  setline(3259);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3276
  setline(3276);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3286
  setline(3286);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3350
  setline(3350);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
// Begin line 3357
  setline(3357);
  setmodule(modulename);
  setsource(originalSourceLines);
// starting to compile blank node (depth = 1)
// compiled blank node returning  (depth = 1)
  gc_frame_end(frame);
  return self;
}
